// python wrapper for vtkAbstractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAbstractArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  const char    *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkAbstractArray  *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkAbstractArray::GetDataTypeSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp0;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetNumberOfComponentsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetNumberOfComponentsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfComponentsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetNumberOfComponentsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetNumberOfComponentsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfComponentsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetNumberOfTuples();
      }
    else
      {
      temp20 = op->GetNumberOfTuples();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkAbstractArray_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkAbstractArray_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break18;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::GetTuples(temp0,temp1);
      }
    else
      {
      op->GetTuples(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::GetTuples(temp0,temp1,temp2);
      }
    else
      {
      op->GetTuples(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  void    *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkAbstractArray_InterpolateTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  PyObject *tempH4;
  double   temp5;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiOiOd", &temp0, &temp1, &tempH2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp4 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkAbstractArray");
    if (!temp4 && tempH4 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkAbstractArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetMaxId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetMaxId();
      }
    else
      {
      temp20 = op->GetMaxId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkAbstractArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkAbstractArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_ExportToVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  void    *temp0;
  int      size0;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExportToVoidPointer in vtkAbstractArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExportToVoidPointer in vtkAbstractArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::ExportToVoidPointer(temp0);
      }
    else
      {
      op->ExportToVoidPointer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  unsigned long     temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  char    *temp0;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  char    *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  const char    *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetDataTypeAsString();
      }
    else
      {
      temp20 = op->GetDataTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_CreateArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  vtkAbstractArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkAbstractArray::CreateArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_IsNumeric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsNumeric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkArrayIterator  *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  unsigned long     temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetDataSize();
      }
    else
      {
      temp20 = op->GetDataSize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_DataChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DataChanged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_ClearLookup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ClearLookup();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkInformation  *temp20;
  op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetInformation();
      }
    else
      {
      temp20 = op->GetInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractArray\nC++: vtkAbstractArray *NewInstance ();\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkAbstractArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (vtkIdType sz, vtkIdType ext) = 0;\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAbstractArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize () = 0;\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkAbstractArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType () = 0;\n\n Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkAbstractArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: virtual int GetDataTypeSize () = 0;\nV.GetDataTypeSize(int) -> int\nC++: static int GetDataTypeSize (int type);\n\n Return the size of the underlying data type.  For a bit, 0 is\n returned.  For string 0 is returned. Arrays with variable length\n components return 0.\n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkAbstractArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: virtual int GetElementComponentSize () = 0;\n\n Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type.  For vtkStringArray, this is\n sizeof(vtkStdString::value_type), which winds up being\n sizeof(char).  \n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkAbstractArray_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int );\n\n Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponentsMinValue",                (PyCFunction)PyvtkAbstractArray_GetNumberOfComponentsMinValue, 1,
   (char*)"V.GetNumberOfComponentsMinValue() -> int\nC++: int GetNumberOfComponentsMinValue ();\n\n Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponentsMaxValue",                (PyCFunction)PyvtkAbstractArray_GetNumberOfComponentsMaxValue, 1,
   (char*)"V.GetNumberOfComponentsMaxValue() -> int\nC++: int GetNumberOfComponentsMaxValue ();\n\n Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkAbstractArray_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();return this NumberOfComponents \n\n Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n Also note that if allocation is performed no copy is performed so\n existing data will be lost (if data conservation is sought, one may\n use the Resize method instead).\n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkAbstractArray_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: virtual void SetNumberOfTuples (vtkIdType number) = 0;\n\n Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n Also note that if allocation is performed no copy is performed so\n existing data will be lost (if data conservation is sought, one may\n use the Resize method instead).\n"},
  {(char*)"GetNumberOfTuples",                (PyCFunction)PyvtkAbstractArray_GetNumberOfTuples, 1,
   (char*)"V.GetNumberOfTuples() -> int\nC++: vtkIdType GetNumberOfTuples ();return this MaxId this NumberOfComponents \n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkAbstractArray_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkAbstractArray)\nC++: virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;\n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkAbstractArray_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkAbstractArray)\nC++: virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;\n\n Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkAbstractArray_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkAbstractArray) -> int\nC++: virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source) = 0;\n\n Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n"},
  {(char*)"GetTuples",                (PyCFunction)PyvtkAbstractArray_GetTuples, 1,
   (char*)"V.GetTuples(vtkIdList, vtkAbstractArray)\nC++: virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output);\nV.GetTuples(int, int, vtkAbstractArray)\nC++: virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output);\n\n Given a list of point ids, return an array of tuples.\n You must insure that the output array has been previously \n allocated with enough space to hold the data.\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkAbstractArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: virtual void *GetVoidPointer (vtkIdType id) = 0;\n\n Return a void pointer. For image pipeline interface and other \n special pointer manipulation.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAbstractArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractArray)\nC++: virtual void DeepCopy (vtkAbstractArray *da);\n\n Deep copy of data. Implementation left to subclasses, which\n should support as many type conversions as possible given the\n data type.\n\n Subclasses should call vtkAbstractArray::DeepCopy() so that the\n information object (if one exists) is copied from \\a da.\n"},
  {(char*)"InterpolateTuple",                (PyCFunction)PyvtkAbstractArray_InterpolateTuple, 1,
   (char*)"V.InterpolateTuple(int, int, vtkAbstractArray, int, vtkAbstractArray, float)\nC++: virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t) = 0;\n\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkAbstractArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze () = 0;\n\n Resize object to just fit data requirement. Reclaims extra memory.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkAbstractArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples) = 0;\n\n Resize the array while conserving the data.  Returns 1 if\n resizing succeeded and 0 otherwise.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkAbstractArray_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();this MaxId \n\n Return the size of the data.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkAbstractArray_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: vtkIdType GetSize ();return this Size \n\n What is the maximum id currently in the array.\n"},
  {(char*)"GetMaxId",                (PyCFunction)PyvtkAbstractArray_GetMaxId, 1,
   (char*)"V.GetMaxId() -> int\nC++: vtkIdType GetMaxId ();return this MaxId \n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkAbstractArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: virtual void SetVoidArray (void *, vtkIdType , int ) = 0;\n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"ExportToVoidPointer",                (PyCFunction)PyvtkAbstractArray_ExportToVoidPointer, 1,
   (char*)"V.ExportToVoidPointer(string)\nC++: virtual void ExportToVoidPointer (void *);\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkAbstractArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize () = 0;\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkAbstractArray_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (char *);\n\n Set/get array's name\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkAbstractArray_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName ();\n\n Set/get array's name\n"},
  {(char*)"GetDataTypeAsString",                (PyCFunction)PyvtkAbstractArray_GetDataTypeAsString, 1,
   (char*)"V.GetDataTypeAsString() -> string\nC++: virtual const char *GetDataTypeAsString (void );return vtkImageScalarTypeNameMacro this GetDataType \n\n Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE,\n VTK_STRING.\n Note that the data array returned has be deleted by the\n user.\n"},
  {(char*)"CreateArray",                (PyCFunction)PyvtkAbstractArray_CreateArray, 1,
   (char*)"V.CreateArray(int) -> vtkAbstractArray\nC++: static vtkAbstractArray *CreateArray (int dataType);\n\n Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE,\n VTK_STRING.\n Note that the data array returned has be deleted by the\n user.\n"},
  {(char*)"IsNumeric",                (PyCFunction)PyvtkAbstractArray_IsNumeric, 1,
   (char*)"V.IsNumeric() -> int\nC++: virtual int IsNumeric () = 0;\n\n This method is here to make backward compatibility easier.  It\n must return true if and only if an array contains numeric data.\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkAbstractArray_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkArrayIterator\nC++: virtual vtkArrayIterator *NewIterator () = 0;\n\n Subclasses must override this method and provide the right \n kind of templated vtkArrayIteratorTemplate.\n"},
  {(char*)"GetDataSize",                (PyCFunction)PyvtkAbstractArray_GetDataSize, 1,
   (char*)"V.GetDataSize() -> int\nC++: virtual unsigned long GetDataSize ();return this GetNumberOfComponents this GetNumberOfTuples \n\n Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n"},
  {(char*)"DataChanged",                (PyCFunction)PyvtkAbstractArray_DataChanged, 1,
   (char*)"V.DataChanged()\nC++: virtual void DataChanged () = 0;\n\n Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n"},
  {(char*)"ClearLookup",                (PyCFunction)PyvtkAbstractArray_ClearLookup, 1,
   (char*)"V.ClearLookup()\nC++: virtual void ClearLookup () = 0;\n\n Delete the associated fast lookup data structure on this array,\n if it exists.  The lookup will be rebuilt on the next call to a lookup\n function.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkAbstractArray_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkInformation\nC++: vtkInformation *GetInformation ();\n\n Get an information object that can be used to annotate the array.\n This is NULL by default; you are responsible for allocating an information object\n if none already exists.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractArrayDoc[] = {
  (char*)"vtkAbstractArray - Abstract superclass for all arrays\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkAbstractArray is an abstract superclass for data array objects.\n This class defines an API that all subclasses must support.  The\n data type must be assignable and copy-constructible, but no other\n assumptions about its type are made.  Most of the subclasses of\n this array deal with numeric data either as scalars or tuples of\n scalars.  A program can use the IsNumeric() method to check whethe",
  (char*)"r\n an instance of vtkAbstractArray contains numbers.  It is also\n possible to test for this by attempting to SafeDownCast an array to\n an instance of vtkDataArray, although this assumes that all numeric\n arrays will always be descended from vtkDataArray.\n\n <p>\n\n Every array has a character-string name. The naming of the array\n occurs automatically when it is instantiated, but you are free to\n chan",
  (char*)"ge this name using the SetName() method.  (The array name is\n used for data manipulation.)\n\n\n",
  "See Also:\n\n vtkDataArray vtkStringArray vtkCellArray\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractArrayNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractArrayMethods,
                        (char*)"vtkAbstractArray",modulename,
                        (char**)vtkAbstractArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

