// tcl wrapper for vtkAbstractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractArray.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractArrayCppCommand(vtkAbstractArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractArrayCppCommand(static_cast<vtkAbstractArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractArrayCppCommand(vtkAbstractArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractArray",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataTypeSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataTypeSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementComponentSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElementComponentSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponentsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComponentsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponentsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTuples",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTuples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTuples",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTuples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->SetTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->InsertTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkAbstractArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextTuple(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuples",argv[1]))&&(argc == 4))
    {
    vtkIdList  *temp0;
    vtkAbstractArray  *temp1;
    error = 0;

    temp0 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdList"),interp,error));
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->GetTuples(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTuples",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->GetTuples(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTuple",argv[1]))&&(argc == 8))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    vtkIdType   temp3;
    vtkAbstractArray  *temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Resize",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Resize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("CreateArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAbstractArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateArray(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsNumeric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsNumeric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewIterator",argv[1]))&&(argc == 2))
    {
    vtkArrayIterator  *temp20;
    temp20 = (op)->NewIterator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetDataSize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetDataSize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DataChanged",argv[1]))&&(argc == 2))
    {
    op->DataChanged();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClearLookup",argv[1]))&&(argc == 2))
    {
    op->ClearLookup();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractArrayCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractArray:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeSize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementComponentSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTuples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTuples\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTuples\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTuples\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTuple\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  Resize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxId\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  CreateArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsNumeric\n",NULL);
    Tcl_AppendResult(interp,"  NewIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSize\n",NULL);
    Tcl_AppendResult(interp,"  DataChanged\n",NULL);
    Tcl_AppendResult(interp,"  ClearLookup\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaxId" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "CreateArray" );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    Tcl_DStringAppendElement ( &dString, "GetDataSize" );
    Tcl_DStringAppendElement ( &dString, "DataChanged" );
    Tcl_DStringAppendElement ( &dString, "ClearLookup" );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Allocate (vtkIdType sz, vtkIdType ext) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Release storage and reset array to initial state.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataType () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeSize */
    if ( strcmp ( argv[2], "GetDataTypeSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeSize */
    Tcl_DStringAppendElement ( &dString, " Return the size of the underlying data type.  For a bit, 0 is\n returned.  For string 0 is returned. Arrays with variable length\n components return 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataTypeSize () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetDataTypeSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeSize */
    if ( strcmp ( argv[2], "GetDataTypeSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeSize */
    Tcl_DStringAppendElement ( &dString, " Return the size of the underlying data type.  For a bit, 0 is\n returned.  For string 0 is returned. Arrays with variable length\n components return 0.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetDataTypeSize (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetDataTypeSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementComponentSize */
    if ( strcmp ( argv[2], "GetElementComponentSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementComponentSize */
    Tcl_DStringAppendElement ( &dString, " Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type.  For vtkStringArray, this is\n sizeof(vtkStdString::value_type), which winds up being\n sizeof(char).  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetElementComponentSize () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetElementComponentSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfComponents */
    if ( strcmp ( argv[2], "SetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfComponents (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for SetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfComponentsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetNumberOfComponentsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfComponentsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the dimention (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetNumberOfComponentsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponents */
    if ( strcmp ( argv[2], "GetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n Also note that if allocation is performed no copy is performed so\n existing data will be lost (if data conservation is sought, one may\n use the Resize method instead).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponents ();return this NumberOfComponents " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTuples */
    if ( strcmp ( argv[2], "SetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n Also note that if allocation is performed no copy is performed so\n existing data will be lost (if data conservation is sought, one may\n use the Resize method instead).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfTuples (vtkIdType number) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for SetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTuples */
    if ( strcmp ( argv[2], "GetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTuples ();return this MaxId this NumberOfComponents " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple */
    if ( strcmp ( argv[2], "SetTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple */
    Tcl_DStringAppendElement ( &dString, " Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for SetTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple */
    if ( strcmp ( argv[2], "InsertTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for InsertTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple */
    if ( strcmp ( argv[2], "InsertNextTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for InsertNextTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuples */
    if ( strcmp ( argv[2], "GetTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuples */
    Tcl_DStringAppendElement ( &dString, " Given a list of point ids, return an array of tuples.\n You must insure that the output array has been previously \n allocated with enough space to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTuples */
    if ( strcmp ( argv[2], "GetTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTuples */
    Tcl_DStringAppendElement ( &dString, " Get the tuples for the range of points ids specified \n (i.e., p1->p2 inclusive). You must insure that the output array has \n been previously allocated with enough space to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of data. Implementation left to subclasses, which\n should support as many type conversions as possible given the\n data type.\n\n Subclasses should call vtkAbstractArray::DeepCopy() so that the\n information object (if one exists) is copied from \\a da.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkAbstractArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateTuple */
    if ( strcmp ( argv[2], "InterpolateTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateTuple */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for InterpolateTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, " Resize object to just fit data requirement. Reclaims extra memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Squeeze () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Resize */
    if ( strcmp ( argv[2], "Resize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Resize */
    Tcl_DStringAppendElement ( &dString, " Resize the array while conserving the data.  Returns 1 if\n resizing succeeded and 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Resize (vtkIdType numTuples) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for Resize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Return the size of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();this MaxId " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " What is the maximum id currently in the array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSize ();return this Size " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxId */
    if ( strcmp ( argv[2], "GetMaxId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxId */
    Tcl_DStringAppendElement ( &dString, " This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaxId ();return this MaxId " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetMaxId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetActualMemorySize () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetName */
    if ( strcmp ( argv[2], "SetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetName */
    Tcl_DStringAppendElement ( &dString, " Set/get array's name\n" );
    Tcl_DStringAppendElement ( &dString, "void SetName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for SetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetName */
    if ( strcmp ( argv[2], "GetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetName */
    Tcl_DStringAppendElement ( &dString, " Set/get array's name\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeAsString */
    if ( strcmp ( argv[2], "GetDataTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE,\n VTK_STRING.\n Note that the data array returned has be deleted by the\n user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDataTypeAsString (void );return vtkImageScalarTypeNameMacro this GetDataType " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetDataTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateArray */
    if ( strcmp ( argv[2], "CreateArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateArray */
    Tcl_DStringAppendElement ( &dString, " Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE,\n VTK_STRING.\n Note that the data array returned has be deleted by the\n user.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAbstractArray *CreateArray (int dataType);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for CreateArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsNumeric */
    if ( strcmp ( argv[2], "IsNumeric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsNumeric */
    Tcl_DStringAppendElement ( &dString, " This method is here to make backward compatibility easier.  It\n must return true if and only if an array contains numeric data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsNumeric () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for IsNumeric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewIterator */
    if ( strcmp ( argv[2], "NewIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewIterator */
    Tcl_DStringAppendElement ( &dString, " Subclasses must override this method and provide the right \n kind of templated vtkArrayIteratorTemplate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkArrayIterator *NewIterator () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for NewIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSize */
    if ( strcmp ( argv[2], "GetDataSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSize */
    Tcl_DStringAppendElement ( &dString, " Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetDataSize ();return this GetNumberOfComponents this GetNumberOfTuples " );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetDataSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DataChanged */
    if ( strcmp ( argv[2], "DataChanged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DataChanged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DataChanged */
    Tcl_DStringAppendElement ( &dString, " Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DataChanged () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for DataChanged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLookup */
    if ( strcmp ( argv[2], "ClearLookup" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLookup" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLookup */
    Tcl_DStringAppendElement ( &dString, " Delete the associated fast lookup data structure on this array,\n if it exists.  The lookup will be rebuilt on the next call to a lookup\n function.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearLookup () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for ClearLookup */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInformation */
    if ( strcmp ( argv[2], "GetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInformation */
    Tcl_DStringAppendElement ( &dString, " Get an information object that can be used to annotate the array.\n This is NULL by default; you are responsible for allocating an information object\n if none already exists.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    /* Closing for GetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
