// python wrapper for vtkAbstractTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAbstractTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAbstractTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  const char    *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformPoint(temp0,temp1);
      }
    else
      {
      op->TransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformPoint(temp0,temp1);
      }
    else
      {
      op->TransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformPoint(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformPoint(temp0);
      }
    else
      {
      temp20 = op->TransformPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformFloatPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"fff", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformFloatPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformFloatPoint(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float   *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformFloatPoint(temp0);
      }
    else
      {
      temp20 = op->TransformFloatPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformDoublePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformDoublePoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformDoublePoint(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformDoublePoint(temp0);
      }
    else
      {
      temp20 = op->TransformDoublePoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformNormalAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformNormalAtPoint(temp0,temp1,temp2);
      }
    else
      {
      op->TransformNormalAtPoint(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformNormalAtPoint(temp0,temp1,temp2);
      }
    else
      {
      op->TransformNormalAtPoint(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformNormalAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformNormalAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformDoubleNormalAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformDoubleNormalAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformDoubleNormalAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformFloatNormalAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  float   *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformFloatNormalAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformFloatNormalAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformVectorAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  float  temp2[3];
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformVectorAtPoint(temp0,temp1,temp2);
      }
    else
      {
      op->TransformVectorAtPoint(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformVectorAtPoint(temp0,temp1,temp2);
      }
    else
      {
      op->TransformVectorAtPoint(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformVectorAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformVectorAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformDoubleVectorAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  double  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformDoubleVectorAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformDoubleVectorAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformFloatVectorAtPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  float   *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::TransformFloatVectorAtPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->TransformFloatVectorAtPoint(temp0,temp1);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkAbstractTransform_TransformPointsNormalsVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  vtkDataArray  *temp5;
  PyObject *tempH5;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break22;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break22;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break22;
    temp5 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkDataArray");
    if (!temp5 && tempH5 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkAbstractTransform_GetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::GetInverse();
      }
    else
      {
      temp20 = op->GetInverse();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_SetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::SetInverse(temp0);
      }
    else
      {
      op->SetInverse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkAbstractTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkAbstractTransform_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_CircuitCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::CircuitCheck(temp0);
      }
    else
      {
      temp20 = op->CircuitCheck(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkAbstractTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  unsigned long     temp20;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractTransform_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkAbstractTransform_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractTransform::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkAbstractTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractTransform\nC++: vtkAbstractTransform *NewInstance ();\n\n"},
  {(char*)"TransformPoint",                (PyCFunction)PyvtkAbstractTransform_TransformPoint, 1,
   (char*)"V.TransformPoint((float, float, float), (float, float, float))\nC++: void TransformPoint (const float in[3], float out[3]);this Update this InternalTransformPoint in out \nV.TransformPoint((float, float, float), (float, float, float))\nC++: void TransformPoint (const double in[3], double out[3]);this Update this InternalTransformPoint in out \nV.TransformPoint(float, float, float) -> (float, float, float)\nC++: double *TransformPoint (double x, double y, double z);return this TransformDoublePoint x y z \nV.TransformPoint((float, float, float)) -> (float, float, float)\nC++: double *TransformPoint (const double point[3]);return this TransformPoint point point point \n\n Apply the transformation to a coordinate.  You can use the same \n array to store both the input and output point.\n"},
  {(char*)"TransformFloatPoint",                (PyCFunction)PyvtkAbstractTransform_TransformFloatPoint, 1,
   (char*)"V.TransformFloatPoint(float, float, float) -> (float, float, float)\nC++: float *TransformFloatPoint (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformPoint this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint \nV.TransformFloatPoint((float, float, float)) -> (float, float, float)\nC++: float *TransformFloatPoint (const float point[3]);return this TransformFloatPoint point point point \n\n Apply the transformation to an (x,y,z) coordinate.\n Use this if you are programming in Python, tcl or Java.\n"},
  {(char*)"TransformDoublePoint",                (PyCFunction)PyvtkAbstractTransform_TransformDoublePoint, 1,
   (char*)"V.TransformDoublePoint(float, float, float) -> (float, float, float)\nC++: double *TransformDoublePoint (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformPoint this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint \nV.TransformDoublePoint((float, float, float)) -> (float, float, float)\nC++: double *TransformDoublePoint (const double point[3]);return this TransformDoublePoint point point point \n\n Apply the transformation to a double-precision (x,y,z) coordinate.\n Use this if you are programming in Python, tcl or Java.\n"},
  {(char*)"TransformNormalAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformNormalAtPoint, 1,
   (char*)"V.TransformNormalAtPoint((float, float, float), (float, float, float), (float, float, float))\nC++: void TransformNormalAtPoint (const float point[3], const float in[3], float out[3]);\nV.TransformNormalAtPoint((float, float, float), (float, float, float), (float, float, float))\nC++: void TransformNormalAtPoint (const double point[3], const double in[3], double out[3]);\nV.TransformNormalAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: double *TransformNormalAtPoint (const double point[3], const double normal[3]);this TransformNormalAtPoint point normal this InternalDoublePoint return this InternalDoublePoint \n\n Apply the transformation to a normal at the specified vertex.  If the\n transformation is a vtkLinearTransform, you can use TransformNormal()\n instead.\n"},
  {(char*)"TransformDoubleNormalAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformDoubleNormalAtPoint, 1,
   (char*)"V.TransformDoubleNormalAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: double *TransformDoubleNormalAtPoint (const double point[3], const double normal[3]);this TransformNormalAtPoint point normal this InternalDoublePoint return this InternalDoublePoint \n\n Apply the transformation to a double-precision normal at the specified\n vertex.  If the transformation is a vtkLinearTransform, you can use\n TransformDoubleNormal() instead.\n"},
  {(char*)"TransformFloatNormalAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformFloatNormalAtPoint, 1,
   (char*)"V.TransformFloatNormalAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: float *TransformFloatNormalAtPoint (const float point[3], const float normal[3]);this TransformNormalAtPoint point normal this InternalFloatPoint return this InternalFloatPoint \n\n Apply the transformation to a single-precision normal at the specified\n vertex.  If the transformation is a vtkLinearTransform, you can use\n TransformFloatNormal() instead.\n"},
  {(char*)"TransformVectorAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformVectorAtPoint, 1,
   (char*)"V.TransformVectorAtPoint((float, float, float), (float, float, float), (float, float, float))\nC++: void TransformVectorAtPoint (const float point[3], const float in[3], float out[3]);\nV.TransformVectorAtPoint((float, float, float), (float, float, float), (float, float, float))\nC++: void TransformVectorAtPoint (const double point[3], const double in[3], double out[3]);\nV.TransformVectorAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: double *TransformVectorAtPoint (const double point[3], const double vector[3]);this TransformVectorAtPoint point vector this InternalDoublePoint return this InternalDoublePoint \n\n Apply the transformation to a vector at the specified vertex.  If the\n transformation is a vtkLinearTransform, you can use TransformVector()\n instead.\n"},
  {(char*)"TransformDoubleVectorAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformDoubleVectorAtPoint, 1,
   (char*)"V.TransformDoubleVectorAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: double *TransformDoubleVectorAtPoint (const double point[3], const double vector[3]);this TransformVectorAtPoint point vector this InternalDoublePoint return this InternalDoublePoint \n\n Apply the transformation to a double-precision vector at the specified\n vertex.  If the transformation is a vtkLinearTransform, you can use\n TransformDoubleVector() instead.\n"},
  {(char*)"TransformFloatVectorAtPoint",                (PyCFunction)PyvtkAbstractTransform_TransformFloatVectorAtPoint, 1,
   (char*)"V.TransformFloatVectorAtPoint((float, float, float), (float, float, float)) -> (float, float, float)\nC++: float *TransformFloatVectorAtPoint (const float point[3], const float vector[3]);this TransformVectorAtPoint point vector this InternalFloatPoint return this InternalFloatPoint \n\n Apply the transformation to a single-precision vector at the specified\n vertex.  If the transformation is a vtkLinearTransform, you can use\n TransformFloatVector() instead.\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkAbstractTransform_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, vtkPoints)\nC++: virtual void TransformPoints (vtkPoints *inPts, vtkPoints *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.  \n"},
  {(char*)"TransformPointsNormalsVectors",                (PyCFunction)PyvtkAbstractTransform_TransformPointsNormalsVectors, 1,
   (char*)"V.TransformPointsNormalsVectors(vtkPoints, vtkPoints, vtkDataArray, vtkDataArray, vtkDataArray, vtkDataArray)\nC++: virtual void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a combination of points, normals\n and vectors.  \n"},
  {(char*)"GetInverse",                (PyCFunction)PyvtkAbstractTransform_GetInverse, 1,
   (char*)"V.GetInverse() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetInverse ();\n\n Get the inverse of this transform.  If you modify this transform,\n the returned inverse transform will automatically update.  If you\n want the inverse of a vtkTransform, you might want to use\n GetLinearInverse() instead which will type cast the result from\n vtkAbstractTransform to vtkLinearTransform.\n"},
  {(char*)"SetInverse",                (PyCFunction)PyvtkAbstractTransform_SetInverse, 1,
   (char*)"V.SetInverse(vtkAbstractTransform)\nC++: void SetInverse (vtkAbstractTransform *transform);\n\n Set a transformation that this transform will be the inverse of.\n This transform will automatically update to agree with the \n inverse transform that you set.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkAbstractTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: virtual void Inverse () = 0;\n\n Invert the transformation.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAbstractTransform_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractTransform)\nC++: void DeepCopy (vtkAbstractTransform *);\n\n Copy this transform from another of the same type.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkAbstractTransform_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Update the transform to account for any changes which\n have been made.  You do not have to call this method \n yourself, it is called automatically whenever the\n transform needs an update.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkAbstractTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const float in[3], float out[3]) = 0;\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: virtual void InternalTransformPoint (const double in[3], double out[3]) = 0;\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkAbstractTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *MakeTransform () = 0;\n\n Make another transform of the same type.\n"},
  {(char*)"CircuitCheck",                (PyCFunction)PyvtkAbstractTransform_CircuitCheck, 1,
   (char*)"V.CircuitCheck(vtkAbstractTransform) -> int\nC++: virtual int CircuitCheck (vtkAbstractTransform *transform);\n\n Check for self-reference.  Will return true if concatenating\n with the specified transform, setting it to be our inverse,\n or setting it to be our input will create a circular reference.\n CircuitCheck is automatically called by SetInput(), SetInverse(),\n and Concatenate(vtkXTransform *).  Avoid using this function,\n it is experimental.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAbstractTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime necessary because of inverse transforms.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkAbstractTransform_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *O);\n\n Needs a special UnRegister() implementation to avoid\n circular references.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"Identity",                (PyCFunction)PyvtkAbstractTransform_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();\n\n @deprecated This method is deprecated in the base class.  It is \n still valid to use it on many of the specialized classes.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractTransformDoc[] = {
  (char*)"vtkAbstractTransform - superclass for all geometric transformations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAbstractTransform is the superclass for all VTK geometric \n transformations.  The VTK transform hierarchy is split into two\n major branches: warp transformations and homogeneous (including linear)\n transformations.  The latter can be represented in terms of a 4x4\n transformation matrix, the former cannot.  \n <p>Transformations can be pipelined through two mechanisms:  \n <p>1) GetInverse() retu",
  (char*)"rns the pipelined\n inverse of a transformation i.e. if you modify the original transform,\n any transform previously returned by the GetInverse() method will\n automatically update itself according to the change.\n <p>2) You can do pipelined concatenation of transformations through \n the vtkGeneralTransform class, the vtkPerspectiveTransform class,\n or the vtkTransform class. \n\n",
  "See Also:\n\n vtkGeneralTransform vtkWarpTransform vtkHomogeneousTransform\n vtkLinearTransform vtkIdentityTransform\n vtkTransformPolyDataFilter vtkTransformFilter vtkImageReslice\n vtkImplicitFunction\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractTransformNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractTransformMethods,
                        (char*)"vtkAbstractTransform",modulename,
                        (char**)vtkAbstractTransformDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

