// tcl wrapper for vtkAmoebaMinimizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAmoebaMinimizer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAmoebaMinimizerNewCommand()
{
  vtkAmoebaMinimizer *temp = vtkAmoebaMinimizer::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAmoebaMinimizerCppCommand(vtkAmoebaMinimizer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAmoebaMinimizerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAmoebaMinimizerCppCommand(static_cast<vtkAmoebaMinimizer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAmoebaMinimizerCppCommand(vtkAmoebaMinimizer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAmoebaMinimizer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAmoebaMinimizer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAmoebaMinimizer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAmoebaMinimizer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAmoebaMinimizer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAmoebaMinimizer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAmoebaMinimizer");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFunction",argv[1]))&&(argc == 3))
    {
    vtkTclVoidFuncArg *temp0 = new vtkTclVoidFuncArg;
    error = 0;

    temp0->interp = interp;
    temp0->command = strcpy(new char [strlen(argv[2])+1],argv[2]);
    if (!error)
    {
    op->SetFunction(vtkTclVoidFunc,static_cast<void *>(temp0));
    op->SetFunctionArgDelete(vtkTclVoidFuncArgDelete);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterValue",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetParameterValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetParameterValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterScale",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetParameterScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterScale",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    double   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetParameterScale(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterScale",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetParameterScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParameterScale(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    double   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetParameterValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParameterValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParameterName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfParameters",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfParameters();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Minimize",argv[1]))&&(argc == 2))
    {
    op->Minimize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Iterate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Iterate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFunctionValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFunctionValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionEvaluations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionEvaluations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EvaluateFunction",argv[1]))&&(argc == 2))
    {
    op->EvaluateFunction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAmoebaMinimizerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAmoebaMinimizer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfParameters\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Minimize\n",NULL);
    Tcl_AppendResult(interp,"  Iterate\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionValue\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxIterations\n",NULL);
    Tcl_AppendResult(interp,"  GetIterations\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionEvaluations\n",NULL);
    Tcl_AppendResult(interp,"  EvaluateFunction\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    Tcl_DStringAppendElement ( &dString, "SetParameterValue" );
    Tcl_DStringAppendElement ( &dString, "SetParameterValue" );
    Tcl_DStringAppendElement ( &dString, "SetParameterScale" );
    Tcl_DStringAppendElement ( &dString, "GetParameterScale" );
    Tcl_DStringAppendElement ( &dString, "SetParameterScale" );
    Tcl_DStringAppendElement ( &dString, "GetParameterScale" );
    Tcl_DStringAppendElement ( &dString, "GetParameterValue" );
    Tcl_DStringAppendElement ( &dString, "GetParameterValue" );
    Tcl_DStringAppendElement ( &dString, "GetParameterName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParameters" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Minimize" );
    Tcl_DStringAppendElement ( &dString, "Iterate" );
    Tcl_DStringAppendElement ( &dString, "SetFunctionValue" );
    Tcl_DStringAppendElement ( &dString, "GetFunctionValue" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetMaxIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaxIterations" );
    Tcl_DStringAppendElement ( &dString, "GetIterations" );
    Tcl_DStringAppendElement ( &dString, "GetFunctionEvaluations" );
    Tcl_DStringAppendElement ( &dString, "EvaluateFunction" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAmoebaMinimizer *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunction */
    if ( strcmp ( argv[2], "SetFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "function" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the function to be minimized.  When this function\n is called, it must get the parameter values by calling\n GetParameterValue() for each parameter, and then must\n call SetFunctionValue() to tell the minimizer what the result\n of the function evaluation was.  The number of function\n evaluations used for the minimization can be retrieved\n using GetFunctionEvaluations().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunction (void (*func)(void *) , void *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParameterValue */
    if ( strcmp ( argv[2], "SetParameterValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameterValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameterValue */
    Tcl_DStringAppendElement ( &dString, " Set the initial value for the specified parameter.  Calling\n this function for any parameter will reset the Iterations\n and the FunctionEvaluations counts to zero.  You must also\n use SetParameterScale() to specify the step size by which the\n parameter will be modified during the minimization.  It is\n preferable to specify parameters by name, rather than by\n number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameterValue (const char *name, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetParameterValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParameterValue */
    if ( strcmp ( argv[2], "SetParameterValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameterValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameterValue */
    Tcl_DStringAppendElement ( &dString, " Set the initial value for the specified parameter.  Calling\n this function for any parameter will reset the Iterations\n and the FunctionEvaluations counts to zero.  You must also\n use SetParameterScale() to specify the step size by which the\n parameter will be modified during the minimization.  It is\n preferable to specify parameters by name, rather than by\n number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameterValue (int i, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetParameterValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParameterScale */
    if ( strcmp ( argv[2], "SetParameterScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameterScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameterScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameterScale (const char *name, double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetParameterScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterScale */
    if ( strcmp ( argv[2], "GetParameterScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetParameterScale (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetParameterScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParameterScale */
    if ( strcmp ( argv[2], "SetParameterScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParameterScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParameterScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParameterScale (int i, double scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetParameterScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterScale */
    if ( strcmp ( argv[2], "GetParameterScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterScale */
    Tcl_DStringAppendElement ( &dString, " Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetParameterScale (int i);return this ParameterScales i " );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetParameterScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterValue */
    if ( strcmp ( argv[2], "GetParameterValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a parameter at the current stage of the minimization.\n Call this method within the function that you are minimizing in order\n to get the current parameter values.  It is preferable to specify\n parameters by name rather than by index. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetParameterValue (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetParameterValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterValue */
    if ( strcmp ( argv[2], "GetParameterValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterValue */
    Tcl_DStringAppendElement ( &dString, " Get the value of a parameter at the current stage of the minimization.\n Call this method within the function that you are minimizing in order\n to get the current parameter values.  It is preferable to specify\n parameters by name rather than by index. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetParameterValue (int i);return this ParameterValues i " );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetParameterValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParameterName */
    if ( strcmp ( argv[2], "GetParameterName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParameterName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParameterName */
    Tcl_DStringAppendElement ( &dString, " For completeness, an unchecked method to get the name for particular\n parameter (the result will be NULL if no name was set).  \n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetParameterName (int i);return this ParameterNames i " );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetParameterName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfParameters */
    if ( strcmp ( argv[2], "GetNumberOfParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfParameters */
    Tcl_DStringAppendElement ( &dString, " Get the number of parameters that have been set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfParameters ();return this NumberOfParameters " );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetNumberOfParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the minimizer.  This will reset the number of parameters to\n zero so that the minimizer can be reused.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Minimize */
    if ( strcmp ( argv[2], "Minimize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Minimize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Minimize */
    Tcl_DStringAppendElement ( &dString, " Iterate until the minimum is found to within the specified tolerance,\n or until the MaxIterations has been reached. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Minimize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for Minimize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Iterate */
    if ( strcmp ( argv[2], "Iterate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Iterate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Iterate */
    Tcl_DStringAppendElement ( &dString, " Perform one iteration of minimization.  Returns zero if the tolerance\n stopping criterion has been met.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Iterate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for Iterate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunctionValue */
    if ( strcmp ( argv[2], "SetFunctionValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunctionValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunctionValue */
    Tcl_DStringAppendElement ( &dString, " Get the function value resulting from the minimization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunctionValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetFunctionValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunctionValue */
    if ( strcmp ( argv[2], "GetFunctionValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunctionValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunctionValue */
    Tcl_DStringAppendElement ( &dString, " Get the function value resulting from the minimization.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFunctionValue ();return this FunctionValue " );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetFunctionValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify the fractional tolerance to aim for during the minimization.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify the fractional tolerance to aim for during the minimization.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxIterations */
    if ( strcmp ( argv[2], "SetMaxIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of iterations to try before giving up.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxIterations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for SetMaxIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxIterations */
    if ( strcmp ( argv[2], "GetMaxIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum number of iterations to try before giving up.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetMaxIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIterations */
    if ( strcmp ( argv[2], "GetIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIterations */
    Tcl_DStringAppendElement ( &dString, " Return the number of interations that have been performed.  This\n is not necessarily the same as the number of function evaluations.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunctionEvaluations */
    if ( strcmp ( argv[2], "GetFunctionEvaluations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunctionEvaluations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunctionEvaluations */
    Tcl_DStringAppendElement ( &dString, " Return the number of times that the function has been evaluated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFunctionEvaluations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for GetFunctionEvaluations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EvaluateFunction */
    if ( strcmp ( argv[2], "EvaluateFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EvaluateFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EvaluateFunction */
    Tcl_DStringAppendElement ( &dString, " Evaluate the function.  This is usually called internally by the\n minimization code, but it is provided here as a public method.\n" );
    Tcl_DStringAppendElement ( &dString, "void EvaluateFunction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAmoebaMinimizer" );
    /* Closing for EvaluateFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
