// tcl wrapper for vtkAnimationCue object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnimationCue.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAnimationCueNewCommand()
{
  vtkAnimationCue *temp = vtkAnimationCue::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAnimationCueCppCommand(vtkAnimationCue *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAnimationCueCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAnimationCueCppCommand(static_cast<vtkAnimationCue *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAnimationCueCppCommand(vtkAnimationCue *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAnimationCue",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAnimationCue  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationCue");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAnimationCue  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationCue");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAnimationCue  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnimationCue");
    return TCL_OK;
    }
  if ((!strcmp("SetTimeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeModeToRelative",argv[1]))&&(argc == 2))
    {
    op->SetTimeModeToRelative();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeModeToNormalized",argv[1]))&&(argc == 2))
    {
    op->SetTimeModeToNormalized();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStartTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStartTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEndTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Tick",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->Tick(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAnimationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAnimationTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDeltaTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDeltaTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClockTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetClockTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAnimationCueCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAnimationCue:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeModeToRelative\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeModeToNormalized\n",NULL);
    Tcl_AppendResult(interp,"  SetStartTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartTime\n",NULL);
    Tcl_AppendResult(interp,"  SetEndTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndTime\n",NULL);
    Tcl_AppendResult(interp,"  Tick\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationTime\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaTime\n",NULL);
    Tcl_AppendResult(interp,"  GetClockTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTimeMode" );
    Tcl_DStringAppendElement ( &dString, "GetTimeMode" );
    Tcl_DStringAppendElement ( &dString, "SetTimeModeToRelative" );
    Tcl_DStringAppendElement ( &dString, "SetTimeModeToNormalized" );
    Tcl_DStringAppendElement ( &dString, "SetStartTime" );
    Tcl_DStringAppendElement ( &dString, "GetStartTime" );
    Tcl_DStringAppendElement ( &dString, "SetEndTime" );
    Tcl_DStringAppendElement ( &dString, "GetEndTime" );
    Tcl_DStringAppendElement ( &dString, "Tick" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "GetAnimationTime" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaTime" );
    Tcl_DStringAppendElement ( &dString, "GetClockTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAnimationCue *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeMode */
    if ( strcmp ( argv[2], "SetTimeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time mode. In Normalized mode, the start and end \n times of the cue are normalized \\[0,1\\] with respect to the start and \n end times of the container scene. In Relative mode the start and end\n time of the cue are specified in offset seconds relative to the \n start time of the container scene.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeMode (int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SetTimeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeMode */
    if ( strcmp ( argv[2], "GetTimeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeMode */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time mode. In Normalized mode, the start and end \n times of the cue are normalized \\[0,1\\] with respect to the start and \n end times of the container scene. In Relative mode the start and end\n time of the cue are specified in offset seconds relative to the \n start time of the container scene.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetTimeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeModeToRelative */
    if ( strcmp ( argv[2], "SetTimeModeToRelative" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeModeToRelative" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeModeToRelative */
    Tcl_DStringAppendElement ( &dString, " Get/Set the time mode. In Normalized mode, the start and end \n times of the cue are normalized \\[0,1\\] with respect to the start and \n end times of the container scene. In Relative mode the start and end\n time of the cue are specified in offset seconds relative to the \n start time of the container scene.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeModeToRelative ();this SetTimeMode TIMEMODE_RELATIVE " );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SetTimeModeToRelative */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeModeToNormalized */
    if ( strcmp ( argv[2], "SetTimeModeToNormalized" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeModeToNormalized" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeModeToNormalized */
    Tcl_DStringAppendElement ( &dString, " Get/Set the Start time for this cue.\n When the current time is >= StartTime, the Cue is in\n ACTIVE state. if Current time i < StartTime, the Cue is in\n UNINITIALIZED state. Whenever the cue enters the ACTIVE state from\n an INACTIVE state, it triggers the StartEvent.\n The Start time is in seconds relative to the start of the \n container Scene (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Normalized time mode).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeModeToNormalized ();this SetTimeMode TIMEMODE_NORMALIZED " );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SetTimeModeToNormalized */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartTime */
    if ( strcmp ( argv[2], "SetStartTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartTime */
    Tcl_DStringAppendElement ( &dString, " Get/Set the Start time for this cue.\n When the current time is >= StartTime, the Cue is in\n ACTIVE state. if Current time i < StartTime, the Cue is in\n UNINITIALIZED state. Whenever the cue enters the ACTIVE state from\n an INACTIVE state, it triggers the StartEvent.\n The Start time is in seconds relative to the start of the \n container Scene (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Normalized time mode).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartTime (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SetStartTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartTime */
    if ( strcmp ( argv[2], "GetStartTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartTime */
    Tcl_DStringAppendElement ( &dString, " Get/Set the Start time for this cue.\n When the current time is >= StartTime, the Cue is in\n ACTIVE state. if Current time i < StartTime, the Cue is in\n UNINITIALIZED state. Whenever the cue enters the ACTIVE state from\n an INACTIVE state, it triggers the StartEvent.\n The Start time is in seconds relative to the start of the \n container Scene (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Normalized time mode).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetStartTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndTime */
    if ( strcmp ( argv[2], "SetEndTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndTime */
    Tcl_DStringAppendElement ( &dString, " Get/Set the End time for this cue.\n When the current time is > EndTime, the Cue is in\n INACTIVE state. Whenever the cue leaves an ACTIVE state to enter \n INACTIVE state, the EndEvent is triggered.\n The End time is in seconds relative to the start of the \n container Scene (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Normalized time mode).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndTime (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for SetEndTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndTime */
    if ( strcmp ( argv[2], "GetEndTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndTime */
    Tcl_DStringAppendElement ( &dString, " Get/Set the End time for this cue.\n When the current time is > EndTime, the Cue is in\n INACTIVE state. Whenever the cue leaves an ACTIVE state to enter \n INACTIVE state, the EndEvent is triggered.\n The End time is in seconds relative to the start of the \n container Scene (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Normalized time mode).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetEndTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Tick */
    if ( strcmp ( argv[2], "Tick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Tick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Tick */
    Tcl_DStringAppendElement ( &dString, " Indicates a tick or point in time in the animation.\n Triggers a Tick event if currenttime >= StartTime and\n currenttime <= EndTime.\n Whenever the state of the cue changes,\n either StartEvent or EndEvent is triggerred depending upon \n whether the cue entered Active state or quit active state respectively.\n The current time is relative to the start of the container Scene \n (when in Relative time mode) or is normalized\n over the span of the container Scene (when in Nor ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Tick (double currenttime, double deltatime, double clocktime);" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for Tick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Called when the playing of the scene begins.\n This will set the Cue to UNINITIALIZED state.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " Called when the scene reaches the end.\n If the cue state is ACTIVE when this method is called, this will\n trigger a EndAnimationCueEvent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Finalize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimationTime */
    if ( strcmp ( argv[2], "GetAnimationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimationTime */
    Tcl_DStringAppendElement ( &dString, " This is valid only in a AnimationCueTickEvent handler. \n Before firing the event the animation cue sets the AnimationTime to\n the time of the tick.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAnimationTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetAnimationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaTime */
    if ( strcmp ( argv[2], "GetDeltaTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaTime */
    Tcl_DStringAppendElement ( &dString, " This is valid only in a AnimationCueTickEvent handler.\n Before firing the event the animation cue sets the DeltaTime\n to the difference in time between the current tick and the last tick.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetDeltaTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClockTime */
    if ( strcmp ( argv[2], "GetClockTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClockTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClockTime */
    Tcl_DStringAppendElement ( &dString, " This is valid only in a AnimationCueTickEvent handler. \n Before firing the event the animation cue sets the ClockTime to\n the time of the tick. ClockTime is directly the time from the animation\n scene neither normalized nor offsetted to the start of the scene.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetClockTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAnimationCue" );
    /* Closing for GetClockTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
