// python wrapper for vtkAnimationScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnimationScene.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnimationSceneNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnimationSceneNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAnimationCueNew(char *); }

static PyObject *PyvtkAnimationScene_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  const char    *temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  vtkAnimationScene  *temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnimationScene  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnimationScene::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetPlayMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetPlayMode(temp0);
      }
    else
      {
      op->SetPlayMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetModeToSequence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetModeToSequence();
      }
    else
      {
      op->SetModeToSequence();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetModeToRealTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetModeToRealTime();
      }
    else
      {
      op->SetModeToRealTime();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_GetPlayMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetPlayMode();
      }
    else
      {
      temp20 = op->GetPlayMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  double   temp0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetFrameRate(temp0);
      }
    else
      {
      op->SetFrameRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_GetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  double   temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetFrameRate();
      }
    else
      {
      temp20 = op->GetFrameRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_AddCue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  vtkAnimationCue  *temp0;
  PyObject *tempH0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnimationCue *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnimationCue");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::AddCue(temp0);
      }
    else
      {
      op->AddCue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkAnimationScene_RemoveCue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  vtkAnimationCue  *temp0;
  PyObject *tempH0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAnimationCue *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAnimationCue");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::RemoveCue(temp0);
      }
    else
      {
      op->RemoveCue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAnimationScene_RemoveAllCues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::RemoveAllCues();
      }
    else
      {
      op->RemoveAllCues();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_GetNumberOfCues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetNumberOfCues();
      }
    else
      {
      temp20 = op->GetNumberOfCues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_Play(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::Play();
      }
    else
      {
      op->Play();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetLoop(temp0);
      }
    else
      {
      op->SetLoop(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_GetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetLoop();
      }
    else
      {
      temp20 = op->GetLoop();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetAnimationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  double   temp0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetAnimationTime(temp0);
      }
    else
      {
      op->SetAnimationTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_GetAnimationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  double   temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::GetAnimationTime();
      }
    else
      {
      temp20 = op->GetAnimationTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_SetTimeMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp0;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnimationScene::SetTimeMode(temp0);
      }
    else
      {
      op->SetTimeMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnimationScene_IsInPlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnimationScene *op;

  int      temp20;
  op = (vtkAnimationScene *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnimationScene::IsInPlay();
      }
    else
      {
      temp20 = op->IsInPlay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAnimationSceneMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnimationScene_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnimationScene_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnimationScene_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnimationScene\nC++: vtkAnimationScene *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnimationScene_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnimationScene\nC++: vtkAnimationScene *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPlayMode",                (PyCFunction)PyvtkAnimationScene_SetPlayMode, 1,
   (char*)"V.SetPlayMode(int)\nC++: void SetPlayMode (int );\n\n Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n"},
  {(char*)"SetModeToSequence",                (PyCFunction)PyvtkAnimationScene_SetModeToSequence, 1,
   (char*)"V.SetModeToSequence()\nC++: void SetModeToSequence ();this SetPlayMode PLAYMODE_SEQUENCE \n\n Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n"},
  {(char*)"SetModeToRealTime",                (PyCFunction)PyvtkAnimationScene_SetModeToRealTime, 1,
   (char*)"V.SetModeToRealTime()\nC++: void SetModeToRealTime ();this SetPlayMode PLAYMODE_REALTIME \n\n Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n"},
  {(char*)"GetPlayMode",                (PyCFunction)PyvtkAnimationScene_GetPlayMode, 1,
   (char*)"V.GetPlayMode() -> int\nC++: int GetPlayMode ();\n\n Get/Set the PlayMode for running/playing the animation scene.\n In the Sequence mode, all the frames are generated one after the other.\n The time reported to each Tick of the constituent cues (during Play) is\n incremented by 1/frame rate, irrespective of the current time.\n In the RealTime mode, time indicates the instance in time. \n"},
  {(char*)"SetFrameRate",                (PyCFunction)PyvtkAnimationScene_SetFrameRate, 1,
   (char*)"V.SetFrameRate(float)\nC++: void SetFrameRate (double );\n\n Get/Set the frame rate (in frames per second).\n This parameter affects only in the Sequence mode. The time interval\n indicated to each cue on every tick is progressed by 1/frame-rate seconds.\n"},
  {(char*)"GetFrameRate",                (PyCFunction)PyvtkAnimationScene_GetFrameRate, 1,
   (char*)"V.GetFrameRate() -> float\nC++: double GetFrameRate ();\n\n Get/Set the frame rate (in frames per second).\n This parameter affects only in the Sequence mode. The time interval\n indicated to each cue on every tick is progressed by 1/frame-rate seconds.\n"},
  {(char*)"AddCue",                (PyCFunction)PyvtkAnimationScene_AddCue, 1,
   (char*)"V.AddCue(vtkAnimationCue)\nC++: void AddCue (vtkAnimationCue *cue);\n\n Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n"},
  {(char*)"RemoveCue",                (PyCFunction)PyvtkAnimationScene_RemoveCue, 1,
   (char*)"V.RemoveCue(vtkAnimationCue)\nC++: void RemoveCue (vtkAnimationCue *cue);\n\n Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n"},
  {(char*)"RemoveAllCues",                (PyCFunction)PyvtkAnimationScene_RemoveAllCues, 1,
   (char*)"V.RemoveAllCues()\nC++: void RemoveAllCues ();\n\n Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n"},
  {(char*)"GetNumberOfCues",                (PyCFunction)PyvtkAnimationScene_GetNumberOfCues, 1,
   (char*)"V.GetNumberOfCues() -> int\nC++: int GetNumberOfCues ();\n\n Add/Remove an AnimationCue to/from the Scene.\n It's an error to add a cue twice to the Scene.\n"},
  {(char*)"Play",                (PyCFunction)PyvtkAnimationScene_Play, 1,
   (char*)"V.Play()\nC++: virtual void Play ();\n\n Starts playing the animation scene. Fires a vtkCommand::StartEvent\n before play beings and vtkCommand::EndEvent after play ends.\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkAnimationScene_Stop, 1,
   (char*)"V.Stop()\nC++: void Stop ();\n\n Stops the animation scene that is running.\n"},
  {(char*)"SetLoop",                (PyCFunction)PyvtkAnimationScene_SetLoop, 1,
   (char*)"V.SetLoop(int)\nC++: void SetLoop (int );\n\n Enable/Disable animation loop.\n"},
  {(char*)"GetLoop",                (PyCFunction)PyvtkAnimationScene_GetLoop, 1,
   (char*)"V.GetLoop() -> int\nC++: int GetLoop ();\n\n Enable/Disable animation loop.\n"},
  {(char*)"SetAnimationTime",                (PyCFunction)PyvtkAnimationScene_SetAnimationTime, 1,
   (char*)"V.SetAnimationTime(float)\nC++: void SetAnimationTime (double time);\n\n Makes the state of the scene same as the given time.\n"},
  {(char*)"GetAnimationTime",                (PyCFunction)PyvtkAnimationScene_GetAnimationTime, 1,
   (char*)"V.GetAnimationTime() -> float\nC++: double GetAnimationTime ();\n\n Makes the state of the scene same as the given time.\n"},
  {(char*)"SetTimeMode",                (PyCFunction)PyvtkAnimationScene_SetTimeMode, 1,
   (char*)"V.SetTimeMode(int)\nC++: virtual void SetTimeMode (int mode);\n\n Overridden to allow change to Normalized mode only\n if none of the constituent cues is in Relative time mode.\n"},
  {(char*)"IsInPlay",                (PyCFunction)PyvtkAnimationScene_IsInPlay, 1,
   (char*)"V.IsInPlay() -> int\nC++: int IsInPlay ();return this InPlay \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnimationSceneDoc[] = {
  (char*)"vtkAnimationScene - the animation scene manager.\n\n",
  "Super Class:\n\n vtkAnimationCue\n\n",
  (char*)" vtkAnimationCue and vtkAnimationScene provide the framework to support\n animations in VTK. vtkAnimationCue represents an entity that changes/\n animates with time, while vtkAnimationScene represents scene or setup \n for the animation, which consists of individual cues or other scenes.\n\n A scene can be played in real time mode, or as a seqence of frames\n 1/frame rate apart in time.\n\n",
  "See Also:\n\n vtkAnimationCue\n\n",
  NULL
};

static vtkObjectBase *vtkAnimationSceneStaticNew()
{
  return vtkAnimationScene::New();
}

PyObject *PyVTKClass_vtkAnimationSceneNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnimationSceneStaticNew,
                        PyvtkAnimationSceneMethods,
                        (char*)"vtkAnimationScene",modulename,
                        (char**)vtkAnimationSceneDoc,
                        PyVTKClass_vtkAnimationCueNew(modulename));
}

