// python wrapper for vtkAssemblyPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAssemblyPath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssemblyPathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssemblyPathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkAssemblyPath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  const char    *temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  char    *temp0;
  int      temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkAssemblyPath  *temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssemblyPath  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssemblyPath::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssemblyPath_AddNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyPath::AddNode(temp0,temp1);
      }
    else
      {
      op->AddNode(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAssemblyPath_GetNextNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkAssemblyNode  *temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::GetNextNode();
      }
    else
      {
      temp20 = op->GetNextNode();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_GetFirstNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkAssemblyNode  *temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::GetFirstNode();
      }
    else
      {
      temp20 = op->GetFirstNode();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_GetLastNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkAssemblyNode  *temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::GetLastNode();
      }
    else
      {
      temp20 = op->GetLastNode();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_DeleteLastNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyPath::DeleteLastNode();
      }
    else
      {
      op->DeleteLastNode();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPath_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  vtkAssemblyPath  *temp0;
  PyObject *tempH0;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAssemblyPath *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAssemblyPath");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyPath::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAssemblyPath_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPath *op;

  unsigned long     temp20;
  op = (vtkAssemblyPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPath::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssemblyPathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssemblyPath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssemblyPath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssemblyPath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssemblyPath\nC++: vtkAssemblyPath *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssemblyPath_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssemblyPath\nC++: vtkAssemblyPath *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddNode",                (PyCFunction)PyvtkAssemblyPath_AddNode, 1,
   (char*)"V.AddNode(vtkProp, vtkMatrix4x4)\nC++: void AddNode (vtkProp *p, vtkMatrix4x4 *m);\n\n Convenience method adds a prop and matrix together,\n creating an assembly node transparently. The matrix\n pointer m may be NULL. Note: that matrix is the one,\n if any, associated with the prop. \n"},
  {(char*)"GetNextNode",                (PyCFunction)PyvtkAssemblyPath_GetNextNode, 1,
   (char*)"V.GetNextNode() -> vtkAssemblyNode\nC++: vtkAssemblyNode *GetNextNode ();\n\n Get the next assembly node in the list. The node returned\n contains a pointer to a prop and a 4x4 matrix. The matrix\n is evaluated based on the preceding assembly hierarchy\n (i.e., the matrix is not necessarily as the same as the\n one that was added with AddNode() because of the \n concatenation of matrices in the assembly hierarchy).\n"},
  {(char*)"GetFirstNode",                (PyCFunction)PyvtkAssemblyPath_GetFirstNode, 1,
   (char*)"V.GetFirstNode() -> vtkAssemblyNode\nC++: vtkAssemblyNode *GetFirstNode ();\n\n Get the first assembly node in the list. See the comments for\n GetNextNode() regarding the contents of the returned node. (Note: This\n node corresponds to the vtkProp associated with the vtkRenderer.\n"},
  {(char*)"GetLastNode",                (PyCFunction)PyvtkAssemblyPath_GetLastNode, 1,
   (char*)"V.GetLastNode() -> vtkAssemblyNode\nC++: vtkAssemblyNode *GetLastNode ();\n\n Get the last assembly node in the list. See the comments\n for GetNextNode() regarding the contents of the returned node.\n"},
  {(char*)"DeleteLastNode",                (PyCFunction)PyvtkAssemblyPath_DeleteLastNode, 1,
   (char*)"V.DeleteLastNode()\nC++: void DeleteLastNode ();\n\n Delete the last assembly node in the list. This is like\n a stack pop.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAssemblyPath_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkAssemblyPath)\nC++: void ShallowCopy (vtkAssemblyPath *path);\n\n Perform a shallow copy (reference counted) on the\n incoming path.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAssemblyPath_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Override the standard GetMTime() to check for the modified times\n of the nodes in this path.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssemblyPathDoc[] = {
  (char*)"vtkAssemblyPath - a list of nodes that form an assembly path\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkAssemblyPath represents an ordered list of assembly nodes that\n represent a fully evaluated assembly path. This class is used primarily\n for picking. Note that the use of this class is to add one or more\n assembly nodes to form the path. (An assembly node consists of an instance\n of vtkProp and vtkMatrix4x4, the matrix may be NULL.) As each node is\n added, the matrices are concatenated to crea",
  (char*)"te a final, evaluated matrix.\n\n",
  "See Also:\n\n vtkAssemblyNode vtkAssembly vtkActor vtkMatrix4x4 vtkProp vtkAbstractPicker\n\n",
  NULL
};

static vtkObjectBase *vtkAssemblyPathStaticNew()
{
  return vtkAssemblyPath::New();
}

PyObject *PyVTKClass_vtkAssemblyPathNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssemblyPathStaticNew,
                        PyvtkAssemblyPathMethods,
                        (char*)"vtkAssemblyPath",modulename,
                        (char**)vtkAssemblyPathDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

