// python wrapper for vtkBitArrayIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBitArrayIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBitArrayIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBitArrayIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkArrayIteratorNew(char *); }

static PyObject *PyvtkBitArrayIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  const char    *temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkBitArrayIterator  *temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBitArrayIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBitArrayIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArrayIterator::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkAbstractArray  *temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetArray();
      }
    else
      {
      temp20 = op->GetArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkIdType   temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetNumberOfTuples();
      }
    else
      {
      temp20 = op->GetNumberOfTuples();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkIdType   temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetNumberOfValues();
      }
    else
      {
      temp20 = op->GetNumberOfValues();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  int      temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  int      temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  int      temp20;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArrayIterator::GetDataTypeSize();
      }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArrayIterator_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArrayIterator *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkBitArrayIterator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArrayIterator::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBitArrayIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBitArrayIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBitArrayIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBitArrayIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBitArrayIterator\nC++: vtkBitArrayIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBitArrayIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBitArrayIterator\nC++: vtkBitArrayIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkBitArrayIterator_Initialize, 1,
   (char*)"V.Initialize(vtkAbstractArray)\nC++: virtual void Initialize (vtkAbstractArray *array);\n\n Set the array this iterator will iterate over.\n After Initialize() has been called, the iterator is valid\n so long as the Array has not been modified \n (except using the iterator itself).\n If the array is modified, the iterator must be re-intialized.\n"},
  {(char*)"GetArray",                (PyCFunction)PyvtkBitArrayIterator_GetArray, 1,
   (char*)"V.GetArray() -> vtkAbstractArray\nC++: vtkAbstractArray *GetArray ();\n\n Get the array.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkBitArrayIterator_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: int GetValue (vtkIdType id);\n\n Must be called only after Initialize.\n"},
  {(char*)"GetNumberOfTuples",                (PyCFunction)PyvtkBitArrayIterator_GetNumberOfTuples, 1,
   (char*)"V.GetNumberOfTuples() -> int\nC++: vtkIdType GetNumberOfTuples ();\n\n Must be called only after Initialize.\n"},
  {(char*)"GetNumberOfValues",                (PyCFunction)PyvtkBitArrayIterator_GetNumberOfValues, 1,
   (char*)"V.GetNumberOfValues() -> int\nC++: vtkIdType GetNumberOfValues ();\n\n Must be called only after Initialize.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkBitArrayIterator_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Must be called only after Initialize.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkBitArrayIterator_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();\n\n Get the data type from the underlying array.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkBitArrayIterator_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: int GetDataTypeSize ();\n\n Get the data type size from the underlying array.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkBitArrayIterator_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType id, int value);\n\n Sets the value at the index. This does not verify if the index is valid.\n The caller must ensure that id is less than the maximum number of values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBitArrayIteratorDoc[] = {
  (char*)"vtkBitArrayIterator - Iterator for vtkBitArray.\n\n",
  "Super Class:\n\n vtkArrayIterator\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkBitArrayIteratorStaticNew()
{
  return vtkBitArrayIterator::New();
}

PyObject *PyVTKClass_vtkBitArrayIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkBitArrayIteratorStaticNew,
                        PyvtkBitArrayIteratorMethods,
                        (char*)"vtkBitArrayIterator",modulename,
                        (char**)vtkBitArrayIteratorDoc,
                        PyVTKClass_vtkArrayIteratorNew(modulename));
}

