// python wrapper for vtkBitArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBitArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBitArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBitArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkBitArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  const char    *temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkBitArray  *temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBitArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBitArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBitArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::GetDataTypeSize();
      }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetNumberOfTuples(temp0);
      }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetTuple(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkBitArray_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::InsertTuple(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkBitArray_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::InsertNextTuple(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBitArray_RemoveTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::RemoveTuple(temp0);
      }
    else
      {
      op->RemoveTuple(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_RemoveFirstTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::RemoveFirstTuple();
      }
    else
      {
      op->RemoveFirstTuple();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_RemoveLastTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::RemoveLastTuple();
      }
    else
      {
      op->RemoveLastTuple();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::Resize(temp0);
      }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_InsertComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::InsertComponent(temp0,temp1,temp2);
      }
    else
      {
      op->InsertComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_WriteVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  void    *temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::WriteVoidPointer(temp0,temp1);
      }
    else
      {
      temp20 = op->WriteVoidPointer(temp0,temp1);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkIdType   temp0;
  void    *temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::GetVoidPointer(temp0);
      }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkBitArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkBitArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkBitArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::SetVoidArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  vtkArrayIterator  *temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_LookupValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBitArray::LookupValue(temp0);
      }
    else
      {
      temp20 = op->LookupValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkBitArray *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::LookupValue(temp0,temp1);
      }
    else
      {
      op->LookupValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkBitArray_DataChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::DataChanged();
      }
    else
      {
      op->DataChanged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBitArray_ClearLookup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBitArray *op;

  op = (vtkBitArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBitArray::ClearLookup();
      }
    else
      {
      op->ClearLookup();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBitArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBitArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBitArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBitArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBitArray\nC++: vtkBitArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBitArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBitArray\nC++: vtkBitArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkBitArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (vtkIdType sz, vtkIdType ext);\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkBitArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkBitArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_BIT \n\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkBitArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: int GetDataTypeSize ();return \n\n Set the number of n-tuples in the array.\n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkBitArray_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: void SetNumberOfTuples (vtkIdType number);\n\n Set the number of n-tuples in the array.\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkBitArray_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkAbstractArray)\nC++: virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkBitArray_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkAbstractArray)\nC++: virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkBitArray_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkAbstractArray) -> int\nC++: virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source);\n\n Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n"},
  {(char*)"RemoveTuple",                (PyCFunction)PyvtkBitArray_RemoveTuple, 1,
   (char*)"V.RemoveTuple(int)\nC++: virtual void RemoveTuple (vtkIdType id);\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"RemoveFirstTuple",                (PyCFunction)PyvtkBitArray_RemoveFirstTuple, 1,
   (char*)"V.RemoveFirstTuple()\nC++: virtual void RemoveFirstTuple ();\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"RemoveLastTuple",                (PyCFunction)PyvtkBitArray_RemoveLastTuple, 1,
   (char*)"V.RemoveLastTuple()\nC++: virtual void RemoveLastTuple ();\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkBitArray_SetComponent, 1,
   (char*)"V.SetComponent(int, int, float)\nC++: void SetComponent (vtkIdType i, int j, double c);\n\n Set the data component at the ith tuple and jth component location.\n Note that i is less then NumberOfTuples and j is less then \n NumberOfComponents. Make sure enough memory has been allocated (use \n SetNumberOfTuples() and  SetNumberOfComponents()).\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkBitArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Free any unneeded memory.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkBitArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples);\n\n Resize the array while conserving the data.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkBitArray_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: int GetValue (vtkIdType id);\n\n Get the data at a particular index.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkBitArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);\n\n Fast method based setting of values without memory checks. First\n use SetNumberOfValues then use SetValue to actually set them.\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkBitArray_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType id, int value);\n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkBitArray_InsertValue, 1,
   (char*)"V.InsertValue(int, int)\nC++: void InsertValue (vtkIdType id, int i);\n\n Insets values and checks to make sure there is enough memory\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkBitArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(int) -> int\nC++: vtkIdType InsertNextValue (int i);\n\n Insets values and checks to make sure there is enough memory\n"},
  {(char*)"InsertComponent",                (PyCFunction)PyvtkBitArray_InsertComponent, 1,
   (char*)"V.InsertComponent(int, int, float)\nC++: virtual void InsertComponent (vtkIdType i, int j, double c);\n\n Insert the data component at ith tuple and jth component location. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"WriteVoidPointer",                (PyCFunction)PyvtkBitArray_WriteVoidPointer, 1,
   (char*)"V.WriteVoidPointer(int, int) -> string\nC++: void *WriteVoidPointer (vtkIdType id, vtkIdType number);return this WritePointer id number \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkBitArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: void *GetVoidPointer (vtkIdType id);return static_cast void this GetPointer id \n\n Deep copy of another bit array.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkBitArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataArray)\nC++: void DeepCopy (vtkDataArray *da);\nV.DeepCopy(vtkAbstractArray)\nC++: void DeepCopy (vtkAbstractArray *aa);this Superclass DeepCopy aa \n\n Deep copy of another bit array.\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkBitArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: void SetVoidArray (void *array, vtkIdType size, int save);this SetArray static_cast unsigned char array size save \n\n Returns a new vtkBitArrayIterator instance.\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkBitArray_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkArrayIterator\nC++: vtkArrayIterator *NewIterator ();\n\n Returns a new vtkBitArrayIterator instance.\n"},
  {(char*)"LookupValue",                (PyCFunction)PyvtkBitArray_LookupValue, 1,
   (char*)"V.LookupValue(int) -> int\nC++: vtkIdType LookupValue (int value);\nV.LookupValue(int, vtkIdList)\nC++: void LookupValue (int value, vtkIdList *ids);\n\n"},
  {(char*)"DataChanged",                (PyCFunction)PyvtkBitArray_DataChanged, 1,
   (char*)"V.DataChanged()\nC++: virtual void DataChanged ();\n\n Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n"},
  {(char*)"ClearLookup",                (PyCFunction)PyvtkBitArray_ClearLookup, 1,
   (char*)"V.ClearLookup()\nC++: virtual void ClearLookup ();\n\n Delete the associated fast lookup data structure on this array,\n if it exists.  The lookup will be rebuilt on the next call to a lookup\n function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBitArrayDoc[] = {
  (char*)"vtkBitArray - dynamic, self-adjusting array of bits\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkBitArray is an array of bits (0/1 data value). The array is packed \n so that each byte stores eight bits. vtkBitArray provides methods\n for insertion and retrieval of bits, and will automatically resize \n itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkBitArrayStaticNew()
{
  return vtkBitArray::New();
}

PyObject *PyVTKClass_vtkBitArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkBitArrayStaticNew,
                        PyvtkBitArrayMethods,
                        (char*)"vtkBitArray",modulename,
                        (char**)vtkBitArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

