// python wrapper for vtkBox object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBox.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkBox_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  const char    *temp20;
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBox::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  char    *temp0;
  int      temp20;
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBox::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  vtkBox  *temp20;
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBox::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBox  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBox::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBox_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  double   temp20;
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBox::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkBox *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBox::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  double temp1[3];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_SetXMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetXMin(temp0);
      }
    else
      {
      op->SetXMin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBox *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetXMin(temp0,temp1,temp2);
      }
    else
      {
      op->SetXMin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_GetXMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::GetXMin(temp0);
      }
    else
      {
      op->GetXMin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_SetXMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetXMax(temp0);
      }
    else
      {
      op->SetXMax(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBox *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetXMax(temp0,temp1,temp2);
      }
    else
      {
      op->SetXMax(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_GetXMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[3];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::GetXMax(temp0);
      }
    else
      {
      op->GetXMax(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[6];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBox_AddBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBox *op;

  double temp0[6];
  op = (vtkBox *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBox::AddBounds(temp0);
      }
    else
      {
      op->AddBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBoxMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBox_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBox_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBox_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBox\nC++: vtkBox *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBox_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBox\nC++: vtkBox *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkBox_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkBox_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n"},
  {(char*)"SetXMin",                (PyCFunction)PyvtkBox_SetXMin, 1,
   (char*)"V.SetXMin((float, float, float))\nC++: void SetXMin (double p[3]);\nV.SetXMin(float, float, float)\nC++: void SetXMin (double x, double y, double z);\n\n Set / get the bounding box using various methods.\n"},
  {(char*)"GetXMin",                (PyCFunction)PyvtkBox_GetXMin, 1,
   (char*)"V.GetXMin((float, float, float))\nC++: void GetXMin (double p[3]);\n\n Set / get the bounding box using various methods.\n"},
  {(char*)"SetXMax",                (PyCFunction)PyvtkBox_SetXMax, 1,
   (char*)"V.SetXMax((float, float, float))\nC++: void SetXMax (double p[3]);\nV.SetXMax(float, float, float)\nC++: void SetXMax (double x, double y, double z);\n\n"},
  {(char*)"GetXMax",                (PyCFunction)PyvtkBox_GetXMax, 1,
   (char*)"V.GetXMax((float, float, float))\nC++: void GetXMax (double p[3]);\n\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkBox_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double bounds[6]);\n\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkBox_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\n\n"},
  {(char*)"AddBounds",                (PyCFunction)PyvtkBox_AddBounds, 1,
   (char*)"V.AddBounds((float, float, float, float, float, float))\nC++: void AddBounds (double bounds[6]);\n\n A special method that allows union set operation on bounding boxes.\n Start with a SetBounds(). Subsequent AddBounds() methods are union set\n operations on the original bounds. Retrieve the final bounds with a \n GetBounds() method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxDoc[] = {
  (char*)"vtkBox - implicit function for a bounding box\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkBox computes the implicit function and/or gradient for a axis-aligned\n bounding box. (The superclasses transform can be used to modify this\n orientation.) Each side of the box is orthogonal to all other sides\n meeting along shared edges and all faces are orthogonal to the x-y-z\n coordinate axes.  (If you wish to orient this box differently, recall that\n the superclass vtkImplicitFunction suppo",
  (char*)"rts a transformation matrix.)\n vtkCube is a concrete implementation of vtkImplicitFunction.\n \n\n",
  "See Also:\n\n vtkCubeSource vtkImplicitFunction\n\n",
  NULL
};

static vtkObjectBase *vtkBoxStaticNew()
{
  return vtkBox::New();
}

PyObject *PyVTKClass_vtkBoxNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxStaticNew,
                        PyvtkBoxMethods,
                        (char*)"vtkBox",modulename,
                        (char**)vtkBoxDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

