// python wrapper for vtkByteSwap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkByteSwap.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkByteSwapNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkByteSwapNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkByteSwap_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkByteSwap *op;

  const char    *temp20;
  op = (vtkByteSwap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkByteSwap::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkByteSwap *op;

  char    *temp0;
  int      temp20;
  op = (vtkByteSwap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkByteSwap::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkByteSwap *op;

  vtkByteSwap  *temp20;
  op = (vtkByteSwap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkByteSwap::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkByteSwap  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkByteSwap::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap2LE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2LE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2LE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap2LE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap4LE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4LE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4LE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap4LE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap8LE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8LE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8LE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap8LE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap2LERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2LERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2LERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap2LERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap4LERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4LERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4LERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap4LERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap8LERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8LERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8LERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap8LERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap2BE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2BE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2BE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap2BE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap4BE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4BE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4BE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap4BE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap8BE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  if ((PyArg_ParseTuple(args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8BE in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8BE in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap8BE(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap2BERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2BERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap2BERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap2BERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap4BERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4BERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap4BERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap4BERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_Swap8BERange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8BERange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Swap8BERange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::Swap8BERange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkByteSwap_SwapVoidRange(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  void    *temp0;
  int      size0;
  int      temp1;
  int      temp2;
  if ((PyArg_ParseTuple(args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SwapVoidRange in vtkByteSwap was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SwapVoidRange in vtkByteSwap was poorly formed.");
      return NULL;
      }
      {
      vtkByteSwap::SwapVoidRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkByteSwapMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkByteSwap_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkByteSwap_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkByteSwap_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkByteSwap\nC++: vtkByteSwap *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkByteSwap_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkByteSwap\nC++: vtkByteSwap *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Swap2LE",                (PyCFunction)PyvtkByteSwap_Swap2LE, 1,
   (char*)"V.Swap2LE(string)\nC++: static void Swap2LE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Little Endian.\n"},
  {(char*)"Swap4LE",                (PyCFunction)PyvtkByteSwap_Swap4LE, 1,
   (char*)"V.Swap4LE(string)\nC++: static void Swap4LE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Little Endian.\n"},
  {(char*)"Swap8LE",                (PyCFunction)PyvtkByteSwap_Swap8LE, 1,
   (char*)"V.Swap8LE(string)\nC++: static void Swap8LE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Little Endian.\n"},
  {(char*)"Swap2LERange",                (PyCFunction)PyvtkByteSwap_Swap2LERange, 1,
   (char*)"V.Swap2LERange(string, int)\nC++: static void Swap2LERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.\n"},
  {(char*)"Swap4LERange",                (PyCFunction)PyvtkByteSwap_Swap4LERange, 1,
   (char*)"V.Swap4LERange(string, int)\nC++: static void Swap4LERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.\n"},
  {(char*)"Swap8LERange",                (PyCFunction)PyvtkByteSwap_Swap8LERange, 1,
   (char*)"V.Swap8LERange(string, int)\nC++: static void Swap8LERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.\n"},
  {(char*)"Swap2BE",                (PyCFunction)PyvtkByteSwap_Swap2BE, 1,
   (char*)"V.Swap2BE(string)\nC++: static void Swap2BE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Big Endian.\n"},
  {(char*)"Swap4BE",                (PyCFunction)PyvtkByteSwap_Swap4BE, 1,
   (char*)"V.Swap4BE(string)\nC++: static void Swap4BE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Big Endian.\n"},
  {(char*)"Swap8BE",                (PyCFunction)PyvtkByteSwap_Swap8BE, 1,
   (char*)"V.Swap8BE(string)\nC++: static void Swap8BE (void *p);\n\n Swap 2, 4, or 8 bytes for storage as Big Endian.\n"},
  {(char*)"Swap2BERange",                (PyCFunction)PyvtkByteSwap_Swap2BERange, 1,
   (char*)"V.Swap2BERange(string, int)\nC++: static void Swap2BERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.\n"},
  {(char*)"Swap4BERange",                (PyCFunction)PyvtkByteSwap_Swap4BERange, 1,
   (char*)"V.Swap4BERange(string, int)\nC++: static void Swap4BERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.\n"},
  {(char*)"Swap8BERange",                (PyCFunction)PyvtkByteSwap_Swap8BERange, 1,
   (char*)"V.Swap8BERange(string, int)\nC++: static void Swap8BERange (void *p, int num);\n\n Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.\n"},
  {(char*)"SwapVoidRange",                (PyCFunction)PyvtkByteSwap_SwapVoidRange, 1,
   (char*)"V.SwapVoidRange(string, int, int)\nC++: static void SwapVoidRange (void *buffer, int numWords, int wordSize);\n\n Swaps the bytes of a buffer.  Uses an arbitrary word size, but\n assumes the word size is divisible by two.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkByteSwapDoc[] = {
  (char*)"vtkByteSwap - perform machine dependent byte swapping\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkByteSwap is used by other classes to perform machine dependent byte\n swapping. Byte swapping is often used when reading or writing binary \n files.\n\n",
  NULL
};

static vtkObjectBase *vtkByteSwapStaticNew()
{
  return vtkByteSwap::New();
}

PyObject *PyVTKClass_vtkByteSwapNew(char *modulename)
{
  return PyVTKClass_New(&vtkByteSwapStaticNew,
                        PyvtkByteSwapMethods,
                        (char*)"vtkByteSwap",modulename,
                        (char**)vtkByteSwapDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

