// python wrapper for vtkCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCharArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCharArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCharArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkCharArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  const char    *temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkCharArray  *temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCharArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCharArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCharArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  int      temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_GetTupleValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char    *temp1;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::GetTupleValue(temp0,temp1);
      }
    else
      {
      op->GetTupleValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_SetTupleValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char    *temp1;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::SetTupleValue(temp0,temp1);
      }
    else
      {
      op->SetTupleValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_InsertTupleValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char    *temp1;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::InsertTupleValue(temp0,temp1);
      }
    else
      {
      op->InsertTupleValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_InsertNextTupleValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  char    *temp0;
  vtkIdType   temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::InsertNextTupleValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextTupleValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char     temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyString_FromStringAndSize((char *)&temp20,1);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char     temp1;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ic", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char     temp1;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ic", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  char     temp0;
  vtkIdType   temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"c", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_WritePointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  char    *temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::WritePointer(temp0,temp1);
      }
    else
      {
      temp20 = op->WritePointer(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_GetPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  vtkIdType   temp0;
  char    *temp20;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCharArray::GetPointer(temp0);
      }
    else
      {
      temp20 = op->GetPointer(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCharArray_SetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCharArray *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"zii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::SetArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCharArray *op;

  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  PyErr_Clear();
  op = (vtkCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCharArray::SetArray(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetArray(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCharArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCharArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCharArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCharArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCharArray\nC++: vtkCharArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCharArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCharArray\nC++: vtkCharArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkCharArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_CHAR \n\n Copy the tuple value into a user-provided array.\n"},
  {(char*)"GetTupleValue",                (PyCFunction)PyvtkCharArray_GetTupleValue, 1,
   (char*)"V.GetTupleValue(int, string)\nC++: void GetTupleValue (vtkIdType i, char *tuple);this RealSuperclass GetTupleValue i tuple \n\n Set the tuple value at the ith location in the array.\n"},
  {(char*)"SetTupleValue",                (PyCFunction)PyvtkCharArray_SetTupleValue, 1,
   (char*)"V.SetTupleValue(int, string)\nC++: void SetTupleValue (vtkIdType i, const char *tuple);this RealSuperclass SetTupleValue i tuple \n\n Insert (memory allocation performed) the tuple into the ith location\n in the array.\n"},
  {(char*)"InsertTupleValue",                (PyCFunction)PyvtkCharArray_InsertTupleValue, 1,
   (char*)"V.InsertTupleValue(int, string)\nC++: void InsertTupleValue (vtkIdType i, const char *tuple);this RealSuperclass InsertTupleValue i tuple \n\n Insert (memory allocation performed) the tuple onto the end of the array.\n"},
  {(char*)"InsertNextTupleValue",                (PyCFunction)PyvtkCharArray_InsertNextTupleValue, 1,
   (char*)"V.InsertNextTupleValue(string) -> int\nC++: vtkIdType InsertNextTupleValue (const char *tuple);return this RealSuperclass InsertNextTupleValue tuple \n\n Get the data at a particular index.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkCharArray_GetValue, 1,
   (char*)"V.GetValue(int) -> char\nC++: char GetValue (vtkIdType id);return this RealSuperclass GetValue id \n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkCharArray_SetValue, 1,
   (char*)"V.SetValue(int, char)\nC++: void SetValue (vtkIdType id, char value);this RealSuperclass SetValue id value \n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkCharArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkCharArray_InsertValue, 1,
   (char*)"V.InsertValue(int, char)\nC++: void InsertValue (vtkIdType id, char f);this RealSuperclass InsertValue id f \n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkCharArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(char) -> int\nC++: vtkIdType InsertNextValue (char f);return this RealSuperclass InsertNextValue f \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {(char*)"WritePointer",                (PyCFunction)PyvtkCharArray_WritePointer, 1,
   (char*)"V.WritePointer(int, int) -> string\nC++: char *WritePointer (vtkIdType id, vtkIdType number);return this RealSuperclass WritePointer id number \n\n Get the address of a particular data index. Performs no checks\n to verify that the memory has been allocated etc.\n"},
  {(char*)"GetPointer",                (PyCFunction)PyvtkCharArray_GetPointer, 1,
   (char*)"V.GetPointer(int) -> string\nC++: char *GetPointer (vtkIdType id);return this RealSuperclass GetPointer id \n\n This method lets the user specify data to be held by the array.  The\n array argument is a pointer to the data.  size is the size of\n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data\n from the suppled array. \n"},
  {(char*)"SetArray",                (PyCFunction)PyvtkCharArray_SetArray, 1,
   (char*)"V.SetArray(string, int, int)\nC++: void SetArray (char *array, vtkIdType size, int save);this RealSuperclass SetArray array size save \nV.SetArray(string, int, int, int)\nC++: void SetArray (char *array, vtkIdType size, int save, int deleteMethod);this RealSuperclass SetArray array size save deleteMethod \n\n This method lets the user specify data to be held by the array.  The\n array argument is a pointer to the data.  size is the size of\n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data\n from the suppled array. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCharArrayDoc[] = {
  (char*)"vtkCharArray - dynamic, self-adjusting array of char\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkCharArray is an array of values of type char.  It provides\n methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkCharArrayStaticNew()
{
  return vtkCharArray::New();
}

PyObject *PyVTKClass_vtkCharArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkCharArrayStaticNew,
                        PyvtkCharArrayMethods,
                        (char*)"vtkCharArray",modulename,
                        (char**)vtkCharArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

