// python wrapper for vtkClientSocket object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClientSocket.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClientSocketNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClientSocketNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSocketNew(char *); }

static PyObject *PyvtkClientSocket_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClientSocket *op;

  const char    *temp20;
  op = (vtkClientSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClientSocket::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClientSocket_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClientSocket *op;

  char    *temp0;
  int      temp20;
  op = (vtkClientSocket *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClientSocket::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClientSocket_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClientSocket *op;

  vtkClientSocket  *temp20;
  op = (vtkClientSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClientSocket::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClientSocket_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClientSocket  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClientSocket::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClientSocket_ConnectToServer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClientSocket *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  op = (vtkClientSocket *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClientSocket::ConnectToServer(temp0,temp1);
      }
    else
      {
      temp20 = op->ConnectToServer(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClientSocketMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClientSocket_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClientSocket_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClientSocket_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClientSocket\nC++: vtkClientSocket *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClientSocket_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClientSocket\nC++: vtkClientSocket *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ConnectToServer",                (PyCFunction)PyvtkClientSocket_ConnectToServer, 1,
   (char*)"V.ConnectToServer(string, int) -> int\nC++: int ConnectToServer (const char *hostname, int port);\n\n Connects to host. Returns 0 on success, -1 on error.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClientSocketDoc[] = {
  (char*)"vtkClientSocket - Encapsulates a client socket.\n\n",
  "Super Class:\n\n vtkSocket\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkClientSocketStaticNew()
{
  return vtkClientSocket::New();
}

PyObject *PyVTKClass_vtkClientSocketNew(char *modulename)
{
  return PyVTKClass_New(&vtkClientSocketStaticNew,
                        PyvtkClientSocketMethods,
                        (char*)"vtkClientSocket",modulename,
                        (char**)vtkClientSocketDoc,
                        PyVTKClass_vtkSocketNew(modulename));
}

