// python wrapper for vtkCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  const char    *temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkCollection  *temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollection_ReplaceItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  int      temp0;
  vtkObject  *temp1;
  PyObject *tempH1;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkObject");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::ReplaceItem(temp0,temp1);
      }
    else
      {
      op->ReplaceItem(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCollection_RemoveItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  int      temp0;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCollection_RemoveAllItems(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::RemoveAllItems();
      }
    else
      {
      op->RemoveAllItems();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_IsItemPresent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::IsItemPresent(temp0);
      }
    else
      {
      temp20 = op->IsItemPresent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkCollection_GetNumberOfItems(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  int      temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::GetNumberOfItems();
      }
    else
      {
      temp20 = op->GetNumberOfItems();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_GetNextItemAsObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObject  *temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::GetNextItemAsObject();
      }
    else
      {
      temp20 = op->GetNextItemAsObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_GetItemAsObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  int      temp0;
  vtkObject  *temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::GetItemAsObject(temp0);
      }
    else
      {
      temp20 = op->GetItemAsObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkCollectionIterator  *temp20;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollection::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollection_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkCollection_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollection *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollection::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollection\nC++: vtkCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollection\nC++: vtkCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkCollection_AddItem, 1,
   (char*)"V.AddItem(vtkObject)\nC++: void AddItem (vtkObject *);\n\n Add an object to the list. Does not prevent duplicate entries.\n"},
  {(char*)"ReplaceItem",                (PyCFunction)PyvtkCollection_ReplaceItem, 1,
   (char*)"V.ReplaceItem(int, vtkObject)\nC++: void ReplaceItem (int i, vtkObject *);\n\n Replace the i'th item in the collection with a\n"},
  {(char*)"RemoveItem",                (PyCFunction)PyvtkCollection_RemoveItem, 1,
   (char*)"V.RemoveItem(int)\nC++: void RemoveItem (int i);\nV.RemoveItem(vtkObject)\nC++: void RemoveItem (vtkObject *);\n\n Remove the i'th item in the list.\n Be careful if using this function during traversal of the list using \n GetNextItemAsObject (or GetNextItem in derived class).  The list WILL\n be shortened if a valid index is given!  If this->Current is equal to the\n element being removed, have it point to then next element in the list.\n"},
  {(char*)"RemoveAllItems",                (PyCFunction)PyvtkCollection_RemoveAllItems, 1,
   (char*)"V.RemoveAllItems()\nC++: void RemoveAllItems ();\n\n Remove all objects from the list.\n"},
  {(char*)"IsItemPresent",                (PyCFunction)PyvtkCollection_IsItemPresent, 1,
   (char*)"V.IsItemPresent(vtkObject) -> int\nC++: int IsItemPresent (vtkObject *);\n\n Search for an object and return location in list. If location == 0,\n object was not found.\n"},
  {(char*)"GetNumberOfItems",                (PyCFunction)PyvtkCollection_GetNumberOfItems, 1,
   (char*)"V.GetNumberOfItems() -> int\nC++: int GetNumberOfItems ();\n\n Return the number of objects in the list.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCollection_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();this Current this Top \n\n Initialize the traversal of the collection. This means the data pointer\n is set at the beginning of the list.\n"},
  {(char*)"GetNextItemAsObject",                (PyCFunction)PyvtkCollection_GetNextItemAsObject, 1,
   (char*)"V.GetNextItemAsObject() -> vtkObject\nC++: vtkObject *GetNextItemAsObject ();\n\n Get the next item in the collection. NULL is returned if the collection\n is exhausted.\n"},
  {(char*)"GetItemAsObject",                (PyCFunction)PyvtkCollection_GetItemAsObject, 1,
   (char*)"V.GetItemAsObject(int) -> vtkObject\nC++: vtkObject *GetItemAsObject (int i);\n\n Get the i'th item in the collection. NULL is returned if i is out\n of range\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkCollection_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkCollectionIterator\nC++: vtkCollectionIterator *NewIterator ();\n\n Get an iterator to traverse the objects in this collection.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkCollection_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkCollection_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollectionDoc[] = {
  (char*)"vtkCollection - create and manipulate unsorted lists of objects\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCollection is a general object for creating and manipulating lists\n of objects. The lists are unsorted and allow duplicate entries. \n vtkCollection also serves as a base class for lists of specific types \n of objects.\n\n",
  "See Also:\n\n vtkActorCollection vtkAssemblyPaths vtkDataSetCollection\n vtkImplicitFunctionCollection vtkLightCollection vtkPolyDataCollection\n vtkRenderWindowCollection vtkRendererCollection\n vtkStructuredPointsCollection vtkTransformCollection vtkVolumeCollection\n\n",
  NULL
};

static vtkObjectBase *vtkCollectionStaticNew()
{
  return vtkCollection::New();
}

PyObject *PyVTKClass_vtkCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollectionStaticNew,
                        PyvtkCollectionMethods,
                        (char*)"vtkCollection",modulename,
                        (char**)vtkCollectionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

