// python wrapper for vtkCylindricalTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCylindricalTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCylindricalTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCylindricalTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWarpTransformNew(char *); }

static PyObject *PyvtkCylindricalTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylindricalTransform *op;

  const char    *temp20;
  op = (vtkCylindricalTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylindricalTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCylindricalTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylindricalTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkCylindricalTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylindricalTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylindricalTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylindricalTransform *op;

  vtkCylindricalTransform  *temp20;
  op = (vtkCylindricalTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylindricalTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylindricalTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCylindricalTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCylindricalTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCylindricalTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylindricalTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkCylindricalTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylindricalTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCylindricalTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCylindricalTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCylindricalTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCylindricalTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCylindricalTransform\nC++: vtkCylindricalTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCylindricalTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCylindricalTransform\nC++: vtkCylindricalTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkCylindricalTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCylindricalTransformDoc[] = {
  (char*)"vtkCylindricalTransform - cylindrical to rectangular coords and back\n\n",
  "Super Class:\n\n vtkWarpTransform\n\n",
  (char*)" vtkCylindricalTransform will convert (r,theta,z) coordinates to \n (x,y,z) coordinates and back again.  The angles are given in radians.\n By default, it converts cylindrical coordinates to rectangular, but\n GetInverse() returns a transform that will do the opposite.  The\n equation that is used is x = r*cos(theta), y = r*sin(theta), z = z.\n\n",
  "Caveats:\n\n This transform is not well behaved along the line x=y=0 (i.e. along\n the z-axis)\n\n",
  "See Also:\n\n vtkSphericalTransform vtkGeneralTransform\n\n",
  NULL
};

static vtkObjectBase *vtkCylindricalTransformStaticNew()
{
  return vtkCylindricalTransform::New();
}

PyObject *PyVTKClass_vtkCylindricalTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkCylindricalTransformStaticNew,
                        PyvtkCylindricalTransformMethods,
                        (char*)"vtkCylindricalTransform",modulename,
                        (char**)vtkCylindricalTransformDoc,
                        PyVTKClass_vtkWarpTransformNew(modulename));
}

