// python wrapper for vtkDataArrayCollectionIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataArrayCollectionIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataArrayCollectionIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataArrayCollectionIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionIteratorNew(char *); }

static PyObject *PyvtkDataArrayCollectionIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  const char    *temp20;
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollectionIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollectionIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollectionIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollectionIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  vtkDataArrayCollectionIterator  *temp20;
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollectionIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollectionIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataArrayCollectionIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataArrayCollectionIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataArrayCollectionIterator_SetCollection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  vtkCollection  *temp0;
  PyObject *tempH0;
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArrayCollectionIterator::SetCollection(temp0);
      }
    else
      {
      op->SetCollection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  vtkDataArrayCollection  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArrayCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArrayCollection");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArrayCollectionIterator::SetCollection(temp0);
      }
    else
      {
      op->SetCollection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDataArrayCollectionIterator_GetDataArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollectionIterator *op;

  vtkDataArray  *temp20;
  op = (vtkDataArrayCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollectionIterator::GetDataArray();
      }
    else
      {
      temp20 = op->GetDataArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataArrayCollectionIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataArrayCollectionIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataArrayCollectionIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataArrayCollectionIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataArrayCollectionIterator\nC++: vtkDataArrayCollectionIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataArrayCollectionIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataArrayCollectionIterator\nC++: vtkDataArrayCollectionIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCollection",                (PyCFunction)PyvtkDataArrayCollectionIterator_SetCollection, 1,
   (char*)"V.SetCollection(vtkCollection)\nC++: virtual void SetCollection (vtkCollection *);\nV.SetCollection(vtkDataArrayCollection)\nC++: void SetCollection (vtkDataArrayCollection *);\n\n Set the collection over which to iterate.\n"},
  {(char*)"GetDataArray",                (PyCFunction)PyvtkDataArrayCollectionIterator_GetDataArray, 1,
   (char*)"V.GetDataArray() -> vtkDataArray\nC++: vtkDataArray *GetDataArray ();\n\n Get the item at the current iterator position.  Valid only when\n IsDoneWithTraversal() returns 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataArrayCollectionIteratorDoc[] = {
  (char*)"vtkDataArrayCollectionIterator - iterator through a vtkDataArrayCollection.\n\n",
  "Super Class:\n\n vtkCollectionIterator\n\n",
  (char*)" vtkDataArrayCollectionIterator provides an implementation of\n vtkCollectionIterator which allows the items to be retrieved with\n the proper subclass pointer type for vtkDataArrayCollection.\n\n",
  NULL
};

static vtkObjectBase *vtkDataArrayCollectionIteratorStaticNew()
{
  return vtkDataArrayCollectionIterator::New();
}

PyObject *PyVTKClass_vtkDataArrayCollectionIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataArrayCollectionIteratorStaticNew,
                        PyvtkDataArrayCollectionIteratorMethods,
                        (char*)"vtkDataArrayCollectionIterator",modulename,
                        (char**)vtkDataArrayCollectionIteratorDoc,
                        PyVTKClass_vtkCollectionIteratorNew(modulename));
}

