// python wrapper for vtkDataArrayCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataArrayCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataArrayCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataArrayCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkDataArrayCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  const char    *temp20;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  vtkDataArrayCollection  *temp20;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataArrayCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataArrayCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArrayCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  vtkDataArray  *temp20;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArrayCollection_GetItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArrayCollection *op;

  int      temp0;
  vtkDataArray  *temp20;
  op = (vtkDataArrayCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArrayCollection::GetItem(temp0);
      }
    else
      {
      temp20 = op->GetItem(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataArrayCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataArrayCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataArrayCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataArrayCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataArrayCollection\nC++: vtkDataArrayCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataArrayCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataArrayCollection\nC++: vtkDataArrayCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkDataArrayCollection_AddItem, 1,
   (char*)"V.AddItem(vtkDataArray)\nC++: void AddItem (vtkDataArray *ds);this vtkCollection AddItem ds \n\n Get the next dataarray in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkDataArrayCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkDataArray\nC++: vtkDataArray *GetNextItem ();return static_cast vtkDataArray this GetNextItemAsObject \n\n Get the next dataarray in the list.\n"},
  {(char*)"GetItem",                (PyCFunction)PyvtkDataArrayCollection_GetItem, 1,
   (char*)"V.GetItem(int) -> vtkDataArray\nC++: vtkDataArray *GetItem (int i);return static_cast vtkDataArray this GetItemAsObject i \n\n Get the ith dataarray in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataArrayCollectionDoc[] = {
  (char*)"vtkDataArrayCollection - maintain an unordered list of dataarray objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkDataArrayCollection is an object that creates and manipulates lists of\n datasets. See also vtkCollection and subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkDataArrayCollectionStaticNew()
{
  return vtkDataArrayCollection::New();
}

PyObject *PyVTKClass_vtkDataArrayCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataArrayCollectionStaticNew,
                        PyvtkDataArrayCollectionMethods,
                        (char*)"vtkDataArrayCollection",modulename,
                        (char**)vtkDataArrayCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

