// python wrapper for vtkDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }

static PyObject *PyvtkDataArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  const char    *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkDataArray  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_IsNumeric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::IsNumeric();
      }
    else
      {
      temp20 = op->IsNumeric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetElementComponentSize();
      }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetTuples(temp0,temp1);
      }
    else
      {
      op->GetTuples(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetTuples(temp0,temp1,temp2);
      }
    else
      {
      op->GetTuples(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkDataArray_InterpolateTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  PyObject *tempH4;
  double   temp5;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiOiOd", &temp0, &temp1, &tempH2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    temp4 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkAbstractArray");
    if (!temp4 && tempH4 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple1(temp0);
      }
    else
      {
      temp20 = op->GetTuple1(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple2(temp0);
      }
    else
      {
      temp20 = op->GetTuple2(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple3(temp0);
      }
    else
      {
      temp20 = op->GetTuple3(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple4(temp0);
      }
    else
      {
      temp20 = op->GetTuple4(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple9(temp0);
      }
    else
      {
      temp20 = op->GetTuple9(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddddddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple1(temp0,temp1);
      }
    else
      {
      op->SetTuple1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple2(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple3(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetTuple3(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8, &temp9);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple1(temp0,temp1);
      }
    else
      {
      op->InsertTuple1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple2(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple3(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertTuple3(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->InsertTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8, &temp9);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple1(temp0);
      }
    else
      {
      op->InsertNextTuple1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple2(temp0,temp1);
      }
    else
      {
      op->InsertNextTuple2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple3(temp0,temp1,temp2);
      }
    else
      {
      op->InsertNextTuple3(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple4(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertNextTuple4(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_RemoveTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RemoveTuple(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_RemoveFirstTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RemoveFirstTuple();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_RemoveLastTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RemoveLastTuple();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetComponent(temp0,temp1);
      }
    else
      {
      temp20 = op->GetComponent(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertComponent(temp0,temp1,temp2);
      }
    else
      {
      op->InsertComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  vtkDoubleArray  *temp4;
  PyObject *tempH4;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4);
  if (op)
    {
    temp4 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDoubleArray");
    if (!temp4 && tempH4 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetData(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkDataArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkDataArray_FillComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  double   temp1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::FillComponent(temp0,temp1);
      }
    else
      {
      op->FillComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CopyComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iOi", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::CopyComponent(temp0,temp1,temp2);
      }
    else
      {
      op->CopyComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkDataArray_WriteVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  void    *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->WriteVoidPointer(temp0,temp1);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  unsigned long     temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CreateDefaultLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::CreateDefaultLookupTable();
      }
    else
      {
      op->CreateDefaultLookupTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkLookupTable  *temp0;
  PyObject *tempH0;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLookupTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLookupTable");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkDataArray_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkLookupTable  *temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  int      temp1;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)i", temp0 + 0, temp0 + 1, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetRange(temp0,temp1);
      }
    else
      {
      op->GetRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  double  *temp20;
  PyErr_Clear();
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetRange(temp0);
      }
    else
      {
      temp20 = op->GetRange(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetRange(temp0);
      }
    else
      {
      op->GetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_ComputeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::ComputeRange(temp0);
      }
    else
      {
      op->ComputeRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetDataTypeRange(temp0);
      }
    else
      {
      op->GetDataTypeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double temp1[2];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
      {
      vtkDataArray::GetDataTypeRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetDataTypeMin();
      }
    else
      {
      temp20 = op->GetDataTypeMin();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::GetDataTypeMin(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetDataTypeMax();
      }
    else
      {
      temp20 = op->GetDataTypeMax();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::GetDataTypeMax(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetMaxNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetMaxNorm();
      }
    else
      {
      temp20 = op->GetMaxNorm();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CreateDataArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  vtkDataArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::CreateDataArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_PER_COMPONENT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataArray::PER_COMPONENT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_COMPONENT_RANGE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataArray::COMPONENT_RANGE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_L2_NORM_RANGE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataArray::L2_NORM_RANGE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataArray\nC++: vtkDataArray *NewInstance ();\n\n"},
  {(char*)"IsNumeric",                (PyCFunction)PyvtkDataArray_IsNumeric, 1,
   (char*)"V.IsNumeric() -> int\nC++: virtual int IsNumeric ();return \n\n Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type. \n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkDataArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: virtual int GetElementComponentSize ();return this GetDataTypeSize \n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkDataArray_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkAbstractArray)\nC++: virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;\n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkDataArray_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkAbstractArray)\nC++: virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source) = 0;\n\n Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n This pure virtual function is redeclared here to avoid\n declaration hidden warnings. \n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkDataArray_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkAbstractArray) -> int\nC++: virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source) = 0;\n\n Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n This pure virtual function is redeclared here to avoid\n declaration hidden warnings. \n"},
  {(char*)"GetTuples",                (PyCFunction)PyvtkDataArray_GetTuples, 1,
   (char*)"V.GetTuples(vtkIdList, vtkAbstractArray)\nC++: virtual void GetTuples (vtkIdList *ptIds, vtkAbstractArray *output);\nV.GetTuples(int, int, vtkAbstractArray)\nC++: virtual void GetTuples (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output);\n\n Given a list of point ids, return an array of tuples.\n You must insure that the output array has been previously \n allocated with enough space to hold the data.\n"},
  {(char*)"InterpolateTuple",                (PyCFunction)PyvtkDataArray_InterpolateTuple, 1,
   (char*)"V.InterpolateTuple(int, int, vtkAbstractArray, int, vtkAbstractArray, float)\nC++: virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t);\n\n"},
  {(char*)"GetTuple1",                (PyCFunction)PyvtkDataArray_GetTuple1, 1,
   (char*)"V.GetTuple1(int) -> float\nC++: double GetTuple1 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple2",                (PyCFunction)PyvtkDataArray_GetTuple2, 1,
   (char*)"V.GetTuple2(int) -> (float, float)\nC++: double *GetTuple2 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple3",                (PyCFunction)PyvtkDataArray_GetTuple3, 1,
   (char*)"V.GetTuple3(int) -> (float, float, float)\nC++: double *GetTuple3 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple4",                (PyCFunction)PyvtkDataArray_GetTuple4, 1,
   (char*)"V.GetTuple4(int) -> (float, float, float, float)\nC++: double *GetTuple4 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple9",                (PyCFunction)PyvtkDataArray_GetTuple9, 1,
   (char*)"V.GetTuple9(int) -> (float, float, float, float, float, float, float, float, float)\nC++: double *GetTuple9 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple1",                (PyCFunction)PyvtkDataArray_SetTuple1, 1,
   (char*)"V.SetTuple1(int, float)\nC++: void SetTuple1 (vtkIdType i, double value);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple2",                (PyCFunction)PyvtkDataArray_SetTuple2, 1,
   (char*)"V.SetTuple2(int, float, float)\nC++: void SetTuple2 (vtkIdType i, double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple3",                (PyCFunction)PyvtkDataArray_SetTuple3, 1,
   (char*)"V.SetTuple3(int, float, float, float)\nC++: void SetTuple3 (vtkIdType i, double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple4",                (PyCFunction)PyvtkDataArray_SetTuple4, 1,
   (char*)"V.SetTuple4(int, float, float, float, float)\nC++: void SetTuple4 (vtkIdType i, double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple9",                (PyCFunction)PyvtkDataArray_SetTuple9, 1,
   (char*)"V.SetTuple9(int, float, float, float, float, float, float, float, float, float)\nC++: void SetTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple1",                (PyCFunction)PyvtkDataArray_InsertTuple1, 1,
   (char*)"V.InsertTuple1(int, float)\nC++: void InsertTuple1 (vtkIdType i, double value);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple2",                (PyCFunction)PyvtkDataArray_InsertTuple2, 1,
   (char*)"V.InsertTuple2(int, float, float)\nC++: void InsertTuple2 (vtkIdType i, double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple3",                (PyCFunction)PyvtkDataArray_InsertTuple3, 1,
   (char*)"V.InsertTuple3(int, float, float, float)\nC++: void InsertTuple3 (vtkIdType i, double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple4",                (PyCFunction)PyvtkDataArray_InsertTuple4, 1,
   (char*)"V.InsertTuple4(int, float, float, float, float)\nC++: void InsertTuple4 (vtkIdType i, double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple9",                (PyCFunction)PyvtkDataArray_InsertTuple9, 1,
   (char*)"V.InsertTuple9(int, float, float, float, float, float, float, float, float, float)\nC++: void InsertTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple1",                (PyCFunction)PyvtkDataArray_InsertNextTuple1, 1,
   (char*)"V.InsertNextTuple1(float)\nC++: void InsertNextTuple1 (double value);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple2",                (PyCFunction)PyvtkDataArray_InsertNextTuple2, 1,
   (char*)"V.InsertNextTuple2(float, float)\nC++: void InsertNextTuple2 (double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple3",                (PyCFunction)PyvtkDataArray_InsertNextTuple3, 1,
   (char*)"V.InsertNextTuple3(float, float, float)\nC++: void InsertNextTuple3 (double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple4",                (PyCFunction)PyvtkDataArray_InsertNextTuple4, 1,
   (char*)"V.InsertNextTuple4(float, float, float, float)\nC++: void InsertNextTuple4 (double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple9",                (PyCFunction)PyvtkDataArray_InsertNextTuple9, 1,
   (char*)"V.InsertNextTuple9(float, float, float, float, float, float, float, float, float)\nC++: void InsertNextTuple9 (double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"RemoveTuple",                (PyCFunction)PyvtkDataArray_RemoveTuple, 1,
   (char*)"V.RemoveTuple(int)\nC++: virtual void RemoveTuple (vtkIdType id) = 0;\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"RemoveFirstTuple",                (PyCFunction)PyvtkDataArray_RemoveFirstTuple, 1,
   (char*)"V.RemoveFirstTuple()\nC++: virtual void RemoveFirstTuple () = 0;\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"RemoveLastTuple",                (PyCFunction)PyvtkDataArray_RemoveLastTuple, 1,
   (char*)"V.RemoveLastTuple()\nC++: virtual void RemoveLastTuple () = 0;\n\n These methods remove tuples from the data array. They shift data and\n resize array, so the data array is still valid after this operation. Note,\n this operation is fairly slow.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkDataArray_GetComponent, 1,
   (char*)"V.GetComponent(int, int) -> float\nC++: virtual double GetComponent (vtkIdType i, int j);\n\n Return the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than \n NumberOfComponents.\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkDataArray_SetComponent, 1,
   (char*)"V.SetComponent(int, int, float)\nC++: virtual void SetComponent (vtkIdType i, int j, double c);\n\n Set the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than\n  NumberOfComponents. Make sure enough memory has been allocated \n (use SetNumberOfTuples() and SetNumberOfComponents()).\n"},
  {(char*)"InsertComponent",                (PyCFunction)PyvtkDataArray_InsertComponent, 1,
   (char*)"V.InsertComponent(int, int, float)\nC++: virtual void InsertComponent (vtkIdType i, int j, double c);\n\n Insert the data component at ith tuple and jth component location. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkDataArray_GetData, 1,
   (char*)"V.GetData(int, int, int, int, vtkDoubleArray)\nC++: virtual void GetData (vtkIdType tupleMin, vtkIdType tupleMax, int compMin, int compMax, vtkDoubleArray *data);\n\n Get the data as a double array in the range (tupleMin,tupleMax) and\n (compMin, compMax). The resulting double array consists of all data in\n the tuple range specified and only the component range specified. This\n process typically requires casting the data from native form into\n doubleing point values. This method is provided as a convenience for data\n exchange, and is not very fast.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractArray)\nC++: virtual void DeepCopy (vtkAbstractArray *aa);\nV.DeepCopy(vtkDataArray)\nC++: virtual void DeepCopy (vtkDataArray *da);\n\n Deep copy of data. Copies data from different data arrays even if\n they are different types (using doubleing-point exchange).\n"},
  {(char*)"FillComponent",                (PyCFunction)PyvtkDataArray_FillComponent, 1,
   (char*)"V.FillComponent(int, float)\nC++: virtual void FillComponent (int j, double c);\n\n Fill a component of a data array with a specified value. This method\n sets the specified component to specified value for all tuples in the\n data array.  This methods can be used to initialize or reinitialize a\n single component of a multi-component array.\n"},
  {(char*)"CopyComponent",                (PyCFunction)PyvtkDataArray_CopyComponent, 1,
   (char*)"V.CopyComponent(int, vtkDataArray, int)\nC++: virtual void CopyComponent (int j, vtkDataArray *from, int fromComponent);\n\n Copy a component from one data array into a component on this data array.\n This method copies the specified component (\"fromComponent\") from the\n specified data array (\"from\") to the specified component (\"j\") over all\n the tuples in this data array.  This method can be used to extract\n a component (column) from one data array and paste that data into\n a component on this data array.\n"},
  {(char*)"WriteVoidPointer",                (PyCFunction)PyvtkDataArray_WriteVoidPointer, 1,
   (char*)"V.WriteVoidPointer(int, int) -> string\nC++: virtual void *WriteVoidPointer (vtkIdType id, vtkIdType number) = 0;\n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkDataArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"CreateDefaultLookupTable",                (PyCFunction)PyvtkDataArray_CreateDefaultLookupTable, 1,
   (char*)"V.CreateDefaultLookupTable()\nC++: void CreateDefaultLookupTable ();\n\n Create default lookup table. Generally used to create one when none\n is available.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkDataArray_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkLookupTable)\nC++: void SetLookupTable (vtkLookupTable *lut);\n\n Set/get the lookup table associated with this scalar data, if any.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkDataArray_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *GetLookupTable ();\n\n Set/get the lookup table associated with this scalar data, if any.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkDataArray_GetRange, 1,
   (char*)"V.GetRange((float, float), int)\nC++: void GetRange (double range[2], int comp);this ComputeRange comp memcpy range this Range sizeof double \nV.GetRange(int) -> (float, float)\nC++: double *GetRange (int comp);this ComputeRange comp return this Range \nV.GetRange() -> (float, float)\nC++: double *GetRange ();this ComputeRange return this Range \nV.GetRange((float, float))\nC++: void GetRange (double range[2]);this GetRange range \n\n Return the range of the array values for the given component. \n Range is copied into the array provided.\n If comp is equal to -1, it returns the range of the magnitude\n (if the number of components is equal to 1 it still returns the range of\n component 0).\n"},
  {(char*)"ComputeRange",                (PyCFunction)PyvtkDataArray_ComputeRange, 1,
   (char*)"V.ComputeRange(int)\nC++: virtual void ComputeRange (int comp);\n\n"},
  {(char*)"GetDataTypeRange",                (PyCFunction)PyvtkDataArray_GetDataTypeRange, 1,
   (char*)"V.GetDataTypeRange((float, float))\nC++: void GetDataTypeRange (double range[2]);\nV.GetDataTypeRange(int, (float, float))\nC++: static void GetDataTypeRange (int type, double range[2]);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetDataTypeMin",                (PyCFunction)PyvtkDataArray_GetDataTypeMin, 1,
   (char*)"V.GetDataTypeMin() -> float\nC++: double GetDataTypeMin ();\nV.GetDataTypeMin(int) -> float\nC++: static double GetDataTypeMin (int type);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetDataTypeMax",                (PyCFunction)PyvtkDataArray_GetDataTypeMax, 1,
   (char*)"V.GetDataTypeMax() -> float\nC++: double GetDataTypeMax ();\nV.GetDataTypeMax(int) -> float\nC++: static double GetDataTypeMax (int type);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetMaxNorm",                (PyCFunction)PyvtkDataArray_GetMaxNorm, 1,
   (char*)"V.GetMaxNorm() -> float\nC++: virtual double GetMaxNorm ();\n\n Return the maximum norm for the tuples.\n Note that the max. is computed everytime GetMaxNorm is called.\n"},
  {(char*)"CreateDataArray",                (PyCFunction)PyvtkDataArray_CreateDataArray, 1,
   (char*)"V.CreateDataArray(int) -> vtkDataArray\nC++: static vtkDataArray *CreateDataArray (int dataType);\n\n Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_SIGNED_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE.\n Note that the data array returned has be deleted by the\n user.\n"},
  {(char*)"PER_COMPONENT",                (PyCFunction)PyvtkDataArray_PER_COMPONENT, 1,
   (char*)"V.PER_COMPONENT() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *PER_COMPONENT ();\n\n This key is used to hold a vector of COMPONENT_RANGE keys -- one\n for each component of the array.  You may add additional per-component\n key-value pairs to information objects in this vector. However if you\n do so, you must be sure to either (1) set COMPONENT_RANGE to\n { VTK_DOUBLE_MAX, VTK_DOUBLE_MIN } or (2) call ComputeRange( component )\n <b>before</b> modifying the information object.  Otherwise it is\n possible for modifications to the array to take place without the bounds\n on the component being updated since the modification time of the\n vtkInformation object is used to determine when the COMPONENT_RANGE \n values are out of date.\n"},
  {(char*)"COMPONENT_RANGE",                (PyCFunction)PyvtkDataArray_COMPONENT_RANGE, 1,
   (char*)"V.COMPONENT_RANGE() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *COMPONENT_RANGE ();\n\n This key is used to hold tight bounds on the range of\n one component over all tuples of the array.\n Two values (a minimum and maximum) are stored for each component.\n When GetRange() is called when no tuples are present in the array\n this value is set to { VTK_DOUBLE_MAX, VTK_DOUBLE_MIN }.\n"},
  {(char*)"L2_NORM_RANGE",                (PyCFunction)PyvtkDataArray_L2_NORM_RANGE, 1,
   (char*)"V.L2_NORM_RANGE() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *L2_NORM_RANGE ();\n\n This key is used to hold tight bounds on the $L_2$ norm\n of tuples in the array.\n Two values (a minimum and maximum) are stored for each component.\n When GetRange() is called when no tuples are present in the array\n this value is set to { VTK_DOUBLE_MAX, VTK_DOUBLE_MIN }.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataArrayDoc[] = {
  (char*)"vtkDataArray - abstract superclass for arrays of numeric data\n\n",
  "Super Class:\n\n vtkAbstractArray\n\n",
  (char*)"\n vtkDataArray is an abstract superclass for data array objects\n containing numeric data.  It extends the API defined in\n vtkAbstractArray.  vtkDataArray is an abstract superclass for data\n array objects. This class defines an API that all array objects\n must support. Note that the concrete subclasses of this class\n represent data in native form (char, int, etc.) and often have\n specialized more e",
  (char*)"fficient methods for operating on this data (for\n example, getting pointers to data or getting/inserting data in\n native form).  Subclasses of vtkDataArray are assumed to contain\n data whose components are meaningful when cast to and from double.\n\n\n",
  "See Also:\n\n vtkBitArray vtkCharArray vtkUnsignedCharArray vtkShortArray\n vtkUnsignedShortArray vtkIntArray vtkUnsignedIntArray vtkLongArray\n vtkUnsignedLongArray vtkDoubleArray vtkDoubleArray\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataArrayNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataArrayMethods,
                        (char*)"vtkDataArray",modulename,
                        (char**)vtkDataArrayDoc,
                        PyVTKClass_vtkAbstractArrayNew(modulename));
}

