// python wrapper for vtkDirectory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDirectory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDirectoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDirectoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDirectory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  const char    *temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  char    *temp0;
  int      temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  vtkDirectory  *temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDirectory  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDirectory::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDirectory_Open(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  char    *temp0;
  int      temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::Open(temp0);
      }
    else
      {
      temp20 = op->Open(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_GetNumberOfFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  int      temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::GetNumberOfFiles();
      }
    else
      {
      temp20 = op->GetNumberOfFiles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_GetFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::GetFile(temp0);
      }
    else
      {
      temp20 = op->GetFile(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_FileIsDirectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  char    *temp0;
  int      temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::FileIsDirectory(temp0);
      }
    else
      {
      temp20 = op->FileIsDirectory(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_GetFiles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectory *op;

  vtkStringArray  *temp20;
  op = (vtkDirectory *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectory::GetFiles();
      }
    else
      {
      temp20 = op->GetFiles();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_GetCurrentWorkingDirectory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  unsigned int      temp1;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"zi", &temp0, &temp1)))
    {
      {
      temp20 = vtkDirectory::GetCurrentWorkingDirectory(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_MakeDirectory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDirectory::MakeDirectory(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_DeleteDirectory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDirectory::DeleteDirectory(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectory_Rename(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      temp20 = vtkDirectory::Rename(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkDirectory_CreateDirectory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDirectory::CreateDirectory(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkDirectoryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDirectory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Return the class name as a string.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDirectory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Return the class name as a string.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDirectory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDirectory\nC++: vtkDirectory *NewInstance ();\n\n Return the class name as a string.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDirectory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDirectory\nC++: vtkDirectory *SafeDownCast (vtkObject* o);\n\n Return the class name as a string.\n"},
  {(char*)"Open",                (PyCFunction)PyvtkDirectory_Open, 1,
   (char*)"V.Open(string) -> int\nC++: int Open (const char *dir);\n\n Open the specified directory and load the names of the files\n in that directory. 0 is returned if the directory can not be \n opened, 1 if it is opened.   \n"},
  {(char*)"GetNumberOfFiles",                (PyCFunction)PyvtkDirectory_GetNumberOfFiles, 1,
   (char*)"V.GetNumberOfFiles() -> int\nC++: int GetNumberOfFiles ();\n\n Return the number of files in the current directory.\n"},
  {(char*)"GetFile",                (PyCFunction)PyvtkDirectory_GetFile, 1,
   (char*)"V.GetFile(int) -> string\nC++: const char *GetFile (int index);\n\n Return the file at the given index, the indexing is 0 based\n"},
  {(char*)"FileIsDirectory",                (PyCFunction)PyvtkDirectory_FileIsDirectory, 1,
   (char*)"V.FileIsDirectory(string) -> int\nC++: int FileIsDirectory (const char *name);\n\n Return true if the file is a directory.  If the file is not an\n absolute path, it is assumed to be relative to the opened\n directory. If no directory has been opened, it is assumed to\n be relative to the current working directory.\n"},
  {(char*)"GetFiles",                (PyCFunction)PyvtkDirectory_GetFiles, 1,
   (char*)"V.GetFiles() -> vtkStringArray\nC++: vtkStringArray *GetFiles ();\n\n Get an array that contains all the file names.\n"},
  {(char*)"GetCurrentWorkingDirectory",                (PyCFunction)PyvtkDirectory_GetCurrentWorkingDirectory, 1,
   (char*)"V.GetCurrentWorkingDirectory(string, int) -> string\nC++: static const char *GetCurrentWorkingDirectory (char *buf, unsigned int len);\n\n Get the current working directory.\n"},
  {(char*)"MakeDirectory",                (PyCFunction)PyvtkDirectory_MakeDirectory, 1,
   (char*)"V.MakeDirectory(string) -> int\nC++: static int MakeDirectory (const char *dir);\n\n Create directory.\n"},
  {(char*)"DeleteDirectory",                (PyCFunction)PyvtkDirectory_DeleteDirectory, 1,
   (char*)"V.DeleteDirectory(string) -> int\nC++: static int DeleteDirectory (const char *dir);\n\n Remove a directory.\n"},
  {(char*)"Rename",                (PyCFunction)PyvtkDirectory_Rename, 1,
   (char*)"V.Rename(string, string) -> int\nC++: static int Rename (const char *oldname, const char *newname);\n\n Rename a file or directory.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"CreateDirectory",                (PyCFunction)PyvtkDirectory_CreateDirectory, 1,
   (char*)"V.CreateDirectory(string) -> int\nC++: static int CreateDirectory (const char *dir);\n\n @deprecated Replaced by vtkDirectory::MakeDirectory() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDirectoryDoc[] = {
  (char*)"vtkDirectory - OS independent class for access and manipulation of system directories\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDirectory provides a portable way of finding the names of the files\n in a system directory.  It also provides methods of manipulating directories.\n\n",
  "Caveats:\n\n vtkDirectory works with windows and unix only.\n\n",
  NULL
};

static vtkObjectBase *vtkDirectoryStaticNew()
{
  return vtkDirectory::New();
}

PyObject *PyVTKClass_vtkDirectoryNew(char *modulename)
{
  return PyVTKClass_New(&vtkDirectoryStaticNew,
                        PyvtkDirectoryMethods,
                        (char*)"vtkDirectory",modulename,
                        (char**)vtkDirectoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

