// python wrapper for vtkDynamicLoader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDynamicLoader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDynamicLoaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDynamicLoaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDynamicLoader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamicLoader *op;

  const char    *temp20;
  op = (vtkDynamicLoader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamicLoader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamicLoader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamicLoader *op;

  char    *temp0;
  int      temp20;
  op = (vtkDynamicLoader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamicLoader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamicLoader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDynamicLoader *op;

  vtkDynamicLoader  *temp20;
  op = (vtkDynamicLoader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDynamicLoader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamicLoader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDynamicLoader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDynamicLoader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDynamicLoader_LibPrefix(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDynamicLoader::LibPrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamicLoader_LibExtension(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDynamicLoader::LibExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDynamicLoader_LastError(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDynamicLoader::LastError();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDynamicLoaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDynamicLoader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDynamicLoader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDynamicLoader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDynamicLoader\nC++: vtkDynamicLoader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDynamicLoader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDynamicLoader\nC++: vtkDynamicLoader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"LibPrefix",                (PyCFunction)PyvtkDynamicLoader_LibPrefix, 1,
   (char*)"V.LibPrefix() -> string\nC++: static const char *LibPrefix ();\n\n Return the library prefix for the given architecture\n"},
  {(char*)"LibExtension",                (PyCFunction)PyvtkDynamicLoader_LibExtension, 1,
   (char*)"V.LibExtension() -> string\nC++: static const char *LibExtension ();\n\n Return the library extension for the given architecture\n"},
  {(char*)"LastError",                (PyCFunction)PyvtkDynamicLoader_LastError, 1,
   (char*)"V.LastError() -> string\nC++: static const char *LastError ();\n\n Return the last error produced from a calls made on this class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDynamicLoaderDoc[] = {
  (char*)"vtkDynamicLoader - class interface to system dynamic libraries\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDynamicLoader provides a portable interface to loading dynamic\n libraries into a process.\n\n",
  "See Also:\n\n A more portable and lightweight solution is kwsys::DynamicLoader\n\n",
  NULL
};

static vtkObjectBase *vtkDynamicLoaderStaticNew()
{
  return vtkDynamicLoader::New();
}

PyObject *PyVTKClass_vtkDynamicLoaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDynamicLoaderStaticNew,
                        PyvtkDynamicLoaderMethods,
                        (char*)"vtkDynamicLoader",modulename,
                        (char**)vtkDynamicLoaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

