// python wrapper for vtkEdgeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEdgeTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  const char    *temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkEdgeTable  *temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEdgeTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEdgeTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeTable_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeTable::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_InitEdgeInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::InitEdgeInsertion(temp0,temp1);
      }
    else
      {
      temp20 = op->InitEdgeInsertion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_InsertEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::InsertEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertEdge(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  PyErr_Clear();
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeTable::InsertEdge(temp0,temp1,temp2);
      }
    else
      {
      op->InsertEdge(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  void    *temp2;
  int      size2;
  PyErr_Clear();
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"iis#", &temp0, &temp1, &temp2, &size2);
  if (op)
    {
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to InsertEdge in vtkEdgeTable was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to InsertEdge in vtkEdgeTable was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeTable::InsertEdge(temp0,temp1,temp2);
      }
    else
      {
      op->InsertEdge(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_IsEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::IsEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->IsEdge(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_InitPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::InitPointInsertion(temp0,temp1);
      }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkEdgeTable_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  vtkIdType   temp20;
  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeTable::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeTable::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeTable_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeTable::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeTable\nC++: vtkEdgeTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEdgeTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEdgeTable\nC++: vtkEdgeTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkEdgeTable_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Free memory and return to the initially instantiated state.\n"},
  {(char*)"InitEdgeInsertion",                (PyCFunction)PyvtkEdgeTable_InitEdgeInsertion, 1,
   (char*)"V.InitEdgeInsertion(int, int) -> int\nC++: int InitEdgeInsertion (vtkIdType numPoints, int storeAttributes);\n\n Initialize the edge insertion process. Provide an estimate of the number\n of points in a dataset (the maximum range value of p1 or p2).  The\n storeAttributes variable controls whether attributes are to be stored\n with the edge, and what type of attributes. If storeAttributes==1, then\n attributes of vtkIdType can be stored. If storeAttributes==2, then\n attributes of type void* can be stored. In either case, additional\n memory will be required by the data structure to store attribute data\n per each edge.  This method is used in conjunction with one of the three\n InsertEdge() methods described below (don't mix the InsertEdge()\n methods---make sure that the one used is consistent with the\n storeAttributes flag set in InitEdgeInsertion()).\n"},
  {(char*)"InsertEdge",                (PyCFunction)PyvtkEdgeTable_InsertEdge, 1,
   (char*)"V.InsertEdge(int, int) -> int\nC++: vtkIdType InsertEdge (vtkIdType p1, vtkIdType p2);\nV.InsertEdge(int, int, int)\nC++: void InsertEdge (vtkIdType p1, vtkIdType p2, vtkIdType attributeId);\nV.InsertEdge(int, int, string)\nC++: void InsertEdge (vtkIdType p1, vtkIdType p2, void *ptr);\n\n Insert the edge (p1,p2) into the table. It is the user's\n responsibility to check if the edge has already been inserted\n (use IsEdge()). If the storeAttributes flag in InitEdgeInsertion()\n has been set, then the method returns a unique integer id (i.e.,\n the edge id) that can be used to set and get edge\n attributes. Otherwise, the method will return 1. Do not mix this\n method with the InsertEdge() method that follows.\n"},
  {(char*)"IsEdge",                (PyCFunction)PyvtkEdgeTable_IsEdge, 1,
   (char*)"V.IsEdge(int, int) -> int\nC++: vtkIdType IsEdge (vtkIdType p1, vtkIdType p2);\n\n Return an integer id for the edge, or an attribute id of the edge\n (p1,p2) if the edge has been previously defined (it depends upon\n which version of InsertEdge() is being used); otherwise -1. The\n unique integer id can be used to set and retrieve attributes to\n the edge.\n"},
  {(char*)"InitPointInsertion",                (PyCFunction)PyvtkEdgeTable_InitPointInsertion, 1,
   (char*)"V.InitPointInsertion(vtkPoints, int) -> int\nC++: int InitPointInsertion (vtkPoints *newPts, vtkIdType estSize);\n\n Initialize the point insertion process. The newPts is an object\n representing point coordinates into which incremental insertion methods\n place their data. The points are associated with the edge.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkEdgeTable_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: vtkIdType GetNumberOfEdges ();\n\n Return the number of edges that have been inserted thus far.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkEdgeTable_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();\n\n Intialize traversal of edges in table.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkEdgeTable_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reset the object and prepare for reinsertion of edges. Does not delete\n memory like the Initialize() method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeTableDoc[] = {
  (char*)"vtkEdgeTable - keep track of edges (edge is pair of integer id's)\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkEdgeTable is a general object for keeping track of lists of edges. An\n edge is defined by the pair of point id's (p1,p2). Methods are available\n to insert edges, check if edges exist, and traverse the list of edges.\n Also, it's possible to associate attribute information with each edge.\n The attribute information may take the form of vtkIdType id's, void*\n pointers, or points. To store attribu",
  (char*)"tes, make sure that\n InitEdgeInsertion() is invoked with the storeAttributes flag set properly.\n If points are inserted, use the methods InitPointInsertion() and \n InsertUniquePoint().\n\n",
  NULL
};

static vtkObjectBase *vtkEdgeTableStaticNew()
{
  return vtkEdgeTable::New();
}

PyObject *PyVTKClass_vtkEdgeTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkEdgeTableStaticNew,
                        PyvtkEdgeTableMethods,
                        (char*)"vtkEdgeTable",modulename,
                        (char**)vtkEdgeTableDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

