// python wrapper for vtkFastNumericConversion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFastNumericConversion.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFastNumericConversionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFastNumericConversionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFastNumericConversion_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  const char    *temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  char    *temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  vtkFastNumericConversion  *temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFastNumericConversion  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFastNumericConversion::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_TestQuickFloor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  double   temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::TestQuickFloor(temp0);
      }
    else
      {
      temp20 = op->TestQuickFloor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_TestSafeFloor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  double   temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::TestSafeFloor(temp0);
      }
    else
      {
      temp20 = op->TestSafeFloor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_TestRound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  double   temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::TestRound(temp0);
      }
    else
      {
      temp20 = op->TestRound(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_TestConvertFixedPointIntPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  double   temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::TestConvertFixedPointIntPart(temp0);
      }
    else
      {
      temp20 = op->TestConvertFixedPointIntPart(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_TestConvertFixedPointFracPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  double   temp0;
  int      temp20;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFastNumericConversion::TestConvertFixedPointFracPart(temp0);
      }
    else
      {
      temp20 = op->TestConvertFixedPointFracPart(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_SetReservedFracBits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  int      temp0;
  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastNumericConversion::SetReservedFracBits(temp0);
      }
    else
      {
      op->SetReservedFracBits(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFastNumericConversion_PerformanceTests(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFastNumericConversion *op;

  op = (vtkFastNumericConversion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFastNumericConversion::PerformanceTests();
      }
    else
      {
      op->PerformanceTests();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFastNumericConversionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFastNumericConversion_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFastNumericConversion_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFastNumericConversion_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFastNumericConversion\nC++: vtkFastNumericConversion *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFastNumericConversion_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFastNumericConversion\nC++: vtkFastNumericConversion *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"TestQuickFloor",                (PyCFunction)PyvtkFastNumericConversion_TestQuickFloor, 1,
   (char*)"V.TestQuickFloor(float) -> int\nC++: int TestQuickFloor (double val);\n\n Wrappable method for script-testing of correct cross-platform\n functionality\n"},
  {(char*)"TestSafeFloor",                (PyCFunction)PyvtkFastNumericConversion_TestSafeFloor, 1,
   (char*)"V.TestSafeFloor(float) -> int\nC++: int TestSafeFloor (double val);\n\n Wrappable method for script-testing of correct cross-platform\n functionality\n"},
  {(char*)"TestRound",                (PyCFunction)PyvtkFastNumericConversion_TestRound, 1,
   (char*)"V.TestRound(float) -> int\nC++: int TestRound (double val);\n\n Wrappable method for script-testing of correct cross-platform\n functionality\n"},
  {(char*)"TestConvertFixedPointIntPart",                (PyCFunction)PyvtkFastNumericConversion_TestConvertFixedPointIntPart, 1,
   (char*)"V.TestConvertFixedPointIntPart(float) -> int\nC++: int TestConvertFixedPointIntPart (double val);\n\n Wrappable method for script-testing of correct cross-platform\n functionality\n"},
  {(char*)"TestConvertFixedPointFracPart",                (PyCFunction)PyvtkFastNumericConversion_TestConvertFixedPointFracPart, 1,
   (char*)"V.TestConvertFixedPointFracPart(float) -> int\nC++: int TestConvertFixedPointFracPart (double val);\n\n Wrappable method for script-testing of correct cross-platform\n functionality\n"},
  {(char*)"SetReservedFracBits",                (PyCFunction)PyvtkFastNumericConversion_SetReservedFracBits, 1,
   (char*)"V.SetReservedFracBits(int)\nC++: void SetReservedFracBits (int bits);bits unsigned long mtime this GetMTime this SetinternalReservedFracBits bits if mtime this GetMTime this InternalRebuild \n\n Set the number of bits reserved for fractional precision that are\n maintained as part of the flooring process. This number affects the\n flooring arithmetic. It may be useful if the factional part is to be\n used to index into a lookup table of some sort. However, if you are only\n interested in knowing the fractional remainder after flooring, there\n doesn't appear to be any advantage to using these bits, either in terms\n of a lookup table, or by directly multiplying by some unit fraction,\n over simply subtracting the floored value from the original value. Note\n that since only 32 bits are used for the entire fixed point\n representation, increasing the number of reserved fractional bits\n reduces the range of integer values that can be floored to.\n Add one to the requested number of fractional bits, to make\n the conversion safe with respect to rounding mode. This is the\n same as the difference between QuickFloor and SafeFloor.\n"},
  {(char*)"PerformanceTests",                (PyCFunction)PyvtkFastNumericConversion_PerformanceTests, 1,
   (char*)"V.PerformanceTests()\nC++: void PerformanceTests (void );\n\n Conduct timing tests so that the usefulness of this class can be\n ascertained on whatever platform it is being used. Output can be\n retrieved via Print method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFastNumericConversionDoc[] = {
  (char*)"vtkFastNumericConversion - Enables fast conversion of floating point to fixed point\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkFastNumericConversion uses a portable (assuming IEEE format) method for\n converting single and double precision floating point values to a fixed\n point representation. This allows fast integer floor operations on\n platforms, such as Intel X86, in which CPU floating point conversion\n algorithms are very slow. It is based on the techniques described in Chris\n Hecker's article, \"Let's Get to the ",
  (char*)"(Floating) Point\", in Game Developer\n Magazine, Feb/Mar 1996, and the techniques described in Michael Herf's\n website, http://www.stereopsis.com/FPU.html.  The Hecker article can be\n found at http://www.d6.com/users/checker/pdfs/gdmfp.pdf.  Unfortunately,\n each of these techniques is incomplete, and doesn't convert properly, in a\n way that depends on how many bits are reserved for fixed point frac",
  (char*)"tional\n use, due to failing to properly account for the default round-towards-even\n rounding mode of the X86. Thus, my implementation incorporates some\n rounding correction that undoes the rounding that the FPU performs during\n denormalization of the floating point value. Note that the rounding affect\n I'm talking about here is not the effect on the fistp instruction, but\n rather the effect that o",
  (char*)"ccurs during the denormalization of a value that\n occurs when adding it to a much larger value. The bits must be shifted to\n the right, and when a \"1\" bit falls off the edge, the rounding mode\n determines what happens next, in order to avoid completely \"losing\" the\n 1-bit. Furthermore, my implementation works on Linux, where the default\n precision mode is 64-bit extended precision.\n\n",
  NULL
};

static vtkObjectBase *vtkFastNumericConversionStaticNew()
{
  return vtkFastNumericConversion::New();
}

PyObject *PyVTKClass_vtkFastNumericConversionNew(char *modulename)
{
  return PyVTKClass_New(&vtkFastNumericConversionStaticNew,
                        PyvtkFastNumericConversionMethods,
                        (char*)"vtkFastNumericConversion",modulename,
                        (char**)vtkFastNumericConversionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

