// python wrapper for vtkHeap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHeap.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHeapNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHeapNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHeap_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  const char    *temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  char    *temp0;
  int      temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  vtkHeap  *temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHeap  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHeap::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHeap_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  int      temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::GetNumberOfBlocks();
      }
    else
      {
      temp20 = op->GetNumberOfBlocks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_GetNumberOfAllocations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  int      temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::GetNumberOfAllocations();
      }
    else
      {
      temp20 = op->GetNumberOfAllocations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHeap::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHeap_StringDup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHeap *op;

  char    *temp0;
  char    *temp20;
  op = (vtkHeap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHeap::StringDup(temp0);
      }
    else
      {
      temp20 = op->StringDup(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHeapMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHeap_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHeap_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHeap_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHeap\nC++: vtkHeap *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHeap_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHeap\nC++: vtkHeap *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfBlocks",                (PyCFunction)PyvtkHeap_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks ();\n\n Get the number of allocations thus far.\n"},
  {(char*)"GetNumberOfAllocations",                (PyCFunction)PyvtkHeap_GetNumberOfAllocations, 1,
   (char*)"V.GetNumberOfAllocations() -> int\nC++: int GetNumberOfAllocations ();\n\n Get the number of allocations thus far.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkHeap_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n This methods resets the current allocation location\n back to the beginning of the heap. This allows\n reuse of previously allocated memory which may be\n beneficial to performance in many cases.\n"},
  {(char*)"StringDup",                (PyCFunction)PyvtkHeap_StringDup, 1,
   (char*)"V.StringDup(string) -> string\nC++: char *StringDup (const char *str);\n\n Convenience method performs string duplication.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHeapDoc[] = {
  (char*)"vtkHeap - replacement for malloc/free and new/delete\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is a replacement for malloc/free and new/delete for software\n that has inherent memory leak or performance problems. For example,\n external software such as the PLY library (vtkPLY) and VRML importer\n (vtkVRMLImporter) are often written with lots of malloc() calls but\n without the corresponding free() invocations. The class\n vtkOrderedTriangulator may create and delete millions of new/",
  (char*)"delete calls.\n This class allows the overloading of the C++ new operator (or other memory\n allocation requests) by using the method AllocateMemory(). Memory is\n deleted with an invocation of CleanAll() (which deletes ALL memory; any\n given memory allocation cannot be deleted). Note: a block size can be used\n to control the size of each memory allocation. Requests for memory are\n fulfilled from the",
  (char*)" block until the block runs out, then a new block is\n created.\n\n\n",
  "Caveats:\n\n Do not use this class as a general replacement for system memory\n allocation.  This class should be used only as a last resort if memory\n leaks cannot be tracked down and eliminated by conventional means. Also,\n deleting memory from vtkHeap is not supported. Only the deletion of\n the entire heap is. (A Reset() method allows you to reuse previously\n allocated memory.)\n\n",
  "See Also:\n\n vtkVRMLImporter vtkPLY vtkOrderedTriangulator\n\n",
  NULL
};

static vtkObjectBase *vtkHeapStaticNew()
{
  return vtkHeap::New();
}

PyObject *PyVTKClass_vtkHeapNew(char *modulename)
{
  return PyVTKClass_New(&vtkHeapStaticNew,
                        PyvtkHeapMethods,
                        (char*)"vtkHeap",modulename,
                        (char**)vtkHeapDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

