// python wrapper for vtkHomogeneousTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHomogeneousTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }

static PyObject *PyvtkHomogeneousTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  const char    *temp20;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHomogeneousTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHomogeneousTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkHomogeneousTransform  *temp20;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHomogeneousTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkHomogeneousTransform::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_TransformPointsNormalsVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  vtkDataArray  *temp5;
  PyObject *tempH5;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break4;
    temp5 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkDataArray");
    if (!temp5 && tempH5 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkHomogeneousTransform::TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkHomogeneousTransform::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkMatrix4x4  *temp20;
  PyErr_Clear();
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHomogeneousTransform::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_GetHomogeneousInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  vtkHomogeneousTransform  *temp20;
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHomogeneousTransform::GetHomogeneousInverse();
      }
    else
      {
      temp20 = op->GetHomogeneousInverse();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHomogeneousTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHomogeneousTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHomogeneousTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHomogeneousTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHomogeneousTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHomogeneousTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHomogeneousTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHomogeneousTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHomogeneousTransform\nC++: vtkHomogeneousTransform *NewInstance ();\n\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkHomogeneousTransform_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, vtkPoints)\nC++: void TransformPoints (vtkPoints *inPts, vtkPoints *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.  \n"},
  {(char*)"TransformPointsNormalsVectors",                (PyCFunction)PyvtkHomogeneousTransform_TransformPointsNormalsVectors, 1,
   (char*)"V.TransformPointsNormalsVectors(vtkPoints, vtkPoints, vtkDataArray, vtkDataArray, vtkDataArray, vtkDataArray)\nC++: virtual void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a combination of points, normals\n and vectors.  \n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkHomogeneousTransform_GetMatrix, 1,
   (char*)"V.GetMatrix(vtkMatrix4x4)\nC++: void GetMatrix (vtkMatrix4x4 *m);\nV.GetMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetMatrix ();this Update return this Matrix \n\n Get a copy of the internal transformation matrix.  The\n transform is Updated first, to guarantee that the matrix\n is valid.\n"},
  {(char*)"GetHomogeneousInverse",                (PyCFunction)PyvtkHomogeneousTransform_GetHomogeneousInverse, 1,
   (char*)"V.GetHomogeneousInverse() -> vtkHomogeneousTransform\nC++: vtkHomogeneousTransform *GetHomogeneousInverse ();return static_cast vtkHomogeneousTransform this GetInverse \n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkHomogeneousTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHomogeneousTransformDoc[] = {
  (char*)"vtkHomogeneousTransform - superclass for homogeneous transformations\n\n",
  "Super Class:\n\n vtkAbstractTransform\n\n",
  (char*)" vtkHomogeneousTransform provides a generic interface for homogeneous \n transformations, i.e. transformations which can be represented by \n multiplying a 4x4 matrix with a homogeneous coordinate. \n\n",
  "See Also:\n\n vtkPerspectiveTransform vtkLinearTransform vtkIdentityTransform\n\n",
  NULL
};

PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkHomogeneousTransformMethods,
                        (char*)"vtkHomogeneousTransform",modulename,
                        (char**)vtkHomogeneousTransformDoc,
                        PyVTKClass_vtkAbstractTransformNew(modulename));
}

