// python wrapper for vtkIdentityTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIdentityTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIdentityTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIdentityTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkIdentityTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  const char    *temp20;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentityTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentityTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkIdentityTransform  *temp20;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentityTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIdentityTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIdentityTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIdentityTransform_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkIdentityTransform_TransformNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::TransformNormals(temp0,temp1);
      }
    else
      {
      op->TransformNormals(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkIdentityTransform_TransformVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::TransformVectors(temp0,temp1);
      }
    else
      {
      op->TransformVectors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkIdentityTransform_TransformPointsNormalsVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  vtkDataArray  *temp5;
  PyObject *tempH5;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break7;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break7;
    temp5 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkDataArray");
    if (!temp5 && tempH5 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkIdentityTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_InternalTransformNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformNormal(temp0,temp1);
      }
    else
      {
      op->InternalTransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformNormal(temp0,temp1);
      }
    else
      {
      op->InternalTransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_InternalTransformVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformVector(temp0,temp1);
      }
    else
      {
      op->InternalTransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdentityTransform::InternalTransformVector(temp0,temp1);
      }
    else
      {
      op->InternalTransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdentityTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdentityTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkIdentityTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdentityTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIdentityTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIdentityTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIdentityTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIdentityTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIdentityTransform\nC++: vtkIdentityTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIdentityTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIdentityTransform\nC++: vtkIdentityTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkIdentityTransform_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, vtkPoints)\nC++: void TransformPoints (vtkPoints *inPts, vtkPoints *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.  \n"},
  {(char*)"TransformNormals",                (PyCFunction)PyvtkIdentityTransform_TransformNormals, 1,
   (char*)"V.TransformNormals(vtkDataArray, vtkDataArray)\nC++: void TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms);\n\n Apply the transformation to a series of normals, and append the\n results to outNms.  \n"},
  {(char*)"TransformVectors",                (PyCFunction)PyvtkIdentityTransform_TransformVectors, 1,
   (char*)"V.TransformVectors(vtkDataArray, vtkDataArray)\nC++: void TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a series of vectors, and append the\n results to outVrs.  \n"},
  {(char*)"TransformPointsNormalsVectors",                (PyCFunction)PyvtkIdentityTransform_TransformPointsNormalsVectors, 1,
   (char*)"V.TransformPointsNormalsVectors(vtkPoints, vtkPoints, vtkDataArray, vtkDataArray, vtkDataArray, vtkDataArray)\nC++: void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a combination of points, normals\n and vectors.  \n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkIdentityTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkIdentityTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformNormal",                (PyCFunction)PyvtkIdentityTransform_InternalTransformNormal, 1,
   (char*)"V.InternalTransformNormal((float, float, float), (float, float, float))\nC++: void InternalTransformNormal (const float in[3], float out[3]);\nV.InternalTransformNormal((float, float, float), (float, float, float))\nC++: void InternalTransformNormal (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformVector",                (PyCFunction)PyvtkIdentityTransform_InternalTransformVector, 1,
   (char*)"V.InternalTransformVector((float, float, float), (float, float, float))\nC++: void InternalTransformVector (const float in[3], float out[3]);\nV.InternalTransformVector((float, float, float), (float, float, float))\nC++: void InternalTransformVector (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkIdentityTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make a transform of the same type.  This will actually\n return the same transform.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIdentityTransformDoc[] = {
  (char*)"vtkIdentityTransform - a transform that doesn't do anything\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  (char*)" vtkIdentityTransform is a transformation which will simply pass coordinate\n data unchanged.  All other transform types can also do this, however,\n the vtkIdentityTransform does so with much greater efficiency.\n\n",
  "See Also:\n\n vtkLinearTransform\n\n",
  NULL
};

static vtkObjectBase *vtkIdentityTransformStaticNew()
{
  return vtkIdentityTransform::New();
}

PyObject *PyVTKClass_vtkIdentityTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkIdentityTransformStaticNew,
                        PyvtkIdentityTransformMethods,
                        (char*)"vtkIdentityTransform",modulename,
                        (char**)vtkIdentityTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

