// python wrapper for vtkImplicitFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImplicitFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImplicitFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  const char    *temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  vtkImplicitFunction  *temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  unsigned long     temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_FunctionValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::FunctionValue(temp0);
      }
    else
      {
      temp20 = op->FunctionValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::FunctionValue(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FunctionValue(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_FunctionGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitFunction::FunctionGradient(temp0,temp1);
      }
    else
      {
      op->FunctionGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::FunctionGradient(temp0);
      }
    else
      {
      temp20 = op->FunctionGradient(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  PyErr_Clear();
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::FunctionGradient(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FunctionGradient(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitFunction::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[16];
  PyErr_Clear();
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitFunction::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,16)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  vtkAbstractTransform  *temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunction::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunction_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunction *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitFunction\nC++: vtkImplicitFunction *NewInstance ();\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitFunction_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload standard modified time function. If Transform is modified,\n then this object is modified as well.\n"},
  {(char*)"FunctionValue",                (PyCFunction)PyvtkImplicitFunction_FunctionValue, 1,
   (char*)"V.FunctionValue((float, float, float)) -> float\nC++: double FunctionValue (const double x[3]);\nV.FunctionValue(float, float, float) -> float\nC++: double FunctionValue (double x, double y, double z);double xyz x y z return this FunctionValue xyz \n\n Evaluate function at position x-y-z and return value. Point x[3] is\n transformed through transform (if provided).\n"},
  {(char*)"FunctionGradient",                (PyCFunction)PyvtkImplicitFunction_FunctionGradient, 1,
   (char*)"V.FunctionGradient((float, float, float), (float, float, float))\nC++: void FunctionGradient (const double x[3], double g[3]);\nV.FunctionGradient((float, float, float)) -> (float, float, float)\nC++: double *FunctionGradient (const double x[3]);this FunctionGradient x this ReturnValue return this ReturnValue \nV.FunctionGradient(float, float, float) -> (float, float, float)\nC++: double *FunctionGradient (double x, double y, double z);double xyz x y z return this FunctionGradient xyz \n\n Evaluate function gradient at position x-y-z and pass back vector. Point\n x[3] is transformed through transform (if provided).\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkImplicitFunction_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *);\nV.SetTransform((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void SetTransform (double elements[16]);\n\n Set/Get a transformation to apply to input points before\n executing the implicit function.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkImplicitFunction_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n Set/Get a transformation to apply to input points before\n executing the implicit function.\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitFunction_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: virtual double EvaluateFunction (double x[3]) = 0;\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);double xyz x y z return this EvaluateFunction xyz \n\n Evaluate function at position x-y-z and return value.  You should\n generally not call this method directly, you should use \n FunctionValue() instead.  This method must be implemented by \n any derived class. \n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitFunction_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: virtual void EvaluateGradient (double x[3], double g[3]) = 0;\n\n Evaluate function gradient at position x-y-z and pass back vector. \n You should generally not call this method directly, you should use \n FunctionGradient() instead.  This method must be implemented by \n any derived class. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitFunctionDoc[] = {
  (char*)"vtkImplicitFunction - abstract interface for implicit functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImplicitFunction specifies an abstract interface for implicit\n functions. Implicit functions are real valued functions defined in 3D\n space, w = F(x,y,z). Two primitive operations are required: the ability to\n evaluate the function, and the function gradient at a given point. The \n implicit function divides space into three regions: on the surface\n (F(x,y,z)=w), outside of the surface (F(x,y,z",
  (char*)")>c), and inside the\n surface (F(x,y,z)<c). (When c is zero, positive values are outside,\n negative values are inside, and zero is on the surface. Note also\n that the function gradient points from inside to outside.)\n\n Implicit functions are very powerful. It is possible to represent almost\n any type of geometry with the level sets w = const, especially if you use \n boolean combinations of implici",
  (char*)"t functions (see vtkImplicitBoolean).\n\n vtkImplicitFunction provides a mechanism to transform the implicit\n function(s) via a vtkAbstractTransform.  This capability can be used to \n translate, orient, scale, or warp implicit functions.  For example, \n a sphere implicit function can be transformed into an oriented ellipse. \n\n",
  "Caveats:\n\n The transformation transforms a point into the space of the implicit\n function (i.e., the model space). Typically we want to transform the \n implicit model into world coordinates. In this case the inverse of the \n transformation is required.\n\n",
  "See Also:\n\n vtkAbstractTransform vtkSphere vtkCylinder vtkImplicitBoolean vtkPlane \n vtkPlanes vtkQuadric vtkImplicitVolume vtkSampleFunction vtkCutter\n vtkClipPolyData\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImplicitFunctionNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImplicitFunctionMethods,
                        (char*)"vtkImplicitFunction",modulename,
                        (char**)vtkImplicitFunctionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

