// python wrapper for vtkInformationDataObjectKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationDataObjectKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationDataObjectKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationDataObjectKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationDataObjectKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  const char    *temp20;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDataObjectKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDataObjectKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDataObjectKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDataObjectKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  vtkInformationDataObjectKey  *temp20;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDataObjectKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDataObjectKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDataObjectKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationDataObjectKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationDataObjectKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationDataObjectKey_Report(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkGarbageCollector  *temp1;
  PyObject *tempH1;
  op = (vtkInformationDataObjectKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkGarbageCollector *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGarbageCollector");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationDataObjectKey::Report(temp0,temp1);
      }
    else
      {
      op->Report(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkInformationDataObjectKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationDataObjectKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationDataObjectKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationDataObjectKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationDataObjectKey\nC++: vtkInformationDataObjectKey *NewInstance ();\n\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationDataObjectKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationDataObjectKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {(char*)"Report",                (PyCFunction)PyvtkInformationDataObjectKey_Report, 1,
   (char*)"V.Report(vtkInformation, vtkGarbageCollector)\nC++: virtual void Report (vtkInformation *info, vtkGarbageCollector *collector);\n\n Report a reference this key has in the given information object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationDataObjectKeyDoc[] = {
  (char*)"vtkInformationDataObjectKey - Key for vtkDataObject values.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationDataObjectKey is used to represent keys in\n vtkInformation for values that are vtkDataObject instances.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationDataObjectKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationDataObjectKeyMethods,
                        (char*)"vtkInformationDataObjectKey",modulename,
                        (char**)vtkInformationDataObjectKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

