// python wrapper for vtkInformationDoubleKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationDoubleKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationDoubleKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationDoubleKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationDoubleKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  const char    *temp20;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDoubleKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDoubleKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  vtkInformationDoubleKey  *temp20;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDoubleKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  double   temp1;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationDoubleKey::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  double   temp20;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDoubleKey::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationDoubleKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationDoubleKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationDoubleKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationDoubleKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkInformationDoubleKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationDoubleKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationDoubleKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationDoubleKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationDoubleKey\nC++: vtkInformationDoubleKey *NewInstance ();\n\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationDoubleKey_Set, 1,
   (char*)"V.Set(vtkInformation, float)\nC++: void Set (vtkInformation *info, double );\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformationDoubleKey_Get, 1,
   (char*)"V.Get(vtkInformation) -> float\nC++: double Get (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationDoubleKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationDoubleKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationDoubleKeyDoc[] = {
  (char*)"vtkInformationDoubleKey - Key for double values in vtkInformation.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationDoubleKey is used to represent keys for double values\n in vtkInformation.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationDoubleKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationDoubleKeyMethods,
                        (char*)"vtkInformationDoubleKey",modulename,
                        (char**)vtkInformationDoubleKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

