// python wrapper for vtkInformationIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInformationIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  const char    *temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  vtkInformationIterator  *temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInformationIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInformationIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationIterator_SetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIterator::SetInformation(temp0);
      }
    else
      {
      op->SetInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationIterator_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  vtkInformation  *temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::GetInformation();
      }
    else
      {
      temp20 = op->GetInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIterator::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_GoToFirstItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIterator::GoToFirstItem();
      }
    else
      {
      op->GoToFirstItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIterator::GoToNextItem();
      }
    else
      {
      op->GoToNextItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  int      temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::IsDoneWithTraversal();
      }
    else
      {
      temp20 = op->IsDoneWithTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIterator_GetCurrentKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIterator *op;

  vtkInformationKey  *temp20;
  op = (vtkInformationIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIterator::GetCurrentKey();
      }
    else
      {
      temp20 = op->GetCurrentKey();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInformationIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationIterator\nC++: vtkInformationIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInformationIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInformationIterator\nC++: vtkInformationIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInformation",                (PyCFunction)PyvtkInformationIterator_SetInformation, 1,
   (char*)"V.SetInformation(vtkInformation)\nC++: void SetInformation (vtkInformation *);\n\n Set/Get the information to iterator over.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkInformationIterator_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkInformation\nC++: vtkInformation *GetInformation ();\n\n Set/Get the information to iterator over.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkInformationIterator_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();this GoToFirstItem \n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToFirstItem",                (PyCFunction)PyvtkInformationIterator_GoToFirstItem, 1,
   (char*)"V.GoToFirstItem()\nC++: virtual void GoToFirstItem ();\n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToNextItem",                (PyCFunction)PyvtkInformationIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: virtual void GoToNextItem ();\n\n Move the iterator to the next item in the collection.\n"},
  {(char*)"IsDoneWithTraversal",                (PyCFunction)PyvtkInformationIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> int\nC++: virtual int IsDoneWithTraversal ();\n\n Test whether the iterator is currently pointing to a valid\n item. Returns 1 for yes, 0 for no.\n"},
  {(char*)"GetCurrentKey",                (PyCFunction)PyvtkInformationIterator_GetCurrentKey, 1,
   (char*)"V.GetCurrentKey() -> vtkInformationKey\nC++: virtual vtkInformationKey *GetCurrentKey ();\n\n Get the current item. Valid only when IsDoneWithTraversal()\n returns 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationIteratorDoc[] = {
  (char*)"vtkInformationIterator - Iterates over keys of an information object\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkInformationIterator can be used to iterate over the keys of an\n information object. The corresponding values can then be directly\n obtained from the information object using the keys.\n\n\n",
  "See Also:\n\n vtkInformation vtkInformationKey\n\n",
  NULL
};

static vtkObjectBase *vtkInformationIteratorStaticNew()
{
  return vtkInformationIterator::New();
}

PyObject *PyVTKClass_vtkInformationIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkInformationIteratorStaticNew,
                        PyvtkInformationIteratorMethods,
                        (char*)"vtkInformationIterator",modulename,
                        (char**)vtkInformationIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

