// python wrapper for vtkInformationKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectBaseNew(char *); }

static PyObject *PyvtkInformationKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  const char    *temp20;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformationKey  *temp20;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKey_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationKey_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationKey_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  const char    *temp20;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKey::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKey_GetLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  const char    *temp20;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKey::GetLocation();
      }
    else
      {
      temp20 = op->GetLocation();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkInformationKey_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::DeepCopy(temp0,temp1);
      }
    else
      {
      op->DeepCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkInformationKey_Remove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkInformationKey_Report(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkGarbageCollector  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkGarbageCollector *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGarbageCollector");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::Report(temp0,temp1);
      }
    else
      {
      op->Report(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkInformationKey_Print(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKey::Print(temp0);
      }
    else
      {
      op->Print(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkInformationKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationKey\nC++: vtkInformationKey *NewInstance ();\n\n"},
  {(char*)"Register",                (PyCFunction)PyvtkInformationKey_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *);\n\n Prevent normal vtkObject reference counting behavior.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkInformationKey_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *);\n\n Prevent normal vtkObject reference counting behavior.\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkInformationKey_GetName, 1,
   (char*)"V.GetName() -> string\nC++: const char *GetName ();\n\n Get the name of the key.  This is not the type of the key, but\n the name of the key instance.\n"},
  {(char*)"GetLocation",                (PyCFunction)PyvtkInformationKey_GetLocation, 1,
   (char*)"V.GetLocation() -> string\nC++: const char *GetLocation ();\n\n Get the location of the key.  This is the name of the class in\n which the key is defined.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to) = 0;\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkInformationKey_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkInformation, vtkInformation)\nC++: virtual void DeepCopy (vtkInformation *, vtkInformation *);\n\n Remove this key from the given information object.\n"},
  {(char*)"Remove",                (PyCFunction)PyvtkInformationKey_Remove, 1,
   (char*)"V.Remove(vtkInformation)\nC++: virtual void Remove (vtkInformation *info);\n\n Remove this key from the given information object.\n"},
  {(char*)"Report",                (PyCFunction)PyvtkInformationKey_Report, 1,
   (char*)"V.Report(vtkInformation, vtkGarbageCollector)\nC++: virtual void Report (vtkInformation *info, vtkGarbageCollector *collector);\n\n Report a reference this key has in the given information object.\n"},
  {(char*)"Print",                (PyCFunction)PyvtkInformationKey_Print, 1,
   (char*)"V.Print(vtkInformation)\nC++: void Print (vtkInformation *info);\n\n Print the key's value in an information object to a stream.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationKeyDoc[] = {
  (char*)"vtkInformationKey - Superclass for vtkInformation keys.\n\n",
  "Super Class:\n\n vtkObjectBase\n\n",
  (char*)" vtkInformationKey is the superclass for all keys used to access the\n map represented by vtkInformation.  The vtkInformation::Set and\n vtkInformation::Get methods of vtkInformation are accessed by\n information keys.  A key is a pointer to an instance of a subclass\n of vtkInformationKey.  The type of the subclass determines the\n overload of Set/Get that is selected.  This ensures that the type\n of ",
  (char*)"value stored in a vtkInformation instance corresponding to a\n given key matches the type expected for that key.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationKeyMethods,
                        (char*)"vtkInformationKey",modulename,
                        (char**)vtkInformationKeyDoc,
                        PyVTKClass_vtkObjectBaseNew(modulename));
}

