// python wrapper for vtkInformationKeyVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationKeyVectorKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationKeyVectorKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationKeyVectorKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationKeyVectorKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  const char    *temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformationKeyVectorKey  *temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKeyVectorKey::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_AppendUnique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKeyVectorKey::AppendUnique(temp0,temp1);
      }
    else
      {
      op->AppendUnique(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_RemoveItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKeyVectorKey::RemoveItem(temp0,temp1);
      }
    else
      {
      op->RemoveItem(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkInformationKey  *temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::Get(temp0,temp1);
      }
    else
      {
      temp20 = op->Get(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_Length(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationKeyVectorKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkInformationKeyVectorKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationKeyVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationKeyVectorKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkInformationKeyVectorKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationKeyVectorKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationKeyVectorKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationKeyVectorKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationKeyVectorKey\nC++: vtkInformationKeyVectorKey *NewInstance ();\n\n"},
  {(char*)"Append",                (PyCFunction)PyvtkInformationKeyVectorKey_Append, 1,
   (char*)"V.Append(vtkInformation, vtkInformationKey)\nC++: void Append (vtkInformation *info, vtkInformationKey *value);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"AppendUnique",                (PyCFunction)PyvtkInformationKeyVectorKey_AppendUnique, 1,
   (char*)"V.AppendUnique(vtkInformation, vtkInformationKey)\nC++: void AppendUnique (vtkInformation *info, vtkInformationKey *value);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"RemoveItem",                (PyCFunction)PyvtkInformationKeyVectorKey_RemoveItem, 1,
   (char*)"V.RemoveItem(vtkInformation, vtkInformationKey)\nC++: void RemoveItem (vtkInformation *info, vtkInformationKey *value);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformationKeyVectorKey_Get, 1,
   (char*)"V.Get(vtkInformation, int) -> vtkInformationKey\nC++: vtkInformationKey *Get (vtkInformation *info, int idx);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Length",                (PyCFunction)PyvtkInformationKeyVectorKey_Length, 1,
   (char*)"V.Length(vtkInformation) -> int\nC++: int Length (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationKeyVectorKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationKeyVectorKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationKeyVectorKeyDoc[] = {
  (char*)"vtkInformationKeyVectorKey - Key for vector-of-keys values.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationKeyVectorKey is used to represent keys for\n vector-of-keys values in vtkInformation.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationKeyVectorKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationKeyVectorKeyMethods,
                        (char*)"vtkInformationKeyVectorKey",modulename,
                        (char**)vtkInformationKeyVectorKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

