// python wrapper for vtkInformationRequestKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationRequestKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationRequestKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationRequestKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationRequestKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  const char    *temp20;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationRequestKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationRequestKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  vtkInformationRequestKey  *temp20;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationRequestKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationRequestKey::Set(temp0);
      }
    else
      {
      op->Set(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_Remove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationRequestKey::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationRequestKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationRequestKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationRequestKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationRequestKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkInformationRequestKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationRequestKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationRequestKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationRequestKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationRequestKey\nC++: vtkInformationRequestKey *NewInstance ();\n\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationRequestKey_Set, 1,
   (char*)"V.Set(vtkInformation)\nC++: void Set (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Remove",                (PyCFunction)PyvtkInformationRequestKey_Remove, 1,
   (char*)"V.Remove(vtkInformation)\nC++: void Remove (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationRequestKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationRequestKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationRequestKeyDoc[] = {
  (char*)"vtkInformationRequestKey - Key for pointer to pointer.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationRequestKey is used to represent keys for pointer\n to pointer values in vtkInformation.h\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationRequestKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationRequestKeyMethods,
                        (char*)"vtkInformationRequestKey",modulename,
                        (char**)vtkInformationRequestKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

