// tcl wrapper for vtkInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInformationNewCommand()
{
  vtkInformation *temp = vtkInformation::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInformationCppCommand(vtkInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInformationCppCommand(static_cast<vtkInformation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInformationCppCommand(vtkInformation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInformation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Copy",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Copy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationDataObjectKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationDoubleVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationInformationKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationInformationVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationIntegerKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationIntegerVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationRequestKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationStringKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationStringKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationStringVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationUnsignedLongKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntries",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationKeyVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntries(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (!error)
    {
    op->Set(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationIdTypeKey  *temp0;
    vtkIdType   temp1;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIdTypeKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIdTypeKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIdTypeKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIdTypeKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationDoubleKey  *temp0;
    double   temp1;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleKey"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 6))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 9))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 4))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Get(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationStringVectorKey  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 5))
    {
    vtkInformationStringVectorKey  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 4))
    {
    vtkInformationStringVectorKey  *temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Get(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationStringVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationStringVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationStringVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerPointerKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerPointerKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerPointerKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationUnsignedLongKey  *temp0;
    unsigned long     temp1;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    unsigned long     temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 6))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 9))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 4))
    {
    vtkInformationDoubleVectorKey  *temp0;
    int      temp1;
    double   temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Get(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationKey"),interp,error));
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AppendUnique",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationKey"),interp,error));
    if (!error)
    {
    op->AppendUnique(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    int      temp1;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Get(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKeyVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationStringKey  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringKey"),interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    const char    *temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationVector  *temp1;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    temp1 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformationVector"),interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationVector  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationVector");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationObjectBaseKey  *temp0;
    vtkObjectBase  *temp1;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationObjectBaseKey"),interp,error));
    temp1 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    vtkObjectBase  *temp20;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationObjectBaseKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObjectBase");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationObjectBaseKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationObjectBaseKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkDataObject  *temp1;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDataObjectKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationDoubleVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationInformationVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationIntegerVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationStringVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationStringVectorKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationStringVectorKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationUnsignedLongKey"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequest",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationRequestKey"),interp,error));
    if (!error)
    {
    op->SetRequest(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequest",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->GetRequest();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInformationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInformation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  Copy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntries\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AppendUnique\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRequest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequest\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    Tcl_DStringAppendElement ( &dString, "Copy" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    Tcl_DStringAppendElement ( &dString, "CopyEntries" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Append" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Length" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Append" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Length" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Length" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Append" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Length" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Append" );
    Tcl_DStringAppendElement ( &dString, "AppendUnique" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Length" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "Set" );
    Tcl_DStringAppendElement ( &dString, "Get" );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    Tcl_DStringAppendElement ( &dString, "Has" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "SetRequest" );
    Tcl_DStringAppendElement ( &dString, "GetRequest" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clear */
    if ( strcmp ( argv[2], "Clear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clear */
    Tcl_DStringAppendElement ( &dString, " Clear all information entries.\n" );
    Tcl_DStringAppendElement ( &dString, "void Clear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Clear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Copy */
    if ( strcmp ( argv[2], "Copy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Copy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Copy */
    Tcl_DStringAppendElement ( &dString, " Copy all information entries from the given vtkInformation\n instance.  Any previously existing entries are removed.  If \n deep==1, a deep copy of the information structure is performed (new \n instances of any contained vtkInformation and vtkInformationVector \n objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void Copy (vtkInformation *from, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Copy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationDataObjectKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationDoubleVectorKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationInformationKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationInformationVectorKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationIntegerKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationIntegerVectorKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationRequestKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationStringKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationStringVectorKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntry */
    if ( strcmp ( argv[2], "CopyEntry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntry */
    Tcl_DStringAppendElement ( &dString, " Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntry (vtkInformation *from, vtkInformationUnsignedLongKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyEntries */
    if ( strcmp ( argv[2], "CopyEntries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyEntries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyEntries */
    Tcl_DStringAppendElement ( &dString, " Use the given key to lookup a list of other keys in the given\n information object.  The key/value pairs associated with these\n other keys will be copied.  If deep==1, a deep copy of the\n information structure is performed.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyEntries (vtkInformation *from, vtkInformationKeyVectorKey *key, int deep);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for CopyEntries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set a request-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationRequestKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set a request-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationRequestKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set a request-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationRequestKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationIntegerKey *key, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Get (vtkInformationIntegerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationIntegerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationIntegerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIdTypeKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set a vtkIdType-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationIdTypeKey *key, vtkIdType value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIdTypeKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set a vtkIdType-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType Get (vtkInformationIdTypeKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIdTypeKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set a vtkIdType-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationIdTypeKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIdTypeKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set a vtkIdType-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationIdTypeKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleKey" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationDoubleKey *key, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "double Get (vtkInformationDoubleKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationDoubleKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationDoubleKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Append */
    if ( strcmp ( argv[2], "Append" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Append" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Append */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Append (vtkInformationIntegerVectorKey *key, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Append */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3, int value4, int value5, int value6);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Get (vtkInformationIntegerVectorKey *key, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Length */
    if ( strcmp ( argv[2], "Length" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Length" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Length */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Length (vtkInformationIntegerVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Length */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationIntegerVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationIntegerVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Append */
    if ( strcmp ( argv[2], "Append" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Append" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Append */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Append (vtkInformationStringVectorKey *key, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Append */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationStringVectorKey *key, const char *value, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *Get (vtkInformationStringVectorKey *key, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Length */
    if ( strcmp ( argv[2], "Length" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Length" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Length */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Length (vtkInformationStringVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Length */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationStringVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationStringVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Length */
    if ( strcmp ( argv[2], "Length" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Length" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerPointerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Length */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-pointer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Length (vtkInformationIntegerPointerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Length */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerPointerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-pointer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationIntegerPointerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerPointerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an integer-pointer-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationIntegerPointerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an unsigned-long-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationUnsignedLongKey *key, unsigned long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an unsigned-long-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long Get (vtkInformationUnsignedLongKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an unsigned-long-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationUnsignedLongKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an unsigned-long-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationUnsignedLongKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Append */
    if ( strcmp ( argv[2], "Append" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Append" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Append */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Append (vtkInformationDoubleVectorKey *key, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Append */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3, double value4, double value5, double value6);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "double Get (vtkInformationDoubleVectorKey *key, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Length */
    if ( strcmp ( argv[2], "Length" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Length" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Length */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Length (vtkInformationDoubleVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Length */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationDoubleVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an double-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationDoubleVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Append */
    if ( strcmp ( argv[2], "Append" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Append" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Append */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Append (vtkInformationKeyVectorKey *key, vtkInformationKey *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Append */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendUnique */
    if ( strcmp ( argv[2], "AppendUnique" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendUnique" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendUnique */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void AppendUnique (vtkInformationKeyVectorKey *key, vtkInformationKey *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for AppendUnique */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationKeyVectorKey *key, vtkInformationKey *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey *Get (vtkInformationKeyVectorKey *key, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Length */
    if ( strcmp ( argv[2], "Length" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Length" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Length */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Length (vtkInformationKeyVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Length */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationKeyVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKeyVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an InformationKey-vector-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationKeyVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationStringKey *key, const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *Get (vtkInformationStringKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationStringKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set a string-valued entry.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationStringKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing another vtkInformation instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationInformationKey *key, vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing another vtkInformation instance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *Get (vtkInformationInformationKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing another vtkInformation instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationInformationKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing another vtkInformation instance.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationInformationKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkInformationVector instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationInformationVectorKey *key, vtkInformationVector *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkInformationVector instance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector *Get (vtkInformationInformationVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkInformationVector instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationInformationVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkInformationVector instance.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationInformationVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationObjectBaseKey" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkObjectBase instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationObjectBaseKey *key, vtkObjectBase *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationObjectBaseKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkObjectBase instance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase *Get (vtkInformationObjectBaseKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationObjectBaseKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkObjectBase instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationObjectBaseKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationObjectBaseKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkObjectBase instance.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationObjectBaseKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Set */
    if ( strcmp ( argv[2], "Set" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Set" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Set */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkDataObject instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Set (vtkInformationDataObjectKey *key, vtkDataObject *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Set */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Get */
    if ( strcmp ( argv[2], "Get" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Get" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Get */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkDataObject instance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *Get (vtkInformationDataObjectKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Get */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Remove */
    if ( strcmp ( argv[2], "Remove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Remove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Remove */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkDataObject instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void Remove (vtkInformationDataObjectKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Remove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Has */
    if ( strcmp ( argv[2], "Has" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Has" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Has */
    Tcl_DStringAppendElement ( &dString, " Get/Set an entry storing a vtkDataObject instance.\n" );
    Tcl_DStringAppendElement ( &dString, "int Has (vtkInformationDataObjectKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Has */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDataObjectKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationDataObjectKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationDoubleKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationDoubleVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationDoubleVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationInformationKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationInformationVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationInformationVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationIntegerKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationIntegerVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationIntegerVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationRequestKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationStringKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationStringVectorKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationStringVectorKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKey */
    if ( strcmp ( argv[2], "GetKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationUnsignedLongKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKey */
    Tcl_DStringAppendElement ( &dString, " Upcast the given key instance.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationKey *GetKey (vtkInformationUnsignedLongKey *key);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Initiate garbage collection when a reference is removed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Initiate garbage collection when a reference is removed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequest */
    if ( strcmp ( argv[2], "SetRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequest */
    Tcl_DStringAppendElement ( &dString, " Get/Set the Request ivar\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequest (vtkInformationRequestKey *request);" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for SetRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequest */
    if ( strcmp ( argv[2], "GetRequest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequest */
    Tcl_DStringAppendElement ( &dString, " Get/Set the Request ivar\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformationRequestKey *GetRequest ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    /* Closing for GetRequest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
