// python wrapper for vtkInformationVector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationVector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationVectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationVectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInformationVector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  const char    *temp20;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationVector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationVector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkInformationVector  *temp20;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationVector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInformationVector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInformationVector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationVector_GetNumberOfInformationObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  int      temp20;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationVector::GetNumberOfInformationObjects();
      }
    else
      {
      temp20 = op->GetNumberOfInformationObjects();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_SetNumberOfInformationObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  int      temp0;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::SetNumberOfInformationObjects(temp0);
      }
    else
      {
      op->SetNumberOfInformationObjects(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_SetInformationObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::SetInformationObject(temp0,temp1);
      }
    else
      {
      op->SetInformationObject(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkInformationVector_GetInformationObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  int      temp0;
  vtkInformation  *temp20;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationVector::GetInformationObject(temp0);
      }
    else
      {
      temp20 = op->GetInformationObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationVector_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::Append(temp0);
      }
    else
      {
      op->Append(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkInformationVector_Remove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkInformationVector_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkInformationVector_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkInformationVector_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationVector *op;

  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkInformationVector *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationVector::Copy(temp0,temp1);
      }
    else
      {
      op->Copy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkInformationVectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationVector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationVector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationVector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationVector\nC++: vtkInformationVector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInformationVector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInformationVector\nC++: vtkInformationVector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfInformationObjects",                (PyCFunction)PyvtkInformationVector_GetNumberOfInformationObjects, 1,
   (char*)"V.GetNumberOfInformationObjects() -> int\nC++: int GetNumberOfInformationObjects ();return this NumberOfInformationObjects \n\n Get/Set the number of information objects in the vector.  Setting\n the number to larger than the current number will create empty\n vtkInformation instances.  Setting the number to smaller than the\n current number will remove entries from higher indices.\n"},
  {(char*)"SetNumberOfInformationObjects",                (PyCFunction)PyvtkInformationVector_SetNumberOfInformationObjects, 1,
   (char*)"V.SetNumberOfInformationObjects(int)\nC++: void SetNumberOfInformationObjects (int n);\n\n Get/Set the number of information objects in the vector.  Setting\n the number to larger than the current number will create empty\n vtkInformation instances.  Setting the number to smaller than the\n current number will remove entries from higher indices.\n"},
  {(char*)"SetInformationObject",                (PyCFunction)PyvtkInformationVector_SetInformationObject, 1,
   (char*)"V.SetInformationObject(int, vtkInformation)\nC++: void SetInformationObject (int index, vtkInformation *info);\n\n Get/Set the vtkInformation instance stored at the given index in\n the vector.  The vector will automatically expand to include the\n index given if necessary.  Missing entries in-between will be\n filled with empty vtkInformation instances.\n"},
  {(char*)"GetInformationObject",                (PyCFunction)PyvtkInformationVector_GetInformationObject, 1,
   (char*)"V.GetInformationObject(int) -> vtkInformation\nC++: vtkInformation *GetInformationObject (int index);\n\n Get/Set the vtkInformation instance stored at the given index in\n the vector.  The vector will automatically expand to include the\n index given if necessary.  Missing entries in-between will be\n filled with empty vtkInformation instances.\n"},
  {(char*)"Append",                (PyCFunction)PyvtkInformationVector_Append, 1,
   (char*)"V.Append(vtkInformation)\nC++: void Append (vtkInformation *info);\n\n Append/Remove an information object.\n"},
  {(char*)"Remove",                (PyCFunction)PyvtkInformationVector_Remove, 1,
   (char*)"V.Remove(vtkInformation)\nC++: void Remove (vtkInformation *info);\n\n Append/Remove an information object.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkInformationVector_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Initiate garbage collection when a reference is removed.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkInformationVector_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Initiate garbage collection when a reference is removed.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkInformationVector_Copy, 1,
   (char*)"V.Copy(vtkInformationVector, int)\nC++: void Copy (vtkInformationVector *from, int deep);\n\n Copy all information entries from the given vtkInformation\n instance.  Any previously existing entries are removed.  If \n deep==1, a deep copy of the information structure is performed (new \n instances of any contained vtkInformation and vtkInformationVector \n objects are created).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationVectorDoc[] = {
  (char*)"vtkInformationVector - Store zero or more vtkInformation instances.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  NULL
};

static vtkObjectBase *vtkInformationVectorStaticNew()
{
  return vtkInformationVector::New();
}

PyObject *PyVTKClass_vtkInformationVectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkInformationVectorStaticNew,
                        PyvtkInformationVectorMethods,
                        (char*)"vtkInformationVector",modulename,
                        (char**)vtkInformationVectorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

