// python wrapper for vtkLinearTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLinearTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLinearTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *); }

static PyObject *PyvtkLinearTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  const char    *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkLinearTransform  *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformNormal(temp0,temp1);
      }
    else
      {
      op->TransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformNormal(temp0,temp1);
      }
    else
      {
      op->TransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformNormal(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformNormal(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformNormal(temp0);
      }
    else
      {
      temp20 = op->TransformNormal(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformFloatNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"fff", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformFloatNormal(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformFloatNormal(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float   *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformFloatNormal(temp0);
      }
    else
      {
      temp20 = op->TransformFloatNormal(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformDoubleNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformDoubleNormal(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformDoubleNormal(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformDoubleNormal(temp0);
      }
    else
      {
      temp20 = op->TransformDoubleNormal(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformVector(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformVector(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformVector(temp0);
      }
    else
      {
      temp20 = op->TransformVector(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float  temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformVector(temp0,temp1);
      }
    else
      {
      op->TransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformVector(temp0,temp1);
      }
    else
      {
      op->TransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformFloatVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"fff", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformFloatVector(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformFloatVector(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float   *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformFloatVector(temp0);
      }
    else
      {
      temp20 = op->TransformFloatVector(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformDoubleVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformDoubleVector(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->TransformDoubleVector(temp0,temp1,temp2);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double  *temp20;
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::TransformDoubleVector(temp0);
      }
    else
      {
      temp20 = op->TransformDoubleVector(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break19;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformPoints(temp0,temp1);
      }
    else
      {
      op->TransformPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformNormals(temp0,temp1);
      }
    else
      {
      op->TransformNormals(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformVectors(temp0,temp1);
      }
    else
      {
      op->TransformVectors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkLinearTransform_TransformPointsNormalsVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  vtkDataArray  *temp5;
  PyObject *tempH5;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break22;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break22;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break22;
    temp5 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkDataArray");
    if (!temp5 && tempH5 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkLinearTransform_GetLinearInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  vtkLinearTransform  *temp20;
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearTransform::GetLinearInverse();
      }
    else
      {
      temp20 = op->GetLinearInverse();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_InternalTransformNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformNormal(temp0,temp1);
      }
    else
      {
      op->InternalTransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformNormal(temp0,temp1);
      }
    else
      {
      op->InternalTransformNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearTransform_InternalTransformVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformVector(temp0,temp1);
      }
    else
      {
      op->InternalTransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearTransform::InternalTransformVector(temp0,temp1);
      }
    else
      {
      op->InternalTransformVector(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLinearTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLinearTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLinearTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLinearTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLinearTransform\nC++: vtkLinearTransform *NewInstance ();\n\n"},
  {(char*)"TransformNormal",                (PyCFunction)PyvtkLinearTransform_TransformNormal, 1,
   (char*)"V.TransformNormal((float, float, float), (float, float, float))\nC++: void TransformNormal (const float in[3], float out[3]);this Update this InternalTransformNormal in out \nV.TransformNormal((float, float, float), (float, float, float))\nC++: void TransformNormal (const double in[3], double out[3]);this Update this InternalTransformNormal in out \nV.TransformNormal(float, float, float) -> (float, float, float)\nC++: double *TransformNormal (double x, double y, double z);return this TransformDoubleNormal x y z \nV.TransformNormal((float, float, float)) -> (float, float, float)\nC++: double *TransformNormal (const double normal[3]);return this TransformDoubleNormal normal normal normal \n\n Apply the transformation to a normal.\n You can use the same array to store both the input and output.\n"},
  {(char*)"TransformFloatNormal",                (PyCFunction)PyvtkLinearTransform_TransformFloatNormal, 1,
   (char*)"V.TransformFloatNormal(float, float, float) -> (float, float, float)\nC++: float *TransformFloatNormal (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformNormal this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint \nV.TransformFloatNormal((float, float, float)) -> (float, float, float)\nC++: float *TransformFloatNormal (const float normal[3]);return this TransformFloatNormal normal normal normal \n\n Apply the transformation to an (x,y,z) normal.\n Use this if you are programming in python, tcl or Java.\n"},
  {(char*)"TransformDoubleNormal",                (PyCFunction)PyvtkLinearTransform_TransformDoubleNormal, 1,
   (char*)"V.TransformDoubleNormal(float, float, float) -> (float, float, float)\nC++: double *TransformDoubleNormal (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformNormal this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint \nV.TransformDoubleNormal((float, float, float)) -> (float, float, float)\nC++: double *TransformDoubleNormal (const double normal[3]);return this TransformDoubleNormal normal normal normal \n\n Apply the transformation to a double-precision (x,y,z) normal.\n Use this if you are programming in python, tcl or Java.\n"},
  {(char*)"TransformVector",                (PyCFunction)PyvtkLinearTransform_TransformVector, 1,
   (char*)"V.TransformVector(float, float, float) -> (float, float, float)\nC++: double *TransformVector (double x, double y, double z);return this TransformDoubleVector x y z \nV.TransformVector((float, float, float)) -> (float, float, float)\nC++: double *TransformVector (const double normal[3]);return this TransformDoubleVector normal normal normal \nV.TransformVector((float, float, float), (float, float, float))\nC++: void TransformVector (const float in[3], float out[3]);this Update this InternalTransformVector in out \nV.TransformVector((float, float, float), (float, float, float))\nC++: void TransformVector (const double in[3], double out[3]);this Update this InternalTransformVector in out \n\n Synonymous with TransformDoubleVector(x,y,z).\n Use this if you are programming in python, tcl or Java.\n"},
  {(char*)"TransformFloatVector",                (PyCFunction)PyvtkLinearTransform_TransformFloatVector, 1,
   (char*)"V.TransformFloatVector(float, float, float) -> (float, float, float)\nC++: float *TransformFloatVector (float x, float y, float z);this InternalFloatPoint x this InternalFloatPoint y this InternalFloatPoint z this TransformVector this InternalFloatPoint this InternalFloatPoint return this InternalFloatPoint \nV.TransformFloatVector((float, float, float)) -> (float, float, float)\nC++: float *TransformFloatVector (const float vec[3]);return this TransformFloatVector vec vec vec \n\n Apply the transformation to an (x,y,z) vector.\n Use this if you are programming in python, tcl or Java.\n"},
  {(char*)"TransformDoubleVector",                (PyCFunction)PyvtkLinearTransform_TransformDoubleVector, 1,
   (char*)"V.TransformDoubleVector(float, float, float) -> (float, float, float)\nC++: double *TransformDoubleVector (double x, double y, double z);this InternalDoublePoint x this InternalDoublePoint y this InternalDoublePoint z this TransformVector this InternalDoublePoint this InternalDoublePoint return this InternalDoublePoint \nV.TransformDoubleVector((float, float, float)) -> (float, float, float)\nC++: double *TransformDoubleVector (const double vec[3]);return this TransformDoubleVector vec vec vec \n\n Apply the transformation to a double-precision (x,y,z) vector.\n Use this if you are programming in python, tcl or Java.\n"},
  {(char*)"TransformPoints",                (PyCFunction)PyvtkLinearTransform_TransformPoints, 1,
   (char*)"V.TransformPoints(vtkPoints, vtkPoints)\nC++: void TransformPoints (vtkPoints *inPts, vtkPoints *outPts);\n\n Apply the transformation to a series of points, and append the\n results to outPts.  \n"},
  {(char*)"TransformNormals",                (PyCFunction)PyvtkLinearTransform_TransformNormals, 1,
   (char*)"V.TransformNormals(vtkDataArray, vtkDataArray)\nC++: virtual void TransformNormals (vtkDataArray *inNms, vtkDataArray *outNms);\n\n Apply the transformation to a series of normals, and append the\n results to outNms.  \n"},
  {(char*)"TransformVectors",                (PyCFunction)PyvtkLinearTransform_TransformVectors, 1,
   (char*)"V.TransformVectors(vtkDataArray, vtkDataArray)\nC++: virtual void TransformVectors (vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a series of vectors, and append the\n results to outVrs.  \n"},
  {(char*)"TransformPointsNormalsVectors",                (PyCFunction)PyvtkLinearTransform_TransformPointsNormalsVectors, 1,
   (char*)"V.TransformPointsNormalsVectors(vtkPoints, vtkPoints, vtkDataArray, vtkDataArray, vtkDataArray, vtkDataArray)\nC++: void TransformPointsNormalsVectors (vtkPoints *inPts, vtkPoints *outPts, vtkDataArray *inNms, vtkDataArray *outNms, vtkDataArray *inVrs, vtkDataArray *outVrs);\n\n Apply the transformation to a combination of points, normals\n and vectors.  \n"},
  {(char*)"GetLinearInverse",                (PyCFunction)PyvtkLinearTransform_GetLinearInverse, 1,
   (char*)"V.GetLinearInverse() -> vtkLinearTransform\nC++: vtkLinearTransform *GetLinearInverse ();return static_cast vtkLinearTransform this GetInverse \n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkLinearTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformNormal",                (PyCFunction)PyvtkLinearTransform_InternalTransformNormal, 1,
   (char*)"V.InternalTransformNormal((float, float, float), (float, float, float))\nC++: virtual void InternalTransformNormal (const float in[3], float out[3]);\nV.InternalTransformNormal((float, float, float), (float, float, float))\nC++: virtual void InternalTransformNormal (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"InternalTransformVector",                (PyCFunction)PyvtkLinearTransform_InternalTransformVector, 1,
   (char*)"V.InternalTransformVector((float, float, float), (float, float, float))\nC++: virtual void InternalTransformVector (const float in[3], float out[3]);\nV.InternalTransformVector((float, float, float), (float, float, float))\nC++: virtual void InternalTransformVector (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLinearTransformDoc[] = {
  (char*)"vtkLinearTransform - abstract superclass for linear transformations\n\n",
  "Super Class:\n\n vtkHomogeneousTransform\n\n",
  (char*)" vtkLinearTransform provides a generic interface for linear \n (affine or 12 degree-of-freedom) geometric transformations. \n\n",
  "See Also:\n\n vtkTransform vtkIdentityTransform \n\n",
  NULL
};

PyObject *PyVTKClass_vtkLinearTransformNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkLinearTransformMethods,
                        (char*)"vtkLinearTransform",modulename,
                        (char**)vtkLinearTransformDoc,
                        PyVTKClass_vtkHomogeneousTransformNew(modulename));
}

