// python wrapper for vtkLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLookupTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLookupTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLookupTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkScalarsToColorsNew(char *); }

static PyObject *PyvtkLookupTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  const char    *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkLookupTable  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLookupTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLookupTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLookupTable_IsOpaque(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::IsOpaque();
      }
    else
      {
      temp20 = op->IsOpaque();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_Build(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::Build();
      }
    else
      {
      op->Build();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_ForceBuild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::ForceBuild();
      }
    else
      {
      op->ForceBuild();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetRamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRamp(temp0);
      }
    else
      {
      op->SetRamp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetRampToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRampToLinear();
      }
    else
      {
      op->SetRampToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetRampToSCurve(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRampToSCurve();
      }
    else
      {
      op->SetRampToSCurve();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetRampToSQRT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRampToSQRT();
      }
    else
      {
      op->SetRampToSQRT();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetRamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetRamp();
      }
    else
      {
      temp20 = op->GetRamp();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetScaleToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetScaleToLinear();
      }
    else
      {
      op->SetScaleToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetScaleToLog10(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetScaleToLog10();
      }
    else
      {
      op->SetScaleToLog10();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetTableRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetTableRange(temp0);
      }
    else
      {
      op->SetTableRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetTableRange(temp0,temp1);
      }
    else
      {
      op->SetTableRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetTableRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetTableRange();
      }
    else
      {
      temp20 = op->GetTableRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetHueRange(temp0,temp1);
      }
    else
      {
      op->SetHueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetHueRange(temp0);
      }
    else
      {
      op->SetHueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetHueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetHueRange();
      }
    else
      {
      temp20 = op->GetHueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetSaturationRange(temp0,temp1);
      }
    else
      {
      op->SetSaturationRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetSaturationRange(temp0);
      }
    else
      {
      op->SetSaturationRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetSaturationRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetSaturationRange();
      }
    else
      {
      temp20 = op->GetSaturationRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetValueRange(temp0,temp1);
      }
    else
      {
      op->SetValueRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetValueRange(temp0);
      }
    else
      {
      op->SetValueRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetValueRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetValueRange();
      }
    else
      {
      temp20 = op->GetValueRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetAlphaRange(temp0,temp1);
      }
    else
      {
      op->SetAlphaRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetAlphaRange(temp0);
      }
    else
      {
      op->SetAlphaRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetAlphaRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetAlphaRange();
      }
    else
      {
      temp20 = op->GetAlphaRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double temp1[3];
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::GetColor(temp0,temp1);
      }
    else
      {
      op->GetColor(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetOpacity(temp0);
      }
    else
      {
      temp20 = op->GetOpacity(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  vtkIdType   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetIndex(temp0);
      }
    else
      {
      temp20 = op->GetIndex(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetNumberOfTableValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetNumberOfTableValues(temp0);
      }
    else
      {
      op->SetNumberOfTableValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetNumberOfTableValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetNumberOfTableValues();
      }
    else
      {
      temp20 = op->GetNumberOfTableValues();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  double temp1[4];
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetTableValue(temp0,temp1);
      }
    else
      {
      op->SetTableValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetTableValue(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetTableValue(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetTableValue(temp0);
      }
    else
      {
      temp20 = op->GetTableValue(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  double temp1[4];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::GetTableValue(temp0,temp1);
      }
    else
      {
      op->GetTableValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double   temp0;
  double   temp1;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetNumberOfColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetNumberOfColors(temp0);
      }
    else
      {
      op->SetNumberOfColors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetNumberOfColorsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetNumberOfColorsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfColorsMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetNumberOfColorsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetNumberOfColorsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfColorsMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_GetNumberOfColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkIdType   temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetNumberOfColors();
      }
    else
      {
      temp20 = op->GetNumberOfColors();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_SetTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::SetTable(temp0);
      }
    else
      {
      op->SetTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break48:
  return NULL;
}


static PyObject *PyvtkLookupTable_GetTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkUnsignedCharArray  *temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::GetTable();
      }
    else
      {
      temp20 = op->GetTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLookupTable_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  vtkLookupTable  *temp0;
  PyObject *tempH0;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLookupTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLookupTable");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      op->vtkLookupTable::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break50:
  return NULL;
}


static PyObject *PyvtkLookupTable_UsingLogScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLookupTable *op;

  int      temp20;
  op = (vtkLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLookupTable::UsingLogScale();
      }
    else
      {
      temp20 = op->UsingLogScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLookupTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLookupTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLookupTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLookupTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLookupTable\nC++: vtkLookupTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLookupTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLookupTable\nC++: vtkLookupTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsOpaque",                (PyCFunction)PyvtkLookupTable_IsOpaque, 1,
   (char*)"V.IsOpaque() -> int\nC++: virtual int IsOpaque ();\n\n Return true if all of the values defining the mapping have an opacity\n equal to 1. Default implementation return true.\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkLookupTable_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (int sz, int ext);\n\n Allocate a color table of specified size.\n"},
  {(char*)"Build",                (PyCFunction)PyvtkLookupTable_Build, 1,
   (char*)"V.Build()\nC++: virtual void Build ();\n\n Generate lookup table from hue, saturation, value, alpha min/max values. \n Table is built from linear ramp of each value.\n"},
  {(char*)"ForceBuild",                (PyCFunction)PyvtkLookupTable_ForceBuild, 1,
   (char*)"V.ForceBuild()\nC++: virtual void ForceBuild ();\n\n Force the lookup table to regenerate from hue, saturation, value,\n and alpha min/max values.  Table is built from a linear ramp of\n each value.  ForceBuild() is useful if a lookup table has been\n defined manually (using SetTableValue) and then an application\n decides to rebuild the lookup table using the implicit process.\n"},
  {(char*)"SetRamp",                (PyCFunction)PyvtkLookupTable_SetRamp, 1,
   (char*)"V.SetRamp(int)\nC++: void SetRamp (int );\n\n Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n"},
  {(char*)"SetRampToLinear",                (PyCFunction)PyvtkLookupTable_SetRampToLinear, 1,
   (char*)"V.SetRampToLinear()\nC++: void SetRampToLinear ();this SetRamp VTK_RAMP_LINEAR \n\n Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n"},
  {(char*)"SetRampToSCurve",                (PyCFunction)PyvtkLookupTable_SetRampToSCurve, 1,
   (char*)"V.SetRampToSCurve()\nC++: void SetRampToSCurve ();this SetRamp VTK_RAMP_SCURVE \n\n Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n"},
  {(char*)"SetRampToSQRT",                (PyCFunction)PyvtkLookupTable_SetRampToSQRT, 1,
   (char*)"V.SetRampToSQRT()\nC++: void SetRampToSQRT ();this SetRamp VTK_RAMP_SQRT \n\n Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n"},
  {(char*)"GetRamp",                (PyCFunction)PyvtkLookupTable_GetRamp, 1,
   (char*)"V.GetRamp() -> int\nC++: int GetRamp ();\n\n Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkLookupTable_SetScale, 1,
   (char*)"V.SetScale(int)\nC++: void SetScale (int scale);\n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n"},
  {(char*)"SetScaleToLinear",                (PyCFunction)PyvtkLookupTable_SetScaleToLinear, 1,
   (char*)"V.SetScaleToLinear()\nC++: void SetScaleToLinear ();this SetScale VTK_SCALE_LINEAR \n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n"},
  {(char*)"SetScaleToLog10",                (PyCFunction)PyvtkLookupTable_SetScaleToLog10, 1,
   (char*)"V.SetScaleToLog10()\nC++: void SetScaleToLog10 ();this SetScale VTK_SCALE_LOG10 \n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkLookupTable_GetScale, 1,
   (char*)"V.GetScale() -> int\nC++: int GetScale ();\n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n"},
  {(char*)"SetTableRange",                (PyCFunction)PyvtkLookupTable_SetTableRange, 1,
   (char*)"V.SetTableRange((float, float))\nC++: void SetTableRange (double r[2]);\nV.SetTableRange(float, float)\nC++: virtual void SetTableRange (double min, double max);\n\n Set/Get the minimum/maximum scalar values for scalar mapping. Scalar\n values less than minimum range value are clamped to minimum range value.\n Scalar values greater than maximum range value are clamped to maximum\n range value.\n"},
  {(char*)"GetTableRange",                (PyCFunction)PyvtkLookupTable_GetTableRange, 1,
   (char*)"V.GetTableRange() -> (float, float)\nC++: double  *GetTableRange ();\n\n Set/Get the minimum/maximum scalar values for scalar mapping. Scalar\n values less than minimum range value are clamped to minimum range value.\n Scalar values greater than maximum range value are clamped to maximum\n range value.\n"},
  {(char*)"SetHueRange",                (PyCFunction)PyvtkLookupTable_SetHueRange, 1,
   (char*)"V.SetHueRange(float, float)\nC++: void SetHueRange (double , double );\nV.SetHueRange((float, float))\nC++: void SetHueRange (double  a[2]);\n\n Set the range in hue (using automatic generation). Hue ranges \n between [0,1].\n"},
  {(char*)"GetHueRange",                (PyCFunction)PyvtkLookupTable_GetHueRange, 1,
   (char*)"V.GetHueRange() -> (float, float)\nC++: double  *GetHueRange ();\n\n Set the range in hue (using automatic generation). Hue ranges \n between [0,1].\n"},
  {(char*)"SetSaturationRange",                (PyCFunction)PyvtkLookupTable_SetSaturationRange, 1,
   (char*)"V.SetSaturationRange(float, float)\nC++: void SetSaturationRange (double , double );\nV.SetSaturationRange((float, float))\nC++: void SetSaturationRange (double  a[2]);\n\n Set the range in saturation (using automatic generation). Saturation \n ranges between [0,1].\n"},
  {(char*)"GetSaturationRange",                (PyCFunction)PyvtkLookupTable_GetSaturationRange, 1,
   (char*)"V.GetSaturationRange() -> (float, float)\nC++: double  *GetSaturationRange ();\n\n Set the range in saturation (using automatic generation). Saturation \n ranges between [0,1].\n"},
  {(char*)"SetValueRange",                (PyCFunction)PyvtkLookupTable_SetValueRange, 1,
   (char*)"V.SetValueRange(float, float)\nC++: void SetValueRange (double , double );\nV.SetValueRange((float, float))\nC++: void SetValueRange (double  a[2]);\n\n Set the range in value (using automatic generation). Value ranges \n between [0,1].\n"},
  {(char*)"GetValueRange",                (PyCFunction)PyvtkLookupTable_GetValueRange, 1,
   (char*)"V.GetValueRange() -> (float, float)\nC++: double  *GetValueRange ();\n\n Set the range in value (using automatic generation). Value ranges \n between [0,1].\n"},
  {(char*)"SetAlphaRange",                (PyCFunction)PyvtkLookupTable_SetAlphaRange, 1,
   (char*)"V.SetAlphaRange(float, float)\nC++: void SetAlphaRange (double , double );\nV.SetAlphaRange((float, float))\nC++: void SetAlphaRange (double  a[2]);\n\n Set the range in alpha (using automatic generation). Alpha ranges from \n [0,1].\n"},
  {(char*)"GetAlphaRange",                (PyCFunction)PyvtkLookupTable_GetAlphaRange, 1,
   (char*)"V.GetAlphaRange() -> (float, float)\nC++: double  *GetAlphaRange ();\n\n Set the range in alpha (using automatic generation). Alpha ranges from \n [0,1].\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkLookupTable_GetColor, 1,
   (char*)"V.GetColor(float, (float, float, float))\nC++: void GetColor (double x, double rgb[3]);\n\n Map one value through the lookup table and return the color as\n an RGB array of doubles between 0 and 1.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkLookupTable_GetOpacity, 1,
   (char*)"V.GetOpacity(float) -> float\nC++: double GetOpacity (double v);\n\n Map one value through the lookup table and return the alpha value\n (the opacity) as a double between 0 and 1.\n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkLookupTable_GetIndex, 1,
   (char*)"V.GetIndex(float) -> int\nC++: virtual vtkIdType GetIndex (double v);\n\n Return the table index associated with a particular value.\n"},
  {(char*)"SetNumberOfTableValues",                (PyCFunction)PyvtkLookupTable_SetNumberOfTableValues, 1,
   (char*)"V.SetNumberOfTableValues(int)\nC++: void SetNumberOfTableValues (vtkIdType number);\n\n Specify the number of values (i.e., colors) in the lookup\n table.\n"},
  {(char*)"GetNumberOfTableValues",                (PyCFunction)PyvtkLookupTable_GetNumberOfTableValues, 1,
   (char*)"V.GetNumberOfTableValues() -> int\nC++: vtkIdType GetNumberOfTableValues ();return this NumberOfColors \n\n Specify the number of values (i.e., colors) in the lookup\n table.\n"},
  {(char*)"SetTableValue",                (PyCFunction)PyvtkLookupTable_SetTableValue, 1,
   (char*)"V.SetTableValue(int, (float, float, float, float))\nC++: void SetTableValue (vtkIdType indx, double rgba[4]);\nV.SetTableValue(int, float, float, float, float)\nC++: void SetTableValue (vtkIdType indx, double r, double g, double b, double a);\n\n Directly load color into lookup table. Use [0,1] double values for color\n component specification. Make sure that you've either used the\n Build() method or used SetNumberOfTableValues() prior to using this\n method.\n"},
  {(char*)"GetTableValue",                (PyCFunction)PyvtkLookupTable_GetTableValue, 1,
   (char*)"V.GetTableValue(int) -> (float, float, float, float)\nC++: double *GetTableValue (vtkIdType id);\nV.GetTableValue(int, (float, float, float, float))\nC++: void GetTableValue (vtkIdType id, double rgba[4]);\n\n Return a rgba color value for the given index into the lookup table. Color\n components are expressed as [0,1] double values.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkLookupTable_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double *GetRange ();return this GetTableRange \n\n Sets/Gets the range of scalars which will be mapped.  This is a duplicate\n of Get/SetTableRange.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkLookupTable_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: void SetRange (double min, double max);this SetTableRange min max \nV.SetRange((float, float))\nC++: void SetRange (double rng[2]);this SetRange rng rng \n\n Sets/Gets the range of scalars which will be mapped.  This is a duplicate\n of Get/SetTableRange.\n"},
  {(char*)"SetNumberOfColors",                (PyCFunction)PyvtkLookupTable_SetNumberOfColors, 1,
   (char*)"V.SetNumberOfColors(int)\nC++: void SetNumberOfColors (vtkIdType );\n\n Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n"},
  {(char*)"GetNumberOfColorsMinValue",                (PyCFunction)PyvtkLookupTable_GetNumberOfColorsMinValue, 1,
   (char*)"V.GetNumberOfColorsMinValue() -> int\nC++: vtkIdType GetNumberOfColorsMinValue ();\n\n Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n"},
  {(char*)"GetNumberOfColorsMaxValue",                (PyCFunction)PyvtkLookupTable_GetNumberOfColorsMaxValue, 1,
   (char*)"V.GetNumberOfColorsMaxValue() -> int\nC++: vtkIdType GetNumberOfColorsMaxValue ();\n\n Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n"},
  {(char*)"GetNumberOfColors",                (PyCFunction)PyvtkLookupTable_GetNumberOfColors, 1,
   (char*)"V.GetNumberOfColors() -> int\nC++: vtkIdType GetNumberOfColors ();\n\n Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n"},
  {(char*)"SetTable",                (PyCFunction)PyvtkLookupTable_SetTable, 1,
   (char*)"V.SetTable(vtkUnsignedCharArray)\nC++: void SetTable (vtkUnsignedCharArray *);\n\n Set/Get the internal table array that is used to map the scalars\n to colors.  The table array is an unsigned char array with 4\n components representing RGBA.\n"},
  {(char*)"GetTable",                (PyCFunction)PyvtkLookupTable_GetTable, 1,
   (char*)"V.GetTable() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetTable ();\n\n Set/Get the internal table array that is used to map the scalars\n to colors.  The table array is an unsigned char array with 4\n components representing RGBA.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkLookupTable_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkLookupTable)\nC++: void DeepCopy (vtkLookupTable *lut);\n\n Copy the contents from another LookupTable\n"},
  {(char*)"UsingLogScale",                (PyCFunction)PyvtkLookupTable_UsingLogScale, 1,
   (char*)"V.UsingLogScale() -> int\nC++: virtual int UsingLogScale ();return this GetScale VTK_SCALE_LOG10 \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLookupTableDoc[] = {
  (char*)"vtkLookupTable - map scalar values into colors via a lookup table\n\n",
  "Super Class:\n\n vtkScalarsToColors\n\n",
  (char*)" vtkLookupTable is an object that is used by mapper objects to map scalar \n values into rgba (red-green-blue-alpha transparency) color specification, \n or rgba into scalar values. The color table can be created by direct \n insertion of color values, or by specifying  hue, saturation, value, and \n alpha range and generating a table.\n\n\n",
  "Caveats:\n\n You need to explicitely call Build() when constructing the LUT by hand.\n\n\n",
  "See Also:\n\n vtkLogLookupTable vtkWindowLevelLookupTable\n\n",
  NULL
};

static vtkObjectBase *vtkLookupTableStaticNew()
{
  return vtkLookupTable::New();
}

PyObject *PyVTKClass_vtkLookupTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkLookupTableStaticNew,
                        PyvtkLookupTableMethods,
                        (char*)"vtkLookupTable",modulename,
                        (char**)vtkLookupTableDoc,
                        PyVTKClass_vtkScalarsToColorsNew(modulename));
}

