// python wrapper for vtkMatrixToHomogeneousTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMatrixToHomogeneousTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMatrixToHomogeneousTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMatrixToHomogeneousTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *); }

static PyObject *PyvtkMatrixToHomogeneousTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  const char    *temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  vtkMatrixToHomogeneousTransform  *temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMatrixToHomogeneousTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMatrixToHomogeneousTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToHomogeneousTransform::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  vtkMatrix4x4  *temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToHomogeneousTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  unsigned long     temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToHomogeneousTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToHomogeneousTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMatrixToHomogeneousTransform_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToHomogeneousTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkMatrixToHomogeneousTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToHomogeneousTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}
#endif

static PyMethodDef PyvtkMatrixToHomogeneousTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMatrixToHomogeneousTransform\nC++: vtkMatrixToHomogeneousTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMatrixToHomogeneousTransform\nC++: vtkMatrixToHomogeneousTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_SetInput, 1,
   (char*)"V.SetInput(vtkMatrix4x4)\nC++: virtual void SetInput (vtkMatrix4x4 *);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_GetInput, 1,
   (char*)"V.GetInput() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetInput ();\n\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n The input matrix is left as-is, but the transformation matrix\n is inverted.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime: this is the bit of magic that makes everything work.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make a new transform of the same type.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetMatrix",                (PyCFunction)PyvtkMatrixToHomogeneousTransform_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix4x4)\nC++: void SetMatrix (vtkMatrix4x4 *matrix);\n\n @deprecated This method is deprecated.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMatrixToHomogeneousTransformDoc[] = {
  (char*)"vtkMatrixToHomogeneousTransform - convert a matrix to a transform\n\n",
  "Super Class:\n\n vtkHomogeneousTransform\n\n",
  (char*)" This is a very simple class which allows a vtkMatrix4x4 to be used in\n place of a vtkHomogeneousTransform or vtkAbstractTransform.  For example,\n if you use it as a proxy between a matrix and vtkTransformPolyDataFilter\n then any modifications to the matrix will automatically be reflected in\n the output of the filter.\n\n",
  "See Also:\n\n vtkPerspectiveTransform vtkMatrix4x4 vtkMatrixToLinearTransform \n\n",
  NULL
};

static vtkObjectBase *vtkMatrixToHomogeneousTransformStaticNew()
{
  return vtkMatrixToHomogeneousTransform::New();
}

PyObject *PyVTKClass_vtkMatrixToHomogeneousTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkMatrixToHomogeneousTransformStaticNew,
                        PyvtkMatrixToHomogeneousTransformMethods,
                        (char*)"vtkMatrixToHomogeneousTransform",modulename,
                        (char**)vtkMatrixToHomogeneousTransformDoc,
                        PyVTKClass_vtkHomogeneousTransformNew(modulename));
}

