// python wrapper for vtkMultiThreader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiThreader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiThreaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiThreaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMultiThreader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  const char    *temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  vtkMultiThreader  *temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiThreader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiThreader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiThreader_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  int      temp0;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiThreader::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  int      temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  int      temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreader *op;

  int      temp20;
  op = (vtkMultiThreader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreader::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_SetGlobalMaximumNumberOfThreads(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkMultiThreader::SetGlobalMaximumNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_GetGlobalMaximumNumberOfThreads(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiThreader::GetGlobalMaximumNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_SetGlobalDefaultNumberOfThreads(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkMultiThreader::SetGlobalDefaultNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreader_GetGlobalDefaultNumberOfThreads(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiThreader::GetGlobalDefaultNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMultiThreaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiThreader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiThreader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiThreader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiThreader\nC++: vtkMultiThreader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiThreader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiThreader\nC++: vtkMultiThreader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Get/Set the number of threads to create. It will be clamped to the range\n 1 - VTK_MAX_THREADS, so the caller of this method should check that the\n requested number of threads was accepted.\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkMultiThreader_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Get/Set the number of threads to create. It will be clamped to the range\n 1 - VTK_MAX_THREADS, so the caller of this method should check that the\n requested number of threads was accepted.\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkMultiThreader_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Get/Set the number of threads to create. It will be clamped to the range\n 1 - VTK_MAX_THREADS, so the caller of this method should check that the\n requested number of threads was accepted.\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: virtual int GetNumberOfThreads ();\n\n Get/Set the number of threads to create. It will be clamped to the range\n 1 - VTK_MAX_THREADS, so the caller of this method should check that the\n requested number of threads was accepted.\n"},
  {(char*)"SetGlobalMaximumNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_SetGlobalMaximumNumberOfThreads, 1,
   (char*)"V.SetGlobalMaximumNumberOfThreads(int)\nC++: static void SetGlobalMaximumNumberOfThreads (int val);\n\n Set/Get the maximum number of threads to use when multithreading.\n This limits and overrides any other settings for multithreading.\n A value of zero indicates no limit.\n"},
  {(char*)"GetGlobalMaximumNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_GetGlobalMaximumNumberOfThreads, 1,
   (char*)"V.GetGlobalMaximumNumberOfThreads() -> int\nC++: static int GetGlobalMaximumNumberOfThreads ();\n\n Set/Get the maximum number of threads to use when multithreading.\n This limits and overrides any other settings for multithreading.\n A value of zero indicates no limit.\n"},
  {(char*)"SetGlobalDefaultNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_SetGlobalDefaultNumberOfThreads, 1,
   (char*)"V.SetGlobalDefaultNumberOfThreads(int)\nC++: static void SetGlobalDefaultNumberOfThreads (int val);\n\n Set/Get the value which is used to initialize the NumberOfThreads\n in the constructor.  Initially this default is set to the number of \n processors or VTK_MAX_THREADS (which ever is less).\n"},
  {(char*)"GetGlobalDefaultNumberOfThreads",                (PyCFunction)PyvtkMultiThreader_GetGlobalDefaultNumberOfThreads, 1,
   (char*)"V.GetGlobalDefaultNumberOfThreads() -> int\nC++: static int GetGlobalDefaultNumberOfThreads ();\n\n Set/Get the value which is used to initialize the NumberOfThreads\n in the constructor.  Initially this default is set to the number of \n processors or VTK_MAX_THREADS (which ever is less).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiThreaderDoc[] = {
  (char*)"vtkMultiThreader - A class for performing multithreaded execution\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMultithreader is a class that provides support for multithreaded\n execution using sproc() on an SGI, or pthread_create on any platform\n supporting POSIX threads.  This class can be used to execute a single\n method on multiple threads, or to specify a method per thread. \n\n",
  NULL
};

static vtkObjectBase *vtkMultiThreaderStaticNew()
{
  return vtkMultiThreader::New();
}

PyObject *PyVTKClass_vtkMultiThreaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiThreaderStaticNew,
                        PyvtkMultiThreaderMethods,
                        (char*)"vtkMultiThreader",modulename,
                        (char**)vtkMultiThreaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

