// python wrapper for vtkMutexLock object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutexLock.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutexLockNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutexLockNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMutexLock_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutexLock *op;

  const char    *temp20;
  op = (vtkMutexLock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutexLock::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutexLock_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutexLock *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutexLock *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutexLock::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutexLock_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutexLock *op;

  vtkMutexLock  *temp20;
  op = (vtkMutexLock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutexLock::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutexLock_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutexLock  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutexLock::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutexLock_Lock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutexLock *op;

  op = (vtkMutexLock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutexLock::Lock();
      }
    else
      {
      op->Lock();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMutexLock_Unlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutexLock *op;

  op = (vtkMutexLock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutexLock::Unlock();
      }
    else
      {
      op->Unlock();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMutexLockMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutexLock_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutexLock_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutexLock_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutexLock\nC++: vtkMutexLock *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutexLock_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutexLock\nC++: vtkMutexLock *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Lock",                (PyCFunction)PyvtkMutexLock_Lock, 1,
   (char*)"V.Lock()\nC++: void Lock (void );\n\n Lock the vtkMutexLock\n"},
  {(char*)"Unlock",                (PyCFunction)PyvtkMutexLock_Unlock, 1,
   (char*)"V.Unlock()\nC++: void Unlock (void );\n\n Unlock the vtkMutexLock\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutexLockDoc[] = {
  (char*)"vtkMutexLock - mutual exclusion locking class\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMutexLock allows the locking of variables which are accessed \n through different threads.  This header file also defines \n vtkSimpleMutexLock which is not a subclass of vtkObject.\n\n",
  NULL
};

static vtkObjectBase *vtkMutexLockStaticNew()
{
  return vtkMutexLock::New();
}

PyObject *PyVTKClass_vtkMutexLockNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutexLockStaticNew,
                        PyvtkMutexLockMethods,
                        (char*)"vtkMutexLock",modulename,
                        (char**)vtkMutexLockDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

