// python wrapper for vtkObjectBase object
//
#define VTK_WRAPPING_CXX
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkObjectBase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkObjectBaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkObjectBaseNew(char *); }
#endif

PyObject *PyvtkObjectBase_GetAddressAsString(PyObject *self, PyObject *args)
{
  vtkObjectBase *op;
  char *typecast;

  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"s", &typecast);
  if (op)
    {
    char temp20[256];
    sprintf(temp20,"Addr=%p",op);
    return PyString_FromString(temp20);
    }
  return NULL;
}

PyObject *PyvtkObjectBase_PrintRevisions(PyObject *self, PyObject *args)
{
  vtkObjectBase *op;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    vtksys_ios::ostringstream vtkmsg_with_warning_C4701;
    op->PrintRevisions(vtkmsg_with_warning_C4701);
    vtkmsg_with_warning_C4701.put('\0');
    PyObject *result = PyString_FromString(vtkmsg_with_warning_C4701.str().c_str());
    return result;
    }
  return NULL;
}


static PyObject *PyvtkObjectBase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  const char    *temp20;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectBase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectBase_IsTypeOf(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkObjectBase::IsTypeOf(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectBase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  char    *temp0;
  int      temp20;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectBase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectBase_FastDelete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectBase::FastDelete();
      }
    else
      {
      op->FastDelete();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectBase_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectBase::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkObjectBase_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectBase::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkObjectBase_GetReferenceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  int      temp20;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectBase::GetReferenceCount();
      }
    else
      {
      temp20 = op->GetReferenceCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectBase_SetReferenceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectBase *op;

  int      temp0;
  op = (vtkObjectBase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectBase::SetReferenceCount(temp0);
      }
    else
      {
      op->SetReferenceCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkObjectBaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkObjectBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName () const;\n\n Return the class name as a string. This method is defined\n in all subclasses of vtkObjectBase with the vtkTypeRevisionMacro found\n in vtkSetGet.h.\n"},
  {(char*)"IsTypeOf",                (PyCFunction)PyvtkObjectBase_IsTypeOf, 1,
   (char*)"V.IsTypeOf(string) -> int\nC++: static int IsTypeOf (const char *name);\n\n Return 1 if this class type is the same type of (or a subclass of)\n the named class. Returns 0 otherwise. This method works in\n combination with vtkTypeRevisionMacro found in vtkSetGet.h.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkObjectBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: virtual int IsA (const char *name);\n\n Return 1 if this class is the same type of (or a subclass of)\n the named class. Returns 0 otherwise. This method works in\n combination with vtkTypeRevisionMacro found in vtkSetGet.h.\n"},
  {(char*)"FastDelete",                (PyCFunction)PyvtkObjectBase_FastDelete, 1,
   (char*)"V.FastDelete()\nC++: virtual void FastDelete ();\n\n Delete a reference to this object.  This version will not invoke\n garbage collection and can potentially leak the object if it is\n part of a reference loop.  Use this method only when it is known\n that the object has another reference and would not be collected\n if a full garbage collection check were done.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkObjectBase_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Increase the reference count (mark as used by another object).\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkObjectBase_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Decrease the reference count (release by another object). This\n has the same effect as invoking Delete() (i.e., it reduces the\n reference count by 1).\n"},
  {(char*)"GetReferenceCount",                (PyCFunction)PyvtkObjectBase_GetReferenceCount, 1,
   (char*)"V.GetReferenceCount() -> int\nC++: int GetReferenceCount ();return this ReferenceCount \n\n Sets the reference count. (This is very dangerous, use with care.)\n"},
  {(char*)"SetReferenceCount",                (PyCFunction)PyvtkObjectBase_SetReferenceCount, 1,
   (char*)"V.SetReferenceCount(int)\nC++: void SetReferenceCount (int );\n\n Sets the reference count. (This is very dangerous, use with care.)\n"},
  {(char*)"GetAddressAsString",  (PyCFunction)PyvtkObjectBase_GetAddressAsString, 1,
   (char*)"V.GetAddressAsString(string) -> string\n\n Get address of C++ object in format 'Addr=%p' after casting to\n the specified type.  You can get the same information from V.__this__."},
  {(char*)"PrintRevisions",  (PyCFunction)PyvtkObjectBase_PrintRevisions, 1,
   (char*)"V.PrintRevisions() -> string\n\n Prints the .cxx file CVS revisions of the classes in the\n object's inheritance chain."},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkObjectBaseDoc[] = {
  (char*)"vtkObjectBase - abstract base class for most VTK objects\n\n",
  (char*)" vtkObjectBase is the base class for all reference counted classes\n in the VTK. These classes include vtkCommand classes, vtkInformationKey\n classes, and vtkObject classes.\n\n vtkObjectBase performs reference counting: objects that are\n reference counted exist as long as another object uses them. Once\n the last reference to a reference counted object is removed, the\n object will spontaneously destr",
  (char*)"uct.\n\n Constructor and destructor of the subclasses of vtkObjectBase\n should be protected, so that only New() and UnRegister() actually\n call them. Debug leaks can be used to see if there are any objects\n left with nonzero reference count.\n\n\n",
  "Caveats:\n\n Note: Objects of subclasses of vtkObjectBase should always be\n created with the New() method and deleted with the Delete()\n method. They cannot be allocated off the stack (i.e., automatic\n objects) because the constructor is a protected method.\n\n .SECTION See also\n vtkObject vtkCommand vtkInformationKey\n\n",
  NULL
};

static vtkObjectBase *vtkObjectBaseStaticNew()
{
  return vtkObjectBase::New();
}

PyObject *PyVTKClass_vtkObjectBaseNew(char *modulename)
{
  return PyVTKClass_New(&vtkObjectBaseStaticNew,
                        PyvtkObjectBaseMethods,
                        (char*)"vtkObjectBase",modulename,
                        (char**)vtkObjectBaseDoc,0);
}

