// python wrapper for vtkObjectFactoryCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkObjectFactoryCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkObjectFactoryCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkObjectFactoryCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkObjectFactoryCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection *op;

  const char    *temp20;
  op = (vtkObjectFactoryCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactoryCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactoryCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkObjectFactoryCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactoryCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactoryCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection *op;

  vtkObjectFactoryCollection  *temp20;
  op = (vtkObjectFactoryCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactoryCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactoryCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkObjectFactoryCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkObjectFactoryCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkObjectFactoryCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection *op;

  vtkObjectFactory  *temp0;
  PyObject *tempH0;
  op = (vtkObjectFactoryCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectFactory *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectFactory");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectFactoryCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkObjectFactoryCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection *op;

  vtkObjectFactory  *temp20;
  op = (vtkObjectFactoryCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactoryCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkObjectFactoryCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkObjectFactoryCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkObjectFactoryCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkObjectFactoryCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkObjectFactoryCollection\nC++: vtkObjectFactoryCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkObjectFactoryCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkObjectFactoryCollection\nC++: vtkObjectFactoryCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkObjectFactoryCollection_AddItem, 1,
   (char*)"V.AddItem(vtkObjectFactory)\nC++: void AddItem (vtkObjectFactory *t);this vtkCollection AddItem t \n\n Get the next ObjectFactory in the list. Return NULL when the end of the\n list is reached.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkObjectFactoryCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkObjectFactory\nC++: vtkObjectFactory *GetNextItem ();return static_cast vtkObjectFactory this GetNextItemAsObject \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkObjectFactoryCollectionDoc[] = {
  (char*)"vtkObjectFactoryCollection - maintain a list of object factories\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkObjectFactoryCollection is an object that creates and manipulates lists\n of object of type vtkObjectFactory.\n\n",
  "See Also:\n\n vtkCollection vtkObjectFactory\n\n",
  NULL
};

static vtkObjectBase *vtkObjectFactoryCollectionStaticNew()
{
  return vtkObjectFactoryCollection::New();
}

PyObject *PyVTKClass_vtkObjectFactoryCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkObjectFactoryCollectionStaticNew,
                        PyvtkObjectFactoryCollectionMethods,
                        (char*)"vtkObjectFactoryCollection",modulename,
                        (char**)vtkObjectFactoryCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

