// tcl wrapper for vtkObjectFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectFactory.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkObjectFactoryCppCommand(vtkObjectFactory *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkObjectFactoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkObjectFactoryCppCommand(static_cast<vtkObjectFactory *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkObjectFactoryCppCommand(vtkObjectFactory *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkObjectFactory",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("CreateInstance",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkObject  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CreateInstance(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateAllInstance",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkCollection  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCollection"),interp,error));
    if (!error)
    {
    op->CreateAllInstance(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReHash",argv[1]))&&(argc == 2))
    {
    op->ReHash();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RegisterFactory",argv[1]))&&(argc == 3))
    {
    vtkObjectFactory  *temp0;
    error = 0;

    temp0 = (vtkObjectFactory *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectFactory"),interp,error));
    if (!error)
    {
    op->RegisterFactory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterFactory",argv[1]))&&(argc == 3))
    {
    vtkObjectFactory  *temp0;
    error = 0;

    temp0 = (vtkObjectFactory *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectFactory"),interp,error));
    if (!error)
    {
    op->UnRegisterFactory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterAllFactories",argv[1]))&&(argc == 2))
    {
    op->UnRegisterAllFactories();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRegisteredFactories",argv[1]))&&(argc == 2))
    {
    vtkObjectFactoryCollection  *temp20;
    temp20 = (op)->GetRegisteredFactories();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObjectFactoryCollection");
    return TCL_OK;
    }
  if ((!strcmp("HasOverrideAny",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasOverrideAny(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverrideInformation",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkOverrideInformationCollection  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkOverrideInformationCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkOverrideInformationCollection"),interp,error));
    if (!error)
    {
    op->GetOverrideInformation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllEnableFlags",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetAllEnableFlags(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllEnableFlags",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetAllEnableFlags(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkObjectFactory  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObjectFactory");
    return TCL_OK;
    }
  if ((!strcmp("GetVTKSourceVersion",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVTKSourceVersion();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescription",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOverrides",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOverrides();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClassOverrideName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetClassOverrideName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClassOverrideWithName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetClassOverrideWithName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEnableFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverrideDescription",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOverrideDescription(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableFlag",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetEnableFlag(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableFlag",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetEnableFlag(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasOverride",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasOverride(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasOverride",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasOverride(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Disable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->Disable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLibraryPath",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLibraryPath();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkObjectFactoryCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkObjectFactory:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  CreateInstance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateAllInstance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReHash\n",NULL);
    Tcl_AppendResult(interp,"  RegisterFactory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterFactory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterAllFactories\n",NULL);
    Tcl_AppendResult(interp,"  GetRegisteredFactories\n",NULL);
    Tcl_AppendResult(interp,"  HasOverrideAny\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverrideInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllEnableFlags\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllEnableFlags\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKSourceVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetDescription\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOverrides\n",NULL);
    Tcl_AppendResult(interp,"  GetClassOverrideName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClassOverrideWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverrideDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableFlag\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableFlag\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasOverride\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasOverride\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Disable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLibraryPath\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "CreateInstance" );
    Tcl_DStringAppendElement ( &dString, "CreateAllInstance" );
    Tcl_DStringAppendElement ( &dString, "ReHash" );
    Tcl_DStringAppendElement ( &dString, "RegisterFactory" );
    Tcl_DStringAppendElement ( &dString, "UnRegisterFactory" );
    Tcl_DStringAppendElement ( &dString, "UnRegisterAllFactories" );
    Tcl_DStringAppendElement ( &dString, "GetRegisteredFactories" );
    Tcl_DStringAppendElement ( &dString, "HasOverrideAny" );
    Tcl_DStringAppendElement ( &dString, "GetOverrideInformation" );
    Tcl_DStringAppendElement ( &dString, "SetAllEnableFlags" );
    Tcl_DStringAppendElement ( &dString, "SetAllEnableFlags" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetVTKSourceVersion" );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOverrides" );
    Tcl_DStringAppendElement ( &dString, "GetClassOverrideName" );
    Tcl_DStringAppendElement ( &dString, "GetClassOverrideWithName" );
    Tcl_DStringAppendElement ( &dString, "GetEnableFlag" );
    Tcl_DStringAppendElement ( &dString, "GetOverrideDescription" );
    Tcl_DStringAppendElement ( &dString, "SetEnableFlag" );
    Tcl_DStringAppendElement ( &dString, "GetEnableFlag" );
    Tcl_DStringAppendElement ( &dString, "HasOverride" );
    Tcl_DStringAppendElement ( &dString, "HasOverride" );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    Tcl_DStringAppendElement ( &dString, "GetLibraryPath" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: CreateInstance */
    if ( strcmp ( argv[2], "CreateInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateInstance */
    Tcl_DStringAppendElement ( &dString, " Create and return an instance of the named vtk object.\n Each loaded vtkObjectFactory will be asked in the order\n the factory was in the VTK_AUTOLOAD_PATH.  After the\n first factory returns the object no other factories are asked.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkObject *CreateInstance (const char *vtkclassname);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for CreateInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateAllInstance */
    if ( strcmp ( argv[2], "CreateAllInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateAllInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateAllInstance */
    Tcl_DStringAppendElement ( &dString, " Create all possible instances of the named vtk object.\n Each registered vtkObjectFactory will be asked, and the\n result will be stored in the user allocated vtkCollection\n passed in to the function.\n" );
    Tcl_DStringAppendElement ( &dString, "static void CreateAllInstance (const char *vtkclassname, vtkCollection *retList);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for CreateAllInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReHash */
    if ( strcmp ( argv[2], "ReHash" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReHash" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReHash */
    Tcl_DStringAppendElement ( &dString, " Re-check the VTK_AUTOLOAD_PATH for new factory libraries.\n This calls UnRegisterAll before re-loading\n" );
    Tcl_DStringAppendElement ( &dString, "static void ReHash ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for ReHash */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegisterFactory */
    if ( strcmp ( argv[2], "RegisterFactory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterFactory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterFactory */
    Tcl_DStringAppendElement ( &dString, " Register a factory so it can be used to create vtk objects\n" );
    Tcl_DStringAppendElement ( &dString, "static void RegisterFactory (vtkObjectFactory *);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for RegisterFactory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegisterFactory */
    if ( strcmp ( argv[2], "UnRegisterFactory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegisterFactory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegisterFactory */
    Tcl_DStringAppendElement ( &dString, " Remove a factory from the list of registered factories\n" );
    Tcl_DStringAppendElement ( &dString, "static void UnRegisterFactory (vtkObjectFactory *);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for UnRegisterFactory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegisterAllFactories */
    if ( strcmp ( argv[2], "UnRegisterAllFactories" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegisterAllFactories" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegisterAllFactories */
    Tcl_DStringAppendElement ( &dString, " Unregister all factories\n" );
    Tcl_DStringAppendElement ( &dString, "static void UnRegisterAllFactories ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for UnRegisterAllFactories */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegisteredFactories */
    if ( strcmp ( argv[2], "GetRegisteredFactories" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegisteredFactories" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegisteredFactories */
    Tcl_DStringAppendElement ( &dString, " Return the list of all registered factories.  This is NOT a copy,\n do not remove items from this list!\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkObjectFactoryCollection *GetRegisteredFactories ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetRegisteredFactories */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasOverrideAny */
    if ( strcmp ( argv[2], "HasOverrideAny" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasOverrideAny" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasOverrideAny */
    Tcl_DStringAppendElement ( &dString, " return 1 if one of the registered factories \n overrides the given class name\n" );
    Tcl_DStringAppendElement ( &dString, "static int HasOverrideAny (const char *className);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for HasOverrideAny */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverrideInformation */
    if ( strcmp ( argv[2], "GetOverrideInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverrideInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkOverrideInformationCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverrideInformation */
    Tcl_DStringAppendElement ( &dString, " Fill the given collection with all the overrides for\n the class with the given name.\n" );
    Tcl_DStringAppendElement ( &dString, "static void GetOverrideInformation (const char *name, vtkOverrideInformationCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetOverrideInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllEnableFlags */
    if ( strcmp ( argv[2], "SetAllEnableFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllEnableFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllEnableFlags */
    Tcl_DStringAppendElement ( &dString, " Set the enable flag for a given named class for all registered\n factories.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetAllEnableFlags (int flag, const char *className);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for SetAllEnableFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllEnableFlags */
    if ( strcmp ( argv[2], "SetAllEnableFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllEnableFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllEnableFlags */
    Tcl_DStringAppendElement ( &dString, " Set the enable flag for a given named class subclass pair\n for all registered factories.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetAllEnableFlags (int flag, const char *className, const char *subclassName);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for SetAllEnableFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVTKSourceVersion */
    if ( strcmp ( argv[2], "GetVTKSourceVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVTKSourceVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVTKSourceVersion */
    Tcl_DStringAppendElement ( &dString, " All sub-classes of vtkObjectFactory should must return the version of \n VTK they were built with.  This should be implemented with the macro\n VTK_SOURCE_VERSION and NOT a call to vtkVersion::GetVTKSourceVersion.\n As the version needs to be compiled into the file as a string constant.\n This is critical to determine possible incompatible dynamic factory loads.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVTKSourceVersion () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetVTKSourceVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDescription */
    if ( strcmp ( argv[2], "GetDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDescription */
    Tcl_DStringAppendElement ( &dString, " Return a descriptive string describing the factory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDescription () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOverrides */
    if ( strcmp ( argv[2], "GetNumberOfOverrides" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOverrides" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOverrides */
    Tcl_DStringAppendElement ( &dString, " Return number of overrides this factory can create.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfOverrides ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetNumberOfOverrides */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassOverrideName */
    if ( strcmp ( argv[2], "GetClassOverrideName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassOverrideName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassOverrideName */
    Tcl_DStringAppendElement ( &dString, " Return the name of a class override at the given index.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetClassOverrideName (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetClassOverrideName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassOverrideWithName */
    if ( strcmp ( argv[2], "GetClassOverrideWithName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassOverrideWithName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassOverrideWithName */
    Tcl_DStringAppendElement ( &dString, " Return the name of the class that will override the class\n at the given index\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetClassOverrideWithName (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetClassOverrideWithName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableFlag */
    if ( strcmp ( argv[2], "GetEnableFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableFlag */
    Tcl_DStringAppendElement ( &dString, " Return the enable flag for the class at the given index.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEnableFlag (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetEnableFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverrideDescription */
    if ( strcmp ( argv[2], "GetOverrideDescription" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverrideDescription" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverrideDescription */
    Tcl_DStringAppendElement ( &dString, " Return the description for a the class override at the given \n index.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetOverrideDescription (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetOverrideDescription */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableFlag */
    if ( strcmp ( argv[2], "SetEnableFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableFlag */
    Tcl_DStringAppendElement ( &dString, " Set and Get the Enable flag for the specific override of className.\n if subclassName is null, then it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnableFlag (int flag, const char *className, const char *subclassName);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for SetEnableFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableFlag */
    if ( strcmp ( argv[2], "GetEnableFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableFlag */
    Tcl_DStringAppendElement ( &dString, " Set and Get the Enable flag for the specific override of className.\n if subclassName is null, then it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEnableFlag (const char *className, const char *subclassName);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetEnableFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasOverride */
    if ( strcmp ( argv[2], "HasOverride" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasOverride" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasOverride */
    Tcl_DStringAppendElement ( &dString, " Return 1 if this factory overrides the given class name, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasOverride (const char *className);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for HasOverride */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasOverride */
    if ( strcmp ( argv[2], "HasOverride" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasOverride" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasOverride */
    Tcl_DStringAppendElement ( &dString, " Return 1 if this factory overrides the given class name, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasOverride (const char *className, const char *subclassName);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for HasOverride */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Disable */
    if ( strcmp ( argv[2], "Disable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Disable */
    Tcl_DStringAppendElement ( &dString, " Set all enable flags for the given class to 0.  This will\n mean that the factory will stop producing class with the given\n name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Disable (const char *className);" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for Disable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLibraryPath */
    if ( strcmp ( argv[2], "GetLibraryPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLibraryPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLibraryPath */
    Tcl_DStringAppendElement ( &dString, " This returns the path to a dynamically loaded factory.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLibraryPath ();" );
    Tcl_DStringAppendElement ( &dString, "vtkObjectFactory" );
    /* Closing for GetLibraryPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
