// python wrapper for vtkObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectBaseNew(char *); }
static PyObject *PyvtkObject_AddObserver(PyObject *self, PyObject *args)
{
  vtkObject *op;
  char *temp0;
  PyObject *temp1;
  float temp2;
  unsigned long     temp20 = 0;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"zO", &temp0, &temp1);
  if (op)
    {
    if (!PyCallable_Check(temp1) && temp1 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to AddObserver was not callable.");
      return NULL;
      }
    Py_INCREF(temp1);
    vtkPythonCommand *cbc = vtkPythonCommand::New();
    cbc->SetObject(temp1);
    temp20 = op->AddObserver(temp0,cbc);
    cbc->Delete();
    return PyInt_FromLong((long)temp20);
    }
  PyErr_Clear();
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"zOf", &temp0, &temp1, &temp2);
  if (op)
    {
    if (!PyCallable_Check(temp1) && temp1 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to AddObserver was not callable.");
      return NULL;
      }
    Py_INCREF(temp1);
    vtkPythonCommand *cbc = vtkPythonCommand::New();
    cbc->SetObject(temp1);
    temp20 = op->AddObserver(temp0,cbc,temp2);
    cbc->Delete();
    return PyInt_FromLong((long)temp20);
    }
  return NULL;
}


static PyObject *PyvtkObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  const char    *temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  vtkObject  *temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkObject_DebugOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::DebugOn();
      }
    else
      {
      op->DebugOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_DebugOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::DebugOff();
      }
    else
      {
      op->DebugOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_GetDebug(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned char     temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::GetDebug();
      }
    else
      {
      temp20 = op->GetDebug();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_SetDebug(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned char     temp0;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::SetDebug(temp0);
      }
    else
      {
      op->SetDebug(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_BreakOnError(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkObject::BreakOnError();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_Modified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::Modified();
      }
    else
      {
      op->Modified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned long     temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_SetGlobalWarningDisplay(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkObject::SetGlobalWarningDisplay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_GlobalWarningDisplayOn(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkObject::GlobalWarningDisplayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_GlobalWarningDisplayOff(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkObject::GlobalWarningDisplayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_GetGlobalWarningDisplay(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkObject::GetGlobalWarningDisplay();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_RemoveObserver(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned long     temp0;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::RemoveObserver(temp0);
      }
    else
      {
      op->RemoveObserver(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_RemoveObservers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned long     temp0;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::RemoveObservers(temp0);
      }
    else
      {
      op->RemoveObservers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkObject *op;

  char    *temp0;
  PyErr_Clear();
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::RemoveObservers(temp0);
      }
    else
      {
      op->RemoveObservers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_RemoveAllObservers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObject::RemoveAllObservers();
      }
    else
      {
      op->RemoveAllObservers();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_HasObserver(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::HasObserver(temp0);
      }
    else
      {
      temp20 = op->HasObserver(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkObject *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::HasObserver(temp0);
      }
    else
      {
      temp20 = op->HasObserver(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObject_InvokeEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::InvokeEvent(temp0);
      }
    else
      {
      temp20 = op->InvokeEvent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkObject *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObject::InvokeEvent(temp0);
      }
    else
      {
      temp20 = op->InvokeEvent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkObject\nC++: vtkObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkObject\nC++: vtkObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DebugOn",                (PyCFunction)PyvtkObject_DebugOn, 1,
   (char*)"V.DebugOn()\nC++: virtual void DebugOn ();\n\n Turn debugging output on.\n"},
  {(char*)"DebugOff",                (PyCFunction)PyvtkObject_DebugOff, 1,
   (char*)"V.DebugOff()\nC++: virtual void DebugOff ();\n\n Turn debugging output off.\n"},
  {(char*)"GetDebug",                (PyCFunction)PyvtkObject_GetDebug, 1,
   (char*)"V.GetDebug() -> int\nC++: unsigned char GetDebug ();\n\n Get the value of the debug flag.\n"},
  {(char*)"SetDebug",                (PyCFunction)PyvtkObject_SetDebug, 1,
   (char*)"V.SetDebug(int)\nC++: void SetDebug (unsigned char debugFlag);\n\n Set the value of the debug flag. A non-zero value turns debugging on.\n"},
  {(char*)"BreakOnError",                (PyCFunction)PyvtkObject_BreakOnError, 1,
   (char*)"V.BreakOnError()\nC++: static void BreakOnError ();\n\n This method is called when vtkErrorMacro executes. It allows \n the debugger to break on error.\n"},
  {(char*)"Modified",                (PyCFunction)PyvtkObject_Modified, 1,
   (char*)"V.Modified()\nC++: virtual void Modified ();\n\n Update the modification time for this object. Many filters rely on\n the modification time to determine if they need to recompute their\n data. The modification time is a unique monotonically increasing\n unsigned long integer.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkObject_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Return this object's modified time.\n"},
  {(char*)"SetGlobalWarningDisplay",                (PyCFunction)PyvtkObject_SetGlobalWarningDisplay, 1,
   (char*)"V.SetGlobalWarningDisplay(int)\nC++: static void SetGlobalWarningDisplay (int val);\n\n This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n"},
  {(char*)"GlobalWarningDisplayOn",                (PyCFunction)PyvtkObject_GlobalWarningDisplayOn, 1,
   (char*)"V.GlobalWarningDisplayOn()\nC++: static void GlobalWarningDisplayOn ();vtkObject SetGlobalWarningDisplay \n\n This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n"},
  {(char*)"GlobalWarningDisplayOff",                (PyCFunction)PyvtkObject_GlobalWarningDisplayOff, 1,
   (char*)"V.GlobalWarningDisplayOff()\nC++: static void GlobalWarningDisplayOff ();vtkObject SetGlobalWarningDisplay \n\n This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n"},
  {(char*)"GetGlobalWarningDisplay",                (PyCFunction)PyvtkObject_GetGlobalWarningDisplay, 1,
   (char*)"V.GetGlobalWarningDisplay() -> int\nC++: static int GetGlobalWarningDisplay ();\n\n This is a global flag that controls whether any debug, warning\n or error messages are displayed.\n"},
  {(char*)"RemoveObserver",                (PyCFunction)PyvtkObject_RemoveObserver, 1,
   (char*)"V.RemoveObserver(int)\nC++: void RemoveObserver (unsigned long tag);\n\n Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n priority commands are called first. A command may set an abort\n flag to stop processing of the event. (See vtkCommand.h for more\n information.)\n"},
  {(char*)"RemoveObservers",                (PyCFunction)PyvtkObject_RemoveObservers, 1,
   (char*)"V.RemoveObservers(int)\nC++: void RemoveObservers (unsigned long event);\nV.RemoveObservers(string)\nC++: void RemoveObservers (const char *event);\n\n Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n priority commands are called first. A command may set an abort\n flag to stop processing of the event. (See vtkCommand.h for more\n information.)\n"},
  {(char*)"RemoveAllObservers",                (PyCFunction)PyvtkObject_RemoveAllObservers, 1,
   (char*)"V.RemoveAllObservers()\nC++: void RemoveAllObservers ();\n\n Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n priority commands are called first. A command may set an abort\n flag to stop processing of the event. (See vtkCommand.h for more\n information.)\n"},
  {(char*)"HasObserver",                (PyCFunction)PyvtkObject_HasObserver, 1,
   (char*)"V.HasObserver(int) -> int\nC++: int HasObserver (unsigned long event);\nV.HasObserver(string) -> int\nC++: int HasObserver (const char *event);\n\n Allow people to add/remove/invoke observers (callbacks) to any VTK\n object.  This is an implementation of the subject/observer design\n pattern. An observer is added by specifying an event to respond to\n and a vtkCommand to execute. It returns an unsigned long tag which\n can be used later to remove the event or retrieve the command.\n When events are invoked, the observers are called in the order they\n were added. If a priority value is specified, then the higher \n priority commands are called first. A command may set an abort\n flag to stop processing of the event. (See vtkCommand.h for more\n information.)\n"},
  {(char*)"InvokeEvent",                (PyCFunction)PyvtkObject_InvokeEvent, 1,
   (char*)"V.InvokeEvent(int) -> int\nC++: int InvokeEvent (unsigned long event);return this InvokeEvent event NULL \nV.InvokeEvent(string) -> int\nC++: int InvokeEvent (const char *event);return this InvokeEvent event NULL \n\n"},
  {(char*)"AddObserver",  (PyCFunction)PyvtkObject_AddObserver, 1,
   (char*)"V.AddObserver(int, function) -> int\n\n Add an event callback function(vtkObject, int) for an event type.\n Returns a handle that can be used with RemoveEvent(int)."},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkObjectDoc[] = {
  (char*)"vtkObject - abstract base class for most VTK objects\n\n",
  "Super Class:\n\n vtkObjectBase\n\n",
  (char*)" vtkObject is the base class for most objects in the visualization\n toolkit. vtkObject provides methods for tracking modification time,\n debugging, printing, and event callbacks. Most objects created\n within the VTK framework should be a subclass of vtkObject or one\n of its children.  The few exceptions tend to be very small helper\n classes that usually never get instantiated or situations where\n ",
  (char*)"multiple inheritance gets in the way.  vtkObject also performs\n reference counting: objects that are reference counted exist as\n long as another object uses them. Once the last reference to a\n reference counted object is removed, the object will spontaneously\n destruct.\n\n",
  "Caveats:\n\n Note: in VTK objects should always be created with the New() method\n and deleted with the Delete() method. VTK objects cannot be\n allocated off the stack (i.e., automatic objects) because the\n constructor is a protected method.\n\n",
  NULL
};

static vtkObjectBase *vtkObjectStaticNew()
{
  return vtkObject::New();
}

PyObject *PyVTKClass_vtkObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkObjectStaticNew,
                        PyvtkObjectMethods,
                        (char*)"vtkObject",modulename,
                        (char**)vtkObjectDoc,
                        PyVTKClass_vtkObjectBaseNew(modulename));
}

