// python wrapper for vtkOnePieceExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOnePieceExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOnePieceExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOnePieceExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }

static PyObject *PyvtkOnePieceExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOnePieceExtentTranslator *op;

  const char    *temp20;
  op = (vtkOnePieceExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOnePieceExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOnePieceExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOnePieceExtentTranslator *op;

  char    *temp0;
  int      temp20;
  op = (vtkOnePieceExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOnePieceExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOnePieceExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOnePieceExtentTranslator *op;

  vtkOnePieceExtentTranslator  *temp20;
  op = (vtkOnePieceExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOnePieceExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOnePieceExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOnePieceExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOnePieceExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOnePieceExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOnePieceExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOnePieceExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOnePieceExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOnePieceExtentTranslator\nC++: vtkOnePieceExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOnePieceExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOnePieceExtentTranslator\nC++: vtkOnePieceExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOnePieceExtentTranslatorDoc[] = {
  (char*)"vtkOnePieceExtentTranslator - Returns the whole extent for any piece..\n\n",
  "Super Class:\n\n vtkExtentTranslator\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkOnePieceExtentTranslatorStaticNew()
{
  return vtkOnePieceExtentTranslator::New();
}

PyObject *PyVTKClass_vtkOnePieceExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOnePieceExtentTranslatorStaticNew,
                        PyvtkOnePieceExtentTranslatorMethods,
                        (char*)"vtkOnePieceExtentTranslator",modulename,
                        (char**)vtkOnePieceExtentTranslatorDoc,
                        PyVTKClass_vtkExtentTranslatorNew(modulename));
}

