// python wrapper for vtkOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOutputWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutputWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutputWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOutputWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  const char    *temp20;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  int      temp20;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  vtkOutputWindow  *temp20;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutputWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutputWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutputWindow::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutputWindow_GetInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkOutputWindow::GetInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_SetInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkOutputWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkOutputWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      vtkOutputWindow::SetInstance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOutputWindow_DisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::DisplayText(temp0);
      }
    else
      {
      op->DisplayText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_DisplayErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::DisplayErrorText(temp0);
      }
    else
      {
      op->DisplayErrorText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_DisplayWarningText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::DisplayWarningText(temp0);
      }
    else
      {
      op->DisplayWarningText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_DisplayGenericWarningText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::DisplayGenericWarningText(temp0);
      }
    else
      {
      op->DisplayGenericWarningText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_DisplayDebugText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  char    *temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::DisplayDebugText(temp0);
      }
    else
      {
      op->DisplayDebugText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_PromptUserOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::PromptUserOn();
      }
    else
      {
      op->PromptUserOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_PromptUserOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::PromptUserOff();
      }
    else
      {
      op->PromptUserOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutputWindow_SetPromptUser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutputWindow *op;

  int      temp0;
  op = (vtkOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutputWindow::SetPromptUser(temp0);
      }
    else
      {
      op->SetPromptUser(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutputWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutputWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutputWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutputWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutputWindow\nC++: vtkOutputWindow *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutputWindow_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutputWindow\nC++: vtkOutputWindow *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInstance",                (PyCFunction)PyvtkOutputWindow_GetInstance, 1,
   (char*)"V.GetInstance() -> vtkOutputWindow\nC++: static vtkOutputWindow *GetInstance ();\n\n Return the singleton instance with no reference counting.\n"},
  {(char*)"SetInstance",                (PyCFunction)PyvtkOutputWindow_SetInstance, 1,
   (char*)"V.SetInstance(vtkOutputWindow)\nC++: static void SetInstance (vtkOutputWindow *instance);\n\n Supply a user defined output window. Call ->Delete() on the supplied\n instance after setting it.\n"},
  {(char*)"DisplayText",                (PyCFunction)PyvtkOutputWindow_DisplayText, 1,
   (char*)"V.DisplayText(string)\nC++: virtual void DisplayText (const char *);\n\n Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n"},
  {(char*)"DisplayErrorText",                (PyCFunction)PyvtkOutputWindow_DisplayErrorText, 1,
   (char*)"V.DisplayErrorText(string)\nC++: virtual void DisplayErrorText (const char *);\n\n Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n"},
  {(char*)"DisplayWarningText",                (PyCFunction)PyvtkOutputWindow_DisplayWarningText, 1,
   (char*)"V.DisplayWarningText(string)\nC++: virtual void DisplayWarningText (const char *);\n\n Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n"},
  {(char*)"DisplayGenericWarningText",                (PyCFunction)PyvtkOutputWindow_DisplayGenericWarningText, 1,
   (char*)"V.DisplayGenericWarningText(string)\nC++: virtual void DisplayGenericWarningText (const char *);\n\n Display the text. Four virtual methods exist, depending on the type of\n message to display. This allows redirection or reformatting of the\n messages. The default implementation uses DisplayText for all.\n"},
  {(char*)"DisplayDebugText",                (PyCFunction)PyvtkOutputWindow_DisplayDebugText, 1,
   (char*)"V.DisplayDebugText(string)\nC++: virtual void DisplayDebugText (const char *);\n\n"},
  {(char*)"PromptUserOn",                (PyCFunction)PyvtkOutputWindow_PromptUserOn, 1,
   (char*)"V.PromptUserOn()\nC++: void PromptUserOn ();\n\n If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n"},
  {(char*)"PromptUserOff",                (PyCFunction)PyvtkOutputWindow_PromptUserOff, 1,
   (char*)"V.PromptUserOff()\nC++: void PromptUserOff ();\n\n If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n"},
  {(char*)"SetPromptUser",                (PyCFunction)PyvtkOutputWindow_SetPromptUser, 1,
   (char*)"V.SetPromptUser(int)\nC++: void SetPromptUser (int );\n\n If PromptUser is set to true then each time a line of text\n is displayed, the user is asked if they want to keep getting\n messages.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutputWindowDoc[] = {
  (char*)"vtkOutputWindow - base class for writing debug output to a console\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to encapsulate all text output, so that it will work\n with operating systems that have a stdout and stderr, and ones that\n do not.  (i.e windows does not).  Sub-classes can be provided which can\n redirect the output to a window.\n\n",
  NULL
};

static vtkObjectBase *vtkOutputWindowStaticNew()
{
  return vtkOutputWindow::New();
}

PyObject *PyVTKClass_vtkOutputWindowNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutputWindowStaticNew,
                        PyvtkOutputWindowMethods,
                        (char*)"vtkOutputWindow",modulename,
                        (char**)vtkOutputWindowDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

