// python wrapper for vtkParametricCrossCap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParametricCrossCap.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricCrossCapNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricCrossCapNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricCrossCap_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  const char    *temp20;
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricCrossCap::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  char    *temp0;
  int      temp20;
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricCrossCap::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  vtkParametricCrossCap  *temp20;
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricCrossCap::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricCrossCap  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricCrossCap::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  int      temp20;
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricCrossCap::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricCrossCap::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricCrossCap_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricCrossCap *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  op = (vtkParametricCrossCap *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricCrossCap::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricCrossCapMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricCrossCap_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricCrossCap_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricCrossCap_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricCrossCap\nC++: vtkParametricCrossCap *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricCrossCap_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricCrossCap\nC++: vtkParametricCrossCap *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricCrossCap_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n A cross-cap.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricCrossCap_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]);\n\n A cross-cap.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricCrossCap_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]);\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n\n uvw are the parameters with Pt being the the cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.\n Pt, Duvw are obtained from Evaluate().\n\n This function is only called if the ScalarMode has the value\n vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED\n\n If the user does not need to calculate a scalar, then the \n instantiated function should return zero. \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricCrossCapDoc[] = {
  (char*)"vtkParametricCrossCap - Generate a cross-cap.\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricCrossCap generates a cross-cap which is a \n non-orientable self-intersecting single-sided surface.\n This is one possible image of a projective plane in three-space.\n\n For further information about this surface, please consult the \n technical description \"Parametric surfaces\" in http://www.vtk.org/documents.php \n in the \"VTK Technical Documents\" section in the VTk.org web pages.\n\n .SE",
  (char*)"CTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for \n creating and contributing the class.\n\n\n",
  NULL
};

static vtkObjectBase *vtkParametricCrossCapStaticNew()
{
  return vtkParametricCrossCap::New();
}

PyObject *PyVTKClass_vtkParametricCrossCapNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricCrossCapStaticNew,
                        PyvtkParametricCrossCapMethods,
                        (char*)"vtkParametricCrossCap",modulename,
                        (char**)vtkParametricCrossCapDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

