// python wrapper for vtkParametricFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParametricFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkParametricFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  const char    *temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  vtkParametricFunction  *temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMinimumU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMinimumU(temp0);
      }
    else
      {
      op->SetMinimumU(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMinimumU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMinimumU();
      }
    else
      {
      temp20 = op->GetMinimumU();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMaximumU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMaximumU(temp0);
      }
    else
      {
      op->SetMaximumU(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMaximumU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMaximumU();
      }
    else
      {
      temp20 = op->GetMaximumU();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMinimumV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMinimumV(temp0);
      }
    else
      {
      op->SetMinimumV(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMinimumV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMinimumV();
      }
    else
      {
      temp20 = op->GetMinimumV();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMaximumV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMaximumV(temp0);
      }
    else
      {
      op->SetMaximumV(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMaximumV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMaximumV();
      }
    else
      {
      temp20 = op->GetMaximumV();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMinimumW(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMinimumW(temp0);
      }
    else
      {
      op->SetMinimumW(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMinimumW(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMinimumW();
      }
    else
      {
      temp20 = op->GetMinimumW();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetMaximumW(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetMaximumW(temp0);
      }
    else
      {
      op->SetMaximumW(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetMaximumW(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  double   temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetMaximumW();
      }
    else
      {
      temp20 = op->GetMaximumW();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetJoinU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetJoinU(temp0);
      }
    else
      {
      op->SetJoinU(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetJoinU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetJoinU();
      }
    else
      {
      temp20 = op->GetJoinU();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_JoinUOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::JoinUOn();
      }
    else
      {
      op->JoinUOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_JoinUOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::JoinUOff();
      }
    else
      {
      op->JoinUOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetJoinV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetJoinV(temp0);
      }
    else
      {
      op->SetJoinV(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetJoinV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetJoinV();
      }
    else
      {
      temp20 = op->GetJoinV();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_JoinVOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::JoinVOn();
      }
    else
      {
      op->JoinVOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_JoinVOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::JoinVOff();
      }
    else
      {
      op->JoinVOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetTwistU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetTwistU(temp0);
      }
    else
      {
      op->SetTwistU(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetTwistU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetTwistU();
      }
    else
      {
      temp20 = op->GetTwistU();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_TwistUOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::TwistUOn();
      }
    else
      {
      op->TwistUOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_TwistUOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::TwistUOff();
      }
    else
      {
      op->TwistUOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetTwistV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetTwistV(temp0);
      }
    else
      {
      op->SetTwistV(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetTwistV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetTwistV();
      }
    else
      {
      temp20 = op->GetTwistV();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_TwistVOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::TwistVOn();
      }
    else
      {
      op->TwistVOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_TwistVOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::TwistVOff();
      }
    else
      {
      op->TwistVOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetClockwiseOrdering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetClockwiseOrdering(temp0);
      }
    else
      {
      op->SetClockwiseOrdering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetClockwiseOrdering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetClockwiseOrdering();
      }
    else
      {
      temp20 = op->GetClockwiseOrdering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_ClockwiseOrderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::ClockwiseOrderingOn();
      }
    else
      {
      op->ClockwiseOrderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_ClockwiseOrderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::ClockwiseOrderingOff();
      }
    else
      {
      op->ClockwiseOrderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_SetDerivativesAvailable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp0;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::SetDerivativesAvailable(temp0);
      }
    else
      {
      op->SetDerivativesAvailable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_GetDerivativesAvailable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  int      temp20;
  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunction::GetDerivativesAvailable();
      }
    else
      {
      temp20 = op->GetDerivativesAvailable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_DerivativesAvailableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::DerivativesAvailableOn();
      }
    else
      {
      op->DerivativesAvailableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunction_DerivativesAvailableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunction *op;

  op = (vtkParametricFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunction::DerivativesAvailableOff();
      }
    else
      {
      op->DerivativesAvailableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricFunction\nC++: vtkParametricFunction *NewInstance ();\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricFunction_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension () = 0;\n\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricFunction_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]) = 0;\n\n Performs the mapping \\$f(uvw)->(Pt,Duvw)\\$f.\n This is a pure virtual function that must be instantiated in \n a derived class. \n\n uvw are the parameters, with u corresponding to uvw[0],\n v to uvw[1] and w to uvw[2] respectively. Pt is the returned Cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.  \n Note that the first three values in Duvw are Du, the next three are Dv, \n and the final three are Dw. Du Dv Dw are the partial derivatives of the \n function at the point Pt with respect to u, v and w respectively.\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricFunction_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]) = 0;\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n This is a pure virtual function that must be instantiated in \n a derived class. \n\n uvw are the parameters with Pt being the the cartesian point, \n Duvw are the derivatives of this point with respect to u, v, and w.\n Pt, Duvw are obtained from Evaluate().\n"},
  {(char*)"SetMinimumU",                (PyCFunction)PyvtkParametricFunction_SetMinimumU, 1,
   (char*)"V.SetMinimumU(float)\nC++: void SetMinimumU (double );\n\n Set/Get the minimum u-value.\n"},
  {(char*)"GetMinimumU",                (PyCFunction)PyvtkParametricFunction_GetMinimumU, 1,
   (char*)"V.GetMinimumU() -> float\nC++: double GetMinimumU ();\n\n Set/Get the minimum u-value.\n"},
  {(char*)"SetMaximumU",                (PyCFunction)PyvtkParametricFunction_SetMaximumU, 1,
   (char*)"V.SetMaximumU(float)\nC++: void SetMaximumU (double );\n\n Set/Get the maximum u-value.\n"},
  {(char*)"GetMaximumU",                (PyCFunction)PyvtkParametricFunction_GetMaximumU, 1,
   (char*)"V.GetMaximumU() -> float\nC++: double GetMaximumU ();\n\n Set/Get the maximum u-value.\n"},
  {(char*)"SetMinimumV",                (PyCFunction)PyvtkParametricFunction_SetMinimumV, 1,
   (char*)"V.SetMinimumV(float)\nC++: void SetMinimumV (double );\n\n Set/Get the minimum v-value.\n"},
  {(char*)"GetMinimumV",                (PyCFunction)PyvtkParametricFunction_GetMinimumV, 1,
   (char*)"V.GetMinimumV() -> float\nC++: double GetMinimumV ();\n\n Set/Get the minimum v-value.\n"},
  {(char*)"SetMaximumV",                (PyCFunction)PyvtkParametricFunction_SetMaximumV, 1,
   (char*)"V.SetMaximumV(float)\nC++: void SetMaximumV (double );\n\n Set/Get the maximum v-value.\n"},
  {(char*)"GetMaximumV",                (PyCFunction)PyvtkParametricFunction_GetMaximumV, 1,
   (char*)"V.GetMaximumV() -> float\nC++: double GetMaximumV ();\n\n Set/Get the maximum v-value.\n"},
  {(char*)"SetMinimumW",                (PyCFunction)PyvtkParametricFunction_SetMinimumW, 1,
   (char*)"V.SetMinimumW(float)\nC++: void SetMinimumW (double );\n\n Set/Get the minimum w-value.\n"},
  {(char*)"GetMinimumW",                (PyCFunction)PyvtkParametricFunction_GetMinimumW, 1,
   (char*)"V.GetMinimumW() -> float\nC++: double GetMinimumW ();\n\n Set/Get the minimum w-value.\n"},
  {(char*)"SetMaximumW",                (PyCFunction)PyvtkParametricFunction_SetMaximumW, 1,
   (char*)"V.SetMaximumW(float)\nC++: void SetMaximumW (double );\n\n Set/Get the maximum w-value.\n"},
  {(char*)"GetMaximumW",                (PyCFunction)PyvtkParametricFunction_GetMaximumW, 1,
   (char*)"V.GetMaximumW() -> float\nC++: double GetMaximumW ();\n\n Set/Get the maximum w-value.\n"},
  {(char*)"SetJoinU",                (PyCFunction)PyvtkParametricFunction_SetJoinU, 1,
   (char*)"V.SetJoinU(int)\nC++: void SetJoinU (int );\n\n Set/Get the flag which joins the first triangle strip to the last one.\n"},
  {(char*)"GetJoinU",                (PyCFunction)PyvtkParametricFunction_GetJoinU, 1,
   (char*)"V.GetJoinU() -> int\nC++: int GetJoinU ();\n\n Set/Get the flag which joins the first triangle strip to the last one.\n"},
  {(char*)"JoinUOn",                (PyCFunction)PyvtkParametricFunction_JoinUOn, 1,
   (char*)"V.JoinUOn()\nC++: void JoinUOn ();\n\n Set/Get the flag which joins the first triangle strip to the last one.\n"},
  {(char*)"JoinUOff",                (PyCFunction)PyvtkParametricFunction_JoinUOff, 1,
   (char*)"V.JoinUOff()\nC++: void JoinUOff ();\n\n Set/Get the flag which joins the first triangle strip to the last one.\n"},
  {(char*)"SetJoinV",                (PyCFunction)PyvtkParametricFunction_SetJoinV, 1,
   (char*)"V.SetJoinV(int)\nC++: void SetJoinV (int );\n\n Set/Get the flag which joins the the ends of the triangle strips.\n"},
  {(char*)"GetJoinV",                (PyCFunction)PyvtkParametricFunction_GetJoinV, 1,
   (char*)"V.GetJoinV() -> int\nC++: int GetJoinV ();\n\n Set/Get the flag which joins the the ends of the triangle strips.\n"},
  {(char*)"JoinVOn",                (PyCFunction)PyvtkParametricFunction_JoinVOn, 1,
   (char*)"V.JoinVOn()\nC++: void JoinVOn ();\n\n Set/Get the flag which joins the the ends of the triangle strips.\n"},
  {(char*)"JoinVOff",                (PyCFunction)PyvtkParametricFunction_JoinVOff, 1,
   (char*)"V.JoinVOff()\nC++: void JoinVOff ();\n\n Set/Get the flag which joins the the ends of the triangle strips.\n"},
  {(char*)"SetTwistU",                (PyCFunction)PyvtkParametricFunction_SetTwistU, 1,
   (char*)"V.SetTwistU(int)\nC++: void SetTwistU (int );\n\n Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"GetTwistU",                (PyCFunction)PyvtkParametricFunction_GetTwistU, 1,
   (char*)"V.GetTwistU() -> int\nC++: int GetTwistU ();\n\n Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"TwistUOn",                (PyCFunction)PyvtkParametricFunction_TwistUOn, 1,
   (char*)"V.TwistUOn()\nC++: void TwistUOn ();\n\n Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"TwistUOff",                (PyCFunction)PyvtkParametricFunction_TwistUOff, 1,
   (char*)"V.TwistUOff()\nC++: void TwistUOff ();\n\n Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"SetTwistV",                (PyCFunction)PyvtkParametricFunction_SetTwistV, 1,
   (char*)"V.SetTwistV(int)\nC++: void SetTwistV (int );\n\n Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"GetTwistV",                (PyCFunction)PyvtkParametricFunction_GetTwistV, 1,
   (char*)"V.GetTwistV() -> int\nC++: int GetTwistV ();\n\n Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"TwistVOn",                (PyCFunction)PyvtkParametricFunction_TwistVOn, 1,
   (char*)"V.TwistVOn()\nC++: void TwistVOn ();\n\n Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"TwistVOff",                (PyCFunction)PyvtkParametricFunction_TwistVOff, 1,
   (char*)"V.TwistVOff()\nC++: void TwistVOff ();\n\n Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n"},
  {(char*)"SetClockwiseOrdering",                (PyCFunction)PyvtkParametricFunction_SetClockwiseOrdering, 1,
   (char*)"V.SetClockwiseOrdering(int)\nC++: void SetClockwiseOrdering (int );\n\n Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n"},
  {(char*)"GetClockwiseOrdering",                (PyCFunction)PyvtkParametricFunction_GetClockwiseOrdering, 1,
   (char*)"V.GetClockwiseOrdering() -> int\nC++: int GetClockwiseOrdering ();\n\n Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n"},
  {(char*)"ClockwiseOrderingOn",                (PyCFunction)PyvtkParametricFunction_ClockwiseOrderingOn, 1,
   (char*)"V.ClockwiseOrderingOn()\nC++: void ClockwiseOrderingOn ();\n\n Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n"},
  {(char*)"ClockwiseOrderingOff",                (PyCFunction)PyvtkParametricFunction_ClockwiseOrderingOff, 1,
   (char*)"V.ClockwiseOrderingOff()\nC++: void ClockwiseOrderingOff ();\n\n Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n"},
  {(char*)"SetDerivativesAvailable",                (PyCFunction)PyvtkParametricFunction_SetDerivativesAvailable, 1,
   (char*)"V.SetDerivativesAvailable(int)\nC++: void SetDerivativesAvailable (int );\n\n Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n"},
  {(char*)"GetDerivativesAvailable",                (PyCFunction)PyvtkParametricFunction_GetDerivativesAvailable, 1,
   (char*)"V.GetDerivativesAvailable() -> int\nC++: int GetDerivativesAvailable ();\n\n Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n"},
  {(char*)"DerivativesAvailableOn",                (PyCFunction)PyvtkParametricFunction_DerivativesAvailableOn, 1,
   (char*)"V.DerivativesAvailableOn()\nC++: void DerivativesAvailableOn ();\n\n Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n"},
  {(char*)"DerivativesAvailableOff",                (PyCFunction)PyvtkParametricFunction_DerivativesAvailableOff, 1,
   (char*)"V.DerivativesAvailableOff()\nC++: void DerivativesAvailableOff ();\n\n Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricFunctionDoc[] = {
  (char*)"vtkParametricFunction - abstract interface for parametric functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkParametricFunction is an abstract interface for functions\n defined by parametric mapping i.e. f(u,v,w)->(x,y,z) where \n u_min <= u < u_max, v_min <= v < v_max, w_min <= w < w_max. (For\n notational convenience, we will write f(u)->x and assume that\n u means (u,v,w) and x means (x,y,z).)\n\n The interface contains the pure virtual function, Evaluate(), that\n generates a point and the derivatives a",
  (char*)"t that point which are then used to\n construct the surface. A second pure virtual function, EvaluateScalar(),\n can be used to generate a scalar for the surface. Finally, the\n GetDimension() virtual function is used to differentiate 1D, 2D, and 3D\n parametric functions. Since this abstract class defines a pure virtual\n API, its subclasses must implement the pure virtual functions\n GetDimension(), E",
  (char*)"valuate() and EvaluateScalar().\n\n This class has also methods for defining a range of parametric values (u,v,w).\n \n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for creating and contributing the\n class.\n\n\n",
  "See Also:\n\n vtkParametricFunctionSource - tessellates a parametric function\n\n Implementations of derived classes implementing non-orentable surfaces:\n vtkParametricBoy vtkParametricCrossCap vtkParametricFigure8Klein\n vtkParametricKlein vtkParametricMobius vtkParametricRoman\n\n Implementations of derived classes implementing orientable surfaces:\n vtkParametricConicSpiral vtkParametricDini vtkParametricEllipsoid \n vtkParametricEnneper vtkParametricRandomHills vtkParametricSuperEllipsoid \n vtkParametricSuperToroid vtkParametricTorus \n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkParametricFunctionNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkParametricFunctionMethods,
                        (char*)"vtkParametricFunction",modulename,
                        (char**)vtkParametricFunctionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

