// tcl wrapper for vtkParametricFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricFunctionCppCommand(static_cast<vtkParametricFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumU",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumU",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumU();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumU",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumU",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumU();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumV",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumV",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumV();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumV",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumV",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumV();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumW",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumW(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumW",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumW();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumW",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumW(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumW",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumW();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetJoinU",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJoinU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetJoinU",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJoinU();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("JoinUOn",argv[1]))&&(argc == 2))
    {
    op->JoinUOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("JoinUOff",argv[1]))&&(argc == 2))
    {
    op->JoinUOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetJoinV",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJoinV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetJoinV",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJoinV();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("JoinVOn",argv[1]))&&(argc == 2))
    {
    op->JoinVOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("JoinVOff",argv[1]))&&(argc == 2))
    {
    op->JoinVOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwistU",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwistU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwistU",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwistU();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwistUOn",argv[1]))&&(argc == 2))
    {
    op->TwistUOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwistUOff",argv[1]))&&(argc == 2))
    {
    op->TwistUOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwistV",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwistV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwistV",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwistV();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwistVOn",argv[1]))&&(argc == 2))
    {
    op->TwistVOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwistVOff",argv[1]))&&(argc == 2))
    {
    op->TwistVOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClockwiseOrdering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClockwiseOrdering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClockwiseOrdering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClockwiseOrdering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClockwiseOrderingOn",argv[1]))&&(argc == 2))
    {
    op->ClockwiseOrderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClockwiseOrderingOff",argv[1]))&&(argc == 2))
    {
    op->ClockwiseOrderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDerivativesAvailable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDerivativesAvailable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDerivativesAvailable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDerivativesAvailable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DerivativesAvailableOn",argv[1]))&&(argc == 2))
    {
    op->DerivativesAvailableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DerivativesAvailableOff",argv[1]))&&(argc == 2))
    {
    op->DerivativesAvailableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParametricFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumU\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumU\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumV\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumV\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumW\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumW\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumW\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumW\n",NULL);
    Tcl_AppendResult(interp,"  SetJoinU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetJoinU\n",NULL);
    Tcl_AppendResult(interp,"  JoinUOn\n",NULL);
    Tcl_AppendResult(interp,"  JoinUOff\n",NULL);
    Tcl_AppendResult(interp,"  SetJoinV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetJoinV\n",NULL);
    Tcl_AppendResult(interp,"  JoinVOn\n",NULL);
    Tcl_AppendResult(interp,"  JoinVOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwistU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwistU\n",NULL);
    Tcl_AppendResult(interp,"  TwistUOn\n",NULL);
    Tcl_AppendResult(interp,"  TwistUOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwistV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwistV\n",NULL);
    Tcl_AppendResult(interp,"  TwistVOn\n",NULL);
    Tcl_AppendResult(interp,"  TwistVOff\n",NULL);
    Tcl_AppendResult(interp,"  SetClockwiseOrdering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClockwiseOrdering\n",NULL);
    Tcl_AppendResult(interp,"  ClockwiseOrderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClockwiseOrderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDerivativesAvailable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDerivativesAvailable\n",NULL);
    Tcl_AppendResult(interp,"  DerivativesAvailableOn\n",NULL);
    Tcl_AppendResult(interp,"  DerivativesAvailableOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumU" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumU" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumU" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumU" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumV" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumV" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumV" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumV" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumW" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumW" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumW" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumW" );
    Tcl_DStringAppendElement ( &dString, "SetJoinU" );
    Tcl_DStringAppendElement ( &dString, "GetJoinU" );
    Tcl_DStringAppendElement ( &dString, "JoinUOn" );
    Tcl_DStringAppendElement ( &dString, "JoinUOff" );
    Tcl_DStringAppendElement ( &dString, "SetJoinV" );
    Tcl_DStringAppendElement ( &dString, "GetJoinV" );
    Tcl_DStringAppendElement ( &dString, "JoinVOn" );
    Tcl_DStringAppendElement ( &dString, "JoinVOff" );
    Tcl_DStringAppendElement ( &dString, "SetTwistU" );
    Tcl_DStringAppendElement ( &dString, "GetTwistU" );
    Tcl_DStringAppendElement ( &dString, "TwistUOn" );
    Tcl_DStringAppendElement ( &dString, "TwistUOff" );
    Tcl_DStringAppendElement ( &dString, "SetTwistV" );
    Tcl_DStringAppendElement ( &dString, "GetTwistV" );
    Tcl_DStringAppendElement ( &dString, "TwistVOn" );
    Tcl_DStringAppendElement ( &dString, "TwistVOff" );
    Tcl_DStringAppendElement ( &dString, "SetClockwiseOrdering" );
    Tcl_DStringAppendElement ( &dString, "GetClockwiseOrdering" );
    Tcl_DStringAppendElement ( &dString, "ClockwiseOrderingOn" );
    Tcl_DStringAppendElement ( &dString, "ClockwiseOrderingOff" );
    Tcl_DStringAppendElement ( &dString, "SetDerivativesAvailable" );
    Tcl_DStringAppendElement ( &dString, "GetDerivativesAvailable" );
    Tcl_DStringAppendElement ( &dString, "DerivativesAvailableOn" );
    Tcl_DStringAppendElement ( &dString, "DerivativesAvailableOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumU */
    if ( strcmp ( argv[2], "SetMinimumU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum u-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumU (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMinimumU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumU */
    if ( strcmp ( argv[2], "GetMinimumU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum u-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumU ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMinimumU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumU */
    if ( strcmp ( argv[2], "SetMaximumU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum u-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumU (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMaximumU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumU */
    if ( strcmp ( argv[2], "GetMaximumU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum u-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumU ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMaximumU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumV */
    if ( strcmp ( argv[2], "SetMinimumV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum v-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumV (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMinimumV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumV */
    if ( strcmp ( argv[2], "GetMinimumV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum v-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumV ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMinimumV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumV */
    if ( strcmp ( argv[2], "SetMaximumV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum v-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumV (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMaximumV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumV */
    if ( strcmp ( argv[2], "GetMaximumV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum v-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumV ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMaximumV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumW */
    if ( strcmp ( argv[2], "SetMinimumW" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumW" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumW */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum w-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumW (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMinimumW */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumW */
    if ( strcmp ( argv[2], "GetMinimumW" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumW" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumW */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum w-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumW ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMinimumW */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumW */
    if ( strcmp ( argv[2], "SetMaximumW" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumW" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumW */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum w-value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumW (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetMaximumW */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumW */
    if ( strcmp ( argv[2], "GetMaximumW" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumW" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumW */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum w-value.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumW ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetMaximumW */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJoinU */
    if ( strcmp ( argv[2], "SetJoinU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJoinU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJoinU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to the last one.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJoinU (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetJoinU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJoinU */
    if ( strcmp ( argv[2], "GetJoinU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJoinU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJoinU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to the last one.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJoinU ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetJoinU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JoinUOn */
    if ( strcmp ( argv[2], "JoinUOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JoinUOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JoinUOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to the last one.\n" );
    Tcl_DStringAppendElement ( &dString, "void JoinUOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for JoinUOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JoinUOff */
    if ( strcmp ( argv[2], "JoinUOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JoinUOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JoinUOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to the last one.\n" );
    Tcl_DStringAppendElement ( &dString, "void JoinUOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for JoinUOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJoinV */
    if ( strcmp ( argv[2], "SetJoinV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJoinV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJoinV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the the ends of the triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJoinV (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetJoinV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJoinV */
    if ( strcmp ( argv[2], "GetJoinV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJoinV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJoinV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the the ends of the triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJoinV ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetJoinV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JoinVOn */
    if ( strcmp ( argv[2], "JoinVOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JoinVOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JoinVOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the the ends of the triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "void JoinVOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for JoinVOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: JoinVOff */
    if ( strcmp ( argv[2], "JoinVOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "JoinVOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for JoinVOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the the ends of the triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "void JoinVOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for JoinVOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTwistU */
    if ( strcmp ( argv[2], "SetTwistU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTwistU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTwistU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTwistU (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetTwistU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTwistU */
    if ( strcmp ( argv[2], "GetTwistU" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTwistU" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTwistU */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTwistU ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetTwistU */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwistUOn */
    if ( strcmp ( argv[2], "TwistUOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwistUOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwistUOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwistUOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for TwistUOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwistUOff */
    if ( strcmp ( argv[2], "TwistUOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwistUOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwistUOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the first triangle strip to \n the last one with a twist.\n JoinU must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwistUOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for TwistUOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTwistV */
    if ( strcmp ( argv[2], "SetTwistV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTwistV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTwistV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTwistV (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetTwistV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTwistV */
    if ( strcmp ( argv[2], "GetTwistV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTwistV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTwistV */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTwistV ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetTwistV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwistVOn */
    if ( strcmp ( argv[2], "TwistVOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwistVOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwistVOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwistVOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for TwistVOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwistVOff */
    if ( strcmp ( argv[2], "TwistVOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwistVOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwistVOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which joins the ends of the \n triangle strips with a twist.\n JoinV must also be set if this is set. Used when building\n some non-orientable surfaces.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwistVOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for TwistVOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClockwiseOrdering */
    if ( strcmp ( argv[2], "SetClockwiseOrdering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClockwiseOrdering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClockwiseOrdering */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClockwiseOrdering (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetClockwiseOrdering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClockwiseOrdering */
    if ( strcmp ( argv[2], "GetClockwiseOrdering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClockwiseOrdering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClockwiseOrdering */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClockwiseOrdering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetClockwiseOrdering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClockwiseOrderingOn */
    if ( strcmp ( argv[2], "ClockwiseOrderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClockwiseOrderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClockwiseOrderingOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n" );
    Tcl_DStringAppendElement ( &dString, "void ClockwiseOrderingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for ClockwiseOrderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClockwiseOrderingOff */
    if ( strcmp ( argv[2], "ClockwiseOrderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClockwiseOrderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClockwiseOrderingOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines the ordering of the the \n vertices forming the triangle strips. The ordering of the \n points being inserted into the triangle strip is important \n because it determines the direction of the normals for the \n lighting. If set, the ordering is clockwise, otherwise the\n ordering is anti-clockwise. Default is true (i.e. clockwise\n ordering).\n" );
    Tcl_DStringAppendElement ( &dString, "void ClockwiseOrderingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for ClockwiseOrderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDerivativesAvailable */
    if ( strcmp ( argv[2], "SetDerivativesAvailable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDerivativesAvailable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDerivativesAvailable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDerivativesAvailable (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for SetDerivativesAvailable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDerivativesAvailable */
    if ( strcmp ( argv[2], "GetDerivativesAvailable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDerivativesAvailable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDerivativesAvailable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDerivativesAvailable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for GetDerivativesAvailable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DerivativesAvailableOn */
    if ( strcmp ( argv[2], "DerivativesAvailableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DerivativesAvailableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DerivativesAvailableOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n" );
    Tcl_DStringAppendElement ( &dString, "void DerivativesAvailableOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for DerivativesAvailableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DerivativesAvailableOff */
    if ( strcmp ( argv[2], "DerivativesAvailableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DerivativesAvailableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DerivativesAvailableOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which determines whether derivatives are available \n from the parametric function (i.e., whether the Evaluate() method \n returns valid derivatives).\n" );
    Tcl_DStringAppendElement ( &dString, "void DerivativesAvailableOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricFunction" );
    /* Closing for DerivativesAvailableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
