// tcl wrapper for vtkParametricRandomHills object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricRandomHills.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParametricRandomHillsNewCommand()
{
  vtkParametricRandomHills *temp = vtkParametricRandomHills::New();
  return static_cast<ClientData>(temp);
}

int vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricRandomHillsCppCommand(vtkParametricRandomHills *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricRandomHillsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricRandomHillsCppCommand(static_cast<vtkParametricRandomHills *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricRandomHillsCppCommand(vtkParametricRandomHills *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricRandomHills",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkParametricFunctionCppCommand(static_cast<vtkParametricFunction *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkParametricFunction"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricRandomHills  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricRandomHills");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParametricRandomHills  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricRandomHills");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParametricRandomHills  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParametricRandomHills");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfHills",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfHills(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHills",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHills();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHillXVariance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHillXVariance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHillXVariance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHillXVariance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHillYVariance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHillYVariance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHillYVariance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHillYVariance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHillAmplitude",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHillAmplitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHillAmplitude",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHillAmplitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRandomSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRandomSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRandomSeed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomSeed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowRandomGeneration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowRandomGeneration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowRandomGeneration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowRandomGeneration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowRandomGenerationOn",argv[1]))&&(argc == 2))
    {
    op->AllowRandomGenerationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowRandomGenerationOff",argv[1]))&&(argc == 2))
    {
    op->AllowRandomGenerationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXVarianceScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetXVarianceScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXVarianceScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetXVarianceScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYVarianceScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetYVarianceScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYVarianceScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetYVarianceScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAmplitudeScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAmplitudeScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmplitudeScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmplitudeScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTheHills",argv[1]))&&(argc == 2))
    {
    op->GenerateTheHills();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParametricRandomHillsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkParametricFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricRandomHills:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfHills\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHills\n",NULL);
    Tcl_AppendResult(interp,"  SetHillXVariance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHillXVariance\n",NULL);
    Tcl_AppendResult(interp,"  SetHillYVariance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHillYVariance\n",NULL);
    Tcl_AppendResult(interp,"  SetHillAmplitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHillAmplitude\n",NULL);
    Tcl_AppendResult(interp,"  SetRandomSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomSeed\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowRandomGeneration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowRandomGeneration\n",NULL);
    Tcl_AppendResult(interp,"  AllowRandomGenerationOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowRandomGenerationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXVarianceScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXVarianceScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetYVarianceScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYVarianceScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetAmplitudeScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmplitudeScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTheHills\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkParametricFunctionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHills" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHills" );
    Tcl_DStringAppendElement ( &dString, "SetHillXVariance" );
    Tcl_DStringAppendElement ( &dString, "GetHillXVariance" );
    Tcl_DStringAppendElement ( &dString, "SetHillYVariance" );
    Tcl_DStringAppendElement ( &dString, "GetHillYVariance" );
    Tcl_DStringAppendElement ( &dString, "SetHillAmplitude" );
    Tcl_DStringAppendElement ( &dString, "GetHillAmplitude" );
    Tcl_DStringAppendElement ( &dString, "SetRandomSeed" );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeed" );
    Tcl_DStringAppendElement ( &dString, "SetAllowRandomGeneration" );
    Tcl_DStringAppendElement ( &dString, "GetAllowRandomGeneration" );
    Tcl_DStringAppendElement ( &dString, "AllowRandomGenerationOn" );
    Tcl_DStringAppendElement ( &dString, "AllowRandomGenerationOff" );
    Tcl_DStringAppendElement ( &dString, "SetXVarianceScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetXVarianceScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetYVarianceScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetYVarianceScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetAmplitudeScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetAmplitudeScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GenerateTheHills" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkParametricFunctionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Construct a surface of random hills with the following parameters:\n MinimumU = -10, MaximumU = 10,\n MinimumV = -10, MaximumV = 10, \n JoinU = 0, JoinV = 0,\n TwistU = 0, TwistV = 0;\n ClockwiseOrdering = 1, \n DerivativesAvailable = 0,\n Number of hills = 30, \n Variance of the hills 2.5 in both x- and y- directions, \n Scaling factor for the variances 1/3 in both x- and y- directions, \n Amplitude of each hill = 1, \n Scaling factor for the amplitude = 1/3, \n RandomSeed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a surface of random hills with the following parameters:\n MinimumU = -10, MaximumU = 10,\n MinimumV = -10, MaximumV = 10, \n JoinU = 0, JoinV = 0,\n TwistU = 0, TwistV = 0;\n ClockwiseOrdering = 1, \n DerivativesAvailable = 0,\n Number of hills = 30, \n Variance of the hills 2.5 in both x- and y- directions, \n Scaling factor for the variances 1/3 in both x- and y- directions, \n Amplitude of each hill = 1, \n Scaling factor for the amplitude = 1/3, \n RandomSeed ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkParametricRandomHills *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfHills */
    if ( strcmp ( argv[2], "SetNumberOfHills" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHills" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfHills */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of hills.\n Default is 30.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfHills (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetNumberOfHills */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHills */
    if ( strcmp ( argv[2], "GetNumberOfHills" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHills" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHills */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of hills.\n Default is 30.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHills ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetNumberOfHills */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHillXVariance */
    if ( strcmp ( argv[2], "SetHillXVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHillXVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHillXVariance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill variance in the x-direction.\n Default is 2.5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHillXVariance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetHillXVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHillXVariance */
    if ( strcmp ( argv[2], "GetHillXVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHillXVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHillXVariance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill variance in the x-direction.\n Default is 2.5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHillXVariance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetHillXVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHillYVariance */
    if ( strcmp ( argv[2], "SetHillYVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHillYVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHillYVariance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill variance in the y-direction.\n Default is 2.5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHillYVariance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetHillYVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHillYVariance */
    if ( strcmp ( argv[2], "GetHillYVariance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHillYVariance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHillYVariance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill variance in the y-direction.\n Default is 2.5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHillYVariance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetHillYVariance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHillAmplitude */
    if ( strcmp ( argv[2], "SetHillAmplitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHillAmplitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHillAmplitude */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill amplitude (height).\n Default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHillAmplitude (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetHillAmplitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHillAmplitude */
    if ( strcmp ( argv[2], "GetHillAmplitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHillAmplitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHillAmplitude */
    Tcl_DStringAppendElement ( &dString, " Set/Get the hill amplitude (height).\n Default is 2.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHillAmplitude ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetHillAmplitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRandomSeed */
    if ( strcmp ( argv[2], "SetRandomSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRandomSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRandomSeed */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Seed for the random number generator, \n a value of 1 will initialize the random number generator, \n a negative value will initialize it with the system time.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRandomSeed (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetRandomSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomSeed */
    if ( strcmp ( argv[2], "GetRandomSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomSeed */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Seed for the random number generator, \n a value of 1 will initialize the random number generator, \n a negative value will initialize it with the system time.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomSeed ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetRandomSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowRandomGeneration */
    if ( strcmp ( argv[2], "SetAllowRandomGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowRandomGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowRandomGeneration */
    Tcl_DStringAppendElement ( &dString, " Set/Get the random generation flag. \n A value of 0 will disable the generation of random hills on the surface. \n This allows a reproducible shape to be generated.\n Any other value means that the generation of the hills will be done\n randomly.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowRandomGeneration (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetAllowRandomGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowRandomGeneration */
    if ( strcmp ( argv[2], "GetAllowRandomGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowRandomGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowRandomGeneration */
    Tcl_DStringAppendElement ( &dString, " Set/Get the random generation flag. \n A value of 0 will disable the generation of random hills on the surface. \n This allows a reproducible shape to be generated.\n Any other value means that the generation of the hills will be done\n randomly.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllowRandomGeneration ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetAllowRandomGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowRandomGenerationOn */
    if ( strcmp ( argv[2], "AllowRandomGenerationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowRandomGenerationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowRandomGenerationOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the random generation flag. \n A value of 0 will disable the generation of random hills on the surface. \n This allows a reproducible shape to be generated.\n Any other value means that the generation of the hills will be done\n randomly.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowRandomGenerationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for AllowRandomGenerationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowRandomGenerationOff */
    if ( strcmp ( argv[2], "AllowRandomGenerationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowRandomGenerationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowRandomGenerationOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the random generation flag. \n A value of 0 will disable the generation of random hills on the surface. \n This allows a reproducible shape to be generated.\n Any other value means that the generation of the hills will be done\n randomly.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowRandomGenerationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for AllowRandomGenerationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXVarianceScaleFactor */
    if ( strcmp ( argv[2], "SetXVarianceScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXVarianceScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXVarianceScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the variance in the x-direction. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXVarianceScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetXVarianceScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXVarianceScaleFactor */
    if ( strcmp ( argv[2], "GetXVarianceScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXVarianceScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXVarianceScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the variance in the x-direction. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetXVarianceScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetXVarianceScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYVarianceScaleFactor */
    if ( strcmp ( argv[2], "SetYVarianceScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYVarianceScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYVarianceScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the variance in the y-direction. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYVarianceScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetYVarianceScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYVarianceScaleFactor */
    if ( strcmp ( argv[2], "GetYVarianceScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYVarianceScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYVarianceScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the variance in the y-direction. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetYVarianceScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetYVarianceScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmplitudeScaleFactor */
    if ( strcmp ( argv[2], "SetAmplitudeScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmplitudeScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmplitudeScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the amplitude. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAmplitudeScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for SetAmplitudeScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmplitudeScaleFactor */
    if ( strcmp ( argv[2], "GetAmplitudeScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmplitudeScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmplitudeScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scaling factor for the amplitude. \n Default is 1/3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAmplitudeScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GetAmplitudeScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateTheHills */
    if ( strcmp ( argv[2], "GenerateTheHills" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateTheHills" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateTheHills */
    Tcl_DStringAppendElement ( &dString, " Generate the centers of the hills, their standard deviations and \n their amplitudes. This function creates a series of vectors representing\n the u, v coordinates of each hill, its variance in the u, v directions and\n the amplitude.\n\n NOTE: This function must be called whenever any of the parameters are changed.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateTheHills (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkParametricRandomHills" );
    /* Closing for GenerateTheHills */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkParametricFunctionCppCommand(static_cast<vtkParametricFunction *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
