// python wrapper for vtkParametricSuperEllipsoid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParametricSuperEllipsoid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricSuperEllipsoidNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricSuperEllipsoidNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricSuperEllipsoid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  const char    *temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  char    *temp0;
  int      temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  vtkParametricSuperEllipsoid  *temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricSuperEllipsoid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricSuperEllipsoid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  int      temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SetXRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp0;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::SetXRadius(temp0);
      }
    else
      {
      op->SetXRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetXRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetXRadius();
      }
    else
      {
      temp20 = op->GetXRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SetYRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp0;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::SetYRadius(temp0);
      }
    else
      {
      op->SetYRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetYRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetYRadius();
      }
    else
      {
      temp20 = op->GetYRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SetZRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp0;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::SetZRadius(temp0);
      }
    else
      {
      op->SetZRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetZRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetZRadius();
      }
    else
      {
      temp20 = op->GetZRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SetN1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp0;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::SetN1(temp0);
      }
    else
      {
      op->SetN1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetN1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetN1();
      }
    else
      {
      temp20 = op->GetN1();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_SetN2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp0;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::SetN2(temp0);
      }
    else
      {
      op->SetN2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_GetN2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::GetN2();
      }
    else
      {
      temp20 = op->GetN2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSuperEllipsoid::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSuperEllipsoid_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSuperEllipsoid *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  op = (vtkParametricSuperEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSuperEllipsoid::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricSuperEllipsoidMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricSuperEllipsoid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricSuperEllipsoid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricSuperEllipsoid\nC++: vtkParametricSuperEllipsoid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricSuperEllipsoid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricSuperEllipsoid\nC++: vtkParametricSuperEllipsoid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"SetXRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_SetXRadius, 1,
   (char*)"V.SetXRadius(float)\nC++: void SetXRadius (double );\n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"GetXRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetXRadius, 1,
   (char*)"V.GetXRadius() -> float\nC++: double GetXRadius ();\n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"SetYRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_SetYRadius, 1,
   (char*)"V.SetYRadius(float)\nC++: void SetYRadius (double );\n\n Set/Get the scaling factor for the y-axis. Default = 1.\n"},
  {(char*)"GetYRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetYRadius, 1,
   (char*)"V.GetYRadius() -> float\nC++: double GetYRadius ();\n\n Set/Get the scaling factor for the y-axis. Default = 1.\n"},
  {(char*)"SetZRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_SetZRadius, 1,
   (char*)"V.SetZRadius(float)\nC++: void SetZRadius (double );\n\n Set/Get the scaling factor for the z-axis. Default = 1.\n"},
  {(char*)"GetZRadius",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetZRadius, 1,
   (char*)"V.GetZRadius() -> float\nC++: double GetZRadius ();\n\n Set/Get the scaling factor for the z-axis. Default = 1.\n"},
  {(char*)"SetN1",                (PyCFunction)PyvtkParametricSuperEllipsoid_SetN1, 1,
   (char*)"V.SetN1(float)\nC++: void SetN1 (double );\n\n Set/Get the \"squareness\" parameter in the z axis.  Default = 1.\n"},
  {(char*)"GetN1",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetN1, 1,
   (char*)"V.GetN1() -> float\nC++: double GetN1 ();\n\n Set/Get the \"squareness\" parameter in the z axis.  Default = 1.\n"},
  {(char*)"SetN2",                (PyCFunction)PyvtkParametricSuperEllipsoid_SetN2, 1,
   (char*)"V.SetN2(float)\nC++: void SetN2 (double );\n\n  Set/Get the \"squareness\" parameter in the x-y plane. Default = 1.\n"},
  {(char*)"GetN2",                (PyCFunction)PyvtkParametricSuperEllipsoid_GetN2, 1,
   (char*)"V.GetN2() -> float\nC++: double GetN2 ();\n\n  Set/Get the \"squareness\" parameter in the x-y plane. Default = 1.\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricSuperEllipsoid_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]);\n\n A superellipsoid.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricSuperEllipsoid_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]);\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n\n uvw are the parameters with Pt being the the cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.\n Pt, Duvw are obtained from Evaluate().\n\n This function is only called if the ScalarMode has the value\n vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED\n\n If the user does not need to calculate a scalar, then the \n instantiated function should return zero. \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricSuperEllipsoidDoc[] = {
  (char*)"vtkParametricSuperEllipsoid - Generate a superellipsoid.\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricSuperEllipsoid generates a superellipsoid.  A superellipsoid\n is a versatile primitive that is controlled by two parameters n1 and\n n2. As special cases it can represent a sphere, square box, and closed\n cylindrical can.\n\n For further information about this surface, please consult the \n technical description \"Parametric surfaces\" in http://www.vtk.org/documents.php \n in the \"VTK Tech",
  (char*)"nical Documents\" section in the VTk.org web pages.\n\n Also see: http://astronomy.swin.edu.au/~pbourke/surfaces/\n\n\n",
  "Caveats:\n\n Care needs to be taken specifying the bounds correctly. You may need to \n carefully adjust MinimumU, MinimumV, MaximumU, MaximumV.\n\n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for creating and contributing the\n class.\n\n\n",
  NULL
};

static vtkObjectBase *vtkParametricSuperEllipsoidStaticNew()
{
  return vtkParametricSuperEllipsoid::New();
}

PyObject *PyVTKClass_vtkParametricSuperEllipsoidNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricSuperEllipsoidStaticNew,
                        PyvtkParametricSuperEllipsoidMethods,
                        (char*)"vtkParametricSuperEllipsoid",modulename,
                        (char**)vtkParametricSuperEllipsoidDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

