// python wrapper for vtkPlanes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlanes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlanesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlanesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkPlanes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  const char    *temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  vtkPlanes  *temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlanes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlanes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlanes_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double temp0[3];
  double   temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double temp0[3];
  double temp1[3];
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_SetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::SetPoints(temp0);
      }
    else
      {
      op->SetPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPlanes_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  vtkPoints  *temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_SetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::SetNormals(temp0);
      }
    else
      {
      op->SetNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPlanes_GetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  vtkDataArray  *temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::GetNormals();
      }
    else
      {
      temp20 = op->GetNormals();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_SetFrustumPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double temp0[24];
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::SetFrustumPlanes(temp0);
      }
    else
      {
      op->SetFrustumPlanes(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,24)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double temp0[6];
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlanes *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_GetNumberOfPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  int      temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::GetNumberOfPlanes();
      }
    else
      {
      temp20 = op->GetNumberOfPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanes_GetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanes *op;

  int      temp0;
  vtkPlane  *temp20;
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanes::GetPlane(temp0);
      }
    else
      {
      temp20 = op->GetPlane(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPlanes *op;

  int      temp0;
  vtkPlane  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkPlanes *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPlane");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanes::GetPlane(temp0,temp1);
      }
    else
      {
      op->GetPlane(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkPlanesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlanes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlanes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlanes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlanes\nC++: vtkPlanes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlanes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlanes\nC++: vtkPlanes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkPlanes_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkPlanes_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n"},
  {(char*)"SetPoints",                (PyCFunction)PyvtkPlanes_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: virtual void SetPoints (vtkPoints *);\n\n Specify a list of points defining points through which the planes pass.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkPlanes_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();\n\n Specify a list of points defining points through which the planes pass.\n"},
  {(char*)"SetNormals",                (PyCFunction)PyvtkPlanes_SetNormals, 1,
   (char*)"V.SetNormals(vtkDataArray)\nC++: void SetNormals (vtkDataArray *normals);\n\n Specify a list of normal vectors for the planes. There is a one-to-one\n correspondence between plane points and plane normals.\n"},
  {(char*)"GetNormals",                (PyCFunction)PyvtkPlanes_GetNormals, 1,
   (char*)"V.GetNormals() -> vtkDataArray\nC++: vtkDataArray *GetNormals ();\n\n Specify a list of normal vectors for the planes. There is a one-to-one\n correspondence between plane points and plane normals.\n"},
  {(char*)"SetFrustumPlanes",                (PyCFunction)PyvtkPlanes_SetFrustumPlanes, 1,
   (char*)"V.SetFrustumPlanes((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetFrustumPlanes (double planes[24]);\n\n An alternative method to specify six planes defined by the camera view \n frustrum. See vtkCamera::GetFrustumPlanes() documentation.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkPlanes_SetBounds, 1,
   (char*)"V.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double bounds[6]);\nV.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n An alternative method to specify six planes defined by a bounding box.\n The bounding box is a six-vector defined as (xmin,xmax,ymin,ymax,zmin,zmax).\n It defines six planes orthogonal to the x-y-z coordinate axes.\n"},
  {(char*)"GetNumberOfPlanes",                (PyCFunction)PyvtkPlanes_GetNumberOfPlanes, 1,
   (char*)"V.GetNumberOfPlanes() -> int\nC++: int GetNumberOfPlanes ();\n\n Return the number of planes in the set of planes.\n"},
  {(char*)"GetPlane",                (PyCFunction)PyvtkPlanes_GetPlane, 1,
   (char*)"V.GetPlane(int) -> vtkPlane\nC++: vtkPlane *GetPlane (int i);\nV.GetPlane(int, vtkPlane)\nC++: void GetPlane (int i, vtkPlane *plane);\n\n Create and return a pointer to a vtkPlane object at the ith\n position. Asking for a plane outside the allowable range returns NULL.\n This method always returns the same object. \n Use GetPlane(int i, vtkPlane *plane) instead\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlanesDoc[] = {
  (char*)"vtkPlanes - implicit function for convex set of planes\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkPlanes computes the implicit function and function gradient for a set\n of planes. The planes must define a convex space.\n\n The function value is the closest first order distance of a point to the\n convex region defined by the planes. The function gradient is the plane\n normal at the function value.  Note that the normals must point outside of\n the convex region. Thus, a negative function value",
  (char*)" means that a point is\n inside the convex region.\n\n There are several methods to define the set of planes. The most general is\n to supply an instance of vtkPoints and an instance of vtkDataArray. (The \n points define a point on the plane, and the normals corresponding plane \n normals.) Two other specialized ways are to 1) supply six planes defining \n the view frustrum of a camera, and 2) provide a",
  (char*)" bounding box.\n\n",
  "See Also:\n\n vtkCamera\n\n",
  NULL
};

static vtkObjectBase *vtkPlanesStaticNew()
{
  return vtkPlanes::New();
}

PyObject *PyVTKClass_vtkPlanesNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlanesStaticNew,
                        PyvtkPlanesMethods,
                        (char*)"vtkPlanes",modulename,
                        (char**)vtkPlanesDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

