// python wrapper for vtkPolynomialSolversUnivariate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolynomialSolversUnivariate.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolynomialSolversUnivariateNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolynomialSolversUnivariateNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPolynomialSolversUnivariate_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolynomialSolversUnivariate *op;

  const char    *temp20;
  op = (vtkPolynomialSolversUnivariate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolynomialSolversUnivariate::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolynomialSolversUnivariate_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolynomialSolversUnivariate *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolynomialSolversUnivariate *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolynomialSolversUnivariate::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolynomialSolversUnivariate_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolynomialSolversUnivariate *op;

  vtkPolynomialSolversUnivariate  *temp20;
  op = (vtkPolynomialSolversUnivariate *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolynomialSolversUnivariate::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolynomialSolversUnivariate_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolynomialSolversUnivariate  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolynomialSolversUnivariate::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolynomialSolversUnivariate_SetDivisionTolerance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      vtkPolynomialSolversUnivariate::SetDivisionTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolynomialSolversUnivariate_GetDivisionTolerance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkPolynomialSolversUnivariate::GetDivisionTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolynomialSolversUnivariateMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolynomialSolversUnivariate_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolynomialSolversUnivariate_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolynomialSolversUnivariate_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolynomialSolversUnivariate\nC++: vtkPolynomialSolversUnivariate *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolynomialSolversUnivariate_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolynomialSolversUnivariate\nC++: vtkPolynomialSolversUnivariate *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDivisionTolerance",                (PyCFunction)PyvtkPolynomialSolversUnivariate_SetDivisionTolerance, 1,
   (char*)"V.SetDivisionTolerance(float)\nC++: static void SetDivisionTolerance (double tol);\n\n Set/get the tolerance used when performing polynomial Euclidean division\n to find polynomial roots. This tolerance is used to decide whether the\n coefficient(s) of a polynomial remainder are close enough to\n zero to be neglected.\n"},
  {(char*)"GetDivisionTolerance",                (PyCFunction)PyvtkPolynomialSolversUnivariate_GetDivisionTolerance, 1,
   (char*)"V.GetDivisionTolerance() -> float\nC++: static double GetDivisionTolerance ();\n\n Set/get the tolerance used when performing polynomial Euclidean division\n to find polynomial roots. This tolerance is used to decide whether the\n coefficient(s) of a polynomial remainder are close enough to\n zero to be neglected.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolynomialSolversUnivariateDoc[] = {
  (char*)"vtkPolynomialSolversUnivariate - polynomial solvers\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkPolynomialSolversUnivariate provides solvers for\n univariate polynomial equations with real coefficients.\n The Tartaglia-Cardan and Ferrari solvers work on polynomials of fixed\n degree 3 and 4, respectively.\n The Lin-Bairstow and Sturm solvers work on polynomials of arbitrary\n degree. The Sturm solver is the most robust solver but only reports\n roots within an interval and does not report mult",
  (char*)"iplicities.\n The Lin-Bairstow solver reports multiplicities.\n\n For difficult polynomials, you may wish to use FilterRoots to\n eliminate some of the roots reported by the Sturm solver.\n FilterRoots evaluates the derivatives near each root to\n eliminate cases where a local minimum or maximum is close\n to zero.\n\n .SECTION Thanks\n Thanks to Philippe Pebay, Korben Rusek, and Maurice Rojas for\n implemen",
  (char*)"ting these solvers.\n\n",
  NULL
};

static vtkObjectBase *vtkPolynomialSolversUnivariateStaticNew()
{
  return vtkPolynomialSolversUnivariate::New();
}

PyObject *PyVTKClass_vtkPolynomialSolversUnivariateNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolynomialSolversUnivariateStaticNew,
                        PyvtkPolynomialSolversUnivariateMethods,
                        (char*)"vtkPolynomialSolversUnivariate",modulename,
                        (char**)vtkPolynomialSolversUnivariateDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

