// python wrapper for vtkProp object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProp.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPropNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkProp_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  const char    *temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  char    *temp0;
  int      temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkProp  *temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProp_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProp_GetVolumes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::GetVolumes(temp0);
      }
    else
      {
      op->GetVolumes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkProp_SetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::SetVisibility(temp0);
      }
    else
      {
      op->SetVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetVisibility();
      }
    else
      {
      temp20 = op->GetVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_VisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::VisibilityOn();
      }
    else
      {
      op->VisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_VisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::VisibilityOff();
      }
    else
      {
      op->VisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_SetPickable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::SetPickable(temp0);
      }
    else
      {
      op->SetPickable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetPickable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetPickable();
      }
    else
      {
      temp20 = op->GetPickable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_PickableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::PickableOn();
      }
    else
      {
      op->PickableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_PickableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::PickableOff();
      }
    else
      {
      op->PickableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::Pick();
      }
    else
      {
      op->Pick();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_SetDragable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::SetDragable(temp0);
      }
    else
      {
      op->SetDragable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetDragable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetDragable();
      }
    else
      {
      temp20 = op->GetDragable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_DragableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::DragableOn();
      }
    else
      {
      op->DragableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_DragableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::DragableOff();
      }
    else
      {
      op->DragableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetRedrawMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  unsigned long     temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetRedrawMTime();
      }
    else
      {
      temp20 = op->GetRedrawMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  double  *temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkProp_InitPathTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::InitPathTraversal();
      }
    else
      {
      op->InitPathTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetNextPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkAssemblyPath  *temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetNextPath();
      }
    else
      {
      temp20 = op->GetNextPath();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_GetNumberOfPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  int      temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetNumberOfPaths();
      }
    else
      {
      temp20 = op->GetNumberOfPaths();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp_PokeMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp::PokeMatrix(temp0);
      }
    else
      {
      op->PokeMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkProp_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp *op;

  vtkMatrix4x4  *temp20;
  op = (vtkProp *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPropMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProp_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProp_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProp_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProp\nC++: vtkProp *NewInstance ();\n\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkProp_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkProp_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"GetVolumes",                (PyCFunction)PyvtkProp_GetVolumes, 1,
   (char*)"V.GetVolumes(vtkPropCollection)\nC++: virtual void GetVolumes (vtkPropCollection *);\n\n Set/Get visibility of this vtkProp.\n"},
  {(char*)"SetVisibility",                (PyCFunction)PyvtkProp_SetVisibility, 1,
   (char*)"V.SetVisibility(int)\nC++: void SetVisibility (int );\n\n Set/Get visibility of this vtkProp.\n"},
  {(char*)"GetVisibility",                (PyCFunction)PyvtkProp_GetVisibility, 1,
   (char*)"V.GetVisibility() -> int\nC++: int GetVisibility ();\n\n Set/Get visibility of this vtkProp.\n"},
  {(char*)"VisibilityOn",                (PyCFunction)PyvtkProp_VisibilityOn, 1,
   (char*)"V.VisibilityOn()\nC++: void VisibilityOn ();\n\n Set/Get visibility of this vtkProp.\n"},
  {(char*)"VisibilityOff",                (PyCFunction)PyvtkProp_VisibilityOff, 1,
   (char*)"V.VisibilityOff()\nC++: void VisibilityOff ();\n\n Set/Get visibility of this vtkProp.\n"},
  {(char*)"SetPickable",                (PyCFunction)PyvtkProp_SetPickable, 1,
   (char*)"V.SetPickable(int)\nC++: void SetPickable (int );\n\n Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n"},
  {(char*)"GetPickable",                (PyCFunction)PyvtkProp_GetPickable, 1,
   (char*)"V.GetPickable() -> int\nC++: int GetPickable ();\n\n Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n"},
  {(char*)"PickableOn",                (PyCFunction)PyvtkProp_PickableOn, 1,
   (char*)"V.PickableOn()\nC++: void PickableOn ();\n\n Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n"},
  {(char*)"PickableOff",                (PyCFunction)PyvtkProp_PickableOff, 1,
   (char*)"V.PickableOff()\nC++: void PickableOff ();\n\n Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkProp_Pick, 1,
   (char*)"V.Pick()\nC++: virtual void Pick ();\n\n Method fires PickEvent if the prop is picked.\n"},
  {(char*)"SetDragable",                (PyCFunction)PyvtkProp_SetDragable, 1,
   (char*)"V.SetDragable(int)\nC++: void SetDragable (int );\n\n Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n"},
  {(char*)"GetDragable",                (PyCFunction)PyvtkProp_GetDragable, 1,
   (char*)"V.GetDragable() -> int\nC++: int GetDragable ();\n\n Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n"},
  {(char*)"DragableOn",                (PyCFunction)PyvtkProp_DragableOn, 1,
   (char*)"V.DragableOn()\nC++: void DragableOn ();\n\n Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n"},
  {(char*)"DragableOff",                (PyCFunction)PyvtkProp_DragableOff, 1,
   (char*)"V.DragableOff()\nC++: void DragableOff ();\n\n Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n"},
  {(char*)"GetRedrawMTime",                (PyCFunction)PyvtkProp_GetRedrawMTime, 1,
   (char*)"V.GetRedrawMTime() -> int\nC++: virtual unsigned long GetRedrawMTime ();return this GetMTime \n\n Get the bounds for this Prop as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n in world coordinates. NULL means that the bounds are not defined.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkProp_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();return NULL \n\n Shallow copy of this vtkProp.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkProp_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkProp.\n"},
  {(char*)"InitPathTraversal",                (PyCFunction)PyvtkProp_InitPathTraversal, 1,
   (char*)"V.InitPathTraversal()\nC++: virtual void InitPathTraversal ();\n\n vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers deep. (See\n vtkAssemblyPath for more information.)  To use these methods - first\n invoke InitPathTraversal() followed by repeated calls to GetNextPath().\n GetNextPath() returns a NULL pointer when the list is exhausted.\n"},
  {(char*)"GetNextPath",                (PyCFunction)PyvtkProp_GetNextPath, 1,
   (char*)"V.GetNextPath() -> vtkAssemblyPath\nC++: virtual vtkAssemblyPath *GetNextPath ();\n\n vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers deep. (See\n vtkAssemblyPath for more information.)  To use these methods - first\n invoke InitPathTraversal() followed by repeated calls to GetNextPath().\n GetNextPath() returns a NULL pointer when the list is exhausted.\n"},
  {(char*)"GetNumberOfPaths",                (PyCFunction)PyvtkProp_GetNumberOfPaths, 1,
   (char*)"V.GetNumberOfPaths() -> int\nC++: virtual int GetNumberOfPaths ();return \n\n These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n"},
  {(char*)"PokeMatrix",                (PyCFunction)PyvtkProp_PokeMatrix, 1,
   (char*)"V.PokeMatrix(vtkMatrix4x4)\nC++: virtual void PokeMatrix (vtkMatrix4x4 *);\n\n These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkProp_GetMatrix, 1,
   (char*)"V.GetMatrix() -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetMatrix ();return NULL \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPropDoc[] = {
  (char*)"vtkProp - abstract superclass for all actors, volumes and annotations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkProp is an abstract superclass for any objects that can exist in a\n rendered scene (either 2D or 3D). Instances of vtkProp may respond to\n various render methods (e.g., RenderOpaqueGeometry()). vtkProp also\n defines the API for picking, LOD manipulation, and common instance \n variables that control visibility, picking, and dragging.\n\n",
  "See Also:\n\n vtkActor2D vtkActor vtkVolume vtkProp3D\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPropNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPropMethods,
                        (char*)"vtkProp",modulename,
                        (char**)vtkPropDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

