// tcl wrapper for vtkProp object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPropCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPropCppCommand(static_cast<vtkProp *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProp",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumes",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetVolumes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPickable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPickable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PickableOn",argv[1]))&&(argc == 2))
    {
    op->PickableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PickableOff",argv[1]))&&(argc == 2))
    {
    op->PickableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pick",argv[1]))&&(argc == 2))
    {
    op->Pick();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDragable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDragable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDragable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDragable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DragableOn",argv[1]))&&(argc == 2))
    {
    op->DragableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DragableOff",argv[1]))&&(argc == 2))
    {
    op->DragableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRedrawMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetRedrawMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitPathTraversal",argv[1]))&&(argc == 2))
    {
    op->InitPathTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNextPath",argv[1]))&&(argc == 2))
    {
    vtkAssemblyPath  *temp20;
    temp20 = (op)->GetNextPath();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPaths",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPaths();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PokeMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->PokeMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPropCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProp:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPickable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPickable\n",NULL);
    Tcl_AppendResult(interp,"  PickableOn\n",NULL);
    Tcl_AppendResult(interp,"  PickableOff\n",NULL);
    Tcl_AppendResult(interp,"  Pick\n",NULL);
    Tcl_AppendResult(interp,"  SetDragable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDragable\n",NULL);
    Tcl_AppendResult(interp,"  DragableOn\n",NULL);
    Tcl_AppendResult(interp,"  DragableOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRedrawMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitPathTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetNextPath\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPaths\n",NULL);
    Tcl_AppendResult(interp,"  PokeMatrix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMatrix\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetPickable" );
    Tcl_DStringAppendElement ( &dString, "GetPickable" );
    Tcl_DStringAppendElement ( &dString, "PickableOn" );
    Tcl_DStringAppendElement ( &dString, "PickableOff" );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    Tcl_DStringAppendElement ( &dString, "SetDragable" );
    Tcl_DStringAppendElement ( &dString, "GetDragable" );
    Tcl_DStringAppendElement ( &dString, "DragableOn" );
    Tcl_DStringAppendElement ( &dString, "DragableOff" );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "InitPathTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetNextPath" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPaths" );
    Tcl_DStringAppendElement ( &dString, "PokeMatrix" );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors2D (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumes */
    if ( strcmp ( argv[2], "GetVolumes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumes */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVolumes (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetVolumes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVisibility */
    if ( strcmp ( argv[2], "SetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVisibility */
    if ( strcmp ( argv[2], "GetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOn */
    if ( strcmp ( argv[2], "VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOff */
    if ( strcmp ( argv[2], "VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickable */
    if ( strcmp ( argv[2], "SetPickable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPickable (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetPickable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickable */
    if ( strcmp ( argv[2], "GetPickable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetPickable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickableOn */
    if ( strcmp ( argv[2], "PickableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickableOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickableOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PickableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickableOff */
    if ( strcmp ( argv[2], "PickableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickableOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pickable instance variable.  This determines if the vtkProp\n can be picked (typically using the mouse). Also see dragable.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickableOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PickableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pick */
    if ( strcmp ( argv[2], "Pick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pick */
    Tcl_DStringAppendElement ( &dString, " Method fires PickEvent if the prop is picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Pick ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for Pick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDragable */
    if ( strcmp ( argv[2], "SetDragable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDragable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDragable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDragable (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for SetDragable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDragable */
    if ( strcmp ( argv[2], "GetDragable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDragable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDragable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDragable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetDragable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DragableOn */
    if ( strcmp ( argv[2], "DragableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragableOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void DragableOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for DragableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DragableOff */
    if ( strcmp ( argv[2], "DragableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DragableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DragableOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the dragable instance variable. This determines if \n an Prop, once picked, can be dragged (translated) through space.\n This is typically done through an interactive mouse interface.\n This does not affect methods such as SetPosition, which will continue\n to work.  It is just intended to prevent some vtkProp'ss from being\n dragged from within a user interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void DragableOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for DragableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRedrawMTime */
    if ( strcmp ( argv[2], "GetRedrawMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRedrawMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRedrawMTime */
    Tcl_DStringAppendElement ( &dString, " Get the bounds for this Prop as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n in world coordinates. NULL means that the bounds are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetRedrawMTime ();return this GetMTime " );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetRedrawMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds ();return NULL " );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of this vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitPathTraversal */
    if ( strcmp ( argv[2], "InitPathTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitPathTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitPathTraversal */
    Tcl_DStringAppendElement ( &dString, " vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitPathTraversal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for InitPathTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNextPath */
    if ( strcmp ( argv[2], "GetNextPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNextPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNextPath */
    Tcl_DStringAppendElement ( &dString, " vtkProp and its subclasses can be picked by subclasses of\n vtkAbstractPicker (e.g., vtkPropPicker). The following methods interface\n with the picking classes and return \"pick paths\". A pick path is a\n hierarchical, ordered list of props that form an assembly.  Most often,\n when a vtkProp is picked, its path consists of a single node (i.e., the\n prop). However, classes like vtkAssembly and vtkPropAssembly can return\n more than one path, each path being several layers ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAssemblyPath *GetNextPath ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetNextPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPaths */
    if ( strcmp ( argv[2], "GetNumberOfPaths" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPaths" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPaths */
    Tcl_DStringAppendElement ( &dString, " These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfPaths ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetNumberOfPaths */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PokeMatrix */
    if ( strcmp ( argv[2], "PokeMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PokeMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PokeMatrix */
    Tcl_DStringAppendElement ( &dString, " These methods are used by subclasses to place a matrix (if any) in the\n prop prior to rendering. Generally used only for picking. See vtkProp3D\n for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PokeMatrix (vtkMatrix4x4 *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for PokeMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMatrix */
    if ( strcmp ( argv[2], "GetMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMatrix */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMatrix4x4 *GetMatrix ();return NULL " );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    /* Closing for GetMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
