// tcl wrapper for vtkProperty2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProperty2D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkProperty2DNewCommand()
{
  vtkProperty2D *temp = vtkProperty2D::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProperty2DCppCommand(vtkProperty2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkProperty2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProperty2DCppCommand(static_cast<vtkProperty2D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProperty2DCppCommand(vtkProperty2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProperty2D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProperty2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointSize",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSizeMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointSizeMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointSize",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPointSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineWidthMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineWidthMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineWidth",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineStipplePattern",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineStipplePattern(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineStipplePattern",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStipplePattern();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineStippleRepeatFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineStippleRepeatFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineStippleRepeatFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineStippleRepeatFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineStippleRepeatFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineStippleRepeatFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayLocationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayLocationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplayLocationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayLocationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplayLocation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayLocationToBackground",argv[1]))&&(argc == 2))
    {
    op->SetDisplayLocationToBackground();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayLocationToForeground",argv[1]))&&(argc == 2))
    {
    op->SetDisplayLocationToForeground();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkProperty2DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProperty2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSize\n",NULL);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetLineStipplePattern\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStipplePattern\n",NULL);
    Tcl_AppendResult(interp,"  SetLineStippleRepeatFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLineStippleRepeatFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayLocationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayLocationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayLocationToBackground\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayLocationToForeground\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLineStipplePattern" );
    Tcl_DStringAppendElement ( &dString, "GetLineStipplePattern" );
    Tcl_DStringAppendElement ( &dString, "SetLineStippleRepeatFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactor" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocation" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocation" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocationToBackground" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocationToForeground" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a vtkProperty2D with the following default values:\n Opacity 1, Color (1,1,1)\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkProperty2D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Assign one property to another. \n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the RGB color of this property.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the RGB color of this property.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColor (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the RGB color of this property.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetColor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Opacity of this property.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacity */
    if ( strcmp ( argv[2], "SetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the Opacity of this property.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacity (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSize */
    if ( strcmp ( argv[2], "SetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointSize (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSizeMinValue */
    if ( strcmp ( argv[2], "GetPointSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSizeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetPointSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSizeMaxValue */
    if ( strcmp ( argv[2], "GetPointSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSizeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetPointSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSize */
    if ( strcmp ( argv[2], "GetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPointSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineWidth */
    if ( strcmp ( argv[2], "SetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineWidth (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidthMinValue */
    if ( strcmp ( argv[2], "GetLineWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidthMaxValue */
    if ( strcmp ( argv[2], "GetLineWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidth */
    if ( strcmp ( argv[2], "GetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLineWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineStipplePattern */
    if ( strcmp ( argv[2], "SetLineStipplePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineStipplePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineStipplePattern */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineStipplePattern (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetLineStipplePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStipplePattern */
    if ( strcmp ( argv[2], "GetLineStipplePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStipplePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStipplePattern */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStipplePattern ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineStipplePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineStippleRepeatFactor */
    if ( strcmp ( argv[2], "SetLineStippleRepeatFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineStippleRepeatFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineStippleRepeatFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineStippleRepeatFactor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetLineStippleRepeatFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactorMinValue */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineStippleRepeatFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactorMaxValue */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineStippleRepeatFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineStippleRepeatFactor */
    if ( strcmp ( argv[2], "GetLineStippleRepeatFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineStippleRepeatFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineStippleRepeatFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineStippleRepeatFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetLineStippleRepeatFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayLocation */
    if ( strcmp ( argv[2], "SetDisplayLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayLocation */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayLocation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetDisplayLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayLocationMinValue */
    if ( strcmp ( argv[2], "GetDisplayLocationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayLocationMinValue */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayLocationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetDisplayLocationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayLocationMaxValue */
    if ( strcmp ( argv[2], "GetDisplayLocationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayLocationMaxValue */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayLocationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetDisplayLocationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayLocation */
    if ( strcmp ( argv[2], "GetDisplayLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayLocation */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayLocation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for GetDisplayLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayLocationToBackground */
    if ( strcmp ( argv[2], "SetDisplayLocationToBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocationToBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayLocationToBackground */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayLocationToBackground ();this DisplayLocation VTK_BACKGROUND_LOCATION " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetDisplayLocationToBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayLocationToForeground */
    if ( strcmp ( argv[2], "SetDisplayLocationToForeground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayLocationToForeground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayLocationToForeground */
    Tcl_DStringAppendElement ( &dString, " The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayLocationToForeground ();this DisplayLocation VTK_FOREGROUND_LOCATION " );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    /* Closing for SetDisplayLocationToForeground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
