// python wrapper for vtkReferenceCount object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkReferenceCount.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkReferenceCountNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkReferenceCountNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkReferenceCount_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReferenceCount *op;

  const char    *temp20;
  op = (vtkReferenceCount *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReferenceCount::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkReferenceCount_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReferenceCount *op;

  char    *temp0;
  int      temp20;
  op = (vtkReferenceCount *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReferenceCount::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReferenceCount_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReferenceCount *op;

  vtkReferenceCount  *temp20;
  op = (vtkReferenceCount *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReferenceCount::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReferenceCount_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkReferenceCount  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkReferenceCount::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkReferenceCountMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkReferenceCount_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkReferenceCount_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkReferenceCount_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkReferenceCount\nC++: vtkReferenceCount *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkReferenceCount_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkReferenceCount\nC++: vtkReferenceCount *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkReferenceCountDoc[] = {
  (char*)"vtkReferenceCount - Obsolete / empty subclass of object.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkReferenceCount functionality has now been moved into vtkObject\n\n",
  "See Also:\n\n vtkObject\n\n",
  NULL
};

static vtkObjectBase *vtkReferenceCountStaticNew()
{
  return vtkReferenceCount::New();
}

PyObject *PyVTKClass_vtkReferenceCountNew(char *modulename)
{
  return PyVTKClass_New(&vtkReferenceCountStaticNew,
                        PyvtkReferenceCountMethods,
                        (char*)"vtkReferenceCount",modulename,
                        (char**)vtkReferenceCountDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

