// python wrapper for vtkRungeKutta45 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRungeKutta45.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRungeKutta45New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRungeKutta45New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *); }

static PyObject *PyvtkRungeKutta45_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta45 *op;

  const char    *temp20;
  op = (vtkRungeKutta45 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta45::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta45_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta45 *op;

  char    *temp0;
  int      temp20;
  op = (vtkRungeKutta45 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta45::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta45_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta45 *op;

  vtkRungeKutta45  *temp20;
  op = (vtkRungeKutta45 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta45::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta45_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRungeKutta45  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRungeKutta45::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRungeKutta45Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRungeKutta45_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRungeKutta45_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRungeKutta45_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRungeKutta45\nC++: vtkRungeKutta45 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRungeKutta45_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRungeKutta45\nC++: vtkRungeKutta45 *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRungeKutta45Doc[] = {
  (char*)"vtkRungeKutta45 - Integrate an initial value problem using 5th\n\n",
  "Super Class:\n\n vtkInitialValueProblemSolver\n\n",
  (char*)" This is a concrete sub-class of vtkInitialValueProblemSolver.\n It uses a 5th order Runge-Kutta method with stepsize control to obtain \n the values of a set of functions at the next time step. The stepsize\n is adjusted by calculating an estimated error using an embedded 4th\n order Runge-Kutta formula:\n Press, W. H. et al., 1992, Numerical Recipes in Fortran, Second\n Edition, Cambridge University P",
  (char*)"ress\n Cash, J.R. and Karp, A.H. 1990, ACM Transactions on Mathematical\n Software, vol 16, pp 201-222\n\n",
  "See Also:\n\n vtkInitialValueProblemSolver vtkRungeKutta4 vtkRungeKutta2 vtkFunctionSet\n\n",
  NULL
};

static vtkObjectBase *vtkRungeKutta45StaticNew()
{
  return vtkRungeKutta45::New();
}

PyObject *PyVTKClass_vtkRungeKutta45New(char *modulename)
{
  return PyVTKClass_New(&vtkRungeKutta45StaticNew,
                        PyvtkRungeKutta45Methods,
                        (char*)"vtkRungeKutta45",modulename,
                        (char**)vtkRungeKutta45Doc,
                        PyVTKClass_vtkInitialValueProblemSolverNew(modulename));
}

