// python wrapper for vtkRungeKutta4 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRungeKutta4.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRungeKutta4New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRungeKutta4New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *); }

static PyObject *PyvtkRungeKutta4_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta4 *op;

  const char    *temp20;
  op = (vtkRungeKutta4 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta4::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta4_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta4 *op;

  char    *temp0;
  int      temp20;
  op = (vtkRungeKutta4 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta4::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta4_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta4 *op;

  vtkRungeKutta4  *temp20;
  op = (vtkRungeKutta4 *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta4::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta4_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRungeKutta4  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRungeKutta4::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRungeKutta4Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRungeKutta4_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRungeKutta4_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRungeKutta4_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRungeKutta4\nC++: vtkRungeKutta4 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRungeKutta4_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRungeKutta4\nC++: vtkRungeKutta4 *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRungeKutta4Doc[] = {
  (char*)"vtkRungeKutta4 - Integrate an initial value problem using 4th\n\n",
  "Super Class:\n\n vtkInitialValueProblemSolver\n\n",
  (char*)" This is a concrete sub-class of vtkInitialValueProblemSolver.\n It uses a 4th order Runge-Kutta method to obtain the values of\n a set of functions at the next time step.\n\n",
  "See Also:\n\n vtkInitialValueProblemSolver vtkRungeKutta45 vtkRungeKutta2 vtkFunctionSet\n\n",
  NULL
};

static vtkObjectBase *vtkRungeKutta4StaticNew()
{
  return vtkRungeKutta4::New();
}

PyObject *PyVTKClass_vtkRungeKutta4New(char *modulename)
{
  return PyVTKClass_New(&vtkRungeKutta4StaticNew,
                        PyvtkRungeKutta4Methods,
                        (char*)"vtkRungeKutta4",modulename,
                        (char**)vtkRungeKutta4Doc,
                        PyVTKClass_vtkInitialValueProblemSolverNew(modulename));
}

