// python wrapper for vtkServerSocket object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkServerSocket.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkServerSocketNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkServerSocketNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSocketNew(char *); }

static PyObject *PyvtkServerSocket_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  const char    *temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkServerSocket_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  char    *temp0;
  int      temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkServerSocket_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  vtkServerSocket  *temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkServerSocket_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkServerSocket  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkServerSocket::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkServerSocket_CreateServer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  int      temp0;
  int      temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::CreateServer(temp0);
      }
    else
      {
      temp20 = op->CreateServer(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkServerSocket_WaitForConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  unsigned long     temp0;
  vtkClientSocket  *temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::WaitForConnection(temp0);
      }
    else
      {
      temp20 = op->WaitForConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkServerSocket_GetServerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkServerSocket *op;

  int      temp20;
  op = (vtkServerSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkServerSocket::GetServerPort();
      }
    else
      {
      temp20 = op->GetServerPort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkServerSocketMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkServerSocket_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkServerSocket_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkServerSocket_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkServerSocket\nC++: vtkServerSocket *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkServerSocket_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkServerSocket\nC++: vtkServerSocket *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateServer",                (PyCFunction)PyvtkServerSocket_CreateServer, 1,
   (char*)"V.CreateServer(int) -> int\nC++: int CreateServer (int port);\n\n Creates a server socket at a given port and binds to it.\n Returns -1 on error. 0 on success.\n"},
  {(char*)"WaitForConnection",                (PyCFunction)PyvtkServerSocket_WaitForConnection, 1,
   (char*)"V.WaitForConnection(int) -> vtkClientSocket\nC++: vtkClientSocket *WaitForConnection (unsigned long msec);\n\n Waits for a connection. When a connection is received\n a new vtkClientSocket object is created and returned.\n Returns NULL on timeout. \n"},
  {(char*)"GetServerPort",                (PyCFunction)PyvtkServerSocket_GetServerPort, 1,
   (char*)"V.GetServerPort() -> int\nC++: int GetServerPort ();\n\n Returns the port on which the server is running.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkServerSocketDoc[] = {
  (char*)"vtkServerSocket - Encapsulate a socket that accepts connections.\n\n",
  "Super Class:\n\n vtkSocket\n\n",
  (char*)"\n\n",
  NULL
};

static vtkObjectBase *vtkServerSocketStaticNew()
{
  return vtkServerSocket::New();
}

PyObject *PyVTKClass_vtkServerSocketNew(char *modulename)
{
  return PyVTKClass_New(&vtkServerSocketStaticNew,
                        PyvtkServerSocketMethods,
                        (char*)"vtkServerSocket",modulename,
                        (char**)vtkServerSocketDoc,
                        PyVTKClass_vtkSocketNew(modulename));
}

