// python wrapper for vtkShortArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShortArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShortArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShortArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkShortArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  const char    *temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  vtkShortArray  *temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShortArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShortArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShortArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  int      temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  vtkIdType   temp0;
  short    temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  vtkIdType   temp0;
  short    temp1;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"ih", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShortArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  vtkIdType   temp0;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShortArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  vtkIdType   temp0;
  short    temp1;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"ih", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShortArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShortArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShortArray *op;

  short    temp0;
  vtkIdType   temp20;
  op = (vtkShortArray *)PyArg_VTKParseTuple(self, args, (char*)"h", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShortArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShortArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShortArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShortArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShortArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShortArray\nC++: vtkShortArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShortArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShortArray\nC++: vtkShortArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkShortArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_SHORT \n\n Copy the tuple value into a user-provided array.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkShortArray_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: short GetValue (vtkIdType id);return this RealSuperclass GetValue id \n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkShortArray_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType id, short value);this RealSuperclass SetValue id value \n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkShortArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkShortArray_InsertValue, 1,
   (char*)"V.InsertValue(int, int)\nC++: void InsertValue (vtkIdType id, short f);this RealSuperclass InsertValue id f \n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkShortArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(int) -> int\nC++: vtkIdType InsertNextValue (short f);return this RealSuperclass InsertNextValue f \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShortArrayDoc[] = {
  (char*)"vtkShortArray - dynamic, self-adjusting array of short\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkShortArray is an array of values of type short.  It provides\n methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkShortArrayStaticNew()
{
  return vtkShortArray::New();
}

PyObject *PyVTKClass_vtkShortArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkShortArrayStaticNew,
                        PyvtkShortArrayMethods,
                        (char*)"vtkShortArray",modulename,
                        (char**)vtkShortArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

