// python wrapper for vtkSocketCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSocketCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSocketCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSocketCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkSocketCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  const char    *temp20;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  vtkSocketCollection  *temp20;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSocketCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSocketCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSocketCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  vtkSocket  *temp0;
  PyObject *tempH0;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSocket *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSocket");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSocketCollection_SelectSockets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  unsigned long     temp0;
  int      temp20;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCollection::SelectSockets(temp0);
      }
    else
      {
      temp20 = op->SelectSockets(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCollection_GetLastSelectedSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  vtkSocket  *temp20;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCollection::GetLastSelectedSocket();
      }
    else
      {
      temp20 = op->GetLastSelectedSocket();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCollection_ReplaceItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  int      temp0;
  vtkObject  *temp1;
  PyObject *tempH1;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCollection::ReplaceItem(temp0,temp1);
      }
    else
      {
      op->ReplaceItem(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSocketCollection_RemoveItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  int      temp0;
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCollection::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCollection::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSocketCollection_RemoveAllItems(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCollection *op;

  op = (vtkSocketCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCollection::RemoveAllItems();
      }
    else
      {
      op->RemoveAllItems();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSocketCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSocketCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSocketCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSocketCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSocketCollection\nC++: vtkSocketCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSocketCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSocketCollection\nC++: vtkSocketCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkSocketCollection_AddItem, 1,
   (char*)"V.AddItem(vtkSocket)\nC++: void AddItem (vtkSocket *soc);\n\n"},
  {(char*)"SelectSockets",                (PyCFunction)PyvtkSocketCollection_SelectSockets, 1,
   (char*)"V.SelectSockets(int) -> int\nC++: int SelectSockets (unsigned long msec);\n\n Select all Connected sockets in the collection. If msec is specified,\n it timesout after msec milliseconds on inactivity. \n Returns 0 on timeout, -1 on error; 1 is a socket was selected.\n The selected socket can be retrieved by GetLastSelectedSocket().\n"},
  {(char*)"GetLastSelectedSocket",                (PyCFunction)PyvtkSocketCollection_GetLastSelectedSocket, 1,
   (char*)"V.GetLastSelectedSocket() -> vtkSocket\nC++: vtkSocket *GetLastSelectedSocket ();return this SelectedSocket \n\n Overridden to unset SelectedSocket.\n"},
  {(char*)"ReplaceItem",                (PyCFunction)PyvtkSocketCollection_ReplaceItem, 1,
   (char*)"V.ReplaceItem(int, vtkObject)\nC++: void ReplaceItem (int i, vtkObject *);\n\n Overridden to unset SelectedSocket.\n"},
  {(char*)"RemoveItem",                (PyCFunction)PyvtkSocketCollection_RemoveItem, 1,
   (char*)"V.RemoveItem(int)\nC++: void RemoveItem (int i);\nV.RemoveItem(vtkObject)\nC++: void RemoveItem (vtkObject *);\n\n Overridden to unset SelectedSocket.\n"},
  {(char*)"RemoveAllItems",                (PyCFunction)PyvtkSocketCollection_RemoveAllItems, 1,
   (char*)"V.RemoveAllItems()\nC++: void RemoveAllItems ();\n\n Overridden to unset SelectedSocket.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSocketCollectionDoc[] = {
  (char*)"vtkSocketCollection -  a collection for sockets.\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" Apart from being vtkCollection subclass for sockets, this class\n provides means to wait for activity on all the sockets in the\n collection simultaneously.\n\n",
  NULL
};

static vtkObjectBase *vtkSocketCollectionStaticNew()
{
  return vtkSocketCollection::New();
}

PyObject *PyVTKClass_vtkSocketCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkSocketCollectionStaticNew,
                        PyvtkSocketCollectionMethods,
                        (char*)"vtkSocketCollection",modulename,
                        (char**)vtkSocketCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

