// python wrapper for vtkSocket object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSocket.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSocketNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSocketNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSocket_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  const char    *temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  char    *temp0;
  int      temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  vtkSocket  *temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_GetConnected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  int      temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::GetConnected();
      }
    else
      {
      temp20 = op->GetConnected();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_CloseSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocket::CloseSocket();
      }
    else
      {
      op->CloseSocket();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  void    *temp0;
  int      size0;
  int      temp1;
  int      temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"s#i", &temp0, &size0, &temp1);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Send in vtkSocket was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Send in vtkSocket was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::Send(temp0,temp1);
      }
    else
      {
      temp20 = op->Send(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocket_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocket *op;

  void    *temp0;
  int      size0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkSocket *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Receive in vtkSocket was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Receive in vtkSocket was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocket::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSocketMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSocket_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSocket_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSocket_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSocket\nC++: vtkSocket *NewInstance ();\n\n"},
  {(char*)"GetConnected",                (PyCFunction)PyvtkSocket_GetConnected, 1,
   (char*)"V.GetConnected() -> int\nC++: int GetConnected ();return this SocketDescriptor \n\n Close the socket.\n"},
  {(char*)"CloseSocket",                (PyCFunction)PyvtkSocket_CloseSocket, 1,
   (char*)"V.CloseSocket()\nC++: void CloseSocket ();this CloseSocket this SocketDescriptor \n\n These methods send data over the socket.\n Returns 1 on success, 0 on error and raises vtkCommand::ErrorEvent.\n"},
  {(char*)"Send",                (PyCFunction)PyvtkSocket_Send, 1,
   (char*)"V.Send(string, int) -> int\nC++: int Send (const void *data, int length);\n\n These methods send data over the socket.\n Returns 1 on success, 0 on error and raises vtkCommand::ErrorEvent.\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkSocket_Receive, 1,
   (char*)"V.Receive(string, int, int) -> int\nC++: int Receive (void *data, int length, int readFully);\n\n Receive data from the socket.\n This call blocks until some data is read from the socket.\n When readFully is set, this call will block until all the\n requested data is read from the socket.\n 0 on error, else number of bytes read is returned. On error,\n vtkCommand::ErrorEvent is raised.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSocketDoc[] = {
  (char*)"vtkSocket - BSD socket encapsulation.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This abstract class encapsulates a BSD socket. It provides an API for  \n basic socket operations.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSocketNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSocketMethods,
                        (char*)"vtkSocket",modulename,
                        (char**)vtkSocketDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

