// python wrapper for vtkSortDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSortDataArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSortDataArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSortDataArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSortDataArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortDataArray *op;

  const char    *temp20;
  op = (vtkSortDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortDataArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSortDataArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortDataArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkSortDataArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortDataArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortDataArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSortDataArray *op;

  vtkSortDataArray  *temp20;
  op = (vtkSortDataArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSortDataArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSortDataArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSortDataArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSortDataArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSortDataArray_Sort(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      vtkSortDataArray::Sort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      vtkSortDataArray::Sort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break7;
      {
      vtkSortDataArray::Sort(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
      {
      vtkSortDataArray::Sort(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break9;
      {
      vtkSortDataArray::Sort(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break10;
      {
      vtkSortDataArray::Sort(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSortDataArray_SortArrayByComponent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
      {
      vtkSortDataArray::SortArrayByComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkSortDataArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSortDataArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSortDataArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSortDataArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSortDataArray\nC++: vtkSortDataArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSortDataArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSortDataArray\nC++: vtkSortDataArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Sort",                (PyCFunction)PyvtkSortDataArray_Sort, 1,
   (char*)"V.Sort(vtkIdList)\nC++: static void Sort (vtkIdList *keys);\nV.Sort(vtkAbstractArray)\nC++: static void Sort (vtkAbstractArray *keys);\nV.Sort(vtkIdList, vtkIdList)\nC++: static void Sort (vtkIdList *keys, vtkIdList *values);\nV.Sort(vtkIdList, vtkAbstractArray)\nC++: static void Sort (vtkIdList *keys, vtkAbstractArray *values);\nV.Sort(vtkAbstractArray, vtkIdList)\nC++: static void Sort (vtkAbstractArray *keys, vtkIdList *values);\nV.Sort(vtkAbstractArray, vtkAbstractArray)\nC++: static void Sort (vtkAbstractArray *keys, vtkAbstractArray *values);\n\n Sorts the given array.\n"},
  {(char*)"SortArrayByComponent",                (PyCFunction)PyvtkSortDataArray_SortArrayByComponent, 1,
   (char*)"V.SortArrayByComponent(vtkAbstractArray, int)\nC++: static void SortArrayByComponent (vtkAbstractArray *arr, int k);\n\n Sorts the given data array using the specified component as a key.\n Think of the array as a 2-D grid with each tuple representing a row.\n Tuples are swapped until the \\a k-th column of the grid is\n monotonically increasing. Where two tuples have the same value for\n the \\a k-th component, their order in the final result is unspecified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSortDataArrayDoc[] = {
  (char*)"vtkSortDataArray - Provides several methods for sorting vtk arrays.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkSortDataArrayStaticNew()
{
  return vtkSortDataArray::New();
}

PyObject *PyVTKClass_vtkSortDataArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkSortDataArrayStaticNew,
                        PyvtkSortDataArrayMethods,
                        (char*)"vtkSortDataArray",modulename,
                        (char**)vtkSortDataArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

