// python wrapper for vtkStructuredData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkStructuredData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredData *op;

  const char    *temp20;
  op = (vtkStructuredData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredData *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredData *op;

  vtkStructuredData  *temp20;
  op = (vtkStructuredData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_SetDimensions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[3];
  int    temp1[3];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iii)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkStructuredData::SetDimensions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_SetExtent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[6];
  int    temp1[6];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iiiiii)(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      temp20 = vtkStructuredData::SetExtent(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_GetDataDimension(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkStructuredData::GetDataDimension(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_GetCellPoints(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  int      temp2;
  int    temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"iOi(iii)", &temp0, &tempH1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break6;
      {
      vtkStructuredData::GetCellPoints(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkStructuredData_GetPointCells(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  int    temp2[3];
  if ((PyArg_ParseTuple(args, (char*)"iO(iii)", &temp0, &tempH1, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break7;
      {
      vtkStructuredData::GetPointCells(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkStructuredData_GetCellNeighbors(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  int    temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"iOO(iii)", &temp0, &tempH1, &tempH2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break8;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break8;
      {
      vtkStructuredData::GetCellNeighbors(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkStructuredData_ComputePointId(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[3];
  int    temp1[3];
  vtkIdType   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iii)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkStructuredData::ComputePointId(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredData_ComputeCellId(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int    temp0[3];
  int    temp1[3];
  vtkIdType   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(iii)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      temp20 = vtkStructuredData::ComputeCellId(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredData\nC++: vtkStructuredData *NewInstance ();\n\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkStructuredData_SetDimensions, 1,
   (char*)"V.SetDimensions((int, int, int), (int, int, int)) -> int\nC++: static int SetDimensions (int inDim[3], int dim[3]);\n\n Specify the dimensions of a regular, rectangular dataset. The input is\n the new dimensions (inDim) and the current dimensions (dim). The function\n returns the dimension of the dataset (0-3D). If the dimensions are\n improperly specified a -1 is returned. If the dimensions are unchanged, a\n value of 100 is returned.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkStructuredData_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int), (int, int, int, int, int, int)) -> int\nC++: static int SetExtent (int inExt[6], int ext[6]);\n\n Specify the dimensions of a regular, rectangular dataset. The input is\n the new dimensions (inDim) and the current dimensions (dim). The function\n returns the dimension of the dataset (0-3D). If the dimensions are\n improperly specified a -1 is returned. If the dimensions are unchanged, a\n value of 100 is returned.\n"},
  {(char*)"GetDataDimension",                (PyCFunction)PyvtkStructuredData_GetDataDimension, 1,
   (char*)"V.GetDataDimension(int) -> int\nC++: static int GetDataDimension (int dataDescription);\n\n Return the topological dimension of the data (e.g., 0, 1, 2, or 3D).\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkStructuredData_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList, int, (int, int, int))\nC++: static void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds, int dataDescription, int dim[3]);\n\n Get the points defining a cell. (See vtkDataSet for more info.)\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkStructuredData_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList, (int, int, int))\nC++: static void GetPointCells (vtkIdType ptId, vtkIdList *cellIds, int dim[3]);\n\n Get the cells using a point. (See vtkDataSet for more info.)\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkStructuredData_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList, (int, int, int))\nC++: static void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds, int dim[3]);\n\n Get the cells using the points ptIds, exclusive of the cell cellId.\n (See vtkDataSet for more info.)\n"},
  {(char*)"ComputePointId",                (PyCFunction)PyvtkStructuredData_ComputePointId, 1,
   (char*)"V.ComputePointId((int, int, int), (int, int, int)) -> int\nC++: static vtkIdType ComputePointId (int dim[3], int ijk[3]);return ijk static_cast vtkIdType dim ijk dim ijk \n\n Given a location in structured coordinates (i-j-k), and the dimensions\n of the structured dataset, return the cell id.\n"},
  {(char*)"ComputeCellId",                (PyCFunction)PyvtkStructuredData_ComputeCellId, 1,
   (char*)"V.ComputeCellId((int, int, int), (int, int, int)) -> int\nC++: static vtkIdType ComputeCellId (int dim[3], int ijk[3]);return ijk static_cast vtkIdType dim ijk dim ijk \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredDataDoc[] = {
  (char*)"vtkStructuredData - abstract class for topologically regular data\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkStructuredData is an abstract class that specifies an interface for\n topologically regular data. Regular data is data that can be accessed\n in rectangular fashion using an i-j-k index. A finite difference grid,\n a volume, or a pixmap are all considered regular.\n\n",
  "See Also:\n\n vtkStructuredGrid vtkUniformGrid vtkRectilinearGrid vtkRectilinearGrid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredDataNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredDataMethods,
                        (char*)"vtkStructuredData",modulename,
                        (char**)vtkStructuredDataDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

