// python wrapper for vtkTableExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTableExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }

static PyObject *PyvtkTableExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  const char    *temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  char    *temp0;
  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  vtkTableExtentTranslator  *temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTableExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTableExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp0;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableExtentTranslator::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_SetNumberOfPiecesInTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp0;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableExtentTranslator::SetNumberOfPiecesInTable(temp0);
      }
    else
      {
      op->SetNumberOfPiecesInTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_GetNumberOfPiecesInTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::GetNumberOfPiecesInTable();
      }
    else
      {
      temp20 = op->GetNumberOfPiecesInTable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_PieceToExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::PieceToExtent();
      }
    else
      {
      temp20 = op->PieceToExtent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_PieceToExtentByPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::PieceToExtentByPoints();
      }
    else
      {
      temp20 = op->PieceToExtentByPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_SetMaximumGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp0;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableExtentTranslator::SetMaximumGhostLevel(temp0);
      }
    else
      {
      op->SetMaximumGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_GetMaximumGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::GetMaximumGhostLevel();
      }
    else
      {
      temp20 = op->GetMaximumGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_SetPieceAvailable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp0;
  int      temp1;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTableExtentTranslator::SetPieceAvailable(temp0,temp1);
      }
    else
      {
      op->SetPieceAvailable(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTableExtentTranslator_GetPieceAvailable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTableExtentTranslator *op;

  int      temp0;
  int      temp20;
  op = (vtkTableExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTableExtentTranslator::GetPieceAvailable(temp0);
      }
    else
      {
      temp20 = op->GetPieceAvailable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTableExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTableExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTableExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTableExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTableExtentTranslator\nC++: vtkTableExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTableExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTableExtentTranslator\nC++: vtkTableExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkTableExtentTranslator_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int pieces);\n\n"},
  {(char*)"SetNumberOfPiecesInTable",                (PyCFunction)PyvtkTableExtentTranslator_SetNumberOfPiecesInTable, 1,
   (char*)"V.SetNumberOfPiecesInTable(int)\nC++: void SetNumberOfPiecesInTable (int pieces);\n\n Set the real number of pieces in the extent table.\n"},
  {(char*)"GetNumberOfPiecesInTable",                (PyCFunction)PyvtkTableExtentTranslator_GetNumberOfPiecesInTable, 1,
   (char*)"V.GetNumberOfPiecesInTable() -> int\nC++: int GetNumberOfPiecesInTable ();\n\n Set the real number of pieces in the extent table.\n"},
  {(char*)"PieceToExtent",                (PyCFunction)PyvtkTableExtentTranslator_PieceToExtent, 1,
   (char*)"V.PieceToExtent() -> int\nC++: int PieceToExtent ();\n\n Called to translate the current piece into an extent.  This is\n not thread safe.\n"},
  {(char*)"PieceToExtentByPoints",                (PyCFunction)PyvtkTableExtentTranslator_PieceToExtentByPoints, 1,
   (char*)"V.PieceToExtentByPoints() -> int\nC++: int PieceToExtentByPoints ();\n\n Not supported by this subclass of vtkExtentTranslator.\n"},
  {(char*)"SetMaximumGhostLevel",                (PyCFunction)PyvtkTableExtentTranslator_SetMaximumGhostLevel, 1,
   (char*)"V.SetMaximumGhostLevel(int)\nC++: void SetMaximumGhostLevel (int );\n\n Set the maximum ghost level that can be requested.  This can be\n used by a reader to make sure an extent request does not go\n outside the boundaries of the piece's file.\n"},
  {(char*)"GetMaximumGhostLevel",                (PyCFunction)PyvtkTableExtentTranslator_GetMaximumGhostLevel, 1,
   (char*)"V.GetMaximumGhostLevel() -> int\nC++: int GetMaximumGhostLevel ();\n\n Set the maximum ghost level that can be requested.  This can be\n used by a reader to make sure an extent request does not go\n outside the boundaries of the piece's file.\n"},
  {(char*)"SetPieceAvailable",                (PyCFunction)PyvtkTableExtentTranslator_SetPieceAvailable, 1,
   (char*)"V.SetPieceAvailable(int, int)\nC++: virtual void SetPieceAvailable (int piece, int available);\n\n Get/Set whether the given piece is available.  Requesting a piece\n that is not available will produce errors in the pipeline.\n"},
  {(char*)"GetPieceAvailable",                (PyCFunction)PyvtkTableExtentTranslator_GetPieceAvailable, 1,
   (char*)"V.GetPieceAvailable(int) -> int\nC++: virtual int GetPieceAvailable (int piece);\n\n Get/Set whether the given piece is available.  Requesting a piece\n that is not available will produce errors in the pipeline.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableExtentTranslatorDoc[] = {
  (char*)"vtkTableExtentTranslator - Extent translation through lookup table.\n\n",
  "Super Class:\n\n vtkExtentTranslator\n\n",
  (char*)" vtkTableExtentTranslator provides a vtkExtentTranslator that is\n programmed with a specific extent corresponding to each piece\n number.  Readers can provide this to an application to allow the\n pipeline to execute using the same piece breakdown that is provided\n in the input file.\n\n",
  NULL
};

static vtkObjectBase *vtkTableExtentTranslatorStaticNew()
{
  return vtkTableExtentTranslator::New();
}

PyObject *PyVTKClass_vtkTableExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableExtentTranslatorStaticNew,
                        PyvtkTableExtentTranslatorMethods,
                        (char*)"vtkTableExtentTranslator",modulename,
                        (char**)vtkTableExtentTranslatorDoc,
                        PyVTKClass_vtkExtentTranslatorNew(modulename));
}

