// python wrapper for vtkTypeFloat32Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTypeFloat32Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeFloat32ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeFloat32ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFloatArrayNew(char *); }

static PyObject *PyvtkTypeFloat32Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat32Array *op;

  const char    *temp20;
  op = (vtkTypeFloat32Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat32Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat32Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat32Array *op;

  char    *temp0;
  int      temp20;
  op = (vtkTypeFloat32Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat32Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat32Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat32Array *op;

  vtkTypeFloat32Array  *temp20;
  op = (vtkTypeFloat32Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat32Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat32Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeFloat32Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeFloat32Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeFloat32ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeFloat32Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeFloat32Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeFloat32Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeFloat32Array\nC++: vtkTypeFloat32Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeFloat32Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeFloat32Array\nC++: vtkTypeFloat32Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeFloat32ArrayDoc[] = {
  (char*)"vtkTypeFloat32Array - dynamic, self-adjusting array of vtkTypeFloat32\n\n",
  "Super Class:\n\n vtkFloatArray\n\n",
  (char*)" vtkTypeFloat32Array is an array of values of type vtkTypeFloat32.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeFloat32ArrayStaticNew()
{
  return vtkTypeFloat32Array::New();
}

PyObject *PyVTKClass_vtkTypeFloat32ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeFloat32ArrayStaticNew,
                        PyvtkTypeFloat32ArrayMethods,
                        (char*)"vtkTypeFloat32Array",modulename,
                        (char**)vtkTypeFloat32ArrayDoc,
                        PyVTKClass_vtkFloatArrayNew(modulename));
}

