// python wrapper for vtkTypeFloat64Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTypeFloat64Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeFloat64ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeFloat64ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDoubleArrayNew(char *); }

static PyObject *PyvtkTypeFloat64Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat64Array *op;

  const char    *temp20;
  op = (vtkTypeFloat64Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat64Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat64Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat64Array *op;

  char    *temp0;
  int      temp20;
  op = (vtkTypeFloat64Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat64Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat64Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeFloat64Array *op;

  vtkTypeFloat64Array  *temp20;
  op = (vtkTypeFloat64Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeFloat64Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeFloat64Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeFloat64Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeFloat64Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeFloat64ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeFloat64Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeFloat64Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeFloat64Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeFloat64Array\nC++: vtkTypeFloat64Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeFloat64Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeFloat64Array\nC++: vtkTypeFloat64Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeFloat64ArrayDoc[] = {
  (char*)"vtkTypeFloat64Array - dynamic, self-adjusting array of vtkTypeFloat64\n\n",
  "Super Class:\n\n vtkDoubleArray\n\n",
  (char*)" vtkTypeFloat64Array is an array of values of type vtkTypeFloat64.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeFloat64ArrayStaticNew()
{
  return vtkTypeFloat64Array::New();
}

PyObject *PyVTKClass_vtkTypeFloat64ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeFloat64ArrayStaticNew,
                        PyvtkTypeFloat64ArrayMethods,
                        (char*)"vtkTypeFloat64Array",modulename,
                        (char**)vtkTypeFloat64ArrayDoc,
                        PyVTKClass_vtkDoubleArrayNew(modulename));
}

