// python wrapper for vtkTypeUInt32Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTypeUInt32Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeUInt32ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeUInt32ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnsignedIntArrayNew(char *); }

static PyObject *PyvtkTypeUInt32Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt32Array *op;

  const char    *temp20;
  op = (vtkTypeUInt32Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt32Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt32Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt32Array *op;

  char    *temp0;
  int      temp20;
  op = (vtkTypeUInt32Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt32Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt32Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt32Array *op;

  vtkTypeUInt32Array  *temp20;
  op = (vtkTypeUInt32Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt32Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt32Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeUInt32Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeUInt32Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeUInt32ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeUInt32Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeUInt32Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeUInt32Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeUInt32Array\nC++: vtkTypeUInt32Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeUInt32Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeUInt32Array\nC++: vtkTypeUInt32Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeUInt32ArrayDoc[] = {
  (char*)"vtkTypeUInt32Array - dynamic, self-adjusting array of vtkTypeUInt32\n\n",
  "Super Class:\n\n vtkUnsignedIntArray\n\n",
  (char*)" vtkTypeUInt32Array is an array of values of type vtkTypeUInt32.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeUInt32ArrayStaticNew()
{
  return vtkTypeUInt32Array::New();
}

PyObject *PyVTKClass_vtkTypeUInt32ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeUInt32ArrayStaticNew,
                        PyvtkTypeUInt32ArrayMethods,
                        (char*)"vtkTypeUInt32Array",modulename,
                        (char**)vtkTypeUInt32ArrayDoc,
                        PyVTKClass_vtkUnsignedIntArrayNew(modulename));
}

