// python wrapper for vtkTypeUInt8Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTypeUInt8Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeUInt8ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeUInt8ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnsignedCharArrayNew(char *); }

static PyObject *PyvtkTypeUInt8Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt8Array *op;

  const char    *temp20;
  op = (vtkTypeUInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt8Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt8Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt8Array *op;

  char    *temp0;
  int      temp20;
  op = (vtkTypeUInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt8Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt8Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt8Array *op;

  vtkTypeUInt8Array  *temp20;
  op = (vtkTypeUInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt8Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt8Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeUInt8Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeUInt8Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeUInt8ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeUInt8Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeUInt8Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeUInt8Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeUInt8Array\nC++: vtkTypeUInt8Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeUInt8Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeUInt8Array\nC++: vtkTypeUInt8Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeUInt8ArrayDoc[] = {
  (char*)"vtkTypeUInt8Array - dynamic, self-adjusting array of vtkTypeUInt8\n\n",
  "Super Class:\n\n vtkUnsignedCharArray\n\n",
  (char*)" vtkTypeUInt8Array is an array of values of type vtkTypeUInt8.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeUInt8ArrayStaticNew()
{
  return vtkTypeUInt8Array::New();
}

PyObject *PyVTKClass_vtkTypeUInt8ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeUInt8ArrayStaticNew,
                        PyvtkTypeUInt8ArrayMethods,
                        (char*)"vtkTypeUInt8Array",modulename,
                        (char**)vtkTypeUInt8ArrayDoc,
                        PyVTKClass_vtkUnsignedCharArrayNew(modulename));
}

