// python wrapper for vtkUnsignedCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnsignedCharArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnsignedCharArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnsignedCharArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkUnsignedCharArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  const char    *temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  vtkUnsignedCharArray  *temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnsignedCharArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnsignedCharArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  int      temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  vtkIdType   temp0;
  unsigned char     temp1;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ib", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedCharArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  vtkIdType   temp0;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedCharArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  vtkIdType   temp0;
  unsigned char     temp1;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"ib", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedCharArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedCharArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedCharArray *op;

  unsigned char     temp0;
  vtkIdType   temp20;
  op = (vtkUnsignedCharArray *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedCharArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnsignedCharArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnsignedCharArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnsignedCharArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnsignedCharArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnsignedCharArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkUnsignedCharArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_UNSIGNED_CHAR \n\n Copy the tuple value into a user-provided array.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkUnsignedCharArray_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: unsigned char GetValue (vtkIdType id);return this RealSuperclass GetValue id \n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkUnsignedCharArray_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType id, unsigned char value);this RealSuperclass SetValue id value \n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkUnsignedCharArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkUnsignedCharArray_InsertValue, 1,
   (char*)"V.InsertValue(int, int)\nC++: void InsertValue (vtkIdType id, unsigned char f);this RealSuperclass InsertValue id f \n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkUnsignedCharArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(int) -> int\nC++: vtkIdType InsertNextValue (unsigned char f);return this RealSuperclass InsertNextValue f \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnsignedCharArrayDoc[] = {
  (char*)"vtkUnsignedCharArray - dynamic, self-adjusting array of unsigned char\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkUnsignedCharArray is an array of values of type unsigned char.\n It provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkUnsignedCharArrayStaticNew()
{
  return vtkUnsignedCharArray::New();
}

PyObject *PyVTKClass_vtkUnsignedCharArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnsignedCharArrayStaticNew,
                        PyvtkUnsignedCharArrayMethods,
                        (char*)"vtkUnsignedCharArray",modulename,
                        (char**)vtkUnsignedCharArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

