// python wrapper for vtkUnsignedLongArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnsignedLongArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnsignedLongArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnsignedLongArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkUnsignedLongArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  const char    *temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  vtkUnsignedLongArray  *temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnsignedLongArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnsignedLongArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  int      temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  vtkIdType   temp0;
  unsigned long     temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  vtkIdType   temp0;
  unsigned long     temp1;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"il", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedLongArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  vtkIdType   temp0;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedLongArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  vtkIdType   temp0;
  unsigned long     temp1;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"il", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnsignedLongArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnsignedLongArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnsignedLongArray *op;

  unsigned long     temp0;
  vtkIdType   temp20;
  op = (vtkUnsignedLongArray *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnsignedLongArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnsignedLongArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnsignedLongArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnsignedLongArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnsignedLongArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnsignedLongArray\nC++: vtkUnsignedLongArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnsignedLongArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnsignedLongArray\nC++: vtkUnsignedLongArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkUnsignedLongArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_UNSIGNED_LONG \n\n Copy the tuple value into a user-provided array.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkUnsignedLongArray_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: unsigned long GetValue (vtkIdType id);return this RealSuperclass GetValue id \n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkUnsignedLongArray_SetValue, 1,
   (char*)"V.SetValue(int, int)\nC++: void SetValue (vtkIdType id, unsigned long value);this RealSuperclass SetValue id value \n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkUnsignedLongArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkUnsignedLongArray_InsertValue, 1,
   (char*)"V.InsertValue(int, int)\nC++: void InsertValue (vtkIdType id, unsigned long f);this RealSuperclass InsertValue id f \n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkUnsignedLongArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(int) -> int\nC++: vtkIdType InsertNextValue (unsigned long f);return this RealSuperclass InsertNextValue f \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnsignedLongArrayDoc[] = {
  (char*)"vtkUnsignedLongArray - dynamic, self-adjusting array of unsigned long\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkUnsignedLongArray is an array of values of type unsigned long.\n It provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkUnsignedLongArrayStaticNew()
{
  return vtkUnsignedLongArray::New();
}

PyObject *PyVTKClass_vtkUnsignedLongArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnsignedLongArrayStaticNew,
                        PyvtkUnsignedLongArrayMethods,
                        (char*)"vtkUnsignedLongArray",modulename,
                        (char**)vtkUnsignedLongArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

