// python wrapper for vtkVariantArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVariantArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVariantArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVariantArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }

static PyObject *PyvtkVariantArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  const char    *temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkVariantArray  *temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVariantArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVariantArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVariantArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetDataTypeSize();
      }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetElementComponentSize();
      }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::SetNumberOfTuples(temp0);
      }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::SetTuple(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkVariantArray_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::InsertTuple(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkVariantArray_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::InsertNextTuple(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkVariantArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  void    *temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetVoidPointer(temp0);
      }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkVariantArray_InterpolateTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  PyObject *tempH4;
  double   temp5;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"iiOiOd", &temp0, &temp1, &tempH2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break15;
    temp4 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkAbstractArray");
    if (!temp4 && tempH4 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkVariantArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::Resize(temp0);
      }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkVariantArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkVariantArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::SetVoidArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  unsigned long     temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_IsNumeric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  int      temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::IsNumeric();
      }
    else
      {
      temp20 = op->IsNumeric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkArrayIterator  *temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp0;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_GetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  vtkIdType   temp20;
  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVariantArray::GetNumberOfValues();
      }
    else
      {
      temp20 = op->GetNumberOfValues();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_DataChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::DataChanged();
      }
    else
      {
      op->DataChanged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVariantArray_ClearLookup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVariantArray *op;

  op = (vtkVariantArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVariantArray::ClearLookup();
      }
    else
      {
      op->ClearLookup();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVariantArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVariantArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVariantArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVariantArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVariantArray\nC++: vtkVariantArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVariantArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVariantArray\nC++: vtkVariantArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkVariantArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (vtkIdType sz, vtkIdType ext);\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkVariantArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkVariantArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType ();\n\n Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkVariantArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: virtual int GetDataTypeSize ();\n\n Return the size of the underlying data type.  For a bit, 1 is\n returned.  For string 0 is returned. Arrays with variable length\n components return 0.\n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkVariantArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: virtual int GetElementComponentSize ();\n\n Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type.  For vtkStringArray, this is\n sizeof(vtkStdString::value_type), which winds up being\n sizeof(char).  \n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkVariantArray_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: virtual void SetNumberOfTuples (vtkIdType number);\n\n Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkVariantArray_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkAbstractArray)\nC++: virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkVariantArray_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkAbstractArray)\nC++: virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkVariantArray_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkAbstractArray) -> int\nC++: virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source);\n\n Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkVariantArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: virtual void *GetVoidPointer (vtkIdType id);\n\n Return a void pointer. For image pipeline interface and other \n special pointer manipulation.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkVariantArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractArray)\nC++: virtual void DeepCopy (vtkAbstractArray *da);\n\n Deep copy of data. Implementation left to subclasses, which\n should support as many type conversions as possible given the\n data type.\n"},
  {(char*)"InterpolateTuple",                (PyCFunction)PyvtkVariantArray_InterpolateTuple, 1,
   (char*)"V.InterpolateTuple(int, int, vtkAbstractArray, int, vtkAbstractArray, float)\nC++: virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t);\n\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkVariantArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze ();\n\n Resize object to just fit data requirement. Reclaims extra memory.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkVariantArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples);\n\n Resize the array while conserving the data.  Returns 1 if\n resizing succeeded and 0 otherwise.\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkVariantArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: virtual void SetVoidArray (void *arr, vtkIdType size, int save);\n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkVariantArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"IsNumeric",                (PyCFunction)PyvtkVariantArray_IsNumeric, 1,
   (char*)"V.IsNumeric() -> int\nC++: virtual int IsNumeric ();\n\n Since each item can be of a different type, we say that a variant array is not numeric.\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkVariantArray_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkArrayIterator\nC++: virtual vtkArrayIterator *NewIterator ();\n\n Subclasses must override this method and provide the right \n kind of templated vtkArrayIteratorTemplate.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkVariantArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);\n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"GetNumberOfValues",                (PyCFunction)PyvtkVariantArray_GetNumberOfValues, 1,
   (char*)"V.GetNumberOfValues() -> int\nC++: vtkIdType GetNumberOfValues ();return this MaxId \n\n Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n"},
  {(char*)"DataChanged",                (PyCFunction)PyvtkVariantArray_DataChanged, 1,
   (char*)"V.DataChanged()\nC++: virtual void DataChanged ();\n\n Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n"},
  {(char*)"ClearLookup",                (PyCFunction)PyvtkVariantArray_ClearLookup, 1,
   (char*)"V.ClearLookup()\nC++: virtual void ClearLookup ();\n\n Delete the associated fast lookup data structure on this array,\n if it exists.  The lookup will be rebuilt on the next call to a lookup\n function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVariantArrayDoc[] = {
  (char*)"vtkVariantArray - An array holding vtkVariants.\n\n",
  "Super Class:\n\n vtkAbstractArray\n\n",
  (char*)"\n .SECTION Thanks\n Thanks to Patricia Crossno, Ken Moreland, Andrew Wilson and Brian Wylie from\n Sandia National Laboratories for their help in developing this class.\n\n",
  NULL
};

static vtkObjectBase *vtkVariantArrayStaticNew()
{
  return vtkVariantArray::New();
}

PyObject *PyVTKClass_vtkVariantArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkVariantArrayStaticNew,
                        PyvtkVariantArrayMethods,
                        (char*)"vtkVariantArray",modulename,
                        (char**)vtkVariantArrayDoc,
                        PyVTKClass_vtkAbstractArrayNew(modulename));
}

