// python wrapper for vtkVersion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVersion.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVersionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVersionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVersion_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVersion *op;

  const char    *temp20;
  op = (vtkVersion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVersion::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVersion *op;

  char    *temp0;
  int      temp20;
  op = (vtkVersion *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVersion::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVersion *op;

  vtkVersion  *temp20;
  op = (vtkVersion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVersion::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVersion  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVersion::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVersion_GetVTKVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkVersion::GetVTKVersion();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_GetVTKMajorVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkVersion::GetVTKMajorVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_GetVTKMinorVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkVersion::GetVTKMinorVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_GetVTKBuildVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkVersion::GetVTKBuildVersion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVersion_GetVTKSourceVersion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkVersion::GetVTKSourceVersion();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVersionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVersion_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVersion_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVersion_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVersion\nC++: vtkVersion *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVersion_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVersion\nC++: vtkVersion *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVTKVersion",                (PyCFunction)PyvtkVersion_GetVTKVersion, 1,
   (char*)"V.GetVTKVersion() -> string\nC++: static const char *GetVTKVersion ();return VTK_VERSION \n\n Return the version of vtk this object is a part of.\n A variety of methods are included. GetVTKSourceVersion returns a string\n with an identifier which timestamps a particular source tree. \n"},
  {(char*)"GetVTKMajorVersion",                (PyCFunction)PyvtkVersion_GetVTKMajorVersion, 1,
   (char*)"V.GetVTKMajorVersion() -> int\nC++: static int GetVTKMajorVersion ();return VTK_MAJOR_VERSION \n\n Return the version of vtk this object is a part of.\n A variety of methods are included. GetVTKSourceVersion returns a string\n with an identifier which timestamps a particular source tree. \n"},
  {(char*)"GetVTKMinorVersion",                (PyCFunction)PyvtkVersion_GetVTKMinorVersion, 1,
   (char*)"V.GetVTKMinorVersion() -> int\nC++: static int GetVTKMinorVersion ();return VTK_MINOR_VERSION \n\n Return the version of vtk this object is a part of.\n A variety of methods are included. GetVTKSourceVersion returns a string\n with an identifier which timestamps a particular source tree. \n"},
  {(char*)"GetVTKBuildVersion",                (PyCFunction)PyvtkVersion_GetVTKBuildVersion, 1,
   (char*)"V.GetVTKBuildVersion() -> int\nC++: static int GetVTKBuildVersion ();return VTK_BUILD_VERSION \n\n Return the version of vtk this object is a part of.\n A variety of methods are included. GetVTKSourceVersion returns a string\n with an identifier which timestamps a particular source tree. \n"},
  {(char*)"GetVTKSourceVersion",                (PyCFunction)PyvtkVersion_GetVTKSourceVersion, 1,
   (char*)"V.GetVTKSourceVersion() -> string\nC++: static const char *GetVTKSourceVersion ();return VTK_SOURCE_VERSION \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVersionDoc[] = {
  (char*)"vtkVersion - Versioning class for vtk\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Holds methods for defining/determining the current vtk version\n (major, minor, build).\n\n\n",
  "Caveats:\n\n This file will change frequently to update the VTKSourceVersion which\n timestamps a particular source release.\n\n",
  NULL
};

static vtkObjectBase *vtkVersionStaticNew()
{
  return vtkVersion::New();
}

PyObject *PyVTKClass_vtkVersionNew(char *modulename)
{
  return PyVTKClass_New(&vtkVersionStaticNew,
                        PyvtkVersionMethods,
                        (char*)"vtkVersion",modulename,
                        (char**)vtkVersionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

