// python wrapper for vtkWarpTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWarpTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWarpTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWarpTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }

static PyObject *PyvtkWarpTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  const char    *temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  vtkWarpTransform  *temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_GetInverseFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  int      temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::GetInverseFlag();
      }
    else
      {
      temp20 = op->GetInverseFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_SetInverseTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  double   temp0;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::SetInverseTolerance(temp0);
      }
    else
      {
      op->SetInverseTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_GetInverseTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  double   temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::GetInverseTolerance();
      }
    else
      {
      temp20 = op->GetInverseTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_SetInverseIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  int      temp0;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::SetInverseIterations(temp0);
      }
    else
      {
      op->SetInverseIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_GetInverseIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  int      temp20;
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTransform::GetInverseIterations();
      }
    else
      {
      temp20 = op->GetInverseIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_TemplateTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::TemplateTransformPoint(temp0,temp1);
      }
    else
      {
      op->TemplateTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::TemplateTransformPoint(temp0,temp1);
      }
    else
      {
      op->TemplateTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTransform_TemplateTransformInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  float  temp0[3];
  float  temp1[3];
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::TemplateTransformInverse(temp0,temp1);
      }
    else
      {
      op->TemplateTransformInverse(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkWarpTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTransform::TemplateTransformInverse(temp0,temp1);
      }
    else
      {
      op->TemplateTransformInverse(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWarpTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWarpTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWarpTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWarpTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWarpTransform\nC++: vtkWarpTransform *NewInstance ();\n\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkWarpTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.  Warp transformations are usually\n inverted using an iterative technique such as Newton's method.\n The inverse transform is usually around five or six times as\n computationally expensive as the forward transform.\n"},
  {(char*)"GetInverseFlag",                (PyCFunction)PyvtkWarpTransform_GetInverseFlag, 1,
   (char*)"V.GetInverseFlag() -> int\nC++: int GetInverseFlag ();\n\n Get the inverse flag of the transformation.  This flag is\n set to zero when the transformation is first created, and\n is flipped each time Inverse() is called.\n"},
  {(char*)"SetInverseTolerance",                (PyCFunction)PyvtkWarpTransform_SetInverseTolerance, 1,
   (char*)"V.SetInverseTolerance(float)\nC++: void SetInverseTolerance (double );\n\n Set the tolerance for inverse transformation.\n The default is 0.001.\n"},
  {(char*)"GetInverseTolerance",                (PyCFunction)PyvtkWarpTransform_GetInverseTolerance, 1,
   (char*)"V.GetInverseTolerance() -> float\nC++: double GetInverseTolerance ();\n\n Set the tolerance for inverse transformation.\n The default is 0.001.\n"},
  {(char*)"SetInverseIterations",                (PyCFunction)PyvtkWarpTransform_SetInverseIterations, 1,
   (char*)"V.SetInverseIterations(int)\nC++: void SetInverseIterations (int );\n\n Set the maximum number of iterations for the inverse\n transformation.  The default is 500, but usually only \n 2 to 5 iterations are used.  The inversion method\n is fairly robust, and it should converge for nearly all smooth\n transformations that do not fold back on themselves.\n"},
  {(char*)"GetInverseIterations",                (PyCFunction)PyvtkWarpTransform_GetInverseIterations, 1,
   (char*)"V.GetInverseIterations() -> int\nC++: int GetInverseIterations ();\n\n Set the maximum number of iterations for the inverse\n transformation.  The default is 500, but usually only \n 2 to 5 iterations are used.  The inversion method\n is fairly robust, and it should converge for nearly all smooth\n transformations that do not fold back on themselves.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkWarpTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"TemplateTransformPoint",                (PyCFunction)PyvtkWarpTransform_TemplateTransformPoint, 1,
   (char*)"V.TemplateTransformPoint((float, float, float), (float, float, float))\nC++: void TemplateTransformPoint (const float in[3], float out[3]);this ForwardTransformPoint in out \nV.TemplateTransformPoint((float, float, float), (float, float, float))\nC++: void TemplateTransformPoint (const double in[3], double out[3]);this ForwardTransformPoint in out \n\n Do not use these methods.  They exists only as a work-around for\n internal templated functions (I really didn't want to make the\n Forward/Inverse methods public, is there a decent work around\n for this sort of thing?)\n"},
  {(char*)"TemplateTransformInverse",                (PyCFunction)PyvtkWarpTransform_TemplateTransformInverse, 1,
   (char*)"V.TemplateTransformInverse((float, float, float), (float, float, float))\nC++: void TemplateTransformInverse (const float in[3], float out[3]);this InverseTransformPoint in out \nV.TemplateTransformInverse((float, float, float), (float, float, float))\nC++: void TemplateTransformInverse (const double in[3], double out[3]);this InverseTransformPoint in out \n\n Do not use these methods.  They exists only as a work-around for\n internal templated functions (I really didn't want to make the\n Forward/Inverse methods public, is there a decent work around\n for this sort of thing?)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWarpTransformDoc[] = {
  (char*)"vtkWarpTransform - superclass for nonlinear geometric transformations\n\n",
  "Super Class:\n\n vtkAbstractTransform\n\n",
  (char*)" vtkWarpTransform provides a generic interface for nonlinear \n warp transformations.\n\n",
  "See Also:\n\n vtkThinPlateSplineTransform vtkGridTransform vtkGeneralTransform\n\n",
  NULL
};

PyObject *PyVTKClass_vtkWarpTransformNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkWarpTransformMethods,
                        (char*)"vtkWarpTransform",modulename,
                        (char**)vtkWarpTransformDoc,
                        PyVTKClass_vtkAbstractTransformNew(modulename));
}

