// python wrapper for vtkWindowLevelLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWindowLevelLookupTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWindowLevelLookupTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWindowLevelLookupTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLookupTableNew(char *); }

static PyObject *PyvtkWindowLevelLookupTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  const char    *temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  vtkWindowLevelLookupTable  *temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWindowLevelLookupTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWindowLevelLookupTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_Build(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::Build();
      }
    else
      {
      op->Build();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SetWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp0;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetWindow(temp0);
      }
    else
      {
      op->SetWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_GetWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetWindow();
      }
    else
      {
      temp20 = op->GetWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp0;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetLevel(temp0);
      }
    else
      {
      op->SetLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SetInverseVideo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  int      temp0;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetInverseVideo(temp0);
      }
    else
      {
      op->SetInverseVideo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_GetInverseVideo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  int      temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetInverseVideo();
      }
    else
      {
      temp20 = op->GetInverseVideo();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_InverseVideoOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::InverseVideoOn();
      }
    else
      {
      op->InverseVideoOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_InverseVideoOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::InverseVideoOff();
      }
    else
      {
      op->InverseVideoOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SetMinimumTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMinimumTableValue(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMinimumTableValue(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMinimumTableValue(temp0);
      }
    else
      {
      op->SetMinimumTableValue(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_GetMinimumTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double  *temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetMinimumTableValue();
      }
    else
      {
      temp20 = op->GetMinimumTableValue();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_SetMaximumTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMaximumTableValue(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMaximumTableValue(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMaximumTableValue(temp0);
      }
    else
      {
      op->SetMaximumTableValue(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowLevelLookupTable_GetMaximumTableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  double  *temp20;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowLevelLookupTable::GetMaximumTableValue();
      }
    else
      {
      temp20 = op->GetMaximumTableValue();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkWindowLevelLookupTable_SetMinimumColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMinimumColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMinimumColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkWindowLevelLookupTable_SetMaximumColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowLevelLookupTable *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkWindowLevelLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowLevelLookupTable::SetMaximumColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMaximumColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkWindowLevelLookupTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWindowLevelLookupTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWindowLevelLookupTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWindowLevelLookupTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWindowLevelLookupTable\nC++: vtkWindowLevelLookupTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWindowLevelLookupTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWindowLevelLookupTable\nC++: vtkWindowLevelLookupTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Build",                (PyCFunction)PyvtkWindowLevelLookupTable_Build, 1,
   (char*)"V.Build()\nC++: void Build ();\n\n Generate lookup table as a linear ramp between MinimumTableValue\n and MaximumTableValue.\n"},
  {(char*)"SetWindow",                (PyCFunction)PyvtkWindowLevelLookupTable_SetWindow, 1,
   (char*)"V.SetWindow(float)\nC++: void SetWindow (double window);if window e window e this Window window this SetTableRange this Level this Window this Level this Window \n\n Set the window for the lookup table.  The window is the difference\n between TableRange[0] and TableRange[1].\n"},
  {(char*)"GetWindow",                (PyCFunction)PyvtkWindowLevelLookupTable_GetWindow, 1,
   (char*)"V.GetWindow() -> float\nC++: double GetWindow ();\n\n Set the window for the lookup table.  The window is the difference\n between TableRange[0] and TableRange[1].\n"},
  {(char*)"SetLevel",                (PyCFunction)PyvtkWindowLevelLookupTable_SetLevel, 1,
   (char*)"V.SetLevel(float)\nC++: void SetLevel (double level);this Level level this SetTableRange this Level this Window this Level this Window \n\n Set the Level for the lookup table.  The level is the average of\n TableRange[0] and TableRange[1].\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkWindowLevelLookupTable_GetLevel, 1,
   (char*)"V.GetLevel() -> float\nC++: double GetLevel ();\n\n Set the Level for the lookup table.  The level is the average of\n TableRange[0] and TableRange[1].\n"},
  {(char*)"SetInverseVideo",                (PyCFunction)PyvtkWindowLevelLookupTable_SetInverseVideo, 1,
   (char*)"V.SetInverseVideo(int)\nC++: void SetInverseVideo (int iv);\n\n Set inverse video on or off.  You can achieve the same effect by\n switching the MinimumTableValue and the MaximumTableValue.\n"},
  {(char*)"GetInverseVideo",                (PyCFunction)PyvtkWindowLevelLookupTable_GetInverseVideo, 1,
   (char*)"V.GetInverseVideo() -> int\nC++: int GetInverseVideo ();\n\n Set inverse video on or off.  You can achieve the same effect by\n switching the MinimumTableValue and the MaximumTableValue.\n"},
  {(char*)"InverseVideoOn",                (PyCFunction)PyvtkWindowLevelLookupTable_InverseVideoOn, 1,
   (char*)"V.InverseVideoOn()\nC++: void InverseVideoOn ();\n\n Set inverse video on or off.  You can achieve the same effect by\n switching the MinimumTableValue and the MaximumTableValue.\n"},
  {(char*)"InverseVideoOff",                (PyCFunction)PyvtkWindowLevelLookupTable_InverseVideoOff, 1,
   (char*)"V.InverseVideoOff()\nC++: void InverseVideoOff ();\n\n Set inverse video on or off.  You can achieve the same effect by\n switching the MinimumTableValue and the MaximumTableValue.\n"},
  {(char*)"SetMinimumTableValue",                (PyCFunction)PyvtkWindowLevelLookupTable_SetMinimumTableValue, 1,
   (char*)"V.SetMinimumTableValue(float, float, float, float)\nC++: void SetMinimumTableValue (double , double , double , double );\nV.SetMinimumTableValue((float, float, float, float))\nC++: void SetMinimumTableValue (double  a[4]);\n\n Set the minimum table value.  All lookup table entries below the\n start of the ramp will be set to this color.  After you change\n this value, you must re-build the lookup table.\n"},
  {(char*)"GetMinimumTableValue",                (PyCFunction)PyvtkWindowLevelLookupTable_GetMinimumTableValue, 1,
   (char*)"V.GetMinimumTableValue() -> (float, float, float, float)\nC++: double  *GetMinimumTableValue ();\n\n Set the minimum table value.  All lookup table entries below the\n start of the ramp will be set to this color.  After you change\n this value, you must re-build the lookup table.\n"},
  {(char*)"SetMaximumTableValue",                (PyCFunction)PyvtkWindowLevelLookupTable_SetMaximumTableValue, 1,
   (char*)"V.SetMaximumTableValue(float, float, float, float)\nC++: void SetMaximumTableValue (double , double , double , double );\nV.SetMaximumTableValue((float, float, float, float))\nC++: void SetMaximumTableValue (double  a[4]);\n\n Set the maximum table value. All lookup table entries above the\n end of the ramp will be set to this color.  After you change\n this value, you must re-build the lookup table.\n"},
  {(char*)"GetMaximumTableValue",                (PyCFunction)PyvtkWindowLevelLookupTable_GetMaximumTableValue, 1,
   (char*)"V.GetMaximumTableValue() -> (float, float, float, float)\nC++: double  *GetMaximumTableValue ();\n\n Set the maximum table value. All lookup table entries above the\n end of the ramp will be set to this color.  After you change\n this value, you must re-build the lookup table.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetMinimumColor",                (PyCFunction)PyvtkWindowLevelLookupTable_SetMinimumColor, 1,
   (char*)"V.SetMinimumColor(int, int, int, int)\nC++: void SetMinimumColor (int r, int g, int b, int a);\n\n @deprecated For backwards compatibility: specify the color using \n integers in the range [0,255].  \n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetMaximumColor",                (PyCFunction)PyvtkWindowLevelLookupTable_SetMaximumColor, 1,
   (char*)"V.SetMaximumColor(int, int, int, int)\nC++: void SetMaximumColor (int r, int g, int b, int a);\n\n @deprecated For backwards compatibility: specify the color using \n integers in the range [0,255].  \n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWindowLevelLookupTableDoc[] = {
  (char*)"vtkWindowLevelLookupTable - map scalar values into colors or colors to scalars; generate color table\n\n",
  "Super Class:\n\n vtkLookupTable\n\n",
  (char*)" vtkWindowLevelLookupTable is an object that is used by mapper objects\n to map scalar values into rgba (red-green-blue-alpha transparency)\n color specification, or rgba into scalar values. The color table can\n be created by direct insertion of color values, or by specifying a\n window and level. Window / Level is used in medical imaging to specify\n a linear greyscale ramp. The Level is the center o",
  (char*)"f the ramp.  The\n Window is the width of the ramp.\n\n",
  "Caveats:\n\n vtkWindowLevelLookupTable is a reference counted object. Therefore, you\n should always use operator \"new\" to construct new objects. This procedure\n will avoid memory problems (see text).\n\n",
  "See Also:\n\n vtkLogLookupTable\n\n",
  NULL
};

static vtkObjectBase *vtkWindowLevelLookupTableStaticNew()
{
  return vtkWindowLevelLookupTable::New();
}

PyObject *PyVTKClass_vtkWindowLevelLookupTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkWindowLevelLookupTableStaticNew,
                        PyvtkWindowLevelLookupTableMethods,
                        (char*)"vtkWindowLevelLookupTable",modulename,
                        (char**)vtkWindowLevelLookupTableDoc,
                        PyVTKClass_vtkLookupTableNew(modulename));
}

