// python wrapper for vtkWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  const char    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  vtkWindow  *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetDisplayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp0;
  int      size0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetParentId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetGenericDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericDisplayId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetGenericWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericWindowId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetGenericParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericParentId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetGenericContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericContext();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetGenericDrawable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  void    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGenericDrawable();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetWindowInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  char    *temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetWindowInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetParentInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  char    *temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetParentInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int     *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  int      temp1;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindow *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int     *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  int      temp1;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindow *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetMapped(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetMapped(temp0);
      }
    else
      {
      op->SetMapped(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetMapped(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetMapped();
      }
    else
      {
      temp20 = op->GetMapped();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_MappedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::MappedOn();
      }
    else
      {
      op->MappedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_MappedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::MappedOff();
      }
    else
      {
      op->MappedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetErase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetErase(temp0);
      }
    else
      {
      op->SetErase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetErase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetErase();
      }
    else
      {
      temp20 = op->GetErase();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_EraseOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::EraseOn();
      }
    else
      {
      op->EraseOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_EraseOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::EraseOff();
      }
    else
      {
      op->EraseOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetDoubleBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetDoubleBuffer(temp0);
      }
    else
      {
      op->SetDoubleBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetDoubleBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetDoubleBuffer();
      }
    else
      {
      temp20 = op->GetDoubleBuffer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_DoubleBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::DoubleBufferOn();
      }
    else
      {
      op->DoubleBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_DoubleBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::DoubleBufferOff();
      }
    else
      {
      op->DoubleBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetWindowName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  char    *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetWindowName();
      }
    else
      {
      temp20 = op->GetWindowName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetWindowName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  char    *temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetWindowName(temp0);
      }
    else
      {
      op->SetWindowName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkWindow_GetDPI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetDPI();
      }
    else
      {
      temp20 = op->GetDPI();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetDPI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetDPI(temp0);
      }
    else
      {
      op->SetDPI(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetDPIMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetDPIMinValue();
      }
    else
      {
      temp20 = op->GetDPIMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetDPIMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetDPIMaxValue();
      }
    else
      {
      temp20 = op->GetDPIMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetOffScreenRendering(temp0);
      }
    else
      {
      op->SetOffScreenRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetOffScreenRendering();
      }
    else
      {
      temp20 = op->GetOffScreenRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_OffScreenRenderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::OffScreenRenderingOn();
      }
    else
      {
      op->OffScreenRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_OffScreenRenderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::OffScreenRenderingOff();
      }
    else
      {
      op->OffScreenRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_MakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::MakeCurrent();
      }
    else
      {
      op->MakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetTileScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  int      temp1;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetTileScale(temp0,temp1);
      }
    else
      {
      op->SetTileScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindow *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetTileScale(temp0);
      }
    else
      {
      op->SetTileScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindow *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetTileScale(temp0);
      }
    else
      {
      op->SetTileScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetTileScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  int     *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetTileScale();
      }
    else
      {
      temp20 = op->GetTileScale();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_SetTileViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetTileViewport(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetTileViewport(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWindow *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindow::SetTileViewport(temp0);
      }
    else
      {
      op->SetTileViewport(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindow_GetTileViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindow *op;

  double  *temp20;
  op = (vtkWindow *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindow::GetTileViewport();
      }
    else
      {
      temp20 = op->GetTileViewport();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWindow\nC++: vtkWindow *NewInstance ();\n\n"},
  {(char*)"SetDisplayId",                (PyCFunction)PyvtkWindow_SetDisplayId, 1,
   (char*)"V.SetDisplayId(string)\nC++: virtual void SetDisplayId (void *) = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"SetWindowId",                (PyCFunction)PyvtkWindow_SetWindowId, 1,
   (char*)"V.SetWindowId(string)\nC++: virtual void SetWindowId (void *) = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"SetParentId",                (PyCFunction)PyvtkWindow_SetParentId, 1,
   (char*)"V.SetParentId(string)\nC++: virtual void SetParentId (void *) = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetGenericDisplayId",                (PyCFunction)PyvtkWindow_GetGenericDisplayId, 1,
   (char*)"V.GetGenericDisplayId() -> string\nC++: virtual void *GetGenericDisplayId () = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetGenericWindowId",                (PyCFunction)PyvtkWindow_GetGenericWindowId, 1,
   (char*)"V.GetGenericWindowId() -> string\nC++: virtual void *GetGenericWindowId () = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetGenericParentId",                (PyCFunction)PyvtkWindow_GetGenericParentId, 1,
   (char*)"V.GetGenericParentId() -> string\nC++: virtual void *GetGenericParentId () = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetGenericContext",                (PyCFunction)PyvtkWindow_GetGenericContext, 1,
   (char*)"V.GetGenericContext() -> string\nC++: virtual void *GetGenericContext () = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetGenericDrawable",                (PyCFunction)PyvtkWindow_GetGenericDrawable, 1,
   (char*)"V.GetGenericDrawable() -> string\nC++: virtual void *GetGenericDrawable () = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"SetWindowInfo",                (PyCFunction)PyvtkWindow_SetWindowInfo, 1,
   (char*)"V.SetWindowInfo(string)\nC++: virtual void SetWindowInfo (char *) = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"SetParentInfo",                (PyCFunction)PyvtkWindow_SetParentInfo, 1,
   (char*)"V.SetParentInfo(string)\nC++: virtual void SetParentInfo (char *) = 0;\n\n These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkWindow_GetPosition, 1,
   (char*)"V.GetPosition() -> (int, int)\nC++: virtual int *GetPosition ();\n\n Set/Get the position in screen coordinates of the rendering window.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkWindow_SetPosition, 1,
   (char*)"V.SetPosition(int, int)\nC++: virtual void SetPosition (int , int );\nV.SetPosition((int, int))\nC++: virtual void SetPosition (int a[2]);\n\n Set/Get the position in screen coordinates of the rendering window.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkWindow_GetSize, 1,
   (char*)"V.GetSize() -> (int, int)\nC++: virtual int *GetSize ();\n\n Set/Get the size of the window in screen coordinates in pixels.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkWindow_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: virtual void SetSize (int , int );\nV.SetSize((int, int))\nC++: virtual void SetSize (int a[2]);\n\n Set/Get the size of the window in screen coordinates in pixels.\n"},
  {(char*)"SetMapped",                (PyCFunction)PyvtkWindow_SetMapped, 1,
   (char*)"V.SetMapped(int)\nC++: void SetMapped (int );\n\n Keep track of whether the rendering window has been mapped to screen.\n"},
  {(char*)"GetMapped",                (PyCFunction)PyvtkWindow_GetMapped, 1,
   (char*)"V.GetMapped() -> int\nC++: int GetMapped ();\n\n Keep track of whether the rendering window has been mapped to screen.\n"},
  {(char*)"MappedOn",                (PyCFunction)PyvtkWindow_MappedOn, 1,
   (char*)"V.MappedOn()\nC++: void MappedOn ();\n\n Keep track of whether the rendering window has been mapped to screen.\n"},
  {(char*)"MappedOff",                (PyCFunction)PyvtkWindow_MappedOff, 1,
   (char*)"V.MappedOff()\nC++: void MappedOff ();\n\n Keep track of whether the rendering window has been mapped to screen.\n"},
  {(char*)"SetErase",                (PyCFunction)PyvtkWindow_SetErase, 1,
   (char*)"V.SetErase(int)\nC++: void SetErase (int );\n\n Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n"},
  {(char*)"GetErase",                (PyCFunction)PyvtkWindow_GetErase, 1,
   (char*)"V.GetErase() -> int\nC++: int GetErase ();\n\n Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n"},
  {(char*)"EraseOn",                (PyCFunction)PyvtkWindow_EraseOn, 1,
   (char*)"V.EraseOn()\nC++: void EraseOn ();\n\n Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n"},
  {(char*)"EraseOff",                (PyCFunction)PyvtkWindow_EraseOff, 1,
   (char*)"V.EraseOff()\nC++: void EraseOff ();\n\n Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n"},
  {(char*)"SetDoubleBuffer",                (PyCFunction)PyvtkWindow_SetDoubleBuffer, 1,
   (char*)"V.SetDoubleBuffer(int)\nC++: void SetDoubleBuffer (int );\n\n Keep track of whether double buffering is on or off\n"},
  {(char*)"GetDoubleBuffer",                (PyCFunction)PyvtkWindow_GetDoubleBuffer, 1,
   (char*)"V.GetDoubleBuffer() -> int\nC++: int GetDoubleBuffer ();\n\n Keep track of whether double buffering is on or off\n"},
  {(char*)"DoubleBufferOn",                (PyCFunction)PyvtkWindow_DoubleBufferOn, 1,
   (char*)"V.DoubleBufferOn()\nC++: void DoubleBufferOn ();\n\n Keep track of whether double buffering is on or off\n"},
  {(char*)"DoubleBufferOff",                (PyCFunction)PyvtkWindow_DoubleBufferOff, 1,
   (char*)"V.DoubleBufferOff()\nC++: void DoubleBufferOff ();\n\n Keep track of whether double buffering is on or off\n"},
  {(char*)"GetWindowName",                (PyCFunction)PyvtkWindow_GetWindowName, 1,
   (char*)"V.GetWindowName() -> string\nC++: char *GetWindowName ();\n\n Get name of rendering window\n"},
  {(char*)"SetWindowName",                (PyCFunction)PyvtkWindow_SetWindowName, 1,
   (char*)"V.SetWindowName(string)\nC++: void SetWindowName (char *);\n\n Get name of rendering window\n"},
  {(char*)"Render",                (PyCFunction)PyvtkWindow_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render () = 0;\n\n Ask each viewport owned by this Window to render its image and \n synchronize this process.\n"},
  {(char*)"GetPixelData",                (PyCFunction)PyvtkWindow_GetPixelData, 1,
   (char*)"V.GetPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0;\n\n Get the pixel data of an image, transmitted as RGBRGBRGB. The\n front argument indicates if the front buffer should be used or the back \n buffer. It is the caller's responsibility to delete the resulting \n array. It is very important to realize that the memory in this array\n is organized from the bottom of the window to the top. The origin\n of the screen is in the lower left corner. The y axis increases as\n you go up the screen. So the storage of pixels is from left to right\n and from bottom to top.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n"},
  {(char*)"GetDPI",                (PyCFunction)PyvtkWindow_GetDPI, 1,
   (char*)"V.GetDPI() -> int\nC++: int GetDPI ();\n\n Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n"},
  {(char*)"SetDPI",                (PyCFunction)PyvtkWindow_SetDPI, 1,
   (char*)"V.SetDPI(int)\nC++: void SetDPI (int );\n\n Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n"},
  {(char*)"GetDPIMinValue",                (PyCFunction)PyvtkWindow_GetDPIMinValue, 1,
   (char*)"V.GetDPIMinValue() -> int\nC++: int GetDPIMinValue ();\n\n Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n"},
  {(char*)"GetDPIMaxValue",                (PyCFunction)PyvtkWindow_GetDPIMaxValue, 1,
   (char*)"V.GetDPIMaxValue() -> int\nC++: int GetDPIMaxValue ();\n\n Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n"},
  {(char*)"SetOffScreenRendering",                (PyCFunction)PyvtkWindow_SetOffScreenRendering, 1,
   (char*)"V.SetOffScreenRendering(int)\nC++: void SetOffScreenRendering (int );\n\n Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n"},
  {(char*)"GetOffScreenRendering",                (PyCFunction)PyvtkWindow_GetOffScreenRendering, 1,
   (char*)"V.GetOffScreenRendering() -> int\nC++: int GetOffScreenRendering ();\n\n Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOn",                (PyCFunction)PyvtkWindow_OffScreenRenderingOn, 1,
   (char*)"V.OffScreenRenderingOn()\nC++: void OffScreenRenderingOn ();\n\n Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n"},
  {(char*)"OffScreenRenderingOff",                (PyCFunction)PyvtkWindow_OffScreenRenderingOff, 1,
   (char*)"V.OffScreenRenderingOff()\nC++: void OffScreenRenderingOff ();\n\n Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n"},
  {(char*)"MakeCurrent",                (PyCFunction)PyvtkWindow_MakeCurrent, 1,
   (char*)"V.MakeCurrent()\nC++: virtual void MakeCurrent ();\n\n Make the window current. May be overridden in subclasses to do\n for example a glXMakeCurrent or a wglMakeCurrent.\n"},
  {(char*)"SetTileScale",                (PyCFunction)PyvtkWindow_SetTileScale, 1,
   (char*)"V.SetTileScale(int, int)\nC++: void SetTileScale (int , int );\nV.SetTileScale((int, int))\nC++: void SetTileScale (int  a[2]);\nV.SetTileScale(int)\nC++: void SetTileScale (int s);this SetTileScale s s \n\n These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n"},
  {(char*)"GetTileScale",                (PyCFunction)PyvtkWindow_GetTileScale, 1,
   (char*)"V.GetTileScale() -> (int, int)\nC++: int  *GetTileScale ();\n\n These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n"},
  {(char*)"SetTileViewport",                (PyCFunction)PyvtkWindow_SetTileViewport, 1,
   (char*)"V.SetTileViewport(float, float, float, float)\nC++: void SetTileViewport (double , double , double , double );\nV.SetTileViewport((float, float, float, float))\nC++: void SetTileViewport (double  a[4]);\n\n These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n"},
  {(char*)"GetTileViewport",                (PyCFunction)PyvtkWindow_GetTileViewport, 1,
   (char*)"V.GetTileViewport() -> (float, float, float, float)\nC++: double  *GetTileViewport ();\n\n These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWindowDoc[] = {
  (char*)"vtkWindow - window superclass for vtkRenderWindow\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkWindow is an abstract object to specify the behavior of a\n rendering window.  It contains vtkViewports.\n\n",
  "See Also:\n\n vtkRenderWindow vtkViewport\n\n",
  NULL
};

PyObject *PyVTKClass_vtkWindowNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkWindowMethods,
                        (char*)"vtkWindow",modulename,
                        (char**)vtkWindowDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

