// tcl wrapper for vtkWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindow.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWindowCppCommand(vtkWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWindowCppCommand(static_cast<vtkWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWindowCppCommand(vtkWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMapped",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMapped(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMapped",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMapped();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MappedOn",argv[1]))&&(argc == 2))
    {
    op->MappedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MappedOff",argv[1]))&&(argc == 2))
    {
    op->MappedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErase",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErase(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErase",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErase();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EraseOn",argv[1]))&&(argc == 2))
    {
    op->EraseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EraseOff",argv[1]))&&(argc == 2))
    {
    op->EraseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDoubleBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDoubleBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDoubleBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDoubleBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DoubleBufferOn",argv[1]))&&(argc == 2))
    {
    op->DoubleBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DoubleBufferOff",argv[1]))&&(argc == 2))
    {
    op->DoubleBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetWindowName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWindowName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDPI",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDPI();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDPI",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDPI(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDPIMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDPIMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDPIMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDPIMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffScreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffScreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffScreenRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffScreenRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOn",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOff",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
    {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTileScale",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTileScale(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTileScale",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTileScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTileScale",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTileScale();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTileScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTileScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTileViewport",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetTileViewport(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTileViewport",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetTileViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTileViewport",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTileViewport();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMapped\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMapped\n",NULL);
    Tcl_AppendResult(interp,"  MappedOn\n",NULL);
    Tcl_AppendResult(interp,"  MappedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetErase\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErase\n",NULL);
    Tcl_AppendResult(interp,"  EraseOn\n",NULL);
    Tcl_AppendResult(interp,"  EraseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDoubleBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDoubleBuffer\n",NULL);
    Tcl_AppendResult(interp,"  DoubleBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  DoubleBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowName\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDPI\n",NULL);
    Tcl_AppendResult(interp,"  SetDPI\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDPIMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDPIMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOffScreenRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffScreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  MakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetTileScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTileScale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTileScale\n",NULL);
    Tcl_AppendResult(interp,"  SetTileScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTileViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTileViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTileViewport\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetMapped" );
    Tcl_DStringAppendElement ( &dString, "GetMapped" );
    Tcl_DStringAppendElement ( &dString, "MappedOn" );
    Tcl_DStringAppendElement ( &dString, "MappedOff" );
    Tcl_DStringAppendElement ( &dString, "SetErase" );
    Tcl_DStringAppendElement ( &dString, "GetErase" );
    Tcl_DStringAppendElement ( &dString, "EraseOn" );
    Tcl_DStringAppendElement ( &dString, "EraseOff" );
    Tcl_DStringAppendElement ( &dString, "SetDoubleBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetDoubleBuffer" );
    Tcl_DStringAppendElement ( &dString, "DoubleBufferOn" );
    Tcl_DStringAppendElement ( &dString, "DoubleBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetWindowName" );
    Tcl_DStringAppendElement ( &dString, "SetWindowName" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetDPI" );
    Tcl_DStringAppendElement ( &dString, "SetDPI" );
    Tcl_DStringAppendElement ( &dString, "GetDPIMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDPIMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
    Tcl_DStringAppendElement ( &dString, "GetOffScreenRendering" );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOn" );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOff" );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    Tcl_DStringAppendElement ( &dString, "GetTileScale" );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    Tcl_DStringAppendElement ( &dString, "SetTileViewport" );
    Tcl_DStringAppendElement ( &dString, "SetTileViewport" );
    Tcl_DStringAppendElement ( &dString, "GetTileViewport" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowInfo */
    if ( strcmp ( argv[2], "SetWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowInfo */
    Tcl_DStringAppendElement ( &dString, " These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWindowInfo (char *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParentInfo */
    if ( strcmp ( argv[2], "SetParentInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParentInfo */
    Tcl_DStringAppendElement ( &dString, " These are window system independent methods that are used\n to help interface vtkWindow to native windowing systems.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParentInfo (char *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetParentInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position in screen coordinates of the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position in screen coordinates of the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPosition (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position in screen coordinates of the rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPosition (int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the window in screen coordinates in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize (int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMapped */
    if ( strcmp ( argv[2], "SetMapped" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMapped" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMapped */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether the rendering window has been mapped to screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMapped (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetMapped */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapped */
    if ( strcmp ( argv[2], "GetMapped" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapped" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapped */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether the rendering window has been mapped to screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMapped ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetMapped */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MappedOn */
    if ( strcmp ( argv[2], "MappedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MappedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MappedOn */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether the rendering window has been mapped to screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void MappedOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for MappedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MappedOff */
    if ( strcmp ( argv[2], "MappedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MappedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MappedOff */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether the rendering window has been mapped to screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void MappedOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for MappedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErase */
    if ( strcmp ( argv[2], "SetErase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErase */
    Tcl_DStringAppendElement ( &dString, " Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErase (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetErase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErase */
    if ( strcmp ( argv[2], "GetErase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErase */
    Tcl_DStringAppendElement ( &dString, " Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErase ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetErase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EraseOn */
    if ( strcmp ( argv[2], "EraseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EraseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EraseOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n" );
    Tcl_DStringAppendElement ( &dString, "void EraseOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for EraseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EraseOff */
    if ( strcmp ( argv[2], "EraseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EraseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EraseOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off erasing the screen between images. This allows multiple \n exposure sequences if turned on. You will need to turn double \n buffering off or make use of the SwapBuffers methods to prevent\n you from swapping buffers between exposures.\n" );
    Tcl_DStringAppendElement ( &dString, "void EraseOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for EraseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDoubleBuffer */
    if ( strcmp ( argv[2], "SetDoubleBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDoubleBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDoubleBuffer */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether double buffering is on or off\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDoubleBuffer (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetDoubleBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDoubleBuffer */
    if ( strcmp ( argv[2], "GetDoubleBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDoubleBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDoubleBuffer */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether double buffering is on or off\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDoubleBuffer ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetDoubleBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DoubleBufferOn */
    if ( strcmp ( argv[2], "DoubleBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DoubleBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DoubleBufferOn */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether double buffering is on or off\n" );
    Tcl_DStringAppendElement ( &dString, "void DoubleBufferOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for DoubleBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DoubleBufferOff */
    if ( strcmp ( argv[2], "DoubleBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DoubleBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DoubleBufferOff */
    Tcl_DStringAppendElement ( &dString, " Keep track of whether double buffering is on or off\n" );
    Tcl_DStringAppendElement ( &dString, "void DoubleBufferOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for DoubleBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowName */
    if ( strcmp ( argv[2], "GetWindowName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowName */
    Tcl_DStringAppendElement ( &dString, " Get name of rendering window\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetWindowName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetWindowName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowName */
    if ( strcmp ( argv[2], "SetWindowName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowName */
    Tcl_DStringAppendElement ( &dString, " Get name of rendering window\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetWindowName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Ask each viewport owned by this Window to render its image and \n synchronize this process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelData */
    if ( strcmp ( argv[2], "GetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelData */
    Tcl_DStringAppendElement ( &dString, " Get the pixel data of an image, transmitted as RGBRGBRGB. The\n front argument indicates if the front buffer should be used or the back \n buffer. It is the caller's responsibility to delete the resulting \n array. It is very important to realize that the memory in this array\n is organized from the bottom of the window to the top. The origin\n of the screen is in the lower left corner. The y axis increases as\n you go up the screen. So the storage of pixels is from left to ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDPI */
    if ( strcmp ( argv[2], "GetDPI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDPI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDPI */
    Tcl_DStringAppendElement ( &dString, " Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDPI ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetDPI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDPI */
    if ( strcmp ( argv[2], "SetDPI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDPI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDPI */
    Tcl_DStringAppendElement ( &dString, " Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDPI (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetDPI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDPIMinValue */
    if ( strcmp ( argv[2], "GetDPIMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDPIMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDPIMinValue */
    Tcl_DStringAppendElement ( &dString, " Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDPIMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetDPIMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDPIMaxValue */
    if ( strcmp ( argv[2], "GetDPIMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDPIMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDPIMaxValue */
    Tcl_DStringAppendElement ( &dString, " Return a best estimate to the dots per inch of the display\n device being rendered (or printed).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDPIMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetDPIMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffScreenRendering */
    if ( strcmp ( argv[2], "SetOffScreenRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffScreenRendering */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffScreenRendering (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetOffScreenRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffScreenRendering */
    if ( strcmp ( argv[2], "GetOffScreenRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffScreenRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffScreenRendering */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffScreenRendering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetOffScreenRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OffScreenRenderingOn */
    if ( strcmp ( argv[2], "OffScreenRenderingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OffScreenRenderingOn */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "void OffScreenRenderingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for OffScreenRenderingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OffScreenRenderingOff */
    if ( strcmp ( argv[2], "OffScreenRenderingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OffScreenRenderingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OffScreenRenderingOff */
    Tcl_DStringAppendElement ( &dString, " Create a window in memory instead of on the screen. This may not be\n supported for every type of window and on some windows you may need to\n invoke this prior to the first render.\n" );
    Tcl_DStringAppendElement ( &dString, "void OffScreenRenderingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for OffScreenRenderingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeCurrent */
    if ( strcmp ( argv[2], "MakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCurrent */
    Tcl_DStringAppendElement ( &dString, " Make the window current. May be overridden in subclasses to do\n for example a glXMakeCurrent or a wglMakeCurrent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeCurrent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for MakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTileScale */
    if ( strcmp ( argv[2], "SetTileScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTileScale */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTileScale (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetTileScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTileScale */
    if ( strcmp ( argv[2], "SetTileScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTileScale */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTileScale (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetTileScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTileScale */
    if ( strcmp ( argv[2], "GetTileScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTileScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTileScale */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetTileScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetTileScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTileScale */
    if ( strcmp ( argv[2], "SetTileScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTileScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTileScale */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTileScale (int s);this SetTileScale s s " );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetTileScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTileViewport */
    if ( strcmp ( argv[2], "SetTileViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTileViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTileViewport */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTileViewport (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetTileViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTileViewport */
    if ( strcmp ( argv[2], "SetTileViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTileViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTileViewport */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTileViewport (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for SetTileViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTileViewport */
    if ( strcmp ( argv[2], "GetTileViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTileViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTileViewport */
    Tcl_DStringAppendElement ( &dString, " These methods are used by vtkWindowToImageFilter to tell a VTK window\n to simulate a larger window by tiling. For 3D geometry these methods\n have no impact. It is just in handling annotation that this information\n must be available to the mappers and the coordinate calculations.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetTileViewport ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    /* Closing for GetTileViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
