// python wrapper for vtkAdjacentVertexIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAdjacentVertexIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAdjacentVertexIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAdjacentVertexIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAdjacentVertexIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  const char    *temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  vtkAdjacentVertexIterator  *temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAdjacentVertexIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAdjacentVertexIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAdjacentVertexIterator::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_GetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  vtkGraph  *temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::GetGraph();
      }
    else
      {
      temp20 = op->GetGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_GetVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  vtkIdType   temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::GetVertex();
      }
    else
      {
      temp20 = op->GetVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  vtkIdType   temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::Next();
      }
    else
      {
      temp20 = op->Next();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAdjacentVertexIterator_HasNext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAdjacentVertexIterator *op;

  bool   temp20;
  op = (vtkAdjacentVertexIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAdjacentVertexIterator::HasNext();
      }
    else
      {
      temp20 = op->HasNext();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAdjacentVertexIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAdjacentVertexIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAdjacentVertexIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAdjacentVertexIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAdjacentVertexIterator\nC++: vtkAdjacentVertexIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAdjacentVertexIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAdjacentVertexIterator\nC++: vtkAdjacentVertexIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAdjacentVertexIterator_Initialize, 1,
   (char*)"V.Initialize(vtkGraph, int)\nC++: void Initialize (vtkGraph *g, vtkIdType v);\n\n Initialize the iterator with a graph and vertex.\n"},
  {(char*)"GetGraph",                (PyCFunction)PyvtkAdjacentVertexIterator_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph ();\n\n Get the graph and vertex associated with this iterator.\n"},
  {(char*)"GetVertex",                (PyCFunction)PyvtkAdjacentVertexIterator_GetVertex, 1,
   (char*)"V.GetVertex() -> int\nC++: vtkIdType GetVertex ();\n\n Get the graph and vertex associated with this iterator.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkAdjacentVertexIterator_Next, 1,
   (char*)"V.Next() -> int\nC++: vtkIdType Next ();vtkOutEdgeType e this Current this Current return e Target \n\n Whether this iterator has more edges.\n"},
  {(char*)"HasNext",                (PyCFunction)PyvtkAdjacentVertexIterator_HasNext, 1,
   (char*)"V.HasNext() -> bool\nC++: bool HasNext ();return this Current this End \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAdjacentVertexIteratorDoc[] = {
  (char*)"vtkAdjacentVertexIterator - Iterates through adjacent vertices in a graph.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAdjacentVertexIterator iterates through all vertices adjacent to a\n vertex, i.e. the vertices which may be reached by traversing an out edge\n of the source vertex. Use graph->GetAdjacentVertices(v, it) to initialize\n the iterator.\n\n\n",
  "See Also:\n\n \n .SECTION Thanks\n \n\n",
  NULL
};

static vtkObjectBase *vtkAdjacentVertexIteratorStaticNew()
{
  return vtkAdjacentVertexIterator::New();
}

PyObject *PyVTKClass_vtkAdjacentVertexIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkAdjacentVertexIteratorStaticNew,
                        PyvtkAdjacentVertexIteratorMethods,
                        (char*)"vtkAdjacentVertexIterator",modulename,
                        (char**)vtkAdjacentVertexIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

