// python wrapper for vtkAlgorithmOutput object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAlgorithmOutput.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAlgorithmOutputNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAlgorithmOutputNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAlgorithmOutput_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  const char    *temp20;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithmOutput::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  char    *temp0;
  int      temp20;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithmOutput::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithmOutput::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAlgorithmOutput  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAlgorithmOutput::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_SetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  int      temp0;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithmOutput::SetIndex(temp0);
      }
    else
      {
      op->SetIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  int      temp20;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithmOutput::GetIndex();
      }
    else
      {
      temp20 = op->GetIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_GetProducer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  vtkAlgorithm  *temp20;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithmOutput::GetProducer();
      }
    else
      {
      temp20 = op->GetProducer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithmOutput_SetProducer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithmOutput *op;

  vtkAlgorithm  *temp0;
  PyObject *tempH0;
  op = (vtkAlgorithmOutput *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithm *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithm");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithmOutput::SetProducer(temp0);
      }
    else
      {
      op->SetProducer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkAlgorithmOutputMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAlgorithmOutput_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAlgorithmOutput_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAlgorithmOutput_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAlgorithmOutput_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetIndex",                (PyCFunction)PyvtkAlgorithmOutput_SetIndex, 1,
   (char*)"V.SetIndex(int)\nC++: void SetIndex (int index);\n\n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkAlgorithmOutput_GetIndex, 1,
   (char*)"V.GetIndex() -> int\nC++: int GetIndex ();\n\n"},
  {(char*)"GetProducer",                (PyCFunction)PyvtkAlgorithmOutput_GetProducer, 1,
   (char*)"V.GetProducer() -> vtkAlgorithm\nC++: vtkAlgorithm *GetProducer ();\n\n"},
  {(char*)"SetProducer",                (PyCFunction)PyvtkAlgorithmOutput_SetProducer, 1,
   (char*)"V.SetProducer(vtkAlgorithm)\nC++: void SetProducer (vtkAlgorithm *producer);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAlgorithmOutputDoc[] = {
  (char*)"vtkAlgorithmOutput - Proxy object to connect input/output ports.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAlgorithmOutput is a proxy object returned by the GetOutputPort\n method of vtkAlgorithm.  It may be passed to the\n SetInputConnection, AddInputConnection, or RemoveInputConnection\n methods of another vtkAlgorithm to establish a connection between\n an output and input port.  The connection is not stored in the\n proxy object: it is simply a convenience for creating or removing\n connections.\n\n",
  NULL
};

static vtkObjectBase *vtkAlgorithmOutputStaticNew()
{
  return vtkAlgorithmOutput::New();
}

PyObject *PyVTKClass_vtkAlgorithmOutputNew(char *modulename)
{
  return PyVTKClass_New(&vtkAlgorithmOutputStaticNew,
                        PyvtkAlgorithmOutputMethods,
                        (char*)"vtkAlgorithmOutput",modulename,
                        (char**)vtkAlgorithmOutputDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

