// python wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  const char    *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkAlgorithm  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAlgorithm_HasExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::HasExecutive();
      }
    else
      {
      temp20 = op->HasExecutive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkExecutive  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetExecutive();
      }
    else
      {
      temp20 = op->GetExecutive();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkExecutive  *temp0;
  PyObject *tempH0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExecutive");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetExecutive(temp0);
      }
    else
      {
      op->SetExecutive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAlgorithm_ModifyRequest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::ModifyRequest(temp0,temp1);
      }
    else
      {
      temp20 = op->ModifyRequest(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkInformation  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetInputPortInformation(temp0);
      }
    else
      {
      temp20 = op->GetInputPortInformation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetOutputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkInformation  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetOutputPortInformation(temp0);
      }
    else
      {
      temp20 = op->GetOutputPortInformation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkInformation  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetInformation();
      }
    else
      {
      temp20 = op->GetInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInformation(temp0);
      }
    else
      {
      op->SetInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetNumberOfInputPorts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetNumberOfInputPorts();
      }
    else
      {
      temp20 = op->GetNumberOfInputPorts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetNumberOfOutputPorts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetNumberOfOutputPorts();
      }
    else
      {
      temp20 = op->GetNumberOfOutputPorts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkAlgorithm_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetAbortExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetAbortExecute(temp0);
      }
    else
      {
      op->SetAbortExecute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetAbortExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetAbortExecute();
      }
    else
      {
      temp20 = op->GetAbortExecute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_AbortExecuteOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::AbortExecuteOn();
      }
    else
      {
      op->AbortExecuteOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_AbortExecuteOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::AbortExecuteOff();
      }
    else
      {
      op->AbortExecuteOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  double   temp0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetProgress(temp0);
      }
    else
      {
      op->SetProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetProgressMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  double   temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetProgressMinValue();
      }
    else
      {
      temp20 = op->GetProgressMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetProgressMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  double   temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetProgressMaxValue();
      }
    else
      {
      temp20 = op->GetProgressMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  double   temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetProgress();
      }
    else
      {
      temp20 = op->GetProgress();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_UpdateProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  double   temp0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::UpdateProgress(temp0);
      }
    else
      {
      op->UpdateProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetProgressText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  char    *temp0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetProgressText(temp0);
      }
    else
      {
      op->SetProgressText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetProgressText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  char    *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetProgressText();
      }
    else
      {
      temp20 = op->GetProgressText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetErrorCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  unsigned long     temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetErrorCode();
      }
    else
      {
      temp20 = op->GetErrorCode();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_IS_OPTIONAL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_IS_OPTIONAL();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_IS_REPEATABLE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_IS_REPEATABLE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_REQUIRED_FIELDS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_REQUIRED_FIELDS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_REQUIRED_DATA_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_REQUIRED_DATA_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_ARRAYS_TO_PROCESS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_ARRAYS_TO_PROCESS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_PORT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_PORT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_INPUT_CONNECTION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkAlgorithm::INPUT_CONNECTION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetInputArrayToProcess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char    *temp4;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iiiiz", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iiiii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputArrayToProcess(temp0,temp1);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  char    *temp4;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iiizz", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetInputArrayInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkInformation  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetInputArrayInformation(temp0);
      }
    else
      {
      temp20 = op->GetInputArrayInformation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_RemoveAllInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::RemoveAllInputs();
      }
    else
      {
      op->RemoveAllInputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetOutputDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetOutputDataObject(temp0);
      }
    else
      {
      temp20 = op->GetOutputDataObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetInputDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetInputDataObject(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputDataObject(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputConnection(temp0,temp1);
      }
    else
      {
      op->SetInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkAlgorithm_AddInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::AddInputConnection(temp0,temp1);
      }
    else
      {
      op->AddInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::AddInputConnection(temp0);
      }
    else
      {
      op->AddInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkAlgorithm_RemoveInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::RemoveInputConnection(temp0,temp1);
      }
    else
      {
      op->RemoveInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  vtkAlgorithmOutput  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetOutputPort(temp0);
      }
    else
      {
      temp20 = op->GetOutputPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkAlgorithmOutput  *temp20;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetOutputPort();
      }
    else
      {
      temp20 = op->GetOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetNumberOfInputConnections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetNumberOfInputConnections(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfInputConnections(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetTotalNumberOfInputConnections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetTotalNumberOfInputConnections();
      }
    else
      {
      temp20 = op->GetTotalNumberOfInputConnections();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetInputConnection(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputConnection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_UpdateWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::UpdateWholeExtent();
      }
    else
      {
      op->UpdateWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp0;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::SetReleaseDataFlag(temp0);
      }
    else
      {
      op->SetReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_GetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::GetReleaseDataFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_ReleaseDataFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::ReleaseDataFlagOn();
      }
    else
      {
      op->ReleaseDataFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_ReleaseDataFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAlgorithm::ReleaseDataFlagOff();
      }
    else
      {
      op->ReleaseDataFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAlgorithm_UpdateExtentIsEmpty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::UpdateExtentIsEmpty(temp0);
      }
    else
      {
      temp20 = op->UpdateExtentIsEmpty(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break60:
  /* handle an occurrence */
  {
  vtkAlgorithm *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAlgorithm::UpdateExtentIsEmpty(temp0,temp1);
      }
    else
      {
      temp20 = op->UpdateExtentIsEmpty(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkAlgorithm_SetDefaultExecutivePrototype(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExecutive");
    if (!temp0 && tempH0 != Py_None) goto break62;
      {
      vtkAlgorithm::SetDefaultExecutivePrototype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  return NULL;
}

static PyMethodDef PyvtkAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAlgorithm\nC++: vtkAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAlgorithm\nC++: vtkAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"HasExecutive",                (PyCFunction)PyvtkAlgorithm_HasExecutive, 1,
   (char*)"V.HasExecutive() -> int\nC++: int HasExecutive ();\n\n Check whether this algorithm has an assigned executive.  This\n will NOT create a default executive.\n"},
  {(char*)"GetExecutive",                (PyCFunction)PyvtkAlgorithm_GetExecutive, 1,
   (char*)"V.GetExecutive() -> vtkExecutive\nC++: vtkExecutive *GetExecutive ();\n\n Get this algorithm's executive.  If it has none, a default\n executive will be created.\n"},
  {(char*)"SetExecutive",                (PyCFunction)PyvtkAlgorithm_SetExecutive, 1,
   (char*)"V.SetExecutive(vtkExecutive)\nC++: virtual void SetExecutive (vtkExecutive *executive);\n\n Set this algorithm's executive.  This algorithm is removed from\n any executive to which it has previously been assigned and then\n assigned to the given executive.\n"},
  {(char*)"ModifyRequest",                (PyCFunction)PyvtkAlgorithm_ModifyRequest, 1,
   (char*)"V.ModifyRequest(vtkInformation, int) -> int\nC++: virtual int ModifyRequest (vtkInformation *request, int when);\n\n This method gives the algorithm a chance to modify the contents of a\n request before or after (specified in the when argument) it is\n forwarded. The default implementation is empty. Returns 1 on success,\n 0 on failure. When can be either vtkExecutive::BeforeForward or\n vtkExecutive::AfterForward.\n"},
  {(char*)"GetInputPortInformation",                (PyCFunction)PyvtkAlgorithm_GetInputPortInformation, 1,
   (char*)"V.GetInputPortInformation(int) -> vtkInformation\nC++: vtkInformation *GetInputPortInformation (int port);\n\n Get the information object associated with an input port.  There\n is one input port per kind of input to the algorithm.  Each input\n port tells executives what kind of data and downstream requests\n this algorithm can handle for that input.\n"},
  {(char*)"GetOutputPortInformation",                (PyCFunction)PyvtkAlgorithm_GetOutputPortInformation, 1,
   (char*)"V.GetOutputPortInformation(int) -> vtkInformation\nC++: vtkInformation *GetOutputPortInformation (int port);\n\n Get the information object associated with an output port.  There\n is one output port per output from the algorithm.  Each output\n port tells executives what kind of upstream requests this\n algorithm can handle for that output.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkAlgorithm_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkInformation\nC++: vtkInformation *GetInformation ();\n\n Set/Get the information object associated with this algorithm.\n"},
  {(char*)"SetInformation",                (PyCFunction)PyvtkAlgorithm_SetInformation, 1,
   (char*)"V.SetInformation(vtkInformation)\nC++: virtual void SetInformation (vtkInformation *);\n\n Set/Get the information object associated with this algorithm.\n"},
  {(char*)"GetNumberOfInputPorts",                (PyCFunction)PyvtkAlgorithm_GetNumberOfInputPorts, 1,
   (char*)"V.GetNumberOfInputPorts() -> int\nC++: int GetNumberOfInputPorts ();\n\n Get the number of input ports used by the algorithm.\n"},
  {(char*)"GetNumberOfOutputPorts",                (PyCFunction)PyvtkAlgorithm_GetNumberOfOutputPorts, 1,
   (char*)"V.GetNumberOfOutputPorts() -> int\nC++: int GetNumberOfOutputPorts ();\n\n Get the number of output ports provided by the algorithm.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkAlgorithm_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkAlgorithm_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"SetAbortExecute",                (PyCFunction)PyvtkAlgorithm_SetAbortExecute, 1,
   (char*)"V.SetAbortExecute(int)\nC++: void SetAbortExecute (int );\n\n Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n"},
  {(char*)"GetAbortExecute",                (PyCFunction)PyvtkAlgorithm_GetAbortExecute, 1,
   (char*)"V.GetAbortExecute() -> int\nC++: int GetAbortExecute ();\n\n Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n"},
  {(char*)"AbortExecuteOn",                (PyCFunction)PyvtkAlgorithm_AbortExecuteOn, 1,
   (char*)"V.AbortExecuteOn()\nC++: void AbortExecuteOn ();\n\n Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n"},
  {(char*)"AbortExecuteOff",                (PyCFunction)PyvtkAlgorithm_AbortExecuteOff, 1,
   (char*)"V.AbortExecuteOff()\nC++: void AbortExecuteOff ();\n\n Set/Get the AbortExecute flag for the process object. Process objects\n may handle premature termination of execution in different ways.\n"},
  {(char*)"SetProgress",                (PyCFunction)PyvtkAlgorithm_SetProgress, 1,
   (char*)"V.SetProgress(float)\nC++: void SetProgress (double );\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgressMinValue",                (PyCFunction)PyvtkAlgorithm_GetProgressMinValue, 1,
   (char*)"V.GetProgressMinValue() -> float\nC++: double GetProgressMinValue ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgressMaxValue",                (PyCFunction)PyvtkAlgorithm_GetProgressMaxValue, 1,
   (char*)"V.GetProgressMaxValue() -> float\nC++: double GetProgressMaxValue ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"GetProgress",                (PyCFunction)PyvtkAlgorithm_GetProgress, 1,
   (char*)"V.GetProgress() -> float\nC++: double GetProgress ();\n\n Set/Get the execution progress of a process object.\n"},
  {(char*)"UpdateProgress",                (PyCFunction)PyvtkAlgorithm_UpdateProgress, 1,
   (char*)"V.UpdateProgress(float)\nC++: void UpdateProgress (double amount);\n\n Update the progress of the process object. If a ProgressMethod exists,\n executes it.  Then set the Progress ivar to amount. The parameter amount\n should range between (0,1).\n"},
  {(char*)"SetProgressText",                (PyCFunction)PyvtkAlgorithm_SetProgressText, 1,
   (char*)"V.SetProgressText(string)\nC++: void SetProgressText (const char *ptext);\n\n Set the current text message associated with the progress state.\n This may be used by a calling process/GUI.\n Note: Because SetProgressText() is called from inside RequestData()\n it does not modify the algorithm object. Algorithms are not \n allowed to modify themselves from inside RequestData().\n"},
  {(char*)"GetProgressText",                (PyCFunction)PyvtkAlgorithm_GetProgressText, 1,
   (char*)"V.GetProgressText() -> string\nC++: char *GetProgressText ();\n\n Set the current text message associated with the progress state.\n This may be used by a calling process/GUI.\n Note: Because SetProgressText() is called from inside RequestData()\n it does not modify the algorithm object. Algorithms are not \n allowed to modify themselves from inside RequestData().\n"},
  {(char*)"GetErrorCode",                (PyCFunction)PyvtkAlgorithm_GetErrorCode, 1,
   (char*)"V.GetErrorCode() -> int\nC++: long unsigned GetErrorCode ();\n\n The error code contains a possible error that occured while\n reading or writing the file.\n"},
  {(char*)"INPUT_IS_OPTIONAL",                (PyCFunction)PyvtkAlgorithm_INPUT_IS_OPTIONAL, 1,
   (char*)"V.INPUT_IS_OPTIONAL() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INPUT_IS_OPTIONAL ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_IS_REPEATABLE",                (PyCFunction)PyvtkAlgorithm_INPUT_IS_REPEATABLE, 1,
   (char*)"V.INPUT_IS_REPEATABLE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INPUT_IS_REPEATABLE ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_REQUIRED_FIELDS",                (PyCFunction)PyvtkAlgorithm_INPUT_REQUIRED_FIELDS, 1,
   (char*)"V.INPUT_REQUIRED_FIELDS() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *INPUT_REQUIRED_FIELDS ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_REQUIRED_DATA_TYPE",                (PyCFunction)PyvtkAlgorithm_INPUT_REQUIRED_DATA_TYPE, 1,
   (char*)"V.INPUT_REQUIRED_DATA_TYPE() -> vtkInformationStringVectorKey\nC++: static vtkInformationStringVectorKey *INPUT_REQUIRED_DATA_TYPE ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_ARRAYS_TO_PROCESS",                (PyCFunction)PyvtkAlgorithm_INPUT_ARRAYS_TO_PROCESS, 1,
   (char*)"V.INPUT_ARRAYS_TO_PROCESS() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *INPUT_ARRAYS_TO_PROCESS ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_PORT",                (PyCFunction)PyvtkAlgorithm_INPUT_PORT, 1,
   (char*)"V.INPUT_PORT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INPUT_PORT ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"INPUT_CONNECTION",                (PyCFunction)PyvtkAlgorithm_INPUT_CONNECTION, 1,
   (char*)"V.INPUT_CONNECTION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INPUT_CONNECTION ();\n\n Keys used to specify input port requirements.\n"},
  {(char*)"SetInputArrayToProcess",                (PyCFunction)PyvtkAlgorithm_SetInputArrayToProcess, 1,
   (char*)"V.SetInputArrayToProcess(int, int, int, int, string)\nC++: void SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name);\nV.SetInputArrayToProcess(int, int, int, int, int)\nC++: void SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType);\nV.SetInputArrayToProcess(int, vtkInformation)\nC++: void SetInputArrayToProcess (int idx, vtkInformation *info);\nV.SetInputArrayToProcess(int, int, int, string, string)\nC++: void SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName);\n\n Set the input data arrays that this algorithm will\n process. Specifically the idx array that this algorithm will process\n (starting from 0) is the array on port, connection with the specified\n association and name or attribute type (such as SCALARS). The\n fieldAssociation refers to which field in the data object the array is\n stored. See vtkDataObject::FieldAssociations for detail.\n"},
  {(char*)"GetInputArrayInformation",                (PyCFunction)PyvtkAlgorithm_GetInputArrayInformation, 1,
   (char*)"V.GetInputArrayInformation(int) -> vtkInformation\nC++: vtkInformation *GetInputArrayInformation (int idx);\n\n Get the info object for the specified input array to this algorithm\n"},
  {(char*)"RemoveAllInputs",                (PyCFunction)PyvtkAlgorithm_RemoveAllInputs, 1,
   (char*)"V.RemoveAllInputs()\nC++: void RemoveAllInputs ();\n\n Remove all the input data.\n"},
  {(char*)"GetOutputDataObject",                (PyCFunction)PyvtkAlgorithm_GetOutputDataObject, 1,
   (char*)"V.GetOutputDataObject(int) -> vtkDataObject\nC++: vtkDataObject *GetOutputDataObject (int port);\n\n Get the data object that will contain the algorithm output for\n the given port.\n"},
  {(char*)"GetInputDataObject",                (PyCFunction)PyvtkAlgorithm_GetInputDataObject, 1,
   (char*)"V.GetInputDataObject(int, int) -> vtkDataObject\nC++: vtkDataObject *GetInputDataObject (int port, int connection);\n\n Get the data object that will contain the algorithm input for the given\n port and given connection.\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkAlgorithm_SetInputConnection, 1,
   (char*)"V.SetInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (int port, vtkAlgorithmOutput *input);\nV.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *input);\n\n Set the connection for the given input port index.  Each input\n port of a filter has a specific purpose.  A port may have zero or\n more connections and the required number is specified by each\n filter.  Setting the connection with this method removes all\n other connections from the port.  To add more than one connection\n use AddInputConnection().\n\n The input for the connection is the output port of another\n filter, which is obtained with GetOutputPort().  Typical usage is\n\n   filter2->SetInputConnection(0, filter1->GetOutputPort(0)).\n"},
  {(char*)"AddInputConnection",                (PyCFunction)PyvtkAlgorithm_AddInputConnection, 1,
   (char*)"V.AddInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void AddInputConnection (int port, vtkAlgorithmOutput *input);\nV.AddInputConnection(vtkAlgorithmOutput)\nC++: virtual void AddInputConnection (vtkAlgorithmOutput *input);\n\n Add a connection to the given input port index.  See\n SetInputConnection() for details on input connections.  This\n method is the complement to RemoveInputConnection() in that it\n adds only the connection specified without affecting other\n connections.  Typical usage is\n\n   filter2->AddInputConnection(0, filter1->GetOutputPort(0)).\n"},
  {(char*)"RemoveInputConnection",                (PyCFunction)PyvtkAlgorithm_RemoveInputConnection, 1,
   (char*)"V.RemoveInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void RemoveInputConnection (int port, vtkAlgorithmOutput *input);\n\n Remove a connection from the given input port index.  See\n SetInputConnection() for details on input connection.  This\n method is the complement to AddInputConnection() in that it\n removes only the connection specified without affecting other\n connections.  Typical usage is\n\n   filter2->RemoveInputConnection(0, filter1->GetOutputPort(0)).\n"},
  {(char*)"GetOutputPort",                (PyCFunction)PyvtkAlgorithm_GetOutputPort, 1,
   (char*)"V.GetOutputPort(int) -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetOutputPort (int index);\nV.GetOutputPort() -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetOutputPort ();return this GetOutputPort \n\n Get a proxy object corresponding to the given output port of this\n algorithm.  The proxy object can be passed to another algorithm's\n SetInputConnection(), AddInputConnection(), and\n RemoveInputConnection() methods to modify pipeline connectivity.\n"},
  {(char*)"GetNumberOfInputConnections",                (PyCFunction)PyvtkAlgorithm_GetNumberOfInputConnections, 1,
   (char*)"V.GetNumberOfInputConnections(int) -> int\nC++: int GetNumberOfInputConnections (int port);\n\n Get the number of inputs currently connected to a port.\n"},
  {(char*)"GetTotalNumberOfInputConnections",                (PyCFunction)PyvtkAlgorithm_GetTotalNumberOfInputConnections, 1,
   (char*)"V.GetTotalNumberOfInputConnections() -> int\nC++: int GetTotalNumberOfInputConnections ();\n\n Get the total number of inputs for this algorithm\n"},
  {(char*)"GetInputConnection",                (PyCFunction)PyvtkAlgorithm_GetInputConnection, 1,
   (char*)"V.GetInputConnection(int, int) -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetInputConnection (int port, int index);\n\n Get the algorithm output port connected to an input port.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkAlgorithm_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Bring this algorithm's outputs up-to-date.\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkAlgorithm_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n Backward compatibility method to invoke UpdateInformation on executive.\n"},
  {(char*)"UpdateWholeExtent",                (PyCFunction)PyvtkAlgorithm_UpdateWholeExtent, 1,
   (char*)"V.UpdateWholeExtent()\nC++: virtual void UpdateWholeExtent ();\n\n Bring this algorithm's outputs up-to-date.\n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkAlgorithm_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int)\nC++: virtual void SetReleaseDataFlag (int );\n\n Turn release data flag on or off for all output ports.\n"},
  {(char*)"GetReleaseDataFlag",                (PyCFunction)PyvtkAlgorithm_GetReleaseDataFlag, 1,
   (char*)"V.GetReleaseDataFlag() -> int\nC++: virtual int GetReleaseDataFlag ();\n\n Turn release data flag on or off for all output ports.\n"},
  {(char*)"ReleaseDataFlagOn",                (PyCFunction)PyvtkAlgorithm_ReleaseDataFlagOn, 1,
   (char*)"V.ReleaseDataFlagOn()\nC++: void ReleaseDataFlagOn ();\n\n Turn release data flag on or off for all output ports.\n"},
  {(char*)"ReleaseDataFlagOff",                (PyCFunction)PyvtkAlgorithm_ReleaseDataFlagOff, 1,
   (char*)"V.ReleaseDataFlagOff()\nC++: void ReleaseDataFlagOff ();\n\n Turn release data flag on or off for all output ports.\n"},
  {(char*)"UpdateExtentIsEmpty",                (PyCFunction)PyvtkAlgorithm_UpdateExtentIsEmpty, 1,
   (char*)"V.UpdateExtentIsEmpty(vtkDataObject) -> int\nC++: int UpdateExtentIsEmpty (vtkDataObject *output);\nV.UpdateExtentIsEmpty(vtkInformation, int) -> int\nC++: int UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType);\n\n This detects when the UpdateExtent will generate no data\n This condition is satisfied when the UpdateExtent has \n zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.\n The source uses this call to determine whether to call Execute.\n"},
  {(char*)"SetDefaultExecutivePrototype",                (PyCFunction)PyvtkAlgorithm_SetDefaultExecutivePrototype, 1,
   (char*)"V.SetDefaultExecutivePrototype(vtkExecutive)\nC++: static void SetDefaultExecutivePrototype (vtkExecutive *proto);\n\n If the DefaultExecutivePrototype is set, a copy of it is created\n in CreateDefaultExecutive() using NewInstance().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAlgorithmDoc[] = {
  (char*)"vtkAlgorithm - Superclass for all sources, filters, and sinks in VTK.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAlgorithm is the superclass for all sources, filters, and sinks\n in VTK.  It defines a generalized interface for executing data\n processing algorithms.  Pipeline connections are associated with\n input and output ports that are independent of the type of data\n passing through the connections.\n\n Instances may be used independently or within pipelines with a\n variety of architectures and update m",
  (char*)"echanisms.  Pipelines are\n controlled by instances of vtkExecutive.  Every vtkAlgorithm\n instance has an associated vtkExecutive when it is used in a\n pipeline.  The executive is responsible for data flow.\n\n",
  NULL
};

static vtkObjectBase *vtkAlgorithmStaticNew()
{
  return vtkAlgorithm::New();
}

PyObject *PyVTKClass_vtkAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkAlgorithmStaticNew,
                        PyvtkAlgorithmMethods,
                        (char*)"vtkAlgorithm",modulename,
                        (char**)vtkAlgorithmDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

