// python wrapper for vtkAttributesErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAttributesErrorMetric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAttributesErrorMetricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAttributesErrorMetricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericSubdivisionErrorMetricNew(char *); }

static PyObject *PyvtkAttributesErrorMetric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  const char    *temp20;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributesErrorMetric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  char    *temp0;
  int      temp20;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributesErrorMetric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  vtkAttributesErrorMetric  *temp20;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributesErrorMetric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAttributesErrorMetric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAttributesErrorMetric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_GetAbsoluteAttributeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  double   temp20;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributesErrorMetric::GetAbsoluteAttributeTolerance();
      }
    else
      {
      temp20 = op->GetAbsoluteAttributeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_SetAbsoluteAttributeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  double   temp0;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAttributesErrorMetric::SetAbsoluteAttributeTolerance(temp0);
      }
    else
      {
      op->SetAbsoluteAttributeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_GetAttributeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  double   temp20;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributesErrorMetric::GetAttributeTolerance();
      }
    else
      {
      temp20 = op->GetAttributeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributesErrorMetric_SetAttributeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributesErrorMetric *op;

  double   temp0;
  op = (vtkAttributesErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAttributesErrorMetric::SetAttributeTolerance(temp0);
      }
    else
      {
      op->SetAttributeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAttributesErrorMetricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAttributesErrorMetric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAttributesErrorMetric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK type and error macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAttributesErrorMetric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAttributesErrorMetric\nC++: vtkAttributesErrorMetric *NewInstance ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAttributesErrorMetric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAttributesErrorMetric\nC++: vtkAttributesErrorMetric *SafeDownCast (vtkObject* o);\n\n Standard VTK type and error macros.\n"},
  {(char*)"GetAbsoluteAttributeTolerance",                (PyCFunction)PyvtkAttributesErrorMetric_GetAbsoluteAttributeTolerance, 1,
   (char*)"V.GetAbsoluteAttributeTolerance() -> float\nC++: double GetAbsoluteAttributeTolerance ();\n\n Absolute tolerance of the active scalar (attribute+component).\n Subdivision is required if the square distance between the real attribute\n at the mid point on the edge and the interpolated attribute is greater\n than AbsoluteAttributeTolerance.\n This is the attribute accuracy.\n 0.01 will give better result than 0.1.\n"},
  {(char*)"SetAbsoluteAttributeTolerance",                (PyCFunction)PyvtkAttributesErrorMetric_SetAbsoluteAttributeTolerance, 1,
   (char*)"V.SetAbsoluteAttributeTolerance(float)\nC++: void SetAbsoluteAttributeTolerance (double value);\n\n Set the absolute attribute accuracy to `value'. See\n GetAbsoluteAttributeTolerance() for details.\n It is particularly useful when some concrete implementation of\n vtkGenericAttribute does not support GetRange() request, called\n internally in SetAttributeTolerance(). It may happen when the\n implementation support higher order attributes but\n cannot compute the range.\n \\pre valid_range_value: value>0\n"},
  {(char*)"GetAttributeTolerance",                (PyCFunction)PyvtkAttributesErrorMetric_GetAttributeTolerance, 1,
   (char*)"V.GetAttributeTolerance() -> float\nC++: double GetAttributeTolerance ();\n\n Relative tolerance of the active scalar (attribute+component).\n Subdivision is required if the square distance between the real attribute\n at the mid point on the edge and the interpolated attribute is greater\n than AttributeTolerance.\n This is the attribute accuracy.\n 0.01 will give better result than 0.1.\n"},
  {(char*)"SetAttributeTolerance",                (PyCFunction)PyvtkAttributesErrorMetric_SetAttributeTolerance, 1,
   (char*)"V.SetAttributeTolerance(float)\nC++: void SetAttributeTolerance (double value);\n\n Set the relative attribute accuracy to `value'. See\n GetAttributeTolerance() for details.\n \\pre valid_range_value: value>0 && value<1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAttributesErrorMetricDoc[] = {
  (char*)"vtkAttributesErrorMetric -  Objects that compute\n\n",
  "Super Class:\n\n vtkGenericSubdivisionErrorMetric\n\n",
  (char*)" It is a concrete error metric, based on an attribute criterium:\n the variation of the active attribute/component value from a linear ramp\n\n\n",
  "See Also:\n\n vtkGenericCellTessellator vtkGenericSubdivisionErrorMetric\n\n",
  NULL
};

static vtkObjectBase *vtkAttributesErrorMetricStaticNew()
{
  return vtkAttributesErrorMetric::New();
}

PyObject *PyVTKClass_vtkAttributesErrorMetricNew(char *modulename)
{
  return PyVTKClass_New(&vtkAttributesErrorMetricStaticNew,
                        PyvtkAttributesErrorMetricMethods,
                        (char*)"vtkAttributesErrorMetric",modulename,
                        (char**)vtkAttributesErrorMetricDoc,
                        PyVTKClass_vtkGenericSubdivisionErrorMetricNew(modulename));
}

