// python wrapper for vtkCastToConcrete object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCastToConcrete.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCastToConcreteNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCastToConcreteNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkCastToConcrete_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCastToConcrete *op;

  const char    *temp20;
  op = (vtkCastToConcrete *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCastToConcrete::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCastToConcrete_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCastToConcrete *op;

  char    *temp0;
  int      temp20;
  op = (vtkCastToConcrete *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCastToConcrete::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCastToConcrete_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCastToConcrete *op;

  vtkCastToConcrete  *temp20;
  op = (vtkCastToConcrete *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCastToConcrete::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCastToConcrete_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCastToConcrete  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCastToConcrete::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkCastToConcreteMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCastToConcrete_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCastToConcrete_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCastToConcrete_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCastToConcrete\nC++: vtkCastToConcrete *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCastToConcrete_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCastToConcrete\nC++: vtkCastToConcrete *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCastToConcreteDoc[] = {
  (char*)"vtkCastToConcrete - works around type-checking limitations\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkCastToConcrete is a filter that works around type-checking limitations\n in the filter classes. Some filters generate abstract types on output, \n and cannot be connected to the input of filters requiring a concrete\n input type. For example, vtkElevationFilter generates vtkDataSet for output,\n and cannot be connected to vtkDecimate, because vtkDecimate requires \n vtkPolyData as input. This is tr",
  (char*)"ue even though (in this example) the input \n to vtkElevationFilter is of type vtkPolyData, and you know the output of \n vtkElevationFilter is the same type as its input.\n\n vtkCastToConcrete performs run-time checking to insure that output type\n is of the right type. An error message will result if you try to cast\n an input type improperly. Otherwise, the filter performs the appropriate\n cast and r",
  (char*)"eturns the data.\n\n",
  "Caveats:\n\n You must specify the input before you can get the output. Otherwise an\n error results.\n\n",
  "See Also:\n\n vtkDataSetAlgorithm vtkPointSetToPointSetFilter\n\n",
  NULL
};

static vtkObjectBase *vtkCastToConcreteStaticNew()
{
  return vtkCastToConcrete::New();
}

PyObject *PyVTKClass_vtkCastToConcreteNew(char *modulename)
{
  return PyVTKClass_New(&vtkCastToConcreteStaticNew,
                        PyvtkCastToConcreteMethods,
                        (char*)"vtkCastToConcrete",modulename,
                        (char**)vtkCastToConcreteDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

