// python wrapper for vtkCell3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCell3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCell3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCell3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkCell3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  const char    *temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  vtkCell3D  *temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break3;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break3;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break3;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break3;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break3;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break3;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break3;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break3;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkCell3D::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCell3D_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break4;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break4;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break4;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCell3D::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCell3D_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  int      temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_SetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp0;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCell3D::SetMergeTolerance(temp0);
      }
    else
      {
      op->SetMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_GetMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::GetMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_GetMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::GetMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell3D_GetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell3D *op;

  double   temp20;
  op = (vtkCell3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell3D::GetMergeTolerance();
      }
    else
      {
      temp20 = op->GetMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCell3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCell3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCell3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCell3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCell3D\nC++: vtkCell3D *NewInstance ();\n\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkCell3D_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkCell3D_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: virtual void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Cut (or clip) the cell based on the input cellScalars and the specified\n value. The output of the clip operation will be one or more cells of the\n same topological dimension as the original cell.  The flag insideOut\n controls what part of the cell is considered inside - normally cell\n points whose scalar value is greater than \"value\" are considered\n inside. If insideOut is on, this is reversed. Also, if the output cell\n data is non-NULL, the cell data from the clipped cell is passed to the\n generated contouring primitives. (Note: the CopyAllocate() method must\n be invoked on both the output cell and point data. The cellId refers to\n the cell from which the cell data is copied.)  (Satisfies vtkCell API.)\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkCell3D_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: virtual int GetCellDimension ();return \n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate tetrahedra during clipping.\n"},
  {(char*)"SetMergeTolerance",                (PyCFunction)PyvtkCell3D_SetMergeTolerance, 1,
   (char*)"V.SetMergeTolerance(float)\nC++: void SetMergeTolerance (double );\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate tetrahedra during clipping.\n"},
  {(char*)"GetMergeToleranceMinValue",                (PyCFunction)PyvtkCell3D_GetMergeToleranceMinValue, 1,
   (char*)"V.GetMergeToleranceMinValue() -> float\nC++: double GetMergeToleranceMinValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate tetrahedra during clipping.\n"},
  {(char*)"GetMergeToleranceMaxValue",                (PyCFunction)PyvtkCell3D_GetMergeToleranceMaxValue, 1,
   (char*)"V.GetMergeToleranceMaxValue() -> float\nC++: double GetMergeToleranceMaxValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate tetrahedra during clipping.\n"},
  {(char*)"GetMergeTolerance",                (PyCFunction)PyvtkCell3D_GetMergeTolerance, 1,
   (char*)"V.GetMergeTolerance() -> float\nC++: double GetMergeTolerance ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate tetrahedra during clipping.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCell3DDoc[] = {
  (char*)"vtkCell3D - abstract class to specify 3D cell interface\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkCell3D is an abstract class that extends the interfaces for 3D data \n cells, and implements methods needed to satisfy the vtkCell API. The \n 3D cells include hexehedra, tetrahedra, wedge, pyramid, and voxel.\n\n",
  "See Also:\n\n vtkTetra vtkHexahedron vtkVoxel vtkWedge vtkPyramid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCell3DNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCell3DMethods,
                        (char*)"vtkCell3D",modulename,
                        (char**)vtkCell3DDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

