// python wrapper for vtkCellArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCellArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  const char    *temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkCellArray  *temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_SetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::SetNumberOfCells(temp0);
      }
    else
      {
      op->SetNumberOfCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_EstimateSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  int      temp1;
  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::EstimateSize(temp0,temp1);
      }
    else
      {
      temp20 = op->EstimateSize(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetNumberOfConnectivityEntries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetNumberOfConnectivityEntries();
      }
    else
      {
      temp20 = op->GetNumberOfConnectivityEntries();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_InsertNextCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkCell  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::InsertNextCell(temp0);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::InsertNextCell(temp0);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkCellArray *op;

  int      temp0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::InsertNextCell(temp0);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_InsertCellPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::InsertCellPoint(temp0);
      }
    else
      {
      op->InsertCellPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_UpdateCellCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  int      temp0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::UpdateCellCount(temp0);
      }
    else
      {
      op->UpdateCellCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetInsertLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetInsertLocation(temp0);
      }
    else
      {
      temp20 = op->GetInsertLocation(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetTraversalLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetTraversalLocation();
      }
    else
      {
      temp20 = op->GetTraversalLocation();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetTraversalLocation(temp0);
      }
    else
      {
      temp20 = op->GetTraversalLocation(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_SetTraversalLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::SetTraversalLocation(temp0);
      }
    else
      {
      op->SetTraversalLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_ReverseCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::ReverseCell(temp0);
      }
    else
      {
      op->ReverseCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  int      temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_SetCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::SetCells(temp0,temp1);
      }
    else
      {
      op->SetCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkCellArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkCellArray_GetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  vtkIdTypeArray  *temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetData();
      }
    else
      {
      temp20 = op->GetData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellArray::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellArray *op;

  unsigned long     temp20;
  op = (vtkCellArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellArray\nC++: vtkCellArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellArray\nC++: vtkCellArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkCellArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (const vtkIdType sz, const int ext);return this Ia Allocate sz ext \n\n Free any memory and reset to an empty state.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCellArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();this Ia Initialize \n\n Get the number of cells in the array.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkCellArray_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Get the number of cells in the array.\n"},
  {(char*)"SetNumberOfCells",                (PyCFunction)PyvtkCellArray_SetNumberOfCells, 1,
   (char*)"V.SetNumberOfCells(int)\nC++: void SetNumberOfCells (vtkIdType );\n\n Set the number of cells in the array.\n DO NOT do any kind of allocation, advanced use only.\n"},
  {(char*)"EstimateSize",                (PyCFunction)PyvtkCellArray_EstimateSize, 1,
   (char*)"V.EstimateSize(int, int) -> int\nC++: vtkIdType EstimateSize (vtkIdType numCells, int maxPtsPerCell);return numCells maxPtsPerCell \n\n A cell traversal methods that is more efficient than vtkDataSet traversal\n methods.  InitTraversal() initializes the traversal of the list of cells.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCellArray_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();this TraversalLocation \n\n A cell traversal methods that is more efficient than vtkDataSet traversal\n methods.  InitTraversal() initializes the traversal of the list of cells.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkCellArray_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: vtkIdType GetSize ();return this Ia GetSize \n\n Get the total number of entries (i.e., data values) in the connectivity \n array. This may be much less than the allocated size (i.e., return value \n from GetSize().)\n"},
  {(char*)"GetNumberOfConnectivityEntries",                (PyCFunction)PyvtkCellArray_GetNumberOfConnectivityEntries, 1,
   (char*)"V.GetNumberOfConnectivityEntries() -> int\nC++: vtkIdType GetNumberOfConnectivityEntries ();return this Ia GetMaxId \n\n Internal method used to retrieve a cell given an offset into\n the internal array.\n"},
  {(char*)"InsertNextCell",                (PyCFunction)PyvtkCellArray_InsertNextCell, 1,
   (char*)"V.InsertNextCell(vtkCell) -> int\nC++: vtkIdType InsertNextCell (vtkCell *cell);\nV.InsertNextCell(vtkIdList) -> int\nC++: vtkIdType InsertNextCell (vtkIdList *pts);\nV.InsertNextCell(int) -> int\nC++: vtkIdType InsertNextCell (int npts);\n\n Insert a cell object. Return the cell id of the cell.\n"},
  {(char*)"InsertCellPoint",                (PyCFunction)PyvtkCellArray_InsertCellPoint, 1,
   (char*)"V.InsertCellPoint(int)\nC++: void InsertCellPoint (vtkIdType id);\n\n Used in conjunction with InsertNextCell(int npts) to add another point\n to the list of cells.\n"},
  {(char*)"UpdateCellCount",                (PyCFunction)PyvtkCellArray_UpdateCellCount, 1,
   (char*)"V.UpdateCellCount(int)\nC++: void UpdateCellCount (int npts);\n\n Used in conjunction with InsertNextCell(int npts) and InsertCellPoint() to\n update the number of points defining the cell.\n"},
  {(char*)"GetInsertLocation",                (PyCFunction)PyvtkCellArray_GetInsertLocation, 1,
   (char*)"V.GetInsertLocation(int) -> int\nC++: vtkIdType GetInsertLocation (int npts);return this InsertLocation npts \n\n Computes the current insertion location within the internal array. \n Used in conjunction with GetCell(int loc,...).\n"},
  {(char*)"GetTraversalLocation",                (PyCFunction)PyvtkCellArray_GetTraversalLocation, 1,
   (char*)"V.GetTraversalLocation() -> int\nC++: vtkIdType GetTraversalLocation ();return this TraversalLocation \nV.GetTraversalLocation(int) -> int\nC++: vtkIdType GetTraversalLocation (vtkIdType npts);return this TraversalLocation npts \n\n Get/Set the current traversal location.\n"},
  {(char*)"SetTraversalLocation",                (PyCFunction)PyvtkCellArray_SetTraversalLocation, 1,
   (char*)"V.SetTraversalLocation(int)\nC++: void SetTraversalLocation (vtkIdType loc);this TraversalLocation loc \n\n Computes the current traversal location within the internal array. Used \n in conjunction with GetCell(int loc,...).\n"},
  {(char*)"ReverseCell",                (PyCFunction)PyvtkCellArray_ReverseCell, 1,
   (char*)"V.ReverseCell(int)\nC++: void ReverseCell (vtkIdType loc);\n\n Special method inverts ordering of current cell. Must be called\n carefully or the cell topology may be corrupted.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkCellArray_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: int GetMaxCellSize ();\n\n Returns the size of the largest cell. The size is the number of points\n defining the cell.\n"},
  {(char*)"SetCells",                (PyCFunction)PyvtkCellArray_SetCells, 1,
   (char*)"V.SetCells(int, vtkIdTypeArray)\nC++: void SetCells (vtkIdType ncells, vtkIdTypeArray *cells);\n\n Define multiple cells by providing a connectivity list. The list is in\n the form (npts,p0,p1,...p(npts-1), repeated for each cell). Be careful\n using this method because it discards the old cells, and anything\n referring these cells becomes invalid (for example, if BuildCells() has\n been called see vtkPolyData).  The traversal location is reset to the\n beginning of the list; the insertion location is set to the end of the\n list.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCellArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkCellArray)\nC++: void DeepCopy (vtkCellArray *ca);\n\n Perform a deep copy (no reference counting) of the given cell array.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkCellArray_GetData, 1,
   (char*)"V.GetData() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetData ();return this Ia \n\n Reuse list. Reset to initial condition.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkCellArray_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reuse list. Reset to initial condition.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkCellArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();this Ia Squeeze \n\n Return the memory in kilobytes consumed by this cell array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkCellArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this cell array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellArrayDoc[] = {
  (char*)"vtkCellArray - object to represent cell connectivity\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCellArray is a supporting object that explicitly represents cell \n connectivity. The cell array structure is a raw integer list\n of the form: (n,id1,id2,...,idn, n,id1,id2,...,idn, ...)\n where n is the number of points in the cell, and id is a zero-offset index \n into an associated point list.\n\n Advantages of this data structure are its compactness, simplicity, and \n easy interface to external",
  (char*)" data.  However, it is totally inadequate for \n random access.  This functionality (when necessary) is accomplished by \n using the vtkCellTypes and vtkCellLinks objects to extend the definition of \n the data structure.\n\n\n",
  "See Also:\n\n vtkCellTypes vtkCellLinks\n\n",
  NULL
};

static vtkObjectBase *vtkCellArrayStaticNew()
{
  return vtkCellArray::New();
}

PyObject *PyVTKClass_vtkCellArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellArrayStaticNew,
                        PyvtkCellArrayMethods,
                        (char*)"vtkCellArray",modulename,
                        (char**)vtkCellArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

