// tcl wrapper for vtkCellArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellArray.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellArrayNewCommand()
{
  vtkCellArray *temp = vtkCellArray::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellArrayCppCommand(vtkCellArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellArrayCppCommand(static_cast<vtkCellArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellArrayCppCommand(vtkCellArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellArray",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellArray  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfCells",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EstimateSize",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->EstimateSize(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitTraversal",argv[1]))&&(argc == 2))
    {
    op->InitTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfConnectivityEntries",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfConnectivityEntries();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsertNextCell",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextCell",argv[1]))&&(argc == 3))
    {
    vtkIdList  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextCell",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->InsertNextCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCellPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->InsertCellPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateCellCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UpdateCellCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInsertLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInsertLocation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraversalLocation",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTraversalLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTraversalLocation",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTraversalLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraversalLocation",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTraversalLocation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReverseCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ReverseCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxCellSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCells",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->SetCells(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellArrayCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellArray:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EstimateSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InitTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfConnectivityEntries\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertCellPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCellCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInsertLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraversalLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetTraversalLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraversalLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReverseCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellSize\n",NULL);
    Tcl_AppendResult(interp,"  SetCells\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "EstimateSize" );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfConnectivityEntries" );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    Tcl_DStringAppendElement ( &dString, "InsertCellPoint" );
    Tcl_DStringAppendElement ( &dString, "UpdateCellCount" );
    Tcl_DStringAppendElement ( &dString, "GetInsertLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTraversalLocation" );
    Tcl_DStringAppendElement ( &dString, "SetTraversalLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTraversalLocation" );
    Tcl_DStringAppendElement ( &dString, "ReverseCell" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    Tcl_DStringAppendElement ( &dString, "SetCells" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate cell array (connectivity list).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellArray *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Free any memory and reset to an empty state.\n" );
    Tcl_DStringAppendElement ( &dString, "int Allocate (const vtkIdType sz, const int ext);return this Ia Allocate sz ext " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Get the number of cells in the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();this Ia Initialize " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Get the number of cells in the array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfCells */
    if ( strcmp ( argv[2], "SetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Set the number of cells in the array.\n DO NOT do any kind of allocation, advanced use only.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfCells (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for SetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EstimateSize */
    if ( strcmp ( argv[2], "EstimateSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EstimateSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EstimateSize */
    Tcl_DStringAppendElement ( &dString, " A cell traversal methods that is more efficient than vtkDataSet traversal\n methods.  InitTraversal() initializes the traversal of the list of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType EstimateSize (vtkIdType numCells, int maxPtsPerCell);return numCells maxPtsPerCell " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for EstimateSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTraversal */
    if ( strcmp ( argv[2], "InitTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTraversal */
    Tcl_DStringAppendElement ( &dString, " A cell traversal methods that is more efficient than vtkDataSet traversal\n methods.  InitTraversal() initializes the traversal of the list of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitTraversal ();this TraversalLocation " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for InitTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Get the total number of entries (i.e., data values) in the connectivity \n array. This may be much less than the allocated size (i.e., return value \n from GetSize().)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSize ();return this Ia GetSize " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfConnectivityEntries */
    if ( strcmp ( argv[2], "GetNumberOfConnectivityEntries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfConnectivityEntries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfConnectivityEntries */
    Tcl_DStringAppendElement ( &dString, " Internal method used to retrieve a cell given an offset into\n the internal array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfConnectivityEntries ();return this Ia GetMaxId " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetNumberOfConnectivityEntries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextCell */
    if ( strcmp ( argv[2], "InsertNextCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextCell */
    Tcl_DStringAppendElement ( &dString, " Insert a cell object. Return the cell id of the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType InsertNextCell (vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for InsertNextCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextCell */
    if ( strcmp ( argv[2], "InsertNextCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextCell */
    Tcl_DStringAppendElement ( &dString, " Create a cell by specifying a list of point ids. Return the cell id of\n the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType InsertNextCell (vtkIdList *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for InsertNextCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextCell */
    if ( strcmp ( argv[2], "InsertNextCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextCell */
    Tcl_DStringAppendElement ( &dString, " Create cells by specifying count, and then adding points one at a time\n using method InsertCellPoint(). If you don't know the count initially,\n use the method UpdateCellCount() to complete the cell. Return the cell\n id of the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType InsertNextCell (int npts);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for InsertNextCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertCellPoint */
    if ( strcmp ( argv[2], "InsertCellPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertCellPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertCellPoint */
    Tcl_DStringAppendElement ( &dString, " Used in conjunction with InsertNextCell(int npts) to add another point\n to the list of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsertCellPoint (vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for InsertCellPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateCellCount */
    if ( strcmp ( argv[2], "UpdateCellCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateCellCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateCellCount */
    Tcl_DStringAppendElement ( &dString, " Used in conjunction with InsertNextCell(int npts) and InsertCellPoint() to\n update the number of points defining the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateCellCount (int npts);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for UpdateCellCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInsertLocation */
    if ( strcmp ( argv[2], "GetInsertLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsertLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsertLocation */
    Tcl_DStringAppendElement ( &dString, " Computes the current insertion location within the internal array. \n Used in conjunction with GetCell(int loc,...).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetInsertLocation (int npts);return this InsertLocation npts " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetInsertLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTraversalLocation */
    if ( strcmp ( argv[2], "GetTraversalLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTraversalLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTraversalLocation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the current traversal location.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTraversalLocation ();return this TraversalLocation " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetTraversalLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTraversalLocation */
    if ( strcmp ( argv[2], "SetTraversalLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTraversalLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTraversalLocation */
    Tcl_DStringAppendElement ( &dString, " Computes the current traversal location within the internal array. Used \n in conjunction with GetCell(int loc,...).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTraversalLocation (vtkIdType loc);this TraversalLocation loc " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for SetTraversalLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTraversalLocation */
    if ( strcmp ( argv[2], "GetTraversalLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTraversalLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTraversalLocation */
    Tcl_DStringAppendElement ( &dString, " Special method inverts ordering of current cell. Must be called\n carefully or the cell topology may be corrupted.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTraversalLocation (vtkIdType npts);return this TraversalLocation npts " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetTraversalLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseCell */
    if ( strcmp ( argv[2], "ReverseCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseCell */
    Tcl_DStringAppendElement ( &dString, " Special method inverts ordering of current cell. Must be called\n carefully or the cell topology may be corrupted.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseCell (vtkIdType loc);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for ReverseCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellSize */
    if ( strcmp ( argv[2], "GetMaxCellSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellSize */
    Tcl_DStringAppendElement ( &dString, " Returns the size of the largest cell. The size is the number of points\n defining the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetMaxCellSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCells */
    if ( strcmp ( argv[2], "SetCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCells */
    Tcl_DStringAppendElement ( &dString, " Define multiple cells by providing a connectivity list. The list is in\n the form (npts,p0,p1,...p(npts-1), repeated for each cell). Be careful\n using this method because it discards the old cells, and anything\n referring these cells becomes invalid (for example, if BuildCells() has\n been called see vtkPolyData).  The traversal location is reset to the\n beginning of the list; the insertion location is set to the end of the\n list.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCells (vtkIdType ncells, vtkIdTypeArray *cells);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for SetCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Perform a deep copy (no reference counting) of the given cell array.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkCellArray *ca);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Reuse list. Reset to initial condition.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetData ();return this Ia " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reuse list. Reset to initial condition.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, " Return the memory in kilobytes consumed by this cell array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n" );
    Tcl_DStringAppendElement ( &dString, "void Squeeze ();this Ia Squeeze " );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the memory in kilobytes consumed by this cell array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetActualMemorySize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
