// python wrapper for vtkCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }

static PyObject *PyvtkCellLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  const char    *temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  vtkCellLocator  *temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellLocator_SetNumberOfCellsPerBucket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp0;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::SetNumberOfCellsPerBucket(temp0);
      }
    else
      {
      op->SetNumberOfCellsPerBucket(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetNumberOfCellsPerBucketMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetNumberOfCellsPerBucketMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerBucketMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetNumberOfCellsPerBucketMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetNumberOfCellsPerBucketMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerBucketMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetNumberOfCellsPerBucket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetNumberOfCellsPerBucket();
      }
    else
      {
      temp20 = op->GetNumberOfCellsPerBucket();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_SetCacheCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp0;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::SetCacheCellBounds(temp0);
      }
    else
      {
      op->SetCacheCellBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetCacheCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetCacheCellBounds();
      }
    else
      {
      temp20 = op->GetCacheCellBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_CacheCellBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::CacheCellBoundsOn();
      }
    else
      {
      op->CacheCellBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_CacheCellBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::CacheCellBoundsOff();
      }
    else
      {
      op->CacheCellBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp0;
  vtkIdList  *temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetCells(temp0);
      }
    else
      {
      temp20 = op->GetCells(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GetNumberOfBuckets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp20;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocator::GetNumberOfBuckets();
      }
    else
      {
      temp20 = op->GetNumberOfBuckets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_FindCellsAlongLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  double temp0[3];
  double temp1[3];
  double   temp2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)dO", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::FindCellsAlongLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->FindCellsAlongLine(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkCellLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkCellLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocator::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkCellLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellLocator\nC++: vtkCellLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellLocator\nC++: vtkCellLocator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfCellsPerBucket",                (PyCFunction)PyvtkCellLocator_SetNumberOfCellsPerBucket, 1,
   (char*)"V.SetNumberOfCellsPerBucket(int)\nC++: void SetNumberOfCellsPerBucket (int );\n\n Specify the average number of cells in each octant.\n"},
  {(char*)"GetNumberOfCellsPerBucketMinValue",                (PyCFunction)PyvtkCellLocator_GetNumberOfCellsPerBucketMinValue, 1,
   (char*)"V.GetNumberOfCellsPerBucketMinValue() -> int\nC++: int GetNumberOfCellsPerBucketMinValue ();\n\n Specify the average number of cells in each octant.\n"},
  {(char*)"GetNumberOfCellsPerBucketMaxValue",                (PyCFunction)PyvtkCellLocator_GetNumberOfCellsPerBucketMaxValue, 1,
   (char*)"V.GetNumberOfCellsPerBucketMaxValue() -> int\nC++: int GetNumberOfCellsPerBucketMaxValue ();\n\n Specify the average number of cells in each octant.\n"},
  {(char*)"GetNumberOfCellsPerBucket",                (PyCFunction)PyvtkCellLocator_GetNumberOfCellsPerBucket, 1,
   (char*)"V.GetNumberOfCellsPerBucket() -> int\nC++: int GetNumberOfCellsPerBucket ();\n\n Specify the average number of cells in each octant.\n"},
  {(char*)"SetCacheCellBounds",                (PyCFunction)PyvtkCellLocator_SetCacheCellBounds, 1,
   (char*)"V.SetCacheCellBounds(int)\nC++: void SetCacheCellBounds (int );\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"GetCacheCellBounds",                (PyCFunction)PyvtkCellLocator_GetCacheCellBounds, 1,
   (char*)"V.GetCacheCellBounds() -> int\nC++: int GetCacheCellBounds ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"CacheCellBoundsOn",                (PyCFunction)PyvtkCellLocator_CacheCellBoundsOn, 1,
   (char*)"V.CacheCellBoundsOn()\nC++: void CacheCellBoundsOn ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"CacheCellBoundsOff",                (PyCFunction)PyvtkCellLocator_CacheCellBoundsOff, 1,
   (char*)"V.CacheCellBoundsOff()\nC++: void CacheCellBoundsOff ();\n\n Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n"},
  {(char*)"GetCells",                (PyCFunction)PyvtkCellLocator_GetCells, 1,
   (char*)"V.GetCells(int) -> vtkIdList\nC++: virtual vtkIdList *GetCells (int bucket);\n\n Get the cells in a particular bucket.\n"},
  {(char*)"GetNumberOfBuckets",                (PyCFunction)PyvtkCellLocator_GetNumberOfBuckets, 1,
   (char*)"V.GetNumberOfBuckets() -> int\nC++: virtual int GetNumberOfBuckets (void );\n\n Return number of buckets available. Insure that the locator has been \n built before attempting to access buckets (octants).\n"},
  {(char*)"FindCellsAlongLine",                (PyCFunction)PyvtkCellLocator_FindCellsAlongLine, 1,
   (char*)"V.FindCellsAlongLine((float, float, float), (float, float, float), float, vtkIdList)\nC++: void FindCellsAlongLine (double p1[3], double p2[3], double tolerance, vtkIdList *cells);\n\n Given a finite line defined by the two points (p1,p2), return the list\n of unique cell ids in the buckets containing the line. It is possible\n that an empty cell list is returned. The user must provide the vtkIdList\n to populate. This method returns data only after the locator has been\n built.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkCellLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: void FreeSearchStructure ();\n\n Satisfy vtkLocator abstract interface.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkCellLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n Satisfy vtkLocator abstract interface.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkCellLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: void GenerateRepresentation (int level, vtkPolyData *pd);\n\n Satisfy vtkLocator abstract interface.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellLocatorDoc[] = {
  (char*)"vtkCellLocator - octree-based spatial search object to quickly locate cells\n\n",
  "Super Class:\n\n vtkLocator\n\n",
  (char*)" vtkCellLocator is a spatial search object to quickly locate cells in 3D.\n vtkCellLocator uses a uniform-level octree subdivision, where each octant\n (an octant is also referred to as a bucket) carries an indication of\n whether it is empty or not, and each leaf octant carries a list of the\n cells inside of it. (An octant is not empty if it has one or more cells\n inside of it.)  Typical operations ",
  (char*)"are intersection with a line to return\n candidate cells, or intersection with another vtkCellLocator to return\n candidate cells.\n\n",
  "Caveats:\n\n Many other types of spatial locators have been developed, such as \n variable depth octrees and kd-trees. These are often more efficient \n for the operations described here. vtkCellLocator has been designed\n for subclassing; so these locators can be derived if necessary.\n\n",
  "See Also:\n\n vtkLocator vtkPointLocator vtkOBBTree\n\n",
  NULL
};

static vtkObjectBase *vtkCellLocatorStaticNew()
{
  return vtkCellLocator::New();
}

PyObject *PyVTKClass_vtkCellLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellLocatorStaticNew,
                        PyvtkCellLocatorMethods,
                        (char*)"vtkCellLocator",modulename,
                        (char**)vtkCellLocatorDoc,
                        PyVTKClass_vtkLocatorNew(modulename));
}

