// tcl wrapper for vtkCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLocator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellLocatorNewCommand()
{
  vtkCellLocator *temp = vtkCellLocator::New();
  return static_cast<ClientData>(temp);
}

int vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellLocatorCppCommand(vtkCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellLocatorCppCommand(static_cast<vtkCellLocator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellLocatorCppCommand(vtkCellLocator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellLocator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLocator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellLocator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellLocator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellLocator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfCellsPerBucket",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfCellsPerBucket(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCellsPerBucketMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerBucketMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellsPerBucketMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerBucketMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellsPerBucket",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellsPerBucket();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCacheCellBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCacheCellBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCacheCellBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheCellBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CacheCellBoundsOn",argv[1]))&&(argc == 2))
    {
    op->CacheCellBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CacheCellBoundsOff",argv[1]))&&(argc == 2))
    {
    op->CacheCellBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdList  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCells(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdList");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfBuckets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBuckets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellLocatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellLocator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfCellsPerBucket\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerBucketMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerBucketMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellsPerBucket\n",NULL);
    Tcl_AppendResult(interp,"  SetCacheCellBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheCellBounds\n",NULL);
    Tcl_AppendResult(interp,"  CacheCellBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  CacheCellBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBuckets\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCellsPerBucket" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucketMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucketMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucket" );
    Tcl_DStringAppendElement ( &dString, "SetCacheCellBounds" );
    Tcl_DStringAppendElement ( &dString, "GetCacheCellBounds" );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "GetCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBuckets" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with automatic computation of divisions, averaging\n 25 cells per bucket.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellLocator *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfCellsPerBucket */
    if ( strcmp ( argv[2], "SetNumberOfCellsPerBucket" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfCellsPerBucket" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfCellsPerBucket */
    Tcl_DStringAppendElement ( &dString, " Specify the average number of cells in each octant.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfCellsPerBucket (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for SetNumberOfCellsPerBucket */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerBucketMinValue */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerBucketMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucketMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerBucketMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the average number of cells in each octant.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerBucketMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetNumberOfCellsPerBucketMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerBucketMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerBucketMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucketMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerBucketMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the average number of cells in each octant.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerBucketMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetNumberOfCellsPerBucketMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellsPerBucket */
    if ( strcmp ( argv[2], "GetNumberOfCellsPerBucket" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellsPerBucket" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellsPerBucket */
    Tcl_DStringAppendElement ( &dString, " Specify the average number of cells in each octant.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellsPerBucket ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetNumberOfCellsPerBucket */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCacheCellBounds */
    if ( strcmp ( argv[2], "SetCacheCellBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCacheCellBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCacheCellBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCacheCellBounds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for SetCacheCellBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheCellBounds */
    if ( strcmp ( argv[2], "GetCacheCellBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheCellBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheCellBounds */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheCellBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetCacheCellBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CacheCellBoundsOn */
    if ( strcmp ( argv[2], "CacheCellBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheCellBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void CacheCellBoundsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for CacheCellBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CacheCellBoundsOff */
    if ( strcmp ( argv[2], "CacheCellBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CacheCellBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CacheCellBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether the bounds of each cell are computed only\n once and then saved.  Should be 10 to 20% faster if repeatedly \n calling any of the FindClosestPoint routines and the extra memory\n won't cause disk caching (24 extra bytes per cell are required to\n save the bounds).\n" );
    Tcl_DStringAppendElement ( &dString, "void CacheCellBoundsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for CacheCellBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCells */
    if ( strcmp ( argv[2], "GetCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCells */
    Tcl_DStringAppendElement ( &dString, " Get the cells in a particular bucket.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdList *GetCells (int bucket);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBuckets */
    if ( strcmp ( argv[2], "GetNumberOfBuckets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBuckets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBuckets */
    Tcl_DStringAppendElement ( &dString, " Return number of buckets available. Insure that the locator has been \n built before attempting to access buckets (octants).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfBuckets (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GetNumberOfBuckets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeSearchStructure ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Satisfy vtkLocator abstract interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRepresentation (int level, vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
