// python wrapper for vtkCellTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellTypes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellTypesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellTypesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCellTypes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  const char    *temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  vtkCellTypes  *temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellTypes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellTypes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellTypes_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_InsertCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  unsigned char     temp1;
  int      temp2;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"ibi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::InsertCell(temp0,temp1,temp2);
      }
    else
      {
      op->InsertCell(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_InsertNextCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  unsigned char     temp0;
  int      temp1;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"bi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::InsertNextCell(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_SetCellTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  vtkUnsignedCharArray  *temp1;
  PyObject *tempH1;
  vtkIntArray  *temp2;
  PyObject *tempH2;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkUnsignedCharArray");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIntArray");
    if (!temp2 && tempH2 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::SetCellTypes(temp0,temp1,temp2);
      }
    else
      {
      op->SetCellTypes(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCellTypes_GetCellLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::GetCellLocation(temp0);
      }
    else
      {
      temp20 = op->GetCellLocation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_DeleteCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::DeleteCell(temp0);
      }
    else
      {
      op->DeleteCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_GetNumberOfTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::GetNumberOfTypes();
      }
    else
      {
      temp20 = op->GetNumberOfTypes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_IsType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  unsigned char     temp0;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::IsType(temp0);
      }
    else
      {
      temp20 = op->IsType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_InsertNextType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  unsigned char     temp0;
  int      temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::InsertNextType(temp0);
      }
    else
      {
      temp20 = op->InsertNextType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  int      temp0;
  unsigned char     temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  unsigned long     temp20;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellTypes::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellTypes *op;

  vtkCellTypes  *temp0;
  PyObject *tempH0;
  op = (vtkCellTypes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellTypes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellTypes");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellTypes::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkCellTypes_GetClassNameFromTypeId(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkCellTypes::GetClassNameFromTypeId(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellTypes_GetTypeIdFromClassName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkCellTypes::GetTypeIdFromClassName(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellTypesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellTypes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellTypes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellTypes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellTypes\nC++: vtkCellTypes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellTypes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellTypes\nC++: vtkCellTypes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkCellTypes_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (int sz, int ext);\n\n Allocate memory for this array. Delete old storage only if necessary.\n"},
  {(char*)"InsertCell",                (PyCFunction)PyvtkCellTypes_InsertCell, 1,
   (char*)"V.InsertCell(int, int, int)\nC++: void InsertCell (int id, unsigned char type, int loc);\n\n Add a cell at specified id.\n"},
  {(char*)"InsertNextCell",                (PyCFunction)PyvtkCellTypes_InsertNextCell, 1,
   (char*)"V.InsertNextCell(int, int) -> int\nC++: int InsertNextCell (unsigned char type, int loc);\n\n Add a cell to the object in the next available slot.\n"},
  {(char*)"SetCellTypes",                (PyCFunction)PyvtkCellTypes_SetCellTypes, 1,
   (char*)"V.SetCellTypes(int, vtkUnsignedCharArray, vtkIntArray)\nC++: void SetCellTypes (int ncells, vtkUnsignedCharArray *cellTypes, vtkIntArray *cellLocations);\n\n Specify a group of cell types.\n"},
  {(char*)"GetCellLocation",                (PyCFunction)PyvtkCellTypes_GetCellLocation, 1,
   (char*)"V.GetCellLocation(int) -> int\nC++: int GetCellLocation (int cellId);return this LocationArray GetValue cellId \n\n Return the location of the cell in the associated vtkCellArray.\n"},
  {(char*)"DeleteCell",                (PyCFunction)PyvtkCellTypes_DeleteCell, 1,
   (char*)"V.DeleteCell(int)\nC++: void DeleteCell (int cellId);this TypeArray SetValue cellId VTK_EMPTY_CELL \n\n Delete cell by setting to NULL cell type.\n"},
  {(char*)"GetNumberOfTypes",                (PyCFunction)PyvtkCellTypes_GetNumberOfTypes, 1,
   (char*)"V.GetNumberOfTypes() -> int\nC++: int GetNumberOfTypes ();return this MaxId \n\n Return the number of types in the list.\n"},
  {(char*)"IsType",                (PyCFunction)PyvtkCellTypes_IsType, 1,
   (char*)"V.IsType(int) -> int\nC++: int IsType (unsigned char type);\n\n Return 1 if type specified is contained in list; 0 otherwise.\n"},
  {(char*)"InsertNextType",                (PyCFunction)PyvtkCellTypes_InsertNextType, 1,
   (char*)"V.InsertNextType(int) -> int\nC++: int InsertNextType (unsigned char type);return this InsertNextCell type \n\n Add the type specified to the end of the list. Range checking is performed.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkCellTypes_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: unsigned char GetCellType (int cellId);return this TypeArray GetValue cellId \n\n Return the type of cell.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkCellTypes_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Reclaim any extra memory.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkCellTypes_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Initialize object without releasing memory.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkCellTypes_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this cell type array. \n Used to support streaming and reading/writing data. The value \n returned is guaranteed to be greater than or equal to the memory \n required to actually represent the data represented by this object. \n The information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCellTypes_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkCellTypes)\nC++: void DeepCopy (vtkCellTypes *src);\n\n Standard DeepCopy method.  Since this object contains no reference\n to other objects, there is no ShallowCopy.\n"},
  {(char*)"GetClassNameFromTypeId",                (PyCFunction)PyvtkCellTypes_GetClassNameFromTypeId, 1,
   (char*)"V.GetClassNameFromTypeId(int) -> string\nC++: static const char *GetClassNameFromTypeId (int typeId);\n\n Given an int (as defined in vtkCellType.h) identifier for a class\n return it's classname.\n"},
  {(char*)"GetTypeIdFromClassName",                (PyCFunction)PyvtkCellTypes_GetTypeIdFromClassName, 1,
   (char*)"V.GetTypeIdFromClassName(string) -> int\nC++: static int GetTypeIdFromClassName (const char *classname);\n\n Given a data object classname, return it's int identified (as\n defined in vtkCellType.h)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellTypesDoc[] = {
  (char*)"vtkCellTypes - object provides direct access to cells in vtkCellArray and type information\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is a supplemental object to vtkCellArray to allow random access\n into cells as well as representing cell type information.  The \"location\"\n field is the location in the vtkCellArray list in terms of an integer\n offset.  An integer offset was used instead of a pointer for easy storage\n and inter-process communication. The type information is defined in the\n file vtkCellType.h.\n\n\n",
  "Caveats:\n\n Sometimes this class is used to pass type information independent of the\n random access (i.e., location) information. For example, see\n vtkDataSet::GetCellTypes(). If you use the class in this way, you can use\n a location value of -1.\n\n\n",
  "See Also:\n\n vtkCellArray vtkCellLinks\n\n",
  NULL
};

static vtkObjectBase *vtkCellTypesStaticNew()
{
  return vtkCellTypes::New();
}

PyObject *PyVTKClass_vtkCellTypesNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellTypesStaticNew,
                        PyvtkCellTypesMethods,
                        (char*)"vtkCellTypes",modulename,
                        (char**)vtkCellTypesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

