// python wrapper for vtkColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkColorTransferFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkColorTransferFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkColorTransferFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkScalarsToColorsNew(char *); }

static PyObject *PyvtkColorTransferFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  const char    *temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  vtkColorTransferFunction  *temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkColorTransferFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkColorTransferFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  vtkColorTransferFunction  *temp0;
  PyObject *tempH0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkColorTransferFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkColorTransferFunction");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  vtkColorTransferFunction  *temp0;
  PyObject *tempH0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkColorTransferFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkColorTransferFunction");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AddRGBPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::AddRGBPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddRGBPoint(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  PyErr_Clear();
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::AddRGBPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->AddRGBPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AddHSVPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::AddHSVPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddHSVPoint(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  PyErr_Clear();
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::AddHSVPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->AddHSVPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_RemovePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::RemovePoint(temp0);
      }
    else
      {
      temp20 = op->RemovePoint(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AddRGBSegment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AddHSVSegment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_RemoveAllPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::RemoveAllPoints();
      }
    else
      {
      op->RemoveAllPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double  *temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetColor(temp0);
      }
    else
      {
      temp20 = op->GetColor(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::GetColor(temp0,temp1);
      }
    else
      {
      op->GetColor(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetRedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetRedValue(temp0);
      }
    else
      {
      temp20 = op->GetRedValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetGreenValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetGreenValue(temp0);
      }
    else
      {
      temp20 = op->GetGreenValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetBlueValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double   temp0;
  double   temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetBlueValue(temp0);
      }
    else
      {
      temp20 = op->GetBlueValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetNodeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  double temp1[6];
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetNodeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNodeValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetNodeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  double temp1[6];
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::SetNodeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->SetNodeValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double  *temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AdjustRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  double temp0[2];
  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::AdjustRange(temp0);
      }
    else
      {
      temp20 = op->AdjustRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetClamping(temp0);
      }
    else
      {
      op->SetClamping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetClampingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetClampingMinValue();
      }
    else
      {
      temp20 = op->GetClampingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetClampingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetClampingMaxValue();
      }
    else
      {
      temp20 = op->GetClampingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetClamping();
      }
    else
      {
      temp20 = op->GetClamping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_ClampingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::ClampingOn();
      }
    else
      {
      op->ClampingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_ClampingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::ClampingOff();
      }
    else
      {
      op->ClampingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetColorSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetColorSpace(temp0);
      }
    else
      {
      op->SetColorSpace(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetColorSpaceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetColorSpaceMinValue();
      }
    else
      {
      temp20 = op->GetColorSpaceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetColorSpaceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetColorSpaceMaxValue();
      }
    else
      {
      temp20 = op->GetColorSpaceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetColorSpaceToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetColorSpaceToRGB();
      }
    else
      {
      op->SetColorSpaceToRGB();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetColorSpaceToHSV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetColorSpaceToHSV();
      }
    else
      {
      op->SetColorSpaceToHSV();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetColorSpaceToLab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetColorSpaceToLab();
      }
    else
      {
      op->SetColorSpaceToLab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetColorSpaceToDiverging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetColorSpaceToDiverging();
      }
    else
      {
      op->SetColorSpaceToDiverging();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetColorSpace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetColorSpace();
      }
    else
      {
      temp20 = op->GetColorSpace();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetHSVWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetHSVWrap(temp0);
      }
    else
      {
      op->SetHSVWrap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetHSVWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetHSVWrap();
      }
    else
      {
      temp20 = op->GetHSVWrap();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_HSVWrapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::HSVWrapOn();
      }
    else
      {
      op->HSVWrapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_HSVWrapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::HSVWrapOff();
      }
    else
      {
      op->HSVWrapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetScaleToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetScaleToLinear();
      }
    else
      {
      op->SetScaleToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetScaleToLog10(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetScaleToLog10();
      }
    else
      {
      op->SetScaleToLog10();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_SetAllowDuplicateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp0;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::SetAllowDuplicateScalars(temp0);
      }
    else
      {
      op->SetAllowDuplicateScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_GetAllowDuplicateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  int      temp20;
  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkColorTransferFunction::GetAllowDuplicateScalars();
      }
    else
      {
      temp20 = op->GetAllowDuplicateScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AllowDuplicateScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::AllowDuplicateScalarsOn();
      }
    else
      {
      op->AllowDuplicateScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkColorTransferFunction_AllowDuplicateScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkColorTransferFunction::AllowDuplicateScalarsOff();
      }
    else
      {
      op->AllowDuplicateScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkColorTransferFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkColorTransferFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkColorTransferFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkColorTransferFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkColorTransferFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkColorTransferFunction_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkColorTransferFunction)\nC++: void DeepCopy (vtkColorTransferFunction *f);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkColorTransferFunction_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkColorTransferFunction)\nC++: void ShallowCopy (vtkColorTransferFunction *f);\n\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkColorTransferFunction_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: int GetSize ();\n\n How many points are there defining this function?\n"},
  {(char*)"AddRGBPoint",                (PyCFunction)PyvtkColorTransferFunction_AddRGBPoint, 1,
   (char*)"V.AddRGBPoint(float, float, float, float) -> int\nC++: int AddRGBPoint (double x, double r, double g, double b);\nV.AddRGBPoint(float, float, float, float, float, float) -> int\nC++: int AddRGBPoint (double x, double r, double g, double b, double midpoint, double sharpness);\n\n Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n"},
  {(char*)"AddHSVPoint",                (PyCFunction)PyvtkColorTransferFunction_AddHSVPoint, 1,
   (char*)"V.AddHSVPoint(float, float, float, float) -> int\nC++: int AddHSVPoint (double x, double h, double s, double v);\nV.AddHSVPoint(float, float, float, float, float, float) -> int\nC++: int AddHSVPoint (double x, double h, double s, double v, double midpoint, double sharpness);\n\n Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n"},
  {(char*)"RemovePoint",                (PyCFunction)PyvtkColorTransferFunction_RemovePoint, 1,
   (char*)"V.RemovePoint(float) -> int\nC++: int RemovePoint (double x);\n\n Add/Remove a point to/from the function defined in RGB or HSV\n Return the index of the point (0 based), or -1 on error.\n"},
  {(char*)"AddRGBSegment",                (PyCFunction)PyvtkColorTransferFunction_AddRGBSegment, 1,
   (char*)"V.AddRGBSegment(float, float, float, float, float, float, float, float)\nC++: void AddRGBSegment (double x1, double r1, double g1, double b1, double x2, double r2, double g2, double b2);\n\n Add two points to the function and remove all the points \n between them\n"},
  {(char*)"AddHSVSegment",                (PyCFunction)PyvtkColorTransferFunction_AddHSVSegment, 1,
   (char*)"V.AddHSVSegment(float, float, float, float, float, float, float, float)\nC++: void AddHSVSegment (double x1, double h1, double s1, double v1, double x2, double h2, double s2, double v2);\n\n Add two points to the function and remove all the points \n between them\n"},
  {(char*)"RemoveAllPoints",                (PyCFunction)PyvtkColorTransferFunction_RemoveAllPoints, 1,
   (char*)"V.RemoveAllPoints()\nC++: void RemoveAllPoints ();\n\n Remove all points\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkColorTransferFunction_GetColor, 1,
   (char*)"V.GetColor(float) -> (float, float, float)\nC++: double *GetColor (double x);return vtkScalarsToColors GetColor x \nV.GetColor(float, (float, float, float))\nC++: void GetColor (double x, double rgb[3]);\n\n Returns an RGB color for the specified scalar value \n"},
  {(char*)"GetRedValue",                (PyCFunction)PyvtkColorTransferFunction_GetRedValue, 1,
   (char*)"V.GetRedValue(float) -> float\nC++: double GetRedValue (double x);\n\n Get the color components individually.\n"},
  {(char*)"GetGreenValue",                (PyCFunction)PyvtkColorTransferFunction_GetGreenValue, 1,
   (char*)"V.GetGreenValue(float) -> float\nC++: double GetGreenValue (double x);\n\n Get the color components individually.\n"},
  {(char*)"GetBlueValue",                (PyCFunction)PyvtkColorTransferFunction_GetBlueValue, 1,
   (char*)"V.GetBlueValue(float) -> float\nC++: double GetBlueValue (double x);\n\n Get the color components individually.\n"},
  {(char*)"GetNodeValue",                (PyCFunction)PyvtkColorTransferFunction_GetNodeValue, 1,
   (char*)"V.GetNodeValue(int, (float, float, float, float, float, float)) -> int\nC++: int GetNodeValue (int index, double val[6]);\n\n For the node specified by index, set/get the\n location (X), R, G, and B values, midpoint, and \n sharpness values at the node.\n"},
  {(char*)"SetNodeValue",                (PyCFunction)PyvtkColorTransferFunction_SetNodeValue, 1,
   (char*)"V.SetNodeValue(int, (float, float, float, float, float, float)) -> int\nC++: int SetNodeValue (int index, double val[6]);\n\n For the node specified by index, set/get the\n location (X), R, G, and B values, midpoint, and \n sharpness values at the node.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkColorTransferFunction_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Returns min and max position of all function points.\n"},
  {(char*)"AdjustRange",                (PyCFunction)PyvtkColorTransferFunction_AdjustRange, 1,
   (char*)"V.AdjustRange((float, float)) -> int\nC++: int AdjustRange (double range[2]);\n\n Remove all points out of the new range, and make sure there is a point\n at each end of that range.\n Return 1 on success, 0 otherwise.\n"},
  {(char*)"SetClamping",                (PyCFunction)PyvtkColorTransferFunction_SetClamping, 1,
   (char*)"V.SetClamping(int)\nC++: void SetClamping (int );\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"GetClampingMinValue",                (PyCFunction)PyvtkColorTransferFunction_GetClampingMinValue, 1,
   (char*)"V.GetClampingMinValue() -> int\nC++: int GetClampingMinValue ();\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"GetClampingMaxValue",                (PyCFunction)PyvtkColorTransferFunction_GetClampingMaxValue, 1,
   (char*)"V.GetClampingMaxValue() -> int\nC++: int GetClampingMaxValue ();\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"GetClamping",                (PyCFunction)PyvtkColorTransferFunction_GetClamping, 1,
   (char*)"V.GetClamping() -> int\nC++: int GetClamping ();\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"ClampingOn",                (PyCFunction)PyvtkColorTransferFunction_ClampingOn, 1,
   (char*)"V.ClampingOn()\nC++: void ClampingOn ();\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"ClampingOff",                (PyCFunction)PyvtkColorTransferFunction_ClampingOff, 1,
   (char*)"V.ClampingOff()\nC++: void ClampingOff ();\n\n Sets and gets the clamping value for this transfer function.\n"},
  {(char*)"SetColorSpace",                (PyCFunction)PyvtkColorTransferFunction_SetColorSpace, 1,
   (char*)"V.SetColorSpace(int)\nC++: void SetColorSpace (int );\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"GetColorSpaceMinValue",                (PyCFunction)PyvtkColorTransferFunction_GetColorSpaceMinValue, 1,
   (char*)"V.GetColorSpaceMinValue() -> int\nC++: int GetColorSpaceMinValue ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"GetColorSpaceMaxValue",                (PyCFunction)PyvtkColorTransferFunction_GetColorSpaceMaxValue, 1,
   (char*)"V.GetColorSpaceMaxValue() -> int\nC++: int GetColorSpaceMaxValue ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetColorSpaceToRGB",                (PyCFunction)PyvtkColorTransferFunction_SetColorSpaceToRGB, 1,
   (char*)"V.SetColorSpaceToRGB()\nC++: void SetColorSpaceToRGB ();this SetColorSpace VTK_CTF_RGB \n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetColorSpaceToHSV",                (PyCFunction)PyvtkColorTransferFunction_SetColorSpaceToHSV, 1,
   (char*)"V.SetColorSpaceToHSV()\nC++: void SetColorSpaceToHSV ();this SetColorSpace VTK_CTF_HSV \n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetColorSpaceToLab",                (PyCFunction)PyvtkColorTransferFunction_SetColorSpaceToLab, 1,
   (char*)"V.SetColorSpaceToLab()\nC++: void SetColorSpaceToLab ();this SetColorSpace VTK_CTF_LAB \n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetColorSpaceToDiverging",                (PyCFunction)PyvtkColorTransferFunction_SetColorSpaceToDiverging, 1,
   (char*)"V.SetColorSpaceToDiverging()\nC++: void SetColorSpaceToDiverging ();this SetColorSpace VTK_CTF_DIVERGING \n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"GetColorSpace",                (PyCFunction)PyvtkColorTransferFunction_GetColorSpace, 1,
   (char*)"V.GetColorSpace() -> int\nC++: int GetColorSpace ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetHSVWrap",                (PyCFunction)PyvtkColorTransferFunction_SetHSVWrap, 1,
   (char*)"V.SetHSVWrap(int)\nC++: void SetHSVWrap (int );\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"GetHSVWrap",                (PyCFunction)PyvtkColorTransferFunction_GetHSVWrap, 1,
   (char*)"V.GetHSVWrap() -> int\nC++: int GetHSVWrap ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"HSVWrapOn",                (PyCFunction)PyvtkColorTransferFunction_HSVWrapOn, 1,
   (char*)"V.HSVWrapOn()\nC++: void HSVWrapOn ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"HSVWrapOff",                (PyCFunction)PyvtkColorTransferFunction_HSVWrapOff, 1,
   (char*)"V.HSVWrapOff()\nC++: void HSVWrapOff ();\n\n Set/Get the color space used for interpolation: RGB, HSV, CIELAB, or\n Diverging.  In HSV mode, if HSVWrap is on, it will take the shortest path\n in Hue (going back through 0 if that is the shortest way around the hue\n circle) whereas if HSVWrap is off it will not go through 0 (in order the\n match the current functionality of vtkLookupTable).  Diverging is a special\n mode where colors will pass through white when interpolating between two\n saturated colors.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkColorTransferFunction_SetScale, 1,
   (char*)"V.SetScale(int)\nC++: void SetScale (int );\n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n"},
  {(char*)"SetScaleToLinear",                (PyCFunction)PyvtkColorTransferFunction_SetScaleToLinear, 1,
   (char*)"V.SetScaleToLinear()\nC++: void SetScaleToLinear ();this SetScale VTK_CTF_LINEAR \n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n"},
  {(char*)"SetScaleToLog10",                (PyCFunction)PyvtkColorTransferFunction_SetScaleToLog10, 1,
   (char*)"V.SetScaleToLog10()\nC++: void SetScaleToLog10 ();this SetScale VTK_CTF_LOG10 \n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkColorTransferFunction_GetScale, 1,
   (char*)"V.GetScale() -> int\nC++: int GetScale ();\n\n Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, and the range contains\n zero, the color mapping will be linear.\n"},
  {(char*)"SetAllowDuplicateScalars",                (PyCFunction)PyvtkColorTransferFunction_SetAllowDuplicateScalars, 1,
   (char*)"V.SetAllowDuplicateScalars(int)\nC++: void SetAllowDuplicateScalars (int );\n\n Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n"},
  {(char*)"GetAllowDuplicateScalars",                (PyCFunction)PyvtkColorTransferFunction_GetAllowDuplicateScalars, 1,
   (char*)"V.GetAllowDuplicateScalars() -> int\nC++: int GetAllowDuplicateScalars ();\n\n Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n"},
  {(char*)"AllowDuplicateScalarsOn",                (PyCFunction)PyvtkColorTransferFunction_AllowDuplicateScalarsOn, 1,
   (char*)"V.AllowDuplicateScalarsOn()\nC++: void AllowDuplicateScalarsOn ();\n\n Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n"},
  {(char*)"AllowDuplicateScalarsOff",                (PyCFunction)PyvtkColorTransferFunction_AllowDuplicateScalarsOff, 1,
   (char*)"V.AllowDuplicateScalarsOff()\nC++: void AllowDuplicateScalarsOff ();\n\n Toggle whether to allow duplicate scalar values in the color transfer\n function (off by default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkColorTransferFunctionDoc[] = {
  (char*)"vtkColorTransferFunction - Defines a transfer function for mapping a property to an RGB color value.\n\n",
  "Super Class:\n\n vtkScalarsToColors\n\n",
  (char*)" vtkColorTransferFunction is a color mapping in RGB or HSV space that\n uses piecewise hermite functions to allow interpolation that can be\n piecewise constant, piecewise linear, or somewhere in-between \n (a modified piecewise hermite function that squishes the function\n according to a sharpness parameter). The function also allows for\n the specification of the midpoint (the place where the functio",
  (char*)"n\n reaches the average of the two bounding nodes) as a normalize distance\n between nodes.\n\n",
  "See Also:\n\n vtkPiecewiseFunction\n\n",
  NULL
};

static vtkObjectBase *vtkColorTransferFunctionStaticNew()
{
  return vtkColorTransferFunction::New();
}

PyObject *PyVTKClass_vtkColorTransferFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkColorTransferFunctionStaticNew,
                        PyvtkColorTransferFunctionMethods,
                        (char*)"vtkColorTransferFunction",modulename,
                        (char**)vtkColorTransferFunctionDoc,
                        PyVTKClass_vtkScalarsToColorsNew(modulename));
}

