// python wrapper for vtkCompositeDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeDataIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCompositeDataIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  const char    *temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkCompositeDataIterator  *temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkCompositeDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkCompositeDataSet  *temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_InitReverseTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::InitReverseTraversal();
      }
    else
      {
      op->InitReverseTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GoToFirstItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::GoToFirstItem();
      }
    else
      {
      op->GoToFirstItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::GoToNextItem();
      }
    else
      {
      op->GoToNextItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::IsDoneWithTraversal();
      }
    else
      {
      temp20 = op->IsDoneWithTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetCurrentDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkDataObject  *temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetCurrentDataObject();
      }
    else
      {
      temp20 = op->GetCurrentDataObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetCurrentMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkInformation  *temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetCurrentMetaData();
      }
    else
      {
      temp20 = op->GetCurrentMetaData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_HasCurrentMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::HasCurrentMetaData();
      }
    else
      {
      temp20 = op->HasCurrentMetaData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SetVisitOnlyLeaves(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp0;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SetVisitOnlyLeaves(temp0);
      }
    else
      {
      op->SetVisitOnlyLeaves(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetVisitOnlyLeaves(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetVisitOnlyLeaves();
      }
    else
      {
      temp20 = op->GetVisitOnlyLeaves();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_VisitOnlyLeavesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::VisitOnlyLeavesOn();
      }
    else
      {
      op->VisitOnlyLeavesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_VisitOnlyLeavesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::VisitOnlyLeavesOff();
      }
    else
      {
      op->VisitOnlyLeavesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SetTraverseSubTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp0;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SetTraverseSubTree(temp0);
      }
    else
      {
      op->SetTraverseSubTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetTraverseSubTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetTraverseSubTree();
      }
    else
      {
      temp20 = op->GetTraverseSubTree();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_TraverseSubTreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::TraverseSubTreeOn();
      }
    else
      {
      op->TraverseSubTreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_TraverseSubTreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::TraverseSubTreeOff();
      }
    else
      {
      op->TraverseSubTreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SetSkipEmptyNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp0;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SetSkipEmptyNodes(temp0);
      }
    else
      {
      op->SetSkipEmptyNodes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetSkipEmptyNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetSkipEmptyNodes();
      }
    else
      {
      temp20 = op->GetSkipEmptyNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SkipEmptyNodesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SkipEmptyNodesOn();
      }
    else
      {
      op->SkipEmptyNodesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_SkipEmptyNodesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::SkipEmptyNodesOff();
      }
    else
      {
      op->SkipEmptyNodesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetCurrentFlatIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  unsigned int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetCurrentFlatIndex();
      }
    else
      {
      temp20 = op->GetCurrentFlatIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetReverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetReverse();
      }
    else
      {
      temp20 = op->GetReverse();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataIterator\nC++: vtkCompositeDataIterator *NewInstance ();\n\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkCompositeDataIterator_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkCompositeDataSet)\nC++: virtual void SetDataSet (vtkCompositeDataSet *ds);\n\n Set the composite dataset this iterator is iterating over. \n Must be set before traversal begins.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkCompositeDataIterator_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkCompositeDataSet\nC++: vtkCompositeDataSet *GetDataSet ();\n\n Set the composite dataset this iterator is iterating over. \n Must be set before traversal begins.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCompositeDataIterator_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: virtual void InitTraversal ();\n\n Begin iterating over the composite dataset structure.\n"},
  {(char*)"InitReverseTraversal",                (PyCFunction)PyvtkCompositeDataIterator_InitReverseTraversal, 1,
   (char*)"V.InitReverseTraversal()\nC++: virtual void InitReverseTraversal ();\n\n Begin iterating over the composite dataset structure in reverse order.\n"},
  {(char*)"GoToFirstItem",                (PyCFunction)PyvtkCompositeDataIterator_GoToFirstItem, 1,
   (char*)"V.GoToFirstItem()\nC++: virtual void GoToFirstItem ();\n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToNextItem",                (PyCFunction)PyvtkCompositeDataIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: virtual void GoToNextItem ();\n\n Move the iterator to the next item in the collection.\n"},
  {(char*)"IsDoneWithTraversal",                (PyCFunction)PyvtkCompositeDataIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> int\nC++: virtual int IsDoneWithTraversal ();\n\n Test whether the iterator is currently pointing to a valid item. Returns 1\n for yes, and 0 for no.\n"},
  {(char*)"GetCurrentDataObject",                (PyCFunction)PyvtkCompositeDataIterator_GetCurrentDataObject, 1,
   (char*)"V.GetCurrentDataObject() -> vtkDataObject\nC++: virtual vtkDataObject *GetCurrentDataObject ();\n\n Returns the current item. Valid only when IsDoneWithTraversal() returns 0.\n"},
  {(char*)"GetCurrentMetaData",                (PyCFunction)PyvtkCompositeDataIterator_GetCurrentMetaData, 1,
   (char*)"V.GetCurrentMetaData() -> vtkInformation\nC++: virtual vtkInformation *GetCurrentMetaData ();\n\n Returns the meta-data associated with the current item. This will allocate\n a new vtkInformation object is none is already present. Use\n HasCurrentMetaData to avoid unnecessary creation of vtkInformation objects.\n"},
  {(char*)"HasCurrentMetaData",                (PyCFunction)PyvtkCompositeDataIterator_HasCurrentMetaData, 1,
   (char*)"V.HasCurrentMetaData() -> int\nC++: virtual int HasCurrentMetaData ();\n\n Returns if the a meta-data information object is present for the current\n item. Return 1 on success, 0 otherwise.\n"},
  {(char*)"SetVisitOnlyLeaves",                (PyCFunction)PyvtkCompositeDataIterator_SetVisitOnlyLeaves, 1,
   (char*)"V.SetVisitOnlyLeaves(int)\nC++: void SetVisitOnlyLeaves (int );\n\n If VisitOnlyLeaves is true, the iterator will only visit nodes\n (sub-datasets) that are not composite. If it encounters a composite\n data set, it will automatically traverse that composite dataset until\n it finds non-composite datasets. With this options, it is possible to\n visit all non-composite datasets in tree of composite datasets\n (composite of composite of composite for example :-) ) If\n VisitOnlyLeaves is false, GetCurrentDataObject() may return\n vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.\n"},
  {(char*)"GetVisitOnlyLeaves",                (PyCFunction)PyvtkCompositeDataIterator_GetVisitOnlyLeaves, 1,
   (char*)"V.GetVisitOnlyLeaves() -> int\nC++: int GetVisitOnlyLeaves ();\n\n If VisitOnlyLeaves is true, the iterator will only visit nodes\n (sub-datasets) that are not composite. If it encounters a composite\n data set, it will automatically traverse that composite dataset until\n it finds non-composite datasets. With this options, it is possible to\n visit all non-composite datasets in tree of composite datasets\n (composite of composite of composite for example :-) ) If\n VisitOnlyLeaves is false, GetCurrentDataObject() may return\n vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.\n"},
  {(char*)"VisitOnlyLeavesOn",                (PyCFunction)PyvtkCompositeDataIterator_VisitOnlyLeavesOn, 1,
   (char*)"V.VisitOnlyLeavesOn()\nC++: void VisitOnlyLeavesOn ();\n\n If VisitOnlyLeaves is true, the iterator will only visit nodes\n (sub-datasets) that are not composite. If it encounters a composite\n data set, it will automatically traverse that composite dataset until\n it finds non-composite datasets. With this options, it is possible to\n visit all non-composite datasets in tree of composite datasets\n (composite of composite of composite for example :-) ) If\n VisitOnlyLeaves is false, GetCurrentDataObject() may return\n vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.\n"},
  {(char*)"VisitOnlyLeavesOff",                (PyCFunction)PyvtkCompositeDataIterator_VisitOnlyLeavesOff, 1,
   (char*)"V.VisitOnlyLeavesOff()\nC++: void VisitOnlyLeavesOff ();\n\n If VisitOnlyLeaves is true, the iterator will only visit nodes\n (sub-datasets) that are not composite. If it encounters a composite\n data set, it will automatically traverse that composite dataset until\n it finds non-composite datasets. With this options, it is possible to\n visit all non-composite datasets in tree of composite datasets\n (composite of composite of composite for example :-) ) If\n VisitOnlyLeaves is false, GetCurrentDataObject() may return\n vtkCompositeDataSet. By default, VisitOnlyLeaves is 1.\n"},
  {(char*)"SetTraverseSubTree",                (PyCFunction)PyvtkCompositeDataIterator_SetTraverseSubTree, 1,
   (char*)"V.SetTraverseSubTree(int)\nC++: void SetTraverseSubTree (int );\n\n If TraverseSubTree is set to true, the iterator will visit the entire tree\n structure, otherwise it only visits the first level children. Set to 1 by\n default.\n"},
  {(char*)"GetTraverseSubTree",                (PyCFunction)PyvtkCompositeDataIterator_GetTraverseSubTree, 1,
   (char*)"V.GetTraverseSubTree() -> int\nC++: int GetTraverseSubTree ();\n\n If TraverseSubTree is set to true, the iterator will visit the entire tree\n structure, otherwise it only visits the first level children. Set to 1 by\n default.\n"},
  {(char*)"TraverseSubTreeOn",                (PyCFunction)PyvtkCompositeDataIterator_TraverseSubTreeOn, 1,
   (char*)"V.TraverseSubTreeOn()\nC++: void TraverseSubTreeOn ();\n\n If TraverseSubTree is set to true, the iterator will visit the entire tree\n structure, otherwise it only visits the first level children. Set to 1 by\n default.\n"},
  {(char*)"TraverseSubTreeOff",                (PyCFunction)PyvtkCompositeDataIterator_TraverseSubTreeOff, 1,
   (char*)"V.TraverseSubTreeOff()\nC++: void TraverseSubTreeOff ();\n\n If TraverseSubTree is set to true, the iterator will visit the entire tree\n structure, otherwise it only visits the first level children. Set to 1 by\n default.\n"},
  {(char*)"SetSkipEmptyNodes",                (PyCFunction)PyvtkCompositeDataIterator_SetSkipEmptyNodes, 1,
   (char*)"V.SetSkipEmptyNodes(int)\nC++: void SetSkipEmptyNodes (int );\n\n If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n"},
  {(char*)"GetSkipEmptyNodes",                (PyCFunction)PyvtkCompositeDataIterator_GetSkipEmptyNodes, 1,
   (char*)"V.GetSkipEmptyNodes() -> int\nC++: int GetSkipEmptyNodes ();\n\n If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n"},
  {(char*)"SkipEmptyNodesOn",                (PyCFunction)PyvtkCompositeDataIterator_SkipEmptyNodesOn, 1,
   (char*)"V.SkipEmptyNodesOn()\nC++: void SkipEmptyNodesOn ();\n\n If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n"},
  {(char*)"SkipEmptyNodesOff",                (PyCFunction)PyvtkCompositeDataIterator_SkipEmptyNodesOff, 1,
   (char*)"V.SkipEmptyNodesOff()\nC++: void SkipEmptyNodesOff ();\n\n If SkipEmptyNodes is true, then NULL datasets will be skipped. Default is\n true.\n"},
  {(char*)"GetCurrentFlatIndex",                (PyCFunction)PyvtkCompositeDataIterator_GetCurrentFlatIndex, 1,
   (char*)"V.GetCurrentFlatIndex() -> int\nC++: unsigned int GetCurrentFlatIndex ();\n\n Flat index is an index obtained by traversing the tree in preorder.\n This can be used to uniquely identify nodes in the tree.\n Not valid if IsDoneWithTraversal() returns true.\n"},
  {(char*)"GetReverse",                (PyCFunction)PyvtkCompositeDataIterator_GetReverse, 1,
   (char*)"V.GetReverse() -> int\nC++: int GetReverse ();\n\n Returns if the iteration is in reverse order.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataIteratorDoc[] = {
  (char*)"vtkCompositeDataIterator - superclass for composite data iterators\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCompositeDataIterator provides an interface for accessing datasets\n in a collection (vtkCompositeDataIterator). \n\n",
  NULL
};

static vtkObjectBase *vtkCompositeDataIteratorStaticNew()
{
  return vtkCompositeDataIterator::New();
}

PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeDataIteratorStaticNew,
                        PyvtkCompositeDataIteratorMethods,
                        (char*)"vtkCompositeDataIterator",modulename,
                        (char**)vtkCompositeDataIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

