// python wrapper for vtkCompositeDataPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeDataPipeline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamingDemandDrivenPipelineNew(char *); }

static PyObject *PyvtkCompositeDataPipeline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  const char    *temp20;
  op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  vtkCompositeDataPipeline  *temp20;
  op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositeDataPipeline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositeDataPipeline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_GetCompositeOutputData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  int      temp0;
  vtkDataObject  *temp20;
  op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::GetCompositeOutputData(temp0);
      }
    else
      {
      temp20 = op->GetCompositeOutputData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_REQUIRES_TIME_DOWNSTREAM(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::REQUIRES_TIME_DOWNSTREAM();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataPipelineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataPipeline\nC++: vtkCompositeDataPipeline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositeDataPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeDataPipeline\nC++: vtkCompositeDataPipeline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCompositeOutputData",                (PyCFunction)PyvtkCompositeDataPipeline_GetCompositeOutputData, 1,
   (char*)"V.GetCompositeOutputData(int) -> vtkDataObject\nC++: vtkDataObject *GetCompositeOutputData (int port);\n\n Returns the data object stored with the DATA_OBJECT() in the\n output port\n"},
  {(char*)"REQUIRES_TIME_DOWNSTREAM",                (PyCFunction)PyvtkCompositeDataPipeline_REQUIRES_TIME_DOWNSTREAM, 1,
   (char*)"V.REQUIRES_TIME_DOWNSTREAM() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *REQUIRES_TIME_DOWNSTREAM ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataPipelineDoc[] = {
  (char*)"vtkCompositeDataPipeline - Executive supporting composite datasets.\n\n",
  "Super Class:\n\n vtkStreamingDemandDrivenPipeline\n\n",
  (char*)" vtkCompositeDataPipeline is an executive that supports the processing of\n composite dataset. It supports algorithms that are aware of composite\n dataset as well as those that are not. Type checking is performed at run\n time. Algorithms that are not composite dataset-aware have to support\n all dataset types contained in the composite dataset. The pipeline\n execution can be summarized as follows: \n",
  (char*)"\n * REQUEST_INFORMATION: The producers have to provide information about\n the contents of the composite dataset in this pass. \n Sources that can produce more than one piece (note that a piece is\n different than a block; each piece consistes of 0 or more blocks) should\n set MAXIMUM_NUMBER_OF_PIECES to -1.\n\n * REQUEST_UPDATE_EXTENT: This pass is identical to the one implemented\n in vtkStreamingDeman",
  (char*)"dDrivenPipeline\n\n * REQUEST_DATA: This is where the algorithms execute. If the \n vtkCompositeDataPipeline is assigned to a simple filter, \n it will invoke the  vtkStreamingDemandDrivenPipeline passes in a loop, \n passing a different block each time and will collect the results in a \n composite dataset. \n .SECTION See also\n  vtkCompositeDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkCompositeDataPipelineStaticNew()
{
  return vtkCompositeDataPipeline::New();
}

PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeDataPipelineStaticNew,
                        PyvtkCompositeDataPipelineMethods,
                        (char*)"vtkCompositeDataPipeline",modulename,
                        (char**)vtkCompositeDataPipelineDoc,
                        PyVTKClass_vtkStreamingDemandDrivenPipelineNew(modulename));
}

