// python wrapper for vtkCompositeDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkCompositeDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  const char    *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataSet  *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  int      temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetProducerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetProducerPort();
      }
    else
      {
      temp20 = op->GetProducerPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataSet");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::SetDataSet(temp0,temp1);
      }
    else
      {
      op->SetDataSet(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_HasMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkIdType   temp20;
  op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataSet\nC++: vtkCompositeDataSet *NewInstance ();\n\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkCompositeDataSet_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkCompositeDataIterator\nC++: virtual vtkCompositeDataIterator *NewIterator ();\n\n Return a new iterator (the iterator has to be deleted by user).\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkCompositeDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_COMPOSITE_DATA_SET \n\n Get the port currently producing this object.\n"},
  {(char*)"GetProducerPort",                (PyCFunction)PyvtkCompositeDataSet_GetProducerPort, 1,
   (char*)"V.GetProducerPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetProducerPort ();\n\n Get the port currently producing this object.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkCompositeDataSet_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkCompositeDataSet)\nC++: virtual void CopyStructure (vtkCompositeDataSet *input);\n\n Copies the tree structure from the input. All pointers to non-composite\n data objects are intialized to NULL. This also shallow copies the meta data\n associated with all the nodes.\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkCompositeDataSet_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkCompositeDataIterator, vtkDataObject)\nC++: virtual void SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj);\n\n Sets the data set at the location pointed by the iterator.\n The iterator does not need to be iterating over this dataset itself. It can\n be any composite datasite with similar structure (achieved by using\n CopyStructure).\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkCompositeDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet(vtkCompositeDataIterator) -> vtkDataObject\nC++: virtual vtkDataObject *GetDataSet (vtkCompositeDataIterator *iter);\n\n Returns the dataset located at the positiong pointed by the iterator.\n The iterator does not need to be iterating over this dataset itself. It can\n be an iterator for composite dataset with similar structure (achieved by\n using CopyStructure).\n"},
  {(char*)"GetMetaData",                (PyCFunction)PyvtkCompositeDataSet_GetMetaData, 1,
   (char*)"V.GetMetaData(vtkCompositeDataIterator) -> vtkInformation\nC++: virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);\n\n Returns the meta-data associated with the position pointed by the iterator.\n This will create a new vtkInformation object if none already exists. Use\n HasMetaData to avoid creating the vtkInformation object unnecessarily.\n The iterator does not need to be iterating over this dataset itself. It can\n be an iterator for composite dataset with similar structure (achieved by\n using CopyStructure).\n"},
  {(char*)"HasMetaData",                (PyCFunction)PyvtkCompositeDataSet_HasMetaData, 1,
   (char*)"V.HasMetaData(vtkCompositeDataIterator) -> int\nC++: virtual int HasMetaData (vtkCompositeDataIterator *iter);\n\n Returns if any meta-data associated with the position pointed by the iterator.\n The iterator does not need to be iterating over this dataset itself. It can\n be an iterator for composite dataset with similar structure (achieved by\n using CopyStructure).\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCompositeDataSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkCompositeDataSet_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCompositeDataSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkCompositeDataSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Returns the total number of points of all blocks. This will\n iterate over all blocks and call GetNumberOfPoints() so it\n might be expansive.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataSetDoc[] = {
  (char*)"vtkCompositeDataSet - abstact superclass for composite \n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkCompositeDataSet is an abstract class that represents a collection\n of datasets (including other composite datasets). It\n provides an interface to access the datasets through iterators.\n vtkCompositeDataSet provides methods are used by subclasses to store the datasets.\n vtkCompositeDataSet provides the datastructure for a full tree \n representation. Subclasses provide the semantics for it and ",
  (char*)"control how\n this tree is buit.\n\n",
  "See Also:\n\n vtkCompositeDataIterator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCompositeDataSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCompositeDataSetMethods,
                        (char*)"vtkCompositeDataSet",modulename,
                        (char**)vtkCompositeDataSetDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

