// python wrapper for vtkCone object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCone.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkCone_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  const char    *temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  char    *temp0;
  int      temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  vtkCone  *temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCone  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCone::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCone_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double temp0[3];
  double   temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCone *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double temp0[3];
  double temp1[3];
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCone::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double   temp0;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCone::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_GetAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double   temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::GetAngleMinValue();
      }
    else
      {
      temp20 = op->GetAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_GetAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double   temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::GetAngleMaxValue();
      }
    else
      {
      temp20 = op->GetAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCone_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCone *op;

  double   temp20;
  op = (vtkCone *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCone::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCone_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCone_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCone_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCone\nC++: vtkCone *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCone_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCone\nC++: vtkCone *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkCone_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkCone_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkCone_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double );\n\n Set/Get the cone angle (expressed in degrees).\n"},
  {(char*)"GetAngleMinValue",                (PyCFunction)PyvtkCone_GetAngleMinValue, 1,
   (char*)"V.GetAngleMinValue() -> float\nC++: double GetAngleMinValue ();\n\n Set/Get the cone angle (expressed in degrees).\n"},
  {(char*)"GetAngleMaxValue",                (PyCFunction)PyvtkCone_GetAngleMaxValue, 1,
   (char*)"V.GetAngleMaxValue() -> float\nC++: double GetAngleMaxValue ();\n\n Set/Get the cone angle (expressed in degrees).\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkCone_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n Set/Get the cone angle (expressed in degrees).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConeDoc[] = {
  (char*)"vtkCone - implicit function for a cone\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkCone computes the implicit function and function gradient for a cone.\n vtkCone is a concrete implementation of vtkImplicitFunction. The cone vertex\n is located at the origin with axis of rotation coincident with x-axis. (Use\n the superclass' vtkImplicitFunction transformation matrix if necessary to \n reposition.) The angle specifies the angle between the axis of rotation \n and the side of the ",
  (char*)"cone.\n\n",
  "Caveats:\n\n The cone is infinite in extent. To truncate the cone use the \n vtkImplicitBoolean in combination with clipping planes.\n\n",
  NULL
};

static vtkObjectBase *vtkConeStaticNew()
{
  return vtkCone::New();
}

PyObject *PyVTKClass_vtkConeNew(char *modulename)
{
  return PyVTKClass_New(&vtkConeStaticNew,
                        PyvtkConeMethods,
                        (char*)"vtkCone",modulename,
                        (char**)vtkConeDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

