// python wrapper for vtkCylinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCylinder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCylinderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCylinderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkCylinder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  const char    *temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  char    *temp0;
  int      temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  vtkCylinder  *temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCylinder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCylinder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCylinder_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double temp0[3];
  double   temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double temp0[3];
  double temp1[3];
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinder::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double   temp0;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinder::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double   temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinder::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinder::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinder_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinder *op;

  double  *temp20;
  op = (vtkCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinder::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCylinderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCylinder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCylinder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCylinder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCylinder\nC++: vtkCylinder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCylinder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCylinder\nC++: vtkCylinder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkCylinder_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkCylinder_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkCylinder_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set/Get cylinder radius.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkCylinder_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set/Get cylinder radius.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkCylinder_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get cylinder center\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkCylinder_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get cylinder center\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCylinderDoc[] = {
  (char*)"vtkCylinder - implicit function for a cylinder\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkCylinder computes the implicit function and function gradient for a\n cylinder. vtkCylinder is a concrete implementation of vtkImplicitFunction.\n Cylinder is centered at Center and axes of rotation is along the\n y-axis. (Use the superclass' vtkImplicitFunction transformation matrix if\n necessary to reposition.)\n\n",
  "Caveats:\n\n The cylinder is infinite in extent. To truncate the cylinder use the \n vtkImplicitBoolean in combination with clipping planes.\n\n",
  NULL
};

static vtkObjectBase *vtkCylinderStaticNew()
{
  return vtkCylinder::New();
}

PyObject *PyVTKClass_vtkCylinderNew(char *modulename)
{
  return PyVTKClass_New(&vtkCylinderStaticNew,
                        PyvtkCylinderMethods,
                        (char*)"vtkCylinder",modulename,
                        (char**)vtkCylinderDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

