// python wrapper for vtkDataObjectAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkDataObjectAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  const char    *temp20;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObjectAlgorithm  *temp20;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObject  *temp20;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectAlgorithm::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObject  *temp20;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectAlgorithm::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDataObjectAlgorithm_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkDataObjectAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataObjectAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkDataObjectAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectAlgorithm\nC++: vtkDataObjectAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectAlgorithm\nC++: vtkDataObjectAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataObjectAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: vtkDataObject *GetOutput ();\nV.GetOutput(int) -> vtkDataObject\nC++: vtkDataObject *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkDataObjectAlgorithm_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput (vtkDataObject *d);\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataObjectAlgorithm_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\nV.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int port);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataObjectAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkDataObjectAlgorithm_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectAlgorithmDoc[] = {
  (char*)"vtkDataObjectAlgorithm - Superclass for algorithms that produce only data object as output\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectAlgorithmStaticNew()
{
  return vtkDataObjectAlgorithm::New();
}

PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectAlgorithmStaticNew,
                        PyvtkDataObjectAlgorithmMethods,
                        (char*)"vtkDataObjectAlgorithm",modulename,
                        (char**)vtkDataObjectAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

