// python wrapper for vtkDataObjectCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkDataObjectCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  const char    *temp20;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  vtkDataObjectCollection  *temp20;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  vtkDataObject  *temp20;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectCollection_GetItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectCollection *op;

  int      temp0;
  vtkDataObject  *temp20;
  op = (vtkDataObjectCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectCollection::GetItem(temp0);
      }
    else
      {
      temp20 = op->GetItem(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectCollection\nC++: vtkDataObjectCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectCollection\nC++: vtkDataObjectCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkDataObjectCollection_AddItem, 1,
   (char*)"V.AddItem(vtkDataObject)\nC++: void AddItem (vtkDataObject *ds);this vtkCollection AddItem ds \n\n Get the next data object in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkDataObjectCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkDataObject\nC++: vtkDataObject *GetNextItem ();return static_cast vtkDataObject this GetNextItemAsObject \n\n Get the ith data object in the list.\n"},
  {(char*)"GetItem",                (PyCFunction)PyvtkDataObjectCollection_GetItem, 1,
   (char*)"V.GetItem(int) -> vtkDataObject\nC++: vtkDataObject *GetItem (int i);return static_cast vtkDataObject this GetItemAsObject i \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectCollectionDoc[] = {
  (char*)"vtkDataObjectCollection - maintain an unordered list of data objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkDataObjectCollection is an object that creates and manipulates lists of\n data objects. See also vtkCollection and subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectCollectionStaticNew()
{
  return vtkDataObjectCollection::New();
}

PyObject *PyVTKClass_vtkDataObjectCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectCollectionStaticNew,
                        PyvtkDataObjectCollectionMethods,
                        (char*)"vtkDataObjectCollection",modulename,
                        (char**)vtkDataObjectCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

