// python wrapper for vtkDataObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  const char    *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkDataObject  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObject::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObject_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkSource  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkSource  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSource");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDataObject_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetInformation();
      }
    else
      {
      temp20 = op->GetInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetInformation(temp0);
      }
    else
      {
      op->SetInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataObject_GetPipelineInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetPipelineInformation();
      }
    else
      {
      temp20 = op->GetPipelineInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetPipelineInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetPipelineInformation(temp0);
      }
    else
      {
      op->SetPipelineInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkDataObject_GetProducerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkAlgorithmOutput  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetProducerPort();
      }
    else
      {
      temp20 = op->GetProducerPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  unsigned long     temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ReleaseData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::ReleaseData();
      }
    else
      {
      op->ReleaseData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ShouldIReleaseData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::ShouldIReleaseData();
      }
    else
      {
      temp20 = op->ShouldIReleaseData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetDataReleased(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetDataReleased();
      }
    else
      {
      temp20 = op->GetDataReleased();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetReleaseDataFlag(temp0);
      }
    else
      {
      op->SetReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetReleaseDataFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ReleaseDataFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::ReleaseDataFlagOn();
      }
    else
      {
      op->ReleaseDataFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ReleaseDataFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::ReleaseDataFlagOff();
      }
    else
      {
      op->ReleaseDataFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetGlobalReleaseDataFlag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkDataObject::SetGlobalReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GlobalReleaseDataFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::GlobalReleaseDataFlagOn();
      }
    else
      {
      op->GlobalReleaseDataFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GlobalReleaseDataFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::GlobalReleaseDataFlagOff();
      }
    else
      {
      op->GlobalReleaseDataFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetGlobalReleaseDataFlag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::GetGlobalReleaseDataFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetFieldData(temp0);
      }
    else
      {
      op->SetFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkDataObject_GetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkFieldData  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetFieldData();
      }
    else
      {
      temp20 = op->GetFieldData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkDataObject_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkDataObject_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_PropagateUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::PropagateUpdateExtent();
      }
    else
      {
      op->PropagateUpdateExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_TriggerAsynchronousUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::TriggerAsynchronousUpdate();
      }
    else
      {
      op->TriggerAsynchronousUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_UpdateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::UpdateData();
      }
    else
      {
      op->UpdateData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetEstimatedMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  unsigned long     temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetEstimatedMemorySize();
      }
    else
      {
      temp20 = op->GetEstimatedMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateExtent(temp0,temp1,temp2);
      }
    else
      {
      op->SetUpdateExtent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateExtent(temp0,temp1);
      }
    else
      {
      op->SetUpdateExtent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateExtent(temp0);
      }
    else
      {
      op->SetUpdateExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int     *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetUpdateExtent();
      }
    else
      {
      temp20 = op->GetUpdateExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::GetUpdateExtent(temp0);
      }
    else
      {
      op->GetUpdateExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetUpdateTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  unsigned long     temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetUpdateTime();
      }
    else
      {
      temp20 = op->GetUpdateTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetUpdateExtentToWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateExtentToWholeExtent();
      }
    else
      {
      op->SetUpdateExtentToWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetPipelineMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  unsigned long     temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetPipelineMTime();
      }
    else
      {
      temp20 = op->GetPipelineMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  unsigned long     temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_CopyInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::CopyInformation(temp0);
      }
    else
      {
      op->CopyInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkDataObject_CopyTypeSpecificInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::CopyTypeSpecificInformation(temp0);
      }
    else
      {
      op->CopyTypeSpecificInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkDataObject_SetUpdatePiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdatePiece(temp0);
      }
    else
      {
      op->SetUpdatePiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetUpdateNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateNumberOfPieces(temp0);
      }
    else
      {
      op->SetUpdateNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetUpdatePiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetUpdatePiece();
      }
    else
      {
      temp20 = op->GetUpdatePiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetUpdateNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetUpdateNumberOfPieces();
      }
    else
      {
      temp20 = op->GetUpdateNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetUpdateGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetUpdateGhostLevel(temp0);
      }
    else
      {
      op->SetUpdateGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetUpdateGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetUpdateGhostLevel();
      }
    else
      {
      temp20 = op->GetUpdateGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetRequestExactExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetRequestExactExtent(temp0);
      }
    else
      {
      op->SetRequestExactExtent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetRequestExactExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetRequestExactExtent();
      }
    else
      {
      temp20 = op->GetRequestExactExtent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_RequestExactExtentOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::RequestExactExtentOn();
      }
    else
      {
      op->RequestExactExtentOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_RequestExactExtentOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::RequestExactExtentOff();
      }
    else
      {
      op->RequestExactExtentOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int     *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::GetWholeExtent(temp0);
      }
    else
      {
      op->GetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetWholeBoundingBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetWholeBoundingBox(temp0);
      }
    else
      {
      op->SetWholeBoundingBox(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetWholeBoundingBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  double  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetWholeBoundingBox();
      }
    else
      {
      temp20 = op->GetWholeBoundingBox();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataObject *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::GetWholeBoundingBox(temp0);
      }
    else
      {
      op->GetWholeBoundingBox(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SetMaximumNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetMaximumNumberOfPieces(temp0);
      }
    else
      {
      op->SetMaximumNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetMaximumNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetMaximumNumberOfPieces();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_CopyInformationToPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  vtkInformation  *temp2;
  PyObject *tempH2;
  int      temp3;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"OOOi", &tempH0, &tempH1, &tempH2, &temp3);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break67;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break67;
    temp2 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkInformation");
    if (!temp2 && tempH2 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::CopyInformationToPipeline(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break67:
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break68;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break68;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::CopyInformationToPipeline(temp0,temp1);
      }
    else
      {
      op->CopyInformationToPipeline(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break68:
  return NULL;
}


static PyObject *PyvtkDataObject_CopyInformationFromPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break69;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::CopyInformationFromPipeline(temp0);
      }
    else
      {
      op->CopyInformationFromPipeline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break69:
  return NULL;
}


static PyObject *PyvtkDataObject_GetActiveFieldInformation(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break70;
      {
      temp20 = vtkDataObject::GetActiveFieldInformation(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break70:
  return NULL;
}


static PyObject *PyvtkDataObject_GetNamedFieldInformation(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  char    *temp2;
  vtkInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oiz", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break71;
      {
      temp20 = vtkDataObject::GetNamedFieldInformation(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break71:
  return NULL;
}


static PyObject *PyvtkDataObject_RemoveNamedFieldInformation(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  char    *temp2;
  if ((PyArg_ParseTuple(args, (char*)"Oiz", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break72;
      {
      vtkDataObject::RemoveNamedFieldInformation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break72:
  return NULL;
}


static PyObject *PyvtkDataObject_SetActiveAttribute(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  char    *temp2;
  int      temp3;
  vtkInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oizi", &tempH0, &temp1, &temp2, &temp3)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break73;
      {
      temp20 = vtkDataObject::SetActiveAttribute(temp0,temp1,temp2,temp3);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break73:
  return NULL;
}


static PyObject *PyvtkDataObject_SetActiveAttributeInfo(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  if ((PyArg_ParseTuple(args, (char*)"Oiiziii", &tempH0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break74;
      {
      vtkDataObject::SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break74:
  return NULL;
}


static PyObject *PyvtkDataObject_SetPointDataActiveScalarInfo(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break75;
      {
      vtkDataObject::SetPointDataActiveScalarInfo(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break75:
  return NULL;
}


static PyObject *PyvtkDataObject_DataHasBeenGenerated(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::DataHasBeenGenerated();
      }
    else
      {
      op->DataHasBeenGenerated();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_PrepareForNewData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::PrepareForNewData();
      }
    else
      {
      op->PrepareForNewData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkDataObject_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break79;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break79:
  return NULL;
}


static PyObject *PyvtkDataObject_SetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkExtentTranslator  *temp0;
  PyObject *tempH0;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExtentTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExtentTranslator");
    if (!temp0 && tempH0 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::SetExtentTranslator(temp0);
      }
    else
      {
      op->SetExtentTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break80:
  return NULL;
}


static PyObject *PyvtkDataObject_GetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  vtkExtentTranslator  *temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetExtentTranslator();
      }
    else
      {
      temp20 = op->GetExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  int      temp20;
  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObject::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_Crop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObject *op;

  op = (vtkDataObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObject::Crop();
      }
    else
      {
      op->Crop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_GetAssociationTypeAsString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataObject::GetAssociationTypeAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_TYPE_NAME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_TYPE_NAME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_OBJECT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_OBJECT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_EXTENT_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_EXTENT_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_EXTENT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerPointerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_EXTENT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_PIECE_NUMBER(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_PIECE_NUMBER();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_NUMBER_OF_PIECES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_NUMBER_OF_PIECES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_NUMBER_OF_GHOST_LEVELS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_NUMBER_OF_GHOST_LEVELS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_TIME_STEPS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_TIME_STEPS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_POINT_DATA_VECTOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::POINT_DATA_VECTOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_CELL_DATA_VECTOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::CELL_DATA_VECTOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_VERTEX_DATA_VECTOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::VERTEX_DATA_VECTOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_EDGE_DATA_VECTOR(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::EDGE_DATA_VECTOR();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_ARRAY_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_ARRAY_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_ASSOCIATION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_ASSOCIATION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_ATTRIBUTE_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_ATTRIBUTE_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_ACTIVE_ATTRIBUTE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_ACTIVE_ATTRIBUTE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_NUMBER_OF_COMPONENTS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_NUMBER_OF_COMPONENTS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_NUMBER_OF_TUPLES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_NUMBER_OF_TUPLES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_OPERATION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_OPERATION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_RANGE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_RANGE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_FIELD_NAME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::FIELD_NAME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_ORIGIN(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::ORIGIN();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_SPACING(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::SPACING();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObject_DATA_GEOMETRY_UNMODIFIED(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDataObject::DATA_GEOMETRY_UNMODIFIED();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObject\nC++: vtkDataObject *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObject_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObject\nC++: vtkDataObject *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkDataObject_GetSource, 1,
   (char*)"V.GetSource() -> vtkSource\nC++: vtkSource *GetSource ();\n\n Set/Get the source object creating this data object.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkDataObject_SetSource, 1,
   (char*)"V.SetSource(vtkSource)\nC++: void SetSource (vtkSource *s);\n\n Set/Get the source object creating this data object.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkDataObject_GetInformation, 1,
   (char*)"V.GetInformation() -> vtkInformation\nC++: vtkInformation *GetInformation ();\n\n Set/Get the information object associated with this data object.\n"},
  {(char*)"SetInformation",                (PyCFunction)PyvtkDataObject_SetInformation, 1,
   (char*)"V.SetInformation(vtkInformation)\nC++: virtual void SetInformation (vtkInformation *);\n\n Set/Get the information object associated with this data object.\n"},
  {(char*)"GetPipelineInformation",                (PyCFunction)PyvtkDataObject_GetPipelineInformation, 1,
   (char*)"V.GetPipelineInformation() -> vtkInformation\nC++: vtkInformation *GetPipelineInformation ();\n\n Get/Set the pipeline information object that owns this data\n object.\n"},
  {(char*)"SetPipelineInformation",                (PyCFunction)PyvtkDataObject_SetPipelineInformation, 1,
   (char*)"V.SetPipelineInformation(vtkInformation)\nC++: virtual void SetPipelineInformation (vtkInformation *);\n\n Get/Set the pipeline information object that owns this data\n object.\n"},
  {(char*)"GetProducerPort",                (PyCFunction)PyvtkDataObject_GetProducerPort, 1,
   (char*)"V.GetProducerPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetProducerPort ();\n\n Get the port currently producing this object.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDataObject_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Data objects are composite objects and need to check each part for MTime.\n The information object also needs to be considered.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkDataObject_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"ReleaseData",                (PyCFunction)PyvtkDataObject_ReleaseData, 1,
   (char*)"V.ReleaseData()\nC++: void ReleaseData ();\n\n Release data back to system to conserve memory resource. Used during\n visualization network execution.  Releasing this data does not make \n down-stream data invalid, so it does not modify the MTime of this \n data object.\n"},
  {(char*)"ShouldIReleaseData",                (PyCFunction)PyvtkDataObject_ShouldIReleaseData, 1,
   (char*)"V.ShouldIReleaseData() -> int\nC++: int ShouldIReleaseData ();\n\n Return flag indicating whether data should be released after use  \n by a filter.\n"},
  {(char*)"GetDataReleased",                (PyCFunction)PyvtkDataObject_GetDataReleased, 1,
   (char*)"V.GetDataReleased() -> int\nC++: int GetDataReleased ();\n\n Get the flag indicating the data has been released.\n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkDataObject_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int)\nC++: void SetReleaseDataFlag (int );\n\n Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n"},
  {(char*)"GetReleaseDataFlag",                (PyCFunction)PyvtkDataObject_GetReleaseDataFlag, 1,
   (char*)"V.GetReleaseDataFlag() -> int\nC++: int GetReleaseDataFlag ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n"},
  {(char*)"ReleaseDataFlagOn",                (PyCFunction)PyvtkDataObject_ReleaseDataFlagOn, 1,
   (char*)"V.ReleaseDataFlagOn()\nC++: void ReleaseDataFlagOn ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n"},
  {(char*)"ReleaseDataFlagOff",                (PyCFunction)PyvtkDataObject_ReleaseDataFlagOff, 1,
   (char*)"V.ReleaseDataFlagOff()\nC++: void ReleaseDataFlagOff ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n"},
  {(char*)"SetGlobalReleaseDataFlag",                (PyCFunction)PyvtkDataObject_SetGlobalReleaseDataFlag, 1,
   (char*)"V.SetGlobalReleaseDataFlag(int)\nC++: static void SetGlobalReleaseDataFlag (int val);\n\n Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n"},
  {(char*)"GlobalReleaseDataFlagOn",                (PyCFunction)PyvtkDataObject_GlobalReleaseDataFlagOn, 1,
   (char*)"V.GlobalReleaseDataFlagOn()\nC++: void GlobalReleaseDataFlagOn ();this SetGlobalReleaseDataFlag \n\n Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n"},
  {(char*)"GlobalReleaseDataFlagOff",                (PyCFunction)PyvtkDataObject_GlobalReleaseDataFlagOff, 1,
   (char*)"V.GlobalReleaseDataFlagOff()\nC++: void GlobalReleaseDataFlagOff ();this SetGlobalReleaseDataFlag \n\n Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n"},
  {(char*)"GetGlobalReleaseDataFlag",                (PyCFunction)PyvtkDataObject_GetGlobalReleaseDataFlag, 1,
   (char*)"V.GetGlobalReleaseDataFlag() -> int\nC++: static int GetGlobalReleaseDataFlag ();\n\n Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n"},
  {(char*)"SetFieldData",                (PyCFunction)PyvtkDataObject_SetFieldData, 1,
   (char*)"V.SetFieldData(vtkFieldData)\nC++: virtual void SetFieldData (vtkFieldData *);\n\n Assign or retrieve field data to this data object.\n"},
  {(char*)"GetFieldData",                (PyCFunction)PyvtkDataObject_GetFieldData, 1,
   (char*)"V.GetFieldData() -> vtkFieldData\nC++: vtkFieldData *GetFieldData ();\n\n Assign or retrieve field data to this data object.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkDataObject_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkDataObject_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkDataObject_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Provides opportunity for the data object to insure internal \n consistency before access. Also causes owning source/filter \n (if any) to update itself. The Update() method is composed of \n UpdateInformation(), PropagateUpdateExtent(), \n TriggerAsynchronousUpdate(), and UpdateData().\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkDataObject_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Update all the \"easy to update\" information about the object such\n as the extent which will be used to control the update.\n This propagates all the way up then back down the pipeline.\n As a by-product the PipelineMTime is updated.\n"},
  {(char*)"PropagateUpdateExtent",                (PyCFunction)PyvtkDataObject_PropagateUpdateExtent, 1,
   (char*)"V.PropagateUpdateExtent()\nC++: virtual void PropagateUpdateExtent ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n The update extent for this object is propagated up the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {(char*)"TriggerAsynchronousUpdate",                (PyCFunction)PyvtkDataObject_TriggerAsynchronousUpdate, 1,
   (char*)"V.TriggerAsynchronousUpdate()\nC++: virtual void TriggerAsynchronousUpdate ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate back up the pipeline for ports and trigger the update on the\n other side of the port to allow for asynchronous parallel processing in\n the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {(char*)"UpdateData",                (PyCFunction)PyvtkDataObject_UpdateData, 1,
   (char*)"V.UpdateData()\nC++: virtual void UpdateData ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate the update back up the pipeline, and perform the actual \n work of updating on the way down. When the propagate arrives at a\n port, block and wait for the asynchronous update to finish on the\n other side.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {(char*)"GetEstimatedMemorySize",                (PyCFunction)PyvtkDataObject_GetEstimatedMemorySize, 1,
   (char*)"V.GetEstimatedMemorySize() -> int\nC++: virtual unsigned long GetEstimatedMemorySize ();\n\n Get the estimated size of this data object itself. Should be called\n after UpdateInformation() and PropagateUpdateExtent() have both been \n called. Should be overridden in a subclass - otherwise the default\n is to assume that this data object requires no memory.\n The size is returned in kilobytes.\n"},
  {(char*)"SetUpdateExtent",                (PyCFunction)PyvtkDataObject_SetUpdateExtent, 1,
   (char*)"V.SetUpdateExtent(int, int, int)\nC++: virtual void SetUpdateExtent (int piece, int numPieces, int ghostLevel);\nV.SetUpdateExtent(int, int)\nC++: void SetUpdateExtent (int piece, int numPieces);this SetUpdateExtent piece numPieces \nV.SetUpdateExtent(int, int, int, int, int, int)\nC++: virtual void SetUpdateExtent (int x0, int x1, int y0, int y1, int z0, int z1);\nV.SetUpdateExtent((int, int, int, int, int, int))\nC++: virtual void SetUpdateExtent (int extent[6]);\n\n A generic way of specifying an update extent.  Subclasses\n must decide what a piece is.  When the NumberOfPieces is zero, then\n no data is requested, and the source will not execute.\n"},
  {(char*)"GetUpdateExtent",                (PyCFunction)PyvtkDataObject_GetUpdateExtent, 1,
   (char*)"V.GetUpdateExtent() -> (int, int, int, int, int, int)\nC++: virtual int *GetUpdateExtent ();\nV.GetUpdateExtent((int, int, int, int, int, int))\nC++: virtual void GetUpdateExtent (int extent[6]);\n\n Set the update extent for data objects that use 3D extents. Using this\n method on data objects that set extents as pieces (such as vtkPolyData or\n vtkUnstructuredGrid) has no real effect.\n Don't use the set macro to set the update extent\n since we don't want this object to be modified just due to\n a change in update extent. When the volume of the extent is zero (0, -1,..), \n then no data is requested, and the source will not execute.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkDataObject_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_DATA_OBJECT \n\n Used by Threaded ports to determine if they should initiate an\n asynchronous update (still in development).\n"},
  {(char*)"GetUpdateTime",                (PyCFunction)PyvtkDataObject_GetUpdateTime, 1,
   (char*)"V.GetUpdateTime() -> int\nC++: unsigned long GetUpdateTime ();\n\n Used by Threaded ports to determine if they should initiate an\n asynchronous update (still in development).\n"},
  {(char*)"SetUpdateExtentToWholeExtent",                (PyCFunction)PyvtkDataObject_SetUpdateExtentToWholeExtent, 1,
   (char*)"V.SetUpdateExtentToWholeExtent()\nC++: void SetUpdateExtentToWholeExtent ();\n\n If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n"},
  {(char*)"GetPipelineMTime",                (PyCFunction)PyvtkDataObject_GetPipelineMTime, 1,
   (char*)"V.GetPipelineMTime() -> int\nC++: unsigned long GetPipelineMTime ();\n\n Get the cumulative modified time of everything upstream.  Does\n not include the MTime of this object.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkDataObject_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value).\n"},
  {(char*)"CopyInformation",                (PyCFunction)PyvtkDataObject_CopyInformation, 1,
   (char*)"V.CopyInformation(vtkDataObject)\nC++: void CopyInformation (vtkDataObject *data);\n\n Copy the generic information (WholeExtent ...)\n"},
  {(char*)"CopyTypeSpecificInformation",                (PyCFunction)PyvtkDataObject_CopyTypeSpecificInformation, 1,
   (char*)"V.CopyTypeSpecificInformation(vtkDataObject)\nC++: virtual void CopyTypeSpecificInformation (vtkDataObject *data);this CopyInformation data \n\n By default, there is no type specific information\n"},
  {(char*)"SetUpdatePiece",                (PyCFunction)PyvtkDataObject_SetUpdatePiece, 1,
   (char*)"V.SetUpdatePiece(int)\nC++: void SetUpdatePiece (int piece);\n\n Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n"},
  {(char*)"SetUpdateNumberOfPieces",                (PyCFunction)PyvtkDataObject_SetUpdateNumberOfPieces, 1,
   (char*)"V.SetUpdateNumberOfPieces(int)\nC++: void SetUpdateNumberOfPieces (int num);\n\n Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n"},
  {(char*)"GetUpdatePiece",                (PyCFunction)PyvtkDataObject_GetUpdatePiece, 1,
   (char*)"V.GetUpdatePiece() -> int\nC++: virtual int GetUpdatePiece ();\n\n Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n"},
  {(char*)"GetUpdateNumberOfPieces",                (PyCFunction)PyvtkDataObject_GetUpdateNumberOfPieces, 1,
   (char*)"V.GetUpdateNumberOfPieces() -> int\nC++: virtual int GetUpdateNumberOfPieces ();\n\n Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n"},
  {(char*)"SetUpdateGhostLevel",                (PyCFunction)PyvtkDataObject_SetUpdateGhostLevel, 1,
   (char*)"V.SetUpdateGhostLevel(int)\nC++: void SetUpdateGhostLevel (int level);\n\n Set / Get the update ghost level and the update number of ghost levels.\n Similar to update extent in 3D.\n"},
  {(char*)"GetUpdateGhostLevel",                (PyCFunction)PyvtkDataObject_GetUpdateGhostLevel, 1,
   (char*)"V.GetUpdateGhostLevel() -> int\nC++: virtual int GetUpdateGhostLevel ();\n\n Set / Get the update ghost level and the update number of ghost levels.\n Similar to update extent in 3D.\n"},
  {(char*)"SetRequestExactExtent",                (PyCFunction)PyvtkDataObject_SetRequestExactExtent, 1,
   (char*)"V.SetRequestExactExtent(int)\nC++: virtual void SetRequestExactExtent (int flag);\n\n This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n"},
  {(char*)"GetRequestExactExtent",                (PyCFunction)PyvtkDataObject_GetRequestExactExtent, 1,
   (char*)"V.GetRequestExactExtent() -> int\nC++: virtual int GetRequestExactExtent ();\n\n This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n"},
  {(char*)"RequestExactExtentOn",                (PyCFunction)PyvtkDataObject_RequestExactExtentOn, 1,
   (char*)"V.RequestExactExtentOn()\nC++: void RequestExactExtentOn ();\n\n This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n"},
  {(char*)"RequestExactExtentOff",                (PyCFunction)PyvtkDataObject_RequestExactExtentOff, 1,
   (char*)"V.RequestExactExtentOff()\nC++: void RequestExactExtentOff ();\n\n This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkDataObject_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: virtual void SetWholeExtent (int x0, int x1, int y0, int y1, int z0, int z1);\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: virtual void SetWholeExtent (int extent[6]);\n\n Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkDataObject_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: virtual int *GetWholeExtent ();\nV.GetWholeExtent((int, int, int, int, int, int))\nC++: virtual void GetWholeExtent (int extent[6]);\n\n Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n"},
  {(char*)"SetWholeBoundingBox",                (PyCFunction)PyvtkDataObject_SetWholeBoundingBox, 1,
   (char*)"V.SetWholeBoundingBox(float, float, float, float, float, float)\nC++: virtual void SetWholeBoundingBox (double x0, double x1, double y0, double y1, double z0, double z1);\nV.SetWholeBoundingBox((float, float, float, float, float, float))\nC++: virtual void SetWholeBoundingBox (double bb[6]);\n\n Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n"},
  {(char*)"GetWholeBoundingBox",                (PyCFunction)PyvtkDataObject_GetWholeBoundingBox, 1,
   (char*)"V.GetWholeBoundingBox() -> (float, float, float, float, float, float)\nC++: virtual double *GetWholeBoundingBox ();\nV.GetWholeBoundingBox((float, float, float, float, float, float))\nC++: virtual void GetWholeBoundingBox (double extent[6]);\n\n Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n"},
  {(char*)"SetMaximumNumberOfPieces",                (PyCFunction)PyvtkDataObject_SetMaximumNumberOfPieces, 1,
   (char*)"V.SetMaximumNumberOfPieces(int)\nC++: virtual void SetMaximumNumberOfPieces (int );\n\n Set/Get the maximum number of pieces that can be requested.  \n The maximum number of pieces is meta data for unstructured data sets.\n It gets set by the source during the update information call.\n A value of -1 indicates that there is no maximum.  A value of\n"},
  {(char*)"GetMaximumNumberOfPieces",                (PyCFunction)PyvtkDataObject_GetMaximumNumberOfPieces, 1,
   (char*)"V.GetMaximumNumberOfPieces() -> int\nC++: virtual int GetMaximumNumberOfPieces ();\n\n Set/Get the maximum number of pieces that can be requested.  \n The maximum number of pieces is meta data for unstructured data sets.\n It gets set by the source during the update information call.\n A value of -1 indicates that there is no maximum.  A value of\n"},
  {(char*)"CopyInformationToPipeline",                (PyCFunction)PyvtkDataObject_CopyInformationToPipeline, 1,
   (char*)"V.CopyInformationToPipeline(vtkInformation, vtkInformation, vtkInformation, int)\nC++: virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy);\nV.CopyInformationToPipeline(vtkInformation, vtkInformation)\nC++: void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input);this CopyInformationToPipeline request input this PipelineInformation \n\n Copy information about this data object to the output\n information from its own Information for the given\n request.  If the second argument is not NULL then it is the\n pipeline information object for the input to this data object's\n producer. If forceCopy is true, information is copied even\n if it exists in the output.\n"},
  {(char*)"CopyInformationFromPipeline",                (PyCFunction)PyvtkDataObject_CopyInformationFromPipeline, 1,
   (char*)"V.CopyInformationFromPipeline(vtkInformation)\nC++: virtual void CopyInformationFromPipeline (vtkInformation *request);\n\n Copy information about this data object from the\n PipelineInformation to its own Information for the given request.\n"},
  {(char*)"GetActiveFieldInformation",                (PyCFunction)PyvtkDataObject_GetActiveFieldInformation, 1,
   (char*)"V.GetActiveFieldInformation(vtkInformation, int, int) -> vtkInformation\nC++: static vtkInformation *GetActiveFieldInformation (vtkInformation *info, int fieldAssociation, int attributeType);\n\n Return the information object within the input information object's\n field data corresponding to the specified association \n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and attribute\n (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS)\n"},
  {(char*)"GetNamedFieldInformation",                (PyCFunction)PyvtkDataObject_GetNamedFieldInformation, 1,
   (char*)"V.GetNamedFieldInformation(vtkInformation, int, string) -> vtkInformation\nC++: static vtkInformation *GetNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name);\n\n Return the information object within the input information object's\n field data corresponding to the specified association \n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and name.\n"},
  {(char*)"RemoveNamedFieldInformation",                (PyCFunction)PyvtkDataObject_RemoveNamedFieldInformation, 1,
   (char*)"V.RemoveNamedFieldInformation(vtkInformation, int, string)\nC++: static void RemoveNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name);\n\n Remove the info associated with an array\n"},
  {(char*)"SetActiveAttribute",                (PyCFunction)PyvtkDataObject_SetActiveAttribute, 1,
   (char*)"V.SetActiveAttribute(vtkInformation, int, string, int) -> vtkInformation\nC++: static vtkInformation *SetActiveAttribute (vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType);\n\n Set the named array to be the active field for the specified type\n (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) and association\n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS).  Returns the \n active field information object and creates on entry if one not found.\n"},
  {(char*)"SetActiveAttributeInfo",                (PyCFunction)PyvtkDataObject_SetActiveAttributeInfo, 1,
   (char*)"V.SetActiveAttributeInfo(vtkInformation, int, int, string, int, int, int)\nC++: static void SetActiveAttributeInfo (vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples);\n\n Set the name, array type, number of components, and number of tuples\n within the passed information object for the active attribute of type\n attributeType (in specified association, FIELD_ASSOCIATION_POINTS or\n FIELD_ASSOCIATION_CELLS).  If there is not an active attribute of the\n specified type, an entry in the information object is created.  If\n arrayType, numComponents, or numTuples equal to -1, or name=NULL the \n value is not changed.\n"},
  {(char*)"SetPointDataActiveScalarInfo",                (PyCFunction)PyvtkDataObject_SetPointDataActiveScalarInfo, 1,
   (char*)"V.SetPointDataActiveScalarInfo(vtkInformation, int, int)\nC++: static void SetPointDataActiveScalarInfo (vtkInformation *info, int arrayType, int numComponents);\n\n Convenience version of previous method for use (primarily) by the Imaging\n filters. If arrayType or numComponents == -1, the value is not changed.\n"},
  {(char*)"DataHasBeenGenerated",                (PyCFunction)PyvtkDataObject_DataHasBeenGenerated, 1,
   (char*)"V.DataHasBeenGenerated()\nC++: void DataHasBeenGenerated ();\n\n This method is called by the source when it executes to generate data.\n It is sort of the opposite of ReleaseData.\n It sets the DataReleased flag to 0, and sets a new UpdateTime.\n"},
  {(char*)"PrepareForNewData",                (PyCFunction)PyvtkDataObject_PrepareForNewData, 1,
   (char*)"V.PrepareForNewData()\nC++: virtual void PrepareForNewData ();this Initialize \n\n make the output data ready for new data to be inserted. For most \n objects we just call Initialize. But for vtkImageData we leave the old\n data in case the memory can be reused.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkDataObject_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.  These copy the data, but not any of the \n pipeline connections.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataObject_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.  These copy the data, but not any of the \n pipeline connections.\n"},
  {(char*)"SetExtentTranslator",                (PyCFunction)PyvtkDataObject_SetExtentTranslator, 1,
   (char*)"V.SetExtentTranslator(vtkExtentTranslator)\nC++: void SetExtentTranslator (vtkExtentTranslator *translator);\n\n An object that will translate pieces into structured extents.\n"},
  {(char*)"GetExtentTranslator",                (PyCFunction)PyvtkDataObject_GetExtentTranslator, 1,
   (char*)"V.GetExtentTranslator() -> vtkExtentTranslator\nC++: vtkExtentTranslator *GetExtentTranslator ();\n\n An object that will translate pieces into structured extents.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkDataObject_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: virtual int GetExtentType ();return VTK_PIECES_EXTENT \n\n The ExtentType will be left as VTK_PIECES_EXTENT for data objects \n such as vtkPolyData and vtkUnstructuredGrid. The ExtentType will be \n changed to VTK_3D_EXTENT for data objects with 3D structure such as \n vtkImageData (and its subclass vtkStructuredPoints), vtkRectilinearGrid,\n and vtkStructuredGrid. The default is the have an extent in pieces,\n with only one piece (no streaming possible).\n"},
  {(char*)"Crop",                (PyCFunction)PyvtkDataObject_Crop, 1,
   (char*)"V.Crop()\nC++: virtual void Crop ();\n\n This method crops the data object (if necesary) so that the extent\n matches the update extent.\n"},
  {(char*)"GetAssociationTypeAsString",                (PyCFunction)PyvtkDataObject_GetAssociationTypeAsString, 1,
   (char*)"V.GetAssociationTypeAsString(int) -> string\nC++: static const char *GetAssociationTypeAsString (int associationType);\n\n Given an integer association type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Points\").\n"},
  {(char*)"DATA_TYPE_NAME",                (PyCFunction)PyvtkDataObject_DATA_TYPE_NAME, 1,
   (char*)"V.DATA_TYPE_NAME() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *DATA_TYPE_NAME ();\n\n"},
  {(char*)"DATA_OBJECT",                (PyCFunction)PyvtkDataObject_DATA_OBJECT, 1,
   (char*)"V.DATA_OBJECT() -> vtkInformationDataObjectKey\nC++: static vtkInformationDataObjectKey *DATA_OBJECT ();\n\n"},
  {(char*)"DATA_EXTENT_TYPE",                (PyCFunction)PyvtkDataObject_DATA_EXTENT_TYPE, 1,
   (char*)"V.DATA_EXTENT_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_EXTENT_TYPE ();\n\n"},
  {(char*)"DATA_EXTENT",                (PyCFunction)PyvtkDataObject_DATA_EXTENT, 1,
   (char*)"V.DATA_EXTENT() -> vtkInformationIntegerPointerKey\nC++: static vtkInformationIntegerPointerKey *DATA_EXTENT ();\n\n"},
  {(char*)"DATA_PIECE_NUMBER",                (PyCFunction)PyvtkDataObject_DATA_PIECE_NUMBER, 1,
   (char*)"V.DATA_PIECE_NUMBER() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_PIECE_NUMBER ();\n\n"},
  {(char*)"DATA_NUMBER_OF_PIECES",                (PyCFunction)PyvtkDataObject_DATA_NUMBER_OF_PIECES, 1,
   (char*)"V.DATA_NUMBER_OF_PIECES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_NUMBER_OF_PIECES ();\n\n"},
  {(char*)"DATA_NUMBER_OF_GHOST_LEVELS",                (PyCFunction)PyvtkDataObject_DATA_NUMBER_OF_GHOST_LEVELS, 1,
   (char*)"V.DATA_NUMBER_OF_GHOST_LEVELS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_NUMBER_OF_GHOST_LEVELS ();\n\n"},
  {(char*)"DATA_TIME_STEPS",                (PyCFunction)PyvtkDataObject_DATA_TIME_STEPS, 1,
   (char*)"V.DATA_TIME_STEPS() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *DATA_TIME_STEPS ();\n\n"},
  {(char*)"POINT_DATA_VECTOR",                (PyCFunction)PyvtkDataObject_POINT_DATA_VECTOR, 1,
   (char*)"V.POINT_DATA_VECTOR() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *POINT_DATA_VECTOR ();\n\n"},
  {(char*)"CELL_DATA_VECTOR",                (PyCFunction)PyvtkDataObject_CELL_DATA_VECTOR, 1,
   (char*)"V.CELL_DATA_VECTOR() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *CELL_DATA_VECTOR ();\n\n"},
  {(char*)"VERTEX_DATA_VECTOR",                (PyCFunction)PyvtkDataObject_VERTEX_DATA_VECTOR, 1,
   (char*)"V.VERTEX_DATA_VECTOR() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *VERTEX_DATA_VECTOR ();\n\n"},
  {(char*)"EDGE_DATA_VECTOR",                (PyCFunction)PyvtkDataObject_EDGE_DATA_VECTOR, 1,
   (char*)"V.EDGE_DATA_VECTOR() -> vtkInformationInformationVectorKey\nC++: static vtkInformationInformationVectorKey *EDGE_DATA_VECTOR ();\n\n"},
  {(char*)"FIELD_ARRAY_TYPE",                (PyCFunction)PyvtkDataObject_FIELD_ARRAY_TYPE, 1,
   (char*)"V.FIELD_ARRAY_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_ARRAY_TYPE ();\n\n"},
  {(char*)"FIELD_ASSOCIATION",                (PyCFunction)PyvtkDataObject_FIELD_ASSOCIATION, 1,
   (char*)"V.FIELD_ASSOCIATION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_ASSOCIATION ();\n\n"},
  {(char*)"FIELD_ATTRIBUTE_TYPE",                (PyCFunction)PyvtkDataObject_FIELD_ATTRIBUTE_TYPE, 1,
   (char*)"V.FIELD_ATTRIBUTE_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_ATTRIBUTE_TYPE ();\n\n"},
  {(char*)"FIELD_ACTIVE_ATTRIBUTE",                (PyCFunction)PyvtkDataObject_FIELD_ACTIVE_ATTRIBUTE, 1,
   (char*)"V.FIELD_ACTIVE_ATTRIBUTE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_ACTIVE_ATTRIBUTE ();\n\n"},
  {(char*)"FIELD_NUMBER_OF_COMPONENTS",                (PyCFunction)PyvtkDataObject_FIELD_NUMBER_OF_COMPONENTS, 1,
   (char*)"V.FIELD_NUMBER_OF_COMPONENTS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_NUMBER_OF_COMPONENTS ();\n\n"},
  {(char*)"FIELD_NUMBER_OF_TUPLES",                (PyCFunction)PyvtkDataObject_FIELD_NUMBER_OF_TUPLES, 1,
   (char*)"V.FIELD_NUMBER_OF_TUPLES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_NUMBER_OF_TUPLES ();\n\n"},
  {(char*)"FIELD_OPERATION",                (PyCFunction)PyvtkDataObject_FIELD_OPERATION, 1,
   (char*)"V.FIELD_OPERATION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_OPERATION ();\n\n"},
  {(char*)"FIELD_RANGE",                (PyCFunction)PyvtkDataObject_FIELD_RANGE, 1,
   (char*)"V.FIELD_RANGE() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *FIELD_RANGE ();\n\n"},
  {(char*)"FIELD_NAME",                (PyCFunction)PyvtkDataObject_FIELD_NAME, 1,
   (char*)"V.FIELD_NAME() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *FIELD_NAME ();\n\n"},
  {(char*)"ORIGIN",                (PyCFunction)PyvtkDataObject_ORIGIN, 1,
   (char*)"V.ORIGIN() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *ORIGIN ();\n\n"},
  {(char*)"SPACING",                (PyCFunction)PyvtkDataObject_SPACING, 1,
   (char*)"V.SPACING() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *SPACING ();\n\n"},
  {(char*)"DATA_GEOMETRY_UNMODIFIED",                (PyCFunction)PyvtkDataObject_DATA_GEOMETRY_UNMODIFIED, 1,
   (char*)"V.DATA_GEOMETRY_UNMODIFIED() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_GEOMETRY_UNMODIFIED ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectDoc[] = {
  (char*)"vtkDataObject - general representation of visualization data\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataObject is an general representation of visualization data. It serves\n to encapsulate instance variables and methods for visualization network \n execution, as well as representing data consisting of a field (i.e., just\n an unstructured pile of data). This is to be compared with a vtkDataSet,\n which is data with geometric and/or topological structure.\n\n vtkDataObjects are used to represent a",
  (char*)"rbitrary repositories of data via the\n vtkFieldData instance variable. These data must be eventually mapped into a\n concrete subclass of vtkDataSet before they can actually be displayed.\n\n\n",
  "See Also:\n\n vtkDataSet vtkFieldData vtkDataObjectSource vtkDataObjectFilter\n vtkDataObjectMapper vtkDataObjectToDataSet \n vtkFieldDataToAttributeDataFilter\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectStaticNew()
{
  return vtkDataObject::New();
}

PyObject *PyVTKClass_vtkDataObjectNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectStaticNew,
                        PyvtkDataObjectMethods,
                        (char*)"vtkDataObject",modulename,
                        (char**)vtkDataObjectDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

