// python wrapper for vtkDataObjectTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectTypes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectTypesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectTypesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataObjectTypes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectTypes *op;

  const char    *temp20;
  op = (vtkDataObjectTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectTypes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectTypes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectTypes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectTypes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectTypes *op;

  vtkDataObjectTypes  *temp20;
  op = (vtkDataObjectTypes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectTypes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectTypes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectTypes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_GetClassNameFromTypeId(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataObjectTypes::GetClassNameFromTypeId(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_GetTypeIdFromClassName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDataObjectTypes::GetTypeIdFromClassName(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectTypes_NewDataObject(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkDataObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDataObjectTypes::NewDataObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataObjectTypes::NewDataObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectTypesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectTypes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectTypes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectTypes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectTypes\nC++: vtkDataObjectTypes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectTypes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectTypes\nC++: vtkDataObjectTypes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetClassNameFromTypeId",                (PyCFunction)PyvtkDataObjectTypes_GetClassNameFromTypeId, 1,
   (char*)"V.GetClassNameFromTypeId(int) -> string\nC++: static const char *GetClassNameFromTypeId (int typeId);\n\n Given an int (as defined in vtkType.h) identifier for a class\n return it's classname.\n"},
  {(char*)"GetTypeIdFromClassName",                (PyCFunction)PyvtkDataObjectTypes_GetTypeIdFromClassName, 1,
   (char*)"V.GetTypeIdFromClassName(string) -> int\nC++: static int GetTypeIdFromClassName (const char *classname);\n\n Given a data object classname, return it's int identified (as\n defined in vtkType.h)\n"},
  {(char*)"NewDataObject",                (PyCFunction)PyvtkDataObjectTypes_NewDataObject, 1,
   (char*)"V.NewDataObject(string) -> vtkDataObject\nC++: static vtkDataObject *NewDataObject (const char *classname);\nV.NewDataObject(int) -> vtkDataObject\nC++: static vtkDataObject *NewDataObject (int typeId);\n\n Create (New) and return a data object of the given classname.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectTypesDoc[] = {
  (char*)"vtkDataObject - helper class to get VTK data object types as string and instantiate them\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataObjectTypes is a helper class that supports conversion between\n integer types defined in vtkType.h and string names as well as creation\n of data objects from either integer or string types. This class has\n to be updated every time a new data type is added to VTK.\n\n",
  "See Also:\n\n vtkDataObject\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectTypesStaticNew()
{
  return vtkDataObjectTypes::New();
}

PyObject *PyVTKClass_vtkDataObjectTypesNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectTypesStaticNew,
                        PyvtkDataObjectTypesMethods,
                        (char*)"vtkDataObjectTypes",modulename,
                        (char**)vtkDataObjectTypesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

