// python wrapper for vtkDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkDataSetAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  const char    *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataSetAlgorithm  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataObject  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkPolyData  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetStructuredPointsOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkStructuredPoints  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetStructuredPointsOutput();
      }
    else
      {
      temp20 = op->GetStructuredPointsOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetImageDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkImageData  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetImageDataOutput();
      }
    else
      {
      temp20 = op->GetImageDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkStructuredGrid  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_GetRectilinearGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAlgorithm::GetRectilinearGridOutput();
      }
    else
      {
      temp20 = op->GetRectilinearGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  int      temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkDataSetAlgorithm_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  int      temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  /* handle an occurrence */
  {
  vtkDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkDataSetAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetAlgorithm\nC++: vtkDataSetAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetAlgorithm\nC++: vtkDataSetAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataSet\nC++: vtkDataSet *GetOutput ();\nV.GetOutput(int) -> vtkDataSet\nC++: vtkDataSet *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetAlgorithm_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\n\n Get the input data object. This method is not recommended for use, but\n lots of old style filters use it.\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataOutput ();\n\n Get the output as vtkPolyData.\n"},
  {(char*)"GetStructuredPointsOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetStructuredPointsOutput, 1,
   (char*)"V.GetStructuredPointsOutput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetStructuredPointsOutput ();\n\n Get the output as vtkStructuredPoints.\n"},
  {(char*)"GetImageDataOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetImageDataOutput, 1,
   (char*)"V.GetImageDataOutput() -> vtkImageData\nC++: vtkImageData *GetImageDataOutput ();\n\n Get the output as vtkStructuredPoints.\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output as vtkStructuredGrid.\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output as vtkUnstructuredGrid.\n"},
  {(char*)"GetRectilinearGridOutput",                (PyCFunction)PyvtkDataSetAlgorithm_GetRectilinearGridOutput, 1,
   (char*)"V.GetRectilinearGridOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetRectilinearGridOutput ();\n\n Get the output as vtkRectilinearGrid. \n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\nV.SetInput(vtkDataSet)\nC++: void SetInput (vtkDataSet *);\nV.SetInput(int, vtkDataSet)\nC++: void SetInput (int , vtkDataSet *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkDataSetAlgorithm_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(vtkDataSet)\nC++: void AddInput (vtkDataSet *);\nV.AddInput(int, vtkDataSet)\nC++: void AddInput (int , vtkDataSet *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetAlgorithmDoc[] = {
  (char*)"vtkDataSetAlgorithm - Superclass for algorithms that produce output of the same type as input\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkDataSetAlgorithm is a convenience class to make writing algorithms\n easier. It is also designed to help transition old algorithms to the new\n pipeline architecture. Ther are some assumptions and defaults made by this\n class you should be aware of. This class defaults such that your filter\n will have one input port and one output port. If that is not the case\n simply change it with SetNumberOfI",
  (char*)"nputPorts etc. See this classes\n contstructor for the default. This class also provides a FillInputPortInfo\n method that by default says that all inputs will be DataSet. If that isn't\n the case then please override this method in your subclass. This class\n breaks out the downstream requests into seperate functions such as\n RequestDataObject RequestData and RequestInformation. The default\n implemen",
  (char*)"tation of RequestDataObject will create an output data of the \n same type as the input.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetAlgorithmStaticNew()
{
  return vtkDataSetAlgorithm::New();
}

PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetAlgorithmStaticNew,
                        PyvtkDataSetAlgorithmMethods,
                        (char*)"vtkDataSetAlgorithm",modulename,
                        (char**)vtkDataSetAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

