// python wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetAttributes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetAttributesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetAttributesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFieldDataNew(char *); }

static PyObject *PyvtkDataSetAttributes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  const char    *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetAttributes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetAttributes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetScalars(temp0);
      }
    else
      {
      temp20 = op->SetScalars(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveScalars(temp0);
      }
    else
      {
      temp20 = op->SetActiveScalars(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetScalars();
      }
    else
      {
      temp20 = op->GetScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetScalars(temp0);
      }
    else
      {
      temp20 = op->GetScalars(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetVectors(temp0);
      }
    else
      {
      temp20 = op->SetVectors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveVectors(temp0);
      }
    else
      {
      temp20 = op->SetActiveVectors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetVectors();
      }
    else
      {
      temp20 = op->GetVectors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetVectors(temp0);
      }
    else
      {
      temp20 = op->GetVectors(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetNormals(temp0);
      }
    else
      {
      temp20 = op->SetNormals(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveNormals(temp0);
      }
    else
      {
      temp20 = op->SetActiveNormals(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetNormals();
      }
    else
      {
      temp20 = op->GetNormals();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetNormals(temp0);
      }
    else
      {
      temp20 = op->GetNormals(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetTCoords(temp0);
      }
    else
      {
      temp20 = op->SetTCoords(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveTCoords(temp0);
      }
    else
      {
      temp20 = op->SetActiveTCoords(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTCoords();
      }
    else
      {
      temp20 = op->GetTCoords();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTCoords(temp0);
      }
    else
      {
      temp20 = op->GetTCoords(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetTensors(temp0);
      }
    else
      {
      temp20 = op->SetTensors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveTensors(temp0);
      }
    else
      {
      temp20 = op->SetActiveTensors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTensors();
      }
    else
      {
      temp20 = op->GetTensors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTensors(temp0);
      }
    else
      {
      temp20 = op->GetTensors(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetGlobalIds(temp0);
      }
    else
      {
      temp20 = op->SetGlobalIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveGlobalIds(temp0);
      }
    else
      {
      temp20 = op->SetActiveGlobalIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetGlobalIds();
      }
    else
      {
      temp20 = op->GetGlobalIds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetGlobalIds(temp0);
      }
    else
      {
      temp20 = op->GetGlobalIds(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetPedigreeIds(temp0);
      }
    else
      {
      temp20 = op->SetPedigreeIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActivePedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActivePedigreeIds(temp0);
      }
    else
      {
      temp20 = op->SetActivePedigreeIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkAbstractArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetPedigreeIds();
      }
    else
      {
      temp20 = op->GetPedigreeIds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkAbstractArray  *temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetPedigreeIds(temp0);
      }
    else
      {
      temp20 = op->GetPedigreeIds(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveAttribute(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveAttribute(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveAttribute(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveAttribute(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_IsArrayAnAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::IsArrayAnAttribute(temp0);
      }
    else
      {
      temp20 = op->IsArrayAnAttribute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  vtkDataArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetAttribute(temp0);
      }
    else
      {
      temp20 = op->GetAttribute(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetAbstractAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  vtkAbstractArray  *temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetAbstractAttribute(temp0);
      }
    else
      {
      temp20 = op->GetAbstractAttribute(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_RemoveArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::RemoveArray(temp0);
      }
    else
      {
      op->RemoveArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetAttributeTypeAsString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataSetAttributes::GetAttributeTypeAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetLongAttributeTypeAsString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataSetAttributes::GetLongAttributeTypeAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyAttribute(temp0,temp1,temp2);
      }
    else
      {
      op->SetCopyAttribute(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyScalars(temp0,temp1);
      }
    else
      {
      op->SetCopyScalars(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyScalars(temp0);
      }
    else
      {
      temp20 = op->GetCopyScalars(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyScalarsOn();
      }
    else
      {
      op->CopyScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyScalarsOff();
      }
    else
      {
      op->CopyScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyVectors(temp0,temp1);
      }
    else
      {
      op->SetCopyVectors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyVectors(temp0);
      }
    else
      {
      temp20 = op->GetCopyVectors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyVectorsOn();
      }
    else
      {
      op->CopyVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyVectorsOff();
      }
    else
      {
      op->CopyVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyNormals(temp0,temp1);
      }
    else
      {
      op->SetCopyNormals(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyNormals(temp0);
      }
    else
      {
      temp20 = op->GetCopyNormals(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyNormalsOn();
      }
    else
      {
      op->CopyNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyNormalsOff();
      }
    else
      {
      op->CopyNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyTCoords(temp0,temp1);
      }
    else
      {
      op->SetCopyTCoords(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyTCoords(temp0);
      }
    else
      {
      temp20 = op->GetCopyTCoords(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTCoordsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTCoordsOn();
      }
    else
      {
      op->CopyTCoordsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTCoordsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTCoordsOff();
      }
    else
      {
      op->CopyTCoordsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyTensors(temp0,temp1);
      }
    else
      {
      op->SetCopyTensors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyTensors(temp0);
      }
    else
      {
      temp20 = op->GetCopyTensors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTensorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTensorsOn();
      }
    else
      {
      op->CopyTensorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTensorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTensorsOff();
      }
    else
      {
      op->CopyTensorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyGlobalIds(temp0,temp1);
      }
    else
      {
      op->SetCopyGlobalIds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyGlobalIds(temp0);
      }
    else
      {
      temp20 = op->GetCopyGlobalIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyGlobalIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyGlobalIdsOn();
      }
    else
      {
      op->CopyGlobalIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyGlobalIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyGlobalIdsOff();
      }
    else
      {
      op->CopyGlobalIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyPedigreeIds(temp0,temp1);
      }
    else
      {
      op->SetCopyPedigreeIds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyPedigreeIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyPedigreeIds(temp0);
      }
    else
      {
      temp20 = op->GetCopyPedigreeIds(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyPedigreeIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyPedigreeIdsOn();
      }
    else
      {
      op->CopyPedigreeIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyPedigreeIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyPedigreeIdsOff();
      }
    else
      {
      op->CopyPedigreeIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllOn(temp0);
      }
    else
      {
      op->CopyAllOn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllOff(temp0);
      }
    else
      {
      op->CopyAllOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_PassData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break75;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::PassData(temp0);
      }
    else
      {
      op->PassData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break75:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break76;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllocate(temp0,temp1,temp2);
      }
    else
      {
      op->CopyAllocate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break76:
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oiii", &tempH0, &temp1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllocate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CopyAllocate(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyData(temp0,temp1,temp2);
      }
    else
      {
      op->CopyData(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break79;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break79;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTuple(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CopyTuple(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break79:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateAllocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateAllocate(temp0,temp1,temp2);
      }
    else
      {
      op->InterpolateAllocate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break80:
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  PyErr_Clear();
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oiii", &tempH0, &temp1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateAllocate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InterpolateAllocate(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oiiid", &tempH0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break82;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break82:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkDataSetAttributes  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  double   temp3;
  op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"OOid", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break83;
    temp1 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSetAttributes");
    if (!temp1 && tempH1 != Py_None) goto break83;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateTime(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InterpolateTime(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break83:
  return NULL;
}

static PyMethodDef PyvtkDataSetAttributesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetAttributes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetAttributes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetAttributes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetAttributes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkDataSetAttributes_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize all of the object's data to NULL\n Also, clear the copy flags.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkDataSetAttributes_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Deep copy of data (i.e., create new data arrays and\n copy from input data). \n Ignores the copy flags but preserves them in the output.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataSetAttributes_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkFieldData)\nC++: virtual void DeepCopy (vtkFieldData *pd);\n\n Deep copy of data (i.e., create new data arrays and\n copy from input data). \n Ignores the copy flags but preserves them in the output.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkDataSetAttributes_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkFieldData)\nC++: virtual void ShallowCopy (vtkFieldData *pd);\n\n Shallow copy of data (i.e., use reference counting).\n Ignores the copy flags but preserves them in the output.\n"},
  {(char*)"SetScalars",                (PyCFunction)PyvtkDataSetAttributes_SetScalars, 1,
   (char*)"V.SetScalars(vtkDataArray) -> int\nC++: int SetScalars (vtkDataArray *da);\n\n Set/Get the scalar data.\n"},
  {(char*)"SetActiveScalars",                (PyCFunction)PyvtkDataSetAttributes_SetActiveScalars, 1,
   (char*)"V.SetActiveScalars(string) -> int\nC++: int SetActiveScalars (const char *name);\n\n Set/Get the scalar data.\n"},
  {(char*)"GetScalars",                (PyCFunction)PyvtkDataSetAttributes_GetScalars, 1,
   (char*)"V.GetScalars() -> vtkDataArray\nC++: vtkDataArray *GetScalars ();\nV.GetScalars(string) -> vtkDataArray\nC++: vtkDataArray *GetScalars (const char *name);\n\n Set/Get the scalar data.\n"},
  {(char*)"SetVectors",                (PyCFunction)PyvtkDataSetAttributes_SetVectors, 1,
   (char*)"V.SetVectors(vtkDataArray) -> int\nC++: int SetVectors (vtkDataArray *da);\n\n Set/Get the vector data.\n"},
  {(char*)"SetActiveVectors",                (PyCFunction)PyvtkDataSetAttributes_SetActiveVectors, 1,
   (char*)"V.SetActiveVectors(string) -> int\nC++: int SetActiveVectors (const char *name);\n\n Set/Get the vector data.\n"},
  {(char*)"GetVectors",                (PyCFunction)PyvtkDataSetAttributes_GetVectors, 1,
   (char*)"V.GetVectors() -> vtkDataArray\nC++: vtkDataArray *GetVectors ();\nV.GetVectors(string) -> vtkDataArray\nC++: vtkDataArray *GetVectors (const char *name);\n\n Set/Get the vector data.\n"},
  {(char*)"SetNormals",                (PyCFunction)PyvtkDataSetAttributes_SetNormals, 1,
   (char*)"V.SetNormals(vtkDataArray) -> int\nC++: int SetNormals (vtkDataArray *da);\n\n Set/get the normal data.\n"},
  {(char*)"SetActiveNormals",                (PyCFunction)PyvtkDataSetAttributes_SetActiveNormals, 1,
   (char*)"V.SetActiveNormals(string) -> int\nC++: int SetActiveNormals (const char *name);\n\n Set/get the normal data.\n"},
  {(char*)"GetNormals",                (PyCFunction)PyvtkDataSetAttributes_GetNormals, 1,
   (char*)"V.GetNormals() -> vtkDataArray\nC++: vtkDataArray *GetNormals ();\nV.GetNormals(string) -> vtkDataArray\nC++: vtkDataArray *GetNormals (const char *name);\n\n Set/get the normal data.\n"},
  {(char*)"SetTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetTCoords, 1,
   (char*)"V.SetTCoords(vtkDataArray) -> int\nC++: int SetTCoords (vtkDataArray *da);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"SetActiveTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetActiveTCoords, 1,
   (char*)"V.SetActiveTCoords(string) -> int\nC++: int SetActiveTCoords (const char *name);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"GetTCoords",                (PyCFunction)PyvtkDataSetAttributes_GetTCoords, 1,
   (char*)"V.GetTCoords() -> vtkDataArray\nC++: vtkDataArray *GetTCoords ();\nV.GetTCoords(string) -> vtkDataArray\nC++: vtkDataArray *GetTCoords (const char *name);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"SetTensors",                (PyCFunction)PyvtkDataSetAttributes_SetTensors, 1,
   (char*)"V.SetTensors(vtkDataArray) -> int\nC++: int SetTensors (vtkDataArray *da);\n\n Set/Get the tensor data.\n"},
  {(char*)"SetActiveTensors",                (PyCFunction)PyvtkDataSetAttributes_SetActiveTensors, 1,
   (char*)"V.SetActiveTensors(string) -> int\nC++: int SetActiveTensors (const char *name);\n\n Set/Get the tensor data.\n"},
  {(char*)"GetTensors",                (PyCFunction)PyvtkDataSetAttributes_GetTensors, 1,
   (char*)"V.GetTensors() -> vtkDataArray\nC++: vtkDataArray *GetTensors ();\nV.GetTensors(string) -> vtkDataArray\nC++: vtkDataArray *GetTensors (const char *name);\n\n Set/Get the tensor data.\n"},
  {(char*)"SetGlobalIds",                (PyCFunction)PyvtkDataSetAttributes_SetGlobalIds, 1,
   (char*)"V.SetGlobalIds(vtkDataArray) -> int\nC++: int SetGlobalIds (vtkDataArray *da);\n\n Set/Get the global id data.\n"},
  {(char*)"SetActiveGlobalIds",                (PyCFunction)PyvtkDataSetAttributes_SetActiveGlobalIds, 1,
   (char*)"V.SetActiveGlobalIds(string) -> int\nC++: int SetActiveGlobalIds (const char *name);\n\n Set/Get the global id data.\n"},
  {(char*)"GetGlobalIds",                (PyCFunction)PyvtkDataSetAttributes_GetGlobalIds, 1,
   (char*)"V.GetGlobalIds() -> vtkDataArray\nC++: vtkDataArray *GetGlobalIds ();\nV.GetGlobalIds(string) -> vtkDataArray\nC++: vtkDataArray *GetGlobalIds (const char *name);\n\n Set/Get the global id data.\n"},
  {(char*)"SetPedigreeIds",                (PyCFunction)PyvtkDataSetAttributes_SetPedigreeIds, 1,
   (char*)"V.SetPedigreeIds(vtkAbstractArray) -> int\nC++: int SetPedigreeIds (vtkAbstractArray *da);\n\n Set/Get the pedigree id data.\n"},
  {(char*)"SetActivePedigreeIds",                (PyCFunction)PyvtkDataSetAttributes_SetActivePedigreeIds, 1,
   (char*)"V.SetActivePedigreeIds(string) -> int\nC++: int SetActivePedigreeIds (const char *name);\n\n Set/Get the pedigree id data.\n"},
  {(char*)"GetPedigreeIds",                (PyCFunction)PyvtkDataSetAttributes_GetPedigreeIds, 1,
   (char*)"V.GetPedigreeIds() -> vtkAbstractArray\nC++: vtkAbstractArray *GetPedigreeIds ();\nV.GetPedigreeIds(string) -> vtkAbstractArray\nC++: vtkAbstractArray *GetPedigreeIds (const char *name);\n\n Set/Get the pedigree id data.\n"},
  {(char*)"SetActiveAttribute",                (PyCFunction)PyvtkDataSetAttributes_SetActiveAttribute, 1,
   (char*)"V.SetActiveAttribute(string, int) -> int\nC++: int SetActiveAttribute (const char *name, int attributeType);\nV.SetActiveAttribute(int, int) -> int\nC++: int SetActiveAttribute (int index, int attributeType);\n\n Make the array with the given name the active attribute.\n Attribute types are:\n  vtkDataSetAttributes::SCALARS = 0\n  vtkDataSetAttributes::VECTORS = 1\n  vtkDataSetAttributes::NORMALS = 2\n  vtkDataSetAttributes::TCOORDS = 3\n  vtkDataSetAttributes::TENSORS = 4\n  vtkDataSetAttributes::GLOBALIDS = 5\n  vtkDataSetAttributes::PEDIGREEIDS = 6\n Returns the index of the array if succesful, -1 if the array \n is not in the list of arrays.\n"},
  {(char*)"IsArrayAnAttribute",                (PyCFunction)PyvtkDataSetAttributes_IsArrayAnAttribute, 1,
   (char*)"V.IsArrayAnAttribute(int) -> int\nC++: int IsArrayAnAttribute (int idx);\n\n Determine whether a data array of index idx is considered a data set\n attribute (i.e., scalar, vector, tensor, etc). Return less-than zero \n if it is, otherwise an index 0<=idx<NUM_ATTRIBUTES to indicate \n which attribute.\n"},
  {(char*)"GetAttribute",                (PyCFunction)PyvtkDataSetAttributes_GetAttribute, 1,
   (char*)"V.GetAttribute(int) -> vtkDataArray\nC++: vtkDataArray *GetAttribute (int attributeType);\n\n Return an attribute given the attribute type\n (see vtkDataSetAttributes::AttributeTypes).\n Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass,\n so in that case use GetAbstractAttribute().\n"},
  {(char*)"GetAbstractAttribute",                (PyCFunction)PyvtkDataSetAttributes_GetAbstractAttribute, 1,
   (char*)"V.GetAbstractAttribute(int) -> vtkAbstractArray\nC++: vtkAbstractArray *GetAbstractAttribute (int attributeType);\n\n Return an attribute given the attribute type\n (see vtkDataSetAttributes::AttributeTypes).\n This is the same as GetAttribute(), except that the returned array\n is a vtkAbstractArray instead of vtkDataArray.\n Some attributes (such as PEDIGREEIDS) may not be vtkDataArray subclass.\n"},
  {(char*)"RemoveArray",                (PyCFunction)PyvtkDataSetAttributes_RemoveArray, 1,
   (char*)"V.RemoveArray(string)\nC++: virtual void RemoveArray (const char *name);\n\n Remove an array (with the given name) from the list of arrays.\n"},
  {(char*)"GetAttributeTypeAsString",                (PyCFunction)PyvtkDataSetAttributes_GetAttributeTypeAsString, 1,
   (char*)"V.GetAttributeTypeAsString(int) -> string\nC++: static const char *GetAttributeTypeAsString (int attributeType);\n\n Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n"},
  {(char*)"GetLongAttributeTypeAsString",                (PyCFunction)PyvtkDataSetAttributes_GetLongAttributeTypeAsString, 1,
   (char*)"V.GetLongAttributeTypeAsString(int) -> string\nC++: static const char *GetLongAttributeTypeAsString (int attributeType);\n\n Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n"},
  {(char*)"SetCopyAttribute",                (PyCFunction)PyvtkDataSetAttributes_SetCopyAttribute, 1,
   (char*)"V.SetCopyAttribute(int, int, int)\nC++: void SetCopyAttribute (int index, int value, int ctypeALLCOPY);\n\n Specify whether to copy the data attribute referred to by index.\n ctype selects from the AttributeCopyOperations.\n If ctype is set to ALLCOPY, then COPYTUPLE, INTERPOLATE, and \n PASSDATA are set to value. If value is 0, copying is disallowed.\n otherwise it is allowed.\n"},
  {(char*)"SetCopyScalars",                (PyCFunction)PyvtkDataSetAttributes_SetCopyScalars, 1,
   (char*)"V.SetCopyScalars(int, int)\nC++: void SetCopyScalars (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyScalars",                (PyCFunction)PyvtkDataSetAttributes_GetCopyScalars, 1,
   (char*)"V.GetCopyScalars(int) -> int\nC++: int GetCopyScalars (int ctypeALLCOPY);\n\n Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyScalarsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyScalarsOn, 1,
   (char*)"V.CopyScalarsOn()\nC++: void CopyScalarsOn ();\n\n Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyScalarsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyScalarsOff, 1,
   (char*)"V.CopyScalarsOff()\nC++: void CopyScalarsOff ();\n\n Turn on/off the copying of scalar data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyVectors",                (PyCFunction)PyvtkDataSetAttributes_SetCopyVectors, 1,
   (char*)"V.SetCopyVectors(int, int)\nC++: void SetCopyVectors (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyVectors",                (PyCFunction)PyvtkDataSetAttributes_GetCopyVectors, 1,
   (char*)"V.GetCopyVectors(int) -> int\nC++: int GetCopyVectors (int ctypeALLCOPY);\n\n Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyVectorsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyVectorsOn, 1,
   (char*)"V.CopyVectorsOn()\nC++: void CopyVectorsOn ();\n\n Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyVectorsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyVectorsOff, 1,
   (char*)"V.CopyVectorsOff()\nC++: void CopyVectorsOff ();\n\n Turn on/off the copying of vector data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyNormals",                (PyCFunction)PyvtkDataSetAttributes_SetCopyNormals, 1,
   (char*)"V.SetCopyNormals(int, int)\nC++: void SetCopyNormals (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyNormals",                (PyCFunction)PyvtkDataSetAttributes_GetCopyNormals, 1,
   (char*)"V.GetCopyNormals(int) -> int\nC++: int GetCopyNormals (int ctypeALLCOPY);\n\n Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyNormalsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyNormalsOn, 1,
   (char*)"V.CopyNormalsOn()\nC++: void CopyNormalsOn ();\n\n Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyNormalsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyNormalsOff, 1,
   (char*)"V.CopyNormalsOff()\nC++: void CopyNormalsOff ();\n\n Turn on/off the copying of normals data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetCopyTCoords, 1,
   (char*)"V.SetCopyTCoords(int, int)\nC++: void SetCopyTCoords (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyTCoords",                (PyCFunction)PyvtkDataSetAttributes_GetCopyTCoords, 1,
   (char*)"V.GetCopyTCoords(int) -> int\nC++: int GetCopyTCoords (int ctypeALLCOPY);\n\n Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTCoordsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyTCoordsOn, 1,
   (char*)"V.CopyTCoordsOn()\nC++: void CopyTCoordsOn ();\n\n Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTCoordsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyTCoordsOff, 1,
   (char*)"V.CopyTCoordsOff()\nC++: void CopyTCoordsOff ();\n\n Turn on/off the copying of texture coordinates data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyTensors",                (PyCFunction)PyvtkDataSetAttributes_SetCopyTensors, 1,
   (char*)"V.SetCopyTensors(int, int)\nC++: void SetCopyTensors (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyTensors",                (PyCFunction)PyvtkDataSetAttributes_GetCopyTensors, 1,
   (char*)"V.GetCopyTensors(int) -> int\nC++: int GetCopyTensors (int ctypeALLCOPY);\n\n Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTensorsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyTensorsOn, 1,
   (char*)"V.CopyTensorsOn()\nC++: void CopyTensorsOn ();\n\n Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTensorsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyTensorsOff, 1,
   (char*)"V.CopyTensorsOff()\nC++: void CopyTensorsOff ();\n\n Turn on/off the copying of tensor data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyGlobalIds",                (PyCFunction)PyvtkDataSetAttributes_SetCopyGlobalIds, 1,
   (char*)"V.SetCopyGlobalIds(int, int)\nC++: void SetCopyGlobalIds (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyGlobalIds",                (PyCFunction)PyvtkDataSetAttributes_GetCopyGlobalIds, 1,
   (char*)"V.GetCopyGlobalIds(int) -> int\nC++: int GetCopyGlobalIds (int ctypeALLCOPY);\n\n Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyGlobalIdsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyGlobalIdsOn, 1,
   (char*)"V.CopyGlobalIdsOn()\nC++: void CopyGlobalIdsOn ();\n\n Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyGlobalIdsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyGlobalIdsOff, 1,
   (char*)"V.CopyGlobalIdsOff()\nC++: void CopyGlobalIdsOff ();\n\n Turn on/off the copying of global id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyPedigreeIds",                (PyCFunction)PyvtkDataSetAttributes_SetCopyPedigreeIds, 1,
   (char*)"V.SetCopyPedigreeIds(int, int)\nC++: void SetCopyPedigreeIds (int i, int ctypeALLCOPY);\n\n Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyPedigreeIds",                (PyCFunction)PyvtkDataSetAttributes_GetCopyPedigreeIds, 1,
   (char*)"V.GetCopyPedigreeIds(int) -> int\nC++: int GetCopyPedigreeIds (int ctypeALLCOPY);\n\n Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyPedigreeIdsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyPedigreeIdsOn, 1,
   (char*)"V.CopyPedigreeIdsOn()\nC++: void CopyPedigreeIdsOn ();\n\n Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyPedigreeIdsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyPedigreeIdsOff, 1,
   (char*)"V.CopyPedigreeIdsOff()\nC++: void CopyPedigreeIdsOff ();\n\n Turn on/off the copying of pedigree id data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOn",                (PyCFunction)PyvtkDataSetAttributes_CopyAllOn, 1,
   (char*)"V.CopyAllOn(int)\nC++: virtual void CopyAllOn (int ctypeALLCOPY);\n\n Turn on copying of all data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOff",                (PyCFunction)PyvtkDataSetAttributes_CopyAllOff, 1,
   (char*)"V.CopyAllOff(int)\nC++: virtual void CopyAllOff (int ctypeALLCOPY);\n\n Turn off copying of all data.\n ctype is one of the AttributeCopyOperations, and controls copy, \n interpolate and passdata behavior.\n For set, ctype=ALLCOPY means set all three flags to the same value.\n For get, ctype=ALLCOPY returns true only if all three flags are true.\n\n During copying, interpolation and passdata, the following rules are \n followed for each array:\n 1. If the copy/interpolate/pass flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"PassData",                (PyCFunction)PyvtkDataSetAttributes_PassData, 1,
   (char*)"V.PassData(vtkFieldData)\nC++: virtual void PassData (vtkFieldData *fd);\n\n Pass entire arrays of input data through to output. Obey the \"copy\"\n flags. When passing a field,  the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a PASSDATA copy flag for that attribute (on or off), obey the flag \n for that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n"},
  {(char*)"CopyAllocate",                (PyCFunction)PyvtkDataSetAttributes_CopyAllocate, 1,
   (char*)"V.CopyAllocate(vtkDataSetAttributes, int, int)\nC++: void CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);this CopyAllocate pd sze ext \nV.CopyAllocate(vtkDataSetAttributes, int, int, int)\nC++: void CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays);\n\n Allocates point data for point-by-point (or cell-by-cell) copy operation.\n If sze=0, then use the input DataSetAttributes to create (i.e., find \n initial size of) new objects; otherwise use the sze variable.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with CopyData. If this is not the case,\n consider using the alternative forms of CopyAllocate and CopyData.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are copied to the output\n instead of new ones being allocated.\n \n Warning: This does not copy the Information object associated with\n each data array. This behavior may change in the future.\n"},
  {(char*)"CopyData",                (PyCFunction)PyvtkDataSetAttributes_CopyData, 1,
   (char*)"V.CopyData(vtkDataSetAttributes, int, int)\nC++: void CopyData (vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId);\n\n Copy the attribute data from one id to another. Make sure CopyAllocate()\n has been invoked before using this method. When copying a field,  \n the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a COPYTUPLE copy flag for that attribute (on or off), obey the  flag \n for that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n \n Warning: This does not copy the Information object associated with\n each data array. This behavior may change in the future.\n"},
  {(char*)"CopyTuple",                (PyCFunction)PyvtkDataSetAttributes_CopyTuple, 1,
   (char*)"V.CopyTuple(vtkAbstractArray, vtkAbstractArray, int, int)\nC++: void CopyTuple (vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdType fromId, vtkIdType toId);\n\n Copy a tuple of data from one data array to another. This method\n assumes that the fromData and toData objects are of the\n same type, and have the same number of components. This is true if you\n invoke CopyAllocate() or InterpolateAllocate().\n"},
  {(char*)"InterpolateAllocate",                (PyCFunction)PyvtkDataSetAttributes_InterpolateAllocate, 1,
   (char*)"V.InterpolateAllocate(vtkDataSetAttributes, int, int)\nC++: void InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);this InterpolateAllocate pd sze ext \nV.InterpolateAllocate(vtkDataSetAttributes, int, int, int)\nC++: void InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays);\n\n Initialize point interpolation method.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with InterpolatePoint or InterpolateEdge.\n ext is no longer used.\n If shallowCopyArrays is true, input arrays are copied to the output\n instead of new ones being allocated.\n"},
  {(char*)"InterpolateEdge",                (PyCFunction)PyvtkDataSetAttributes_InterpolateEdge, 1,
   (char*)"V.InterpolateEdge(vtkDataSetAttributes, int, int, int, float)\nC++: void InterpolateEdge (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t);\n\n Interpolate data from the two points p1,p2 (forming an edge) and an \n interpolation factor, t, along the edge. The weight ranges from (0,1), \n with t=0 located at p1. Make sure that the method InterpolateAllocate() \n has been invoked before using this method.\n If the INTERPOLATION copy flag is set to 0 for an array, interpolation\n is prevented. If the flag is set to 1, weighted interpolation occurs.\n If the flag is set to 2, nearest neighbor interpolation is used.\n"},
  {(char*)"InterpolateTime",                (PyCFunction)PyvtkDataSetAttributes_InterpolateTime, 1,
   (char*)"V.InterpolateTime(vtkDataSetAttributes, vtkDataSetAttributes, int, float)\nC++: void InterpolateTime (vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, double t);\n\n Interpolate data from the same id (point or cell) at different points\n in time (parameter t). Two input data set attributes objects are input.\n The parameter t lies between (0<=t<=1). IMPORTANT: it is assumed that\n the number of attributes and number of components is the same for both\n from1 and from2, and the type of data for from1 and from2 are the same.\n Make sure that the method InterpolateAllocate() has been invoked before \n using this method.\n If the INTERPOLATION copy flag is set to 0 for an array, interpolation\n is prevented. If the flag is set to 1, weighted interpolation occurs.\n If the flag is set to 2, nearest neighbor interpolation is used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetAttributesDoc[] = {
  (char*)"vtkDataSetAttributes - represent and manipulate attribute data in a dataset\n\n",
  "Super Class:\n\n vtkFieldData\n\n",
  (char*)" vtkDataSetAttributes is a class that is used to represent and manipulate\n attribute data (e.g., scalars, vectors, normals, texture coordinates,\n tensors, global ids, pedigree ids, and field data). \n\n This adds to vtkFieldData the ability to pick one of the arrays from the \n field as the currently active array for each attribute type. In other \n words, you pick one array to be called \"THE\" Scalars",
  (char*)", and then filters down \n the pipeline will treat that array specially. For example vtkContourFilter \n will contour \"THE\" Scalar array unless a different array is asked for.\n\n Additionally vtkDataSetAttributes provides methods that filters call to \n pass data through, copy data into, and interpolate from Fields. PassData \n passes entire arrays from the source to the destination. Copy passes \n thro",
  (char*)"ugh some subset of the tuples from the source to the destination. \n Interpolate interpolates from the chosen tuple(s) in the source data, using \n the provided weights, to produce new tuples in the destination. \n Each attribute type has pass, copy and interpolate \"copy\" flags that \n can be set in the destination to choose which attribute arrays will be\n transfered from the source to the destination",
  (char*)". \n \n Finally this class provides a mechanism to determine which attributes a \n group of sources have in common, and to copy tuples from a source into \n the destination, for only those attributes that are held by all.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetAttributesStaticNew()
{
  return vtkDataSetAttributes::New();
}

PyObject *PyVTKClass_vtkDataSetAttributesNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetAttributesStaticNew,
                        PyvtkDataSetAttributesMethods,
                        (char*)"vtkDataSetAttributes",modulename,
                        (char**)vtkDataSetAttributesDoc,
                        PyVTKClass_vtkFieldDataNew(modulename));
}

