// python wrapper for vtkDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  const char    *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkDataSet  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSet_CopyAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::CopyAttributes(temp0);
      }
    else
      {
      op->CopyAttributes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  double temp1[6];
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkCellTypes  *temp0;
  PyObject *tempH0;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellTypes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellTypes");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetCellTypes(temp0);
      }
    else
      {
      op->GetCellTypes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDataSet_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break16;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkDataSet_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::FindPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double temp0[3];
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->FindPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  unsigned long     temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkCellData  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetCellData();
      }
    else
      {
      temp20 = op->GetCellData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkPointData  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetPointData();
      }
    else
      {
      temp20 = op->GetPointData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double  *temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double   temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double temp0[2];
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GetScalarRange(temp0);
      }
    else
      {
      op->GetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataSet *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  int      temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  unsigned long     temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  int      temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkDataSet_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkDataSet_CheckAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  int      temp20;
  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSet::CheckAttributes();
      }
    else
      {
      temp20 = op->CheckAttributes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSet_GenerateGhostLevelArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet *op;

  op = (vtkDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSet::GenerateGhostLevelArray();
      }
    else
      {
      op->GenerateGhostLevelArray();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSet\nC++: vtkDataSet *NewInstance ();\n\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkDataSet_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: virtual void CopyStructure (vtkDataSet *ds) = 0;\n\n Copy the geometric and topological structure of an object. Note that\n the invoking object and the object pointed to by the parameter ds must\n be of the same type.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"CopyAttributes",                (PyCFunction)PyvtkDataSet_CopyAttributes, 1,
   (char*)"V.CopyAttributes(vtkDataSet)\nC++: virtual void CopyAttributes (vtkDataSet *ds);\n\n Copy the attributes associated with the specified dataset to this\n instance of vtkDataSet.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkDataSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints () = 0;\n\n Determine the number of points composing the dataset.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkDataSet_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells () = 0;\n\n Determine the number of cells composing the dataset.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkDataSet_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: virtual double *GetPoint (vtkIdType ptId) = 0;\nV.GetPoint(int, (float, float, float))\nC++: virtual void GetPoint (vtkIdType id, double x[3]);\n\n Get point coordinates with ptId such that: 0 <= ptId < NumberOfPoints.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkDataSet_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType cellId) = 0;\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell) = 0;\n\n Get cell with cellId such that: 0 <= cellId < NumberOfCells.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkDataSet_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: virtual void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n Get the bounds of the cell with cellId such that:\n     0 <= cellId < NumberOfCells.\n A subclass may be able to determine the bounds of cell without using\n an expensive GetCell() method. A default implementation is provided\n that actually uses a GetCell() call.  This is to ensure the method\n is available to all datasets.  Subclasses should override this method\n to provide an efficient implementation.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkDataSet_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: virtual int GetCellType (vtkIdType cellId) = 0;\n\n Get type of cell with cellId such that: 0 <= cellId < NumberOfCells.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellTypes",                (PyCFunction)PyvtkDataSet_GetCellTypes, 1,
   (char*)"V.GetCellTypes(vtkCellTypes)\nC++: virtual void GetCellTypes (vtkCellTypes *types);\n\n Get a list of types of cells in a dataset. The list consists of an array\n of types (not necessarily in any order), with a single entry per type.\n For example a dataset 5 triangles, 3 lines, and 100 hexahedra would\n result a list of three entries, corresponding to the types VTK_TRIANGLE,\n VTK_LINE, and VTK_HEXAHEDRON.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkDataSet_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds) = 0;\n\n Topological inquiry to get points defining cell.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkDataSet_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds) = 0;\n\n Topological inquiry to get cells using point.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkDataSet_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Topological inquiry to get all cells using list of points exclusive of\n cell specified (e.g., cellId). Note that the list consists of only\n cells that use ALL the points provided.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkDataSet_FindPoint, 1,
   (char*)"V.FindPoint(float, float, float) -> int\nC++: vtkIdType FindPoint (double x, double y, double z);double xyz xyz x xyz y xyz z return this FindPoint xyz \nV.FindPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindPoint (double x[3]) = 0;\n\n Locate the closest point to the global coordinate x. Return the\n point id. If point id < 0; then no point found. (This may arise\n when point is outside of dataset.)\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Datasets are composite objects and need to check each part for MTime\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"GetCellData",                (PyCFunction)PyvtkDataSet_GetCellData, 1,
   (char*)"V.GetCellData() -> vtkCellData\nC++: vtkCellData *GetCellData ();return this CellData \n\n Return a pointer to this dataset's cell data.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"GetPointData",                (PyCFunction)PyvtkDataSet_GetPointData, 1,
   (char*)"V.GetPointData() -> vtkPointData\nC++: vtkPointData *GetPointData ();return this PointData \n\n Return a pointer to this dataset's point data.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkDataSet_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze ();\n\n Reclaim any extra memory used to store data.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkDataSet_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: virtual void ComputeBounds ();\n\n Compute the data bounding box from data points.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkDataSet_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\n\n Return a pointer to the geometry bounding box in the form\n (xmin,xmax, ymin,ymax, zmin,zmax).\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkDataSet_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();\nV.GetCenter((float, float, float))\nC++: void GetCenter (double center[3]);\n\n Get the center of the bounding box.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkDataSet_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: double GetLength ();\n\n Return the length of the diagonal of the bounding box.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkDataSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Restore data object to initial state,\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkDataSet_GetScalarRange, 1,
   (char*)"V.GetScalarRange((float, float))\nC++: virtual void GetScalarRange (double range[2]);\nV.GetScalarRange() -> (float, float)\nC++: double *GetScalarRange ();\n\n Convenience method to get the range of the scalar data (if there is any \n scalar data). Returns the (min/max) range of combined point and cell data.\n If there are no point or cell scalars the method will return (0,1).\n Note: Update needs to be called to create the scalars.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkDataSet_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: virtual int GetMaxCellSize () = 0;\n\n Convenience method returns largest cell size in dataset. This is generally\n used to allocate memory for supporting data structures.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkDataSet_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_DATA_SET \n\n Shallow and Deep copy.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkDataSet_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"CheckAttributes",                (PyCFunction)PyvtkDataSet_CheckAttributes, 1,
   (char*)"V.CheckAttributes() -> int\nC++: int CheckAttributes ();\n\n This method checks to see if the cell and point attributes\n match the geometry.  Many filters will crash if the number of\n tupples in an array is less than the number of points/cells.\n This method returns 1 if there is a mismatch,\n and 0 if everything is ok.  It prints an error if an\n array is too short, and a warning if an array is too long.\n"},
  {(char*)"GenerateGhostLevelArray",                (PyCFunction)PyvtkDataSet_GenerateGhostLevelArray, 1,
   (char*)"V.GenerateGhostLevelArray()\nC++: virtual void GenerateGhostLevelArray ();\n\n Normally called by pipeline executives or algoritgms only. This method\n computes the ghost arrays for a given dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetDoc[] = {
  (char*)"vtkDataSet - abstract class to specify dataset behavior\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkDataSet is an abstract class that specifies an interface for dataset\n objects. vtkDataSet also provides methods to provide informations about\n the data, such as center, bounding box, and representative length.\n\n In vtk a dataset consists of a structure (geometry and topology) and \n attribute data. The structure is defined implicitly or explicitly as\n a collection of cells. The geometry of the ",
  (char*)"structure is contained in\n point coordinates plus the cell interpolation functions. The topology\n of the dataset structure is defined by cell types and how the cells\n share their defining points. \n\n Attribute data in vtk is either point data (data at points) or cell data\n (data at cells). Typically filters operate on point data, but some may\n operate on cell data, both cell and point data, either ",
  (char*)"one, or none.\n\n",
  "See Also:\n\n vtkPointSet vtkStructuredPoints vtkStructuredGrid vtkUnstructuredGrid\n vtkRectilinearGrid vtkPolyData vtkPointData vtkCellData\n vtkDataObject vtkFieldData\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetMethods,
                        (char*)"vtkDataSet",modulename,
                        (char**)vtkDataSetDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

