// python wrapper for vtkDataSetToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetToDataSetFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToDataSetFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToDataSetFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetSourceNew(char *); }

static PyObject *PyvtkDataSetToDataSetFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkDataSetToDataSetFilter  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataSetFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkPolyData  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetStructuredPointsOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkStructuredPoints  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetStructuredPointsOutput();
      }
    else
      {
      temp20 = op->GetStructuredPointsOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkStructuredGrid  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetRectilinearGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetRectilinearGridOutput();
      }
    else
      {
      temp20 = op->GetRectilinearGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataSetFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataSetFilter_ComputeInputUpdateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataSetFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataSetFilter::ComputeInputUpdateExtents(temp0);
      }
    else
      {
      op->ComputeInputUpdateExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkDataSetToDataSetFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToDataSetFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToDataSetFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToDataSetFilter\nC++: vtkDataSetToDataSetFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToDataSetFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: void SetInput (vtkDataSet *input);\n\n Specify the input data or filter.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataSet\nC++: vtkDataSet *GetOutput ();\nV.GetOutput(int) -> vtkDataSet\nC++: vtkDataSet *GetOutput (int idx);\n\n Get the output of this filter. If output is NULL then input\n hasn't been set which is necessary for abstract objects.\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: virtual vtkPolyData *GetPolyDataOutput ();\n\n Get the output as vtkPolyData.\n"},
  {(char*)"GetStructuredPointsOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetStructuredPointsOutput, 1,
   (char*)"V.GetStructuredPointsOutput() -> vtkStructuredPoints\nC++: virtual vtkStructuredPoints *GetStructuredPointsOutput ();\n\n Get the output as vtkStructuredPoints.\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: virtual vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output as vtkStructuredGrid.\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: virtual vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output as vtkUnstructuredGrid.\n"},
  {(char*)"GetRectilinearGridOutput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetRectilinearGridOutput, 1,
   (char*)"V.GetRectilinearGridOutput() -> vtkRectilinearGrid\nC++: virtual vtkRectilinearGrid *GetRectilinearGridOutput ();\n\n Get the output as vtkRectilinearGrid. \n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToDataSetFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Get the input data or filter.\n"},
  {(char*)"ComputeInputUpdateExtents",                (PyCFunction)PyvtkDataSetToDataSetFilter_ComputeInputUpdateExtents, 1,
   (char*)"V.ComputeInputUpdateExtents(vtkDataObject)\nC++: virtual void ComputeInputUpdateExtents (vtkDataObject *output);\n\n By default copy the output update extent to the input\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToDataSetFilterDoc[] = {
  (char*)"vtkDataSetToDataSetFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkDataSetSource\n\n",
  (char*)" vtkDataSetToDataSetFilter is an abstract filter class. Subclasses of\n vtkDataSetToDataSetFilter take a dataset as input and create a dataset as\n output. The form of the input geometry is not changed in these filters,\n only the point attributes (e.g. scalars, vectors, etc.).\n\n This is an abstract filter type. What that means is that the output of the\n filter is an abstract type (i.e., vtkDataSet),",
  (char*)" no matter what the input of\n the filter is. This can cause problems connecting together filters due to\n the change in dataset type. (For example, in a series of filters\n processing vtkPolyData, when a vtkDataSetToDataSetFilter or subclass is\n introduced into the pipeline, if the filter downstream of it takes\n vtkPolyData as input, the pipeline connection cannot be made.) To get\n around this probl",
  (char*)"em, use one of the convenience methods to return a\n concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredPointsOutput(),\n etc.).\n\n",
  "See Also:\n\n vtkBrownianPoints vtkProbeFilter vtkThresholdTextureCoords vtkDicer\n vtkElevationFilter vtkImplicitTextureCoords vtkTextureMapToBox \n vtkTextureMapToPlane vtkVectorDot vtkVectorNorm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToDataSetFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToDataSetFilterMethods,
                        (char*)"vtkDataSetToDataSetFilter",modulename,
                        (char**)vtkDataSetToDataSetFilterDoc,
                        PyVTKClass_vtkDataSetSourceNew(modulename));
}

