// python wrapper for vtkDataSetToStructuredPointsFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataSetToStructuredPointsFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToStructuredPointsFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToStructuredPointsFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredPointsSourceNew(char *); }

static PyObject *PyvtkDataSetToStructuredPointsFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredPointsFilter *op;

  const char    *temp20;
  op = (vtkDataSetToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredPointsFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredPointsFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredPointsFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataSetToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredPointsFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredPointsFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredPointsFilter *op;

  vtkDataSetToStructuredPointsFilter  *temp20;
  op = (vtkDataSetToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredPointsFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredPointsFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredPointsFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkDataSetToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToStructuredPointsFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredPointsFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredPointsFilter *op;

  vtkDataSet  *temp20;
  op = (vtkDataSetToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredPointsFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetToStructuredPointsFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToStructuredPointsFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToStructuredPointsFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToStructuredPointsFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToStructuredPointsFilter\nC++: vtkDataSetToStructuredPointsFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToStructuredPointsFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToStructuredPointsFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToStructuredPointsFilterDoc[] = {
  (char*)"vtkDataSetToStructuredPointsFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkStructuredPointsSource\n\n",
  (char*)" vtkDataSetToStructuredPointsFilter is an abstract filter class whose\n subclasses take as input any dataset and generate structured points \n data on output.\n\n",
  "See Also:\n\n vtkGaussianSplatter vtkImplicitModeller vtkShepardMethod vtkVoxelModeller\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToStructuredPointsFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToStructuredPointsFilterMethods,
                        (char*)"vtkDataSetToStructuredPointsFilter",modulename,
                        (char**)vtkDataSetToStructuredPointsFilterDoc,
                        PyVTKClass_vtkStructuredPointsSourceNew(modulename));
}

