// tcl wrapper for vtkDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDemandDrivenPipeline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDemandDrivenPipelineNewCommand()
{
  vtkDemandDrivenPipeline *temp = vtkDemandDrivenPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkExecutiveCppCommand(vtkExecutive *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDemandDrivenPipeline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExecutiveCppCommand(static_cast<vtkExecutive *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExecutive"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDemandDrivenPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDemandDrivenPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDemandDrivenPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDemandDrivenPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPipelineMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetPipelineMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetReleaseDataFlag(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetReleaseDataFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePipelineMTime",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdatePipelineMTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateDataObject",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateDataObject();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateInformation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->UpdateData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("REQUEST_DATA_OBJECT",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_DATA_OBJECT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("REQUEST_INFORMATION",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_INFORMATION();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("REQUEST_DATA",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_DATA();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("REQUEST_DATA_NOT_GENERATED",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_DATA_NOT_GENERATED();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("RELEASE_DATA",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->RELEASE_DATA();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_NOT_GENERATED",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_NOT_GENERATED();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("NewDataObject",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->NewDataObject(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDemandDrivenPipelineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExecutiveCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDemandDrivenPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPipelineMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePipelineMTime\n",NULL);
    Tcl_AppendResult(interp,"  UpdateDataObject\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  UpdateData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_DATA_OBJECT\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_INFORMATION\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_DATA\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_DATA_NOT_GENERATED\n",NULL);
    Tcl_AppendResult(interp,"  RELEASE_DATA\n",NULL);
    Tcl_AppendResult(interp,"  DATA_NOT_GENERATED\n",NULL);
    Tcl_AppendResult(interp,"  NewDataObject\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExecutiveCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetPipelineMTime" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "UpdatePipelineMTime" );
    Tcl_DStringAppendElement ( &dString, "UpdateDataObject" );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA_OBJECT" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_INFORMATION" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA_NOT_GENERATED" );
    Tcl_DStringAppendElement ( &dString, "RELEASE_DATA" );
    Tcl_DStringAppendElement ( &dString, "DATA_NOT_GENERATED" );
    Tcl_DStringAppendElement ( &dString, "NewDataObject" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExecutiveCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDemandDrivenPipeline *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPipelineMTime */
    if ( strcmp ( argv[2], "GetPipelineMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPipelineMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPipelineMTime */
    Tcl_DStringAppendElement ( &dString, " Get the PipelineMTime for this exective.\n" );
    Tcl_DStringAppendElement ( &dString, "long unsigned GetPipelineMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for GetPipelineMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataFlag */
    if ( strcmp ( argv[2], "SetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Set whether the given output port releases data when it is\n consumed.  Returns 1 if the the value changes and 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetReleaseDataFlag (int port, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for SetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataFlag */
    if ( strcmp ( argv[2], "GetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Get whether the given output port releases data when it is consumed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReleaseDataFlag (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for GetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePipelineMTime */
    if ( strcmp ( argv[2], "UpdatePipelineMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePipelineMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePipelineMTime */
    Tcl_DStringAppendElement ( &dString, " Bring the PipelineMTime up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdatePipelineMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for UpdatePipelineMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateDataObject */
    if ( strcmp ( argv[2], "UpdateDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateDataObject */
    Tcl_DStringAppendElement ( &dString, " Bring the output data object's existence up to date.  This does\n not actually produce data, but does create the data object that\n will store data produced during the UpdateData step.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateDataObject ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for UpdateDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateInformation */
    if ( strcmp ( argv[2], "UpdateInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateInformation */
    Tcl_DStringAppendElement ( &dString, " Bring the output information up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for UpdateInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateData */
    if ( strcmp ( argv[2], "UpdateData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateData */
    Tcl_DStringAppendElement ( &dString, " Bring the output data up to date.  This should be called only\n when information is up to date.  Use the Update method if it is\n not known that the information is up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateData (int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for UpdateData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_DATA_OBJECT */
    if ( strcmp ( argv[2], "REQUEST_DATA_OBJECT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA_OBJECT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_DATA_OBJECT */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to make sure the output data objects exist.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_DATA_OBJECT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for REQUEST_DATA_OBJECT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_INFORMATION */
    if ( strcmp ( argv[2], "REQUEST_INFORMATION" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_INFORMATION" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_INFORMATION */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to make sure the output information is up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_INFORMATION ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for REQUEST_INFORMATION */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_DATA */
    if ( strcmp ( argv[2], "REQUEST_DATA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_DATA */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to make sure the output data are up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_DATA ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for REQUEST_DATA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_DATA_NOT_GENERATED */
    if ( strcmp ( argv[2], "REQUEST_DATA_NOT_GENERATED" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_DATA_NOT_GENERATED" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_DATA_NOT_GENERATED */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to mark outputs that will NOT be generated\n during a REQUEST_DATA.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_DATA_NOT_GENERATED ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for REQUEST_DATA_NOT_GENERATED */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RELEASE_DATA */
    if ( strcmp ( argv[2], "RELEASE_DATA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RELEASE_DATA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RELEASE_DATA */
    Tcl_DStringAppendElement ( &dString, " Key to specify in pipeline information the request that data be\n released after it is used.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *RELEASE_DATA ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for RELEASE_DATA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DATA_NOT_GENERATED */
    if ( strcmp ( argv[2], "DATA_NOT_GENERATED" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DATA_NOT_GENERATED" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DATA_NOT_GENERATED */
    Tcl_DStringAppendElement ( &dString, " Key to store a mark for an output that will not be generated.\n Algorithms use this to tell the executive that they will not\n generate certain outputs for a REQUEST_DATA.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *DATA_NOT_GENERATED ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for DATA_NOT_GENERATED */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewDataObject */
    if ( strcmp ( argv[2], "NewDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewDataObject */
    Tcl_DStringAppendElement ( &dString, " Create (New) and return a data object of the given type.\n This is here for backwards compatibility. Use \n vtkDataObjectTypes::NewDataObject() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObject *NewDataObject (const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDemandDrivenPipeline" );
    /* Closing for NewDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExecutiveCppCommand(static_cast<vtkExecutive *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
