// python wrapper for vtkDirectedAcyclicGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDirectedAcyclicGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDirectedAcyclicGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDirectedAcyclicGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }

static PyObject *PyvtkDirectedAcyclicGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedAcyclicGraph *op;

  const char    *temp20;
  op = (vtkDirectedAcyclicGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedAcyclicGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedAcyclicGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedAcyclicGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkDirectedAcyclicGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedAcyclicGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedAcyclicGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedAcyclicGraph *op;

  vtkDirectedAcyclicGraph  *temp20;
  op = (vtkDirectedAcyclicGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedAcyclicGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedAcyclicGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDirectedAcyclicGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDirectedAcyclicGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDirectedAcyclicGraph_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedAcyclicGraph *op;

  int      temp20;
  op = (vtkDirectedAcyclicGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedAcyclicGraph::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDirectedAcyclicGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDirectedAcyclicGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDirectedAcyclicGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDirectedAcyclicGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDirectedAcyclicGraph\nC++: vtkDirectedAcyclicGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDirectedAcyclicGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDirectedAcyclicGraph\nC++: vtkDirectedAcyclicGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkDirectedAcyclicGraph_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_DIRECTED_ACYCLIC_GRAPH \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDirectedAcyclicGraphDoc[] = {
  (char*)"vtkDirectedAcyclicGraph - A rooted tree data structure.\n\n",
  "Super Class:\n\n vtkDirectedGraph\n\n",
  (char*)" vtkDirectedAcyclicGraph is a connected directed graph with no cycles. A tree is a type of\n directed graph, so works with all graph algorithms.\n\n vtkDirectedAcyclicGraph is a read-only data structure.\n To construct a tree, create an instance of vtkMutableDirectedGraph.\n Add vertices and edges with AddVertex() and AddEdge(). You may alternately\n start by adding a single vertex as the root then call",
  (char*)" graph->AddChild(parent)\n which adds a new vertex and connects the parent to the child.\n The tree MUST have all edges in the proper direction, from parent to child.\n After building the tree, call tree->CheckedShallowCopy(graph) to copy the\n structure into a vtkDirectedAcyclicGraph. This method will return false if the graph is\n an invalid tree.\n\n vtkDirectedAcyclicGraph provides some convenience m",
  (char*)"ethods for obtaining the parent and\n children of a vertex, for finding the root, and determining if a vertex\n is a leaf (a vertex with no children).\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkMutableDirectedGraph vtkGraph\n\n",
  NULL
};

static vtkObjectBase *vtkDirectedAcyclicGraphStaticNew()
{
  return vtkDirectedAcyclicGraph::New();
}

PyObject *PyVTKClass_vtkDirectedAcyclicGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkDirectedAcyclicGraphStaticNew,
                        PyvtkDirectedAcyclicGraphMethods,
                        (char*)"vtkDirectedAcyclicGraph",modulename,
                        (char**)vtkDirectedAcyclicGraphDoc,
                        PyVTKClass_vtkDirectedGraphNew(modulename));
}

