// python wrapper for vtkDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphNew(char *); }

static PyObject *PyvtkDirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedGraph *op;

  const char    *temp20;
  op = (vtkDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedGraph *op;

  vtkDirectedGraph  *temp20;
  op = (vtkDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDirectedGraph_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectedGraph *op;

  int      temp20;
  op = (vtkDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectedGraph::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDirectedGraph\nC++: vtkDirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDirectedGraph\nC++: vtkDirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkDirectedGraph_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_DIRECTED_GRAPH \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDirectedGraphDoc[] = {
  (char*)"vtkDirectedGraph - A directed graph.\n\n",
  "Super Class:\n\n vtkGraph\n\n",
  (char*)" vtkDirectedGraph is a collection of vertices along with a collection of\n directed edges (edges that have a source and target). ShallowCopy()\n and DeepCopy() (and CheckedShallowCopy(), CheckedDeepCopy())\n accept instances of vtkTree and vtkMutableDirectedGraph.\n\n vtkDirectedGraph is read-only. To create an undirected graph,\n use an instance of vtkMutableDirectedGraph, then you may set the\n structu",
  (char*)"re to a vtkDirectedGraph using ShallowCopy().\n\n\n",
  "See Also:\n\n vtkGraph vtkMutableDirectedGraph\n\n",
  NULL
};

static vtkObjectBase *vtkDirectedGraphStaticNew()
{
  return vtkDirectedGraph::New();
}

PyObject *PyVTKClass_vtkDirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkDirectedGraphStaticNew,
                        PyvtkDirectedGraphMethods,
                        (char*)"vtkDirectedGraph",modulename,
                        (char**)vtkDirectedGraphDoc,
                        PyVTKClass_vtkGraphNew(modulename));
}

