// python wrapper for vtkEdgeListIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeListIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeListIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeListIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEdgeListIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  const char    *temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  vtkEdgeListIterator  *temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEdgeListIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEdgeListIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_GetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  vtkGraph  *temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::GetGraph();
      }
    else
      {
      temp20 = op->GetGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeListIterator::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_NextGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  vtkGraphEdge  *temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::NextGraphEdge();
      }
    else
      {
      temp20 = op->NextGraphEdge();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeListIterator_HasNext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeListIterator *op;

  bool   temp20;
  op = (vtkEdgeListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeListIterator::HasNext();
      }
    else
      {
      temp20 = op->HasNext();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeListIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeListIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeListIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeListIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeListIterator\nC++: vtkEdgeListIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEdgeListIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEdgeListIterator\nC++: vtkEdgeListIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetGraph",                (PyCFunction)PyvtkEdgeListIterator_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph ();\n\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkEdgeListIterator_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph (vtkGraph *graph);\n\n"},
  {(char*)"NextGraphEdge",                (PyCFunction)PyvtkEdgeListIterator_NextGraphEdge, 1,
   (char*)"V.NextGraphEdge() -> vtkGraphEdge\nC++: vtkGraphEdge *NextGraphEdge ();\n\n Just like Next(), but\n returns heavy-weight vtkGraphEdge object instead of\n the vtkEdgeType struct, for use with wrappers.\n The graph edge is owned by this iterator, and changes\n after each call to NextGraphEdge().\n"},
  {(char*)"HasNext",                (PyCFunction)PyvtkEdgeListIterator_HasNext, 1,
   (char*)"V.HasNext() -> bool\nC++: bool HasNext ();\n\n Whether this iterator has more edges.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeListIteratorDoc[] = {
  (char*)"vtkEdgeListIterator - Iterates through all edges in a graph.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkEdgeListIterator iterates through all the edges in a graph, by traversing\n the adjacency list for each vertex. You may instantiate this class directly\n and call SetGraph() to traverse a certain graph. You may also call the graph's\n GetEdges() method to set up the iterator for a certain graph.\n\n Note that this class does NOT guarantee that the edges will be processed in\n order of their ids (i.e",
  (char*)". it will not necessarily return edge 0, then edge 1,\n etc.).\n\n\n",
  "See Also:\n\n vtkGraph\n\n",
  NULL
};

static vtkObjectBase *vtkEdgeListIteratorStaticNew()
{
  return vtkEdgeListIterator::New();
}

PyObject *PyVTKClass_vtkEdgeListIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkEdgeListIteratorStaticNew,
                        PyvtkEdgeListIteratorMethods,
                        (char*)"vtkEdgeListIterator",modulename,
                        (char**)vtkEdgeListIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

