// python wrapper for vtkExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExecutive.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExecutiveNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExecutiveNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExecutive_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  const char    *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  char    *temp0;
  int      temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkExecutive  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkAlgorithm  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetAlgorithm();
      }
    else
      {
      temp20 = op->GetAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::Update();
      }
    else
      {
      temp20 = op->Update();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::Update(temp0);
      }
    else
      {
      temp20 = op->Update(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetNumberOfInputPorts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetNumberOfInputPorts();
      }
    else
      {
      temp20 = op->GetNumberOfInputPorts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetNumberOfOutputPorts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetNumberOfOutputPorts();
      }
    else
      {
      temp20 = op->GetNumberOfOutputPorts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetNumberOfInputConnections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  int      temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetNumberOfInputConnections(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfInputConnections(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  vtkInformation  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetOutputInformation(temp0);
      }
    else
      {
      temp20 = op->GetOutputInformation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkInformationVector  *temp20;
  PyErr_Clear();
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetOutputInformation();
      }
    else
      {
      temp20 = op->GetOutputInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetInputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  int      temp1;
  vtkInformation  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetInputInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputInformation(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  vtkInformationVector  *temp20;
  PyErr_Clear();
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetInputInformation(temp0);
      }
    else
      {
      temp20 = op->GetInputInformation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetInputExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  int      temp1;
  vtkExecutive  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetInputExecutive(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputExecutive(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetOutputData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  vtkDataObject  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetOutputData(temp0);
      }
    else
      {
      temp20 = op->GetOutputData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_SetOutputData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkInformation  *temp2;
  PyObject *tempH2;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break15;
    temp2 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkInformation");
    if (!temp2 && tempH2 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutive::SetOutputData(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputData(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutive::SetOutputData(temp0,temp1);
      }
    else
      {
      op->SetOutputData(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkExecutive_GetInputData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetInputData(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInputData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_GetProducerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkAlgorithmOutput  *temp20;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExecutive::GetProducerPort(temp0);
      }
    else
      {
      temp20 = op->GetProducerPort(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkExecutive_SetSharedOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkInformationVector  *temp0;
  PyObject *tempH0;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutive::SetSharedOutputInformation(temp0);
      }
    else
      {
      op->SetSharedOutputInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkExecutive_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutive::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkExecutive_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExecutive *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkExecutive *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkExecutive::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkExecutive_PRODUCER(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::PRODUCER();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_CONSUMERS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::CONSUMERS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_FROM_OUTPUT_PORT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::FROM_OUTPUT_PORT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_ALGORITHM_BEFORE_FORWARD(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::ALGORITHM_BEFORE_FORWARD();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_ALGORITHM_AFTER_FORWARD(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::ALGORITHM_AFTER_FORWARD();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_ALGORITHM_DIRECTION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::ALGORITHM_DIRECTION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_FORWARD_DIRECTION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::FORWARD_DIRECTION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExecutive_KEYS_TO_COPY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationKeyVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExecutive::KEYS_TO_COPY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExecutiveMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExecutive_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExecutive_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExecutive_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExecutive\nC++: vtkExecutive *NewInstance ();\n\n"},
  {(char*)"GetAlgorithm",                (PyCFunction)PyvtkExecutive_GetAlgorithm, 1,
   (char*)"V.GetAlgorithm() -> vtkAlgorithm\nC++: vtkAlgorithm *GetAlgorithm ();\n\n Get the algorithm to which this executive has been assigned.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkExecutive_Update, 1,
   (char*)"V.Update() -> int\nC++: virtual int Update ();\nV.Update(int) -> int\nC++: virtual int Update (int port);\n\n Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n"},
  {(char*)"GetNumberOfInputPorts",                (PyCFunction)PyvtkExecutive_GetNumberOfInputPorts, 1,
   (char*)"V.GetNumberOfInputPorts() -> int\nC++: int GetNumberOfInputPorts ();\n\n Get the number of input/output ports for the algorithm associated\n with this executive.  Returns 0 if no algorithm is set.\n"},
  {(char*)"GetNumberOfOutputPorts",                (PyCFunction)PyvtkExecutive_GetNumberOfOutputPorts, 1,
   (char*)"V.GetNumberOfOutputPorts() -> int\nC++: int GetNumberOfOutputPorts ();\n\n Get the number of input/output ports for the algorithm associated\n with this executive.  Returns 0 if no algorithm is set.\n"},
  {(char*)"GetNumberOfInputConnections",                (PyCFunction)PyvtkExecutive_GetNumberOfInputConnections, 1,
   (char*)"V.GetNumberOfInputConnections(int) -> int\nC++: int GetNumberOfInputConnections (int port);\n\n Get the number of input connections on the given port.\n"},
  {(char*)"GetOutputInformation",                (PyCFunction)PyvtkExecutive_GetOutputInformation, 1,
   (char*)"V.GetOutputInformation(int) -> vtkInformation\nC++: virtual vtkInformation *GetOutputInformation (int port);\nV.GetOutputInformation() -> vtkInformationVector\nC++: vtkInformationVector *GetOutputInformation ();\n\n Get the pipeline information object for the given output port.\n"},
  {(char*)"GetInputInformation",                (PyCFunction)PyvtkExecutive_GetInputInformation, 1,
   (char*)"V.GetInputInformation(int, int) -> vtkInformation\nC++: vtkInformation *GetInputInformation (int port, int connection);\nV.GetInputInformation(int) -> vtkInformationVector\nC++: vtkInformationVector *GetInputInformation (int port);\n\n Get the pipeline information for the given input connection.\n"},
  {(char*)"GetInputExecutive",                (PyCFunction)PyvtkExecutive_GetInputExecutive, 1,
   (char*)"V.GetInputExecutive(int, int) -> vtkExecutive\nC++: vtkExecutive *GetInputExecutive (int port, int connection);\n\n Get the executive managing the given input connection.\n"},
  {(char*)"GetOutputData",                (PyCFunction)PyvtkExecutive_GetOutputData, 1,
   (char*)"V.GetOutputData(int) -> vtkDataObject\nC++: virtual vtkDataObject *GetOutputData (int port);\n\n Get/Set the data object for an output port of the algorithm.\n"},
  {(char*)"SetOutputData",                (PyCFunction)PyvtkExecutive_SetOutputData, 1,
   (char*)"V.SetOutputData(int, vtkDataObject, vtkInformation)\nC++: virtual void SetOutputData (int port, vtkDataObject *, vtkInformation *info);\nV.SetOutputData(int, vtkDataObject)\nC++: virtual void SetOutputData (int port, vtkDataObject *);\n\n Get/Set the data object for an output port of the algorithm.\n"},
  {(char*)"GetInputData",                (PyCFunction)PyvtkExecutive_GetInputData, 1,
   (char*)"V.GetInputData(int, int) -> vtkDataObject\nC++: virtual vtkDataObject *GetInputData (int port, int connection);\n\n Get the data object for an input port of the algorithm.\n"},
  {(char*)"GetProducerPort",                (PyCFunction)PyvtkExecutive_GetProducerPort, 1,
   (char*)"V.GetProducerPort(vtkDataObject) -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetProducerPort (vtkDataObject *);\n\n Get the output port that produces the given data object.\n"},
  {(char*)"SetSharedOutputInformation",                (PyCFunction)PyvtkExecutive_SetSharedOutputInformation, 1,
   (char*)"V.SetSharedOutputInformation(vtkInformationVector)\nC++: void SetSharedOutputInformation (vtkInformationVector *outInfoVec);\n\n Set a pointer to an outside instance of input or output\n information vectors.  No references are held to the given\n vectors, and setting this does not change the executive object\n modification time.  This is a preliminary interface to use in\n implementing filters with internal pipelines, and may change\n without notice when a future interface is created.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkExecutive_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkExecutive_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"PRODUCER",                (PyCFunction)PyvtkExecutive_PRODUCER, 1,
   (char*)"V.PRODUCER() -> vtkInformationExecutivePortKey\nC++: static vtkInformationExecutivePortKey *PRODUCER ();\n\n Information key to store the executive/port number producing an\n information object.\n"},
  {(char*)"CONSUMERS",                (PyCFunction)PyvtkExecutive_CONSUMERS, 1,
   (char*)"V.CONSUMERS() -> vtkInformationExecutivePortVectorKey\nC++: static vtkInformationExecutivePortVectorKey *CONSUMERS ();\n\n Information key to store the executive/port number pairs\n consuming an information object.\n"},
  {(char*)"FROM_OUTPUT_PORT",                (PyCFunction)PyvtkExecutive_FROM_OUTPUT_PORT, 1,
   (char*)"V.FROM_OUTPUT_PORT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FROM_OUTPUT_PORT ();\n\n Information key to store the output port number from which a\n request is made.\n"},
  {(char*)"ALGORITHM_BEFORE_FORWARD",                (PyCFunction)PyvtkExecutive_ALGORITHM_BEFORE_FORWARD, 1,
   (char*)"V.ALGORITHM_BEFORE_FORWARD() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ALGORITHM_BEFORE_FORWARD ();\n\n Keys to program vtkExecutive::ProcessRequest with the default\n behavior for unknown requests.\n"},
  {(char*)"ALGORITHM_AFTER_FORWARD",                (PyCFunction)PyvtkExecutive_ALGORITHM_AFTER_FORWARD, 1,
   (char*)"V.ALGORITHM_AFTER_FORWARD() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ALGORITHM_AFTER_FORWARD ();\n\n Keys to program vtkExecutive::ProcessRequest with the default\n behavior for unknown requests.\n"},
  {(char*)"ALGORITHM_DIRECTION",                (PyCFunction)PyvtkExecutive_ALGORITHM_DIRECTION, 1,
   (char*)"V.ALGORITHM_DIRECTION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *ALGORITHM_DIRECTION ();\n\n Keys to program vtkExecutive::ProcessRequest with the default\n behavior for unknown requests.\n"},
  {(char*)"FORWARD_DIRECTION",                (PyCFunction)PyvtkExecutive_FORWARD_DIRECTION, 1,
   (char*)"V.FORWARD_DIRECTION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FORWARD_DIRECTION ();\n\n Keys to program vtkExecutive::ProcessRequest with the default\n behavior for unknown requests.\n"},
  {(char*)"KEYS_TO_COPY",                (PyCFunction)PyvtkExecutive_KEYS_TO_COPY, 1,
   (char*)"V.KEYS_TO_COPY() -> vtkInformationKeyVectorKey\nC++: static vtkInformationKeyVectorKey *KEYS_TO_COPY ();\n\n Keys to program vtkExecutive::ProcessRequest with the default\n behavior for unknown requests.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExecutiveDoc[] = {
  (char*)"vtkExecutive - Superclass for all pipeline executives in VTK.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkExecutive is the superclass for all pipeline executives in VTK.\n A VTK executive is responsible for controlling one instance of\n vtkAlgorithm.  A pipeline consists of one or more executives that\n control data flow.  Every reader, source, writer, or data\n processing algorithm in the pipeline is implemented in an instance\n of vtkAlgorithm.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkExecutiveNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkExecutiveMethods,
                        (char*)"vtkExecutive",modulename,
                        (char**)vtkExecutiveDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

