// python wrapper for vtkExplicitCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExplicitCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExplicitCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExplicitCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }

static PyObject *PyvtkExplicitCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  const char    *temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  char    *temp0;
  int      temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  vtkExplicitCell  *temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_IsExplicitCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  int      temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::IsExplicitCell();
      }
    else
      {
      temp20 = op->IsExplicitCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_SetCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  vtkIdType   temp0;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExplicitCell::SetCellId(temp0);
      }
    else
      {
      op->SetCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_GetCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  vtkIdType   temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::GetCellId();
      }
    else
      {
      temp20 = op->GetCellId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExplicitCell_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkExplicitCell::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkExplicitCell_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExplicitCell *op;

  vtkDataSet  *temp20;
  op = (vtkExplicitCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExplicitCell::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExplicitCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExplicitCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExplicitCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExplicitCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExplicitCell\nC++: vtkExplicitCell *NewInstance ();\n\n"},
  {(char*)"IsExplicitCell",                (PyCFunction)PyvtkExplicitCell_IsExplicitCell, 1,
   (char*)"V.IsExplicitCell() -> int\nC++: virtual int IsExplicitCell ();return \n\n Set/Get the cell id. This is necessary for explicit cells because they\n often need to keep extra information (typically contained in the\n cell data of a point set). This information might be things like\n knot points/weights, boundaries, etc.\n"},
  {(char*)"SetCellId",                (PyCFunction)PyvtkExplicitCell_SetCellId, 1,
   (char*)"V.SetCellId(int)\nC++: void SetCellId (vtkIdType );\n\n Set/Get the cell id. This is necessary for explicit cells because they\n often need to keep extra information (typically contained in the\n cell data of a point set). This information might be things like\n knot points/weights, boundaries, etc.\n"},
  {(char*)"GetCellId",                (PyCFunction)PyvtkExplicitCell_GetCellId, 1,
   (char*)"V.GetCellId() -> int\nC++: vtkIdType GetCellId ();\n\n Set/Get the cell id. This is necessary for explicit cells because they\n often need to keep extra information (typically contained in the\n cell data of a point set). This information might be things like\n knot points/weights, boundaries, etc.\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkExplicitCell_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: virtual void SetDataSet (vtkDataSet *);\n\n Set/Get the mesh that owns this cell. This is necessary for explicit\n cells because they often need to keep extra information (typically\n contained in the cell data of a point set). This information might be\n things like knot points/weights, boundaries, etc.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkExplicitCell_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Set/Get the mesh that owns this cell. This is necessary for explicit\n cells because they often need to keep extra information (typically\n contained in the cell data of a point set). This information might be\n things like knot points/weights, boundaries, etc.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExplicitCellDoc[] = {
  (char*)"vtkExplicitCell - abstract superclass for cells requiring an explicit representation\n\n",
  "Super Class:\n\n vtkNonLinearCell\n\n",
  (char*)" vtkExplicitCell is an abstract superclass for cells that cannot be\n represented implicitly. An implicit representation requires only a\n cell type and connectivity list (e.g., triangle). Explicit cells\n require information beyond this; e.g., a NURBS surface or cells that\n require explicit face/edge descriptions. Most cells in VTK are\n implicitly represented.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkExplicitCellNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkExplicitCellMethods,
                        (char*)"vtkExplicitCell",modulename,
                        (char**)vtkExplicitCellDoc,
                        PyVTKClass_vtkNonLinearCellNew(modulename));
}

