// python wrapper for vtkFieldData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFieldData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFieldDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFieldDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFieldData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  const char    *temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkFieldData  *temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFieldData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFieldData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFieldData_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkFieldData_AllocateArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::AllocateArrays(temp0);
      }
    else
      {
      op->AllocateArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetNumberOfArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetNumberOfArrays();
      }
    else
      {
      temp20 = op->GetNumberOfArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_AddArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::AddArray(temp0);
      }
    else
      {
      temp20 = op->AddArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkFieldData_RemoveArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::RemoveArray(temp0);
      }
    else
      {
      op->RemoveArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  vtkDataArray  *temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetArray(temp0);
      }
    else
      {
      temp20 = op->GetArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetArray(temp0);
      }
    else
      {
      temp20 = op->GetArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetAbstractArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  vtkAbstractArray  *temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetAbstractArray(temp0);
      }
    else
      {
      temp20 = op->GetAbstractArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  vtkAbstractArray  *temp20;
  PyErr_Clear();
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetAbstractArray(temp0);
      }
    else
      {
      temp20 = op->GetAbstractArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_HasArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::HasArray(temp0);
      }
    else
      {
      temp20 = op->HasArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_PassData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::PassData(temp0);
      }
    else
      {
      op->PassData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkFieldData_CopyFieldOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::CopyFieldOn(temp0);
      }
    else
      {
      op->CopyFieldOn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_CopyFieldOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  char    *temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::CopyFieldOff(temp0);
      }
    else
      {
      op->CopyFieldOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_CopyAllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::CopyAllOn(temp0);
      }
    else
      {
      op->CopyAllOn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_CopyAllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::CopyAllOff(temp0);
      }
    else
      {
      op->CopyAllOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkFieldData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkFieldData_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  unsigned long     temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  unsigned long     temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkFieldData  *temp1;
  PyObject *tempH1;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break28;
    temp1 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFieldData");
    if (!temp1 && tempH1 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::GetField(temp0,temp1);
      }
    else
      {
      op->GetField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkFieldData_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  int      temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_GetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetNumberOfTuples();
      }
    else
      {
      temp20 = op->GetNumberOfTuples();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::SetNumberOfTuples(temp0);
      }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldData_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkFieldData  *temp2;
  PyObject *tempH2;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFieldData");
    if (!temp2 && tempH2 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::SetTuple(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkFieldData_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkFieldData  *temp2;
  PyObject *tempH2;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFieldData");
    if (!temp2 && tempH2 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::InsertTuple(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkFieldData_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  vtkFieldData  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFieldData");
    if (!temp1 && tempH1 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::InsertNextTuple(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break34:
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkFieldData_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldData::GetComponent(temp0,temp1);
      }
    else
      {
      temp20 = op->GetComponent(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkFieldData_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::SetComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkFieldData_InsertComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  op = (vtkFieldData *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldData::InsertComponent(temp0,temp1,temp2);
      }
    else
      {
      op->InsertComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkFieldDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFieldData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFieldData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFieldData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFieldData\nC++: vtkFieldData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFieldData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFieldData\nC++: vtkFieldData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkFieldData_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Release all data but do not delete object.\n Also, clear the copy flags.\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkFieldData_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (const vtkIdType sz, const vtkIdType ext);\n\n Allocate data for each array.\n Note that ext is no longer used.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkFieldData_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkFieldData)\nC++: void CopyStructure (vtkFieldData *);\n\n Copy data array structure from a given field.  The same arrays\n will exist with the same types, but will contain nothing in the\n copy.\n"},
  {(char*)"AllocateArrays",                (PyCFunction)PyvtkFieldData_AllocateArrays, 1,
   (char*)"V.AllocateArrays(int)\nC++: void AllocateArrays (int num);\n\n AllocateOfArrays actually sets the number of\n vtkAbstractArray pointers in the vtkFieldData object, not the\n number of used pointers (arrays). Adding more arrays will\n cause the object to dynamically adjust the number of pointers\n if it needs to extend. Although AllocateArrays can\n be used if the number of arrays which will be added is\n known, it can be omitted with a small computation cost.\n"},
  {(char*)"GetNumberOfArrays",                (PyCFunction)PyvtkFieldData_GetNumberOfArrays, 1,
   (char*)"V.GetNumberOfArrays() -> int\nC++: int GetNumberOfArrays ();return this NumberOfActiveArrays \n\n Add an array to the array list. If an array with the same name\n already exists - then the added array will replace it.\n"},
  {(char*)"AddArray",                (PyCFunction)PyvtkFieldData_AddArray, 1,
   (char*)"V.AddArray(vtkAbstractArray) -> int\nC++: int AddArray (vtkAbstractArray *array);\n\n Add an array to the array list. If an array with the same name\n already exists - then the added array will replace it.\n"},
  {(char*)"RemoveArray",                (PyCFunction)PyvtkFieldData_RemoveArray, 1,
   (char*)"V.RemoveArray(string)\nC++: virtual void RemoveArray (const char *name);int i this GetAbstractArray name i this RemoveArray i \n\n Return the ith array in the field. A NULL is returned if the\n index i is out of range. A NULL is returned if the array at the given \n index is not a vtkDataArray.\n"},
  {(char*)"GetArray",                (PyCFunction)PyvtkFieldData_GetArray, 1,
   (char*)"V.GetArray(int) -> vtkDataArray\nC++: vtkDataArray *GetArray (int i);\nV.GetArray(string) -> vtkDataArray\nC++: vtkDataArray *GetArray (const char *arrayName);int i return this GetArray arrayName i \n\n Return the ith array in the field. A NULL is returned if the\n index i is out of range. A NULL is returned if the array at the given \n index is not a vtkDataArray.\n"},
  {(char*)"GetAbstractArray",                (PyCFunction)PyvtkFieldData_GetAbstractArray, 1,
   (char*)"V.GetAbstractArray(int) -> vtkAbstractArray\nC++: vtkAbstractArray *GetAbstractArray (int i);\nV.GetAbstractArray(string) -> vtkAbstractArray\nC++: vtkAbstractArray *GetAbstractArray (const char *arrayName);int i return this GetAbstractArray arrayName i \n\n Returns the ith array in the field. Unlike GetArray(), this method returns\n a vtkAbstractArray. A NULL is returned only if the index i is \n out of range.\n"},
  {(char*)"HasArray",                (PyCFunction)PyvtkFieldData_HasArray, 1,
   (char*)"V.HasArray(string) -> int\nC++: int HasArray (const char *name);int i vtkAbstractArray array this GetAbstractArray name i return array \n\n Get the name of ith array.\n Note that this is equivalent to:\n GetAbstractArray(i)->GetName() if ith array pointer is not NULL\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkFieldData_GetArrayName, 1,
   (char*)"V.GetArrayName(int) -> string\nC++: const char *GetArrayName (int i);vtkAbstractArray da this GetAbstractArray i return da da GetName \n\n Pass entire arrays of input data through to output. Obey the \"copy\"\n flags.\n"},
  {(char*)"PassData",                (PyCFunction)PyvtkFieldData_PassData, 1,
   (char*)"V.PassData(vtkFieldData)\nC++: virtual void PassData (vtkFieldData *fd);\n\n Pass entire arrays of input data through to output. Obey the \"copy\"\n flags.\n"},
  {(char*)"CopyFieldOn",                (PyCFunction)PyvtkFieldData_CopyFieldOn, 1,
   (char*)"V.CopyFieldOn(string)\nC++: void CopyFieldOn (const char *name);this CopyFieldOnOff name \n\n Turn on/off the copying of the field specified by name.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyFieldOff",                (PyCFunction)PyvtkFieldData_CopyFieldOff, 1,
   (char*)"V.CopyFieldOff(string)\nC++: void CopyFieldOff (const char *name);this CopyFieldOnOff name \n\n Turn on copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOn",                (PyCFunction)PyvtkFieldData_CopyAllOn, 1,
   (char*)"V.CopyAllOn(int)\nC++: virtual void CopyAllOn (int unused);\n\n Turn on copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOff",                (PyCFunction)PyvtkFieldData_CopyAllOff, 1,
   (char*)"V.CopyAllOff(int)\nC++: virtual void CopyAllOff (int unused);\n\n Turn off copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkFieldData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkFieldData)\nC++: virtual void DeepCopy (vtkFieldData *da);\n\n Copy a field by creating new data arrays (i.e., duplicate storage).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkFieldData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkFieldData)\nC++: virtual void ShallowCopy (vtkFieldData *da);\n\n Copy a field by reference counting the data arrays.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkFieldData_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Squeezes each data array in the field (Squeeze() reclaims unused memory.)\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkFieldData_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Resets each data array in the field (Reset() does not release memory but\n it makes the arrays look like they are empty.)\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkFieldData_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this field data. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkFieldData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Check object's components for modified times.\n"},
  {(char*)"GetField",                (PyCFunction)PyvtkFieldData_GetField, 1,
   (char*)"V.GetField(vtkIdList, vtkFieldData)\nC++: void GetField (vtkIdList *ptId, vtkFieldData *f);\n\n Get a field from a list of ids. Supplied field f should have same\n types and number of data arrays as this one (i.e., like\n CopyStructure() creates).  This method should not be used if the\n instance is from a subclass of vtkFieldData (vtkPointData or\n vtkCellData).  This is because in those cases, the attribute data\n is stored with the other fields and will cause the method to\n behave in an unexpected way.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkFieldData_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Get the number of components in the field. This is determined by adding\n up the components in each non-NULL array.\n This method should not be used if the instance is from a\n subclass of vtkFieldData (vtkPointData or vtkCellData).\n This is because in those cases, the attribute data is \n stored with the other fields and will cause the method\n to behave in an unexpected way.\n"},
  {(char*)"GetNumberOfTuples",                (PyCFunction)PyvtkFieldData_GetNumberOfTuples, 1,
   (char*)"V.GetNumberOfTuples() -> int\nC++: vtkIdType GetNumberOfTuples ();\n\n Get the number of tuples in the field. Note: some fields have arrays with\n different numbers of tuples; this method returns the number of tuples in\n the first array. Mixed-length arrays may have to be treated specially.\n This method should not be used if the instance is from a\n subclass of vtkFieldData (vtkPointData or vtkCellData).\n This is because in those cases, the attribute data is \n stored with the other fields and will cause the method\n to behave in an unexpected way.\n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkFieldData_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: void SetNumberOfTuples (const vtkIdType number);\n\n Set the number of tuples for each data array in the field.\n This method should not be used if the instance is from a\n subclass of vtkFieldData (vtkPointData or vtkCellData).\n This is because in those cases, the attribute data is \n stored with the other fields and will cause the method\n to behave in an unexpected way.\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkFieldData_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkFieldData)\nC++: void SetTuple (const vtkIdType i, const vtkIdType j, vtkFieldData *source);\n\n Set the jth tuple in source field data at the ith location. \n Set operations mean that no range checking is performed, so \n they're faster.\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkFieldData_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkFieldData)\nC++: void InsertTuple (const vtkIdType i, const vtkIdType j, vtkFieldData *source);\n\n Insert the jth tuple in source field data at the ith location. \n Range checking is performed and memory allocates as necessary.\n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkFieldData_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkFieldData) -> int\nC++: vtkIdType InsertNextTuple (const vtkIdType j, vtkFieldData *source);\n\n Insert the jth tuple in source field data  at the end of the \n tuple matrix. Range checking is performed and memory is allocated \n as necessary.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetComponent",                (PyCFunction)PyvtkFieldData_GetComponent, 1,
   (char*)"V.GetComponent(int, int) -> float\nC++: double GetComponent (const vtkIdType i, const int j);\n\n Get the component value at the ith tuple (or row) and jth component (or\n column).\n @deprecated as of VTK 5.2. Using this method for FieldData\n having arrays that are not subclasses of vtkDataArray may\n yield unexpected results.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetComponent",                (PyCFunction)PyvtkFieldData_SetComponent, 1,
   (char*)"V.SetComponent(int, int, float)\nC++: void SetComponent (const vtkIdType i, const int j, const double c);\n\n Set the component value at the ith tuple (or row) and jth component (or\n column).  Range checking is not performed, so set the object up properly\n before invoking.\n @deprecated as of VTK 5.2. Using this method for FieldData\n having arrays that are not subclasses of vtkDataArray may\n yield unexpected results.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"InsertComponent",                (PyCFunction)PyvtkFieldData_InsertComponent, 1,
   (char*)"V.InsertComponent(int, int, float)\nC++: void InsertComponent (const vtkIdType i, const int j, const double c);\n\n Insert the component value at the ith tuple (or row) and jth component\n (or column).  Range checking is performed and memory allocated as\n necessary o hold data.\n @deprecated as of VTK 5.2. Using this method for FieldData\n having arrays that are not subclasses of vtkDataArray may\n yield unexpected results.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFieldDataDoc[] = {
  (char*)"vtkFieldData - represent and manipulate fields of data\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkFieldData represents and manipulates fields of data. The model of a field\n is a m x n matrix of data values, where m is the number of tuples, and n\n is the number of components. (A tuple is a row of n components in the\n matrix.) The field is assumed to be composed of a set of one or more data\n arrays, where the data in the arrays are of different types (e.g., int,\n double, char, etc.), and the",
  (char*)"re may be variable numbers of components in\n each array. Note that each data array is assumed to be \"m\" in length\n (i.e., number of tuples), which typically corresponds to the number of\n points or cells in a dataset. Also, each data array must have a\n character-string name. (This is used to manipulate data.)\n\n There are two ways of manipulating and interfacing to fields. You can do\n it generically",
  (char*)" by manipulating components/tuples via a double-type data\n exchange, or you can do it by grabbing the arrays and manipulating them\n directly. The former is simpler but performs type conversion, which is bad\n if your data has non-castable types like (void) pointers, or you lose\n information as a result of the cast. The, more efficient method means\n managing each array in the field.  Using this meth",
  (char*)"od you can create\n faster, more efficient algorithms that do not lose information.\n\n",
  "See Also:\n\n vtkAbstractArray vtkDataSetAttributes vtkPointData vtkCellData\n\n",
  NULL
};

static vtkObjectBase *vtkFieldDataStaticNew()
{
  return vtkFieldData::New();
}

PyObject *PyVTKClass_vtkFieldDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkFieldDataStaticNew,
                        PyvtkFieldDataMethods,
                        (char*)"vtkFieldData",modulename,
                        (char**)vtkFieldDataDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

