// python wrapper for vtkGenericAdaptorCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericAdaptorCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericAdaptorCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericAdaptorCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericAdaptorCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  const char    *temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAdaptorCell  *temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkIdType   temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsInDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsInDataSet();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetGeometryOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGeometryOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsGeometryLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::IsGeometryLinear();
      }
    else
      {
      temp20 = op->IsGeometryLinear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetAttributeOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAttribute  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttribute");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetAttributeOrder(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetHighestOrderAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAttributeCollection  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttributeCollection");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::GetHighestOrderAttribute(temp0);
      }
    else
      {
      temp20 = op->GetHighestOrderAttribute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsAttributeLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAttribute  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttribute");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::IsAttributeLinear(temp0);
      }
    else
      {
      temp20 = op->IsAttributeLinear(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsPrimary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsPrimary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetNumberOfBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfBoundaries(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetNumberOfDOFNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfDOFNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetPointIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericPointIterator  *temp0;
  PyObject *tempH0;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericPointIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericPointIterator");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPointIterator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_NewCellIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericCellIterator  *temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewCellIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetBoundaryIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericCellIterator  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGenericCellIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericCellIterator");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetBoundaryIterator(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_CountNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->CountNeighbors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericCellIterator  *temp1;
  PyObject *tempH1;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkGenericCellIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCellIterator");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetNeighbors(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_EvaluateLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp0;
  double temp1[3];
  double temp2[3];
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->EvaluateLocation(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkContourValues  *temp0;
  PyObject *tempH0;
  vtkImplicitFunction  *temp1;
  PyObject *tempH1;
  vtkGenericAttributeCollection  *temp2;
  PyObject *tempH2;
  vtkGenericCellTessellator  *temp3;
  PyObject *tempH3;
  vtkPointLocator  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkCellArray  *temp6;
  PyObject *tempH6;
  vtkCellArray  *temp7;
  PyObject *tempH7;
  vtkPointData  *temp8;
  PyObject *tempH8;
  vtkCellData  *temp9;
  PyObject *tempH9;
  vtkPointData  *temp10;
  PyObject *tempH10;
  vtkPointData  *temp11;
  PyObject *tempH11;
  vtkCellData  *temp12;
  PyObject *tempH12;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOOOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &tempH9, &tempH10, &tempH11, &tempH12);
  if (op)
    {
    temp0 = (vtkContourValues *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkContourValues");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImplicitFunction");
    if (!temp1 && tempH1 != Py_None) goto break22;
    temp2 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGenericAttributeCollection");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp3 = (vtkGenericCellTessellator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkGenericCellTessellator");
    if (!temp3 && tempH3 != Py_None) goto break22;
    temp4 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointLocator");
    if (!temp4 && tempH4 != Py_None) goto break22;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break22;
    temp6 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellArray");
    if (!temp6 && tempH6 != Py_None) goto break22;
    temp7 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkCellArray");
    if (!temp7 && tempH7 != Py_None) goto break22;
    temp8 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkPointData");
    if (!temp8 && tempH8 != Py_None) goto break22;
    temp9 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH9,(char*)"vtkCellData");
    if (!temp9 && tempH9 != Py_None) goto break22;
    temp10 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkPointData");
    if (!temp10 && tempH10 != Py_None) goto break22;
    temp11 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH11,(char*)"vtkPointData");
    if (!temp11 && tempH11 != Py_None) goto break22;
    temp12 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH12,(char*)"vtkCellData");
    if (!temp12 && tempH12 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAdaptorCell::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11,temp12);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11,temp12);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  double   temp0;
  vtkImplicitFunction  *temp1;
  PyObject *tempH1;
  vtkGenericAttributeCollection  *temp2;
  PyObject *tempH2;
  vtkGenericCellTessellator  *temp3;
  PyObject *tempH3;
  int      temp4;
  vtkPointLocator  *temp5;
  PyObject *tempH5;
  vtkCellArray  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkPointData  *temp9;
  PyObject *tempH9;
  vtkPointData  *temp10;
  PyObject *tempH10;
  vtkCellData  *temp11;
  PyObject *tempH11;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"dOOOiOOOOOOO", &temp0, &tempH1, &tempH2, &tempH3, &temp4, &tempH5, &tempH6, &tempH7, &tempH8, &tempH9, &tempH10, &tempH11);
  if (op)
    {
    temp1 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImplicitFunction");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp2 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkGenericAttributeCollection");
    if (!temp2 && tempH2 != Py_None) goto break23;
    temp3 = (vtkGenericCellTessellator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkGenericCellTessellator");
    if (!temp3 && tempH3 != Py_None) goto break23;
    temp5 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointLocator");
    if (!temp5 && tempH5 != Py_None) goto break23;
    temp6 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellArray");
    if (!temp6 && tempH6 != Py_None) goto break23;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break23;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break23;
    temp9 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH9,(char*)"vtkPointData");
    if (!temp9 && tempH9 != Py_None) goto break23;
    temp10 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkPointData");
    if (!temp10 && tempH10 != Py_None) goto break23;
    temp11 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH11,(char*)"vtkCellData");
    if (!temp11 && tempH11 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAdaptorCell::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  double temp0[6];
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetLength2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  double   temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAdaptorCell::GetLength2();
      }
    else
      {
      temp20 = op->GetLength2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  double temp0[3];
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetParametricDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  double temp0[3];
  double   temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetParametricDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_Tessellate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAttributeCollection  *temp0;
  PyObject *tempH0;
  vtkGenericCellTessellator  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  vtkPointLocator  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkCellData  *temp7;
  PyObject *tempH7;
  vtkUnsignedCharArray  *temp8;
  PyObject *tempH8;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8);
  if (op)
    {
    temp0 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttributeCollection");
    if (!temp0 && tempH0 != Py_None) goto break28;
    temp1 = (vtkGenericCellTessellator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCellTessellator");
    if (!temp1 && tempH1 != Py_None) goto break28;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break28;
    temp3 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointLocator");
    if (!temp3 && tempH3 != Py_None) goto break28;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break28;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break28;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break28;
    temp7 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkCellData");
    if (!temp7 && tempH7 != Py_None) goto break28;
    temp8 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkUnsignedCharArray");
    if (!temp8 && tempH8 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAdaptorCell::Tessellate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->Tessellate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsFaceOnBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsFaceOnBoundary(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_IsOnBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsOnBoundary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_TriangulateFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  vtkGenericAttributeCollection  *temp0;
  PyObject *tempH0;
  vtkGenericCellTessellator  *temp1;
  PyObject *tempH1;
  int      temp2;
  vtkPoints  *temp3;
  PyObject *tempH3;
  vtkPointLocator  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"OOiOOOOOO", &tempH0, &tempH1, &temp2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8);
  if (op)
    {
    temp0 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttributeCollection");
    if (!temp0 && tempH0 != Py_None) goto break31;
    temp1 = (vtkGenericCellTessellator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCellTessellator");
    if (!temp1 && tempH1 != Py_None) goto break31;
    temp3 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPoints");
    if (!temp3 && tempH3 != Py_None) goto break31;
    temp4 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointLocator");
    if (!temp4 && tempH4 != Py_None) goto break31;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break31;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break31;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break31;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAdaptorCell::TriangulateFace(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->TriangulateFace(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkGenericAdaptorCell_GetNumberOfVerticesOnFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAdaptorCell *op;

  int      temp0;
  int      temp20;
  op = (vtkGenericAdaptorCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfVerticesOnFace(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericAdaptorCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericAdaptorCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericAdaptorCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericAdaptorCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericAdaptorCell\nC++: vtkGenericAdaptorCell *NewInstance ();\n\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkGenericAdaptorCell_GetId, 1,
   (char*)"V.GetId() -> int\nC++: virtual vtkIdType GetId () = 0;\n\n Unique identification number of the cell over the whole\n data set. This unique key may not be contiguous.\n"},
  {(char*)"IsInDataSet",                (PyCFunction)PyvtkGenericAdaptorCell_IsInDataSet, 1,
   (char*)"V.IsInDataSet() -> int\nC++: virtual int IsInDataSet () = 0;\n\n Does `this' a cell of a dataset? (otherwise, it is a boundary cell)\n"},
  {(char*)"GetType",                (PyCFunction)PyvtkGenericAdaptorCell_GetType, 1,
   (char*)"V.GetType() -> int\nC++: virtual int GetType () = 0;\n\n Return the type of the current cell.\n \\post (result==VTK_HIGHER_ORDER_EDGE)||\n       (result==VTK_HIGHER_ORDER_TRIANGLE)||\n       (result==VTK_HIGHER_ORDER_TETRAHEDRON)\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkGenericAdaptorCell_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension () = 0;\n\n Return the topological dimension of the current cell.\n \\post valid_result: result>=0 && result<=3\n"},
  {(char*)"GetGeometryOrder",                (PyCFunction)PyvtkGenericAdaptorCell_GetGeometryOrder, 1,
   (char*)"V.GetGeometryOrder() -> int\nC++: virtual int GetGeometryOrder () = 0;\n\n Return the interpolation order of the geometry.\n \\post positive_result: result>=0\n"},
  {(char*)"IsGeometryLinear",                (PyCFunction)PyvtkGenericAdaptorCell_IsGeometryLinear, 1,
   (char*)"V.IsGeometryLinear() -> int\nC++: int IsGeometryLinear ();\n\n Does the cell have a non-linear interpolation for the geometry?\n \\post definition: result==(GetGeometryOrder()==1)\n"},
  {(char*)"GetAttributeOrder",                (PyCFunction)PyvtkGenericAdaptorCell_GetAttributeOrder, 1,
   (char*)"V.GetAttributeOrder(vtkGenericAttribute) -> int\nC++: virtual int GetAttributeOrder (vtkGenericAttribute *a) = 0;\n\n Return the interpolation order of attribute `a' on the cell\n (may differ by cell).  \n \\pre a_exists: a!=0 \n \\post positive_result: result>=0\n"},
  {(char*)"GetHighestOrderAttribute",                (PyCFunction)PyvtkGenericAdaptorCell_GetHighestOrderAttribute, 1,
   (char*)"V.GetHighestOrderAttribute(vtkGenericAttributeCollection) -> int\nC++: virtual int GetHighestOrderAttribute (vtkGenericAttributeCollection *ac);\n\n Return the index of the first point centered attribute with the highest\n order in `ac'.\n \\pre ac_exists: ac!=0\n \\post valid_result: result>=-1 && result<ac->GetNumberOfAttributes()\n"},
  {(char*)"IsAttributeLinear",                (PyCFunction)PyvtkGenericAdaptorCell_IsAttributeLinear, 1,
   (char*)"V.IsAttributeLinear(vtkGenericAttribute) -> int\nC++: int IsAttributeLinear (vtkGenericAttribute *a);\n\n Does the attribute `a' have a non-linear interpolation?\n \\pre a_exists: a!=0\n \\post definition: result==(GetAttributeOrder()==1)\n"},
  {(char*)"IsPrimary",                (PyCFunction)PyvtkGenericAdaptorCell_IsPrimary, 1,
   (char*)"V.IsPrimary() -> int\nC++: virtual int IsPrimary () = 0;\n\n Is the cell primary (i.e. not composite) ?\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkGenericAdaptorCell_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual int GetNumberOfPoints () = 0;\n\n Return the number of corner points that compose the cell.\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfBoundaries",                (PyCFunction)PyvtkGenericAdaptorCell_GetNumberOfBoundaries, 1,
   (char*)"V.GetNumberOfBoundaries(int) -> int\nC++: virtual int GetNumberOfBoundaries (int dim) = 0;\n\n Return the number of boundaries of dimension `dim' (or all dimensions\n greater than 0 and less than GetDimension() if -1) of the cell.\n When \\a dim is -1, the number of vertices is not included in the\n count because vertices are a special case: a vertex will have\n at most a single field value associated with it; DOF nodes may have\n an arbitrary number of field values associated with them.\n \\pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfDOFNodes",                (PyCFunction)PyvtkGenericAdaptorCell_GetNumberOfDOFNodes, 1,
   (char*)"V.GetNumberOfDOFNodes() -> int\nC++: virtual int GetNumberOfDOFNodes () = 0;\n\n Accumulated number of DOF nodes of the current cell. A DOF node is\n a component of cell with a given topological dimension. e.g.: a triangle\n has 4 DOF: 1 face and 3 edges. An hexahedron has 19 DOF:\n 1 region, 6 faces, and 12 edges.\n\n The number of vertices is not included in the\n count because vertices are a special case: a vertex will have\n at most a single field value associated with it; DOF nodes may have\n an arbitrary number of field values associated with them.\n \\post valid_result: result==GetNumberOfBoundaries(-1)+1\n"},
  {(char*)"GetPointIterator",                (PyCFunction)PyvtkGenericAdaptorCell_GetPointIterator, 1,
   (char*)"V.GetPointIterator(vtkGenericPointIterator)\nC++: virtual void GetPointIterator (vtkGenericPointIterator *it) = 0;\n\n Return the points of cell into `it'.\n \\pre it_exists: it!=0\n"},
  {(char*)"NewCellIterator",                (PyCFunction)PyvtkGenericAdaptorCell_NewCellIterator, 1,
   (char*)"V.NewCellIterator() -> vtkGenericCellIterator\nC++: virtual vtkGenericCellIterator *NewCellIterator () = 0;\n\n Create an empty cell iterator. The user is responsible for deleting it.\n \\post result_exists: result!=0\n"},
  {(char*)"GetBoundaryIterator",                (PyCFunction)PyvtkGenericAdaptorCell_GetBoundaryIterator, 1,
   (char*)"V.GetBoundaryIterator(vtkGenericCellIterator, int)\nC++: virtual void GetBoundaryIterator (vtkGenericCellIterator *boundaries, int dim) = 0;\n\n Return the `boundaries' cells of dimension `dim' (or all dimensions\n less than GetDimension() if -1) that are part of the boundary of the cell.\n \\pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))\n \\pre boundaries_exist: boundaries!=0\n"},
  {(char*)"CountNeighbors",                (PyCFunction)PyvtkGenericAdaptorCell_CountNeighbors, 1,
   (char*)"V.CountNeighbors(vtkGenericAdaptorCell) -> int\nC++: virtual int CountNeighbors (vtkGenericAdaptorCell *boundary) = 0;\n\n Number of cells (dimension>boundary->GetDimension()) of the dataset\n that share the boundary `boundary' of `this'.\n `this' IS NOT INCLUDED.\n \\pre boundary_exists: boundary!=0\n \\pre real_boundary: !boundary->IsInDataSet()\n \\pre cell_of_the_dataset: IsInDataSet()\n \\pre boundary: HasBoundary(boundary)\n \\post positive_result: result>=0\n"},
  {(char*)"GetNeighbors",                (PyCFunction)PyvtkGenericAdaptorCell_GetNeighbors, 1,
   (char*)"V.GetNeighbors(vtkGenericAdaptorCell, vtkGenericCellIterator)\nC++: virtual void GetNeighbors (vtkGenericAdaptorCell *boundary, vtkGenericCellIterator *neighbors) = 0;\n\n Put into `neighbors' the cells (dimension>boundary->GetDimension())\n of the dataset that share the boundary `boundary' with this cell.\n `this' IS NOT INCLUDED.\n \\pre boundary_exists: boundary!=0\n \\pre real_boundary: !boundary->IsInDataSet()\n \\pre cell_of_the_dataset: IsInDataSet()\n \\pre boundary: HasBoundary(boundary)\n \\pre neighbors_exist: neighbors!=0\n"},
  {(char*)"EvaluateLocation",                (PyCFunction)PyvtkGenericAdaptorCell_EvaluateLocation, 1,
   (char*)"V.EvaluateLocation(int, (float, float, float), (float, float, float))\nC++: virtual void EvaluateLocation (int subId, double pcoords[3], double x[3]) = 0;\n\n Determine the global coordinates `x' from sub-cell `subId' and parametric\n coordinates `pcoords' in the cell.\n \\pre positive_subId: subId>=0\n \\pre clamped_pcoords: (0<=pcoords[0])&&(pcoords[0]<=1)&&(0<=pcoords[1])\n &&(pcoords[1]<=1)&&(0<=pcoords[2])&&(pcoords[2]<=1)\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkGenericAdaptorCell_Contour, 1,
   (char*)"V.Contour(vtkContourValues, vtkImplicitFunction, vtkGenericAttributeCollection, vtkGenericCellTessellator, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkCellData, vtkPointData, vtkPointData, vtkCellData)\nC++: virtual void Contour (vtkContourValues *values, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd);\n\n Generate a contour (contouring primitives) for each `values' or with\n respect to an implicit function `f'. Contouring is performed on the\n scalar attribute (`attributes->GetActiveAttribute()'\n `attributes->GetActiveComponent()').  Contouring interpolates the\n `attributes->GetNumberOfattributesToInterpolate()' attributes\n `attributes->GetAttributesToInterpolate()'.  The `locator', `verts',\n `lines', `polys', `outPd' and `outCd' are cumulative data arrays over\n cell iterations: they store the result of each call to Contour():\n - `locator' is a points list that merges points as they are inserted\n  (i.e., prevents duplicates).\n - `verts' is an array of generated vertices\n - `lines' is an array of generated lines\n - `polys' is an array of generated polygons\n - `outPd' is an array of interpolated point data along the edge (if\n not-NULL)\n - `outCd' is an array of copied cell data of the current cell (if \n not-NULL)\n `internalPd', `secondaryPd' and `secon ...\n [Truncated]\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkGenericAdaptorCell_Clip, 1,
   (char*)"V.Clip(float, vtkImplicitFunction, vtkGenericAttributeCollection, vtkGenericCellTessellator, int, vtkPointLocator, vtkCellArray, vtkPointData, vtkCellData, vtkPointData, vtkPointData, vtkCellData)\nC++: virtual void Clip (double value, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int insideOut, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd);\n\n Cut (or clip) the current cell with respect to the contour defined by\n the `value' or the implicit function `f' of the scalar attribute\n (`attributes->GetActiveAttribute()',`attributes->GetActiveComponent()').\n If `f' exists, `value' is not used. The output is the part of the\n current cell which is inside the contour.  The output is a set of zero,\n one or more cells of the same topological dimension as the current\n cell. Normally, cell points whose scalar value is greater than \"value\"\n are considered inside. If `insideOut' is on, this is reversed.  Clipping\n interpolates the `attributes->GetNumberOfattributesToInterpolate()'\n attributes `attributes->GetAttributesToInterpolate()'.  `locator',\n `connectivity', `outPd' and `outCd' are cumulative data arrays over cell\n iterations: they store the result of each call to Clip():\n - `locator' is a points list that merges points as they are inserted\n (i.e., prevents duplicates).\n - `connectivity' is an arra ...\n [Truncated]\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkGenericAdaptorCell_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]) = 0;\n\n Compute the bounding box of the current cell in `bounds' in global\n coordinates.\n THREAD SAFE\n"},
  {(char*)"GetLength2",                (PyCFunction)PyvtkGenericAdaptorCell_GetLength2, 1,
   (char*)"V.GetLength2() -> float\nC++: virtual double GetLength2 ();\n\n Return the bounding box diagonal squared of the current cell.\n \\post positive_result: result>=0\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkGenericAdaptorCell_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: virtual int GetParametricCenter (double pcoords[3]) = 0;\n\n Get the center of the current cell (in parametric coordinates) and place\n it in `pcoords'.  If the current cell is a composite, the return value\n is the sub-cell id that the center is in.  \\post valid_result:\n (result>=0) && (IsPrimary() implies result==0)\n"},
  {(char*)"GetParametricDistance",                (PyCFunction)PyvtkGenericAdaptorCell_GetParametricDistance, 1,
   (char*)"V.GetParametricDistance((float, float, float)) -> float\nC++: virtual double GetParametricDistance (double pcoords[3]) = 0;\n\n Return the distance of the parametric coordinate `pcoords' to the\n current cell.  If inside the cell, a distance of zero is returned. This\n is used during picking to get the correct cell picked. (The tolerance\n will occasionally allow cells to be picked who are not really\n intersected \"inside\" the cell.)  \\post positive_result: result>=0\n"},
  {(char*)"Tessellate",                (PyCFunction)PyvtkGenericAdaptorCell_Tessellate, 1,
   (char*)"V.Tessellate(vtkGenericAttributeCollection, vtkGenericCellTessellator, vtkPoints, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, vtkUnsignedCharArray)\nC++: virtual void Tessellate (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkPoints *points, vtkPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd, vtkUnsignedCharArray *types);\n\n Tessellate the cell if it is not linear or if at least one attribute of\n `attributes' is not linear. The output are linear cells of the same\n dimension than the cell. If the cell is linear and all attributes are\n linear, the output is just a copy of the current cell.\n `points', `cellArray', `pd' and `cd' are cumulative output data arrays\n over cell iterations: they store the result of each call to Tessellate().\n `internalPd' is initialized by the calling filter and stores the\n result of the tessellation.\n If it is not null, `types' is filled with the types of the linear cells.\n `types' is null when it is called from vtkGenericGeometryFilter and not\n null when it is called from vtkGenericDatasetTessellator.\n \\pre attributes_exist: attributes!=0\n \\pre tessellator_exists: tess!=0\n \\pre points_exist: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n \\pre pd_exist: pd!=0\n \\pre cd_exists: cd!=0\n"},
  {(char*)"IsFaceOnBoundary",                (PyCFunction)PyvtkGenericAdaptorCell_IsFaceOnBoundary, 1,
   (char*)"V.IsFaceOnBoundary(int) -> int\nC++: virtual int IsFaceOnBoundary (vtkIdType faceId) = 0;\n\n Is the face `faceId' of the current cell on the exterior boundary of the\n dataset?\n \\pre 3d: GetDimension()==3\n"},
  {(char*)"IsOnBoundary",                (PyCFunction)PyvtkGenericAdaptorCell_IsOnBoundary, 1,
   (char*)"V.IsOnBoundary() -> int\nC++: virtual int IsOnBoundary () = 0;\n\n Is the cell on the exterior boundary of the dataset?\n \\pre 2d: GetDimension()==2\n"},
  {(char*)"TriangulateFace",                (PyCFunction)PyvtkGenericAdaptorCell_TriangulateFace, 1,
   (char*)"V.TriangulateFace(vtkGenericAttributeCollection, vtkGenericCellTessellator, int, vtkPoints, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData)\nC++: virtual void TriangulateFace (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int index, vtkPoints *points, vtkPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd);\n\n Tessellate face `index' of the cell. See Tessellate() for further\n explanations.\n \\pre cell_is_3d: GetDimension()==3\n \\pre attributes_exist: attributes!=0\n \\pre tessellator_exists: tess!=0\n \\pre valid_face: index>=0\n \\pre points_exist: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n \\pre pd_exist: pd!=0\n \\pre cd_exists: cd!=0\n"},
  {(char*)"GetNumberOfVerticesOnFace",                (PyCFunction)PyvtkGenericAdaptorCell_GetNumberOfVerticesOnFace, 1,
   (char*)"V.GetNumberOfVerticesOnFace(int) -> int\nC++: virtual int GetNumberOfVerticesOnFace (int faceId) = 0;\n\n Return the number of vertices defining face `faceId'.\n \\pre is_3d: this->GetDimension()==3\n \\pre valid_faceId_range: faceId>=0 && faceId<this->GetNumberOfBoundaries(2)\n \\post positive_result: && result>0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericAdaptorCellDoc[] = {
  (char*)"vtkGenericAdaptorCell - defines cell interface\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" In VTK, spatial-temporal data is defined in terms of a dataset which is\n composed of cells. The cells are topological entities over which an \n interpolation field is applied. Cells are defined in terms of a topology\n (e.g., vertices, lines, triangles, polygons, tetrahedra, etc.), points\n that instantiate the geometry of the cells, and interpolation fields\n (in the general case one interpolation f",
  (char*)"ield is for geometry, the other\n is for attribute data associated with the cell).\n\n Currently most algorithms in VTK use vtkCell and vtkDataSet, which make \n assumptions about the nature of datasets, cells, and attributes. In\n particular, this abstraction assumes that cell interpolation functions\n are linear, or products of linear functions. Further, VTK implements\n most of the interpolation funct",
  (char*)"ions. This implementation starts breaking\n down as the complexity of the interpolation (or basis) functions\n increases. \n\n vtkGenericAdaptorCell addresses these issues by providing more general\n abstraction for cells. It also adopts modern C++ practices including using\n iterators. The vtkGenericAdaptorCell is designed to fit within the adaptor\n framework; meaning that it is meant to adapt VTK to e",
  (char*)"xternal simulation\n systems (see the GenericFiltering/README.html).\n\n Please note that most cells are defined in terms of other cells (the\n boundary cells). They are also defined in terms of points, which are\n not the same as vertices (vertices are a 0-D cell; points represent a\n position in space).\n\n Another important concept is the notion of DOFNodes. These concept\n supports cell types with comp",
  (char*)"lex interpolation functions. For example,\n higher-order p-method finite elements may have different functions on each\n of their topological features (edges, faces, region). The coefficients of\n these polynomial functions are associated with DOFNodes. (There is a\n single DOFNode for each topological feature.) Note that from this\n perspective, points are used to establish the topological form of the",
  (char*)" \n cell; mid-side nodes and such are considered DOFNodes.\n\n",
  "See Also:\n\n vtkGenericDataSet\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericAdaptorCellNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericAdaptorCellMethods,
                        (char*)"vtkGenericAdaptorCell",modulename,
                        (char**)vtkGenericAdaptorCellDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

