// tcl wrapper for vtkGenericAdaptorCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericAdaptorCell.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericAdaptorCellCppCommand(vtkGenericAdaptorCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericAdaptorCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericAdaptorCellCppCommand(static_cast<vtkGenericAdaptorCell *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericAdaptorCellCppCommand(vtkGenericAdaptorCell *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericAdaptorCell",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("GetId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInDataSet",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInDataSet();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGeometryOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeometryOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsGeometryLinear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsGeometryLinear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeOrder",argv[1]))&&(argc == 3))
    {
    vtkGenericAttribute  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttribute"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetAttributeOrder(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHighestOrderAttribute",argv[1]))&&(argc == 3))
    {
    vtkGenericAttributeCollection  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetHighestOrderAttribute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsAttributeLinear",argv[1]))&&(argc == 3))
    {
    vtkGenericAttribute  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttribute"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsAttributeLinear(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPrimary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsPrimary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBoundaries",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfBoundaries(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfDOFNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDOFNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointIterator",argv[1]))&&(argc == 3))
    {
    vtkGenericPointIterator  *temp0;
    error = 0;

    temp0 = (vtkGenericPointIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericPointIterator"),interp,error));
    if (!error)
    {
    op->GetPointIterator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewCellIterator",argv[1]))&&(argc == 2))
    {
    vtkGenericCellIterator  *temp20;
    temp20 = (op)->NewCellIterator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCellIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetBoundaryIterator",argv[1]))&&(argc == 4))
    {
    vtkGenericCellIterator  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkGenericCellIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericCellIterator"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->GetBoundaryIterator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CountNeighbors",argv[1]))&&(argc == 3))
    {
    vtkGenericAdaptorCell  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->CountNeighbors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeighbors",argv[1]))&&(argc == 4))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericCellIterator  *temp1;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericCellIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCellIterator"),interp,error));
    if (!error)
    {
    op->GetNeighbors(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 15))
    {
    vtkContourValues  *temp0;
    vtkImplicitFunction  *temp1;
    vtkGenericAttributeCollection  *temp2;
    vtkGenericCellTessellator  *temp3;
    vtkPointLocator  *temp4;
    vtkCellArray  *temp5;
    vtkCellArray  *temp6;
    vtkCellArray  *temp7;
    vtkPointData  *temp8;
    vtkCellData  *temp9;
    vtkPointData  *temp10;
    vtkPointData  *temp11;
    vtkCellData  *temp12;
    error = 0;

    temp0 = (vtkContourValues *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContourValues"),interp,error));
    temp1 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImplicitFunction"),interp,error));
    temp2 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp3 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkGenericCellTessellator"),interp,error));
    temp4 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointLocator"),interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkCellArray"),interp,error));
    temp6 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkCellArray"),interp,error));
    temp7 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkCellArray"),interp,error));
    temp8 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkPointData"),interp,error));
    temp9 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[11],const_cast<char *>("vtkCellData"),interp,error));
    temp10 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[12],const_cast<char *>("vtkPointData"),interp,error));
    temp11 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[13],const_cast<char *>("vtkPointData"),interp,error));
    temp12 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[14],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11,temp12);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 14))
    {
    double   temp0;
    vtkImplicitFunction  *temp1;
    vtkGenericAttributeCollection  *temp2;
    vtkGenericCellTessellator  *temp3;
    int      temp4;
    vtkPointLocator  *temp5;
    vtkCellArray  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkPointData  *temp9;
    vtkPointData  *temp10;
    vtkCellData  *temp11;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkImplicitFunction"),interp,error));
    temp2 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp3 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkGenericCellTessellator"),interp,error));
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointLocator"),interp,error));
    temp6 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkCellArray"),interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkPointData"),interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    temp9 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[11],const_cast<char *>("vtkPointData"),interp,error));
    temp10 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[12],const_cast<char *>("vtkPointData"),interp,error));
    temp11 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[13],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLength2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParametricCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricCenter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricDistance",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricDistance(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Tessellate",argv[1]))&&(argc == 11))
    {
    vtkGenericAttributeCollection  *temp0;
    vtkGenericCellTessellator  *temp1;
    vtkPoints  *temp2;
    vtkPointLocator  *temp3;
    vtkCellArray  *temp4;
    vtkPointData  *temp5;
    vtkPointData  *temp6;
    vtkCellData  *temp7;
    vtkUnsignedCharArray  *temp8;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp1 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCellTessellator"),interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPoints"),interp,error));
    temp3 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPointLocator"),interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkCellArray"),interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointData"),interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkPointData"),interp,error));
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkCellData"),interp,error));
    temp8 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->Tessellate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsFaceOnBoundary",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsFaceOnBoundary(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsOnBoundary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsOnBoundary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TriangulateFace",argv[1]))&&(argc == 11))
    {
    vtkGenericAttributeCollection  *temp0;
    vtkGenericCellTessellator  *temp1;
    int      temp2;
    vtkPoints  *temp3;
    vtkPointLocator  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp1 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCellTessellator"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPoints"),interp,error));
    temp4 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointLocator"),interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkCellArray"),interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkPointData"),interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkPointData"),interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    op->TriangulateFace(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVerticesOnFace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfVerticesOnFace(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericAdaptorCellCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericAdaptorCell:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetId\n",NULL);
    Tcl_AppendResult(interp,"  IsInDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetType\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryOrder\n",NULL);
    Tcl_AppendResult(interp,"  IsGeometryLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHighestOrderAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsAttributeLinear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPrimary\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBoundaries\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDOFNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIterator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewCellIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryIterator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CountNeighbors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighbors\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 13 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 12 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLength2\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Tessellate\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  IsFaceOnBoundary\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsOnBoundary\n",NULL);
    Tcl_AppendResult(interp,"  TriangulateFace\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVerticesOnFace\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    Tcl_DStringAppendElement ( &dString, "IsInDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "GetGeometryOrder" );
    Tcl_DStringAppendElement ( &dString, "IsGeometryLinear" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeOrder" );
    Tcl_DStringAppendElement ( &dString, "GetHighestOrderAttribute" );
    Tcl_DStringAppendElement ( &dString, "IsAttributeLinear" );
    Tcl_DStringAppendElement ( &dString, "IsPrimary" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBoundaries" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDOFNodes" );
    Tcl_DStringAppendElement ( &dString, "GetPointIterator" );
    Tcl_DStringAppendElement ( &dString, "NewCellIterator" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryIterator" );
    Tcl_DStringAppendElement ( &dString, "CountNeighbors" );
    Tcl_DStringAppendElement ( &dString, "GetNeighbors" );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetLength2" );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    Tcl_DStringAppendElement ( &dString, "GetParametricDistance" );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    Tcl_DStringAppendElement ( &dString, "IsFaceOnBoundary" );
    Tcl_DStringAppendElement ( &dString, "IsOnBoundary" );
    Tcl_DStringAppendElement ( &dString, "TriangulateFace" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesOnFace" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetId */
    if ( strcmp ( argv[2], "GetId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetId */
    Tcl_DStringAppendElement ( &dString, " Unique identification number of the cell over the whole\n data set. This unique key may not be contiguous.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetId () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInDataSet */
    if ( strcmp ( argv[2], "IsInDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInDataSet */
    Tcl_DStringAppendElement ( &dString, " Does `this' a cell of a dataset? (otherwise, it is a boundary cell)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsInDataSet () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsInDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetType */
    if ( strcmp ( argv[2], "GetType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetType */
    Tcl_DStringAppendElement ( &dString, " Return the type of the current cell.\n \\post (result==VTK_HIGHER_ORDER_EDGE)||\n       (result==VTK_HIGHER_ORDER_TRIANGLE)||\n       (result==VTK_HIGHER_ORDER_TETRAHEDRON)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetType () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Return the topological dimension of the current cell.\n \\post valid_result: result>=0 && result<=3\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeometryOrder */
    if ( strcmp ( argv[2], "GetGeometryOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeometryOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeometryOrder */
    Tcl_DStringAppendElement ( &dString, " Return the interpolation order of the geometry.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGeometryOrder () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetGeometryOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsGeometryLinear */
    if ( strcmp ( argv[2], "IsGeometryLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsGeometryLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsGeometryLinear */
    Tcl_DStringAppendElement ( &dString, " Does the cell have a non-linear interpolation for the geometry?\n \\post definition: result==(GetGeometryOrder()==1)\n" );
    Tcl_DStringAppendElement ( &dString, "int IsGeometryLinear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsGeometryLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeOrder */
    if ( strcmp ( argv[2], "GetAttributeOrder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeOrder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttribute" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeOrder */
    Tcl_DStringAppendElement ( &dString, " Return the interpolation order of attribute `a' on the cell\n (may differ by cell).  \n \\pre a_exists: a!=0 \n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAttributeOrder (vtkGenericAttribute *a) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetAttributeOrder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighestOrderAttribute */
    if ( strcmp ( argv[2], "GetHighestOrderAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighestOrderAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighestOrderAttribute */
    Tcl_DStringAppendElement ( &dString, " Return the index of the first point centered attribute with the highest\n order in `ac'.\n \\pre ac_exists: ac!=0\n \\post valid_result: result>=-1 && result<ac->GetNumberOfAttributes()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetHighestOrderAttribute (vtkGenericAttributeCollection *ac);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetHighestOrderAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsAttributeLinear */
    if ( strcmp ( argv[2], "IsAttributeLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsAttributeLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttribute" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsAttributeLinear */
    Tcl_DStringAppendElement ( &dString, " Does the attribute `a' have a non-linear interpolation?\n \\pre a_exists: a!=0\n \\post definition: result==(GetAttributeOrder()==1)\n" );
    Tcl_DStringAppendElement ( &dString, "int IsAttributeLinear (vtkGenericAttribute *a);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsAttributeLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPrimary */
    if ( strcmp ( argv[2], "IsPrimary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPrimary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPrimary */
    Tcl_DStringAppendElement ( &dString, " Is the cell primary (i.e. not composite) ?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsPrimary () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsPrimary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Return the number of corner points that compose the cell.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfPoints () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBoundaries */
    if ( strcmp ( argv[2], "GetNumberOfBoundaries" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBoundaries" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBoundaries */
    Tcl_DStringAppendElement ( &dString, " Return the number of boundaries of dimension `dim' (or all dimensions\n greater than 0 and less than GetDimension() if -1) of the cell.\n When \\a dim is -1, the number of vertices is not included in the\n count because vertices are a special case: a vertex will have\n at most a single field value associated with it; DOF nodes may have\n an arbitrary number of field values associated with them.\n \\pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))\n \\post  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfBoundaries (int dim) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetNumberOfBoundaries */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDOFNodes */
    if ( strcmp ( argv[2], "GetNumberOfDOFNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDOFNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDOFNodes */
    Tcl_DStringAppendElement ( &dString, " Accumulated number of DOF nodes of the current cell. A DOF node is\n a component of cell with a given topological dimension. e.g.: a triangle\n has 4 DOF: 1 face and 3 edges. An hexahedron has 19 DOF:\n 1 region, 6 faces, and 12 edges.\n\n The number of vertices is not included in the\n count because vertices are a special case: a vertex will have\n at most a single field value associated with it; DOF nodes may have\n an arbitrary number of field values associated with them ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfDOFNodes () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetNumberOfDOFNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointIterator */
    if ( strcmp ( argv[2], "GetPointIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericPointIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointIterator */
    Tcl_DStringAppendElement ( &dString, " Return the points of cell into `it'.\n \\pre it_exists: it!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointIterator (vtkGenericPointIterator *it) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetPointIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewCellIterator */
    if ( strcmp ( argv[2], "NewCellIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewCellIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewCellIterator */
    Tcl_DStringAppendElement ( &dString, " Create an empty cell iterator. The user is responsible for deleting it.\n \\post result_exists: result!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkGenericCellIterator *NewCellIterator () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for NewCellIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundaryIterator */
    if ( strcmp ( argv[2], "GetBoundaryIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryIterator */
    Tcl_DStringAppendElement ( &dString, " Return the `boundaries' cells of dimension `dim' (or all dimensions\n less than GetDimension() if -1) that are part of the boundary of the cell.\n \\pre valid_dim_range: (dim==-1) || ((dim>=0)&&(dim<GetDimension()))\n \\pre boundaries_exist: boundaries!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBoundaryIterator (vtkGenericCellIterator *boundaries, int dim) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetBoundaryIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CountNeighbors */
    if ( strcmp ( argv[2], "CountNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CountNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CountNeighbors */
    Tcl_DStringAppendElement ( &dString, " Number of cells (dimension>boundary->GetDimension()) of the dataset\n that share the boundary `boundary' of `this'.\n `this' IS NOT INCLUDED.\n \\pre boundary_exists: boundary!=0\n \\pre real_boundary: !boundary->IsInDataSet()\n \\pre cell_of_the_dataset: IsInDataSet()\n \\pre boundary: HasBoundary(boundary)\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CountNeighbors (vtkGenericAdaptorCell *boundary) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for CountNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeighbors */
    if ( strcmp ( argv[2], "GetNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeighbors */
    Tcl_DStringAppendElement ( &dString, " Put into `neighbors' the cells (dimension>boundary->GetDimension())\n of the dataset that share the boundary `boundary' with this cell.\n `this' IS NOT INCLUDED.\n \\pre boundary_exists: boundary!=0\n \\pre real_boundary: !boundary->IsInDataSet()\n \\pre cell_of_the_dataset: IsInDataSet()\n \\pre boundary: HasBoundary(boundary)\n \\pre neighbors_exist: neighbors!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetNeighbors (vtkGenericAdaptorCell *boundary, vtkGenericCellIterator *neighbors) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Contour */
    if ( strcmp ( argv[2], "Contour" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContourValues" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Contour */
    Tcl_DStringAppendElement ( &dString, " Generate a contour (contouring primitives) for each `values' or with\n respect to an implicit function `f'. Contouring is performed on the\n scalar attribute (`attributes->GetActiveAttribute()'\n `attributes->GetActiveComponent()').  Contouring interpolates the\n `attributes->GetNumberOfattributesToInterpolate()' attributes\n `attributes->GetAttributesToInterpolate()'.  The `locator', `verts',\n `lines', `polys', `outPd' and `outCd' are cumulative data arrays over\n cell it ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Contour (vtkContourValues *values, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for Contour */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clip */
    if ( strcmp ( argv[2], "Clip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clip */
    Tcl_DStringAppendElement ( &dString, " Cut (or clip) the current cell with respect to the contour defined by\n the `value' or the implicit function `f' of the scalar attribute\n (`attributes->GetActiveAttribute()',`attributes->GetActiveComponent()').\n If `f' exists, `value' is not used. The output is the part of the\n current cell which is inside the contour.  The output is a set of zero,\n one or more cells of the same topological dimension as the current\n cell. Normally, cell points whose scalar value is gre ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Clip (double value, vtkImplicitFunction *f, vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int insideOut, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *outPd, vtkCellData *outCd, vtkPointData *internalPd, vtkPointData *secondaryPd, vtkCellData *secondaryCd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for Clip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounding box of the current cell in `bounds' in global\n coordinates.\n THREAD SAFE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds (double bounds\\[6\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength2 */
    if ( strcmp ( argv[2], "GetLength2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength2 */
    Tcl_DStringAppendElement ( &dString, " Return the bounding box diagonal squared of the current cell.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLength2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetLength2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricCenter */
    if ( strcmp ( argv[2], "GetParametricCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the current cell (in parametric coordinates) and place\n it in `pcoords'.  If the current cell is a composite, the return value\n is the sub-cell id that the center is in.  \\post valid_result:\n (result>=0) && (IsPrimary() implies result==0)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetParametricCenter (double pcoords\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetParametricCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricDistance */
    if ( strcmp ( argv[2], "GetParametricDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricDistance */
    Tcl_DStringAppendElement ( &dString, " Return the distance of the parametric coordinate `pcoords' to the\n current cell.  If inside the cell, a distance of zero is returned. This\n is used during picking to get the correct cell picked. (The tolerance\n will occasionally allow cells to be picked who are not really\n intersected \"inside\" the cell.)  \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetParametricDistance (double pcoords\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetParametricDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Tessellate */
    if ( strcmp ( argv[2], "Tessellate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Tessellate */
    Tcl_DStringAppendElement ( &dString, " Tessellate the cell if it is not linear or if at least one attribute of\n `attributes' is not linear. The output are linear cells of the same\n dimension than the cell. If the cell is linear and all attributes are\n linear, the output is just a copy of the current cell.\n `points', `cellArray', `pd' and `cd' are cumulative output data arrays\n over cell iterations: they store the result of each call to Tessellate().\n `internalPd' is initialized by the calling filter and st ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Tessellate (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, vtkPoints *points, vtkPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd, vtkUnsignedCharArray *types);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for Tessellate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFaceOnBoundary */
    if ( strcmp ( argv[2], "IsFaceOnBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFaceOnBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFaceOnBoundary */
    Tcl_DStringAppendElement ( &dString, " Is the face `faceId' of the current cell on the exterior boundary of the\n dataset?\n \\pre 3d: GetDimension()==3\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsFaceOnBoundary (vtkIdType faceId) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsFaceOnBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOnBoundary */
    if ( strcmp ( argv[2], "IsOnBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOnBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOnBoundary */
    Tcl_DStringAppendElement ( &dString, " Is the cell on the exterior boundary of the dataset?\n \\pre 2d: GetDimension()==2\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsOnBoundary () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for IsOnBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangulateFace */
    if ( strcmp ( argv[2], "TriangulateFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangulateFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangulateFace */
    Tcl_DStringAppendElement ( &dString, " Tessellate face `index' of the cell. See Tessellate() for further\n explanations.\n \\pre cell_is_3d: GetDimension()==3\n \\pre attributes_exist: attributes!=0\n \\pre tessellator_exists: tess!=0\n \\pre valid_face: index>=0\n \\pre points_exist: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n \\pre pd_exist: pd!=0\n \\pre cd_exists: cd!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TriangulateFace (vtkGenericAttributeCollection *attributes, vtkGenericCellTessellator *tess, int index, vtkPoints *points, vtkPointLocator *locator, vtkCellArray *cellArray, vtkPointData *internalPd, vtkPointData *pd, vtkCellData *cd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for TriangulateFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVerticesOnFace */
    if ( strcmp ( argv[2], "GetNumberOfVerticesOnFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerticesOnFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVerticesOnFace */
    Tcl_DStringAppendElement ( &dString, " Return the number of vertices defining face `faceId'.\n \\pre is_3d: this->GetDimension()==3\n \\pre valid_faceId_range: faceId>=0 && faceId<this->GetNumberOfBoundaries(2)\n \\post positive_result: && result>0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfVerticesOnFace (int faceId) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    /* Closing for GetNumberOfVerticesOnFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
