// python wrapper for vtkGenericCellIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericCellIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericCellIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericCellIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericCellIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  const char    *temp20;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  vtkGenericCellIterator  *temp20;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Begin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  int      temp20;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsAtEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_NewCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  vtkGenericAdaptorCell  *temp20;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewCell();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  vtkGenericAdaptorCell  *temp20;
  PyErr_Clear();
  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCell();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellIterator *op;

  op = (vtkGenericCellIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericCellIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericCellIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK construction and type macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericCellIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK construction and type macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericCellIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericCellIterator\nC++: vtkGenericCellIterator *NewInstance ();\n\n Standard VTK construction and type macros.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkGenericCellIterator_Begin, 1,
   (char*)"V.Begin()\nC++: virtual void Begin () = 0;\n\n Move iterator to first position if any (loop initialization).\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkGenericCellIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: virtual int IsAtEnd () = 0;\n\n Is the iterator at the end of traversal?\n"},
  {(char*)"NewCell",                (PyCFunction)PyvtkGenericCellIterator_NewCell, 1,
   (char*)"V.NewCell() -> vtkGenericAdaptorCell\nC++: virtual vtkGenericAdaptorCell *NewCell () = 0;\n\n Create an empty cell. The user is responsible for deleting it.\n \\post result_exists: result!=0\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkGenericCellIterator_GetCell, 1,
   (char*)"V.GetCell(vtkGenericAdaptorCell)\nC++: virtual void GetCell (vtkGenericAdaptorCell *c) = 0;\nV.GetCell() -> vtkGenericAdaptorCell\nC++: virtual vtkGenericAdaptorCell *GetCell () = 0;\n\n Get the cell at current position. The cell should be instantiated\n with the NewCell() method.\n \\pre not_at_end: !IsAtEnd()\n \\pre c_exists: c!=0\n THREAD SAFE\n"},
  {(char*)"Next",                (PyCFunction)PyvtkGenericCellIterator_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next () = 0;\n\n Move the iterator to the next position in the list.\n \\pre not_at_end: !IsAtEnd()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericCellIteratorDoc[] = {
  (char*)"vtkGenericCellIterator - iterator used to traverse cells\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class (and subclasses) are used to iterate over cells. Use it\n only in conjunction with vtkGenericDataSet (i.e., the adaptor framework).\n\n Typical use is:\n <pre>\n vtkGenericDataSet *dataset;\n vtkGenericCellIterator *it = dataset->NewCellIterator(2);\n for (it->Begin(); !it->IsAtEnd(); it->Next());\n   {\n   spec=it->GetCell();\n   }\n </pre>\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericCellIteratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericCellIteratorMethods,
                        (char*)"vtkGenericCellIterator",modulename,
                        (char**)vtkGenericCellIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

