// tcl wrapper for vtkGenericCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCell.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGenericCellNewCommand()
{
  vtkGenericCell *temp = vtkGenericCell::New();
  return static_cast<ClientData>(temp);
}

int vtkCellCppCommand(vtkCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericCellCppCommand(vtkGenericCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericCellCppCommand(static_cast<vtkGenericCell *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericCellCppCommand(vtkGenericCell *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericCell",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCellCppCommand(static_cast<vtkCell *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCell"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericCell  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCell");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericCell  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCell");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericCell  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsLinear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsLinear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RequiresInitialization",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RequiresInitialization();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdge",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdge(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFace(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 13))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkCellArray  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkIdType   temp9;
    vtkCellData  *temp10;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointLocator"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkCellArray"),interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkCellArray"),interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkPointData"),interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkPointData"),interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    temp10 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[12],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 12))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    int      temp9;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointLocator"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointData"),interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkPoints  *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->Triangulate(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricCenter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPrimaryCell",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsPrimaryCell();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellTypeToEmptyCell",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToEmptyCell();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToVertex",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToVertex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPolyVertex",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPolyVertex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToLine",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPolyLine",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPolyLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToTriangle",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToTriangle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToTriangleStrip",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToTriangleStrip();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPolygon",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPolygon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPixel",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPixel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuad",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToTetra",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToTetra();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToVoxel",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToVoxel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToHexahedron",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToHexahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToWedge",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToWedge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPyramid",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPyramid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToPentagonalPrism",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToPentagonalPrism();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToHexagonalPrism",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToHexagonalPrism();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToConvexPointSet",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToConvexPointSet();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticEdge",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticEdge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticTriangle",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticTriangle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticQuad",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticTetra",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticTetra();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticHexahedron",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticHexahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticWedge",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticWedge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticPyramid",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticPyramid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticLinearQuad",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticLinearQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToBiQuadraticQuad",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToBiQuadraticQuad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToQuadraticLinearWedge",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToQuadraticLinearWedge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToBiQuadraticQuadraticWedge",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToBiQuadraticQuadraticWedge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToTriQuadraticHexahedron",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToTriQuadraticHexahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeToBiQuadraticQuadraticHexahedron",argv[1]))&&(argc == 2))
    {
    op->SetCellTypeToBiQuadraticQuadraticHexahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InstantiateCell",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->InstantiateCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericCellCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCellCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericCell:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDimension\n",NULL);
    Tcl_AppendResult(interp,"  IsLinear\n",NULL);
    Tcl_AppendResult(interp,"  RequiresInitialization\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaces\n",NULL);
    Tcl_AppendResult(interp,"  GetEdge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 11 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  IsPrimaryCell\n",NULL);
    Tcl_AppendResult(interp,"  SetCellType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToEmptyCell\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToVertex\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPolyVertex\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToLine\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPolyLine\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToTriangle\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToTriangleStrip\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPolygon\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPixel\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuad\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToTetra\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToVoxel\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToHexahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToWedge\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPyramid\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToPentagonalPrism\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToHexagonalPrism\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToConvexPointSet\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticEdge\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticTriangle\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticQuad\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticTetra\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticHexahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticWedge\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticPyramid\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticLinearQuad\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToBiQuadraticQuad\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToQuadraticLinearWedge\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToBiQuadraticQuadraticWedge\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToTriQuadraticHexahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeToBiQuadraticQuadraticHexahedron\n",NULL);
    Tcl_AppendResult(interp,"  InstantiateCell\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCellCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetCellDimension" );
    Tcl_DStringAppendElement ( &dString, "IsLinear" );
    Tcl_DStringAppendElement ( &dString, "RequiresInitialization" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaces" );
    Tcl_DStringAppendElement ( &dString, "GetEdge" );
    Tcl_DStringAppendElement ( &dString, "GetFace" );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    Tcl_DStringAppendElement ( &dString, "IsPrimaryCell" );
    Tcl_DStringAppendElement ( &dString, "SetCellType" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToEmptyCell" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToVertex" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolyVertex" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToLine" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolyLine" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriangle" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriangleStrip" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolygon" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPixel" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuad" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTetra" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToVoxel" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToHexahedron" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToWedge" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPyramid" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPentagonalPrism" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToHexagonalPrism" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToConvexPointSet" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticEdge" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticTriangle" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticQuad" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticTetra" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticHexahedron" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticWedge" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticPyramid" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticLinearQuad" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuad" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticLinearWedge" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuadraticWedge" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriQuadraticHexahedron" );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuadraticHexahedron" );
    Tcl_DStringAppendElement ( &dString, "InstantiateCell" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCellCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create handle to any type of cell; by default a vtkEmptyCell.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGenericCell *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkCell *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkCell *c);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellDimension */
    if ( strcmp ( argv[2], "GetCellDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellDimension */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellDimension ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetCellDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLinear */
    if ( strcmp ( argv[2], "IsLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLinear */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsLinear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for IsLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequiresInitialization */
    if ( strcmp ( argv[2], "RequiresInitialization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequiresInitialization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequiresInitialization */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int RequiresInitialization ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for RequiresInitialization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaces */
    if ( strcmp ( argv[2], "GetNumberOfFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaces */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaces ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetNumberOfFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdge */
    if ( strcmp ( argv[2], "GetEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdge */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetEdge (int edgeId);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFace */
    if ( strcmp ( argv[2], "GetFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFace */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetFace (int faceId);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Contour */
    if ( strcmp ( argv[2], "Contour" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Contour */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for Contour */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clip */
    if ( strcmp ( argv[2], "Clip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clip */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for Clip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Triangulate */
    if ( strcmp ( argv[2], "Triangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Triangulate */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for Triangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricCenter */
    if ( strcmp ( argv[2], "GetParametricCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricCenter */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParametricCenter (double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for GetParametricCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPrimaryCell */
    if ( strcmp ( argv[2], "IsPrimaryCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPrimaryCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPrimaryCell */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsPrimaryCell ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for IsPrimaryCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellType */
    if ( strcmp ( argv[2], "SetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellType */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellType (int cellType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToEmptyCell */
    if ( strcmp ( argv[2], "SetCellTypeToEmptyCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToEmptyCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToEmptyCell */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToEmptyCell ();this SetCellType VTK_EMPTY_CELL " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToEmptyCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToVertex */
    if ( strcmp ( argv[2], "SetCellTypeToVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToVertex */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToVertex ();this SetCellType VTK_VERTEX " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPolyVertex */
    if ( strcmp ( argv[2], "SetCellTypeToPolyVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolyVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPolyVertex */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPolyVertex ();this SetCellType VTK_POLY_VERTEX " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPolyVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToLine */
    if ( strcmp ( argv[2], "SetCellTypeToLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToLine */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToLine ();this SetCellType VTK_LINE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPolyLine */
    if ( strcmp ( argv[2], "SetCellTypeToPolyLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolyLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPolyLine */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPolyLine ();this SetCellType VTK_POLY_LINE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPolyLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToTriangle */
    if ( strcmp ( argv[2], "SetCellTypeToTriangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToTriangle */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToTriangle ();this SetCellType VTK_TRIANGLE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToTriangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToTriangleStrip */
    if ( strcmp ( argv[2], "SetCellTypeToTriangleStrip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriangleStrip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToTriangleStrip */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToTriangleStrip ();this SetCellType VTK_TRIANGLE_STRIP " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToTriangleStrip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPolygon */
    if ( strcmp ( argv[2], "SetCellTypeToPolygon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPolygon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPolygon */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPolygon ();this SetCellType VTK_POLYGON " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPolygon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPixel */
    if ( strcmp ( argv[2], "SetCellTypeToPixel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPixel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPixel */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPixel ();this SetCellType VTK_PIXEL " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPixel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuad */
    if ( strcmp ( argv[2], "SetCellTypeToQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuad */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuad ();this SetCellType VTK_QUAD " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToTetra */
    if ( strcmp ( argv[2], "SetCellTypeToTetra" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTetra" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToTetra */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToTetra ();this SetCellType VTK_TETRA " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToTetra */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToVoxel */
    if ( strcmp ( argv[2], "SetCellTypeToVoxel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToVoxel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToVoxel */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToVoxel ();this SetCellType VTK_VOXEL " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToVoxel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToHexahedron */
    if ( strcmp ( argv[2], "SetCellTypeToHexahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToHexahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToHexahedron */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToHexahedron ();this SetCellType VTK_HEXAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToHexahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToWedge */
    if ( strcmp ( argv[2], "SetCellTypeToWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToWedge */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToWedge ();this SetCellType VTK_WEDGE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPyramid */
    if ( strcmp ( argv[2], "SetCellTypeToPyramid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPyramid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPyramid */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPyramid ();this SetCellType VTK_PYRAMID " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPyramid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToPentagonalPrism */
    if ( strcmp ( argv[2], "SetCellTypeToPentagonalPrism" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToPentagonalPrism" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToPentagonalPrism */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToPentagonalPrism ();this SetCellType VTK_PENTAGONAL_PRISM " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToPentagonalPrism */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToHexagonalPrism */
    if ( strcmp ( argv[2], "SetCellTypeToHexagonalPrism" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToHexagonalPrism" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToHexagonalPrism */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToHexagonalPrism ();this SetCellType VTK_HEXAGONAL_PRISM " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToHexagonalPrism */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToConvexPointSet */
    if ( strcmp ( argv[2], "SetCellTypeToConvexPointSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToConvexPointSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToConvexPointSet */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToConvexPointSet ();this SetCellType VTK_CONVEX_POINT_SET " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToConvexPointSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticEdge */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticEdge */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticEdge ();this SetCellType VTK_QUADRATIC_EDGE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticTriangle */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticTriangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticTriangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticTriangle */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticTriangle ();this SetCellType VTK_QUADRATIC_TRIANGLE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticTriangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticQuad */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticQuad */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticQuad ();this SetCellType VTK_QUADRATIC_QUAD " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticTetra */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticTetra" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticTetra" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticTetra */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticTetra ();this SetCellType VTK_QUADRATIC_TETRA " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticTetra */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticHexahedron */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticHexahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticHexahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticHexahedron */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticHexahedron ();this SetCellType VTK_QUADRATIC_HEXAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticHexahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticWedge */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticWedge */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticWedge ();this SetCellType VTK_QUADRATIC_WEDGE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticPyramid */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticPyramid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticPyramid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticPyramid */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticPyramid ();this SetCellType VTK_QUADRATIC_PYRAMID " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticPyramid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticLinearQuad */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticLinearQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticLinearQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticLinearQuad */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticLinearQuad ();this SetCellType VTK_QUADRATIC_LINEAR_QUAD " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticLinearQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToBiQuadraticQuad */
    if ( strcmp ( argv[2], "SetCellTypeToBiQuadraticQuad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToBiQuadraticQuad */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToBiQuadraticQuad ();this SetCellType VTK_BIQUADRATIC_QUAD " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToBiQuadraticQuad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToQuadraticLinearWedge */
    if ( strcmp ( argv[2], "SetCellTypeToQuadraticLinearWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToQuadraticLinearWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToQuadraticLinearWedge */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToQuadraticLinearWedge ();this SetCellType VTK_QUADRATIC_LINEAR_WEDGE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToQuadraticLinearWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToBiQuadraticQuadraticWedge */
    if ( strcmp ( argv[2], "SetCellTypeToBiQuadraticQuadraticWedge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuadraticWedge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToBiQuadraticQuadraticWedge */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToBiQuadraticQuadraticWedge ();this SetCellType VTK_BIQUADRATIC_QUADRATIC_WEDGE " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToBiQuadraticQuadraticWedge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToTriQuadraticHexahedron */
    if ( strcmp ( argv[2], "SetCellTypeToTriQuadraticHexahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToTriQuadraticHexahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToTriQuadraticHexahedron */
    Tcl_DStringAppendElement ( &dString, " This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToTriQuadraticHexahedron ();this SetCellType VTK_TRIQUADRATIC_HEXAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToTriQuadraticHexahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTypeToBiQuadraticQuadraticHexahedron */
    if ( strcmp ( argv[2], "SetCellTypeToBiQuadraticQuadraticHexahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTypeToBiQuadraticQuadraticHexahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTypeToBiQuadraticQuadraticHexahedron */
    Tcl_DStringAppendElement ( &dString, " Instantiate a new vtkCell based on it's cell type value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellTypeToBiQuadraticQuadraticHexahedron ();this SetCellType VTK_BIQUADRATIC_QUADRATIC_HEXAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for SetCellTypeToBiQuadraticQuadraticHexahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InstantiateCell */
    if ( strcmp ( argv[2], "InstantiateCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InstantiateCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InstantiateCell */
    Tcl_DStringAppendElement ( &dString, " Instantiate a new vtkCell based on it's cell type value\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCell *InstantiateCell (int cellType);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    /* Closing for InstantiateCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCellCppCommand(static_cast<vtkCell *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
