// tcl wrapper for vtkGenericCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCellTessellator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericCellTessellatorCppCommand(vtkGenericCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericCellTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericCellTessellatorCppCommand(static_cast<vtkGenericCellTessellator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericCellTessellatorCppCommand(vtkGenericCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericCellTessellator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericCellTessellator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGenericCellTessellator");
    return TCL_OK;
    }
  if ((!strcmp("TessellateFace",argv[1]))&&(argc == 8))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkIdType   temp2;
    vtkDoubleArray  *temp3;
    vtkCellArray  *temp4;
    vtkPointData  *temp5;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkCellArray"),interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Tessellate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->Tessellate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericAdaptorCell"),interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericAttributeCollection"),interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    if (!error)
    {
    op->Triangulate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetErrorMetrics",argv[1]))&&(argc == 3))
    {
    vtkCollection  *temp0;
    error = 0;

    temp0 = (vtkCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCollection"),interp,error));
    if (!error)
    {
    op->SetErrorMetrics(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErrorMetrics",argv[1]))&&(argc == 2))
    {
    vtkCollection  *temp20;
    temp20 = (op)->GetErrorMetrics();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollection");
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->Initialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitErrorMetrics",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->InitErrorMetrics(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMeasurement",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMeasurement();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMeasurement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMeasurement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGenericCellTessellatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericCellTessellator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  TessellateFace\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Tessellate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorMetrics\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorMetrics\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitErrorMetrics\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMeasurement\n",NULL);
    Tcl_AppendResult(interp,"  SetMeasurement\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "TessellateFace" );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    Tcl_DStringAppendElement ( &dString, "SetErrorMetrics" );
    Tcl_DStringAppendElement ( &dString, "GetErrorMetrics" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "InitErrorMetrics" );
    Tcl_DStringAppendElement ( &dString, "GetMeasurement" );
    Tcl_DStringAppendElement ( &dString, "SetMeasurement" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TessellateFace */
    if ( strcmp ( argv[2], "TessellateFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TessellateFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TessellateFace */
    Tcl_DStringAppendElement ( &dString, " Tessellate a face of a 3D `cell'. The face is specified by the\n index value.\n The result is a set of smaller linear triangles in `cellArray' with\n `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: intern ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TessellateFace (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for TessellateFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Tessellate */
    if ( strcmp ( argv[2], "Tessellate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Tessellate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Tessellate */
    Tcl_DStringAppendElement ( &dString, " Tessellate a 3D `cell'. The result is a set of smaller linear\n tetrahedra in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Tessellate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for Tessellate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Triangulate */
    if ( strcmp ( argv[2], "Triangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAdaptorCell" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericAttributeCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Triangulate */
    Tcl_DStringAppendElement ( &dString, " Triangulate a 2D `cell'. The result is a set of smaller linear triangles\n in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==2\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Triangulate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for Triangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorMetrics */
    if ( strcmp ( argv[2], "SetErrorMetrics" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorMetrics" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorMetrics */
    Tcl_DStringAppendElement ( &dString, " Specify the list of error metrics used to decide if an edge has to be\n splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetErrorMetrics (vtkCollection *someErrorMetrics);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for SetErrorMetrics */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorMetrics */
    if ( strcmp ( argv[2], "GetErrorMetrics" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorMetrics" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorMetrics */
    Tcl_DStringAppendElement ( &dString, " Specify the list of error metrics used to decide if an edge has to be\n splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCollection *GetErrorMetrics ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for GetErrorMetrics */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the tessellator with a data set `ds'.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize (vtkGenericDataSet *ds) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitErrorMetrics */
    if ( strcmp ( argv[2], "InitErrorMetrics" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitErrorMetrics" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitErrorMetrics */
    Tcl_DStringAppendElement ( &dString, " Init the error metric with the dataset. Should be called in each filter\n before any tessellation of any cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitErrorMetrics (vtkGenericDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for InitErrorMetrics */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeasurement */
    if ( strcmp ( argv[2], "GetMeasurement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeasurement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeasurement */
    Tcl_DStringAppendElement ( &dString, " If true, measure the quality of the fixed subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMeasurement ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for GetMeasurement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMeasurement */
    if ( strcmp ( argv[2], "SetMeasurement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMeasurement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMeasurement */
    Tcl_DStringAppendElement ( &dString, " If true, measure the quality of the fixed subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMeasurement (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCellTessellator" );
    /* Closing for SetMeasurement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
