// python wrapper for vtkGenericDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericDataSetAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericDataSetAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericDataSetAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkGenericDataSetAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  const char    *temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkGenericDataSetAlgorithm  *temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkGenericDataSet  *temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  int      temp0;
  vtkGenericDataSet  *temp20;
  PyErr_Clear();
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetAlgorithm::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkDataObject  *temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_GetGenericDataSetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  int      temp0;
  vtkGenericDataSet  *temp20;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetAlgorithm::GetGenericDataSetInput(temp0);
      }
    else
      {
      temp20 = op->GetGenericDataSetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGenericDataSetAlgorithm_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkGenericDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkGenericDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkGenericDataSetAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericDataSetAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericDataSetAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericDataSetAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericDataSetAlgorithm\nC++: vtkGenericDataSetAlgorithm *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkGenericDataSet\nC++: vtkGenericDataSet *GetOutput ();\nV.GetOutput(int) -> vtkGenericDataSet\nC++: vtkGenericDataSet *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput (vtkDataObject *d);\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\nV.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int port);\n\n"},
  {(char*)"GetGenericDataSetInput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_GetGenericDataSetInput, 1,
   (char*)"V.GetGenericDataSetInput(int) -> vtkGenericDataSet\nC++: vtkGenericDataSet *GetGenericDataSetInput (int port);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkGenericDataSetAlgorithm_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericDataSetAlgorithmDoc[] = {
  (char*)"vtkGenericDataSetAlgorithm - Objects that generate adapted data sets\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericDataSetAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericDataSetAlgorithmMethods,
                        (char*)"vtkGenericDataSetAlgorithm",modulename,
                        (char**)vtkGenericDataSetAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

