// python wrapper for vtkGenericDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkGenericDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  const char    *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkGenericDataSet  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkIdType   temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfCells(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  int      temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetCellTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkCellTypes  *temp0;
  PyObject *tempH0;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellTypes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellTypes");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSet::GetCellTypes(temp0);
      }
    else
      {
      op->GetCellTypes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGenericDataSet_NewCellIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  int      temp0;
  vtkGenericCellIterator  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewCellIterator(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_NewBoundaryIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  int      temp0;
  int      temp1;
  vtkGenericCellIterator  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewBoundaryIterator(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_NewPointIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkGenericPointIterator  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewPointIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  double temp0[3];
  vtkGenericPointIterator  *temp1;
  PyObject *tempH1;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericPointIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericPointIterator");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->FindPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  unsigned long     temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  double temp0[6];
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSet::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  double temp0[3];
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSet::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  double   temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkGenericAttributeCollection  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetAttributes();
      }
    else
      {
      temp20 = op->GetAttributes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_SetTessellator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkGenericCellTessellator  *temp0;
  PyObject *tempH0;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericCellTessellator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericCellTessellator");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSet::SetTessellator(temp0);
      }
    else
      {
      op->SetTessellator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetTessellator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkGenericCellTessellator  *temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetTessellator();
      }
    else
      {
      temp20 = op->GetTessellator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  unsigned long     temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  int      temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSet_GetEstimatedSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSet *op;

  vtkIdType   temp20;
  op = (vtkGenericDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetEstimatedSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK type and print macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK type and print macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericDataSet\nC++: vtkGenericDataSet *NewInstance ();\n\n Standard VTK type and print macros.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkGenericDataSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints () = 0;\n\n Return the number of points composing the dataset. See NewPointIterator()\n for more details.\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkGenericDataSet_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells(int) -> int\nC++: virtual vtkIdType GetNumberOfCells (int dim) = 0;\n\n Return the number of cells that explicitly define the dataset. See\n NewCellIterator() for more details.\n \\pre valid_dim_range: (dim>=-1) && (dim<=3)\n \\post positive_result: result>=0\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkGenericDataSet_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: virtual int GetCellDimension () = 0;\n\n Return -1 if the dataset is explicitly defined by cells of varying\n dimensions or if there are no cells. If the dataset is explicitly\n defined by cells of a unique dimension, return this dimension.\n \\post valid_range: (result>=-1) && (result<=3)\n"},
  {(char*)"GetCellTypes",                (PyCFunction)PyvtkGenericDataSet_GetCellTypes, 1,
   (char*)"V.GetCellTypes(vtkCellTypes)\nC++: virtual void GetCellTypes (vtkCellTypes *types);\n\n Get a list of types of cells in a dataset. The list consists of an array\n of types (not necessarily in any order), with a single entry per type.\n For example a dataset 5 triangles, 3 lines, and 100 hexahedra would\n result a list of three entries, corresponding to the types VTK_TRIANGLE,\n VTK_LINE, and VTK_HEXAHEDRON.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n \\pre types_exist: types!=0\n"},
  {(char*)"NewCellIterator",                (PyCFunction)PyvtkGenericDataSet_NewCellIterator, 1,
   (char*)"V.NewCellIterator(int) -> vtkGenericCellIterator\nC++: virtual vtkGenericCellIterator *NewCellIterator (int dim) = 0;\n\n Return an iterator to traverse cells of dimension `dim' (or all\n dimensions if -1) that explicitly define the dataset. For instance, it\n will return only tetrahedra if the mesh is defined by tetrahedra. If the\n mesh is composed of two parts, one with tetrahedra and another part with\n triangles, it will return both, but will not return the boundary edges\n and vertices of these cells. The user is responsible for deleting the\n iterator.\n \\pre valid_dim_range: (dim>=-1) && (dim<=3)\n \\post result_exists: result!=0\n"},
  {(char*)"NewBoundaryIterator",                (PyCFunction)PyvtkGenericDataSet_NewBoundaryIterator, 1,
   (char*)"V.NewBoundaryIterator(int, int) -> vtkGenericCellIterator\nC++: virtual vtkGenericCellIterator *NewBoundaryIterator (int dim, int exteriorOnly) = 0;\n\n Return an iterator to traverse cell boundaries of dimension `dim' (or\n all dimensions if -1) of the dataset.  If `exteriorOnly' is true, only\n the exterior cell boundaries of the dataset will be returned, otherwise\n it will return exterior and interior cell boundaries. The user is\n responsible for deleting the iterator.\n \\pre valid_dim_range: (dim>=-1) && (dim<=2)\n \\post result_exists: result!=0\n"},
  {(char*)"NewPointIterator",                (PyCFunction)PyvtkGenericDataSet_NewPointIterator, 1,
   (char*)"V.NewPointIterator() -> vtkGenericPointIterator\nC++: virtual vtkGenericPointIterator *NewPointIterator () = 0;\n\n Return an iterator to traverse the points composing the dataset; they\n can be points that define a cell (corner points) or isolated points.\n The user is responsible for deleting the iterator.\n \\post result_exists: result!=0\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkGenericDataSet_FindPoint, 1,
   (char*)"V.FindPoint((float, float, float), vtkGenericPointIterator)\nC++: virtual void FindPoint (double x[3], vtkGenericPointIterator *p) = 0;\n\n Locate the closest point `p' to position `x' (global coordinates).\n \\pre not_empty: GetNumberOfPoints()>0\n \\pre p_exists: p!=0\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Datasets are composite objects and need to check each part for their\n modified time.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkGenericDataSet_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: virtual void ComputeBounds () = 0;\n\n Compute the geometry bounding box.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkGenericDataSet_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);\n\n Return the geometry bounding box in global coordinates in\n the form (xmin,xmax, ymin,ymax, zmin,zmax) in the `bounds' array.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkGenericDataSet_GetCenter, 1,
   (char*)"V.GetCenter((float, float, float))\nC++: virtual void GetCenter (double center[3]);\n\n Get the center of the bounding box in global coordinates.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkGenericDataSet_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: virtual double GetLength ();\n\n Return the length of the diagonal of the bounding box.\n \\post positive_result: result>=0\n"},
  {(char*)"GetAttributes",                (PyCFunction)PyvtkGenericDataSet_GetAttributes, 1,
   (char*)"V.GetAttributes() -> vtkGenericAttributeCollection\nC++: vtkGenericAttributeCollection *GetAttributes ();\n\n Get the collection of attributes associated with this dataset.\n"},
  {(char*)"SetTessellator",                (PyCFunction)PyvtkGenericDataSet_SetTessellator, 1,
   (char*)"V.SetTessellator(vtkGenericCellTessellator)\nC++: virtual void SetTessellator (vtkGenericCellTessellator *tessellator);\n\n Set/Get a cell tessellator if cells must be tessellated during\n processing.\n \\pre tessellator_exists: tessellator!=0\n"},
  {(char*)"GetTessellator",                (PyCFunction)PyvtkGenericDataSet_GetTessellator, 1,
   (char*)"V.GetTessellator() -> vtkGenericCellTessellator\nC++: vtkGenericCellTessellator *GetTessellator ();\n\n Set/Get a cell tessellator if cells must be tessellated during\n processing.\n \\pre tessellator_exists: tessellator!=0\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkGenericDataSet_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Actual size of the data in kilobytes; only valid after the pipeline has\n updated. It is guaranteed to be greater than or equal to the memory\n required to represent the data.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkGenericDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();\n\n Return the type of data object.\n"},
  {(char*)"GetEstimatedSize",                (PyCFunction)PyvtkGenericDataSet_GetEstimatedSize, 1,
   (char*)"V.GetEstimatedSize() -> int\nC++: virtual vtkIdType GetEstimatedSize () = 0;\n\n Estimated size needed after tessellation (or special operation)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericDataSetDoc[] = {
  (char*)"vtkGenericDataSet - defines dataset interface\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" In VTK, spatial-temporal data is defined in terms of a dataset. The\n dataset consists of geometry (e.g., points), topology (e.g., cells), and\n attributes (e.g., scalars, vectors, etc.) vtkGenericDataSet is an abstract\n class defining this abstraction.\n\n Since vtkGenericDataSet provides a general interface to manipulate data,\n algorithms that process it tend to be slower than those specialized for",
  (char*)" a\n particular data type. For this reason, there are concrete, non-abstract\n subclasses that represent and provide access to data more efficiently.\n Note that filters to process this dataset type are currently found in the\n VTK/GenericFiltering/ subdirectory.\n\n Unlike the vtkDataSet class, vtkGenericDataSet provides a more flexible\n interface including support for iterators. vtkGenericDataSet is a",
  (char*)"lso\n designed to interface VTK to external simulation packages without the\n penalty of copying memory (see VTK/GenericFiltering/README.html) for\n more information. Thus vtkGenericDataSet plays a central role in the\n adaptor framework.\n\n Please note that this class introduces the concepts of \"boundary cells\".\n This refers to the boundaries of a cell (e.g., face of a tetrahedron)\n which may in turn ",
  (char*)"be represented as a cell. Boundary cells are derivative\n topological features of cells, and are therefore never explicitly\n represented in the dataset. Often in visualization algorithms, looping\n over boundaries (edges or faces) is employed, while the actual dataset\n cells may not traversed. Thus there are methods to loop over these\n boundary cells.\n\n Finally, as a point of clarification, points a",
  (char*)"re not the same as vertices.\n Vertices refer to points, and points specify a position is space. Vertices\n are a type of 0-D cell. Also, the concept of a DOFNode, which is where\n coefficients for higher-order cells are kept, is a new concept introduced\n by the adaptor framework (see vtkGenericAdaptorCell for more information).\n\n\n",
  "See Also:\n\n vtkGenericAdaptorCell vtkDataSet\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericDataSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericDataSetMethods,
                        (char*)"vtkGenericDataSet",modulename,
                        (char**)vtkGenericDataSetDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

