// python wrapper for vtkGenericEdgeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericEdgeTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericEdgeTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericEdgeTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericEdgeTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  const char    *temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkGenericEdgeTable  *temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericEdgeTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericEdgeTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_InsertEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::InsertEdge(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertEdge(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_RemoveEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::RemoveEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->RemoveEdge(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_IncrementEdgeReferenceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::IncrementEdgeReferenceCount(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IncrementEdgeReferenceCount(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_CheckEdgeReferenceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::CheckEdgeReferenceCount(temp0,temp1);
      }
    else
      {
      temp20 = op->CheckEdgeReferenceCount(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  int      temp0;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_CheckPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericEdgeTable::CheckPoint(temp0);
      }
    else
      {
      temp20 = op->CheckPoint(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  double temp1[3];
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::InsertPoint(temp0,temp1);
      }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_RemovePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::RemovePoint(temp0);
      }
    else
      {
      op->RemovePoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_IncrementPointReferenceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  vtkIdType   temp0;
  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::IncrementPointReferenceCount(temp0);
      }
    else
      {
      op->IncrementPointReferenceCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_DumpTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::DumpTable();
      }
    else
      {
      op->DumpTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericEdgeTable_LoadFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericEdgeTable *op;

  op = (vtkGenericEdgeTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericEdgeTable::LoadFactor();
      }
    else
      {
      op->LoadFactor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericEdgeTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericEdgeTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK type and print macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericEdgeTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK type and print macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericEdgeTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericEdgeTable\nC++: vtkGenericEdgeTable *NewInstance ();\n\n Standard VTK type and print macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericEdgeTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericEdgeTable\nC++: vtkGenericEdgeTable *SafeDownCast (vtkObject* o);\n\n Standard VTK type and print macros.\n"},
  {(char*)"InsertEdge",                (PyCFunction)PyvtkGenericEdgeTable_InsertEdge, 1,
   (char*)"V.InsertEdge(int, int, int, int)\nC++: void InsertEdge (vtkIdType e1, vtkIdType e2, vtkIdType cellId, int ref);\n\n Insert an edge but do not split it.\n"},
  {(char*)"RemoveEdge",                (PyCFunction)PyvtkGenericEdgeTable_RemoveEdge, 1,
   (char*)"V.RemoveEdge(int, int) -> int\nC++: int RemoveEdge (vtkIdType e1, vtkIdType e2);\n\n Method to remove an edge from the table. The method returns the\n current reference count.\n"},
  {(char*)"IncrementEdgeReferenceCount",                (PyCFunction)PyvtkGenericEdgeTable_IncrementEdgeReferenceCount, 1,
   (char*)"V.IncrementEdgeReferenceCount(int, int, int) -> int\nC++: int IncrementEdgeReferenceCount (vtkIdType e1, vtkIdType e2, vtkIdType cellId);\n\n Method that increments the referencecount and returns it.\n"},
  {(char*)"CheckEdgeReferenceCount",                (PyCFunction)PyvtkGenericEdgeTable_CheckEdgeReferenceCount, 1,
   (char*)"V.CheckEdgeReferenceCount(int, int) -> int\nC++: int CheckEdgeReferenceCount (vtkIdType e1, vtkIdType e2);\n\n Return the edge reference count.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGenericEdgeTable_Initialize, 1,
   (char*)"V.Initialize(int)\nC++: void Initialize (vtkIdType start);\n\n To specify the starting point id. It will initialize LastPointId\n This is very sensitive the start point should be cautiously chosen\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkGenericEdgeTable_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Return the total number of components for the point-centered attributes.\n \\post positive_result: result>0\n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkGenericEdgeTable_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int count);\n\n Set the total number of components for the point-centered attributes.\n \\pre positive_count: count>0\n"},
  {(char*)"CheckPoint",                (PyCFunction)PyvtkGenericEdgeTable_CheckPoint, 1,
   (char*)"V.CheckPoint(int) -> int\nC++: int CheckPoint (vtkIdType ptId);\n\n Check if a point is already in the point table.\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkGenericEdgeTable_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float))\nC++: void InsertPoint (vtkIdType ptId, double point[3]);\n\n Insert point associated with an edge.\n"},
  {(char*)"RemovePoint",                (PyCFunction)PyvtkGenericEdgeTable_RemovePoint, 1,
   (char*)"V.RemovePoint(int)\nC++: void RemovePoint (vtkIdType ptId);\n\n Remove a point from the point table.\n"},
  {(char*)"IncrementPointReferenceCount",                (PyCFunction)PyvtkGenericEdgeTable_IncrementPointReferenceCount, 1,
   (char*)"V.IncrementPointReferenceCount(int)\nC++: void IncrementPointReferenceCount (vtkIdType ptId);\n\n Increment the reference count for the indicated point.\n"},
  {(char*)"DumpTable",                (PyCFunction)PyvtkGenericEdgeTable_DumpTable, 1,
   (char*)"V.DumpTable()\nC++: void DumpTable ();\n\n For debugging purposes. It is particularly useful to dump the table\n and check that nothing is left after a complete iteration. LoadFactor\n should ideally be very low to be able to have a constant time access\n"},
  {(char*)"LoadFactor",                (PyCFunction)PyvtkGenericEdgeTable_LoadFactor, 1,
   (char*)"V.LoadFactor()\nC++: void LoadFactor ();\n\n For debugging purposes. It is particularly useful to dump the table\n and check that nothing is left after a complete iteration. LoadFactor\n should ideally be very low to be able to have a constant time access\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericEdgeTableDoc[] = {
  (char*)"vtkGenericEdgeTable - keep track of edges (defined by pair of integer id's)\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGenericEdgeTable is used to indicate the existance of and hold\n information about edges. Similar to vtkEdgeTable, this class is\n more sophisticated in that it uses reference counting to keep track\n of when information about an edge should be deleted.\n\n vtkGenericEdgeTable is a helper class used in the adaptor framework.  It\n is used during the tessellation process to hold information about the",
  (char*)"\n error metric on each edge. This avoids recomputing the error metric each\n time the same edge is visited.\n\n",
  NULL
};

static vtkObjectBase *vtkGenericEdgeTableStaticNew()
{
  return vtkGenericEdgeTable::New();
}

PyObject *PyVTKClass_vtkGenericEdgeTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericEdgeTableStaticNew,
                        PyvtkGenericEdgeTableMethods,
                        (char*)"vtkGenericEdgeTable",modulename,
                        (char**)vtkGenericEdgeTableDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

