// python wrapper for vtkGenericPointIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericPointIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericPointIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericPointIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericPointIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  const char    *temp20;
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericPointIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericPointIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  vtkGenericPointIterator  *temp20;
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericPointIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_Begin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Begin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_IsAtEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  int      temp20;
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsAtEnd();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Next();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  double temp0[3];
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericPointIterator_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericPointIterator *op;

  vtkIdType   temp20;
  op = (vtkGenericPointIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericPointIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericPointIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK construction and type macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericPointIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK construction and type macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericPointIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericPointIterator\nC++: vtkGenericPointIterator *NewInstance ();\n\n Standard VTK construction and type macros.\n"},
  {(char*)"Begin",                (PyCFunction)PyvtkGenericPointIterator_Begin, 1,
   (char*)"V.Begin()\nC++: virtual void Begin () = 0;\n\n Move iterator to first position if any (loop initialization).\n"},
  {(char*)"IsAtEnd",                (PyCFunction)PyvtkGenericPointIterator_IsAtEnd, 1,
   (char*)"V.IsAtEnd() -> int\nC++: virtual int IsAtEnd () = 0;\n\n Is the iterator at the end of traversal?\n"},
  {(char*)"Next",                (PyCFunction)PyvtkGenericPointIterator_Next, 1,
   (char*)"V.Next()\nC++: virtual void Next () = 0;\n\n Move the iterator to the next position in the list.\n \\pre not_off: !IsAtEnd()\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkGenericPointIterator_GetPosition, 1,
   (char*)"V.GetPosition((float, float, float))\nC++: virtual void GetPosition (double x[3]) = 0;\n\n Get the coordinates of the point at the current iterator position.\n \\pre not_off: !IsAtEnd()\n \\pre x_exists: x!=0\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkGenericPointIterator_GetId, 1,
   (char*)"V.GetId() -> int\nC++: virtual vtkIdType GetId () = 0;\n\n Return the unique identifier for the point, could be non-contiguous.\n \\pre not_off: !IsAtEnd()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericPointIteratorDoc[] = {
  (char*)"vtkGenericPointIterator - iterator used to traverse points\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class (and subclasses) are used to iterate over points. Use it\n only in conjunction with vtkGenericDataSet (i.e., the adaptor framework).\n\n Typical use is:\n <pre>\n vtkGenericDataSet *dataset;\n vtkGenericPointIterator *it = dataset->NewPointIterator();\n for (it->Begin(); !it->IsAtEnd(); it->Next());\n   {\n   x=it->GetPosition();\n   }\n </pre>\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericPointIteratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericPointIteratorMethods,
                        (char*)"vtkGenericPointIterator",modulename,
                        (char**)vtkGenericPointIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

