// tcl wrapper for vtkGeometricErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeometricErrorMetric.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeometricErrorMetricNewCommand()
{
  vtkGeometricErrorMetric *temp = vtkGeometricErrorMetric::New();
  return static_cast<ClientData>(temp);
}

int vtkGenericSubdivisionErrorMetricCppCommand(vtkGenericSubdivisionErrorMetric *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeometricErrorMetricCppCommand(vtkGeometricErrorMetric *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeometricErrorMetricCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeometricErrorMetricCppCommand(static_cast<vtkGeometricErrorMetric *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeometricErrorMetricCppCommand(vtkGeometricErrorMetric *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeometricErrorMetric",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkGenericSubdivisionErrorMetricCppCommand(static_cast<vtkGenericSubdivisionErrorMetric *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkGenericSubdivisionErrorMetric"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeometricErrorMetric  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeometricErrorMetric");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeometricErrorMetric  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeometricErrorMetric");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeometricErrorMetric  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeometricErrorMetric");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbsoluteGeometricTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteGeometricTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbsoluteGeometricTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAbsoluteGeometricTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeGeometricTolerance",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkGenericDataSet  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericDataSet"),interp,error));
    if (!error)
    {
    op->SetRelativeGeometricTolerance(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelative",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRelative();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeometricErrorMetricCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGenericSubdivisionErrorMetricCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeometricErrorMetric:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteGeometricTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetAbsoluteGeometricTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeGeometricTolerance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRelative\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkGenericSubdivisionErrorMetricCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteGeometricTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteGeometricTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetRelativeGeometricTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetRelative" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkGenericSubdivisionErrorMetricCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct the error metric with a default squared absolute geometric\n accuracy equal to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeometricErrorMetric *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK type and error macros.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK type and error macros.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK type and error macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK type and error macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteGeometricTolerance */
    if ( strcmp ( argv[2], "GetAbsoluteGeometricTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteGeometricTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteGeometricTolerance */
    Tcl_DStringAppendElement ( &dString, " Return the squared absolute geometric accuracy. See\n SetAbsoluteGeometricTolerance() for details.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteGeometricTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for GetAbsoluteGeometricTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbsoluteGeometricTolerance */
    if ( strcmp ( argv[2], "SetAbsoluteGeometricTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteGeometricTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbsoluteGeometricTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the geometric accuracy with a squared absolute value.\n This is the geometric object-based accuracy.\n Subdivision will be required if the square distance between the real\n point and the straight line passing through the vertices of the edge is\n greater than `value'. For instance 0.01 will give better result than 0.1.\n \\pre positive_value: value>0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbsoluteGeometricTolerance (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for SetAbsoluteGeometricTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRelativeGeometricTolerance */
    if ( strcmp ( argv[2], "SetRelativeGeometricTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRelativeGeometricTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRelativeGeometricTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the geometric accuracy with a value relative to the length of the\n bounding box of the dataset. Internally compute the absolute tolerance.\n For instance 0.01 will give better result than 0.1.\n \\pre valid_range_value: value>0 && value<1\n \\pre ds_exists: ds!=0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRelativeGeometricTolerance (double value, vtkGenericDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for SetRelativeGeometricTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRelative */
    if ( strcmp ( argv[2], "GetRelative" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRelative" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRelative */
    Tcl_DStringAppendElement ( &dString, " Return the type of output of GetError()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRelative ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeometricErrorMetric" );
    /* Closing for GetRelative */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkGenericSubdivisionErrorMetricCppCommand(static_cast<vtkGenericSubdivisionErrorMetric *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
