// python wrapper for vtkGraphEdge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphEdge.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphEdgeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphEdgeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGraphEdge_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  const char    *temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkGraphEdge  *temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphEdge  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphEdge::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphEdge_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp0;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphEdge::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_SetTarget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp0;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphEdge::SetTarget(temp0);
      }
    else
      {
      op->SetTarget(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_GetTarget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::GetTarget();
      }
    else
      {
      temp20 = op->GetTarget();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_SetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp0;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphEdge::SetId(temp0);
      }
    else
      {
      op->SetId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphEdge_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphEdge *op;

  vtkIdType   temp20;
  op = (vtkGraphEdge *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphEdge::GetId();
      }
    else
      {
      temp20 = op->GetId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphEdgeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphEdge_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphEdge_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphEdge_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphEdge\nC++: vtkGraphEdge *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphEdge_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphEdge\nC++: vtkGraphEdge *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGraphEdge_SetSource, 1,
   (char*)"V.SetSource(int)\nC++: void SetSource (vtkIdType );\n\n The source of the edge.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGraphEdge_GetSource, 1,
   (char*)"V.GetSource() -> int\nC++: vtkIdType GetSource ();\n\n The source of the edge.\n"},
  {(char*)"SetTarget",                (PyCFunction)PyvtkGraphEdge_SetTarget, 1,
   (char*)"V.SetTarget(int)\nC++: void SetTarget (vtkIdType );\n\n The target of the edge.\n"},
  {(char*)"GetTarget",                (PyCFunction)PyvtkGraphEdge_GetTarget, 1,
   (char*)"V.GetTarget() -> int\nC++: vtkIdType GetTarget ();\n\n The target of the edge.\n"},
  {(char*)"SetId",                (PyCFunction)PyvtkGraphEdge_SetId, 1,
   (char*)"V.SetId(int)\nC++: void SetId (vtkIdType );\n\n The id of the edge.\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkGraphEdge_GetId, 1,
   (char*)"V.GetId() -> int\nC++: vtkIdType GetId ();\n\n The id of the edge.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphEdgeDoc[] = {
  (char*)"vtkGraphEdge - Representation of a single graph edge.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" A heavy-weight (vtkObject subclass) graph edge object that may be used\n instead of the vtkEdgeType struct, for use with wrappers.\n The edge contains the source and target vertex ids, and the edge id.\n\n\n",
  "See Also:\n\n vtkGraph\n\n",
  NULL
};

static vtkObjectBase *vtkGraphEdgeStaticNew()
{
  return vtkGraphEdge::New();
}

PyObject *PyVTKClass_vtkGraphEdgeNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphEdgeStaticNew,
                        PyvtkGraphEdgeMethods,
                        (char*)"vtkGraphEdge",modulename,
                        (char**)vtkGraphEdgeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

