// python wrapper for vtkGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  const char    *temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkGraph  *temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetVertexData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkDataSetAttributes  *temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetVertexData();
      }
    else
      {
      temp20 = op->GetVertexData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetEdgeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkDataSetAttributes  *temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetEdgeData();
      }
    else
      {
      temp20 = op->GetEdgeData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  int      temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  double temp1[3];
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkPoints  *temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_SetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::SetPoints(temp0);
      }
    else
      {
      op->SetPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGraph_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  double temp0[6];
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  unsigned long     temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetOutEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkOutEdgeIterator  *temp1;
  PyObject *tempH1;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkOutEdgeIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkOutEdgeIterator");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetOutEdges(temp0,temp1);
      }
    else
      {
      op->GetOutEdges(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkGraph_GetDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetDegree(temp0);
      }
    else
      {
      temp20 = op->GetDegree(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetOutDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetOutDegree(temp0);
      }
    else
      {
      temp20 = op->GetOutDegree(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetInEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  PyObject *tempH1;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInEdgeIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInEdgeIterator");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetInEdges(temp0,temp1);
      }
    else
      {
      op->GetInEdges(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkGraph_GetInDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetInDegree(temp0);
      }
    else
      {
      temp20 = op->GetInDegree(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetAdjacentVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  PyObject *tempH1;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAdjacentVertexIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAdjacentVertexIterator");
    if (!temp1 && tempH1 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetAdjacentVertices(temp0,temp1);
      }
    else
      {
      op->GetAdjacentVertices(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGraph_GetEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkEdgeListIterator  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeListIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeListIterator");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetEdges(temp0);
      }
    else
      {
      op->GetEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkGraph_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkVertexListIterator  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVertexListIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVertexListIterator");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::GetVertices(temp0);
      }
    else
      {
      op->GetVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkGraph_GetNumberOfVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetNumberOfVertices();
      }
    else
      {
      temp20 = op->GetNumberOfVertices();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkGraph_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkGraph_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkGraph_CheckedShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::CheckedShallowCopy(temp0);
      }
    else
      {
      temp20 = op->CheckedShallowCopy(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkGraph_CheckedDeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::CheckedDeepCopy(temp0);
      }
    else
      {
      temp20 = op->CheckedDeepCopy(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkGraph_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_ReorderOutVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkGraph::ReorderOutVertices(temp0,temp1);
      }
    else
      {
      op->ReorderOutVertices(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkGraph_IsSameStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::IsSameStructure(temp0);
      }
    else
      {
      temp20 = op->IsSameStructure(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkGraph_GetSourceVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetSourceVertex(temp0);
      }
    else
      {
      temp20 = op->GetSourceVertex(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraph_GetTargetVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraph::GetTargetVertex(temp0);
      }
    else
      {
      temp20 = op->GetTargetVertex(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraph\nC++: vtkGraph *NewInstance ();\n\n"},
  {(char*)"GetVertexData",                (PyCFunction)PyvtkGraph_GetVertexData, 1,
   (char*)"V.GetVertexData() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *GetVertexData ();\n\n Get the vertex or edge data.\n"},
  {(char*)"GetEdgeData",                (PyCFunction)PyvtkGraph_GetEdgeData, 1,
   (char*)"V.GetEdgeData() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *GetEdgeData ();\n\n Get the vertex or edge data.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkGraph_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_GRAPH \n\n Initialize to an empty graph.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGraph_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize to an empty graph.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkGraph_GetPoint, 1,
   (char*)"V.GetPoint(int, (float, float, float))\nC++: void GetPoint (vtkIdType ptId, double x[3]);\n\n These methods return the point (0,0,0) until the points structure\n is created, when it returns the actual point position.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkGraph_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();\n\n Returns the points array for this graph.\n If points is not yet constructed, generates and returns \n a new points array filled with (0,0,0) coordinates.\n"},
  {(char*)"SetPoints",                (PyCFunction)PyvtkGraph_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: virtual void SetPoints (vtkPoints *points);\n\n Returns the points array for this graph.\n If points is not yet constructed, generates and returns \n a new points array filled with (0,0,0) coordinates.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkGraph_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: void ComputeBounds ();\n\n Compute the bounds of the graph.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkGraph_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\n\n Return a pointer to the geometry bounding box in the form\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGraph_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n The modified time of the graph.\n"},
  {(char*)"GetOutEdges",                (PyCFunction)PyvtkGraph_GetOutEdges, 1,
   (char*)"V.GetOutEdges(int, vtkOutEdgeIterator)\nC++: virtual void GetOutEdges (vtkIdType v, vtkOutEdgeIterator *it);\n\n Initializes the out edge iterator to iterate over\n all outgoing edges of vertex v.  For an undirected graph,\n returns all incident edges.\n"},
  {(char*)"GetDegree",                (PyCFunction)PyvtkGraph_GetDegree, 1,
   (char*)"V.GetDegree(int) -> int\nC++: virtual vtkIdType GetDegree (vtkIdType v);\n\n The total of all incoming and outgoing vertices for vertex v.\n For undirected graphs, this is simply the number of edges incident\n to v.\n"},
  {(char*)"GetOutDegree",                (PyCFunction)PyvtkGraph_GetOutDegree, 1,
   (char*)"V.GetOutDegree(int) -> int\nC++: virtual vtkIdType GetOutDegree (vtkIdType v);\n\n The number of outgoing edges from vertex v.\n For undirected graphs, returns the same as GetDegree().\n"},
  {(char*)"GetInEdges",                (PyCFunction)PyvtkGraph_GetInEdges, 1,
   (char*)"V.GetInEdges(int, vtkInEdgeIterator)\nC++: virtual void GetInEdges (vtkIdType v, vtkInEdgeIterator *it);\n\n Initializes the in edge iterator to iterate over\n all incoming edges to vertex v.  For an undirected graph,\n returns all incident edges.\n"},
  {(char*)"GetInDegree",                (PyCFunction)PyvtkGraph_GetInDegree, 1,
   (char*)"V.GetInDegree(int) -> int\nC++: virtual vtkIdType GetInDegree (vtkIdType v);\n\n The number of incoming edges to vertex v.\n For undirected graphs, returns the same as GetDegree().\n"},
  {(char*)"GetAdjacentVertices",                (PyCFunction)PyvtkGraph_GetAdjacentVertices, 1,
   (char*)"V.GetAdjacentVertices(int, vtkAdjacentVertexIterator)\nC++: virtual void GetAdjacentVertices (vtkIdType v, vtkAdjacentVertexIterator *it);\n\n Initializes the adjacent vertex iterator to iterate over\n all outgoing vertices from vertex v.  For an undirected graph,\n returns all adjacent vertices.\n"},
  {(char*)"GetEdges",                (PyCFunction)PyvtkGraph_GetEdges, 1,
   (char*)"V.GetEdges(vtkEdgeListIterator)\nC++: virtual void GetEdges (vtkEdgeListIterator *it);\n\n Initializes the edge list iterator to iterate over all\n edges in the graph. Edges may not be traversed in order of \n increasing edge id.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkGraph_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: virtual vtkIdType GetNumberOfEdges ();\n\n The number of edges in the graph.\n"},
  {(char*)"GetVertices",                (PyCFunction)PyvtkGraph_GetVertices, 1,
   (char*)"V.GetVertices(vtkVertexListIterator)\nC++: virtual void GetVertices (vtkVertexListIterator *it);\n\n Initializes the vertex list iterator to iterate over all\n vertices in the graph.\n"},
  {(char*)"GetNumberOfVertices",                (PyCFunction)PyvtkGraph_GetNumberOfVertices, 1,
   (char*)"V.GetNumberOfVertices() -> int\nC++: virtual vtkIdType GetNumberOfVertices ();\n\n The number of vertices in the graph.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGraph_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *obj);\n\n Shallow copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGraph_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *obj);\n\n Deep copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkGraph_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkGraph)\nC++: virtual void CopyStructure (vtkGraph *g);\n\n Does a shallow copy of the topological information,\n but not the associated attributes.\n"},
  {(char*)"CheckedShallowCopy",                (PyCFunction)PyvtkGraph_CheckedShallowCopy, 1,
   (char*)"V.CheckedShallowCopy(vtkGraph) -> bool\nC++: virtual bool CheckedShallowCopy (vtkGraph *g);\n\n Performs the same operation as ShallowCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n"},
  {(char*)"CheckedDeepCopy",                (PyCFunction)PyvtkGraph_CheckedDeepCopy, 1,
   (char*)"V.CheckedDeepCopy(vtkGraph) -> bool\nC++: virtual bool CheckedDeepCopy (vtkGraph *g);\n\n Performs the same operation as DeepCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkGraph_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze ();\n\n"},
  {(char*)"ReorderOutVertices",                (PyCFunction)PyvtkGraph_ReorderOutVertices, 1,
   (char*)"V.ReorderOutVertices(int, vtkIdTypeArray)\nC++: void ReorderOutVertices (vtkIdType v, vtkIdTypeArray *vertices);\n\n Reorder the outgoing vertices of a vertex.\n The vertex list must have the same elements as the current out edge\n list, just in a different order.\n This method does not change the topology of the graph.\n"},
  {(char*)"IsSameStructure",                (PyCFunction)PyvtkGraph_IsSameStructure, 1,
   (char*)"V.IsSameStructure(vtkGraph) -> bool\nC++: bool IsSameStructure (vtkGraph *other);\n\n Returns true if both graphs point to the same adjacency structure.\n Can be used to test the copy-on-write feature of the graph.\n"},
  {(char*)"GetSourceVertex",                (PyCFunction)PyvtkGraph_GetSourceVertex, 1,
   (char*)"V.GetSourceVertex(int) -> int\nC++: vtkIdType GetSourceVertex (vtkIdType e);\n\n Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n"},
  {(char*)"GetTargetVertex",                (PyCFunction)PyvtkGraph_GetTargetVertex, 1,
   (char*)"V.GetTargetVertex(int) -> int\nC++: vtkIdType GetTargetVertex (vtkIdType e);\n\n Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphDoc[] = {
  (char*)"vtkGraph - Base class for graph data types.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkGraph is the abstract base class that provides all read-only API for graph\n data types. A graph consists of a collection of vertices and a\n collection of edges connecting pairs of vertices. The vtkDirectedGraph\n subclass represents a graph whose edges have inherent order from source\n vertex to target vertex, while vtkUndirectedGraph is a graph whose edges\n have no inherent ordering.\n\n Graph ve",
  (char*)"rtices may be traversed in two ways. In the current implementation,\n all vertices are assigned consecutive ids starting at zero, so they may\n be traversed in a simple for loop from 0 to graph->GetNumberOfVertices() - 1.\n You may alternately create a vtkVertexListIterator and call graph->GetVertices(it).\n it->Next() will return the id of the next vertex, while it->HasNext() indicates\n whether there",
  (char*)" are more vertices in the graph.\n This is the preferred method, since in the future graphs may support filtering\n or subsetting where the vertex ids may not be contiguous.\n\n Graph edges must be traversed through iterators. To traverse all edges\n in a graph, create an instance of vtkEdgeListIterator and call graph->GetEdges(it).\n it->Next() returns lightweight vtkEdgeType structures, which contain ",
  (char*)"the public\n fields Id, Source and Target. Id is the identifier for the edge, which may\n be used to look up values in assiciated edge data arrays. Source and Target\n store the ids of the source and target vertices of the edge. Note that the\n edge list iterator DOES NOT necessarily iterate over edges in order of ascending\n id. To traverse edges from wrapper code (Python, Tcl, Java), use\n it->NextGra",
  (char*)"phEdge() instead of it->Next().  This will return a heavyweight,\n wrappable vtkGraphEdge object, which has the same fields as vtkEdgeType\n accessible through getter methods.\n\n To traverse all edges outgoing from a vertex, create a vtkOutEdgeIterator and \n call graph->GetOutEdges(v, it). it->Next() returns a lightweight vtkOutEdgeType\n containing the fields Id and Target. The source of the edge is ",
  (char*)"always the\n vertex that was passed as an argument to GetOutEdges().\n Incoming edges may be similarly traversed with vtkInEdgeIterator, which returns\n vtkInEdgeType structures with Id and Source fields.\n Both vtkOutEdgeIterator and vtkInEdgeIterator also provide the wrapper functions\n NextGraphEdge() which return vtkGraphEdge objects.\n\n An additional iterator, vtkAdjacentVertexIterator can traverse",
  (char*)" outgoing vertices\n directly, instead needing to parse through edges. Initialize the iterator by\n calling graph->GetAdjacentVertices(v, it).\n\n vtkGraph has two instances of vtkDataSetAttributes for associated\n vertex and edge data. It also has a vtkPoints instance which may store\n x,y,z locations for each vertex. This is populated by filters such as\n vtkGraphLayout and vtkAssignCoordinates.\n\n All ",
  (char*)"graph types share the same implementation, so the structure of one\n may be shared among multiple graphs, even graphs of different types.\n Structures from vtkUndirectedGraph and vtkMutableUndirectedGraph may be\n shared directly.  Structures from vtkDirectedGraph, vtkMutableDirectedGraph,\n and vtkTree may be shared directly with the exception that setting a\n structure to a tree requires that a \"is a",
  (char*)" tree\" test passes.\n\n For graph types that are known to be compatible, calling ShallowCopy()\n or DeepCopy() will work as expected.  When the outcome of a conversion\n is unknown (i.e. setting a graph to a tree), CheckedShallowCopy() and \n CheckedDeepCopy() exist which are identical to ShallowCopy() and DeepCopy(), \n except that instead of emitting an error for an incompatible structure,\n the functi",
  (char*)"on returns false.  This allows you to programmatically check\n structure compatibility without causing error messages.\n\n To construct a graph, use vtkMutableDirectedGraph or \n vtkMutableUndirectedGraph. You may then use CheckedShallowCopy\n to set the contents of a mutable graph type into one of the non-mutable\n types vtkDirectedGraph, vtkUndirectedGraph.\n To construct a tree, use vtkMutableDirected",
  (char*)"Graph, with directed edges\n which point from the parent to the child, then use CheckedShallowCopy\n to set the structure to a vtkTree.\n\n\n",
  "Caveats:\n\n All copy operations implement copy-on-write. The structures are initially\n shared, but if one of the graphs is modified, the structure is copied\n so that to the user they function as if they were deep copied. This means\n that care must be taken if different threads are accessing different graph\n instances that share the same structure. Race conditions may develop if\n one thread is modifying the graph at the same time that another graph is\n copying the structure.\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkUndirectedGraph vtkMutableDirectedGraph \n vtkMutableUndirectedGraph vtkTree\n \n .SECTION Thanks\n Thanks to Brian Wylie, Timothy Shead, Ken Moreland of Sandia National\n Laboratories and Douglas Gregor of Indiana University for designing these\n classes.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGraphNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGraphMethods,
                        (char*)"vtkGraph",modulename,
                        (char**)vtkGraphDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

