// tcl wrapper for vtkGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraph.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGraphCppCommand(vtkGraph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGraphCppCommand(static_cast<vtkGraph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGraphCppCommand(vtkGraph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGraph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGraph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetVertexData",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->GetVertexData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeData",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->GetEdgeData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->SetPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeBounds",argv[1]))&&(argc == 2))
    {
    op->ComputeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutEdges",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkOutEdgeIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkOutEdgeIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkOutEdgeIterator"),interp,error));
    if (!error)
    {
    op->GetOutEdges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInEdges",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkInEdgeIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInEdgeIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInEdgeIterator"),interp,error));
    if (!error)
    {
    op->GetInEdges(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInDegree",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInDegree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjacentVertices",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkAdjacentVertexIterator  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAdjacentVertexIterator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAdjacentVertexIterator"),interp,error));
    if (!error)
    {
    op->GetAdjacentVertices(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdges",argv[1]))&&(argc == 3))
    {
    vtkEdgeListIterator  *temp0;
    error = 0;

    temp0 = (vtkEdgeListIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEdgeListIterator"),interp,error));
    if (!error)
    {
    op->GetEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertices",argv[1]))&&(argc == 3))
    {
    vtkVertexListIterator  *temp0;
    error = 0;

    temp0 = (vtkVertexListIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVertexListIterator"),interp,error));
    if (!error)
    {
    op->GetVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVertices",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckedShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->CheckedShallowCopy(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckedDeepCopy",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->CheckedDeepCopy(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReorderOutVertices",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->ReorderOutVertices(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSameStructure",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSameStructure(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSourceVertex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetVertex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTargetVertex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGraphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGraph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexData\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeData\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetOutEdges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInEdges\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjacentVertices\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertices\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckedShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckedDeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  ReorderOutVertices\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsSameStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceVertex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetVertex\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetVertexData" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeData" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetOutEdges" );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    Tcl_DStringAppendElement ( &dString, "GetOutDegree" );
    Tcl_DStringAppendElement ( &dString, "GetInEdges" );
    Tcl_DStringAppendElement ( &dString, "GetInDegree" );
    Tcl_DStringAppendElement ( &dString, "GetAdjacentVertices" );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "CheckedShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "CheckedDeepCopy" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "ReorderOutVertices" );
    Tcl_DStringAppendElement ( &dString, "IsSameStructure" );
    Tcl_DStringAppendElement ( &dString, "GetSourceVertex" );
    Tcl_DStringAppendElement ( &dString, "GetTargetVertex" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexData */
    if ( strcmp ( argv[2], "GetVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexData */
    Tcl_DStringAppendElement ( &dString, " Get the vertex or edge data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *GetVertexData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeData */
    if ( strcmp ( argv[2], "GetEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeData */
    Tcl_DStringAppendElement ( &dString, " Get the vertex or edge data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetAttributes *GetEdgeData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Initialize to an empty graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType ();return VTK_GRAPH " );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize to an empty graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoints */
    if ( strcmp ( argv[2], "GetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the points array for this graph.\n If points is not yet constructed, generates and returns \n a new points array filled with (0,0,0) coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoints */
    if ( strcmp ( argv[2], "SetPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the points array for this graph.\n If points is not yet constructed, generates and returns \n a new points array filled with (0,0,0) coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoints (vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for SetPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeBounds */
    if ( strcmp ( argv[2], "ComputeBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounds of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ComputeBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Return a pointer to the geometry bounding box in the form\n (xmin,xmax, ymin,ymax, zmin,zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " The modified time of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutEdges */
    if ( strcmp ( argv[2], "GetOutEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkOutEdgeIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the out edge iterator to iterate over\n all outgoing edges of vertex v.  For an undirected graph,\n returns all incident edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetOutEdges (vtkIdType v, vtkOutEdgeIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetOutEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDegree */
    if ( strcmp ( argv[2], "GetDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDegree */
    Tcl_DStringAppendElement ( &dString, " The total of all incoming and outgoing vertices for vertex v.\n For undirected graphs, this is simply the number of edges incident\n to v.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetDegree (vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutDegree */
    if ( strcmp ( argv[2], "GetOutDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutDegree */
    Tcl_DStringAppendElement ( &dString, " The number of outgoing edges from vertex v.\n For undirected graphs, returns the same as GetDegree().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetOutDegree (vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetOutDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInEdges */
    if ( strcmp ( argv[2], "GetInEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkInEdgeIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the in edge iterator to iterate over\n all incoming edges to vertex v.  For an undirected graph,\n returns all incident edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetInEdges (vtkIdType v, vtkInEdgeIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInDegree */
    if ( strcmp ( argv[2], "GetInDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInDegree */
    Tcl_DStringAppendElement ( &dString, " The number of incoming edges to vertex v.\n For undirected graphs, returns the same as GetDegree().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetInDegree (vtkIdType v);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetInDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjacentVertices */
    if ( strcmp ( argv[2], "GetAdjacentVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjacentVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAdjacentVertexIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjacentVertices */
    Tcl_DStringAppendElement ( &dString, " Initializes the adjacent vertex iterator to iterate over\n all outgoing vertices from vertex v.  For an undirected graph,\n returns all adjacent vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetAdjacentVertices (vtkIdType v, vtkAdjacentVertexIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetAdjacentVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdges */
    if ( strcmp ( argv[2], "GetEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeListIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdges */
    Tcl_DStringAppendElement ( &dString, " Initializes the edge list iterator to iterate over all\n edges in the graph. Edges may not be traversed in order of \n increasing edge id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetEdges (vtkEdgeListIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " The number of edges in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertices */
    if ( strcmp ( argv[2], "GetVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVertexListIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertices */
    Tcl_DStringAppendElement ( &dString, " Initializes the vertex list iterator to iterate over all\n vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVertices (vtkVertexListIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertices */
    if ( strcmp ( argv[2], "GetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " The number of vertices in the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy (vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copies the data object into this graph.\n If it is an incompatible graph, reports an error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkDataObject *obj);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Does a shallow copy of the topological information,\n but not the associated attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyStructure (vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckedShallowCopy */
    if ( strcmp ( argv[2], "CheckedShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckedShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckedShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Performs the same operation as ShallowCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CheckedShallowCopy (vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CheckedShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckedDeepCopy */
    if ( strcmp ( argv[2], "CheckedDeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckedDeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckedDeepCopy */
    Tcl_DStringAppendElement ( &dString, " Performs the same operation as DeepCopy(),\n but instead of reporting an error for an incompatible graph,\n returns false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool CheckedDeepCopy (vtkGraph *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for CheckedDeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Squeeze ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReorderOutVertices */
    if ( strcmp ( argv[2], "ReorderOutVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReorderOutVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReorderOutVertices */
    Tcl_DStringAppendElement ( &dString, " Reorder the outgoing vertices of a vertex.\n The vertex list must have the same elements as the current out edge\n list, just in a different order.\n This method does not change the topology of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReorderOutVertices (vtkIdType v, vtkIdTypeArray *vertices);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for ReorderOutVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSameStructure */
    if ( strcmp ( argv[2], "IsSameStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSameStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSameStructure */
    Tcl_DStringAppendElement ( &dString, " Returns true if both graphs point to the same adjacency structure.\n Can be used to test the copy-on-write feature of the graph.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsSameStructure (vtkGraph *other);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for IsSameStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSourceVertex */
    if ( strcmp ( argv[2], "GetSourceVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSourceVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSourceVertex */
    Tcl_DStringAppendElement ( &dString, " Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSourceVertex (vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetSourceVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetVertex */
    if ( strcmp ( argv[2], "GetTargetVertex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetVertex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetVertex */
    Tcl_DStringAppendElement ( &dString, " Retrieve the source and target vertices for an edge id.\n NOTE: The first time this is called, the graph will build\n a mapping array from edge id to source/target that is the\n same size as the number of edges in the graph. If you have\n access to a vtkOutEdgeType, vtkInEdgeType, vtkEdgeType, or\n vtkGraphEdge, you should directly use these structures\n to look up the source or target instead of this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTargetVertex (vtkIdType e);" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    /* Closing for GetTargetVertex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
