// python wrapper for vtkHierarchicalBoxDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalBoxDataIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalBoxDataIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }

static PyObject *PyvtkHierarchicalBoxDataIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataIterator *op;

  const char    *temp20;
  op = (vtkHierarchicalBoxDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalBoxDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataIterator *op;

  vtkHierarchicalBoxDataIterator  *temp20;
  op = (vtkHierarchicalBoxDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalBoxDataIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalBoxDataIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataIterator_GetCurrentLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataIterator *op;

  unsigned int      temp20;
  op = (vtkHierarchicalBoxDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataIterator::GetCurrentLevel();
      }
    else
      {
      temp20 = op->GetCurrentLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataIterator_GetCurrentIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataIterator *op;

  unsigned int      temp20;
  op = (vtkHierarchicalBoxDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataIterator::GetCurrentIndex();
      }
    else
      {
      temp20 = op->GetCurrentIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalBoxDataIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalBoxDataIterator\nC++: vtkHierarchicalBoxDataIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalBoxDataIterator\nC++: vtkHierarchicalBoxDataIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCurrentLevel",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_GetCurrentLevel, 1,
   (char*)"V.GetCurrentLevel() -> int\nC++: unsigned int GetCurrentLevel ();\n\n Returns the level for the current dataset.\n"},
  {(char*)"GetCurrentIndex",                (PyCFunction)PyvtkHierarchicalBoxDataIterator_GetCurrentIndex, 1,
   (char*)"V.GetCurrentIndex() -> int\nC++: unsigned int GetCurrentIndex ();\n\n Returns the dataset index for the current data object. Valid only if the\n current data is a leaf node i.e. no a composite dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalBoxDataIteratorDoc[] = {
  (char*)"vtkHierarchicalBoxDataIterator - subclass of vtkCompositeDataIterator\n\n",
  "Super Class:\n\n vtkCompositeDataIterator\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalBoxDataIteratorStaticNew()
{
  return vtkHierarchicalBoxDataIterator::New();
}

PyObject *PyVTKClass_vtkHierarchicalBoxDataIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalBoxDataIteratorStaticNew,
                        PyvtkHierarchicalBoxDataIteratorMethods,
                        (char*)"vtkHierarchicalBoxDataIterator",modulename,
                        (char**)vtkHierarchicalBoxDataIteratorDoc,
                        PyVTKClass_vtkCompositeDataIteratorNew(modulename));
}

