// python wrapper for vtkHierarchicalBoxDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalBoxDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }

static PyObject *PyvtkHierarchicalBoxDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  const char    *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkHierarchicalBoxDataSet  *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalBoxDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalBoxDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::SetNumberOfLevels(temp0);
      }
    else
      {
      op->SetNumberOfLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetNumberOfLevels();
      }
    else
      {
      temp20 = op->GetNumberOfLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::SetNumberOfDataSets(temp0,temp1);
      }
    else
      {
      op->SetNumberOfDataSets(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  unsigned int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetNumberOfDataSets(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfDataSets(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::SetDataSet(temp0,temp1);
      }
    else
      {
      op->SetDataSet(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetLevelMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  vtkInformation  *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetLevelMetaData(temp0);
      }
    else
      {
      temp20 = op->GetLevelMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_HasLevelMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::HasLevelMetaData(temp0);
      }
    else
      {
      temp20 = op->HasLevelMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  vtkInformation  *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetMetaData(temp0,temp1);
      }
    else
      {
      temp20 = op->GetMetaData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  PyErr_Clear();
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_HasMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::HasMetaData(temp0,temp1);
      }
    else
      {
      temp20 = op->HasMetaData(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SetRefinementRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  int      temp1;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::SetRefinementRatio(temp0,temp1);
      }
    else
      {
      op->SetRefinementRatio(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetRefinementRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetRefinementRatio(temp0);
      }
    else
      {
      temp20 = op->GetRefinementRatio(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetRefinementRatio(temp0);
      }
    else
      {
      temp20 = op->GetRefinementRatio(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GenerateVisibilityArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::GenerateVisibilityArrays();
      }
    else
      {
      op->GenerateVisibilityArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_BOX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalBoxDataSet::BOX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_REFINEMENT_RATIO(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalBoxDataSet::REFINEMENT_RATIO();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalBoxDataSet::NUMBER_OF_BLANKED_POINTS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalBoxDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalBoxDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalBoxDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalBoxDataSet\nC++: vtkHierarchicalBoxDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalBoxDataSet\nC++: vtkHierarchicalBoxDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkHierarchicalBoxDataSet_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkCompositeDataIterator\nC++: virtual vtkCompositeDataIterator *NewIterator ();\n\n Return a new iterator (the iterator has to be deleted by user).\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_HIERARCHICAL_BOX_DATA_SET \n\n Set the number of refinement levels. This call might cause\n allocation if the new number of levels is larger than the\n current one.\n"},
  {(char*)"SetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SetNumberOfLevels, 1,
   (char*)"V.SetNumberOfLevels(int)\nC++: void SetNumberOfLevels (unsigned int numLevels);\n\n Set the number of refinement levels. This call might cause\n allocation if the new number of levels is larger than the\n current one.\n"},
  {(char*)"GetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: unsigned int GetNumberOfLevels ();\n\n Returns the number of levels.\n"},
  {(char*)"SetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SetNumberOfDataSets, 1,
   (char*)"V.SetNumberOfDataSets(int, int)\nC++: void SetNumberOfDataSets (unsigned int level, unsigned int numdatasets);\n\n Set the number of data set at a given level.\n"},
  {(char*)"GetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetNumberOfDataSets, 1,
   (char*)"V.GetNumberOfDataSets(int) -> int\nC++: unsigned int GetNumberOfDataSets (unsigned int level);\n\n Returns the number of data sets available at any level.\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkCompositeDataIterator, vtkDataObject)\nC++: virtual void SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj);this Superclass SetDataSet iter dataObj \n\n Get meta-data associated with a level. This may allocate a new\n vtkInformation object if none is already present. Use HasLevelMetaData to\n avoid unnecessary allocations.\n"},
  {(char*)"GetLevelMetaData",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetLevelMetaData, 1,
   (char*)"V.GetLevelMetaData(int) -> vtkInformation\nC++: vtkInformation *GetLevelMetaData (unsigned int level);return this GetChildMetaData level \n\n Returns if meta-data exists for a given level.\n"},
  {(char*)"HasLevelMetaData",                (PyCFunction)PyvtkHierarchicalBoxDataSet_HasLevelMetaData, 1,
   (char*)"V.HasLevelMetaData(int) -> int\nC++: int HasLevelMetaData (unsigned int level);return this HasChildMetaData level \n\n Get meta-data associated with a dataset.  This may allocate a new\n vtkInformation object if none is already present. Use HasMetaData to\n avoid unnecessary allocations.\n"},
  {(char*)"GetMetaData",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetMetaData, 1,
   (char*)"V.GetMetaData(int, int) -> vtkInformation\nC++: vtkInformation *GetMetaData (unsigned int level, unsigned int index);\nV.GetMetaData(vtkCompositeDataIterator) -> vtkInformation\nC++: virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter \n\n Get meta-data associated with a dataset.  This may allocate a new\n vtkInformation object if none is already present. Use HasMetaData to\n avoid unnecessary allocations.\n"},
  {(char*)"HasMetaData",                (PyCFunction)PyvtkHierarchicalBoxDataSet_HasMetaData, 1,
   (char*)"V.HasMetaData(int, int) -> int\nC++: int HasMetaData (unsigned int level, unsigned int index);\nV.HasMetaData(vtkCompositeDataIterator) -> int\nC++: virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter \n\n Returns if meta-data exists for a given dataset under a given level.\n"},
  {(char*)"SetRefinementRatio",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SetRefinementRatio, 1,
   (char*)"V.SetRefinementRatio(int, int)\nC++: void SetRefinementRatio (unsigned int level, int refRatio);\n\n Sets the refinement of a given level. The spacing at level\n level+1 is defined as spacing(level+1) = spacing(level)/refRatio(level).\n Note that currently, this is not enforced by this class however\n some algorithms might not function properly if the spacing in\n the blocks (vtkUniformGrid) does not match the one described\n by the refinement ratio.\n"},
  {(char*)"GetRefinementRatio",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetRefinementRatio, 1,
   (char*)"V.GetRefinementRatio(int) -> int\nC++: int GetRefinementRatio (unsigned int level);\nV.GetRefinementRatio(vtkCompositeDataIterator) -> int\nC++: int GetRefinementRatio (vtkCompositeDataIterator *iter);\n\n Returns the refinement of a given level.\n"},
  {(char*)"GenerateVisibilityArrays",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GenerateVisibilityArrays, 1,
   (char*)"V.GenerateVisibilityArrays()\nC++: void GenerateVisibilityArrays ();\n\n Blank lower level cells if they are overlapped by higher\n level ones.\n"},
  {(char*)"BOX",                (PyCFunction)PyvtkHierarchicalBoxDataSet_BOX, 1,
   (char*)"V.BOX() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *BOX ();\n\n"},
  {(char*)"REFINEMENT_RATIO",                (PyCFunction)PyvtkHierarchicalBoxDataSet_REFINEMENT_RATIO, 1,
   (char*)"V.REFINEMENT_RATIO() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *REFINEMENT_RATIO ();\n\n"},
  {(char*)"NUMBER_OF_BLANKED_POINTS",                (PyCFunction)PyvtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS, 1,
   (char*)"V.NUMBER_OF_BLANKED_POINTS() -> vtkInformationIdTypeKey\nC++: static vtkInformationIdTypeKey *NUMBER_OF_BLANKED_POINTS ();\n\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet(vtkCompositeDataIterator) -> vtkDataObject\nC++: virtual vtkDataObject *GetDataSet (vtkCompositeDataIterator *iter);return this Superclass GetDataSet iter \n\n Unhiding superclass method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalBoxDataSetDoc[] = {
  (char*)"vtkHierarchicalBoxDataSet - hierarchical dataset of vtkUniformGrids\n\n",
  "Super Class:\n\n vtkCompositeDataSet\n\n",
  (char*)" vtkHierarchicalBoxDataSet is a concrete implementation of\n vtkCompositeDataSet. The dataset type is restricted to\n vtkUniformGrid. Each dataset has an associated vtkAMRBox that represents\n it's region (similar to extent) in space.\n .SECTION Warning\n To compute the cellId of a cell within a vtkUniformGrid with AMRBox=box, \n you should not use vtkUniformGrid::ComputeCellId( {x,y,z} ) but instead\n u",
  (char*)"se the following pseudo code:\n for (int i=0; i<3; i++)\n   {\n   cellDims[i] = box.HiCorner[i] - box.LoCorner[i] + 1;\n   }\n vtkIdType cellId =\n   (z-box.LoCorner[2])*cellDims[0]*cellDims[1] +\n   (y-box.LoCorner[1])*cellDims[0] +\n   (x-box.LoCorner[0]);\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalBoxDataSetStaticNew()
{
  return vtkHierarchicalBoxDataSet::New();
}

PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalBoxDataSetStaticNew,
                        PyvtkHierarchicalBoxDataSetMethods,
                        (char*)"vtkHierarchicalBoxDataSet",modulename,
                        (char**)vtkHierarchicalBoxDataSetDoc,
                        PyVTKClass_vtkCompositeDataSetNew(modulename));
}

