// python wrapper for vtkHyperOctreeCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeCursor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeCursorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeCursorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHyperOctreeCursor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  const char    *temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeCursor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeCursor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  vtkHyperOctreeCursor  *temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeCursor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetLeafId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetLeafId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_CurrentIsLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->CurrentIsLeaf();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_CurrentIsRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->CurrentIsRoot();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetCurrentLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCurrentLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetChildIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetChildIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_CurrentIsTerminalNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->CurrentIsTerminalNode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_ToRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ToRoot();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_ToParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ToParent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_ToChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp0;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ToChild(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_ToSameNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ToSameNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_IsEqual(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsEqual(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_Clone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  vtkHyperOctreeCursor  *temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Clone();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_SameTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SameTree(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp0;
  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetNumberOfChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfChildren();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeCursor_Found(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeCursor *op;

  int      temp20;
  op = (vtkHyperOctreeCursor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Found();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeCursorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeCursor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeCursor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeCursor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeCursor\nC++: vtkHyperOctreeCursor *NewInstance ();\n\n"},
  {(char*)"GetLeafId",                (PyCFunction)PyvtkHyperOctreeCursor_GetLeafId, 1,
   (char*)"V.GetLeafId() -> int\nC++: virtual int GetLeafId () = 0;\n\n Return the index of the current leaf in the data arrays.\n \\pre is_leaf: CurrentIsLeaf()\n"},
  {(char*)"CurrentIsLeaf",                (PyCFunction)PyvtkHyperOctreeCursor_CurrentIsLeaf, 1,
   (char*)"V.CurrentIsLeaf() -> int\nC++: virtual int CurrentIsLeaf () = 0;\n\n Is the node pointed by the cursor a leaf?\n"},
  {(char*)"CurrentIsRoot",                (PyCFunction)PyvtkHyperOctreeCursor_CurrentIsRoot, 1,
   (char*)"V.CurrentIsRoot() -> int\nC++: virtual int CurrentIsRoot () = 0;\n\n Is the node pointed by the cursor the root?\n"},
  {(char*)"GetCurrentLevel",                (PyCFunction)PyvtkHyperOctreeCursor_GetCurrentLevel, 1,
   (char*)"V.GetCurrentLevel() -> int\nC++: virtual int GetCurrentLevel () = 0;\n\n Return the level of the node pointed by the cursor.\n \\post positive_result: result>=0\n"},
  {(char*)"GetChildIndex",                (PyCFunction)PyvtkHyperOctreeCursor_GetChildIndex, 1,
   (char*)"V.GetChildIndex() -> int\nC++: virtual int GetChildIndex () = 0;\n\n Return the child number of the current node relative to its parent.\n \\pre not_root: !CurrentIsRoot().\n \\post valid_range: result>=0 && result<GetNumberOfChildren()\n"},
  {(char*)"CurrentIsTerminalNode",                (PyCFunction)PyvtkHyperOctreeCursor_CurrentIsTerminalNode, 1,
   (char*)"V.CurrentIsTerminalNode() -> int\nC++: virtual int CurrentIsTerminalNode () = 0;\n\n"},
  {(char*)"ToRoot",                (PyCFunction)PyvtkHyperOctreeCursor_ToRoot, 1,
   (char*)"V.ToRoot()\nC++: virtual void ToRoot () = 0;\n\n Move the cursor the root node.\n \\pre can be root\n \\post is_root: CurrentIsRoot()\n"},
  {(char*)"ToParent",                (PyCFunction)PyvtkHyperOctreeCursor_ToParent, 1,
   (char*)"V.ToParent()\nC++: virtual void ToParent () = 0;\n\n Move the cursor to the parent of the current node.\n \\pre not_root: !CurrentIsRoot()\n"},
  {(char*)"ToChild",                (PyCFunction)PyvtkHyperOctreeCursor_ToChild, 1,
   (char*)"V.ToChild(int)\nC++: virtual void ToChild (int child) = 0;\n\n Move the cursor to child `child' of the current node.\n \\pre not_leaf: !CurrentIsLeaf()\n \\pre valid_child: child>=0 && child<this->GetNumberOfChildren()\n"},
  {(char*)"ToSameNode",                (PyCFunction)PyvtkHyperOctreeCursor_ToSameNode, 1,
   (char*)"V.ToSameNode(vtkHyperOctreeCursor)\nC++: virtual void ToSameNode (vtkHyperOctreeCursor *other) = 0;\n\n Move the cursor to the same node pointed by `other'.\n \\pre other_exists: other!=0\n \\pre same_hyperoctree: this->SameTree(other);\n \\post equal: this->IsEqual(other)\n"},
  {(char*)"IsEqual",                (PyCFunction)PyvtkHyperOctreeCursor_IsEqual, 1,
   (char*)"V.IsEqual(vtkHyperOctreeCursor) -> int\nC++: virtual int IsEqual (vtkHyperOctreeCursor *other) = 0;\n\n Is `this' equal to `other'?\n \\pre other_exists: other!=0\n \\pre same_hyperoctree: this->SameTree(other);\n"},
  {(char*)"Clone",                (PyCFunction)PyvtkHyperOctreeCursor_Clone, 1,
   (char*)"V.Clone() -> vtkHyperOctreeCursor\nC++: virtual vtkHyperOctreeCursor *Clone () = 0;\n\n Create a copy of `this'.\n \\post results_exists:result!=0\n \\post same_tree: result->SameTree(this)\n"},
  {(char*)"SameTree",                (PyCFunction)PyvtkHyperOctreeCursor_SameTree, 1,
   (char*)"V.SameTree(vtkHyperOctreeCursor) -> int\nC++: virtual int SameTree (vtkHyperOctreeCursor *other) = 0;\n\n Are `this' and `other' pointing on the same hyperoctree?\n \\pre other_exists: other!=0\n"},
  {(char*)"GetIndex",                (PyCFunction)PyvtkHyperOctreeCursor_GetIndex, 1,
   (char*)"V.GetIndex(int) -> int\nC++: virtual int GetIndex (int d) = 0;\n\n Return the index in dimension `d', as if the node was a cell of a\n uniform grid of 1<<GetCurrentLevel() cells in each dimension.\n \\pre valid_range: d>=0 && d<GetDimension()\n \\post valid_result: result>=0 && result<(1<<GetCurrentLevel())\n"},
  {(char*)"GetNumberOfChildren",                (PyCFunction)PyvtkHyperOctreeCursor_GetNumberOfChildren, 1,
   (char*)"V.GetNumberOfChildren() -> int\nC++: virtual int GetNumberOfChildren () = 0;\n\n Return the number of children for each node of the tree.\n \\post positive_number: result>0\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkHyperOctreeCursor_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension () = 0;\n\n Return the dimension of the tree.\n \\post positive_result: result>0\n"},
  {(char*)"Found",                (PyCFunction)PyvtkHyperOctreeCursor_Found, 1,
   (char*)"V.Found() -> int\nC++: virtual int Found () = 0;\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeCursorDoc[] = {
  (char*)"vtkHyperOctreeCursor - Objects that can traverse hyperoctree nodes.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Objects that can traverse hyperoctree nodes. It is an abstract class.\n Cursors are created by the hyperoctree.\n\n",
  "See Also:\n\n vtkDataObject vtkFieldData vtkHyperOctreeAlgorithm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkHyperOctreeCursorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkHyperOctreeCursorMethods,
                        (char*)"vtkHyperOctreeCursor",modulename,
                        (char**)vtkHyperOctreeCursorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

