// tcl wrapper for vtkHyperOctreeCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeCursor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperOctreeCursorCppCommand(vtkHyperOctreeCursor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHyperOctreeCursorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHyperOctreeCursorCppCommand(static_cast<vtkHyperOctreeCursor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperOctreeCursorCppCommand(vtkHyperOctreeCursor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHyperOctreeCursor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHyperOctreeCursor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperOctreeCursor");
    return TCL_OK;
    }
  if ((!strcmp("GetLeafId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeafId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CurrentIsLeaf",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CurrentIsLeaf();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CurrentIsRoot",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CurrentIsRoot();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetChildIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetChildIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CurrentIsTerminalNode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CurrentIsTerminalNode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ToRoot",argv[1]))&&(argc == 2))
    {
    op->ToRoot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToParent",argv[1]))&&(argc == 2))
    {
    op->ToParent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToChild",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ToChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToSameNode",argv[1]))&&(argc == 3))
    {
    vtkHyperOctreeCursor  *temp0;
    error = 0;

    temp0 = (vtkHyperOctreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperOctreeCursor"),interp,error));
    if (!error)
    {
    op->ToSameNode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsEqual",argv[1]))&&(argc == 3))
    {
    vtkHyperOctreeCursor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkHyperOctreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperOctreeCursor"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsEqual(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clone",argv[1]))&&(argc == 2))
    {
    vtkHyperOctreeCursor  *temp20;
    temp20 = (op)->Clone();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperOctreeCursor");
    return TCL_OK;
    }
  if ((!strcmp("SameTree",argv[1]))&&(argc == 3))
    {
    vtkHyperOctreeCursor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkHyperOctreeCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHyperOctreeCursor"),interp,error));
    if (!error)
    {
    temp20 = (op)->SameTree(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfChildren",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Found",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Found();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHyperOctreeCursorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperOctreeCursor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetLeafId\n",NULL);
    Tcl_AppendResult(interp,"  CurrentIsLeaf\n",NULL);
    Tcl_AppendResult(interp,"  CurrentIsRoot\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetChildIndex\n",NULL);
    Tcl_AppendResult(interp,"  CurrentIsTerminalNode\n",NULL);
    Tcl_AppendResult(interp,"  ToRoot\n",NULL);
    Tcl_AppendResult(interp,"  ToParent\n",NULL);
    Tcl_AppendResult(interp,"  ToChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ToSameNode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsEqual\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Clone\n",NULL);
    Tcl_AppendResult(interp,"  SameTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfChildren\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  Found\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetLeafId" );
    Tcl_DStringAppendElement ( &dString, "CurrentIsLeaf" );
    Tcl_DStringAppendElement ( &dString, "CurrentIsRoot" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentLevel" );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    Tcl_DStringAppendElement ( &dString, "CurrentIsTerminalNode" );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    Tcl_DStringAppendElement ( &dString, "ToSameNode" );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    Tcl_DStringAppendElement ( &dString, "GetIndex" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "Found" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeafId */
    if ( strcmp ( argv[2], "GetLeafId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeafId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeafId */
    Tcl_DStringAppendElement ( &dString, " Return the index of the current leaf in the data arrays.\n \\pre is_leaf: CurrentIsLeaf()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLeafId () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetLeafId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CurrentIsLeaf */
    if ( strcmp ( argv[2], "CurrentIsLeaf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CurrentIsLeaf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CurrentIsLeaf */
    Tcl_DStringAppendElement ( &dString, " Is the node pointed by the cursor a leaf?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CurrentIsLeaf () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for CurrentIsLeaf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CurrentIsRoot */
    if ( strcmp ( argv[2], "CurrentIsRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CurrentIsRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CurrentIsRoot */
    Tcl_DStringAppendElement ( &dString, " Is the node pointed by the cursor the root?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CurrentIsRoot () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for CurrentIsRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentLevel */
    if ( strcmp ( argv[2], "GetCurrentLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentLevel */
    Tcl_DStringAppendElement ( &dString, " Return the level of the node pointed by the cursor.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCurrentLevel () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetCurrentLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChildIndex */
    if ( strcmp ( argv[2], "GetChildIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChildIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChildIndex */
    Tcl_DStringAppendElement ( &dString, " Return the child number of the current node relative to its parent.\n \\pre not_root: !CurrentIsRoot().\n \\post valid_range: result>=0 && result<GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetChildIndex () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetChildIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CurrentIsTerminalNode */
    if ( strcmp ( argv[2], "CurrentIsTerminalNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CurrentIsTerminalNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CurrentIsTerminalNode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int CurrentIsTerminalNode () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for CurrentIsTerminalNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToRoot */
    if ( strcmp ( argv[2], "ToRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToRoot */
    Tcl_DStringAppendElement ( &dString, " Move the cursor the root node.\n \\pre can be root\n \\post is_root: CurrentIsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToRoot () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for ToRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToParent */
    if ( strcmp ( argv[2], "ToParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToParent */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the parent of the current node.\n \\pre not_root: !CurrentIsRoot()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToParent () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for ToParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToChild */
    if ( strcmp ( argv[2], "ToChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToChild */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to child `child' of the current node.\n \\pre not_leaf: !CurrentIsLeaf()\n \\pre valid_child: child>=0 && child<this->GetNumberOfChildren()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToChild (int child) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for ToChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToSameNode */
    if ( strcmp ( argv[2], "ToSameNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToSameNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToSameNode */
    Tcl_DStringAppendElement ( &dString, " Move the cursor to the same node pointed by `other'.\n \\pre other_exists: other!=0\n \\pre same_hyperoctree: this->SameTree(other);\n \\post equal: this->IsEqual(other)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ToSameNode (vtkHyperOctreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for ToSameNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsEqual */
    if ( strcmp ( argv[2], "IsEqual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEqual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEqual */
    Tcl_DStringAppendElement ( &dString, " Is `this' equal to `other'?\n \\pre other_exists: other!=0\n \\pre same_hyperoctree: this->SameTree(other);\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsEqual (vtkHyperOctreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for IsEqual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clone */
    if ( strcmp ( argv[2], "Clone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clone */
    Tcl_DStringAppendElement ( &dString, " Create a copy of `this'.\n \\post results_exists:result!=0\n \\post same_tree: result->SameTree(this)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHyperOctreeCursor *Clone () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for Clone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SameTree */
    if ( strcmp ( argv[2], "SameTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SameTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SameTree */
    Tcl_DStringAppendElement ( &dString, " Are `this' and `other' pointing on the same hyperoctree?\n \\pre other_exists: other!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SameTree (vtkHyperOctreeCursor *other) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for SameTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndex */
    if ( strcmp ( argv[2], "GetIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndex */
    Tcl_DStringAppendElement ( &dString, " Return the index in dimension `d', as if the node was a cell of a\n uniform grid of 1<<GetCurrentLevel() cells in each dimension.\n \\pre valid_range: d>=0 && d<GetDimension()\n \\post valid_result: result>=0 && result<(1<<GetCurrentLevel())\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetIndex (int d) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfChildren */
    if ( strcmp ( argv[2], "GetNumberOfChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfChildren */
    Tcl_DStringAppendElement ( &dString, " Return the number of children for each node of the tree.\n \\post positive_number: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfChildren () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetNumberOfChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimension of the tree.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDimension () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Found */
    if ( strcmp ( argv[2], "Found" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Found" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Found */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int Found () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeCursor" );
    /* Closing for Found */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
