// python wrapper for vtkHyperOctreePointsGrabber object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreePointsGrabber.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreePointsGrabberNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreePointsGrabberNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHyperOctreePointsGrabber_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  const char    *temp20;
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreePointsGrabber::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreePointsGrabber::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  vtkHyperOctreePointsGrabber  *temp20;
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreePointsGrabber::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  int      temp20;
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreePointsGrabber::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_SetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  int      temp0;
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_InitPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InitPointInsertion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  vtkIdType   temp0;
  double temp1[3];
  double temp2[3];
  int    temp3[3];
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)(ddd)(iii)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertPoint(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_InsertPointWithMerge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  vtkIdType   temp0;
  double temp1[3];
  double temp2[3];
  int    temp3[3];
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)(ddd)(iii)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertPointWithMerge(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreePointsGrabber_InsertPoint2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreePointsGrabber *op;

  double temp0[3];
  int    temp1[3];
  op = (vtkHyperOctreePointsGrabber *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InsertPoint2D(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreePointsGrabberMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreePointsGrabber_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreePointsGrabber_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreePointsGrabber_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreePointsGrabber\nC++: vtkHyperOctreePointsGrabber *NewInstance ();\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkHyperOctreePointsGrabber_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension ();\n\n Return the dimension of the hyperoctree.\n \\post valid_result: (result==2 || result==3)\n"},
  {(char*)"SetDimension",                (PyCFunction)PyvtkHyperOctreePointsGrabber_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: virtual void SetDimension (int dim) = 0;\n\n Set the dimension of the hyperoctree.\n \\pre valid_dim: (dim==2 || dim==3)\n \\post is_set: GetDimension()==dim\n"},
  {(char*)"InitPointInsertion",                (PyCFunction)PyvtkHyperOctreePointsGrabber_InitPointInsertion, 1,
   (char*)"V.InitPointInsertion()\nC++: virtual void InitPointInsertion () = 0;\n\n Initialize the points insertion scheme.\n Actually, it is just a trick to initialize the IdSet from the filter.\n The IdSet class cannot be shared with the filter because it is a Pimpl.\n It is used by clip,cut and contour filters to build the points\n that lie on an hyperoctant.\n \\pre only_in_3d: GetDimension()==3\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkHyperOctreePointsGrabber_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float), (float, float, float), (int, int, int))\nC++: virtual void InsertPoint (vtkIdType ptId, double pt[3], double pcoords[3], int ijk[3]) = 0;\n\n Insert a point, assuming the point is unique and does not require a\n locator. Tt does not mean it does not use a locator. It just mean that\n some implementation may skip the use of a locator.\n"},
  {(char*)"InsertPointWithMerge",                (PyCFunction)PyvtkHyperOctreePointsGrabber_InsertPointWithMerge, 1,
   (char*)"V.InsertPointWithMerge(int, (float, float, float), (float, float, float), (int, int, int))\nC++: virtual void InsertPointWithMerge (vtkIdType ptId, double pt[3], double pcoords[3], int ijk[3]) = 0;\n\n Insert a point using a locator.\n"},
  {(char*)"InsertPoint2D",                (PyCFunction)PyvtkHyperOctreePointsGrabber_InsertPoint2D, 1,
   (char*)"V.InsertPoint2D((float, float, float), (int, int, int))\nC++: virtual void InsertPoint2D (double pt[3], int ijk[3]) = 0;\n\n Insert a point in the quadtree case.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreePointsGrabberDoc[] = {
  (char*)"vtkHyperOctreePointsGrabber - An object used by filters to\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  "See Also:\n\n vtkHyperOctree, vtkHyperOctreeClipCutPointsGrabber,\n vtkClipHyperOctree, vtkHyperOctreeCutter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkHyperOctreePointsGrabberNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkHyperOctreePointsGrabberMethods,
                        (char*)"vtkHyperOctreePointsGrabber",modulename,
                        (char**)vtkHyperOctreePointsGrabberDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

