// python wrapper for vtkHyperOctree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetNew(char *); }

static PyObject *PyvtkHyperOctree_LEVELS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHyperOctree::LEVELS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_DIMENSION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHyperOctree::DIMENSION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SIZES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHyperOctree::SIZES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  const char    *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctree  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
      {
      temp20 = vtkHyperOctree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetDimension(temp0);
      }
    else
      {
      op->SetDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetNumberOfLeaves(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetNumberOfLeaves();
      }
    else
      {
      temp20 = op->GetNumberOfLeaves();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetMaxNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetMaxNumberOfPoints(temp0);
      }
    else
      {
      temp20 = op->GetMaxNumberOfPoints(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetMaxNumberOfPointsOnBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetMaxNumberOfPointsOnBoundary(temp0);
      }
    else
      {
      temp20 = op->GetMaxNumberOfPointsOnBoundary(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetMaxNumberOfCellsOnBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetMaxNumberOfCellsOnBoundary(temp0);
      }
    else
      {
      temp20 = op->GetMaxNumberOfCellsOnBoundary(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetNumberOfLevels();
      }
    else
      {
      temp20 = op->GetNumberOfLevels();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_NewCellCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::NewCellCursor();
      }
    else
      {
      temp20 = op->NewCellCursor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SubdivideLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SubdivideLeaf(temp0);
      }
    else
      {
      op->SubdivideLeaf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkHyperOctree_CollapseTerminalNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::CollapseTerminalNode(temp0);
      }
    else
      {
      op->CollapseTerminalNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetPoint(temp0);
      }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break34;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkHyperOctree_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::FindPoint(temp0);
      }
    else
      {
      temp20 = op->FindPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkHyperOctree_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  PyObject *tempH3;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"OiiO", &tempH0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break40;
    temp3 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp3 && tempH3 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnFace(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetPointsOnFace(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnParentFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int    temp0[3];
  int      temp1;
  vtkHyperOctreeCursor  *temp2;
  PyObject *tempH2;
  vtkHyperOctreePointsGrabber  *temp3;
  PyObject *tempH3;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"(iii)iOO", temp0 + 0, temp0 + 1, temp0 + 2, &temp1, &tempH2, &tempH3);
  if (op)
    {
    temp2 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkHyperOctreeCursor");
    if (!temp2 && tempH2 != Py_None) goto break41;
    temp3 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp3 && tempH3 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnParentFaces(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetPointsOnParentFaces(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  PyObject *tempH5;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"OiiiiO", &tempH0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break42;
    temp5 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp5 && tempH5 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnEdge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->GetPointsOnEdge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnParentEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  PyObject *tempH5;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"OiiiiO", &tempH0, &temp1, &temp2, &temp3, &temp4, &tempH5);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break43;
    temp5 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp5 && tempH5 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnParentEdge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->GetPointsOnParentEdge(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnEdge2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  PyObject *tempH3;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"OiiO", &tempH0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break44;
    temp3 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp3 && tempH3 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnEdge2D(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetPointsOnEdge2D(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetPointsOnParentEdge2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkHyperOctreeCursor  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  PyObject *tempH3;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"OiiO", &tempH0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp0 = (vtkHyperOctreeCursor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHyperOctreeCursor");
    if (!temp0 && tempH0 != Py_None) goto break45;
    temp3 = (vtkHyperOctreePointsGrabber *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkHyperOctreePointsGrabber");
    if (!temp3 && tempH3 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::GetPointsOnParentEdge2D(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetPointsOnParentEdge2D(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetLeafData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  vtkDataSetAttributes  *temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetLeafData();
      }
    else
      {
      temp20 = op->GetLeafData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_SetDualGridFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp0;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctree::SetDualGridFlag(temp0);
      }
    else
      {
      op->SetDualGridFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetDualGridFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  int      temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetDualGridFlag();
      }
    else
      {
      temp20 = op->GetDualGridFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctree_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctree *op;

  unsigned long     temp20;
  op = (vtkHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctree::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeMethods[] = {
  {(char*)"LEVELS",                (PyCFunction)PyvtkHyperOctree_LEVELS, 1,
   (char*)"V.LEVELS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *LEVELS ();\n\n"},
  {(char*)"DIMENSION",                (PyCFunction)PyvtkHyperOctree_DIMENSION, 1,
   (char*)"V.DIMENSION() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DIMENSION ();\n\n"},
  {(char*)"SIZES",                (PyCFunction)PyvtkHyperOctree_SIZES, 1,
   (char*)"V.SIZES() -> vtkInformationDoubleVectorKey\nC++: static vtkInformationDoubleVectorKey *SIZES ();\n\n"},
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctree\nC++: vtkHyperOctree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctree\nC++: vtkHyperOctree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkHyperOctree_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();\n\n Return what type of dataset this is.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkHyperOctree_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input rectilinear grid\n object.\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkHyperOctree_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension ();\n\n"},
  {(char*)"SetDimension",                (PyCFunction)PyvtkHyperOctree_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: void SetDimension (int dim);\n\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkHyperOctree_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Return the number of cells in the dual grid.\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfLeaves",                (PyCFunction)PyvtkHyperOctree_GetNumberOfLeaves, 1,
   (char*)"V.GetNumberOfLeaves() -> int\nC++: vtkIdType GetNumberOfLeaves ();\n\n Get the number of leaves in the tree.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkHyperOctree_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();\n\n Return the number of points in the dual grid.\n \\post positive_result: result>=0\n"},
  {(char*)"GetMaxNumberOfPoints",                (PyCFunction)PyvtkHyperOctree_GetMaxNumberOfPoints, 1,
   (char*)"V.GetMaxNumberOfPoints(int) -> int\nC++: vtkIdType GetMaxNumberOfPoints (int level);\n\n Return the number of points corresponding to an hyperoctree starting at\n level `level' where all the leaves at at the last level. In this case, the\n hyperoctree is like a uniform grid. So this number is the number of points\n of the uniform grid. \n \\pre positive_level: level>=0 && level<this->GetNumberOfLevels()\n \\post definition: result==(2^(GetNumberOfLevels()-level-1)+1)^GetDimension()\n"},
  {(char*)"GetMaxNumberOfPointsOnBoundary",                (PyCFunction)PyvtkHyperOctree_GetMaxNumberOfPointsOnBoundary, 1,
   (char*)"V.GetMaxNumberOfPointsOnBoundary(int) -> int\nC++: vtkIdType GetMaxNumberOfPointsOnBoundary (int level);\n\n Return the number of points corresponding to the boundary of an\n hyperoctree starting at level `level' where all the leaves at at the last\n level. In this case, the hyperoctree is like a uniform grid. So this\n number is the number of points of on the boundary of the uniform grid.\n For an octree, the boundary are the faces. For a quadtree, the boundary\n are the edges.\n \\pre 2d_or_3d: this->GetDimension()==2 || this->GetDimension()==3\n \\pre positive_level: level>=0 && level<this->GetNumberOfLevels()\n \\post min_result: result>=GetMaxNumberOfPoints(this->GetNumberOfLevels()-1)\n \\post max_result: result<=GetMaxNumberOfPoints(level)\n"},
  {(char*)"GetMaxNumberOfCellsOnBoundary",                (PyCFunction)PyvtkHyperOctree_GetMaxNumberOfCellsOnBoundary, 1,
   (char*)"V.GetMaxNumberOfCellsOnBoundary(int) -> int\nC++: vtkIdType GetMaxNumberOfCellsOnBoundary (int level);\n\n Return the number of cells corresponding to the boundary of a cell\n of level `level' where all the leaves at at the last level. \n \\pre positive_level: level>=0 && level<this->GetNumberOfLevels()\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfLevels",                (PyCFunction)PyvtkHyperOctree_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: vtkIdType GetNumberOfLevels ();\n\n Return the number of levels.\n \\post result_greater_or_equal_to_one: result>=1\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkHyperOctree_SetSize, 1,
   (char*)"V.SetSize(float, float, float)\nC++: void SetSize (double , double , double );\nV.SetSize((float, float, float))\nC++: void SetSize (double  a[3]);\n\n Set the size on each axis.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkHyperOctree_GetSize, 1,
   (char*)"V.GetSize() -> (float, float, float)\nC++: double  *GetSize ();\n\n Return the size on each axis.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkHyperOctree_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set the origin (position of corner (0,0,0) of the root.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkHyperOctree_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set the origin (position of corner (0,0,0) of the root.\n Return the origin (position of corner (0,0,0) ) of the root.\n"},
  {(char*)"NewCellCursor",                (PyCFunction)PyvtkHyperOctree_NewCellCursor, 1,
   (char*)"V.NewCellCursor() -> vtkHyperOctreeCursor\nC++: vtkHyperOctreeCursor *NewCellCursor ();\n\n Create a new cursor: an object that can traverse\n the cell of an hyperoctree.\n \\post result_exists: result!=0\n"},
  {(char*)"SubdivideLeaf",                (PyCFunction)PyvtkHyperOctree_SubdivideLeaf, 1,
   (char*)"V.SubdivideLeaf(vtkHyperOctreeCursor)\nC++: void SubdivideLeaf (vtkHyperOctreeCursor *leaf);\n\n Subdivide node pointed by cursor, only if its a leaf.\n At the end, cursor points on the node that used to be leaf.\n \\pre leaf_exists: leaf!=0\n \\pre is_a_leaf: leaf->CurrentIsLeaf()\n"},
  {(char*)"CollapseTerminalNode",                (PyCFunction)PyvtkHyperOctree_CollapseTerminalNode, 1,
   (char*)"V.CollapseTerminalNode(vtkHyperOctreeCursor)\nC++: void CollapseTerminalNode (vtkHyperOctreeCursor *node);\n\n Collapse a node for which all children are leaves.\n At the end, cursor points on the leaf that used to be a node.\n \\pre node_exists: node!=0\n \\pre node_is_node: !node->CurrentIsLeaf()\n \\pre children_are_leaves: node->CurrentIsTerminalNode()\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkHyperOctree_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: virtual double *GetPoint (vtkIdType ptId);\nV.GetPoint(int, (float, float, float))\nC++: virtual void GetPoint (vtkIdType id, double x[3]);\n\n Get point coordinates with ptId such that: 0 <= ptId < NumberOfPoints.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkHyperOctree_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Get cell with cellId such that: 0 <= cellId < NumberOfCells.\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkHyperOctree_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: virtual int GetCellType (vtkIdType cellId);\n\n Get type of cell with cellId such that: 0 <= cellId < NumberOfCells.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkHyperOctree_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);\n\n Topological inquiry to get points defining cell.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkHyperOctree_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);\n\n Topological inquiry to get cells using point.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkHyperOctree_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Topological inquiry to get all cells using list of points exclusive of\n cell specified (e.g., cellId). Note that the list consists of only\n cells that use ALL the points provided.\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkHyperOctree_FindPoint, 1,
   (char*)"V.FindPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindPoint (double x[3]);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkHyperOctree_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Restore data object to initial state,\n THIS METHOD IS NOT THREAD SAFE.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkHyperOctree_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: virtual int GetMaxCellSize ();\n\n Convenience method returns largest cell size in dataset. This is generally\n used to allocate memory for supporting data structures.\n This is the number of points of a cell.\n THIS METHOD IS THREAD SAFE\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkHyperOctree_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkHyperOctree_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetPointsOnFace",                (PyCFunction)PyvtkHyperOctree_GetPointsOnFace, 1,
   (char*)"V.GetPointsOnFace(vtkHyperOctreeCursor, int, int, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnFace (vtkHyperOctreeCursor *sibling, int face, int level, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of node `sibling' on its face `face'.\n \\pre sibling_exists: sibling!=0\n \\pre sibling_not_leaf: !sibling->CurrentIsLeaf()\n \\pre sibling_3d: sibling->GetDimension()==3\n \\pre valid_face: face>=0 && face<6\n \\pre valid_level_not_leaf: level>=0 level<(this->GetNumberOfLevels()-1)\n"},
  {(char*)"GetPointsOnParentFaces",                (PyCFunction)PyvtkHyperOctree_GetPointsOnParentFaces, 1,
   (char*)"V.GetPointsOnParentFaces((int, int, int), int, vtkHyperOctreeCursor, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnParentFaces (int faces[3], int level, vtkHyperOctreeCursor *cursor, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of the parent node of `cursor' on its faces `faces' at\n level `level' or deeper.\n \\pre cursor_exists: cursor!=0\n \\pre cursor_3d: cursor->GetDimension()==3\n \\pre valid_level: level>=0\n \\pre boolean_faces: (faces[0]==0 || faces[0]==1) && (faces[1]==0 || faces[1]==1) && (faces[2]==0 || faces[2]==1)\n"},
  {(char*)"GetPointsOnEdge",                (PyCFunction)PyvtkHyperOctree_GetPointsOnEdge, 1,
   (char*)"V.GetPointsOnEdge(vtkHyperOctreeCursor, int, int, int, int, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnEdge (vtkHyperOctreeCursor *sibling, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of node `sibling' on its edge `axis','k','j'.\n If axis==0, the edge is X-aligned and k gives the z coordinate and j the\n y-coordinate. If axis==1, the edge is Y-aligned and k gives the x coordinate\n and j the z coordinate. If axis==2, the edge is Z-aligned and k gives the\n y coordinate and j the x coordinate.\n \\pre sibling_exists: sibling!=0\n \\pre sibling_3d: sibling->GetDimension()==3\n \\pre sibling_not_leaf: !sibling->CurrentIsLeaf()\n \\pre valid_axis: axis>=0 && axis<3\n \\pre valid_k: k>=0 && k<=1\n \\pre valid_j: j>=0 && j<=1\n \\pre valid_level_not_leaf: level>=0 level<(this->Input->GetNumberOfLevels()-1)\n"},
  {(char*)"GetPointsOnParentEdge",                (PyCFunction)PyvtkHyperOctree_GetPointsOnParentEdge, 1,
   (char*)"V.GetPointsOnParentEdge(vtkHyperOctreeCursor, int, int, int, int, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnParentEdge (vtkHyperOctreeCursor *cursor, int level, int axis, int k, int j, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of the parent node of `cursor' on its edge `axis','k','j'\n at level `level' or deeper.\n If axis==0, the edge is X-aligned and k gives the z coordinate and j the\n y-coordinate. If axis==1, the edge is Y-aligned and k gives the x\n coordinate and j the z coordinate. If axis==2, the edge is Z-aligned and\n k gives the y coordinate and j the x coordinate.\n \\pre cursor_exists: cursor!=0\n \\pre cursor_3d: cursor->GetDimension()==3\n \\pre valid_level: level>=0\n \\pre valid_range_axis: axis>=0 && axis<3\n \\pre valid_range_k: k>=0 && k<=1\n \\pre valid_range_j: j>=0 && j<=1\n"},
  {(char*)"GetPointsOnEdge2D",                (PyCFunction)PyvtkHyperOctree_GetPointsOnEdge2D, 1,
   (char*)"V.GetPointsOnEdge2D(vtkHyperOctreeCursor, int, int, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnEdge2D (vtkHyperOctreeCursor *sibling, int edge, int level, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of node `sibling' on its edge `edge'.\n \\pre sibling_exists: sibling!=0\n \\pre sibling_not_leaf: !sibling->CurrentIsLeaf()\n \\pre sibling_2d: sibling->GetDimension()==2\n \\pre valid_edge: edge>=0 && edge<4\n \\pre valid_level_not_leaf: level>=0 level<(this->Input->GetNumberOfLevels()-1)\n"},
  {(char*)"GetPointsOnParentEdge2D",                (PyCFunction)PyvtkHyperOctree_GetPointsOnParentEdge2D, 1,
   (char*)"V.GetPointsOnParentEdge2D(vtkHyperOctreeCursor, int, int, vtkHyperOctreePointsGrabber)\nC++: void GetPointsOnParentEdge2D (vtkHyperOctreeCursor *cursor, int edge, int level, vtkHyperOctreePointsGrabber *grabber);\n\n Get the points of the parent node of `cursor' on its edge `edge' at\n level `level' or deeper. (edge=0 for -X, 1 for +X, 2 for -Y, 3 for +Y)\n \\pre cursor_exists: cursor!=0\n \\pre cursor_2d: cursor->GetDimension()==2\n \\pre valid_level: level>=0\n \\pre valid_edge: edge>=0 && edge<4\n"},
  {(char*)"GetLeafData",                (PyCFunction)PyvtkHyperOctree_GetLeafData, 1,
   (char*)"V.GetLeafData() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *GetLeafData ();\n\n A generic way to set the leaf data attributes.\n This can be either point data for dual or cell data for normal grid.\n"},
  {(char*)"SetDualGridFlag",                (PyCFunction)PyvtkHyperOctree_SetDualGridFlag, 1,
   (char*)"V.SetDualGridFlag(int)\nC++: void SetDualGridFlag (int flag);\n\n Switch between returning leaves as cells, or the dual grid.\n"},
  {(char*)"GetDualGridFlag",                (PyCFunction)PyvtkHyperOctree_GetDualGridFlag, 1,
   (char*)"V.GetDualGridFlag() -> int\nC++: int GetDualGridFlag ();\n\n Switch between returning leaves as cells, or the dual grid.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkHyperOctree_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeDoc[] = {
  (char*)"vtkHyperOctree - A dataset structured as a tree where each node has\n\n",
  "Super Class:\n\n vtkDataSet\n\n",
  (char*)" An hyperoctree is a dataset where each node has either exactly 2^n children\n or no child at all if the node is a leaf.\n The class name comes from the following paper:\n\n @ARTICLE{yau-srihari-1983,\n  author={Mann-May Yau and Sargur N. Srihari},\n  title={A Hierarchical Data Structure for Multidimensional Digital Images},\n  journal={Communications of the ACM},\n  month={July},\n  year={1983},\n  volume=",
  (char*)"{26},\n  number={7},\n  pages={504--515}\n  }\n\n Each node is a cell. Attributes are associated with cells, not with points.\n The geometry is implicitly given by the size of the root node on each axis\n and position of the center and the orientation. (TODO: review center\n position and orientation). The geometry is then not limited to an hybercube\n but can have a rectangular shape.\n Attributes are assoc",
  (char*)"iated with leaves. For LOD (Level-Of-Detail) purpose,\n attributes can be computed on none-leaf nodes by computing the average\n values from its children (which can be leaves or not).\n\n By construction, an hyperoctree is efficient in memory usage when the\n geometry is sparse. The LOD feature allows to cull quickly part of the\n dataset.\n\n A couple of filters can be applied on this dataset: contour, o",
  (char*)"utline,\n geometry.\n\n * 3D case (octree)\n for each node, each child index (from 0 to 7) is encoded in the following\n orientation. It is easy to access each child as a cell of a grid.\n Note also that the binary representation is relevant, each bit code a\n side: bit 0 encodes -x side (0) or +x side (1)\n bit 1 encodes -y side (0) or +y side (1)\n bit 2 encodes -z side (0) or +z side (2)\n - the -z side ",
  (char*)"first\n - 0: -y -x sides\n - 1: -y +x sides\n - 2: +y -x sides\n - 3: +y +x sides\n\n              +y\n +-+-+        ^\n |2|3|        |\n +-+-+  O +z  +-> +x\n |0|1|\n +-+-+\n\n",
  "Caveats:\n\n It is not a spatial search object! If you looking for this kind of\n octree see vtkCellLocator instead.\n\n",
  "See Also:\n\n vtkHyperOctreeAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeStaticNew()
{
  return vtkHyperOctree::New();
}

PyObject *PyVTKClass_vtkHyperOctreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeStaticNew,
                        PyvtkHyperOctreeMethods,
                        (char*)"vtkHyperOctree",modulename,
                        (char**)vtkHyperOctreeDoc,
                        PyVTKClass_vtkDataSetNew(modulename));
}

