// tcl wrapper for vtkImageAutoThresholdColocalization object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAutoThresholdColocalization.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageAutoThresholdColocalizationNewCommand()
{
  vtkImageAutoThresholdColocalization *temp = vtkImageAutoThresholdColocalization::New();
  return static_cast<ClientData>(temp);
}

int vtkImageMultipleInputOutputFilterCppCommand(vtkImageMultipleInputOutputFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCppCommand(vtkImageAutoThresholdColocalization *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageAutoThresholdColocalizationCppCommand(static_cast<vtkImageAutoThresholdColocalization *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageAutoThresholdColocalizationCppCommand(vtkImageAutoThresholdColocalization *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageAutoThresholdColocalization",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageMultipleInputOutputFilterCppCommand(static_cast<vtkImageMultipleInputOutputFilter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageMultipleInputOutputFilter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageAutoThresholdColocalization  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageAutoThresholdColocalization  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageAutoThresholdColocalization  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAutoThresholdColocalization");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncludeZeroPixels",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetIncludeZeroPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeZeroPixels",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIncludeZeroPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantVoxelValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConstantVoxelValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantVoxelValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConstantVoxelValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonWholeImage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonWholeImage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonWholeImage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonWholeImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonImageAbove",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonImageAbove();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonImageAbove",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonImageAbove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPearsonImageBelow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPearsonImageBelow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPearsonImageBelow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPearsonImageBelow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetM1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetM1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetM1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetM1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetM2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetM2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetM2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetM2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetK1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetK1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetK1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetK1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetK2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetK2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetK2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetK2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdM1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThresholdM1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThresholdM1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThresholdM1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdM2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThresholdM2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThresholdM2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThresholdM2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetC1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetC1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetC1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetC1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetC2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetC2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetC2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetC2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageVolumeCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageVolumeCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageVolumeCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageVolumeCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageVolumeCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageVolumeCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageVolumeCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageVolumeCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageTotalCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageTotalCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageTotalCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageTotalCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageTotalCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageTotalCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageTotalCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageTotalCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageMaterialCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageMaterialCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageMaterialCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageMaterialCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPercentageMaterialCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPercentageMaterialCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPercentageMaterialCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPercentageMaterialCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCh1ThresholdMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCh1ThresholdMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCh1ThresholdMax",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCh1ThresholdMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCh2ThresholdMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCh2ThresholdMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCh2ThresholdMax",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCh2ThresholdMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumOverThresholdCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumOverThresholdCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumOverThresholdCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumOverThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumOverThresholdCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumOverThresholdCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumOverThresholdCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumOverThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSumCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSumCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSumCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSumCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlope",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlope();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlope",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlope(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntercept",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntercept();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntercept",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIntercept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocAmount",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColocAmount();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColocAmount",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColocAmount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColocPercent",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColocPercent();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColocPercent",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColocPercent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainIntCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainIntCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainIntCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainIntCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainVoxelsCh1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainVoxelsCh1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainVoxelsCh1",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainVoxelsCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainIntCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainIntCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainIntCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainIntCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffStainVoxelsCh2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffStainVoxelsCh2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffStainVoxelsCh2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffStainVoxelsCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowerThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLowerThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowerThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLowerThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowerThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLowerThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowerThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLowerThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpperThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpperThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpperThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpperThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpperThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpperThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOverThresholdCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverThresholdCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverThresholdCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverThresholdCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOverThresholdCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverThresholdCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverThresholdCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverThresholdCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonZeroCh1",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonZeroCh1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonZeroCh1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonZeroCh1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonZeroCh2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonZeroCh2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonZeroCh2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonZeroCh2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCalculateThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCalculateThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCalculateThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCalculateThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageAutoThresholdColocalizationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageMultipleInputOutputFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageAutoThresholdColocalization:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeZeroPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeZeroPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantVoxelValue\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantVoxelValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonWholeImage\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonWholeImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonImageAbove\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonImageAbove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPearsonImageBelow\n",NULL);
    Tcl_AppendResult(interp,"  SetPearsonImageBelow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetM1\n",NULL);
    Tcl_AppendResult(interp,"  SetM1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetM2\n",NULL);
    Tcl_AppendResult(interp,"  SetM2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetK1\n",NULL);
    Tcl_AppendResult(interp,"  SetK1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetK2\n",NULL);
    Tcl_AppendResult(interp,"  SetK2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdM1\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdM1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdM2\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdM2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetC1\n",NULL);
    Tcl_AppendResult(interp,"  SetC1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetC2\n",NULL);
    Tcl_AppendResult(interp,"  SetC2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageVolumeCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageVolumeCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageVolumeCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageVolumeCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageTotalCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageTotalCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageTotalCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageTotalCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageMaterialCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageMaterialCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPercentageMaterialCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetPercentageMaterialCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCh1ThresholdMax\n",NULL);
    Tcl_AppendResult(interp,"  SetCh1ThresholdMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCh2ThresholdMax\n",NULL);
    Tcl_AppendResult(interp,"  SetCh2ThresholdMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumOverThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetSumOverThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumOverThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetSumOverThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetSumCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSumCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetSumCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlope\n",NULL);
    Tcl_AppendResult(interp,"  SetSlope\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntercept\n",NULL);
    Tcl_AppendResult(interp,"  SetIntercept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColocAmount\n",NULL);
    Tcl_AppendResult(interp,"  SetColocAmount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColocPercent\n",NULL);
    Tcl_AppendResult(interp,"  SetColocPercent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainIntCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainIntCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainVoxelsCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainVoxelsCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainIntCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainIntCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffStainVoxelsCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffStainVoxelsCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetLowerThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetLowerThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetUpperThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetUpperThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOverThresholdCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverThresholdCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetOverThresholdCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverThresholdCh2\n",NULL);
    Tcl_AppendResult(interp,"  SetNonZeroCh1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonZeroCh1\n",NULL);
    Tcl_AppendResult(interp,"  SetNonZeroCh2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonZeroCh2\n",NULL);
    Tcl_AppendResult(interp,"  GetCalculateThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetCalculateThreshold\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageMultipleInputOutputFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeZeroPixels" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeZeroPixels" );
    Tcl_DStringAppendElement ( &dString, "GetConstantVoxelValue" );
    Tcl_DStringAppendElement ( &dString, "SetConstantVoxelValue" );
    Tcl_DStringAppendElement ( &dString, "GetPearsonWholeImage" );
    Tcl_DStringAppendElement ( &dString, "SetPearsonWholeImage" );
    Tcl_DStringAppendElement ( &dString, "GetPearsonImageAbove" );
    Tcl_DStringAppendElement ( &dString, "SetPearsonImageAbove" );
    Tcl_DStringAppendElement ( &dString, "GetPearsonImageBelow" );
    Tcl_DStringAppendElement ( &dString, "SetPearsonImageBelow" );
    Tcl_DStringAppendElement ( &dString, "GetM1" );
    Tcl_DStringAppendElement ( &dString, "SetM1" );
    Tcl_DStringAppendElement ( &dString, "GetM2" );
    Tcl_DStringAppendElement ( &dString, "SetM2" );
    Tcl_DStringAppendElement ( &dString, "GetK1" );
    Tcl_DStringAppendElement ( &dString, "SetK1" );
    Tcl_DStringAppendElement ( &dString, "GetK2" );
    Tcl_DStringAppendElement ( &dString, "SetK2" );
    Tcl_DStringAppendElement ( &dString, "GetThresholdM1" );
    Tcl_DStringAppendElement ( &dString, "SetThresholdM1" );
    Tcl_DStringAppendElement ( &dString, "GetThresholdM2" );
    Tcl_DStringAppendElement ( &dString, "SetThresholdM2" );
    Tcl_DStringAppendElement ( &dString, "GetC1" );
    Tcl_DStringAppendElement ( &dString, "SetC1" );
    Tcl_DStringAppendElement ( &dString, "GetC2" );
    Tcl_DStringAppendElement ( &dString, "SetC2" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageVolumeCh1" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageVolumeCh1" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageVolumeCh2" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageVolumeCh2" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageTotalCh1" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageTotalCh1" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageTotalCh2" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageTotalCh2" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageMaterialCh1" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageMaterialCh1" );
    Tcl_DStringAppendElement ( &dString, "GetPercentageMaterialCh2" );
    Tcl_DStringAppendElement ( &dString, "SetPercentageMaterialCh2" );
    Tcl_DStringAppendElement ( &dString, "GetCh1ThresholdMax" );
    Tcl_DStringAppendElement ( &dString, "SetCh1ThresholdMax" );
    Tcl_DStringAppendElement ( &dString, "GetCh2ThresholdMax" );
    Tcl_DStringAppendElement ( &dString, "SetCh2ThresholdMax" );
    Tcl_DStringAppendElement ( &dString, "GetSumOverThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "SetSumOverThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "GetSumOverThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "SetSumOverThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "GetSumCh1" );
    Tcl_DStringAppendElement ( &dString, "SetSumCh1" );
    Tcl_DStringAppendElement ( &dString, "GetSumCh2" );
    Tcl_DStringAppendElement ( &dString, "SetSumCh2" );
    Tcl_DStringAppendElement ( &dString, "GetSlope" );
    Tcl_DStringAppendElement ( &dString, "SetSlope" );
    Tcl_DStringAppendElement ( &dString, "GetIntercept" );
    Tcl_DStringAppendElement ( &dString, "SetIntercept" );
    Tcl_DStringAppendElement ( &dString, "GetColocAmount" );
    Tcl_DStringAppendElement ( &dString, "SetColocAmount" );
    Tcl_DStringAppendElement ( &dString, "GetColocPercent" );
    Tcl_DStringAppendElement ( &dString, "SetColocPercent" );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainIntCh1" );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainIntCh1" );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainVoxelsCh1" );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainVoxelsCh1" );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainIntCh2" );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainIntCh2" );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainVoxelsCh2" );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainVoxelsCh2" );
    Tcl_DStringAppendElement ( &dString, "GetLowerThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "SetLowerThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "GetLowerThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "SetLowerThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "GetUpperThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "SetUpperThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "GetUpperThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "SetUpperThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "SetOverThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "GetOverThresholdCh1" );
    Tcl_DStringAppendElement ( &dString, "SetOverThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "GetOverThresholdCh2" );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroCh1" );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroCh1" );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroCh2" );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroCh2" );
    Tcl_DStringAppendElement ( &dString, "GetCalculateThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetCalculateThreshold" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageMultipleInputOutputFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageAutoThresholdColocalization *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncludeZeroPixels */
    if ( strcmp ( argv[2], "GetIncludeZeroPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeZeroPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeZeroPixels */
    Tcl_DStringAppendElement ( &dString, " Include zero-zero pixel pairs in colocalization\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIncludeZeroPixels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetIncludeZeroPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncludeZeroPixels */
    if ( strcmp ( argv[2], "SetIncludeZeroPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeZeroPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeZeroPixels */
    Tcl_DStringAppendElement ( &dString, " Include zero-zero pixel pairs in colocalization\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIncludeZeroPixels (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetIncludeZeroPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetConstantVoxelValue */
    if ( strcmp ( argv[2], "GetConstantVoxelValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetConstantVoxelValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetConstantVoxelValue */
    Tcl_DStringAppendElement ( &dString, " Set colocalized voxels to this value\n" );
    Tcl_DStringAppendElement ( &dString, "int GetConstantVoxelValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetConstantVoxelValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetConstantVoxelValue */
    if ( strcmp ( argv[2], "SetConstantVoxelValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetConstantVoxelValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetConstantVoxelValue */
    Tcl_DStringAppendElement ( &dString, " Set colocalized voxels to this value\n" );
    Tcl_DStringAppendElement ( &dString, "void SetConstantVoxelValue (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetConstantVoxelValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPearsonWholeImage */
    if ( strcmp ( argv[2], "GetPearsonWholeImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPearsonWholeImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPearsonWholeImage */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPearsonWholeImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPearsonWholeImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPearsonWholeImage */
    if ( strcmp ( argv[2], "SetPearsonWholeImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPearsonWholeImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPearsonWholeImage */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPearsonWholeImage (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPearsonWholeImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPearsonImageAbove */
    if ( strcmp ( argv[2], "GetPearsonImageAbove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPearsonImageAbove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPearsonImageAbove */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPearsonImageAbove ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPearsonImageAbove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPearsonImageAbove */
    if ( strcmp ( argv[2], "SetPearsonImageAbove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPearsonImageAbove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPearsonImageAbove */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPearsonImageAbove (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPearsonImageAbove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPearsonImageBelow */
    if ( strcmp ( argv[2], "GetPearsonImageBelow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPearsonImageBelow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPearsonImageBelow */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPearsonImageBelow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPearsonImageBelow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPearsonImageBelow */
    if ( strcmp ( argv[2], "SetPearsonImageBelow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPearsonImageBelow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPearsonImageBelow */
    Tcl_DStringAppendElement ( &dString, " Pearson's correlation for whole volume, voxels above threshold and \n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPearsonImageBelow (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPearsonImageBelow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetM1 */
    if ( strcmp ( argv[2], "GetM1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetM1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetM1 */
    Tcl_DStringAppendElement ( &dString, " Manders' original colocalization coefficients M1 and M2\n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "double GetM1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetM1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetM1 */
    if ( strcmp ( argv[2], "SetM1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetM1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetM1 */
    Tcl_DStringAppendElement ( &dString, " Manders' original colocalization coefficients M1 and M2\n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetM1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetM1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetM2 */
    if ( strcmp ( argv[2], "GetM2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetM2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetM2 */
    Tcl_DStringAppendElement ( &dString, " Manders' original colocalization coefficients M1 and M2\n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "double GetM2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetM2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetM2 */
    if ( strcmp ( argv[2], "SetM2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetM2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetM2 */
    Tcl_DStringAppendElement ( &dString, " Manders' original colocalization coefficients M1 and M2\n voxels below threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetM2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetM2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetK1 */
    if ( strcmp ( argv[2], "GetK1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetK1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetK1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetK1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetK1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetK1 */
    if ( strcmp ( argv[2], "SetK1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetK1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetK1 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetK1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetK1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetK2 */
    if ( strcmp ( argv[2], "GetK2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetK2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetK2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetK2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetK2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetK2 */
    if ( strcmp ( argv[2], "SetK2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetK2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetK2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetK2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetK2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThresholdM1 */
    if ( strcmp ( argv[2], "GetThresholdM1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThresholdM1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThresholdM1 */
    Tcl_DStringAppendElement ( &dString, " Manders' colocalization coefficients M1 and M2 for thresholded areas\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThresholdM1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetThresholdM1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThresholdM1 */
    if ( strcmp ( argv[2], "SetThresholdM1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThresholdM1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThresholdM1 */
    Tcl_DStringAppendElement ( &dString, " Manders' colocalization coefficients M1 and M2 for thresholded areas\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThresholdM1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetThresholdM1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThresholdM2 */
    if ( strcmp ( argv[2], "GetThresholdM2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThresholdM2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThresholdM2 */
    Tcl_DStringAppendElement ( &dString, " Manders' colocalization coefficients M1 and M2 for thresholded areas\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThresholdM2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetThresholdM2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThresholdM2 */
    if ( strcmp ( argv[2], "SetThresholdM2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThresholdM2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThresholdM2 */
    Tcl_DStringAppendElement ( &dString, " Manders' colocalization coefficients M1 and M2 for thresholded areas\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThresholdM2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetThresholdM2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetC1 */
    if ( strcmp ( argv[2], "GetC1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetC1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetC1 */
    Tcl_DStringAppendElement ( &dString, " Costes' colocalization coefficients C1 and C2 \n" );
    Tcl_DStringAppendElement ( &dString, "double GetC1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetC1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetC1 */
    if ( strcmp ( argv[2], "SetC1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetC1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetC1 */
    Tcl_DStringAppendElement ( &dString, " Costes' colocalization coefficients C1 and C2 \n" );
    Tcl_DStringAppendElement ( &dString, "void SetC1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetC1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetC2 */
    if ( strcmp ( argv[2], "GetC2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetC2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetC2 */
    Tcl_DStringAppendElement ( &dString, " Costes' colocalization coefficients C1 and C2 \n" );
    Tcl_DStringAppendElement ( &dString, "double GetC2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetC2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetC2 */
    if ( strcmp ( argv[2], "SetC2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetC2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetC2 */
    Tcl_DStringAppendElement ( &dString, " Costes' colocalization coefficients C1 and C2 \n" );
    Tcl_DStringAppendElement ( &dString, "void SetC2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetC2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageVolumeCh1 */
    if ( strcmp ( argv[2], "GetPercentageVolumeCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageVolumeCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageVolumeCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage volume\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageVolumeCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageVolumeCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageVolumeCh1 */
    if ( strcmp ( argv[2], "SetPercentageVolumeCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageVolumeCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageVolumeCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage volume\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageVolumeCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageVolumeCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageVolumeCh2 */
    if ( strcmp ( argv[2], "GetPercentageVolumeCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageVolumeCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageVolumeCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage volume\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageVolumeCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageVolumeCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageVolumeCh2 */
    if ( strcmp ( argv[2], "SetPercentageVolumeCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageVolumeCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageVolumeCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage volume\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageVolumeCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageVolumeCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageTotalCh1 */
    if ( strcmp ( argv[2], "GetPercentageTotalCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageTotalCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageTotalCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage total\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageTotalCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageTotalCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageTotalCh1 */
    if ( strcmp ( argv[2], "SetPercentageTotalCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageTotalCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageTotalCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage total\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageTotalCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageTotalCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageTotalCh2 */
    if ( strcmp ( argv[2], "GetPercentageTotalCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageTotalCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageTotalCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage total\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageTotalCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageTotalCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageTotalCh2 */
    if ( strcmp ( argv[2], "SetPercentageTotalCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageTotalCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageTotalCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage total\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageTotalCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageTotalCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageMaterialCh1 */
    if ( strcmp ( argv[2], "GetPercentageMaterialCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageMaterialCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageMaterialCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage material\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageMaterialCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageMaterialCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageMaterialCh1 */
    if ( strcmp ( argv[2], "SetPercentageMaterialCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageMaterialCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageMaterialCh1 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage material\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageMaterialCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageMaterialCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPercentageMaterialCh2 */
    if ( strcmp ( argv[2], "GetPercentageMaterialCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPercentageMaterialCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPercentageMaterialCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage material\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPercentageMaterialCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetPercentageMaterialCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPercentageMaterialCh2 */
    if ( strcmp ( argv[2], "SetPercentageMaterialCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPercentageMaterialCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPercentageMaterialCh2 */
    Tcl_DStringAppendElement ( &dString, " Imaris percentage material\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPercentageMaterialCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetPercentageMaterialCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCh1ThresholdMax */
    if ( strcmp ( argv[2], "GetCh1ThresholdMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCh1ThresholdMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCh1ThresholdMax */
    Tcl_DStringAppendElement ( &dString, " Maximum Threshold of Channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCh1ThresholdMax ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetCh1ThresholdMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCh1ThresholdMax */
    if ( strcmp ( argv[2], "SetCh1ThresholdMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCh1ThresholdMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCh1ThresholdMax */
    Tcl_DStringAppendElement ( &dString, " Maximum Threshold of Channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCh1ThresholdMax (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetCh1ThresholdMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCh2ThresholdMax */
    if ( strcmp ( argv[2], "GetCh2ThresholdMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCh2ThresholdMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCh2ThresholdMax */
    Tcl_DStringAppendElement ( &dString, " Maximum Threshold of Channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCh2ThresholdMax ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetCh2ThresholdMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCh2ThresholdMax */
    if ( strcmp ( argv[2], "SetCh2ThresholdMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCh2ThresholdMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCh2ThresholdMax */
    Tcl_DStringAppendElement ( &dString, " Maximum Threshold of Channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCh2ThresholdMax (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetCh2ThresholdMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSumOverThresholdCh1 */
    if ( strcmp ( argv[2], "GetSumOverThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSumOverThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSumOverThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Sum of voxels over threshold for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSumOverThresholdCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetSumOverThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSumOverThresholdCh1 */
    if ( strcmp ( argv[2], "SetSumOverThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSumOverThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSumOverThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Sum of voxels over threshold for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSumOverThresholdCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetSumOverThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSumOverThresholdCh2 */
    if ( strcmp ( argv[2], "GetSumOverThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSumOverThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSumOverThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Sum of voxels over threshold for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSumOverThresholdCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetSumOverThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSumOverThresholdCh2 */
    if ( strcmp ( argv[2], "SetSumOverThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSumOverThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSumOverThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Sum of voxels over threshold for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSumOverThresholdCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetSumOverThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSumCh1 */
    if ( strcmp ( argv[2], "GetSumCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSumCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSumCh1 */
    Tcl_DStringAppendElement ( &dString, " Sum of all voxels for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSumCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetSumCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSumCh1 */
    if ( strcmp ( argv[2], "SetSumCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSumCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSumCh1 */
    Tcl_DStringAppendElement ( &dString, " Sum of all voxels for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSumCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetSumCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSumCh2 */
    if ( strcmp ( argv[2], "GetSumCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSumCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSumCh2 */
    Tcl_DStringAppendElement ( &dString, " Sum of all voxels for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSumCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetSumCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSumCh2 */
    if ( strcmp ( argv[2], "SetSumCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSumCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSumCh2 */
    Tcl_DStringAppendElement ( &dString, " Sum of all voxels for channels 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSumCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetSumCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlope */
    if ( strcmp ( argv[2], "GetSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlope */
    Tcl_DStringAppendElement ( &dString, " Slope of the regression\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSlope ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlope */
    if ( strcmp ( argv[2], "SetSlope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlope */
    Tcl_DStringAppendElement ( &dString, " Slope of the regression\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlope (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetSlope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntercept */
    if ( strcmp ( argv[2], "GetIntercept" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntercept" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntercept */
    Tcl_DStringAppendElement ( &dString, " Intercept of the regression\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntercept ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetIntercept */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntercept */
    if ( strcmp ( argv[2], "SetIntercept" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntercept" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntercept */
    Tcl_DStringAppendElement ( &dString, " Intercept of the regression\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntercept (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetIntercept */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColocAmount */
    if ( strcmp ( argv[2], "GetColocAmount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColocAmount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColocAmount */
    Tcl_DStringAppendElement ( &dString, " Colocalization amount\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColocAmount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetColocAmount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColocAmount */
    if ( strcmp ( argv[2], "SetColocAmount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColocAmount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColocAmount */
    Tcl_DStringAppendElement ( &dString, " Colocalization amount\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColocAmount (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetColocAmount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColocPercent */
    if ( strcmp ( argv[2], "GetColocPercent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColocPercent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColocPercent */
    Tcl_DStringAppendElement ( &dString, " Colocalization percentage\n" );
    Tcl_DStringAppendElement ( &dString, "double GetColocPercent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetColocPercent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColocPercent */
    if ( strcmp ( argv[2], "SetColocPercent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColocPercent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColocPercent */
    Tcl_DStringAppendElement ( &dString, " Colocalization percentage\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColocPercent (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetColocPercent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffStainIntCh1 */
    if ( strcmp ( argv[2], "GetDiffStainIntCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainIntCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffStainIntCh1 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n\n Differential staining\n Is calculated as the percentage of one channel to another\n Where the colocalized voxels are subtracted from the second channel\n\n             I_r + I_coloc\n DiffStain = ------------------\n             I_g - I_coloc\n Where I_coloc is the sum of intensities of colocalized voxels in green\n channel\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffStainIntCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetDiffStainIntCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffStainIntCh1 */
    if ( strcmp ( argv[2], "SetDiffStainIntCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainIntCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffStainIntCh1 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n\n Differential staining\n Is calculated as the percentage of one channel to another\n Where the colocalized voxels are subtracted from the second channel\n\n             I_r + I_coloc\n DiffStain = ------------------\n             I_g - I_coloc\n Where I_coloc is the sum of intensities of colocalized voxels in green\n channel\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffStainIntCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetDiffStainIntCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffStainVoxelsCh1 */
    if ( strcmp ( argv[2], "GetDiffStainVoxelsCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainVoxelsCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffStainVoxelsCh1 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffStainVoxelsCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetDiffStainVoxelsCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffStainVoxelsCh1 */
    if ( strcmp ( argv[2], "SetDiffStainVoxelsCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainVoxelsCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffStainVoxelsCh1 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffStainVoxelsCh1 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetDiffStainVoxelsCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffStainIntCh2 */
    if ( strcmp ( argv[2], "GetDiffStainIntCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainIntCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffStainIntCh2 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffStainIntCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetDiffStainIntCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffStainIntCh2 */
    if ( strcmp ( argv[2], "SetDiffStainIntCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainIntCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffStainIntCh2 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffStainIntCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetDiffStainIntCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiffStainVoxelsCh2 */
    if ( strcmp ( argv[2], "GetDiffStainVoxelsCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiffStainVoxelsCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiffStainVoxelsCh2 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiffStainVoxelsCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetDiffStainVoxelsCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiffStainVoxelsCh2 */
    if ( strcmp ( argv[2], "SetDiffStainVoxelsCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiffStainVoxelsCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiffStainVoxelsCh2 */
    Tcl_DStringAppendElement ( &dString, " Differential staining calculated using intensity / voxel amount\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiffStainVoxelsCh2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetDiffStainVoxelsCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerThresholdCh1 */
    if ( strcmp ( argv[2], "GetLowerThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLowerThresholdCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetLowerThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowerThresholdCh1 */
    if ( strcmp ( argv[2], "SetLowerThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowerThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowerThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLowerThresholdCh1 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetLowerThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerThresholdCh2 */
    if ( strcmp ( argv[2], "GetLowerThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLowerThresholdCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetLowerThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowerThresholdCh2 */
    if ( strcmp ( argv[2], "SetLowerThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowerThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowerThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLowerThresholdCh2 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetLowerThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperThresholdCh1 */
    if ( strcmp ( argv[2], "GetUpperThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpperThresholdCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetUpperThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpperThresholdCh1 */
    if ( strcmp ( argv[2], "SetUpperThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpperThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpperThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpperThresholdCh1 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetUpperThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperThresholdCh2 */
    if ( strcmp ( argv[2], "GetUpperThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpperThresholdCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetUpperThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpperThresholdCh2 */
    if ( strcmp ( argv[2], "SetUpperThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpperThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpperThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " Instead of calculating thresholds, use the given thresholds\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpperThresholdCh2 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetUpperThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOverThresholdCh1 */
    if ( strcmp ( argv[2], "SetOverThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOverThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOverThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " The number of voxels in channel 1 and 2 that are between the lower and upper thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOverThresholdCh1 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetOverThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverThresholdCh1 */
    if ( strcmp ( argv[2], "GetOverThresholdCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverThresholdCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverThresholdCh1 */
    Tcl_DStringAppendElement ( &dString, " The number of voxels in channel 1 and 2 that are between the lower and upper thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOverThresholdCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetOverThresholdCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOverThresholdCh2 */
    if ( strcmp ( argv[2], "SetOverThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOverThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOverThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " The number of voxels in channel 1 and 2 that are between the lower and upper thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOverThresholdCh2 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetOverThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOverThresholdCh2 */
    if ( strcmp ( argv[2], "GetOverThresholdCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOverThresholdCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOverThresholdCh2 */
    Tcl_DStringAppendElement ( &dString, " The number of voxels in channel 1 and 2 that are between the lower and upper thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOverThresholdCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetOverThresholdCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonZeroCh1 */
    if ( strcmp ( argv[2], "SetNonZeroCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonZeroCh1 */
    Tcl_DStringAppendElement ( &dString, " The number of non-zero voxels in channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNonZeroCh1 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetNonZeroCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNonZeroCh1 */
    if ( strcmp ( argv[2], "GetNonZeroCh1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroCh1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonZeroCh1 */
    Tcl_DStringAppendElement ( &dString, " The number of non-zero voxels in channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNonZeroCh1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetNonZeroCh1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonZeroCh2 */
    if ( strcmp ( argv[2], "SetNonZeroCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonZeroCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonZeroCh2 */
    Tcl_DStringAppendElement ( &dString, " The number of non-zero voxels in channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNonZeroCh2 (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetNonZeroCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNonZeroCh2 */
    if ( strcmp ( argv[2], "GetNonZeroCh2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonZeroCh2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonZeroCh2 */
    Tcl_DStringAppendElement ( &dString, " The number of non-zero voxels in channel 1 and 2\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNonZeroCh2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetNonZeroCh2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCalculateThreshold */
    if ( strcmp ( argv[2], "GetCalculateThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalculateThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalculateThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCalculateThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for GetCalculateThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCalculateThreshold */
    if ( strcmp ( argv[2], "SetCalculateThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalculateThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalculateThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCalculateThreshold (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAutoThresholdColocalization" );
    /* Closing for SetCalculateThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageMultipleInputOutputFilterCppCommand(static_cast<vtkImageMultipleInputOutputFilter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
