// python wrapper for vtkImageInPlaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageInPlaceFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageInPlaceFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageInPlaceFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageInPlaceFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageInPlaceFilter *op;

  const char    *temp20;
  op = (vtkImageInPlaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageInPlaceFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageInPlaceFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageInPlaceFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageInPlaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageInPlaceFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageInPlaceFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageInPlaceFilter *op;

  vtkImageInPlaceFilter  *temp20;
  op = (vtkImageInPlaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageInPlaceFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageInPlaceFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageInPlaceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageInPlaceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageInPlaceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageInPlaceFilter\nC++: vtkImageInPlaceFilter *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageInPlaceFilterDoc[] = {
  (char*)"vtkImageInPlaceFilter - Filter that operates in place.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageInPlaceFilter is a filter super class that \n operates directly on the input region.  The data is copied\n if the requested region has different extent than the input region\n or some other object is referencing the input region.  \n\n",
  "See Also:\n\n vtkImageToImageFilter vtkImageMultipleInputFilter vtkImageTwoInputFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageInPlaceFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageInPlaceFilterMethods,
                        (char*)"vtkImageInPlaceFilter",modulename,
                        (char**)vtkImageInPlaceFilterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

