// python wrapper for vtkImageMultipleInputFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageMultipleInputFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSourceNew(char *); }

static PyObject *PyvtkImageMultipleInputFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  const char    *temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  vtkImageMultipleInputFilter  *temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp0;
  vtkImageData  *temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_SetBypass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp0;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::SetBypass(temp0);
      }
    else
      {
      op->SetBypass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_GetBypass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetBypass();
      }
    else
      {
      temp20 = op->GetBypass();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_BypassOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::BypassOn();
      }
    else
      {
      op->BypassOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_BypassOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::BypassOff();
      }
    else
      {
      op->BypassOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp0;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMultipleInputFilter::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputFilter_SplitExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputFilter *op;

  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkImageMultipleInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)ii", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputFilter::SplitExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SplitExtent(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMultipleInputFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMultipleInputFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMultipleInputFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMultipleInputFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMultipleInputFilter\nC++: vtkImageMultipleInputFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageMultipleInputFilter_SetInput, 1,
   (char*)"V.SetInput(int, vtkImageData)\nC++: virtual void SetInput (int num, vtkImageData *input);\n\n Set an Input of this filter. \n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkImageMultipleInputFilter_AddInput, 1,
   (char*)"V.AddInput(vtkImageData)\nC++: virtual void AddInput (vtkImageData *input);\n\n Adds an input to the first null position in the input list.\n Expands the list memory if necessary\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkImageMultipleInputFilter_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkImageData)\nC++: virtual void RemoveInput (vtkImageData *input);\n\n Adds an input to the first null position in the input list.\n Expands the list memory if necessary\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageMultipleInputFilter_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkImageData\nC++: vtkImageData *GetInput (int num);\nV.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Get one input to this filter.\n"},
  {(char*)"SetBypass",                (PyCFunction)PyvtkImageMultipleInputFilter_SetBypass, 1,
   (char*)"V.SetBypass(int)\nC++: void SetBypass (int );\n\n Turning bypass on will cause the filter to turn off and\n simply pass the data from the first input (input0) through.  \n It is implemented for consistency with vtkImageToImageFilter.\n"},
  {(char*)"GetBypass",                (PyCFunction)PyvtkImageMultipleInputFilter_GetBypass, 1,
   (char*)"V.GetBypass() -> int\nC++: int GetBypass ();\n\n Turning bypass on will cause the filter to turn off and\n simply pass the data from the first input (input0) through.  \n It is implemented for consistency with vtkImageToImageFilter.\n"},
  {(char*)"BypassOn",                (PyCFunction)PyvtkImageMultipleInputFilter_BypassOn, 1,
   (char*)"V.BypassOn()\nC++: void BypassOn ();\n\n Turning bypass on will cause the filter to turn off and\n simply pass the data from the first input (input0) through.  \n It is implemented for consistency with vtkImageToImageFilter.\n"},
  {(char*)"BypassOff",                (PyCFunction)PyvtkImageMultipleInputFilter_BypassOff, 1,
   (char*)"V.BypassOff()\nC++: void BypassOff ();\n\n Turning bypass on will cause the filter to turn off and\n simply pass the data from the first input (input0) through.  \n It is implemented for consistency with vtkImageToImageFilter.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkImageMultipleInputFilter_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkImageMultipleInputFilter_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkImageMultipleInputFilter_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkImageMultipleInputFilter_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"SplitExtent",                (PyCFunction)PyvtkImageMultipleInputFilter_SplitExtent, 1,
   (char*)"V.SplitExtent((int, int, int, int, int, int), (int, int, int, int, int, int), int, int) -> int\nC++: virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total);\n\n Putting this here until I merge graphics and imaging streaming.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMultipleInputFilterDoc[] = {
  (char*)"vtkImageMultipleInputFilter - Generic filter that has N inputs.\n\n",
  "Super Class:\n\n vtkImageSource\n\n",
  (char*)" vtkImageMultipleInputFilter is a super class for filters that \n have any number of inputs. Streaming is not available in this class yet.\n\n",
  "See Also:\n\n vtkImageToImageFilter vtkImageInPlaceFilter vtkImageTwoInputFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageMultipleInputFilterMethods,
                        (char*)"vtkImageMultipleInputFilter",modulename,
                        (char**)vtkImageMultipleInputFilterDoc,
                        PyVTKClass_vtkImageSourceNew(modulename));
}

