// python wrapper for vtkImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkImageSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSource *op;

  const char    *temp20;
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSource *op;

  vtkImageSource  *temp20;
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSource *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSource *op;

  vtkImageData  *temp20;
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageSource *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkImageSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSource\nC++: vtkImageSource *NewInstance ();\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkImageSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkImageData)\nC++: void SetOutput (vtkImageData *output);\n\n Get the output of this source.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkImageSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\nV.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSourceDoc[] = {
  (char*)"vtkImageSource - Source of data for the imaging pipeline\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkImageSource is the superclass for all imaging sources and filters.\n The method Update(), called by the cache, is the major interface\n to the source.\n\n",
  "See Also:\n\n vtkImageToImageFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageSourceMethods,
                        (char*)"vtkImageSource",modulename,
                        (char**)vtkImageSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

