// python wrapper for vtkImageToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageToImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageToImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageToImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSourceNew(char *); }

static PyObject *PyvtkImageToImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  const char    *temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  vtkImageToImageFilter  *temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  vtkImageData  *temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_SetBypass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp0;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::SetBypass(temp0);
      }
    else
      {
      op->SetBypass(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_BypassOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::BypassOn();
      }
    else
      {
      op->BypassOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_BypassOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::BypassOff();
      }
    else
      {
      op->BypassOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetBypass(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetBypass();
      }
    else
      {
      temp20 = op->GetBypass();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_ThreadedExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  int    temp2[6];
  int      temp3;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"OO(iiiiii)i", &tempH0, &tempH1, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, &temp3);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::ThreadedExecute(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->ThreadedExecute(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,2,temp2,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp0;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_SetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int      temp0;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageFilter::SetInputMemoryLimit(temp0);
      }
    else
      {
      op->SetInputMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_GetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  long     temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::GetInputMemoryLimit();
      }
    else
      {
      temp20 = op->GetInputMemoryLimit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageFilter_SplitExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageFilter *op;

  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)ii", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageFilter::SplitExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SplitExtent(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageToImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageToImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageToImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageToImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageToImageFilter\nC++: vtkImageToImageFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageToImageFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *input);\n\n Set the Input of a filter. \n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageToImageFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set the Input of a filter. \n"},
  {(char*)"SetBypass",                (PyCFunction)PyvtkImageToImageFilter_SetBypass, 1,
   (char*)"V.SetBypass(int)\nC++: void SetBypass (int );\n\n Obsolete feature - do not use.\n"},
  {(char*)"BypassOn",                (PyCFunction)PyvtkImageToImageFilter_BypassOn, 1,
   (char*)"V.BypassOn()\nC++: void BypassOn ();\n\n Obsolete feature - do not use.\n"},
  {(char*)"BypassOff",                (PyCFunction)PyvtkImageToImageFilter_BypassOff, 1,
   (char*)"V.BypassOff()\nC++: void BypassOff ();\n\n Obsolete feature - do not use.\n"},
  {(char*)"GetBypass",                (PyCFunction)PyvtkImageToImageFilter_GetBypass, 1,
   (char*)"V.GetBypass() -> int\nC++: int GetBypass ();\n\n Obsolete feature - do not use.\n"},
  {(char*)"ThreadedExecute",                (PyCFunction)PyvtkImageToImageFilter_ThreadedExecute, 1,
   (char*)"V.ThreadedExecute(vtkImageData, vtkImageData, (int, int, int, int, int, int), int)\nC++: virtual void ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int threadId);\n\n If the subclass does not define an Execute method, then the task\n will be broken up, multiple threads will be spawned, and each thread\n will call this method. It is public so that the thread functions\n can call this method.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkImageToImageFilter_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkImageToImageFilter_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkImageToImageFilter_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkImageToImageFilter_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"SetInputMemoryLimit",                (PyCFunction)PyvtkImageToImageFilter_SetInputMemoryLimit, 1,
   (char*)"V.SetInputMemoryLimit(int)\nC++: void SetInputMemoryLimit (int );vtkErrorMacro \n\n"},
  {(char*)"GetInputMemoryLimit",                (PyCFunction)PyvtkImageToImageFilter_GetInputMemoryLimit, 1,
   (char*)"V.GetInputMemoryLimit() -> int\nC++: long GetInputMemoryLimit ();vtkErrorMacro return \n\n"},
  {(char*)"SplitExtent",                (PyCFunction)PyvtkImageToImageFilter_SplitExtent, 1,
   (char*)"V.SplitExtent((int, int, int, int, int, int), (int, int, int, int, int, int), int, int) -> int\nC++: virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total);\n\n Putting this here until I merge graphics and imaging streaming.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageToImageFilterDoc[] = {
  (char*)"vtkImageToImageFilter - Generic filter that has one input of type vtkImageData\n\n",
  "Super Class:\n\n vtkImageSource\n\n",
  (char*)" vtkImageToImageFilter is a filter superclass that hides much of the\n pipeline  complexity. It handles breaking the pipeline execution\n into smaller extents so that the vtkImageData limits are observed. It\n also provides support for multithreading. If you don't need any of this\n functionality, consider using vtkSimpleImageToImageFilter instead.\n .SECTION Warning\n This used to be the parent class f",
  (char*)"or most imaging filter in VTK4.x, now\n this role has been replaced by vtkImageAlgorithm. You should consider\n using vtkImageAlgorithm instead, when writing filter for VTK5 and above.\n This class was kept to ensure full backward compatibility.\n .SECTION See also\n vtkSimpleImageToImageFilter vtkImageSpatialFilter vtkImageAlgorithm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageToImageFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageToImageFilterMethods,
                        (char*)"vtkImageToImageFilter",modulename,
                        (char**)vtkImageToImageFilterDoc,
                        PyVTKClass_vtkImageSourceNew(modulename));
}

