// python wrapper for vtkImageToStructuredPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageToStructuredPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageToStructuredPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageToStructuredPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageToStructuredPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToStructuredPoints *op;

  const char    *temp20;
  op = (vtkImageToStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToStructuredPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToStructuredPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToStructuredPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageToStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToStructuredPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToStructuredPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToStructuredPoints *op;

  vtkImageToStructuredPoints  *temp20;
  op = (vtkImageToStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToStructuredPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToStructuredPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageToStructuredPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageToStructuredPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageToStructuredPoints_SetVectorInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToStructuredPoints *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkImageToStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToStructuredPoints::SetVectorInput(temp0);
      }
    else
      {
      op->SetVectorInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageToStructuredPoints_GetVectorInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToStructuredPoints *op;

  vtkImageData  *temp20;
  op = (vtkImageToStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToStructuredPoints::GetVectorInput();
      }
    else
      {
      temp20 = op->GetVectorInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageToStructuredPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageToStructuredPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageToStructuredPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageToStructuredPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageToStructuredPoints\nC++: vtkImageToStructuredPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageToStructuredPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageToStructuredPoints\nC++: vtkImageToStructuredPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVectorInput",                (PyCFunction)PyvtkImageToStructuredPoints_SetVectorInput, 1,
   (char*)"V.SetVectorInput(vtkImageData)\nC++: void SetVectorInput (vtkImageData *input);\n\n Set/Get the input object from the image pipeline.\n"},
  {(char*)"GetVectorInput",                (PyCFunction)PyvtkImageToStructuredPoints_GetVectorInput, 1,
   (char*)"V.GetVectorInput() -> vtkImageData\nC++: vtkImageData *GetVectorInput ();\n\n Set/Get the input object from the image pipeline.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageToStructuredPointsDoc[] = {
  (char*)"vtkImageToStructuredPoints - Attaches image pipeline to VTK. \n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageToStructuredPoints changes an image cache format to\n a structured points dataset.  It takes an Input plus an optional\n VectorInput. The VectorInput converts the RGB scalar components\n of the VectorInput to vector pointdata attributes. This filter\n will try to reference count the data but in some cases it must\n make a copy.\n\n",
  NULL
};

static vtkObjectBase *vtkImageToStructuredPointsStaticNew()
{
  return vtkImageToStructuredPoints::New();
}

PyObject *PyVTKClass_vtkImageToStructuredPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageToStructuredPointsStaticNew,
                        PyvtkImageToStructuredPointsMethods,
                        (char*)"vtkImageToStructuredPoints",modulename,
                        (char**)vtkImageToStructuredPointsDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

