// python wrapper for vtkImplicitBoolean object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImplicitBoolean.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitBooleanNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitBooleanNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitBoolean_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  const char    *temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  char    *temp0;
  int      temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  vtkImplicitBoolean  *temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitBoolean  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitBoolean::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  unsigned long     temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_AddFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::AddFunction(temp0);
      }
    else
      {
      op->AddFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_RemoveFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::RemoveFunction(temp0);
      }
    else
      {
      op->RemoveFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  vtkImplicitFunctionCollection  *temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetFunction();
      }
    else
      {
      temp20 = op->GetFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SetOperationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  int      temp0;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::SetOperationType(temp0);
      }
    else
      {
      op->SetOperationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetOperationTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  int      temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetOperationTypeMinValue();
      }
    else
      {
      temp20 = op->GetOperationTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetOperationTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  int      temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetOperationTypeMaxValue();
      }
    else
      {
      temp20 = op->GetOperationTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetOperationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  int      temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetOperationType();
      }
    else
      {
      temp20 = op->GetOperationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SetOperationTypeToUnion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::SetOperationTypeToUnion();
      }
    else
      {
      op->SetOperationTypeToUnion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SetOperationTypeToIntersection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::SetOperationTypeToIntersection();
      }
    else
      {
      op->SetOperationTypeToIntersection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SetOperationTypeToDifference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::SetOperationTypeToDifference();
      }
    else
      {
      op->SetOperationTypeToDifference();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_SetOperationTypeToUnionOfMagnitudes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitBoolean::SetOperationTypeToUnionOfMagnitudes();
      }
    else
      {
      op->SetOperationTypeToUnionOfMagnitudes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitBoolean_GetOperationTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitBoolean *op;

  const char    *temp20;
  op = (vtkImplicitBoolean *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitBoolean::GetOperationTypeAsString();
      }
    else
      {
      temp20 = op->GetOperationTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitBooleanMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitBoolean_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitBoolean_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitBoolean_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitBoolean\nC++: vtkImplicitBoolean *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitBoolean_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitBoolean\nC++: vtkImplicitBoolean *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitBoolean_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n Evaluate boolean combinations of implicit function using current operator.\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitBoolean_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n Evaluate gradient of boolean combination.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitBoolean_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override modified time retrieval because of object dependencies.\n"},
  {(char*)"AddFunction",                (PyCFunction)PyvtkImplicitBoolean_AddFunction, 1,
   (char*)"V.AddFunction(vtkImplicitFunction)\nC++: void AddFunction (vtkImplicitFunction *in);\n\n Add another implicit function to the list of functions.\n"},
  {(char*)"RemoveFunction",                (PyCFunction)PyvtkImplicitBoolean_RemoveFunction, 1,
   (char*)"V.RemoveFunction(vtkImplicitFunction)\nC++: void RemoveFunction (vtkImplicitFunction *in);\n\n Remove a function from the list of implicit functions to boolean.\n"},
  {(char*)"GetFunction",                (PyCFunction)PyvtkImplicitBoolean_GetFunction, 1,
   (char*)"V.GetFunction() -> vtkImplicitFunctionCollection\nC++: vtkImplicitFunctionCollection *GetFunction ();return this FunctionList \n\n Return the collection of implicit functions.\n"},
  {(char*)"SetOperationType",                (PyCFunction)PyvtkImplicitBoolean_SetOperationType, 1,
   (char*)"V.SetOperationType(int)\nC++: void SetOperationType (int );\n\n Specify the type of boolean operation.\n"},
  {(char*)"GetOperationTypeMinValue",                (PyCFunction)PyvtkImplicitBoolean_GetOperationTypeMinValue, 1,
   (char*)"V.GetOperationTypeMinValue() -> int\nC++: int GetOperationTypeMinValue ();\n\n Specify the type of boolean operation.\n"},
  {(char*)"GetOperationTypeMaxValue",                (PyCFunction)PyvtkImplicitBoolean_GetOperationTypeMaxValue, 1,
   (char*)"V.GetOperationTypeMaxValue() -> int\nC++: int GetOperationTypeMaxValue ();\n\n Specify the type of boolean operation.\n"},
  {(char*)"GetOperationType",                (PyCFunction)PyvtkImplicitBoolean_GetOperationType, 1,
   (char*)"V.GetOperationType() -> int\nC++: int GetOperationType ();\n\n Specify the type of boolean operation.\n"},
  {(char*)"SetOperationTypeToUnion",                (PyCFunction)PyvtkImplicitBoolean_SetOperationTypeToUnion, 1,
   (char*)"V.SetOperationTypeToUnion()\nC++: void SetOperationTypeToUnion ();this SetOperationType VTK_UNION \n\n Specify the type of boolean operation.\n"},
  {(char*)"SetOperationTypeToIntersection",                (PyCFunction)PyvtkImplicitBoolean_SetOperationTypeToIntersection, 1,
   (char*)"V.SetOperationTypeToIntersection()\nC++: void SetOperationTypeToIntersection ();this SetOperationType VTK_INTERSECTION \n\n Specify the type of boolean operation.\n"},
  {(char*)"SetOperationTypeToDifference",                (PyCFunction)PyvtkImplicitBoolean_SetOperationTypeToDifference, 1,
   (char*)"V.SetOperationTypeToDifference()\nC++: void SetOperationTypeToDifference ();this SetOperationType VTK_DIFFERENCE \n\n Specify the type of boolean operation.\n"},
  {(char*)"SetOperationTypeToUnionOfMagnitudes",                (PyCFunction)PyvtkImplicitBoolean_SetOperationTypeToUnionOfMagnitudes, 1,
   (char*)"V.SetOperationTypeToUnionOfMagnitudes()\nC++: void SetOperationTypeToUnionOfMagnitudes ();this SetOperationType VTK_UNION_OF_MAGNITUDES \n\n Specify the type of boolean operation.\n"},
  {(char*)"GetOperationTypeAsString",                (PyCFunction)PyvtkImplicitBoolean_GetOperationTypeAsString, 1,
   (char*)"V.GetOperationTypeAsString() -> string\nC++: const char *GetOperationTypeAsString ();\n\n Specify the type of boolean operation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitBooleanDoc[] = {
  (char*)"vtkImplicitBoolean - implicit function consisting of boolean combinations of implicit functions\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitBoolean is an implicit function consisting of boolean\n combinations of implicit functions. The class has a list of functions\n (FunctionList) that are combined according to a specified operator\n (VTK_UNION or VTK_INTERSECTION or VTK_DIFFERENCE). You can use nested\n combinations of vtkImplicitFunction's (and/or vtkImplicitBoolean) to create\n elaborate implicit functions.  vtkImplicitBool",
  (char*)"ean is a concrete\n implementation of vtkImplicitFunction.\n\n The operators work as follows. The VTK_UNION operator takes the minimum\n value of all implicit functions. The VTK_INTERSECTION operator takes the\n maximum value of all implicit functions. The VTK_DIFFERENCE operator\n subtracts the 2nd through last implicit functions from the first. The\n VTK_UNION_OF_MAGNITUDES takes the minimum absolute v",
  (char*)"alue of the \n implicit functions.\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitBooleanStaticNew()
{
  return vtkImplicitBoolean::New();
}

PyObject *PyVTKClass_vtkImplicitBooleanNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitBooleanStaticNew,
                        PyvtkImplicitBooleanMethods,
                        (char*)"vtkImplicitBoolean",modulename,
                        (char**)vtkImplicitBooleanDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

