// python wrapper for vtkImplicitDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImplicitDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  const char    *temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  vtkImplicitDataSet  *temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  unsigned long     temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitDataSet::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitDataSet::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  vtkDataSet  *temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_SetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double   temp0;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitDataSet::SetOutValue(temp0);
      }
    else
      {
      op->SetOutValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_GetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double   temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::GetOutValue();
      }
    else
      {
      temp20 = op->GetOutValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_SetOutGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitDataSet::SetOutGradient(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutGradient(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitDataSet::SetOutGradient(temp0);
      }
    else
      {
      op->SetOutGradient(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitDataSet_GetOutGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitDataSet *op;

  double  *temp20;
  op = (vtkImplicitDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitDataSet::GetOutGradient();
      }
    else
      {
      temp20 = op->GetOutGradient();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitDataSet\nC++: vtkImplicitDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitDataSet\nC++: vtkImplicitDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the DataSet dependency.\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitDataSet_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitDataSet_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkImplicitDataSet_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: virtual void SetDataSet (vtkDataSet *);\n\n Set / get the dataset used for the implicit function evaluation.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkImplicitDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Set / get the dataset used for the implicit function evaluation.\n"},
  {(char*)"SetOutValue",                (PyCFunction)PyvtkImplicitDataSet_SetOutValue, 1,
   (char*)"V.SetOutValue(float)\nC++: void SetOutValue (double );\n\n Set / get the function value to use for points outside of the dataset.\n"},
  {(char*)"GetOutValue",                (PyCFunction)PyvtkImplicitDataSet_GetOutValue, 1,
   (char*)"V.GetOutValue() -> float\nC++: double GetOutValue ();\n\n Set / get the function value to use for points outside of the dataset.\n"},
  {(char*)"SetOutGradient",                (PyCFunction)PyvtkImplicitDataSet_SetOutGradient, 1,
   (char*)"V.SetOutGradient(float, float, float)\nC++: void SetOutGradient (double , double , double );\nV.SetOutGradient((float, float, float))\nC++: void SetOutGradient (double  a[3]);\n\n Set / get the function gradient to use for points outside of the dataset.\n"},
  {(char*)"GetOutGradient",                (PyCFunction)PyvtkImplicitDataSet_GetOutGradient, 1,
   (char*)"V.GetOutGradient() -> (float, float, float)\nC++: double  *GetOutGradient ();\n\n Set / get the function gradient to use for points outside of the dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitDataSetDoc[] = {
  (char*)"vtkImplicitDataSet - treat a dataset as if it were an implicit function\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitDataSet treats any type of dataset as if it were an\n implicit function. This means it computes a function value and \n gradient. vtkImplicitDataSet is a concrete implementation of \n vtkImplicitFunction.\n\n vtkImplicitDataSet computes the function (at the point x) by performing \n cell interpolation. That is, it finds the cell containing x, and then\n uses the cell's interpolation functions",
  (char*)" to compute an interpolated\n scalar value at x. (A similar approach is used to find the\n gradient, if requested.) Points outside of the dataset are assigned \n the value of the ivar OutValue, and the gradient value OutGradient.\n\n",
  "Caveats:\n\n Any type of dataset can be used as an implicit function as long as it\n has scalar data associated with it.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkImplicitVolume vtkClipPolyData vtkCutter\n vtkImplicitWindowFunction\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitDataSetStaticNew()
{
  return vtkImplicitDataSet::New();
}

PyObject *PyVTKClass_vtkImplicitDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitDataSetStaticNew,
                        PyvtkImplicitDataSetMethods,
                        (char*)"vtkImplicitDataSet",modulename,
                        (char**)vtkImplicitDataSetDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

