// python wrapper for vtkImplicitSum object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImplicitSum.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitSumNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitSumNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitSum_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  const char    *temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  char    *temp0;
  int      temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  vtkImplicitSum  *temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitSum  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitSum::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitSum_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  double temp0[3];
  double   temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  double temp0[3];
  double temp1[3];
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  unsigned long     temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_AddFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  double   temp1;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::AddFunction(temp0,temp1);
      }
    else
      {
      op->AddFunction(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::AddFunction(temp0);
      }
    else
      {
      op->AddFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkImplicitSum_RemoveAllFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::RemoveAllFunctions();
      }
    else
      {
      op->RemoveAllFunctions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_SetFunctionWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  double   temp1;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::SetFunctionWeight(temp0,temp1);
      }
    else
      {
      op->SetFunctionWeight(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkImplicitSum_SetNormalizeByWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  int      temp0;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::SetNormalizeByWeight(temp0);
      }
    else
      {
      op->SetNormalizeByWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_GetNormalizeByWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  int      temp20;
  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitSum::GetNormalizeByWeight();
      }
    else
      {
      temp20 = op->GetNormalizeByWeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_NormalizeByWeightOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::NormalizeByWeightOn();
      }
    else
      {
      op->NormalizeByWeightOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitSum_NormalizeByWeightOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitSum *op;

  op = (vtkImplicitSum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitSum::NormalizeByWeightOff();
      }
    else
      {
      op->NormalizeByWeightOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitSumMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitSum_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitSum_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitSum_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitSum\nC++: vtkImplicitSum *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitSum_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitSum\nC++: vtkImplicitSum *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitSum_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n Evaluate implicit function using current functions and weights.\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitSum_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n Evaluate gradient of the weighted sum of functions.  Input functions\n should be linear.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitSum_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override modified time retrieval because of object dependencies.\n"},
  {(char*)"AddFunction",                (PyCFunction)PyvtkImplicitSum_AddFunction, 1,
   (char*)"V.AddFunction(vtkImplicitFunction, float)\nC++: void AddFunction (vtkImplicitFunction *in, double weight);\nV.AddFunction(vtkImplicitFunction)\nC++: void AddFunction (vtkImplicitFunction *in);this AddFunction in \n\n Add another implicit function to the list of functions, along with a\n weighting factor.\n"},
  {(char*)"RemoveAllFunctions",                (PyCFunction)PyvtkImplicitSum_RemoveAllFunctions, 1,
   (char*)"V.RemoveAllFunctions()\nC++: void RemoveAllFunctions ();\n\n Remove all functions from the list.\n"},
  {(char*)"SetFunctionWeight",                (PyCFunction)PyvtkImplicitSum_SetFunctionWeight, 1,
   (char*)"V.SetFunctionWeight(vtkImplicitFunction, float)\nC++: void SetFunctionWeight (vtkImplicitFunction *f, double weight);\n\n Set the weight (coefficient) of the given function to be weight.\n"},
  {(char*)"SetNormalizeByWeight",                (PyCFunction)PyvtkImplicitSum_SetNormalizeByWeight, 1,
   (char*)"V.SetNormalizeByWeight(int)\nC++: void SetNormalizeByWeight (int );\n\n When calculating the function and gradient values of the\n composite function, setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the gradient vector.\n By default, NormalizeByWeight is off.\n"},
  {(char*)"GetNormalizeByWeight",                (PyCFunction)PyvtkImplicitSum_GetNormalizeByWeight, 1,
   (char*)"V.GetNormalizeByWeight() -> int\nC++: int GetNormalizeByWeight ();\n\n When calculating the function and gradient values of the\n composite function, setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the gradient vector.\n By default, NormalizeByWeight is off.\n"},
  {(char*)"NormalizeByWeightOn",                (PyCFunction)PyvtkImplicitSum_NormalizeByWeightOn, 1,
   (char*)"V.NormalizeByWeightOn()\nC++: void NormalizeByWeightOn ();\n\n When calculating the function and gradient values of the\n composite function, setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the gradient vector.\n By default, NormalizeByWeight is off.\n"},
  {(char*)"NormalizeByWeightOff",                (PyCFunction)PyvtkImplicitSum_NormalizeByWeightOff, 1,
   (char*)"V.NormalizeByWeightOff()\nC++: void NormalizeByWeightOff ();\n\n When calculating the function and gradient values of the\n composite function, setting NormalizeByWeight on will divide the\n final result by the total weight of the component functions.\n This process does not otherwise normalize the gradient vector.\n By default, NormalizeByWeight is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitSumDoc[] = {
  (char*)"vtkImplicitSum - implicit sum of other implicit functions\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitSum produces a linear combination of other implicit functions.\n The contribution of each function is weighted by a scalar coefficient.\n The NormalizeByWeight option normalizes the output so that the\n scalar weights add up to 1. Note that this function gives accurate\n sums and gradients only if the input functions are linear.\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitSumStaticNew()
{
  return vtkImplicitSum::New();
}

PyObject *PyVTKClass_vtkImplicitSumNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitSumStaticNew,
                        PyvtkImplicitSumMethods,
                        (char*)"vtkImplicitSum",modulename,
                        (char**)vtkImplicitSumDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

