// tcl wrapper for vtkIntensityTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIntensityTransferFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkIntensityTransferFunctionNewCommand()
{
  vtkIntensityTransferFunction *temp = vtkIntensityTransferFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkPiecewiseFunctionCppCommand(vtkPiecewiseFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIntensityTransferFunctionCppCommand(vtkIntensityTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkIntensityTransferFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkIntensityTransferFunctionCppCommand(static_cast<vtkIntensityTransferFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIntensityTransferFunctionCppCommand(vtkIntensityTransferFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkIntensityTransferFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPiecewiseFunctionCppCommand(static_cast<vtkPiecewiseFunction *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPiecewiseFunction"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkIntensityTransferFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntensityTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkIntensityTransferFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntensityTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkIntensityTransferFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIntensityTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllPoints",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetValue(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeFunction",argv[1]))&&(argc == 2))
    {
    op->ComputeFunction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsIdentical",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsIdentical();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFirstNonZeroValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFirstNonZeroValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeMax",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRangeMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRangeMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessingThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProcessingThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessingThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessingThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetContrast",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetContrast(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContrastMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetContrastMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetContrastMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetContrastMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetContrast",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetContrast();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBrightness",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBrightness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBrightness",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBrightness();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGamma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGamma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGammaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGammaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGammaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGammaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGamma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGamma();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSmoothStartGamma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSmoothStartGamma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothStartGammaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothStartGammaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothStartGammaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothStartGammaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothStartGamma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothStartGamma();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSmoothEndGamma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSmoothEndGamma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothEndGammaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothEndGammaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothEndGammaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothEndGammaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothEndGamma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSmoothEndGamma();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSmoothStart",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSmoothStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothStartMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothStartMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothStartMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothStartMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothStart",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothStart();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSmoothEnd",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSmoothEnd(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothEndMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothEndMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothEndMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothEndMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSmoothEnd",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothEnd();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGammaStart",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGammaStart();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGammaEnd",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetGammaEnd();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetReferencePoint",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetReferencePoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GammaValue",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    double   temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    temp20 = (op)->GammaValue(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("f4",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->f4(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkIntensityTransferFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPiecewiseFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIntensityTransferFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeFunction\n",NULL);
    Tcl_AppendResult(interp,"  IsIdentical\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetFirstNonZeroValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMax\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessingThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessingThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetContrast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContrastMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetContrastMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetContrast\n",NULL);
    Tcl_AppendResult(interp,"  SetBrightness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBrightness\n",NULL);
    Tcl_AppendResult(interp,"  SetGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGammaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGammaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothStartGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStartGammaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStartGammaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStartGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothEndGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEndGammaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEndGammaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEndGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothStart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStartMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStartMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothStart\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothEnd\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEndMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEndMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothEnd\n",NULL);
    Tcl_AppendResult(interp,"  GetGammaStart\n",NULL);
    Tcl_AppendResult(interp,"  GetGammaEnd\n",NULL);
    Tcl_AppendResult(interp,"  GetReferencePoint\n",NULL);
    Tcl_AppendResult(interp,"  GammaValue\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  f4\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPiecewiseFunctionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "ComputeFunction" );
    Tcl_DStringAppendElement ( &dString, "IsIdentical" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetFirstNonZeroValue" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumValue" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetRangeMax" );
    Tcl_DStringAppendElement ( &dString, "GetRangeMax" );
    Tcl_DStringAppendElement ( &dString, "SetProcessingThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetProcessingThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetContrast" );
    Tcl_DStringAppendElement ( &dString, "GetContrastMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetContrastMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetContrast" );
    Tcl_DStringAppendElement ( &dString, "SetBrightness" );
    Tcl_DStringAppendElement ( &dString, "GetBrightness" );
    Tcl_DStringAppendElement ( &dString, "SetGamma" );
    Tcl_DStringAppendElement ( &dString, "GetGammaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGammaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGamma" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothStartGamma" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGammaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGammaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGamma" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothEndGamma" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGammaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGammaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGamma" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothStart" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStart" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothEnd" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEnd" );
    Tcl_DStringAppendElement ( &dString, "GetGammaStart" );
    Tcl_DStringAppendElement ( &dString, "GetGammaEnd" );
    Tcl_DStringAppendElement ( &dString, "GetReferencePoint" );
    Tcl_DStringAppendElement ( &dString, "GammaValue" );
    Tcl_DStringAppendElement ( &dString, "f4" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPiecewiseFunctionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIntensityTransferFunction *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkDataObject *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkDataObject *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return what type of dataset this is.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectType ();return VTK_PIECEWISE_FUNCTION " );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Get the number of points used to specify the function\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPoints */
    if ( strcmp ( argv[2], "RemoveAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPoints */
    Tcl_DStringAppendElement ( &dString, " Removes all points from the function. \n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for RemoveAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Returns the value of the function at the specified location using\n the specified interpolation. Returns zero if the specified location\n is outside the min and max points of the function.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetValue (int x);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeFunction */
    if ( strcmp ( argv[2], "ComputeFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeFunction */
    Tcl_DStringAppendElement ( &dString, " Calculates the function table based on the Minimum / Maximum Value and Threshold\n and the Brightness, Constrast and Gamma and the Processing Threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeFunction (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for ComputeFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsIdentical */
    if ( strcmp ( argv[2], "IsIdentical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsIdentical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsIdentical */
    Tcl_DStringAppendElement ( &dString, " Returns true if this is an identical function, i.e.\n y = x\n" );
    Tcl_DStringAppendElement ( &dString, "int IsIdentical (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for IsIdentical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Get the mtime of this object - override to consider the\n mtime of the source as well.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFirstNonZeroValue */
    if ( strcmp ( argv[2], "GetFirstNonZeroValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFirstNonZeroValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFirstNonZeroValue */
    Tcl_DStringAppendElement ( &dString, " Returns the first point location which precedes a non-zero segment of the\n function. Note that the value at this point may be zero.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFirstNonZeroValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetFirstNonZeroValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumValue */
    if ( strcmp ( argv[2], "SetMinimumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the minimum value of the function\n Cannot clamp the value because the data might be 12- / 16-bit\nvtkSetClampMacro(MinimumValue,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumValue (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetMinimumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumValue */
    if ( strcmp ( argv[2], "GetMinimumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the minimum value of the function\n Cannot clamp the value because the data might be 12- / 16-bit\nvtkSetClampMacro(MinimumValue,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetMinimumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumValue */
    if ( strcmp ( argv[2], "SetMaximumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the maximum value of the function\nvtkSetClampMacro(MaximumValue,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumValue (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetMaximumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumValue */
    if ( strcmp ( argv[2], "GetMaximumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the maximum value of the function\nvtkSetClampMacro(MaximumValue,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetMaximumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumThreshold */
    if ( strcmp ( argv[2], "SetMinimumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the minimum threshold of the function\nvtkSetClampMacro(MinimumThreshold,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumThreshold (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetMinimumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumThreshold */
    if ( strcmp ( argv[2], "GetMinimumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the minimum threshold of the function\nvtkSetClampMacro(MinimumThreshold,int,0,255);\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetMinimumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumThreshold */
    if ( strcmp ( argv[2], "SetMaximumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the maximum threshold of the function\nvtkSetClampMacro(MaximumThreshold,int,0,255);     \n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumThreshold (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetMaximumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumThreshold */
    if ( strcmp ( argv[2], "GetMaximumThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the maximum threshold of the function\nvtkSetClampMacro(MaximumThreshold,int,0,255);     \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetMaximumThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRangeMax */
    if ( strcmp ( argv[2], "SetRangeMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRangeMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRangeMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRangeMax (int rmx);this RangeMax rmx this Reset this Initialize " );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetRangeMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRangeMax */
    if ( strcmp ( argv[2], "GetRangeMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRangeMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRangeMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetRangeMax ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetRangeMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessingThreshold */
    if ( strcmp ( argv[2], "SetProcessingThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessingThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessingThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the processing threshold of the function, under which the function is identical\nvtkSetClampMacro(ProcessingThreshold,int,0,255);          \n" );
    Tcl_DStringAppendElement ( &dString, "void SetProcessingThreshold (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetProcessingThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessingThreshold */
    if ( strcmp ( argv[2], "GetProcessingThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessingThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessingThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the processing threshold of the function, under which the function is identical\nvtkSetClampMacro(ProcessingThreshold,int,0,255);          \n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessingThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetProcessingThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContrast */
    if ( strcmp ( argv[2], "SetContrast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContrast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContrast */
    Tcl_DStringAppendElement ( &dString, " Set / Get the contrast\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContrast (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetContrast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContrastMinValue */
    if ( strcmp ( argv[2], "GetContrastMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContrastMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContrastMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the contrast\n" );
    Tcl_DStringAppendElement ( &dString, "double GetContrastMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetContrastMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContrastMaxValue */
    if ( strcmp ( argv[2], "GetContrastMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContrastMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContrastMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the contrast\n" );
    Tcl_DStringAppendElement ( &dString, "double GetContrastMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetContrastMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContrast */
    if ( strcmp ( argv[2], "GetContrast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContrast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContrast */
    Tcl_DStringAppendElement ( &dString, " Set / Get the contrast\n" );
    Tcl_DStringAppendElement ( &dString, "double GetContrast ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetContrast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrightness */
    if ( strcmp ( argv[2], "SetBrightness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrightness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrightness */
    Tcl_DStringAppendElement ( &dString, " Set / Get the brightness\nvtkSetClampMacro(Brightness,int,-255,255);          \n" );
    Tcl_DStringAppendElement ( &dString, "void SetBrightness (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetBrightness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBrightness */
    if ( strcmp ( argv[2], "GetBrightness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrightness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrightness */
    Tcl_DStringAppendElement ( &dString, " Set / Get the brightness\nvtkSetClampMacro(Brightness,int,-255,255);          \n" );
    Tcl_DStringAppendElement ( &dString, "int GetBrightness ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetBrightness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGamma */
    if ( strcmp ( argv[2], "SetGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the gamma\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGamma (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGammaMinValue */
    if ( strcmp ( argv[2], "GetGammaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGammaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGammaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGammaMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetGammaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGammaMaxValue */
    if ( strcmp ( argv[2], "GetGammaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGammaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGammaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGammaMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetGammaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGamma */
    if ( strcmp ( argv[2], "GetGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGamma ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothStartGamma */
    if ( strcmp ( argv[2], "SetSmoothStartGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothStartGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothStartGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start gamma\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothStartGamma (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetSmoothStartGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStartGammaMinValue */
    if ( strcmp ( argv[2], "GetSmoothStartGammaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGammaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStartGammaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothStartGammaMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStartGammaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStartGammaMaxValue */
    if ( strcmp ( argv[2], "GetSmoothStartGammaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGammaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStartGammaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothStartGammaMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStartGammaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStartGamma */
    if ( strcmp ( argv[2], "GetSmoothStartGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStartGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothStartGamma ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStartGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothEndGamma */
    if ( strcmp ( argv[2], "SetSmoothEndGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothEndGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothEndGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end gamma\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothEndGamma (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetSmoothEndGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEndGammaMinValue */
    if ( strcmp ( argv[2], "GetSmoothEndGammaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGammaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEndGammaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothEndGammaMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEndGammaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEndGammaMaxValue */
    if ( strcmp ( argv[2], "GetSmoothEndGammaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGammaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEndGammaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothEndGammaMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEndGammaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEndGamma */
    if ( strcmp ( argv[2], "GetSmoothEndGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEndGamma */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end gamma\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSmoothEndGamma ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEndGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothStart */
    if ( strcmp ( argv[2], "SetSmoothStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothStart */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothStart (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetSmoothStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStartMinValue */
    if ( strcmp ( argv[2], "GetSmoothStartMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStartMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothStartMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStartMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStartMaxValue */
    if ( strcmp ( argv[2], "GetSmoothStartMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStartMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStartMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothStartMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStartMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothStart */
    if ( strcmp ( argv[2], "GetSmoothStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothStart */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth start\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothStart ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothEnd */
    if ( strcmp ( argv[2], "SetSmoothEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothEnd */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothEnd (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for SetSmoothEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEndMinValue */
    if ( strcmp ( argv[2], "GetSmoothEndMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEndMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothEndMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEndMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEndMaxValue */
    if ( strcmp ( argv[2], "GetSmoothEndMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEndMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEndMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothEndMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEndMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothEnd */
    if ( strcmp ( argv[2], "GetSmoothEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothEnd */
    Tcl_DStringAppendElement ( &dString, " Set / Get the smooth end\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothEnd ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetSmoothEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGammaStart */
    if ( strcmp ( argv[2], "GetGammaStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGammaStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGammaStart */
    Tcl_DStringAppendElement ( &dString, " Get the point where the gamma curve starts\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetGammaStart ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetGammaStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGammaEnd */
    if ( strcmp ( argv[2], "GetGammaEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGammaEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGammaEnd */
    Tcl_DStringAppendElement ( &dString, " Get the point where the gamma curve ends\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetGammaEnd ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetGammaEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReferencePoint */
    if ( strcmp ( argv[2], "GetReferencePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReferencePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReferencePoint */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int  *GetReferencePoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GetReferencePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GammaValue */
    if ( strcmp ( argv[2], "GammaValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GammaValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GammaValue */
    Tcl_DStringAppendElement ( &dString, " A method that returns the y from the following formula:\n                       (y2-y1)\n               y =   ---------- * (x-x1)^g +y1\n                      (x2-x1)^g\n\n                I.e the y coord of the gamma curve at point x, when the gamma\n                curve starts at (x0,y0) and ends at (x1,y1) and the gamma \n                value is g\n\n      Parameters:\n              x0,y0   The starting point of the gamma curve\n              x1,y1   The end point of th ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GammaValue (int x0, int y0, int x1, int y1, int x, double gamma);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for GammaValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: f4 */
    if ( strcmp ( argv[2], "f4" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "f4" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for f4 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int f4 (int x, int gx1, int gy1, int gx2, int gy2);" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for f4 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Reset (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkIntensityTransferFunction" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPiecewiseFunctionCppCommand(static_cast<vtkPiecewiseFunction *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
