// python wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }

static PyObject *PyvtkInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkInterpolatedVelocityField  *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::AddDataSet(temp0);
      }
    else
      {
      op->AddDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkIdType   temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetLastCellId();
      }
    else
      {
      temp20 = op->GetLastCellId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkIdType   temp0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SetLastCellId(temp0);
      }
    else
      {
      op->SetLastCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkIdType   temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SetLastCellId(temp0,temp1);
      }
    else
      {
      op->SetLastCellId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_ClearLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::ClearLastCellId();
      }
    else
      {
      op->ClearLastCellId();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetLastLocalCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  double temp0[3];
  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetLastLocalCoordinates(temp0);
      }
    else
      {
      temp20 = op->GetLastLocalCoordinates(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetCaching(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetCaching();
      }
    else
      {
      temp20 = op->GetCaching();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SetCaching(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  int      temp0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SetCaching(temp0);
      }
    else
      {
      op->SetCaching(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_CachingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::CachingOn();
      }
    else
      {
      op->CachingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_CachingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::CachingOff();
      }
    else
      {
      op->CachingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetCacheHit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetCacheHit();
      }
    else
      {
      temp20 = op->GetCacheHit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetCacheMiss(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetCacheMiss();
      }
    else
      {
      temp20 = op->GetCacheMiss();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetVectorsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  char    *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetVectorsSelection();
      }
    else
      {
      temp20 = op->GetVectorsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_SelectVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  char    *temp0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::SelectVectors(temp0);
      }
    else
      {
      op->SelectVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetLastDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkDataSet  *temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetLastDataSet();
      }
    else
      {
      temp20 = op->GetLastDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_GetLastDataSetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatedVelocityField::GetLastDataSetIndex();
      }
    else
      {
      temp20 = op->GetLastDataSetIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatedVelocityField_CopyParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatedVelocityField *op;

  vtkInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  op = (vtkInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatedVelocityField::CopyParameters(temp0);
      }
    else
      {
      op->CopyParameters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInterpolatedVelocityField\nC++: vtkInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInterpolatedVelocityField\nC++: vtkInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkInterpolatedVelocityField_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkDataSet)\nC++: virtual void AddDataSet (vtkDataSet *dataset);\n\n Add a dataset used for the implicit function evaluation.\n If more than one dataset is added, the evaluation point is\n searched in all until a match is found. THIS FUNCTION\n DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD\n SAFETY REASONS.\n"},
  {(char*)"GetLastCellId",                (PyCFunction)PyvtkInterpolatedVelocityField_GetLastCellId, 1,
   (char*)"V.GetLastCellId() -> int\nC++: vtkIdType GetLastCellId ();\n\n Return the cell id cached from last evaluation.\n"},
  {(char*)"SetLastCellId",                (PyCFunction)PyvtkInterpolatedVelocityField_SetLastCellId, 1,
   (char*)"V.SetLastCellId(int)\nC++: void SetLastCellId (vtkIdType c);this LastCellId c \nV.SetLastCellId(int, int)\nC++: void SetLastCellId (vtkIdType c, int dataindex);\n\n Return the cell id cached from last evaluation.\n"},
  {(char*)"ClearLastCellId",                (PyCFunction)PyvtkInterpolatedVelocityField_ClearLastCellId, 1,
   (char*)"V.ClearLastCellId()\nC++: void ClearLastCellId ();this LastCellId \n\n Returns the interpolation weights cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n"},
  {(char*)"GetLastLocalCoordinates",                (PyCFunction)PyvtkInterpolatedVelocityField_GetLastLocalCoordinates, 1,
   (char*)"V.GetLastLocalCoordinates((float, float, float)) -> int\nC++: int GetLastLocalCoordinates (double pcoords[3]);\n\n Returns the interpolation weights cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n"},
  {(char*)"GetCaching",                (PyCFunction)PyvtkInterpolatedVelocityField_GetCaching, 1,
   (char*)"V.GetCaching() -> int\nC++: int GetCaching ();\n\n Turn caching on/off.\n"},
  {(char*)"SetCaching",                (PyCFunction)PyvtkInterpolatedVelocityField_SetCaching, 1,
   (char*)"V.SetCaching(int)\nC++: void SetCaching (int );\n\n Turn caching on/off.\n"},
  {(char*)"CachingOn",                (PyCFunction)PyvtkInterpolatedVelocityField_CachingOn, 1,
   (char*)"V.CachingOn()\nC++: void CachingOn ();\n\n Turn caching on/off.\n"},
  {(char*)"CachingOff",                (PyCFunction)PyvtkInterpolatedVelocityField_CachingOff, 1,
   (char*)"V.CachingOff()\nC++: void CachingOff ();\n\n Turn caching on/off.\n"},
  {(char*)"GetCacheHit",                (PyCFunction)PyvtkInterpolatedVelocityField_GetCacheHit, 1,
   (char*)"V.GetCacheHit() -> int\nC++: int GetCacheHit ();\n\n Caching statistics.\n"},
  {(char*)"GetCacheMiss",                (PyCFunction)PyvtkInterpolatedVelocityField_GetCacheMiss, 1,
   (char*)"V.GetCacheMiss() -> int\nC++: int GetCacheMiss ();\n\n Caching statistics.\n"},
  {(char*)"GetVectorsSelection",                (PyCFunction)PyvtkInterpolatedVelocityField_GetVectorsSelection, 1,
   (char*)"V.GetVectorsSelection() -> string\nC++: char *GetVectorsSelection ();\n\n If you want to work with an arbitrary vector array, then set its name \n here. By default this in NULL and the filter will use the active vector \n array.\n"},
  {(char*)"SelectVectors",                (PyCFunction)PyvtkInterpolatedVelocityField_SelectVectors, 1,
   (char*)"V.SelectVectors(string)\nC++: void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName \n\n Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n"},
  {(char*)"GetLastDataSet",                (PyCFunction)PyvtkInterpolatedVelocityField_GetLastDataSet, 1,
   (char*)"V.GetLastDataSet() -> vtkDataSet\nC++: vtkDataSet *GetLastDataSet ();\n\n Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n"},
  {(char*)"GetLastDataSetIndex",                (PyCFunction)PyvtkInterpolatedVelocityField_GetLastDataSetIndex, 1,
   (char*)"V.GetLastDataSetIndex() -> int\nC++: int GetLastDataSetIndex ();\n\n Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n"},
  {(char*)"CopyParameters",                (PyCFunction)PyvtkInterpolatedVelocityField_CopyParameters, 1,
   (char*)"V.CopyParameters(vtkInterpolatedVelocityField)\nC++: virtual void CopyParameters (vtkInterpolatedVelocityField *from);\n\n Copy the user set parameters from source. This copies\n the Caching parameters. Sub-classes can add more after\n chaining.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkInterpolatedVelocityField - Interface for obtaining\n\n",
  "Super Class:\n\n vtkFunctionSet\n\n",
  (char*)" vtkInterpolatedVelocityField acts as a continuous velocity field\n by performing cell interpolation on the underlying vtkDataSet.\n This is a concrete sub-class of vtkFunctionSet with \n NumberOfIndependentVariables = 4 (x,y,z,t) and \n NumberOfFunctions = 3 (u,v,w). Normally, every time an evaluation\n is performed, the cell which contains the point (x,y,z) has to\n be found by calling FindCell. This ",
  (char*)"is a computationally expensive \n operation. In certain cases, the cell search can be avoided or shortened \n by providing a guess for the cell id. For example, in streamline\n integration, the next evaluation is usually in the same or a neighbour\n cell. For this reason, vtkInterpolatedVelocityField stores the last\n cell id. If caching is turned on, it uses this id as the starting point.\n\n",
  "Caveats:\n\n vtkInterpolatedVelocityField is not thread safe. A new instance should\n be created by each thread.\n\n",
  "See Also:\n\n vtkFunctionSet vtkStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkInterpolatedVelocityFieldStaticNew()
{
  return vtkInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkInterpolatedVelocityFieldStaticNew,
                        PyvtkInterpolatedVelocityFieldMethods,
                        (char*)"vtkInterpolatedVelocityField",modulename,
                        (char**)vtkInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkFunctionSetNew(modulename));
}

