// tcl wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInterpolatedVelocityFieldNewCommand()
{
  vtkInterpolatedVelocityField *temp = vtkInterpolatedVelocityField::New();
  return static_cast<ClientData>(temp);
}

int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCppCommand(vtkInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInterpolatedVelocityFieldCppCommand(static_cast<vtkInterpolatedVelocityField *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCppCommand(vtkInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInterpolatedVelocityField",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkFunctionSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInterpolatedVelocityField  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInterpolatedVelocityField  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastCellId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLastCellId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLastCellId",argv[1]))&&(argc == 2))
    {
    op->ClearLastCellId();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastLocalCoordinates",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetLastLocalCoordinates(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaching",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCaching();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCaching",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCaching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CachingOn",argv[1]))&&(argc == 2))
    {
    op->CachingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CachingOff",argv[1]))&&(argc == 2))
    {
    op->CachingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheHit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheHit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheMiss",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheMiss();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetLastDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetLastDataSetIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastDataSetIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyParameters",argv[1]))&&(argc == 3))
    {
    vtkInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInterpolatedVelocityField"),interp,error));
    if (!error)
    {
    op->CopyParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInterpolatedVelocityFieldCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  GetLastLocalCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCaching\n",NULL);
    Tcl_AppendResult(interp,"  SetCaching\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CachingOn\n",NULL);
    Tcl_AppendResult(interp,"  CachingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheHit\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheMiss\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSetIndex\n",NULL);
    Tcl_AppendResult(interp,"  CopyParameters\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    Tcl_DStringAppendElement ( &dString, "ClearLastCellId" );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    Tcl_DStringAppendElement ( &dString, "CachingOn" );
    Tcl_DStringAppendElement ( &dString, "CachingOff" );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSetIndex" );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkFunctionSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a vtkInterpolatedVelocityField with no initial data set.\n Caching is on. LastCellId is set to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInterpolatedVelocityField *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " Add a dataset used for the implicit function evaluation.\n If more than one dataset is added, the evaluation point is\n searched in all until a match is found. THIS FUNCTION\n DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD\n SAFETY REASONS.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet (vtkDataSet *dataset);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastCellId */
    if ( strcmp ( argv[2], "GetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Return the cell id cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetLastCellId ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Return the cell id cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLastCellId (vtkIdType c);this LastCellId c " );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastCellId */
    if ( strcmp ( argv[2], "SetLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastCellId */
    Tcl_DStringAppendElement ( &dString, " Return the cell id cached from last evaluation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLastCellId (vtkIdType c, int dataindex);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for SetLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLastCellId */
    if ( strcmp ( argv[2], "ClearLastCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLastCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLastCellId */
    Tcl_DStringAppendElement ( &dString, " Returns the interpolation weights cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearLastCellId ();this LastCellId " );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for ClearLastCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastLocalCoordinates */
    if ( strcmp ( argv[2], "GetLastLocalCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastLocalCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastLocalCoordinates */
    Tcl_DStringAppendElement ( &dString, " Returns the interpolation weights cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastLocalCoordinates (double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetLastLocalCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaching */
    if ( strcmp ( argv[2], "GetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaching */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCaching ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaching */
    if ( strcmp ( argv[2], "SetCaching" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaching" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaching */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaching (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for SetCaching */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CachingOn */
    if ( strcmp ( argv[2], "CachingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CachingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CachingOn */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CachingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for CachingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CachingOff */
    if ( strcmp ( argv[2], "CachingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CachingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CachingOff */
    Tcl_DStringAppendElement ( &dString, " Turn caching on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void CachingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for CachingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheHit */
    if ( strcmp ( argv[2], "GetCacheHit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheHit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheHit */
    Tcl_DStringAppendElement ( &dString, " Caching statistics.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheHit ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetCacheHit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheMiss */
    if ( strcmp ( argv[2], "GetCacheMiss" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheMiss" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheMiss */
    Tcl_DStringAppendElement ( &dString, " Caching statistics.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCacheMiss ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetCacheMiss */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorsSelection */
    if ( strcmp ( argv[2], "GetVectorsSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorsSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorsSelection */
    Tcl_DStringAppendElement ( &dString, " If you want to work with an arbitrary vector array, then set its name \n here. By default this in NULL and the filter will use the active vector \n array.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorsSelection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetVectorsSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectVectors */
    if ( strcmp ( argv[2], "SelectVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectVectors */
    Tcl_DStringAppendElement ( &dString, " Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName " );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for SelectVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastDataSet */
    if ( strcmp ( argv[2], "GetLastDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastDataSet */
    Tcl_DStringAppendElement ( &dString, " Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetLastDataSet ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetLastDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastDataSetIndex */
    if ( strcmp ( argv[2], "GetLastDataSetIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastDataSetIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastDataSetIndex */
    Tcl_DStringAppendElement ( &dString, " Returns the last dataset that was visited. Can be used\n as a first guess as to where the next point will be as\n well as to avoid searching through all datasets to get\n more information about the point.\n When setting the last dataset, you must be very careful\n no reference counting or checks are performed\n the feature is intended only to be used by custom\n interpolators which cache datasets independently\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastDataSetIndex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for GetLastDataSetIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyParameters */
    if ( strcmp ( argv[2], "CopyParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyParameters */
    Tcl_DStringAppendElement ( &dString, " Copy the user set parameters from source. This copies\n the Caching parameters. Sub-classes can add more after\n chaining.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyParameters (vtkInterpolatedVelocityField *from);" );
    Tcl_DStringAppendElement ( &dString, "vtkInterpolatedVelocityField" );
    /* Closing for CopyParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkFunctionSetCppCommand(static_cast<vtkFunctionSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
