// python wrapper for vtkKochanekSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKochanekSpline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKochanekSplineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKochanekSplineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSplineNew(char *); }

static PyObject *PyvtkKochanekSpline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  const char    *temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  char    *temp0;
  int      temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  vtkKochanekSpline  *temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKochanekSpline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKochanekSpline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKochanekSpline_Compute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKochanekSpline::Compute();
      }
    else
      {
      op->Compute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp0;
  double   temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::Evaluate(temp0);
      }
    else
      {
      temp20 = op->Evaluate(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_SetDefaultBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp0;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKochanekSpline::SetDefaultBias(temp0);
      }
    else
      {
      op->SetDefaultBias(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_GetDefaultBias(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::GetDefaultBias();
      }
    else
      {
      temp20 = op->GetDefaultBias();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_SetDefaultTension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp0;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKochanekSpline::SetDefaultTension(temp0);
      }
    else
      {
      op->SetDefaultTension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_GetDefaultTension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::GetDefaultTension();
      }
    else
      {
      temp20 = op->GetDefaultTension();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_SetDefaultContinuity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp0;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKochanekSpline::SetDefaultContinuity(temp0);
      }
    else
      {
      op->SetDefaultContinuity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_GetDefaultContinuity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  double   temp20;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKochanekSpline::GetDefaultContinuity();
      }
    else
      {
      temp20 = op->GetDefaultContinuity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKochanekSpline_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKochanekSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  op = (vtkKochanekSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkKochanekSpline::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkKochanekSplineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKochanekSpline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKochanekSpline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKochanekSpline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKochanekSpline\nC++: vtkKochanekSpline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKochanekSpline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKochanekSpline\nC++: vtkKochanekSpline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Compute",                (PyCFunction)PyvtkKochanekSpline_Compute, 1,
   (char*)"V.Compute()\nC++: void Compute ();\n\n Compute Kochanek Spline coefficients.\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkKochanekSpline_Evaluate, 1,
   (char*)"V.Evaluate(float) -> float\nC++: double Evaluate (double t);\n\n Evaluate a 1D Kochanek spline.\n"},
  {(char*)"SetDefaultBias",                (PyCFunction)PyvtkKochanekSpline_SetDefaultBias, 1,
   (char*)"V.SetDefaultBias(float)\nC++: void SetDefaultBias (double );\n\n Set the bias for all points. Default is 0.\n"},
  {(char*)"GetDefaultBias",                (PyCFunction)PyvtkKochanekSpline_GetDefaultBias, 1,
   (char*)"V.GetDefaultBias() -> float\nC++: double GetDefaultBias ();\n\n Set the bias for all points. Default is 0.\n"},
  {(char*)"SetDefaultTension",                (PyCFunction)PyvtkKochanekSpline_SetDefaultTension, 1,
   (char*)"V.SetDefaultTension(float)\nC++: void SetDefaultTension (double );\n\n Set the tension for all points. Default is 0.\n"},
  {(char*)"GetDefaultTension",                (PyCFunction)PyvtkKochanekSpline_GetDefaultTension, 1,
   (char*)"V.GetDefaultTension() -> float\nC++: double GetDefaultTension ();\n\n Set the tension for all points. Default is 0.\n"},
  {(char*)"SetDefaultContinuity",                (PyCFunction)PyvtkKochanekSpline_SetDefaultContinuity, 1,
   (char*)"V.SetDefaultContinuity(float)\nC++: void SetDefaultContinuity (double );\n\n Set the continuity for all points. Default is 0.\n"},
  {(char*)"GetDefaultContinuity",                (PyCFunction)PyvtkKochanekSpline_GetDefaultContinuity, 1,
   (char*)"V.GetDefaultContinuity() -> float\nC++: double GetDefaultContinuity ();\n\n Set the continuity for all points. Default is 0.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkKochanekSpline_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSpline)\nC++: virtual void DeepCopy (vtkSpline *s);\n\n Deep copy of cardinal spline data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKochanekSplineDoc[] = {
  (char*)"vtkKochanekSpline - computes an interpolating spline using a Kochanek basis.\n\n",
  "Super Class:\n\n vtkSpline\n\n",
  (char*)" Implements the Kochenek interpolating spline described in: Kochanek, D.,\n Bartels, R., \"Interpolating Splines with Local Tension, Continuity, and\n Bias Control,\" Computer Graphics, vol. 18, no. 3, pp. 33-41, July 1984.\n These splines give the user more control over the shape of the curve than\n the cardinal splines implemented in vtkCardinalSpline. Three parameters\n can be specified. All have a ra",
  (char*)"nge from -1 to 1.\n \n Tension controls how sharply the curve bends at an input point. A\n value of -1 produces more slack in the curve. A value of 1 tightens\n the curve.\n \n Continuity controls the continuity of the first derivative at input\n points. \n \n Bias controls the direction of the curve at it passes through an input\n point. A value of -1 undershoots the point while a value of 1\n overshoots th",
  (char*)"e point.\n \n These three parameters give the user broad control over the shape of\n the interpolating spline. The original Kochanek paper describes the\n effects nicely and is recommended reading.\n\n",
  "See Also:\n\n vtkSpline vtkCardinalSpline\n\n",
  NULL
};

static vtkObjectBase *vtkKochanekSplineStaticNew()
{
  return vtkKochanekSpline::New();
}

PyObject *PyVTKClass_vtkKochanekSplineNew(char *modulename)
{
  return PyVTKClass_New(&vtkKochanekSplineStaticNew,
                        PyvtkKochanekSplineMethods,
                        (char*)"vtkKochanekSpline",modulename,
                        (char**)vtkKochanekSplineDoc,
                        PyVTKClass_vtkSplineNew(modulename));
}

