// python wrapper for vtkLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLine.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkLine_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  const char    *temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  char    *temp0;
  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  vtkLine  *temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLine  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLine::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLine_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkLine_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break11;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break11;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break11;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break11;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break11;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break11;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkLine::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkLine_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkLine_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break13;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break13;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break13;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break13;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break13;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkLine::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkLine_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  double temp0[3];
  int      temp20;
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLine::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_DistanceToLine(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkLine::DistanceToLine(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[2];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1)))
    {
      {
      vtkLine::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[2];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1)))
    {
      {
      vtkLine::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  double temp0[3];
  double temp1[2];
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLine::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLine_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLine *op;

  double temp0[3];
  double temp1[2];
  op = (vtkLine *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLine::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLine_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLine_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLine_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLine\nC++: vtkLine *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLine_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLine\nC++: vtkLine *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkLine_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_LINE \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkLine_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkLine_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkLine_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkLine_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkLine_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkLine_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkLine_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkLine_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkLine_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *lines, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Clip this line using scalar value provided. Like contouring, except\n that it cuts the line to produce other lines.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkLine_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the triangle in parametric coordinates.\n"},
  {(char*)"DistanceToLine",                (PyCFunction)PyvtkLine_DistanceToLine, 1,
   (char*)"V.DistanceToLine((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double DistanceToLine (double x[3], double p1[3], double p2[3]);\n\n Determine the distance of the current vertex to the edge defined by\n the vertices provided.  Returns distance squared. Note: line is assumed\n infinite in extent.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkLine_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float, float))\nC++: static void InterpolationFunctions (double pcoords[3], double weights[2]);\n\n @deprecated Replaced by vtkLine::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkLine_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[2]);\n\n @deprecated Replaced by vtkLine::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkLine_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float, float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double weights[2]);vtkLine InterpolationFunctions pcoords weights \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkLine_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[2]);vtkLine InterpolationDerivs pcoords derivs \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLineDoc[] = {
  (char*)"vtkLine - cell represents a 1D line\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkLine is a concrete implementation of vtkCell to represent a 1D line.\n\n",
  NULL
};

static vtkObjectBase *vtkLineStaticNew()
{
  return vtkLine::New();
}

PyObject *PyVTKClass_vtkLineNew(char *modulename)
{
  return PyVTKClass_New(&vtkLineStaticNew,
                        PyvtkLineMethods,
                        (char*)"vtkLine",modulename,
                        (char**)vtkLineDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

