// python wrapper for vtkLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  const char    *temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  char    *temp0;
  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  vtkLocator  *temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLocator_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  vtkDataSet  *temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_SetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::SetMaxLevel(temp0);
      }
    else
      {
      op->SetMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetMaxLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetMaxLevelMinValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetMaxLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetMaxLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetMaxLevel();
      }
    else
      {
      temp20 = op->GetMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_SetAutomatic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::SetAutomatic(temp0);
      }
    else
      {
      op->SetAutomatic(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetAutomatic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetAutomatic();
      }
    else
      {
      temp20 = op->GetAutomatic();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_AutomaticOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::AutomaticOn();
      }
    else
      {
      op->AutomaticOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_AutomaticOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::AutomaticOff();
      }
    else
      {
      op->AutomaticOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  double   temp0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  double   temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  double   temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  double   temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_SetRetainCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::SetRetainCellLists(temp0);
      }
    else
      {
      op->SetRetainCellLists(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GetRetainCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetRetainCellLists();
      }
    else
      {
      temp20 = op->GetRetainCellLists();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_RetainCellListsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::RetainCellListsOn();
      }
    else
      {
      op->RetainCellListsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_RetainCellListsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::RetainCellListsOff();
      }
    else
      {
      op->RetainCellListsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkLocator_GetBuildTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  unsigned long     temp20;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLocator::GetBuildTime();
      }
    else
      {
      temp20 = op->GetBuildTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLocator_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkLocator_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLocator *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  op = (vtkLocator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkLocator::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}

static PyMethodDef PyvtkLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLocator\nC++: vtkLocator *NewInstance ();\n\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkLocator_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: virtual void SetDataSet (vtkDataSet *);\n\n Build the locator from the points/cells defining this dataset.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkLocator_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Build the locator from the points/cells defining this dataset.\n"},
  {(char*)"SetMaxLevel",                (PyCFunction)PyvtkLocator_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel (int );\n\n Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n"},
  {(char*)"GetMaxLevelMinValue",                (PyCFunction)PyvtkLocator_GetMaxLevelMinValue, 1,
   (char*)"V.GetMaxLevelMinValue() -> int\nC++: int GetMaxLevelMinValue ();\n\n Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n"},
  {(char*)"GetMaxLevelMaxValue",                (PyCFunction)PyvtkLocator_GetMaxLevelMaxValue, 1,
   (char*)"V.GetMaxLevelMaxValue() -> int\nC++: int GetMaxLevelMaxValue ();\n\n Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n"},
  {(char*)"GetMaxLevel",                (PyCFunction)PyvtkLocator_GetMaxLevel, 1,
   (char*)"V.GetMaxLevel() -> int\nC++: int GetMaxLevel ();\n\n Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkLocator_GetLevel, 1,
   (char*)"V.GetLevel() -> int\nC++: int GetLevel ();\n\n Get the level of the locator (determined automatically if Automatic is \n true). The value of this ivar may change each time the locator is built.\n"},
  {(char*)"SetAutomatic",                (PyCFunction)PyvtkLocator_SetAutomatic, 1,
   (char*)"V.SetAutomatic(int)\nC++: void SetAutomatic (int );\n\n Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n"},
  {(char*)"GetAutomatic",                (PyCFunction)PyvtkLocator_GetAutomatic, 1,
   (char*)"V.GetAutomatic() -> int\nC++: int GetAutomatic ();\n\n Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n"},
  {(char*)"AutomaticOn",                (PyCFunction)PyvtkLocator_AutomaticOn, 1,
   (char*)"V.AutomaticOn()\nC++: void AutomaticOn ();\n\n Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n"},
  {(char*)"AutomaticOff",                (PyCFunction)PyvtkLocator_AutomaticOff, 1,
   (char*)"V.AutomaticOff()\nC++: void AutomaticOff ();\n\n Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkLocator_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkLocator_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkLocator_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkLocator_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n"},
  {(char*)"SetRetainCellLists",                (PyCFunction)PyvtkLocator_SetRetainCellLists, 1,
   (char*)"V.SetRetainCellLists(int)\nC++: void SetRetainCellLists (int );\n\n Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"GetRetainCellLists",                (PyCFunction)PyvtkLocator_GetRetainCellLists, 1,
   (char*)"V.GetRetainCellLists() -> int\nC++: int GetRetainCellLists ();\n\n Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"RetainCellListsOn",                (PyCFunction)PyvtkLocator_RetainCellListsOn, 1,
   (char*)"V.RetainCellListsOn()\nC++: void RetainCellListsOn ();\n\n Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"RetainCellListsOff",                (PyCFunction)PyvtkLocator_RetainCellListsOff, 1,
   (char*)"V.RetainCellListsOff()\nC++: void RetainCellListsOff ();\n\n Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkLocator_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Cause the locator to rebuild itself if it or its input dataset has \n changed.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkLocator_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize locator. Frees memory and resets object as appropriate.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: virtual void BuildLocator () = 0;\n\n Build the locator from the input dataset.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: virtual void FreeSearchStructure () = 0;\n\n Free the memory required for the spatial data structure.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: virtual void GenerateRepresentation (int level, vtkPolyData *pd) = 0;\n\n Method to build a representation at a particular level. Note that the \n method GetLevel() returns the maximum number of levels available for\n the tree. You must provide a vtkPolyData object into which to place the \n data.\n"},
  {(char*)"GetBuildTime",                (PyCFunction)PyvtkLocator_GetBuildTime, 1,
   (char*)"V.GetBuildTime() -> int\nC++: long unsigned GetBuildTime ();\n\n Return the time of the last data structure build.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkLocator_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Handle the PointSet <-> Locator loop.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkLocator_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Handle the PointSet <-> Locator loop.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLocatorDoc[] = {
  (char*)"vtkLocator - abstract base class for objects that accelerate spatial searches\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkLocator is an abstract base class for spatial search objects, or \n locators. The principle behind locators is that they divide 3-space into \n small pieces (or \"buckets\") that can be quickly found in response to \n queries like point location, line intersection, or object-object \n intersection.\n\n The purpose of this base class is to provide ivars and methods shared by \n all locators. The Generat",
  (char*)"eRepresentation() is one such interesting method.\n This method works in conjunction with vtkLocatorFilter to create polygonal\n representations for the locator. For example, if the locator is an OBB tree\n (i.e., vtkOBBTree.h), then the representation is a set of one or more \n oriented bounding boxes, depending upon the specified level.\n \n Locators typically work as follows. One or more \"entities\", ",
  (char*)"such as \n points or cells, are inserted into the tree. These entities are associated\n with one or more buckets. Then, when performing geometric operations, the\n operations are performed first on the buckets, and then if the operation\n tests positive, then on the entities in the bucket. For example, during\n collision tests, the locators are collided first to identify intersecting\n buckets. If an in",
  (char*)"tersection is found, more expensive operations are then\n carried out on the entities in the bucket.\n \n To obtain good performance, locators are often organized in a tree\n structure.  In such a structure, there are frequently multiple \"levels\"\n corresponding to different nodes in the tree. So the word level (in the\n context of the locator) can be used to specify a particular representation\n in the ",
  (char*)"tree.  For example, in an octree (which is a tree with 8 children),\n level 0 is the bounding box, or root octant, and level 1 consists of its\n eight children.\n\n",
  "See Also:\n\n vtkPointLocator vtkCellLocator vtkOBBTree vtkMergePoints\n\n",
  NULL
};

PyObject *PyVTKClass_vtkLocatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkLocatorMethods,
                        (char*)"vtkLocator",modulename,
                        (char**)vtkLocatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

