// tcl wrapper for vtkLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLocator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLocatorCppCommand(static_cast<vtkLocator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLocator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLocator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetMaxLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomatic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomatic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomatic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomatic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRetainCellLists",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRetainCellLists(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRetainCellLists",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRetainCellLists();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RetainCellListsOn",argv[1]))&&(argc == 2))
    {
    op->RetainCellListsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RetainCellListsOff",argv[1]))&&(argc == 2))
    {
    op->RetainCellListsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBuildTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetBuildTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLocatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLocator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomatic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomatic\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetRetainCellLists\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRetainCellLists\n",NULL);
    Tcl_AppendResult(interp,"  RetainCellListsOn\n",NULL);
    Tcl_AppendResult(interp,"  RetainCellListsOff\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBuildTime\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "SetAutomatic" );
    Tcl_DStringAppendElement ( &dString, "GetAutomatic" );
    Tcl_DStringAppendElement ( &dString, "AutomaticOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticOff" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetRetainCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetRetainCellLists" );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOn" );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOff" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetBuildTime" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSet */
    if ( strcmp ( argv[2], "SetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSet */
    Tcl_DStringAppendElement ( &dString, " Build the locator from the points/cells defining this dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataSet (vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for SetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Build the locator from the points/cells defining this dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetDataSet ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxLevel */
    if ( strcmp ( argv[2], "SetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for SetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevelMinValue */
    if ( strcmp ( argv[2], "GetMaxLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevelMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetMaxLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevelMaxValue */
    if ( strcmp ( argv[2], "GetMaxLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevelMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetMaxLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevel */
    if ( strcmp ( argv[2], "GetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. If the Automatic ivar is \n off, this will be the target depth of the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Get the level of the locator (determined automatically if Automatic is \n true). The value of this ivar may change each time the locator is built.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomatic */
    if ( strcmp ( argv[2], "SetAutomatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomatic */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomatic (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for SetAutomatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomatic */
    if ( strcmp ( argv[2], "GetAutomatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomatic */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomatic ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetAutomatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticOn */
    if ( strcmp ( argv[2], "AutomaticOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for AutomaticOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticOff */
    if ( strcmp ( argv[2], "AutomaticOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether locator depth/resolution of locator is computed\n automatically from average number of entities in bucket. If not set,\n there will be an explicit method to control the construction of the\n locator (found in the subclass).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for AutomaticOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify absolute tolerance (in world coordinates) for performing\n geometric operations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRetainCellLists */
    if ( strcmp ( argv[2], "SetRetainCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRetainCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRetainCellLists */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRetainCellLists (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for SetRetainCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRetainCellLists */
    if ( strcmp ( argv[2], "GetRetainCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRetainCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRetainCellLists */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRetainCellLists ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetRetainCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainCellListsOn */
    if ( strcmp ( argv[2], "RetainCellListsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainCellListsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void RetainCellListsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for RetainCellListsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RetainCellListsOff */
    if ( strcmp ( argv[2], "RetainCellListsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RetainCellListsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RetainCellListsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether to maintain list of entities in each bucket.\n Normally the lists are maintained, but if the locator is being used\n as a geometry simplification technique, there is no need to keep them.\n" );
    Tcl_DStringAppendElement ( &dString, "void RetainCellListsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for RetainCellListsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Cause the locator to rebuild itself if it or its input dataset has \n changed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize locator. Frees memory and resets object as appropriate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Build the locator from the input dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildLocator () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Free the memory required for the spatial data structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FreeSearchStructure () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Method to build a representation at a particular level. Note that the \n method GetLevel() returns the maximum number of levels available for\n the tree. You must provide a vtkPolyData object into which to place the \n data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateRepresentation (int level, vtkPolyData *pd) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBuildTime */
    if ( strcmp ( argv[2], "GetBuildTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildTime */
    Tcl_DStringAppendElement ( &dString, " Return the time of the last data structure build.\n" );
    Tcl_DStringAppendElement ( &dString, "long unsigned GetBuildTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for GetBuildTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Handle the PointSet <-> Locator loop.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Handle the PointSet <-> Locator loop.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister (vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLocator" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
