// python wrapper for vtkMergePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergePoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergePointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergePointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointLocatorNew(char *); }

static PyObject *PyvtkMergePoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergePoints *op;

  const char    *temp20;
  op = (vtkMergePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergePoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergePoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergePoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergePoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergePoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergePoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergePoints *op;

  vtkMergePoints  *temp20;
  op = (vtkMergePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergePoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergePoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergePoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergePoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergePoints_IsInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergePoints *op;

  double temp0[3];
  vtkIdType   temp20;
  op = (vtkMergePoints *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergePoints::IsInsertedPoint(temp0);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMergePoints *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMergePoints *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergePoints::IsInsertedPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergePointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergePoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergePoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergePoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergePoints\nC++: vtkMergePoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergePoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergePoints\nC++: vtkMergePoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsInsertedPoint",                (PyCFunction)PyvtkMergePoints_IsInsertedPoint, 1,
   (char*)"V.IsInsertedPoint((float, float, float)) -> int\nC++: vtkIdType IsInsertedPoint (const double x[3]);\nV.IsInsertedPoint(float, float, float) -> int\nC++: vtkIdType IsInsertedPoint (double x, double y, double z);return this vtkPointLocator IsInsertedPoint x y z \n\n Determine whether point given by x[3] has been inserted into points list.\n Return id of previously inserted point if this is true, otherwise return\n -1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergePointsDoc[] = {
  (char*)"vtkMergePoints - merge exactly coincident points\n\n",
  "Super Class:\n\n vtkPointLocator\n\n",
  (char*)" vtkMergePoints is a locator object to quickly locate points in 3D.\n The primary difference between vtkMergePoints and its superclass\n vtkPointLocator is that vtkMergePoints merges precisely coincident points\n and is therefore much faster.\n\n",
  "See Also:\n\n vtkCleanPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkMergePointsStaticNew()
{
  return vtkMergePoints::New();
}

PyObject *PyVTKClass_vtkMergePointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergePointsStaticNew,
                        PyvtkMergePointsMethods,
                        (char*)"vtkMergePoints",modulename,
                        (char**)vtkMergePointsDoc,
                        PyVTKClass_vtkPointLocatorNew(modulename));
}

