// python wrapper for vtkMultiBlockDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiBlockDataSetAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkMultiBlockDataSetAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  const char    *temp20;
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSetAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSetAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSetAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSetAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  vtkMultiBlockDataSetAlgorithm  *temp20;
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSetAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSetAlgorithm_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiBlockDataSetAlgorithm  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiBlockDataSetAlgorithm::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSetAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  vtkMultiBlockDataSet  *temp20;
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSetAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  int      temp0;
  vtkMultiBlockDataSet  *temp20;
  PyErr_Clear();
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSetAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSetAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataSetAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkMultiBlockDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkMultiBlockDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataSetAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkMultiBlockDataSetAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiBlockDataSetAlgorithm\nC++: vtkMultiBlockDataSetAlgorithm *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiBlockDataSetAlgorithm\nC++: vtkMultiBlockDataSetAlgorithm *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkMultiBlockDataSet\nC++: vtkMultiBlockDataSet *GetOutput ();\nV.GetOutput(int) -> vtkMultiBlockDataSet\nC++: vtkMultiBlockDataSet *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkMultiBlockDataSetAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiBlockDataSetAlgorithmDoc[] = {
  (char*)"vtkMultiBlockDataSetAlgorithm - Superclass for algorithms that produce only vtkMultiBlockDataSet as output\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" Algorithms that take any type of data object (including composite dataset)\n and produce a vtkMultiBlockDataSet in the output can subclass from this\n class.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiBlockDataSetAlgorithmStaticNew()
{
  return vtkMultiBlockDataSetAlgorithm::New();
}

PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiBlockDataSetAlgorithmStaticNew,
                        PyvtkMultiBlockDataSetAlgorithmMethods,
                        (char*)"vtkMultiBlockDataSetAlgorithm",modulename,
                        (char**)vtkMultiBlockDataSetAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

