// python wrapper for vtkMultiBlockDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiBlockDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiBlockDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }

static PyObject *PyvtkMultiBlockDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  const char    *temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  vtkMultiBlockDataSet  *temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiBlockDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiBlockDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  int      temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_SetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp0;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataSet::SetNumberOfBlocks(temp0);
      }
    else
      {
      op->SetNumberOfBlocks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetNumberOfBlocks();
      }
    else
      {
      temp20 = op->GetNumberOfBlocks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_GetBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp0;
  vtkDataObject  *temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetBlock(temp0);
      }
    else
      {
      temp20 = op->GetBlock(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_SetBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataSet::SetBlock(temp0,temp1);
      }
    else
      {
      op->SetBlock(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_HasMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkMultiBlockDataSet_GetMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  unsigned int      temp0;
  vtkInformation  *temp20;
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiBlockDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  PyErr_Clear();
  op = (vtkMultiBlockDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkMultiBlockDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiBlockDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiBlockDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiBlockDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiBlockDataSet\nC++: vtkMultiBlockDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiBlockDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiBlockDataSet\nC++: vtkMultiBlockDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkMultiBlockDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_MULTIBLOCK_DATA_SET \n\n Set the number of blocks. This will cause allocation if the new number of\n blocks is greater than the current size. All new blocks are initialized to\n null.\n"},
  {(char*)"SetNumberOfBlocks",                (PyCFunction)PyvtkMultiBlockDataSet_SetNumberOfBlocks, 1,
   (char*)"V.SetNumberOfBlocks(int)\nC++: void SetNumberOfBlocks (unsigned int numBlocks);\n\n Set the number of blocks. This will cause allocation if the new number of\n blocks is greater than the current size. All new blocks are initialized to\n null.\n"},
  {(char*)"GetNumberOfBlocks",                (PyCFunction)PyvtkMultiBlockDataSet_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: unsigned int GetNumberOfBlocks ();\n\n Returns the number of blocks.\n"},
  {(char*)"GetBlock",                (PyCFunction)PyvtkMultiBlockDataSet_GetBlock, 1,
   (char*)"V.GetBlock(int) -> vtkDataObject\nC++: vtkDataObject *GetBlock (unsigned int blockno);\n\n Returns the block at the given index. It is recommended that one uses the\n iterators to iterate over composite datasets rather than using this API.\n"},
  {(char*)"SetBlock",                (PyCFunction)PyvtkMultiBlockDataSet_SetBlock, 1,
   (char*)"V.SetBlock(int, vtkDataObject)\nC++: void SetBlock (unsigned int blockno, vtkDataObject *block);\n\n Sets the data object as the given block. The total number of blocks will \n be resized to fit the requested block no.\n"},
  {(char*)"HasMetaData",                (PyCFunction)PyvtkMultiBlockDataSet_HasMetaData, 1,
   (char*)"V.HasMetaData(int) -> int\nC++: int HasMetaData (unsigned int blockno);return this Superclass HasChildMetaData blockno \nV.HasMetaData(vtkCompositeDataIterator) -> int\nC++: virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter \n\n Returns the meta-data for the block. If none is already present, a new\n vtkInformation object will be allocated. Use HasMetaData to avoid\n allocating vtkInformation objects.\n"},
  {(char*)"GetMetaData",                (PyCFunction)PyvtkMultiBlockDataSet_GetMetaData, 1,
   (char*)"V.GetMetaData(int) -> vtkInformation\nC++: vtkInformation *GetMetaData (unsigned int blockno);return this Superclass GetChildMetaData blockno \nV.GetMetaData(vtkCompositeDataIterator) -> vtkInformation\nC++: virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter \n\n Unhiding superclass method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiBlockDataSetDoc[] = {
  (char*)"vtkMultiBlockDataSet - Composite dataset that organizes datasets into\n\n",
  "Super Class:\n\n vtkCompositeDataSet\n\n",
  (char*)" vtkMultiBlockDataSet is a vtkCompositeDataSet that stores\n a hierarchy of datasets. The dataset collection consists of\n multiple blocks. Each  block can itself be a vtkMultiBlockDataSet, thus\n providing for a full tree structure.\n Sub-blocks are usually used to distribute blocks across processors.\n For example, a 1 block dataset can be distributed as following:\n @verbatim\n proc 0:\n Block 0:\n   * ",
  (char*)"ds 0\n   * (null)\n\n proc 1:\n Block 0:\n   * (null)\n   * ds 1\n @endverbatim\n\n",
  NULL
};

static vtkObjectBase *vtkMultiBlockDataSetStaticNew()
{
  return vtkMultiBlockDataSet::New();
}

PyObject *PyVTKClass_vtkMultiBlockDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiBlockDataSetStaticNew,
                        PyvtkMultiBlockDataSetMethods,
                        (char*)"vtkMultiBlockDataSet",modulename,
                        (char**)vtkMultiBlockDataSetDoc,
                        PyVTKClass_vtkCompositeDataSetNew(modulename));
}

