// python wrapper for vtkMultiPieceDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiPieceDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiPieceDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiPieceDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }

static PyObject *PyvtkMultiPieceDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  const char    *temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  vtkMultiPieceDataSet  *temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiPieceDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiPieceDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  int      temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp0;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiPieceDataSet::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp0;
  vtkDataSet  *temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetPiece(temp0);
      }
    else
      {
      temp20 = op->GetPiece(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_SetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiPieceDataSet::SetPiece(temp0,temp1);
      }
    else
      {
      op->SetPiece(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_HasMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkMultiPieceDataSet_GetMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  unsigned int      temp0;
  vtkInformation  *temp20;
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiPieceDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  PyErr_Clear();
  op = (vtkMultiPieceDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPieceDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkMultiPieceDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiPieceDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiPieceDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiPieceDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiPieceDataSet\nC++: vtkMultiPieceDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiPieceDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiPieceDataSet\nC++: vtkMultiPieceDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkMultiPieceDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_MULTIPIECE_DATA_SET \n\n Set the number of pieces. This will cause allocation if the new number of\n pieces is greater than the current size. All new pieces are initialized to\n null.\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkMultiPieceDataSet_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (unsigned int numpieces);\n\n Set the number of pieces. This will cause allocation if the new number of\n pieces is greater than the current size. All new pieces are initialized to\n null.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkMultiPieceDataSet_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: unsigned int GetNumberOfPieces ();\n\n Returns the number of pieces.\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkMultiPieceDataSet_GetPiece, 1,
   (char*)"V.GetPiece(int) -> vtkDataSet\nC++: vtkDataSet *GetPiece (unsigned int pieceno);\n\n Returns the piece at the given index. \n"},
  {(char*)"SetPiece",                (PyCFunction)PyvtkMultiPieceDataSet_SetPiece, 1,
   (char*)"V.SetPiece(int, vtkDataSet)\nC++: void SetPiece (unsigned int pieceno, vtkDataSet *piece);\n\n Sets the data object as the given piece. The total number of pieces will \n be resized to fit the requested piece no.\n"},
  {(char*)"HasMetaData",                (PyCFunction)PyvtkMultiPieceDataSet_HasMetaData, 1,
   (char*)"V.HasMetaData(int) -> int\nC++: int HasMetaData (unsigned int piece);return this Superclass HasChildMetaData piece \nV.HasMetaData(vtkCompositeDataIterator) -> int\nC++: virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter \n\n Returns the meta-data for the piece. If none is already present, a new\n vtkInformation object will be allocated. Use HasMetaData to avoid\n allocating vtkInformation objects.\n"},
  {(char*)"GetMetaData",                (PyCFunction)PyvtkMultiPieceDataSet_GetMetaData, 1,
   (char*)"V.GetMetaData(int) -> vtkInformation\nC++: vtkInformation *GetMetaData (unsigned int pieceno);return this Superclass GetChildMetaData pieceno \nV.GetMetaData(vtkCompositeDataIterator) -> vtkInformation\nC++: virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter \n\n Unhiding superclass method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiPieceDataSetDoc[] = {
  (char*)"vtkMultiPieceDataSet - composite dataset to encapsulates pieces of\n\n",
  "Super Class:\n\n vtkCompositeDataSet\n\n",
  (char*)" A vtkMultiPieceDataSet dataset groups multiple data pieces together. \n For example, say that a simulation broke a volume into 16 piece so that \n each piece can be processed with 1 process in parallel. We want to load \n this volume in a visualization cluster of 4 nodes. Each node will get 4 \n pieces, not necessarily forming a whole rectangular piece. In this case, \n it is not possible to append th",
  (char*)"e 4 pieces together into a vtkImageData. \n In this case, these 4 pieces can be collected together using a \n vtkMultiPieceDataSet. \n Note that vtkMultiPieceDataSet is intended to be included in other composite\n datasets eg. vtkMultiBlockDataSet, vtkHierarchicalBoxDataSet. Hence the lack\n of algorithms producting vtkMultiPieceDataSet.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiPieceDataSetStaticNew()
{
  return vtkMultiPieceDataSet::New();
}

PyObject *PyVTKClass_vtkMultiPieceDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiPieceDataSetStaticNew,
                        PyvtkMultiPieceDataSetMethods,
                        (char*)"vtkMultiPieceDataSet",modulename,
                        (char**)vtkMultiPieceDataSetDoc,
                        PyVTKClass_vtkCompositeDataSetNew(modulename));
}

