// python wrapper for vtkMutableDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutableDirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }

static PyObject *PyvtkMutableDirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  const char    *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkMutableDirectedGraph  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutableDirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutableDirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddVertex();
      }
    else
      {
      temp20 = op->AddVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddGraphEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->AddGraphEdge(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddChild(temp0);
      }
    else
      {
      temp20 = op->AddChild(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMutableDirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutableDirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutableDirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutableDirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutableDirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddVertex",                (PyCFunction)PyvtkMutableDirectedGraph_AddVertex, 1,
   (char*)"V.AddVertex() -> int\nC++: vtkIdType AddVertex ();\n\n Adds a vertex to the graph, and returns the id of that vertex.\n"},
  {(char*)"AddGraphEdge",                (PyCFunction)PyvtkMutableDirectedGraph_AddGraphEdge, 1,
   (char*)"V.AddGraphEdge(int, int) -> vtkGraphEdge\nC++: vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v);\n\n Version of AddEdge that returns a heavyweight vtkGraphEdge\n for use with wrappers.\n The graph owns the reference of the edge and will replace\n its contents on the next call to AddGraphEdge.\n"},
  {(char*)"AddChild",                (PyCFunction)PyvtkMutableDirectedGraph_AddChild, 1,
   (char*)"V.AddChild(int) -> int\nC++: vtkIdType AddChild (vtkIdType parent);\n\n Convenience method for creating trees.\n Returns the newly created vertex id.\n Shortcut for\n <code>\n vtkIdType v = g->AddVertex();\n g->AddEdge(parent, v);\n </code>\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutableDirectedGraphDoc[] = {
  (char*)"vtkMutableDirectedGraph - An editable directed graph.\n\n",
  "Super Class:\n\n vtkDirectedGraph\n\n",
  (char*)" vtkMutableDirectedGraph is a directed graph which has additional methods\n for adding edges and vertices. AddChild() is a convenience method for\n constructing trees. ShallowCopy(), DeepCopy(), CheckedShallowCopy() and \n CheckedDeepCopy() will succeed for instances of vtkDirectedGraph, \n vtkMutableDirectedGraph and vtkTree.\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkGraph vtkTree\n\n",
  NULL
};

static vtkObjectBase *vtkMutableDirectedGraphStaticNew()
{
  return vtkMutableDirectedGraph::New();
}

PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutableDirectedGraphStaticNew,
                        PyvtkMutableDirectedGraphMethods,
                        (char*)"vtkMutableDirectedGraph",modulename,
                        (char**)vtkMutableDirectedGraphDoc,
                        PyVTKClass_vtkDirectedGraphNew(modulename));
}

