// python wrapper for vtkNonLinearCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkNonLinearCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkNonLinearCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  const char    *temp20;
  op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  char    *temp0;
  int      temp20;
  op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  vtkNonLinearCell  *temp20;
  op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_IsLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  int      temp20;
  op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::IsLinear();
      }
    else
      {
      temp20 = op->IsLinear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkNonLinearCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNonLinearCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNonLinearCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNonLinearCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNonLinearCell\nC++: vtkNonLinearCell *NewInstance ();\n\n"},
  {(char*)"IsLinear",                (PyCFunction)PyvtkNonLinearCell_IsLinear, 1,
   (char*)"V.IsLinear() -> int\nC++: virtual int IsLinear ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNonLinearCellDoc[] = {
  (char*)"vtkNonLinearCell - abstract superclass for non-linear cells\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkNonLinearCell is an abstract superclass for non-linear cell types.\n Cells that are a direct subclass of vtkCell or vtkCell3D are linear;\n cells that are a subclass of vtkNonLinearCell have non-linear interpolation\n functions. Non-linear cells require special treatment when tessellating\n or converting to graphics primitives. Note that the linearity of the cell\n is a function of whether the cell",
  (char*)" needs tessellation, which does not\n strictly correlate with interpolation order (e.g., vtkHexahedron has\n non-linear interpolation functions (a product of three linear functions\n in r-s-t) even thought vtkHexahedron is considered linear.)\n\n",
  NULL
};

PyObject *PyVTKClass_vtkNonLinearCellNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkNonLinearCellMethods,
                        (char*)"vtkNonLinearCell",modulename,
                        (char**)vtkNonLinearCellDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

