// python wrapper for vtkOutEdgeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOutEdgeIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutEdgeIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutEdgeIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOutEdgeIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  const char    *temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  vtkOutEdgeIterator  *temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutEdgeIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutEdgeIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOutEdgeIterator::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_GetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  vtkGraph  *temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::GetGraph();
      }
    else
      {
      temp20 = op->GetGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_GetVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  vtkIdType   temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::GetVertex();
      }
    else
      {
      temp20 = op->GetVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_NextGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  vtkGraphEdge  *temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::NextGraphEdge();
      }
    else
      {
      temp20 = op->NextGraphEdge();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutEdgeIterator_HasNext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutEdgeIterator *op;

  bool   temp20;
  op = (vtkOutEdgeIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutEdgeIterator::HasNext();
      }
    else
      {
      temp20 = op->HasNext();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutEdgeIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutEdgeIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutEdgeIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutEdgeIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutEdgeIterator\nC++: vtkOutEdgeIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutEdgeIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutEdgeIterator\nC++: vtkOutEdgeIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkOutEdgeIterator_Initialize, 1,
   (char*)"V.Initialize(vtkGraph, int)\nC++: void Initialize (vtkGraph *g, vtkIdType v);\n\n Initialize the iterator with a graph and vertex.\n"},
  {(char*)"GetGraph",                (PyCFunction)PyvtkOutEdgeIterator_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph ();\n\n Get the graph and vertex associated with this iterator.\n"},
  {(char*)"GetVertex",                (PyCFunction)PyvtkOutEdgeIterator_GetVertex, 1,
   (char*)"V.GetVertex() -> int\nC++: vtkIdType GetVertex ();\n\n Get the graph and vertex associated with this iterator.\n"},
  {(char*)"NextGraphEdge",                (PyCFunction)PyvtkOutEdgeIterator_NextGraphEdge, 1,
   (char*)"V.NextGraphEdge() -> vtkGraphEdge\nC++: vtkGraphEdge *NextGraphEdge ();\n\n Just like Next(), but\n returns heavy-weight vtkGraphEdge object instead of\n the vtkEdgeType struct, for use with wrappers.\n The graph edge is owned by this iterator, and changes\n after each call to NextGraphEdge().\n"},
  {(char*)"HasNext",                (PyCFunction)PyvtkOutEdgeIterator_HasNext, 1,
   (char*)"V.HasNext() -> bool\nC++: bool HasNext ();return this Current this End \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutEdgeIteratorDoc[] = {
  (char*)"vtkOutEdgeIterator - Iterates through all outgoing edges from a vertex.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkOutEdgeIterator iterates through all edges whose source is a particular\n vertex. Instantiate this class directly and call Initialize() to traverse\n the vertex of a graph. Alternately, use GetInEdges() on the graph to\n initialize the iterator. it->Next() returns a vtkOutEdgeType structure,\n which contains Id, the edge's id, and Target, the edge's target vertex.\n\n\n",
  "See Also:\n\n vtkGraph vtkInEdgeIterator\n\n",
  NULL
};

static vtkObjectBase *vtkOutEdgeIteratorStaticNew()
{
  return vtkOutEdgeIterator::New();
}

PyObject *PyVTKClass_vtkOutEdgeIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutEdgeIteratorStaticNew,
                        PyvtkOutEdgeIteratorMethods,
                        (char*)"vtkOutEdgeIterator",modulename,
                        (char**)vtkOutEdgeIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

