// python wrapper for vtkPerlinNoise object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPerlinNoise.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPerlinNoiseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPerlinNoiseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkPerlinNoise_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  const char    *temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  char    *temp0;
  int      temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  vtkPerlinNoise  *temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPerlinNoise  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPerlinNoise::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPerlinNoise_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double temp0[3];
  double   temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double temp0[3];
  double temp1[3];
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_SetFrequency(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::SetFrequency(temp0,temp1,temp2);
      }
    else
      {
      op->SetFrequency(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::SetFrequency(temp0);
      }
    else
      {
      op->SetFrequency(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_GetFrequency(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double  *temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::GetFrequency();
      }
    else
      {
      temp20 = op->GetFrequency();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_SetPhase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::SetPhase(temp0,temp1,temp2);
      }
    else
      {
      op->SetPhase(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::SetPhase(temp0);
      }
    else
      {
      op->SetPhase(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_GetPhase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double  *temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::GetPhase();
      }
    else
      {
      temp20 = op->GetPhase();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_SetAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double   temp0;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerlinNoise::SetAmplitude(temp0);
      }
    else
      {
      op->SetAmplitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerlinNoise_GetAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerlinNoise *op;

  double   temp20;
  op = (vtkPerlinNoise *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerlinNoise::GetAmplitude();
      }
    else
      {
      temp20 = op->GetAmplitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPerlinNoiseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPerlinNoise_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPerlinNoise_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPerlinNoise_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPerlinNoise\nC++: vtkPerlinNoise *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPerlinNoise_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPerlinNoise\nC++: vtkPerlinNoise *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkPerlinNoise_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n Evaluate PerlinNoise function.\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkPerlinNoise_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n Evaluate PerlinNoise gradient.  Currently, the method returns a 0 \n gradient.\n"},
  {(char*)"SetFrequency",                (PyCFunction)PyvtkPerlinNoise_SetFrequency, 1,
   (char*)"V.SetFrequency(float, float, float)\nC++: void SetFrequency (double , double , double );\nV.SetFrequency((float, float, float))\nC++: void SetFrequency (double  a[3]);\n\n Set/get the frequency, or physical scale,  of the noise function \n (higher is finer scale).  The frequency can be adjusted per axis, or\n the same for all axes.\n"},
  {(char*)"GetFrequency",                (PyCFunction)PyvtkPerlinNoise_GetFrequency, 1,
   (char*)"V.GetFrequency() -> (float, float, float)\nC++: double  *GetFrequency ();\n\n Set/get the frequency, or physical scale,  of the noise function \n (higher is finer scale).  The frequency can be adjusted per axis, or\n the same for all axes.\n"},
  {(char*)"SetPhase",                (PyCFunction)PyvtkPerlinNoise_SetPhase, 1,
   (char*)"V.SetPhase(float, float, float)\nC++: void SetPhase (double , double , double );\nV.SetPhase((float, float, float))\nC++: void SetPhase (double  a[3]);\n\n Set/get the phase of the noise function.  This parameter can be used to\n shift the noise function within space (perhaps to avoid a beat with a\n noise pattern at another scale).  Phase tends to repeat about every\n unit, so a phase of 0.5 is a half-cycle shift.\n"},
  {(char*)"GetPhase",                (PyCFunction)PyvtkPerlinNoise_GetPhase, 1,
   (char*)"V.GetPhase() -> (float, float, float)\nC++: double  *GetPhase ();\n\n Set/get the phase of the noise function.  This parameter can be used to\n shift the noise function within space (perhaps to avoid a beat with a\n noise pattern at another scale).  Phase tends to repeat about every\n unit, so a phase of 0.5 is a half-cycle shift.\n"},
  {(char*)"SetAmplitude",                (PyCFunction)PyvtkPerlinNoise_SetAmplitude, 1,
   (char*)"V.SetAmplitude(float)\nC++: void SetAmplitude (double );\n\n Set/get the amplitude of the noise function. Amplitude can be negative.\n The noise function varies randomly between -|Amplitude| and |Amplitude|.\n Therefore the range of values is 2*|Amplitude| large.\n The initial amplitude is 1.\n"},
  {(char*)"GetAmplitude",                (PyCFunction)PyvtkPerlinNoise_GetAmplitude, 1,
   (char*)"V.GetAmplitude() -> float\nC++: double GetAmplitude ();\n\n Set/get the amplitude of the noise function. Amplitude can be negative.\n The noise function varies randomly between -|Amplitude| and |Amplitude|.\n Therefore the range of values is 2*|Amplitude| large.\n The initial amplitude is 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPerlinNoiseDoc[] = {
  (char*)"vtkPerlinNoise - an implicit function that implements Perlin noise\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkPerlinNoise computes a Perlin noise field as an implicit function.\n vtkPerlinNoise is a concrete implementation of vtkImplicitFunction.\n Perlin noise, originally described by Ken Perlin, is a non-periodic and\n continuous noise function useful for modeling real-world objects.\n\n The amplitude and frequency of the noise pattern are adjustable.  This\n implementation of Perlin noise is derived clos",
  (char*)"ely from Greg Ward's version\n in Graphics Gems II.\n\n",
  "See Also:\n\n vtkImplicitFunction\n\n",
  NULL
};

static vtkObjectBase *vtkPerlinNoiseStaticNew()
{
  return vtkPerlinNoise::New();
}

PyObject *PyVTKClass_vtkPerlinNoiseNew(char *modulename)
{
  return PyVTKClass_New(&vtkPerlinNoiseStaticNew,
                        PyvtkPerlinNoiseMethods,
                        (char*)"vtkPerlinNoise",modulename,
                        (char**)vtkPerlinNoiseDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

