// python wrapper for vtkPiecewiseFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPiecewiseFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPiecewiseFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPiecewiseFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkPiecewiseFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  const char    *temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  char    *temp0;
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  vtkPiecewiseFunction  *temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPiecewiseFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPiecewiseFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_AddPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp0;
  double   temp1;
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::AddPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->AddPoint(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::AddPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddPoint(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_RemovePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp0;
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::RemovePoint(temp0);
      }
    else
      {
      temp20 = op->RemovePoint(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_RemoveAllPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::RemoveAllPoints();
      }
    else
      {
      op->RemoveAllPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_AddSegment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::AddSegment(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AddSegment(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp0;
  double   temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetNodeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp0;
  double temp1[4];
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"i(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetNodeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNodeValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_SetNodeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp0;
  double temp1[4];
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"i(dddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::SetNodeValue(temp0,temp1);
      }
    else
      {
      temp20 = op->SetNodeValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double  *temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_AdjustRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double temp0[2];
  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::AdjustRange(temp0);
      }
    else
      {
      temp20 = op->AdjustRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_SetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp0;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::SetClamping(temp0);
      }
    else
      {
      op->SetClamping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetClamping();
      }
    else
      {
      temp20 = op->GetClamping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_ClampingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::ClampingOn();
      }
    else
      {
      op->ClampingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_ClampingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::ClampingOff();
      }
    else
      {
      op->ClampingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  const char    *temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetType();
      }
    else
      {
      temp20 = op->GetType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetFirstNonZeroValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  double   temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetFirstNonZeroValue();
      }
    else
      {
      temp20 = op->GetFirstNonZeroValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_SetAllowDuplicateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp0;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::SetAllowDuplicateScalars(temp0);
      }
    else
      {
      op->SetAllowDuplicateScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_GetAllowDuplicateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  int      temp20;
  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPiecewiseFunction::GetAllowDuplicateScalars();
      }
    else
      {
      temp20 = op->GetAllowDuplicateScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_AllowDuplicateScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::AllowDuplicateScalarsOn();
      }
    else
      {
      op->AllowDuplicateScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPiecewiseFunction_AllowDuplicateScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPiecewiseFunction *op;

  op = (vtkPiecewiseFunction *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPiecewiseFunction::AllowDuplicateScalarsOff();
      }
    else
      {
      op->AllowDuplicateScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPiecewiseFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPiecewiseFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPiecewiseFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPiecewiseFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPiecewiseFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPiecewiseFunction\nC++: vtkPiecewiseFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkPiecewiseFunction_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *f);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPiecewiseFunction_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *f);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkPiecewiseFunction_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_PIECEWISE_FUNCTION \n\n Return what type of dataset this is.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkPiecewiseFunction_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: int GetSize ();\n\n Get the number of points used to specify the function\n"},
  {(char*)"AddPoint",                (PyCFunction)PyvtkPiecewiseFunction_AddPoint, 1,
   (char*)"V.AddPoint(float, float) -> int\nC++: int AddPoint (double x, double y);\nV.AddPoint(float, float, float, float) -> int\nC++: int AddPoint (double x, double y, double midpoint, double sharpness);\n\n Add/Remove points to/from the function. If a duplicate point is added\n then the function value is changed at that location.\n Return the index of the point (0 based), or -1 on error.\n"},
  {(char*)"RemovePoint",                (PyCFunction)PyvtkPiecewiseFunction_RemovePoint, 1,
   (char*)"V.RemovePoint(float) -> int\nC++: int RemovePoint (double x);\n\n Add/Remove points to/from the function. If a duplicate point is added\n then the function value is changed at that location.\n Return the index of the point (0 based), or -1 on error.\n"},
  {(char*)"RemoveAllPoints",                (PyCFunction)PyvtkPiecewiseFunction_RemoveAllPoints, 1,
   (char*)"V.RemoveAllPoints()\nC++: void RemoveAllPoints ();\n\n Removes all points from the function. \n"},
  {(char*)"AddSegment",                (PyCFunction)PyvtkPiecewiseFunction_AddSegment, 1,
   (char*)"V.AddSegment(float, float, float, float)\nC++: void AddSegment (double x1, double y1, double x2, double y2);\n\n Add a line segment to the function. All points defined between the\n two points specified are removed from the function. This is a legacy\n method that does not allow the specification of the sharpness and\n midpoint values for the two nodes.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkPiecewiseFunction_GetValue, 1,
   (char*)"V.GetValue(float) -> float\nC++: double GetValue (double x);\n\n Returns the value of the function at the specified location using\n the specified interpolation. \n"},
  {(char*)"GetNodeValue",                (PyCFunction)PyvtkPiecewiseFunction_GetNodeValue, 1,
   (char*)"V.GetNodeValue(int, (float, float, float, float)) -> int\nC++: int GetNodeValue (int index, double val[4]);\n\n For the node specified by index, set/get the\n location (X), value (Y), midpoint, and sharpness \n values at the node.\n"},
  {(char*)"SetNodeValue",                (PyCFunction)PyvtkPiecewiseFunction_SetNodeValue, 1,
   (char*)"V.SetNodeValue(int, (float, float, float, float)) -> int\nC++: int SetNodeValue (int index, double val[4]);\n\n For the node specified by index, set/get the\n location (X), value (Y), midpoint, and sharpness \n values at the node.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkPiecewiseFunction_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Returns the min and max node locations of the function.\n"},
  {(char*)"AdjustRange",                (PyCFunction)PyvtkPiecewiseFunction_AdjustRange, 1,
   (char*)"V.AdjustRange((float, float)) -> int\nC++: int AdjustRange (double range[2]);\n\n Remove all points out of the new range, and make sure there is a point\n at each end of that range.\n Return 1 on success, 0 otherwise.\n"},
  {(char*)"SetClamping",                (PyCFunction)PyvtkPiecewiseFunction_SetClamping, 1,
   (char*)"V.SetClamping(int)\nC++: void SetClamping (int );\n\n When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n"},
  {(char*)"GetClamping",                (PyCFunction)PyvtkPiecewiseFunction_GetClamping, 1,
   (char*)"V.GetClamping() -> int\nC++: int GetClamping ();\n\n When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n"},
  {(char*)"ClampingOn",                (PyCFunction)PyvtkPiecewiseFunction_ClampingOn, 1,
   (char*)"V.ClampingOn()\nC++: void ClampingOn ();\n\n When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n"},
  {(char*)"ClampingOff",                (PyCFunction)PyvtkPiecewiseFunction_ClampingOff, 1,
   (char*)"V.ClampingOff()\nC++: void ClampingOff ();\n\n When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n"},
  {(char*)"GetType",                (PyCFunction)PyvtkPiecewiseFunction_GetType, 1,
   (char*)"V.GetType() -> string\nC++: const char *GetType ();\n\n Return the type of function:\n Function Types:\n    0 : Constant        (No change in slope between end points)\n    1 : NonDecreasing   (Always increasing or zero slope)\n    2 : NonIncreasing   (Always decreasing or zero slope)\n    3 : Varied          (Contains both decreasing and increasing slopes)\n"},
  {(char*)"GetFirstNonZeroValue",                (PyCFunction)PyvtkPiecewiseFunction_GetFirstNonZeroValue, 1,
   (char*)"V.GetFirstNonZeroValue() -> float\nC++: double GetFirstNonZeroValue ();\n\n Returns the first point location which precedes a non-zero segment of the\n function. Note that the value at this point may be zero.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPiecewiseFunction_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Clears out the current function. A newly created vtkPiecewiseFunction\n is alreay initialized, so there is no need to call this method which\n in turn simply calls RemoveAllPoints() \n"},
  {(char*)"SetAllowDuplicateScalars",                (PyCFunction)PyvtkPiecewiseFunction_SetAllowDuplicateScalars, 1,
   (char*)"V.SetAllowDuplicateScalars(int)\nC++: void SetAllowDuplicateScalars (int );\n\n Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n"},
  {(char*)"GetAllowDuplicateScalars",                (PyCFunction)PyvtkPiecewiseFunction_GetAllowDuplicateScalars, 1,
   (char*)"V.GetAllowDuplicateScalars() -> int\nC++: int GetAllowDuplicateScalars ();\n\n Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n"},
  {(char*)"AllowDuplicateScalarsOn",                (PyCFunction)PyvtkPiecewiseFunction_AllowDuplicateScalarsOn, 1,
   (char*)"V.AllowDuplicateScalarsOn()\nC++: void AllowDuplicateScalarsOn ();\n\n Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n"},
  {(char*)"AllowDuplicateScalarsOff",                (PyCFunction)PyvtkPiecewiseFunction_AllowDuplicateScalarsOff, 1,
   (char*)"V.AllowDuplicateScalarsOff()\nC++: void AllowDuplicateScalarsOff ();\n\n Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPiecewiseFunctionDoc[] = {
  (char*)"vtkPiecewiseFunction - Defines a 1D piecewise function.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" Defines a piecewise function mapping. This mapping allows the addition\n of control points, and allows the user to control the function between\n the control points. A piecewise hermite curve is used between control \n points, based on the sharpness and midpoint parameters. A sharpness of\n 0 yields a piecewise linear function and a sharpness of 1 yields a\n piecewise constant function. The midpoint i",
  (char*)"s the normalized distance\n between control points at which the curve reaches the median Y value.\n The midpoint and sharpness values specified when adding a node are used\n to control the transition to the next node (the last node's values are\n ignored) Outside the range of nodes, the values are 0 if Clamping is off,\n or the nearest node point if Clamping is on. Using the legacy methods for\n adding ",
  (char*)"points  (which do not have Sharpness and Midpoint parameters) \n will default to Midpoint = 0.5 (halfway between the control points) and\n Sharpness = 0.0 (linear).\n\n",
  NULL
};

static vtkObjectBase *vtkPiecewiseFunctionStaticNew()
{
  return vtkPiecewiseFunction::New();
}

PyObject *PyVTKClass_vtkPiecewiseFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkPiecewiseFunctionStaticNew,
                        PyvtkPiecewiseFunctionMethods,
                        (char*)"vtkPiecewiseFunction",modulename,
                        (char**)vtkPiecewiseFunctionDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

