// tcl wrapper for vtkPiecewiseFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPiecewiseFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPiecewiseFunctionNewCommand()
{
  vtkPiecewiseFunction *temp = vtkPiecewiseFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPiecewiseFunctionCppCommand(vtkPiecewiseFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPiecewiseFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPiecewiseFunctionCppCommand(static_cast<vtkPiecewiseFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPiecewiseFunctionCppCommand(vtkPiecewiseFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPiecewiseFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddPoint",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->AddPoint(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddPoint(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePoint",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->RemovePoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPoints",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSegment",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->AddSegment(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("AdjustRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    temp20 = (op)->AdjustRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClamping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClamping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClamping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClamping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOn",argv[1]))&&(argc == 2))
    {
    op->ClampingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOff",argv[1]))&&(argc == 2))
    {
    op->ClampingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetType",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetType();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetFirstNonZeroValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFirstNonZeroValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowDuplicateScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowDuplicateScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowDuplicateScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowDuplicateScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowDuplicateScalarsOn",argv[1]))&&(argc == 2))
    {
    op->AllowDuplicateScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowDuplicateScalarsOff",argv[1]))&&(argc == 2))
    {
    op->AllowDuplicateScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPiecewiseFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPiecewiseFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  AddPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RemovePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  AddSegment\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  AdjustRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClamping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClamping\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetType\n",NULL);
    Tcl_AppendResult(interp,"  GetFirstNonZeroValue\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowDuplicateScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowDuplicateScalars\n",NULL);
    Tcl_AppendResult(interp,"  AllowDuplicateScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowDuplicateScalarsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    Tcl_DStringAppendElement ( &dString, "AddSegment" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "AdjustRange" );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    Tcl_DStringAppendElement ( &dString, "GetFirstNonZeroValue" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "SetAllowDuplicateScalars" );
    Tcl_DStringAppendElement ( &dString, "GetAllowDuplicateScalars" );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPiecewiseFunction *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkDataObject *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkDataObject *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return what type of dataset this is.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectType ();return VTK_PIECEWISE_FUNCTION " );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Get the number of points used to specify the function\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPoint */
    if ( strcmp ( argv[2], "AddPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove points to/from the function. If a duplicate point is added\n then the function value is changed at that location.\n Return the index of the point (0 based), or -1 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddPoint (double x, double y);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AddPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPoint */
    if ( strcmp ( argv[2], "AddPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove points to/from the function. If a duplicate point is added\n then the function value is changed at that location.\n Return the index of the point (0 based), or -1 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "int AddPoint (double x, double y, double midpoint, double sharpness);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AddPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePoint */
    if ( strcmp ( argv[2], "RemovePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePoint */
    Tcl_DStringAppendElement ( &dString, " Add/Remove points to/from the function. If a duplicate point is added\n then the function value is changed at that location.\n Return the index of the point (0 based), or -1 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "int RemovePoint (double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for RemovePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPoints */
    if ( strcmp ( argv[2], "RemoveAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPoints */
    Tcl_DStringAppendElement ( &dString, " Removes all points from the function. \n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for RemoveAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddSegment */
    if ( strcmp ( argv[2], "AddSegment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddSegment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddSegment */
    Tcl_DStringAppendElement ( &dString, " Add a line segment to the function. All points defined between the\n two points specified are removed from the function. This is a legacy\n method that does not allow the specification of the sharpness and\n midpoint values for the two nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddSegment (double x1, double y1, double x2, double y2);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AddSegment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Returns the value of the function at the specified location using\n the specified interpolation. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue (double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Returns the min and max node locations of the function.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustRange */
    if ( strcmp ( argv[2], "AdjustRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustRange */
    Tcl_DStringAppendElement ( &dString, " Remove all points out of the new range, and make sure there is a point\n at each end of that range.\n Return 1 on success, 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "int AdjustRange (double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AdjustRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClamping */
    if ( strcmp ( argv[2], "SetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClamping */
    Tcl_DStringAppendElement ( &dString, " When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClamping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for SetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClamping */
    if ( strcmp ( argv[2], "GetClamping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClamping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClamping */
    Tcl_DStringAppendElement ( &dString, " When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClamping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetClamping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOn */
    if ( strcmp ( argv[2], "ClampingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOn */
    Tcl_DStringAppendElement ( &dString, " When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for ClampingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampingOff */
    if ( strcmp ( argv[2], "ClampingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampingOff */
    Tcl_DStringAppendElement ( &dString, " When zero range clamping is Off, GetValue() returns 0.0 when a\n value is requested outside of the points specified.\n When zero range clamping is On, GetValue() returns the value at\n the value at the lowest point for a request below all points \n specified and returns the value at the highest point for a request \n above all points specified. On is the default.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for ClampingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetType */
    if ( strcmp ( argv[2], "GetType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetType */
    Tcl_DStringAppendElement ( &dString, " Return the type of function:\n Function Types:\n    0 : Constant        (No change in slope between end points)\n    1 : NonDecreasing   (Always increasing or zero slope)\n    2 : NonIncreasing   (Always decreasing or zero slope)\n    3 : Varied          (Contains both decreasing and increasing slopes)\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFirstNonZeroValue */
    if ( strcmp ( argv[2], "GetFirstNonZeroValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFirstNonZeroValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFirstNonZeroValue */
    Tcl_DStringAppendElement ( &dString, " Returns the first point location which precedes a non-zero segment of the\n function. Note that the value at this point may be zero.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFirstNonZeroValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetFirstNonZeroValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Clears out the current function. A newly created vtkPiecewiseFunction\n is alreay initialized, so there is no need to call this method which\n in turn simply calls RemoveAllPoints() \n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowDuplicateScalars */
    if ( strcmp ( argv[2], "SetAllowDuplicateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowDuplicateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowDuplicateScalars */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowDuplicateScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for SetAllowDuplicateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowDuplicateScalars */
    if ( strcmp ( argv[2], "GetAllowDuplicateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowDuplicateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowDuplicateScalars */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllowDuplicateScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for GetAllowDuplicateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowDuplicateScalarsOn */
    if ( strcmp ( argv[2], "AllowDuplicateScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowDuplicateScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowDuplicateScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AllowDuplicateScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowDuplicateScalarsOff */
    if ( strcmp ( argv[2], "AllowDuplicateScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowDuplicateScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowDuplicateScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to allow duplicate scalar values in the piecewise\n function (off by default).\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowDuplicateScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPiecewiseFunction" );
    /* Closing for AllowDuplicateScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
