// python wrapper for vtkPointSetToPointSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointSetToPointSetFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSetToPointSetFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSetToPointSetFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetSourceNew(char *); }

static PyObject *PyvtkPointSetToPointSetFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  const char    *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkPointSetToPointSetFilter  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkPointSet  *temp0;
  PyObject *tempH0;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToPointSetFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkPointSet  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkPointSet  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  int      temp0;
  vtkPointSet  *temp20;
  PyErr_Clear();
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkPolyData  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkStructuredGrid  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToPointSetFilter::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToPointSetFilter_ComputeInputUpdateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToPointSetFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPointSetToPointSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToPointSetFilter::ComputeInputUpdateExtents(temp0);
      }
    else
      {
      op->ComputeInputUpdateExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}

static PyMethodDef PyvtkPointSetToPointSetFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSetToPointSetFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSetToPointSetFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSetToPointSetFilter\nC++: vtkPointSetToPointSetFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPointSetToPointSetFilter_SetInput, 1,
   (char*)"V.SetInput(vtkPointSet)\nC++: void SetInput (vtkPointSet *input);\n\n Specify the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkPointSet\nC++: vtkPointSet *GetInput ();\n\n Get the input data or filter.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPointSet\nC++: vtkPointSet *GetOutput ();\nV.GetOutput(int) -> vtkPointSet\nC++: vtkPointSet *GetOutput (int idx);return this vtkPointSetSource GetOutput idx \n\n Get the output of this filter. If output is NULL, then input hasn't been\n set, which is necessary for abstract filter objects.\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataOutput ();\n\n Get the output as vtkPolyData. Performs run-time checking.\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output as vtkStructuredGrid. Performs run-time checking.\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkPointSetToPointSetFilter_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output as vtkUnstructuredGrid. Performs run-time checking.\n"},
  {(char*)"ComputeInputUpdateExtents",                (PyCFunction)PyvtkPointSetToPointSetFilter_ComputeInputUpdateExtents, 1,
   (char*)"V.ComputeInputUpdateExtents(vtkDataObject)\nC++: virtual void ComputeInputUpdateExtents (vtkDataObject *output);\n\n By default copy the output update extent to the input\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSetToPointSetFilterDoc[] = {
  (char*)"vtkPointSetToPointSetFilter - abstract filter class \n\n",
  "Super Class:\n\n vtkPointSetSource\n\n",
  (char*)" vtkPointSetToPointSetFilter is an abstract filter class whose subclasses\n take as input a point set and generates a point set on output.  At a\n minimum, the concrete subclasses of vtkPointSetToPointSetFilter modify\n their point coordinates. They never modify their topological form,\n however.\n\n This is an abstract filter type. What that means is that the output of the\n filter is an abstract type (",
  (char*)"i.e., vtkPointSet), no matter what the input\n of the filter is. This can cause problems connecting together filters due\n to the change in dataset type. (For example, in a series of filters\n processing vtkPolyData, when a vtkPointSetToPointSetFilter or subclass is\n introduced into the pipeline, if the filter downstream of it takes\n vtkPolyData as input, the pipeline connection cannot be made.) To g",
  (char*)"et\n around this problem, use one of the convenience methods to return a\n concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredGridOutput(),\n etc.).\n\n",
  "See Also:\n\n vtkTransformFilter vtkWarpScalar vtkWarpTo vtkWarpVector\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPointSetToPointSetFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPointSetToPointSetFilterMethods,
                        (char*)"vtkPointSetToPointSetFilter",modulename,
                        (char**)vtkPointSetToPointSetFilterDoc,
                        PyVTKClass_vtkPointSetSourceNew(modulename));
}

