// python wrapper for vtkPolyDataCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkPolyDataCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataCollection *op;

  const char    *temp20;
  op = (vtkPolyDataCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataCollection *op;

  vtkPolyDataCollection  *temp20;
  op = (vtkPolyDataCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataCollection *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataCollection *op;

  vtkPolyData  *temp20;
  op = (vtkPolyDataCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataCollection\nC++: vtkPolyDataCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataCollection\nC++: vtkPolyDataCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkPolyDataCollection_AddItem, 1,
   (char*)"V.AddItem(vtkPolyData)\nC++: void AddItem (vtkPolyData *pd);this vtkCollection AddItem pd \n\n Get the next poly data in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkPolyDataCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkPolyData\nC++: vtkPolyData *GetNextItem ();return static_cast vtkPolyData this GetNextItemAsObject \n\n Get the next poly data in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataCollectionDoc[] = {
  (char*)"vtkPolyDataCollection - maintain a list of polygonal data objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkPolyDataCollection is an object that creates and manipulates lists of\n datasets of type vtkPolyData. \n\n",
  "See Also:\n\n vtkDataSetCollection vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataCollectionStaticNew()
{
  return vtkPolyDataCollection::New();
}

PyObject *PyVTKClass_vtkPolyDataCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataCollectionStaticNew,
                        PyvtkPolyDataCollectionMethods,
                        (char*)"vtkPolyDataCollection",modulename,
                        (char**)vtkPolyDataCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

