// python wrapper for vtkPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetNew(char *); }

static PyObject *PyvtkPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  const char    *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkPolyData  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyData_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPolyData_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  double temp1[6];
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkPolyData_CopyCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::CopyCells(temp0,temp1,temp2);
      }
    else
      {
      op->CopyCells(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkPolyData_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkPolyData_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPolyData_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_SetVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::SetVerts(temp0);
      }
    else
      {
      op->SetVerts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkPolyData_GetVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetVerts();
      }
    else
      {
      temp20 = op->GetVerts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_SetLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::SetLines(temp0);
      }
    else
      {
      op->SetLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkPolyData_GetLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetLines();
      }
    else
      {
      temp20 = op->GetLines();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_SetPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::SetPolys(temp0);
      }
    else
      {
      op->SetPolys(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkPolyData_GetPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetPolys();
      }
    else
      {
      temp20 = op->GetPolys();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_SetStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::SetStrips(temp0);
      }
    else
      {
      op->SetStrips(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkPolyData_GetStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkCellArray  *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetStrips();
      }
    else
      {
      temp20 = op->GetStrips();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfVerts();
      }
    else
      {
      temp20 = op->GetNumberOfVerts();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfLines();
      }
    else
      {
      temp20 = op->GetNumberOfLines();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfPolys();
      }
    else
      {
      temp20 = op->GetNumberOfPolys();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfStrips();
      }
    else
      {
      temp20 = op->GetNumberOfStrips();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::Allocate(temp0,temp1);
      }
    else
      {
      op->Allocate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::Allocate(temp0,temp1,temp2);
      }
    else
      {
      op->Allocate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkPolyData_InsertNextCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::InsertNextCell(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkPolyData_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_BuildCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::BuildCells();
      }
    else
      {
      op->BuildCells();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_BuildLinks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::BuildLinks(temp0);
      }
    else
      {
      op->BuildLinks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_DeleteCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::DeleteCells();
      }
    else
      {
      op->DeleteCells();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_DeleteLinks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::DeleteLinks();
      }
    else
      {
      op->DeleteLinks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetCellEdgeNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iiiO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkPolyData_IsTriangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::IsTriangle(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsTriangle(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_IsEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::IsEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->IsEdge(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_IsPointUsedByCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::IsPointUsedByCell(temp0,temp1);
      }
    else
      {
      temp20 = op->IsPointUsedByCell(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_ReplaceCellPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::ReplaceCellPoint(temp0,temp1,temp2);
      }
    else
      {
      op->ReplaceCellPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_ReverseCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::ReverseCell(temp0);
      }
    else
      {
      op->ReverseCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_DeletePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::DeletePoint(temp0);
      }
    else
      {
      op->DeletePoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_DeleteCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::DeleteCell(temp0);
      }
    else
      {
      op->DeleteCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_RemoveDeletedCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::RemoveDeletedCells();
      }
    else
      {
      op->RemoveDeletedCells();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_InsertNextLinkedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp0;
  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::InsertNextLinkedPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextLinkedPoint(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyData *op;

  double temp0[3];
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)i", temp0 + 0, temp0 + 1, temp0 + 2, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::InsertNextLinkedPoint(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextLinkedPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_RemoveCellReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::RemoveCellReference(temp0);
      }
    else
      {
      op->RemoveCellReference(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_AddCellReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::AddCellReference(temp0);
      }
    else
      {
      op->AddCellReference(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_RemoveReferenceToCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::RemoveReferenceToCell(temp0,temp1);
      }
    else
      {
      op->RemoveReferenceToCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_AddReferenceToCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::AddReferenceToCell(temp0,temp1);
      }
    else
      {
      op->AddReferenceToCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_ResizeCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::ResizeCellList(temp0,temp1);
      }
    else
      {
      op->ResizeCellList(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int     *temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetUpdateExtent();
      }
    else
      {
      temp20 = op->GetUpdateExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::GetUpdateExtent(temp0);
      }
    else
      {
      op->GetUpdateExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  unsigned long     temp20;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyData::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkPolyData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  return NULL;
}


static PyObject *PyvtkPolyData_RemoveGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyData *op;

  int      temp0;
  op = (vtkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyData::RemoveGhostCells(temp0);
      }
    else
      {
      op->RemoveGhostCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyData\nC++: vtkPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyData\nC++: vtkPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkPolyData_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_POLY_DATA \n\n Copy the geometric and topological structure of an input poly data object.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkPolyData_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input poly data object.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkPolyData_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Standard vtkDataSet interface.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkPolyData_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Standard vtkDataSet interface.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkPolyData_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: int GetCellType (vtkIdType cellId);\n\n Standard vtkDataSet interface.\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkPolyData_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n Standard vtkDataSet interface.\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkPolyData_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Standard vtkDataSet interface.\n"},
  {(char*)"CopyCells",                (PyCFunction)PyvtkPolyData_CopyCells, 1,
   (char*)"V.CopyCells(vtkPolyData, vtkIdList, vtkPointLocator)\nC++: void CopyCells (vtkPolyData *pd, vtkIdList *idList, vtkPointLocator *locatorNULL);\n\n Copy cells listed in idList from pd, including points, point data,\n and cell data.  This method assumes that point and cell data have\n been allocated.  If you pass in a point locator, then the points\n won't be duplicated in the output.\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkPolyData_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);\n\n Copy a cells point ids into list provided. (Less efficient.)\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkPolyData_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);\n\n Efficient method to obtain cells using a particular point. Make sure that\n routine BuildLinks() has been called.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkPolyData_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: void ComputeBounds ();\n\n Compute the (X, Y, Z)  bounds of the data.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkPolyData_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Recover extra allocated memory when creating data whose initial size\n is unknown. Examples include using the InsertNextCell() method, or\n when using the CellArray::EstimateSize() method to create vertices,\n lines, polygons, or triangle strips.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkPolyData_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: int GetMaxCellSize ();\n\n Return the maximum cell size in this poly data.\n"},
  {(char*)"SetVerts",                (PyCFunction)PyvtkPolyData_SetVerts, 1,
   (char*)"V.SetVerts(vtkCellArray)\nC++: void SetVerts (vtkCellArray *v);\n\n Set the cell array defining vertices.\n"},
  {(char*)"GetVerts",                (PyCFunction)PyvtkPolyData_GetVerts, 1,
   (char*)"V.GetVerts() -> vtkCellArray\nC++: vtkCellArray *GetVerts ();\n\n Get the cell array defining vertices. If there are no vertices, an\n empty array will be returned (convenience to simplify traversal).\n"},
  {(char*)"SetLines",                (PyCFunction)PyvtkPolyData_SetLines, 1,
   (char*)"V.SetLines(vtkCellArray)\nC++: void SetLines (vtkCellArray *l);\n\n Set the cell array defining lines.\n"},
  {(char*)"GetLines",                (PyCFunction)PyvtkPolyData_GetLines, 1,
   (char*)"V.GetLines() -> vtkCellArray\nC++: vtkCellArray *GetLines ();\n\n Get the cell array defining lines. If there are no lines, an\n empty array will be returned (convenience to simplify traversal).\n"},
  {(char*)"SetPolys",                (PyCFunction)PyvtkPolyData_SetPolys, 1,
   (char*)"V.SetPolys(vtkCellArray)\nC++: void SetPolys (vtkCellArray *p);\n\n Set the cell array defining polygons.\n"},
  {(char*)"GetPolys",                (PyCFunction)PyvtkPolyData_GetPolys, 1,
   (char*)"V.GetPolys() -> vtkCellArray\nC++: vtkCellArray *GetPolys ();\n\n Get the cell array defining polygons. If there are no polygons, an\n empty array will be returned (convenience to simplify traversal).\n"},
  {(char*)"SetStrips",                (PyCFunction)PyvtkPolyData_SetStrips, 1,
   (char*)"V.SetStrips(vtkCellArray)\nC++: void SetStrips (vtkCellArray *s);\n\n Set the cell array defining triangle strips.\n"},
  {(char*)"GetStrips",                (PyCFunction)PyvtkPolyData_GetStrips, 1,
   (char*)"V.GetStrips() -> vtkCellArray\nC++: vtkCellArray *GetStrips ();\n\n Get the cell array defining triangle strips. If there are no\n triangle strips, an empty array will be returned (convenience to \n simplify traversal).\n"},
  {(char*)"GetNumberOfVerts",                (PyCFunction)PyvtkPolyData_GetNumberOfVerts, 1,
   (char*)"V.GetNumberOfVerts() -> int\nC++: vtkIdType GetNumberOfVerts ();\n\n Return the number of primitives of a particular type held..\n"},
  {(char*)"GetNumberOfLines",                (PyCFunction)PyvtkPolyData_GetNumberOfLines, 1,
   (char*)"V.GetNumberOfLines() -> int\nC++: vtkIdType GetNumberOfLines ();\n\n Return the number of primitives of a particular type held..\n"},
  {(char*)"GetNumberOfPolys",                (PyCFunction)PyvtkPolyData_GetNumberOfPolys, 1,
   (char*)"V.GetNumberOfPolys() -> int\nC++: vtkIdType GetNumberOfPolys ();\n\n Return the number of primitives of a particular type held..\n"},
  {(char*)"GetNumberOfStrips",                (PyCFunction)PyvtkPolyData_GetNumberOfStrips, 1,
   (char*)"V.GetNumberOfStrips() -> int\nC++: vtkIdType GetNumberOfStrips ();\n\n Return the number of primitives of a particular type held..\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkPolyData_Allocate, 1,
   (char*)"V.Allocate(int, int)\nC++: void Allocate (vtkIdType numCells, int extSize);\nV.Allocate(vtkPolyData, int, int)\nC++: void Allocate (vtkPolyData *inPolyData, vtkIdType numCells, int extSize);\n\n Method allocates initial storage for vertex, line, polygon, and \n triangle strip arrays. Use this method before the method \n PolyData::InsertNextCell(). (Or, provide vertex, line, polygon, and\n triangle strip cell arrays.)\n"},
  {(char*)"InsertNextCell",                (PyCFunction)PyvtkPolyData_InsertNextCell, 1,
   (char*)"V.InsertNextCell(int, vtkIdList) -> int\nC++: int InsertNextCell (int type, vtkIdList *pts);\n\n Insert a cell of type VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,\n VTK_TRIANGLE, VTK_QUAD, VTK_POLYGON, or VTK_TRIANGLE_STRIP.  Make sure that\n the PolyData::Allocate() function has been called first or that vertex,\n line, polygon, and triangle strip arrays have been supplied.\n Note: will also insert VTK_PIXEL, but converts it to VTK_QUAD.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkPolyData_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Begin inserting data all over again. Memory is not freed but otherwise\n objects are returned to their initial state.\n"},
  {(char*)"BuildCells",                (PyCFunction)PyvtkPolyData_BuildCells, 1,
   (char*)"V.BuildCells()\nC++: void BuildCells ();\n\n Create data structure that allows random access of cells.\n"},
  {(char*)"BuildLinks",                (PyCFunction)PyvtkPolyData_BuildLinks, 1,
   (char*)"V.BuildLinks(int)\nC++: void BuildLinks (int initialSize);\n\n Create upward links from points to cells that use each point. Enables\n topologically complex queries. Normally the links array is allocated\n based on the number of points in the vtkPolyData. The optional \n initialSize parameter can be used to allocate a larger size initially.\n"},
  {(char*)"DeleteCells",                (PyCFunction)PyvtkPolyData_DeleteCells, 1,
   (char*)"V.DeleteCells()\nC++: void DeleteCells ();\n\n Release data structure that allows random access of the cells. This must\n be done before a 2nd call to BuildLinks(). DeleteCells implicitly deletes\n the links as well since they are no longer valid.\n"},
  {(char*)"DeleteLinks",                (PyCFunction)PyvtkPolyData_DeleteLinks, 1,
   (char*)"V.DeleteLinks()\nC++: void DeleteLinks ();\n\n Release the upward links from point to cells that use each point.\n"},
  {(char*)"GetCellEdgeNeighbors",                (PyCFunction)PyvtkPolyData_GetCellEdgeNeighbors, 1,
   (char*)"V.GetCellEdgeNeighbors(int, int, int, vtkIdList)\nC++: void GetCellEdgeNeighbors (vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIdList *cellIds);\n\n Get the neighbors at an edge. More efficient than the general \n GetCellNeighbors(). Assumes links have been built (with BuildLinks()), \n and looks specifically for edge neighbors.\n"},
  {(char*)"IsTriangle",                (PyCFunction)PyvtkPolyData_IsTriangle, 1,
   (char*)"V.IsTriangle(int, int, int) -> int\nC++: int IsTriangle (int v1, int v2, int v3);\n\n Given three vertices, determine whether it's a triangle. Make sure \n BuildLinks() has been called first.\n"},
  {(char*)"IsEdge",                (PyCFunction)PyvtkPolyData_IsEdge, 1,
   (char*)"V.IsEdge(int, int) -> int\nC++: int IsEdge (vtkIdType p1, vtkIdType p2);\n\n Determine whether two points form an edge. If they do, return non-zero.\n By definition PolyVertex and PolyLine have no edges since 1-dimensional \n edges are only found on cells 2D and higher. \n Edges are defined as 1-D boundary entities to cells.\n Make sure BuildLinks() has been called first.\n"},
  {(char*)"IsPointUsedByCell",                (PyCFunction)PyvtkPolyData_IsPointUsedByCell, 1,
   (char*)"V.IsPointUsedByCell(int, int) -> int\nC++: int IsPointUsedByCell (vtkIdType ptId, vtkIdType cellId);\n\n Determine whether a point is used by a particular cell. If it is, return\n non-zero. Make sure BuildCells() has been called first.\n"},
  {(char*)"ReplaceCellPoint",                (PyCFunction)PyvtkPolyData_ReplaceCellPoint, 1,
   (char*)"V.ReplaceCellPoint(int, int, int)\nC++: void ReplaceCellPoint (vtkIdType cellId, vtkIdType oldPtId, vtkIdType newPtId);\n\n Replace a point in the cell connectivity list with a different point.\n"},
  {(char*)"ReverseCell",                (PyCFunction)PyvtkPolyData_ReverseCell, 1,
   (char*)"V.ReverseCell(int)\nC++: void ReverseCell (vtkIdType cellId);\n\n Reverse the order of point ids defining the cell.\n"},
  {(char*)"DeletePoint",                (PyCFunction)PyvtkPolyData_DeletePoint, 1,
   (char*)"V.DeletePoint(int)\nC++: void DeletePoint (vtkIdType ptId);\n\n Mark a point/cell as deleted from this vtkPolyData.\n"},
  {(char*)"DeleteCell",                (PyCFunction)PyvtkPolyData_DeleteCell, 1,
   (char*)"V.DeleteCell(int)\nC++: void DeleteCell (vtkIdType cellId);\n\n Mark a point/cell as deleted from this vtkPolyData.\n"},
  {(char*)"RemoveDeletedCells",                (PyCFunction)PyvtkPolyData_RemoveDeletedCells, 1,
   (char*)"V.RemoveDeletedCells()\nC++: void RemoveDeletedCells ();\n\n The cells marked by calls to DeleteCell are stored in the Cell Array\n VTK_EMPTY_CELL, but they still exist in the polys array.\n Calling RemoveDeletedCells will travers the poly array and remove/compact\n the cell array as well as any cell data thus truly removing the cells\n from the polydata object. WARNING. This only handles the polys \n at the moment\n"},
  {(char*)"InsertNextLinkedPoint",                (PyCFunction)PyvtkPolyData_InsertNextLinkedPoint, 1,
   (char*)"V.InsertNextLinkedPoint(int) -> int\nC++: int InsertNextLinkedPoint (int numLinks);\nV.InsertNextLinkedPoint((float, float, float), int) -> int\nC++: int InsertNextLinkedPoint (double x[3], int numLinks);\n\n Add a point to the cell data structure (after cell pointers have been\n built). This method adds the point and then allocates memory for the\n links to the cells.  (To use this method, make sure points are available\n and BuildLinks() has been invoked.) Of the two methods below, one inserts\n a point coordinate and the other just makes room for cell links.\n"},
  {(char*)"RemoveCellReference",                (PyCFunction)PyvtkPolyData_RemoveCellReference, 1,
   (char*)"V.RemoveCellReference(int)\nC++: void RemoveCellReference (vtkIdType cellId);\n\n Remove all references to cell in cell structure. This means the links from\n the cell's points to the cell are deleted. Memory is not reclaimed. Use the\n method ResizeCellList() to resize the link list from a point to its using \n cells. (This operator assumes BuildLinks() has been called.)\n"},
  {(char*)"AddCellReference",                (PyCFunction)PyvtkPolyData_AddCellReference, 1,
   (char*)"V.AddCellReference(int)\nC++: void AddCellReference (vtkIdType cellId);\n\n Add references to cell in cell structure. This means the links from\n the cell's points to the cell are modified. Memory is not extended. Use the\n method ResizeCellList() to resize the link list from a point to its using \n cells. (This operator assumes BuildLinks() has been called.)\n"},
  {(char*)"RemoveReferenceToCell",                (PyCFunction)PyvtkPolyData_RemoveReferenceToCell, 1,
   (char*)"V.RemoveReferenceToCell(int, int)\nC++: void RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId);\n\n Remove a reference to a cell in a particular point's link list. You may\n also consider using RemoveCellReference() to remove the references from\n all the cell's points to the cell. This operator does not reallocate\n memory; use the operator ResizeCellList() to do this if necessary.\n"},
  {(char*)"AddReferenceToCell",                (PyCFunction)PyvtkPolyData_AddReferenceToCell, 1,
   (char*)"V.AddReferenceToCell(int, int)\nC++: void AddReferenceToCell (vtkIdType ptId, vtkIdType cellId);\n\n Add a reference to a cell in a particular point's link list. (You may also\n consider using AddCellReference() to add the references from all the \n cell's points to the cell.) This operator does not realloc memory; use the\n operator ResizeCellList() to do this if necessary.\n"},
  {(char*)"ResizeCellList",                (PyCFunction)PyvtkPolyData_ResizeCellList, 1,
   (char*)"V.ResizeCellList(int, int)\nC++: void ResizeCellList (vtkIdType ptId, int size);\n\n Resize the list of cells using a particular point. (This operator assumes\n that BuildLinks() has been called.)\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPolyData_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore object to initial state. Release memory back to system.\n"},
  {(char*)"GetUpdateExtent",                (PyCFunction)PyvtkPolyData_GetUpdateExtent, 1,
   (char*)"V.GetUpdateExtent() -> (int, int, int, int, int, int)\nC++: virtual int *GetUpdateExtent ();\nV.GetUpdateExtent((int, int, int, int, int, int))\nC++: virtual void GetUpdateExtent (int extent[6]);\n\n We need this here to avoid hiding superclass method\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkPolyData_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: virtual int GetPiece ();\n\n Get the piece and the number of pieces. Similar to extent in 3D.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkPolyData_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: virtual int GetNumberOfPieces ();\n\n Get the piece and the number of pieces. Similar to extent in 3D.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkPolyData_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: virtual int GetGhostLevel ();\n\n Get the ghost level.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkPolyData_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPolyData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkPolyData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"RemoveGhostCells",                (PyCFunction)PyvtkPolyData_RemoveGhostCells, 1,
   (char*)"V.RemoveGhostCells(int)\nC++: void RemoveGhostCells (int level);\n\n This method will remove any cell that has a ghost level array value\n greater or equal to level.  It does not remove unused points (yet).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataDoc[] = {
  (char*)"vtkPolyData - concrete dataset represents vertices, lines, polygons, and triangle strips\n\n",
  "Super Class:\n\n vtkPointSet\n\n",
  (char*)" vtkPolyData is a data object that is a concrete implementation of\n vtkDataSet. vtkPolyData represents a geometric structure consisting of\n vertices, lines, polygons, and/or triangle strips. Point and cell\n attribute values (e.g., scalars, vectors, etc.) also are represented.\n\n The actual cell types (vtkCellType.h) supported by vtkPolyData are: \n vtkVertex, vtkPolyVertex, vtkLine, vtkPolyLine, vtk",
  (char*)"Triangle, vtkQuad,\n vtkPolygon, and vtkTriangleStrip.\n\n One important feature of vtkPolyData objects is that special traversal and\n data manipulation methods are available to process data. These methods are\n generally more efficient than vtkDataSet methods and should be used\n whenever possible. For example, traversing the cells in a dataset we would\n use GetCell(). To traverse cells with vtkPolyDa",
  (char*)"ta we would retrieve the\n cell array object representing polygons (for example using GetPolys()) and\n then use vtkCellArray's InitTraversal() and GetNextCell() methods.\n\n\n",
  "Caveats:\n\n Because vtkPolyData is implemented with four separate instances of\n vtkCellArray to represent 0D vertices, 1D lines, 2D polygons, and 2D\n triangle strips, it is possible to create vtkPolyData instances that\n consist of a mixture of cell types. Because of the design of the class,\n there are certain limitations on how mixed cell types are inserted into\n the vtkPolyData, and in turn the order in which they are processed and\n rendered. To preserve the consistency of cell  ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataStaticNew()
{
  return vtkPolyData::New();
}

PyObject *PyVTKClass_vtkPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataStaticNew,
                        PyvtkPolyDataMethods,
                        (char*)"vtkPolyData",modulename,
                        (char**)vtkPolyDataDoc,
                        PyVTKClass_vtkPointSetNew(modulename));
}

