// tcl wrapper for vtkPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyData.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolyDataNewCommand()
{
  vtkPolyData *temp = vtkPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPointSetCppCommand(vtkPointSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataCppCommand(vtkPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolyDataCppCommand(static_cast<vtkPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataCppCommand(vtkPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointSetCppCommand(static_cast<vtkPointSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkGenericCell  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCell"),interp,error));
    if (!error)
    {
    op->GetCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellNeighbors",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    vtkIdList  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellNeighbors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyCells",argv[1]))&&(argc == 5))
    {
    vtkPolyData  *temp0;
    vtkIdList  *temp1;
    vtkPointLocator  *temp2;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointLocator"),interp,error));
    if (!error)
    {
    op->CopyCells(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellPoints",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointCells",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetPointCells(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeBounds",argv[1]))&&(argc == 2))
    {
    op->ComputeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerts",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    op->SetVerts(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerts",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->GetVerts();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("SetLines",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    op->SetLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLines",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->GetLines();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("SetPolys",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    op->SetPolys(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolys",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->GetPolys();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("SetStrips",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    op->SetStrips(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStrips",argv[1]))&&(argc == 2))
    {
    vtkCellArray  *temp20;
    temp20 = (op)->GetStrips();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellArray");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVerts",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfVerts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLines",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPolys",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPolys();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfStrips",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfStrips();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Allocate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 5))
    {
    vtkPolyData  *temp0;
    vtkIdType   temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Allocate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextCell",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIdList  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildCells",argv[1]))&&(argc == 2))
    {
    op->BuildCells();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLinks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BuildLinks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteCells",argv[1]))&&(argc == 2))
    {
    op->DeleteCells();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteLinks",argv[1]))&&(argc == 2))
    {
    op->DeleteLinks();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCellEdgeNeighbors",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    vtkIdList  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellEdgeNeighbors(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsTriangle",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->IsTriangle(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsEdge",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IsEdge(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPointUsedByCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IsPointUsedByCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReplaceCellPoint",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->ReplaceCellPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReverseCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ReverseCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeletePoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeletePoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDeletedCells",argv[1]))&&(argc == 2))
    {
    op->RemoveDeletedCells();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsertNextLinkedPoint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->InsertNextLinkedPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCellReference",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveCellReference(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCellReference",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddCellReference(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveReferenceToCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->RemoveReferenceToCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddReferenceToCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddReferenceToCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResizeCellList",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ResizeCellList(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetUpdateExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPiece",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGhostLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveGhostCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveGhostCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellNeighbors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyCells\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointCells\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeBounds\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellSize\n",NULL);
    Tcl_AppendResult(interp,"  SetVerts\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerts\n",NULL);
    Tcl_AppendResult(interp,"  SetLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPolys\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolys\n",NULL);
    Tcl_AppendResult(interp,"  SetStrips\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStrips\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVerts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLines\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPolys\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfStrips\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  BuildCells\n",NULL);
    Tcl_AppendResult(interp,"  BuildLinks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCells\n",NULL);
    Tcl_AppendResult(interp,"  DeleteLinks\n",NULL);
    Tcl_AppendResult(interp,"  GetCellEdgeNeighbors\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  IsTriangle\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  IsEdge\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsPointUsedByCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceCellPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReverseCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeletePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDeletedCells\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextLinkedPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCellReference\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddCellReference\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveReferenceToCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddReferenceToCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResizeCellList\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPiece\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveGhostCells\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetCellNeighbors" );
    Tcl_DStringAppendElement ( &dString, "CopyCells" );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    Tcl_DStringAppendElement ( &dString, "SetVerts" );
    Tcl_DStringAppendElement ( &dString, "GetVerts" );
    Tcl_DStringAppendElement ( &dString, "SetLines" );
    Tcl_DStringAppendElement ( &dString, "GetLines" );
    Tcl_DStringAppendElement ( &dString, "SetPolys" );
    Tcl_DStringAppendElement ( &dString, "GetPolys" );
    Tcl_DStringAppendElement ( &dString, "SetStrips" );
    Tcl_DStringAppendElement ( &dString, "GetStrips" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerts" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLines" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolys" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStrips" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "BuildCells" );
    Tcl_DStringAppendElement ( &dString, "BuildLinks" );
    Tcl_DStringAppendElement ( &dString, "DeleteCells" );
    Tcl_DStringAppendElement ( &dString, "DeleteLinks" );
    Tcl_DStringAppendElement ( &dString, "GetCellEdgeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "IsTriangle" );
    Tcl_DStringAppendElement ( &dString, "IsEdge" );
    Tcl_DStringAppendElement ( &dString, "IsPointUsedByCell" );
    Tcl_DStringAppendElement ( &dString, "ReplaceCellPoint" );
    Tcl_DStringAppendElement ( &dString, "ReverseCell" );
    Tcl_DStringAppendElement ( &dString, "DeletePoint" );
    Tcl_DStringAppendElement ( &dString, "DeleteCell" );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCells" );
    Tcl_DStringAppendElement ( &dString, "InsertNextLinkedPoint" );
    Tcl_DStringAppendElement ( &dString, "RemoveCellReference" );
    Tcl_DStringAppendElement ( &dString, "AddCellReference" );
    Tcl_DStringAppendElement ( &dString, "RemoveReferenceToCell" );
    Tcl_DStringAppendElement ( &dString, "AddReferenceToCell" );
    Tcl_DStringAppendElement ( &dString, "ResizeCellList" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "RemoveGhostCells" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyData *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input poly data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectType ();return VTK_POLY_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input poly data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyStructure (vtkDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet interface.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet interface.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetCell (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCell (vtkIdType cellId, vtkGenericCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet interface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellType (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellNeighbors */
    if ( strcmp ( argv[2], "GetCellNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellNeighbors */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet interface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCellNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyCells */
    if ( strcmp ( argv[2], "CopyCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyCells */
    Tcl_DStringAppendElement ( &dString, " Copy cells listed in idList from pd, including points, point data,\n and cell data.  This method assumes that point and cell data have\n been allocated.  If you pass in a point locator, then the points\n won't be duplicated in the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyCells (vtkPolyData *pd, vtkIdList *idList, vtkPointLocator *locatorNULL);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for CopyCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellPoints */
    if ( strcmp ( argv[2], "GetCellPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellPoints */
    Tcl_DStringAppendElement ( &dString, " Copy a cells point ids into list provided. (Less efficient.)\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCellPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointCells */
    if ( strcmp ( argv[2], "GetPointCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointCells */
    Tcl_DStringAppendElement ( &dString, " Efficient method to obtain cells using a particular point. Make sure that\n routine BuildLinks() has been called.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetPointCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeBounds */
    if ( strcmp ( argv[2], "ComputeBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the (X, Y, Z)  bounds of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for ComputeBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, " Recover extra allocated memory when creating data whose initial size\n is unknown. Examples include using the InsertNextCell() method, or\n when using the CellArray::EstimateSize() method to create vertices,\n lines, polygons, or triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "void Squeeze ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellSize */
    if ( strcmp ( argv[2], "GetMaxCellSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellSize */
    Tcl_DStringAppendElement ( &dString, " Return the maximum cell size in this poly data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetMaxCellSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerts */
    if ( strcmp ( argv[2], "SetVerts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerts */
    Tcl_DStringAppendElement ( &dString, " Set the cell array defining vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerts (vtkCellArray *v);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for SetVerts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerts */
    if ( strcmp ( argv[2], "GetVerts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerts */
    Tcl_DStringAppendElement ( &dString, " Get the cell array defining vertices. If there are no vertices, an\n empty array will be returned (convenience to simplify traversal).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *GetVerts ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetVerts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLines */
    if ( strcmp ( argv[2], "SetLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLines */
    Tcl_DStringAppendElement ( &dString, " Set the cell array defining lines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLines (vtkCellArray *l);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for SetLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLines */
    if ( strcmp ( argv[2], "GetLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLines */
    Tcl_DStringAppendElement ( &dString, " Get the cell array defining lines. If there are no lines, an\n empty array will be returned (convenience to simplify traversal).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *GetLines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolys */
    if ( strcmp ( argv[2], "SetPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolys */
    Tcl_DStringAppendElement ( &dString, " Set the cell array defining polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolys (vtkCellArray *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for SetPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolys */
    if ( strcmp ( argv[2], "GetPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolys */
    Tcl_DStringAppendElement ( &dString, " Get the cell array defining polygons. If there are no polygons, an\n empty array will be returned (convenience to simplify traversal).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *GetPolys ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStrips */
    if ( strcmp ( argv[2], "SetStrips" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStrips" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStrips */
    Tcl_DStringAppendElement ( &dString, " Set the cell array defining triangle strips.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStrips (vtkCellArray *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for SetStrips */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStrips */
    if ( strcmp ( argv[2], "GetStrips" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStrips" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStrips */
    Tcl_DStringAppendElement ( &dString, " Get the cell array defining triangle strips. If there are no\n triangle strips, an empty array will be returned (convenience to \n simplify traversal).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray *GetStrips ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetStrips */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVerts */
    if ( strcmp ( argv[2], "GetNumberOfVerts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVerts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVerts */
    Tcl_DStringAppendElement ( &dString, " Return the number of primitives of a particular type held..\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfVerts ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfVerts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLines */
    if ( strcmp ( argv[2], "GetNumberOfLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLines */
    Tcl_DStringAppendElement ( &dString, " Return the number of primitives of a particular type held..\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfLines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPolys */
    if ( strcmp ( argv[2], "GetNumberOfPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPolys */
    Tcl_DStringAppendElement ( &dString, " Return the number of primitives of a particular type held..\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPolys ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfStrips */
    if ( strcmp ( argv[2], "GetNumberOfStrips" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStrips" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfStrips */
    Tcl_DStringAppendElement ( &dString, " Return the number of primitives of a particular type held..\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfStrips ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfStrips */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Method allocates initial storage for vertex, line, polygon, and \n triangle strip arrays. Use this method before the method \n PolyData::InsertNextCell(). (Or, provide vertex, line, polygon, and\n triangle strip cell arrays.)\n" );
    Tcl_DStringAppendElement ( &dString, "void Allocate (vtkIdType numCells, int extSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Similar to the method above, this method allocates initial storage for\n vertex, line, polygon, and triangle strip arrays. It does this more\n intelligently, examining the supplied inPolyData to determine whether to\n allocate the verts, lines, polys, and strips arrays.  (These arrays are\n allocated only if there is data in the corresponding arrays in the\n inPolyData.)  Caution: if the inPolyData has no verts, and after\n allocating with this method an PolyData::InsertNex ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Allocate (vtkPolyData *inPolyData, vtkIdType numCells, int extSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextCell */
    if ( strcmp ( argv[2], "InsertNextCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextCell */
    Tcl_DStringAppendElement ( &dString, " Insert a cell of type VTK_VERTEX, VTK_POLY_VERTEX, VTK_LINE, VTK_POLY_LINE,\n VTK_TRIANGLE, VTK_QUAD, VTK_POLYGON, or VTK_TRIANGLE_STRIP.  Make sure that\n the PolyData::Allocate() function has been called first or that vertex,\n line, polygon, and triangle strip arrays have been supplied.\n Note: will also insert VTK_PIXEL, but converts it to VTK_QUAD.\n" );
    Tcl_DStringAppendElement ( &dString, "int InsertNextCell (int type, vtkIdList *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for InsertNextCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Begin inserting data all over again. Memory is not freed but otherwise\n objects are returned to their initial state.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildCells */
    if ( strcmp ( argv[2], "BuildCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildCells */
    Tcl_DStringAppendElement ( &dString, " Create data structure that allows random access of cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for BuildCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLinks */
    if ( strcmp ( argv[2], "BuildLinks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLinks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLinks */
    Tcl_DStringAppendElement ( &dString, " Create upward links from points to cells that use each point. Enables\n topologically complex queries. Normally the links array is allocated\n based on the number of points in the vtkPolyData. The optional \n initialSize parameter can be used to allocate a larger size initially.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLinks (int initialSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for BuildLinks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteCells */
    if ( strcmp ( argv[2], "DeleteCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteCells */
    Tcl_DStringAppendElement ( &dString, " Release data structure that allows random access of the cells. This must\n be done before a 2nd call to BuildLinks(). DeleteCells implicitly deletes\n the links as well since they are no longer valid.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for DeleteCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteLinks */
    if ( strcmp ( argv[2], "DeleteLinks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteLinks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteLinks */
    Tcl_DStringAppendElement ( &dString, " Release the upward links from point to cells that use each point.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteLinks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for DeleteLinks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellEdgeNeighbors */
    if ( strcmp ( argv[2], "GetCellEdgeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellEdgeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellEdgeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Get the neighbors at an edge. More efficient than the general \n GetCellNeighbors(). Assumes links have been built (with BuildLinks()), \n and looks specifically for edge neighbors.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCellEdgeNeighbors (vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIdList *cellIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetCellEdgeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsTriangle */
    if ( strcmp ( argv[2], "IsTriangle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsTriangle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsTriangle */
    Tcl_DStringAppendElement ( &dString, " Given three vertices, determine whether it's a triangle. Make sure \n BuildLinks() has been called first.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsTriangle (int v1, int v2, int v3);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for IsTriangle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsEdge */
    if ( strcmp ( argv[2], "IsEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEdge */
    Tcl_DStringAppendElement ( &dString, " Determine whether two points form an edge. If they do, return non-zero.\n By definition PolyVertex and PolyLine have no edges since 1-dimensional \n edges are only found on cells 2D and higher. \n Edges are defined as 1-D boundary entities to cells.\n Make sure BuildLinks() has been called first.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsEdge (vtkIdType p1, vtkIdType p2);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for IsEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPointUsedByCell */
    if ( strcmp ( argv[2], "IsPointUsedByCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPointUsedByCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPointUsedByCell */
    Tcl_DStringAppendElement ( &dString, " Determine whether a point is used by a particular cell. If it is, return\n non-zero. Make sure BuildCells() has been called first.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsPointUsedByCell (vtkIdType ptId, vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for IsPointUsedByCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceCellPoint */
    if ( strcmp ( argv[2], "ReplaceCellPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceCellPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceCellPoint */
    Tcl_DStringAppendElement ( &dString, " Replace a point in the cell connectivity list with a different point.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceCellPoint (vtkIdType cellId, vtkIdType oldPtId, vtkIdType newPtId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for ReplaceCellPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseCell */
    if ( strcmp ( argv[2], "ReverseCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseCell */
    Tcl_DStringAppendElement ( &dString, " Reverse the order of point ids defining the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseCell (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for ReverseCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeletePoint */
    if ( strcmp ( argv[2], "DeletePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeletePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeletePoint */
    Tcl_DStringAppendElement ( &dString, " Mark a point/cell as deleted from this vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeletePoint (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for DeletePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteCell */
    if ( strcmp ( argv[2], "DeleteCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteCell */
    Tcl_DStringAppendElement ( &dString, " Mark a point/cell as deleted from this vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteCell (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for DeleteCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDeletedCells */
    if ( strcmp ( argv[2], "RemoveDeletedCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDeletedCells */
    Tcl_DStringAppendElement ( &dString, " The cells marked by calls to DeleteCell are stored in the Cell Array\n VTK_EMPTY_CELL, but they still exist in the polys array.\n Calling RemoveDeletedCells will travers the poly array and remove/compact\n the cell array as well as any cell data thus truly removing the cells\n from the polydata object. WARNING. This only handles the polys \n at the moment\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDeletedCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for RemoveDeletedCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextLinkedPoint */
    if ( strcmp ( argv[2], "InsertNextLinkedPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextLinkedPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextLinkedPoint */
    Tcl_DStringAppendElement ( &dString, " Add a point to the cell data structure (after cell pointers have been\n built). This method adds the point and then allocates memory for the\n links to the cells.  (To use this method, make sure points are available\n and BuildLinks() has been invoked.) Of the two methods below, one inserts\n a point coordinate and the other just makes room for cell links.\n" );
    Tcl_DStringAppendElement ( &dString, "int InsertNextLinkedPoint (int numLinks);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for InsertNextLinkedPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCellReference */
    if ( strcmp ( argv[2], "RemoveCellReference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCellReference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCellReference */
    Tcl_DStringAppendElement ( &dString, " Remove all references to cell in cell structure. This means the links from\n the cell's points to the cell are deleted. Memory is not reclaimed. Use the\n method ResizeCellList() to resize the link list from a point to its using \n cells. (This operator assumes BuildLinks() has been called.)\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCellReference (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for RemoveCellReference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCellReference */
    if ( strcmp ( argv[2], "AddCellReference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCellReference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCellReference */
    Tcl_DStringAppendElement ( &dString, " Add references to cell in cell structure. This means the links from\n the cell's points to the cell are modified. Memory is not extended. Use the\n method ResizeCellList() to resize the link list from a point to its using \n cells. (This operator assumes BuildLinks() has been called.)\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCellReference (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for AddCellReference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveReferenceToCell */
    if ( strcmp ( argv[2], "RemoveReferenceToCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveReferenceToCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveReferenceToCell */
    Tcl_DStringAppendElement ( &dString, " Remove a reference to a cell in a particular point's link list. You may\n also consider using RemoveCellReference() to remove the references from\n all the cell's points to the cell. This operator does not reallocate\n memory; use the operator ResizeCellList() to do this if necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for RemoveReferenceToCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddReferenceToCell */
    if ( strcmp ( argv[2], "AddReferenceToCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddReferenceToCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddReferenceToCell */
    Tcl_DStringAppendElement ( &dString, " Add a reference to a cell in a particular point's link list. (You may also\n consider using AddCellReference() to add the references from all the \n cell's points to the cell.) This operator does not realloc memory; use the\n operator ResizeCellList() to do this if necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddReferenceToCell (vtkIdType ptId, vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for AddReferenceToCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResizeCellList */
    if ( strcmp ( argv[2], "ResizeCellList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResizeCellList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResizeCellList */
    Tcl_DStringAppendElement ( &dString, " Resize the list of cells using a particular point. (This operator assumes\n that BuildLinks() has been called.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ResizeCellList (vtkIdType ptId, int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for ResizeCellList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Restore object to initial state. Release memory back to system.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateExtent */
    if ( strcmp ( argv[2], "GetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " We need this here to avoid hiding superclass method\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetUpdateExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateExtent */
    if ( strcmp ( argv[2], "GetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " We need this here to avoid hiding superclass method\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetUpdateExtent (int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPiece */
    if ( strcmp ( argv[2], "GetPiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPiece */
    Tcl_DStringAppendElement ( &dString, " Get the piece and the number of pieces. Similar to extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPiece ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetPiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPieces */
    if ( strcmp ( argv[2], "GetNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Get the piece and the number of pieces. Similar to extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetNumberOfPieces ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostLevel */
    if ( strcmp ( argv[2], "GetGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Get the ghost level.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGhostLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetActualMemorySize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveGhostCells */
    if ( strcmp ( argv[2], "RemoveGhostCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveGhostCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveGhostCells */
    Tcl_DStringAppendElement ( &dString, " This method will remove any cell that has a ghost level array value\n greater or equal to level.  It does not remove unused points (yet).\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveGhostCells (int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    /* Closing for RemoveGhostCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointSetCppCommand(static_cast<vtkPointSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
