// python wrapper for vtkPolygon object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolygon.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolygonNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolygonNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkPolygon_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  const char    *temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  vtkPolygon  *temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolygon  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolygon::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolygon_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkPolygon_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break11;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break11;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break11;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break11;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break11;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break11;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygon::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkPolygon_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break12;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break12;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break12;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break12;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break12;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygon::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkPolygon_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkPolygon *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::Triangulate(temp0);
      }
    else
      {
      temp20 = op->Triangulate(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkPolygon_IsPrimaryCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::IsPrimaryCell();
      }
    else
      {
      temp20 = op->IsPrimaryCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygon_ComputeNormal(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"O(ddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break15;
      {
      vtkPolygon::ComputeNormal(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  double temp2[3];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OO(ddd)", &tempH0, &tempH1, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break16;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break16;
      {
      vtkPolygon::ComputeNormal(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkPolygon_ComputeCentroid(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  double temp2[3];
  if ((PyArg_ParseTuple(args, (char*)"OO(ddd)", &tempH0, &tempH1, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break17;
      {
      vtkPolygon::ComputeCentroid(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkPolygon_NonDegenerateTriangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygon *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPolygon *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygon::NonDegenerateTriangulate(temp0);
      }
    else
      {
      temp20 = op->NonDegenerateTriangulate(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkPolygon_IntersectConvex2DCells(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  vtkCell  *temp1;
  PyObject *tempH1;
  double   temp2;
  double temp3[3];
  double temp4[3];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"OOd(ddd)(ddd)", &tempH0, &tempH1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp1 = (vtkCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCell");
    if (!temp1 && tempH1 != Py_None) goto break20;
      {
      temp20 = vtkPolygon::IntersectConvex2DCells(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkPolygonMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolygon_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolygon_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolygon_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolygon\nC++: vtkPolygon *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolygon_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolygon\nC++: vtkPolygon *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkPolygon_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_POLYGON \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkPolygon_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkPolygon_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return this GetNumberOfPoints \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkPolygon_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkPolygon_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkPolygon_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkPolygon_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkPolygon_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkPolygon_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *tris, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkPolygon_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\nV.Triangulate(vtkIdList) -> int\nC++: int Triangulate (vtkIdList *outTris);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"IsPrimaryCell",                (PyCFunction)PyvtkPolygon_IsPrimaryCell, 1,
   (char*)"V.IsPrimaryCell() -> int\nC++: int IsPrimaryCell ();return \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"ComputeNormal",                (PyCFunction)PyvtkPolygon_ComputeNormal, 1,
   (char*)"V.ComputeNormal(vtkPoints, (float, float, float))\nC++: static void ComputeNormal (vtkPoints *p, double n[3]);\nV.ComputeNormal(vtkIdTypeArray, vtkPoints, (float, float, float))\nC++: static void ComputeNormal (vtkIdTypeArray *ids, vtkPoints *pts, double n[3]);\n\n Polygon specific methods.\n"},
  {(char*)"ComputeCentroid",                (PyCFunction)PyvtkPolygon_ComputeCentroid, 1,
   (char*)"V.ComputeCentroid(vtkIdTypeArray, vtkPoints, (float, float, float))\nC++: static void ComputeCentroid (vtkIdTypeArray *ids, vtkPoints *pts, double centroid[3]);\n\n Compute the centroid of a set of points.\n"},
  {(char*)"NonDegenerateTriangulate",                (PyCFunction)PyvtkPolygon_NonDegenerateTriangulate, 1,
   (char*)"V.NonDegenerateTriangulate(vtkIdList) -> int\nC++: int NonDegenerateTriangulate (vtkIdList *outTris);\n\n Same as Triangulate(vtkIdList *outTris)\n but with a first pass to split the polygon into non-degenerate polygons.\n"},
  {(char*)"IntersectConvex2DCells",                (PyCFunction)PyvtkPolygon_IntersectConvex2DCells, 1,
   (char*)"V.IntersectConvex2DCells(vtkCell, vtkCell, float, (float, float, float), (float, float, float)) -> int\nC++: static int IntersectConvex2DCells (vtkCell *cell1, vtkCell *cell2, double tol, double p0[3], double p1[3]);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolygonDoc[] = {
  (char*)"vtkPolygon - a cell that represents an n-sided polygon\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkPolygon is a concrete implementation of vtkCell to represent a 2D\n n-sided polygon. The polygons cannot have any internal holes, and cannot\n self-intersect. Define the polygon with n-points ordered in the counter-\n clockwise direction; do not repeat the last point.\n\n",
  NULL
};

static vtkObjectBase *vtkPolygonStaticNew()
{
  return vtkPolygon::New();
}

PyObject *PyVTKClass_vtkPolygonNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolygonStaticNew,
                        PyvtkPolygonMethods,
                        (char*)"vtkPolygon",modulename,
                        (char**)vtkPolygonDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

