// python wrapper for vtkProcessObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProcessObject.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcessObjectNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcessObjectNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkProcessObject_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  const char    *temp20;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessObject::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  char    *temp0;
  int      temp20;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessObject::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  vtkProcessObject  *temp20;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessObject::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_GetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp20;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcessObject::GetNumberOfInputs();
      }
    else
      {
      temp20 = op->GetNumberOfInputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_SqueezeInputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::SqueezeInputArray();
      }
    else
      {
      op->SqueezeInputArray();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_RemoveAllInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::RemoveAllInputs();
      }
    else
      {
      op->RemoveAllInputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcessObject_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::SetInputConnection(temp0,temp1);
      }
    else
      {
      op->SetInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkProcessObject_AddInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::AddInputConnection(temp0,temp1);
      }
    else
      {
      op->AddInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::AddInputConnection(temp0);
      }
    else
      {
      op->AddInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkProcessObject_RemoveInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::RemoveInputConnection(temp0,temp1);
      }
    else
      {
      op->RemoveInputConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkProcessObject_SetNthInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp2;
  PyObject *tempH2;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAlgorithmOutput");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::SetNthInputConnection(temp0,temp1,temp2);
      }
    else
      {
      op->SetNthInputConnection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkProcessObject_SetNumberOfInputConnections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcessObject *op;

  int      temp0;
  int      temp1;
  op = (vtkProcessObject *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcessObject::SetNumberOfInputConnections(temp0,temp1);
      }
    else
      {
      op->SetNumberOfInputConnections(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProcessObjectMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProcessObject_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProcessObject_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProcessObject_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcessObject\nC++: vtkProcessObject *NewInstance ();\n\n"},
  {(char*)"GetNumberOfInputs",                (PyCFunction)PyvtkProcessObject_GetNumberOfInputs, 1,
   (char*)"V.GetNumberOfInputs() -> int\nC++: int GetNumberOfInputs ();\n\n Return an array with all the inputs of this process object.\n This is useful for tracing back in the pipeline to construct\n graphs etc.\n"},
  {(char*)"SqueezeInputArray",                (PyCFunction)PyvtkProcessObject_SqueezeInputArray, 1,
   (char*)"V.SqueezeInputArray()\nC++: void SqueezeInputArray ();\n\n This method will rearrange the input array so that all NULL entries \n are removed.\n"},
  {(char*)"RemoveAllInputs",                (PyCFunction)PyvtkProcessObject_RemoveAllInputs, 1,
   (char*)"V.RemoveAllInputs()\nC++: void RemoveAllInputs ();\n\n Remove all the input data.\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkProcessObject_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *input);this vtkAlgorithm SetInputConnection input \nV.SetInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (int port, vtkAlgorithmOutput *input);\n\n Reimplemented from vtkAlgorithm to maintain backward\n compatibility for vtkProcessObject.\n"},
  {(char*)"AddInputConnection",                (PyCFunction)PyvtkProcessObject_AddInputConnection, 1,
   (char*)"V.AddInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void AddInputConnection (int port, vtkAlgorithmOutput *input);\nV.AddInputConnection(vtkAlgorithmOutput)\nC++: virtual void AddInputConnection (vtkAlgorithmOutput *input);this AddInputConnection input \n\n Reimplemented from vtkAlgorithm to maintain backward\n compatibility for vtkProcessObject.\n"},
  {(char*)"RemoveInputConnection",                (PyCFunction)PyvtkProcessObject_RemoveInputConnection, 1,
   (char*)"V.RemoveInputConnection(int, vtkAlgorithmOutput)\nC++: virtual void RemoveInputConnection (int port, vtkAlgorithmOutput *input);\n\n Reimplemented from vtkAlgorithm to maintain backward\n compatibility for vtkProcessObject.\n"},
  {(char*)"SetNthInputConnection",                (PyCFunction)PyvtkProcessObject_SetNthInputConnection, 1,
   (char*)"V.SetNthInputConnection(int, int, vtkAlgorithmOutput)\nC++: virtual void SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input);\n\n Reimplemented from vtkAlgorithm to maintain backward\n compatibility for vtkProcessObject.\n"},
  {(char*)"SetNumberOfInputConnections",                (PyCFunction)PyvtkProcessObject_SetNumberOfInputConnections, 1,
   (char*)"V.SetNumberOfInputConnections(int, int)\nC++: virtual void SetNumberOfInputConnections (int port, int n);\n\n Reimplemented from vtkAlgorithm to maintain backward\n compatibility for vtkProcessObject.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProcessObjectDoc[] = {
  (char*)"vtkProcessObject - abstract class specifies interface for visualization filters\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkProcessObject is an abstract object that specifies behavior and\n interface of visualization network process objects (sources, filters,\n mappers). Source objects are creators of visualization data; filters\n input, process, and output visualization data; and mappers transform data\n into another form (like rendering primitives or write data to a file).\n\n vtkProcessObject fires events for Start an",
  (char*)"d End events before and after\n object execution (via Execute()). These events can be used for any purpose\n (e.g., debugging info, highlighting/notifying user interface, etc.)\n\n Another event, Progress, can be observed. Some filters fire this \n event periodically during their execution. The use is similar to that of \n Start and End events. Filters may also check their AbortExecute\n flag to determin",
  (char*)"e whether to prematurely end their execution.\n\n An important feature of subclasses of vtkProcessObject is that it is\n possible to control the memory-management model (i.e., retain output\n versus delete output data). If enabled the ReleaseDataFlag enables the\n deletion of the output data once the downstream process object finishes\n processing the data (please see text).  \n\n\n",
  "See Also:\n\n vtkDataObject vtkSource vtkFilter vtkMapper vtkWriter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkProcessObjectNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkProcessObjectMethods,
                        (char*)"vtkProcessObject",modulename,
                        (char**)vtkProcessObjectDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

