// python wrapper for vtkPropAssembly object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPropAssembly.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPropAssemblyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPropAssemblyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }

static PyObject *PyvtkPropAssembly_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  const char    *temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  char    *temp0;
  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkPropAssembly  *temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPropAssembly  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPropAssembly::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPropAssembly_AddPart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPropAssembly::AddPart(temp0);
      }
    else
      {
      op->AddPart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPropAssembly_RemovePart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPropAssembly::RemovePart(temp0);
      }
    else
      {
      op->RemovePart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPropAssembly_GetParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkPropCollection  *temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetParts();
      }
    else
      {
      temp20 = op->GetParts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPropAssembly_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPropAssembly_RenderVolumetricGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::RenderVolumetricGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderVolumetricGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPropAssembly_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkPropAssembly_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkPropAssembly::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkPropAssembly_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  double  *temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkPropAssembly::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPropAssembly_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  unsigned long     temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_InitPathTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPropAssembly::InitPathTraversal();
      }
    else
      {
      op->InitPathTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_GetNextPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  vtkAssemblyPath  *temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetNextPath();
      }
    else
      {
      temp20 = op->GetNextPath();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropAssembly_GetNumberOfPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropAssembly *op;

  int      temp20;
  op = (vtkPropAssembly *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropAssembly::GetNumberOfPaths();
      }
    else
      {
      temp20 = op->GetNumberOfPaths();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPropAssemblyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPropAssembly_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPropAssembly_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPropAssembly_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPropAssembly\nC++: vtkPropAssembly *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPropAssembly_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPropAssembly\nC++: vtkPropAssembly *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddPart",                (PyCFunction)PyvtkPropAssembly_AddPart, 1,
   (char*)"V.AddPart(vtkProp)\nC++: void AddPart (vtkProp *);\n\n Add a part to the list of parts.\n"},
  {(char*)"RemovePart",                (PyCFunction)PyvtkPropAssembly_RemovePart, 1,
   (char*)"V.RemovePart(vtkProp)\nC++: void RemovePart (vtkProp *);\n\n Remove a part from the list of parts,\n"},
  {(char*)"GetParts",                (PyCFunction)PyvtkPropAssembly_GetParts, 1,
   (char*)"V.GetParts() -> vtkPropCollection\nC++: vtkPropCollection *GetParts ();\n\n Return the list of parts.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkPropAssembly_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts.  The rendering process is\n recursive. The parts of each assembly are rendered only if the\n visibility for the prop is turned on.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPropAssembly_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts.  The rendering process is\n recursive. The parts of each assembly are rendered only if the\n visibility for the prop is turned on.\n"},
  {(char*)"RenderVolumetricGeometry",                (PyCFunction)PyvtkPropAssembly_RenderVolumetricGeometry, 1,
   (char*)"V.RenderVolumetricGeometry(vtkViewport) -> int\nC++: virtual int RenderVolumetricGeometry (vtkViewport *ren);\n\n Render this assembly and all its parts.  The rendering process is\n recursive. The parts of each assembly are rendered only if the\n visibility for the prop is turned on.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkPropAssembly_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: int RenderOverlay (vtkViewport *ren);\n\n Render this assembly and all its parts.  The rendering process is\n recursive. The parts of each assembly are rendered only if the\n visibility for the prop is turned on.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPropAssembly_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPropAssembly_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPropAssembly_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Get the bounds for this prop assembly as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n May return NULL in some cases (meaning the bounds is undefined).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPropAssembly_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *Prop);\n\n Shallow copy of this vtkPropAssembly.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkPropAssembly_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override default GetMTime method to also consider all of the\n prop assembly's parts.\n"},
  {(char*)"InitPathTraversal",                (PyCFunction)PyvtkPropAssembly_InitPathTraversal, 1,
   (char*)"V.InitPathTraversal()\nC++: void InitPathTraversal ();\n\n Methods to traverse the paths (i.e., leaf nodes) of a prop\n assembly. These methods should be contrasted to those that traverse the\n list of parts using GetParts().  GetParts() returns a list of children\n of this assembly, not necessarily the leaf nodes of the assembly. To use\n the methods below - first invoke InitPathTraversal() followed by\n repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer\n when the list is exhausted. (See the superclass vtkProp for more\n information about paths.)\n"},
  {(char*)"GetNextPath",                (PyCFunction)PyvtkPropAssembly_GetNextPath, 1,
   (char*)"V.GetNextPath() -> vtkAssemblyPath\nC++: vtkAssemblyPath *GetNextPath ();\n\n Methods to traverse the paths (i.e., leaf nodes) of a prop\n assembly. These methods should be contrasted to those that traverse the\n list of parts using GetParts().  GetParts() returns a list of children\n of this assembly, not necessarily the leaf nodes of the assembly. To use\n the methods below - first invoke InitPathTraversal() followed by\n repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer\n when the list is exhausted. (See the superclass vtkProp for more\n information about paths.)\n"},
  {(char*)"GetNumberOfPaths",                (PyCFunction)PyvtkPropAssembly_GetNumberOfPaths, 1,
   (char*)"V.GetNumberOfPaths() -> int\nC++: int GetNumberOfPaths ();\n\n Methods to traverse the paths (i.e., leaf nodes) of a prop\n assembly. These methods should be contrasted to those that traverse the\n list of parts using GetParts().  GetParts() returns a list of children\n of this assembly, not necessarily the leaf nodes of the assembly. To use\n the methods below - first invoke InitPathTraversal() followed by\n repeated calls to GetNextPath().  GetNextPath() returns a NULL pointer\n when the list is exhausted. (See the superclass vtkProp for more\n information about paths.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPropAssemblyDoc[] = {
  (char*)"vtkPropAssembly - create hierarchies of props\n\n",
  "Super Class:\n\n vtkProp\n\n",
  (char*)" vtkPropAssembly is an object that groups props and other prop assemblies\n into a tree-like hierarchy. The props can then be treated as a group\n (e.g., turning visibility on and off).\n\n A vtkPropAssembly object can be used in place of an vtkProp since it is a\n subclass of vtkProp. The difference is that vtkPropAssembly maintains a\n list of other prop and prop assembly instances (its \"parts\") that ",
  (char*)"form the\n assembly. Note that this process is recursive: you can create groups \n consisting of prop assemblies to arbitrary depth.\n\n vtkPropAssembly's and vtkProp's that compose a prop assembly need not be\n added to a renderer's list of props, as long as the parent assembly is in\n the prop list. This is because they are automatically renderered during\n the hierarchical traversal process.\n\n",
  "Caveats:\n\n vtkPropAssemblies can consist of hierarchies of assemblies, where one\n actor or assembly used in one hierarchy is also used in other\n hierarchies. However, make that there are no cycles (e.g.,\n parent->child->parent), this will cause program failure.\n\n",
  "See Also:\n\n vtkProp3D vtkActor vtkAssembly vtkActor2D vtkVolume\n\n",
  NULL
};

static vtkObjectBase *vtkPropAssemblyStaticNew()
{
  return vtkPropAssembly::New();
}

PyObject *PyVTKClass_vtkPropAssemblyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPropAssemblyStaticNew,
                        PyvtkPropAssemblyMethods,
                        (char*)"vtkPropAssembly",modulename,
                        (char**)vtkPropAssemblyDoc,
                        PyVTKClass_vtkPropNew(modulename));
}

