// python wrapper for vtkQuad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuad.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkQuad_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  const char    *temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  vtkQuad  *temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuad  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuad::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQuad_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkQuad_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break11;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break11;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break11;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break11;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break11;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break11;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkQuad::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkQuad_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkQuad_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  double temp0[3];
  int      temp20;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuad::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break14;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break14;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break14;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break14;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break14;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break14;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkQuad::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkQuad_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[4];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
      {
      vtkQuad::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[8];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7)))
    {
      {
      vtkQuad::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,8)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  double temp0[3];
  double temp1[4];
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuad::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuad_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuad *op;

  double temp0[3];
  double temp1[8];
  op = (vtkQuad *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuad::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,8)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQuadMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuad_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuad_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuad_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuad\nC++: vtkQuad *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuad_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuad\nC++: vtkQuad *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkQuad_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_QUAD \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkQuad_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkQuad_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkQuad_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkQuad_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkQuad_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkQuad_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkQuad_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkQuad_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkQuad_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the triangle in parametric coordinates.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkQuad_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Clip this quad using scalar value provided. Like contouring, except\n that it cuts the quad to produce other quads and/or triangles.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkQuad_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float, float, float, float))\nC++: static void InterpolationFunctions (double pcoords[3], double sf[4]);\n\n @deprecated Replaced by vtkQuad::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkQuad_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float, float, float, float, float, float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[8]);\n\n @deprecated Replaced by vtkQuad::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkQuad_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float, float, float, float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double sf[4]);vtkQuad InterpolationFunctions pcoords sf \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkQuad_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float, float, float, float, float, float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[8]);vtkQuad InterpolationDerivs pcoords derivs \n\n Return the ids of the vertices defining edge (`edgeId`).\n Ids are related to the cell, not to the dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadDoc[] = {
  (char*)"vtkQuad - a cell that represents a 2D quadrilateral\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkQuad is a concrete implementation of vtkCell to represent a 2D\n quadrilateral. vtkQuad is defined by the four points (0,1,2,3) in\n counterclockwise order. vtkQuad uses the standard isoparametric\n interpolation functions for a linear quadrilateral.\n\n",
  NULL
};

static vtkObjectBase *vtkQuadStaticNew()
{
  return vtkQuad::New();
}

PyObject *PyVTKClass_vtkQuadNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadStaticNew,
                        PyvtkQuadMethods,
                        (char*)"vtkQuad",modulename,
                        (char**)vtkQuadDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

