// python wrapper for vtkRectilinearGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRectilinearGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetNew(char *); }

static PyObject *PyvtkRectilinearGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  const char    *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRectilinearGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRectilinearGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetPoint(temp0);
      }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  double temp1[6];
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::FindPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  double temp0[3];
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::FindPoint(temp0);
      }
    else
      {
      temp20 = op->FindPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break21;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int     *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetDataDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetDataDimension();
      }
    else
      {
      temp20 = op->GetDataDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_ComputeStructuredCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  double temp0[3];
  int    temp1[3];
  double temp2[3];
  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(iii)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::ComputeStructuredCoordinates(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeStructuredCoordinates(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_ComputePointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int    temp0[3];
  vtkIdType   temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::ComputePointId(temp0);
      }
    else
      {
      temp20 = op->ComputePointId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_ComputeCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int    temp0[3];
  vtkIdType   temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::ComputeCellId(temp0);
      }
    else
      {
      temp20 = op->ComputeCellId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SetXCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetXCoordinates(temp0);
      }
    else
      {
      op->SetXCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetXCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetXCoordinates();
      }
    else
      {
      temp20 = op->GetXCoordinates();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SetYCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetYCoordinates(temp0);
      }
    else
      {
      op->SetYCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetYCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetYCoordinates();
      }
    else
      {
      temp20 = op->GetYCoordinates();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SetZCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetZCoordinates(temp0);
      }
    else
      {
      op->SetZCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetZCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataArray  *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetZCoordinates();
      }
    else
      {
      temp20 = op->GetZCoordinates();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int    temp0[6];
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int     *temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  unsigned long     temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  int      temp20;
  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGrid::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGrid_Crop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGrid::Crop();
      }
    else
      {
      op->Crop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRectilinearGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRectilinearGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkRectilinearGrid_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_RECTILINEAR_GRID \n\n Return what type of dataset this is.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkRectilinearGrid_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input rectilinear grid\n object.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkRectilinearGrid_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Restore object to initial state. Release memory back to system.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkRectilinearGrid_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkRectilinearGrid_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkRectilinearGrid_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: double *GetPoint (vtkIdType ptId);\nV.GetPoint(int, (float, float, float))\nC++: void GetPoint (vtkIdType id, double x[3]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkRectilinearGrid_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkRectilinearGrid_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkRectilinearGrid_FindPoint, 1,
   (char*)"V.FindPoint(float, float, float) -> int\nC++: int FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z \nV.FindPoint((float, float, float)) -> int\nC++: vtkIdType FindPoint (double x[3]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkRectilinearGrid_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: int GetCellType (vtkIdType cellId);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkRectilinearGrid_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this Dimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkRectilinearGrid_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this Dimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkRectilinearGrid_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: void ComputeBounds ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkRectilinearGrid_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: int GetMaxCellSize ();return \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkRectilinearGrid_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkRectilinearGrid_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int)\nC++: void SetDimensions (int i, int j, int k);\nV.SetDimensions((int, int, int))\nC++: void SetDimensions (int dim[3]);\n\n Set dimensions of rectilinear grid dataset.\n This also sets the extent.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkRectilinearGrid_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int)\nC++: int  *GetDimensions ();\n\n Get dimensions of this rectilinear grid dataset.\n"},
  {(char*)"GetDataDimension",                (PyCFunction)PyvtkRectilinearGrid_GetDataDimension, 1,
   (char*)"V.GetDataDimension() -> int\nC++: int GetDataDimension ();\n\n Return the dimensionality of the data.\n"},
  {(char*)"ComputeStructuredCoordinates",                (PyCFunction)PyvtkRectilinearGrid_ComputeStructuredCoordinates, 1,
   (char*)"V.ComputeStructuredCoordinates((float, float, float), (int, int, int), (float, float, float)) -> int\nC++: int ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3]);\n\n Convenience function computes the structured coordinates for a point x[3].\n The cell is specified by the array ijk[3], and the parametric coordinates\n in the cell are specified with pcoords[3]. The function returns a 0 if the\n point x is outside of the grid, and a 1 if inside the grid.\n"},
  {(char*)"ComputePointId",                (PyCFunction)PyvtkRectilinearGrid_ComputePointId, 1,
   (char*)"V.ComputePointId((int, int, int)) -> int\nC++: vtkIdType ComputePointId (int ijk[3]);\n\n Given a location in structured coordinates (i-j-k), return the point id.\n"},
  {(char*)"ComputeCellId",                (PyCFunction)PyvtkRectilinearGrid_ComputeCellId, 1,
   (char*)"V.ComputeCellId((int, int, int)) -> int\nC++: vtkIdType ComputeCellId (int ijk[3]);\n\n Given a location in structured coordinates (i-j-k), return the cell id.\n"},
  {(char*)"SetXCoordinates",                (PyCFunction)PyvtkRectilinearGrid_SetXCoordinates, 1,
   (char*)"V.SetXCoordinates(vtkDataArray)\nC++: virtual void SetXCoordinates (vtkDataArray *);\n\n Specify the grid coordinates in the x-direction.\n"},
  {(char*)"GetXCoordinates",                (PyCFunction)PyvtkRectilinearGrid_GetXCoordinates, 1,
   (char*)"V.GetXCoordinates() -> vtkDataArray\nC++: vtkDataArray *GetXCoordinates ();\n\n Specify the grid coordinates in the x-direction.\n"},
  {(char*)"SetYCoordinates",                (PyCFunction)PyvtkRectilinearGrid_SetYCoordinates, 1,
   (char*)"V.SetYCoordinates(vtkDataArray)\nC++: virtual void SetYCoordinates (vtkDataArray *);\n\n Specify the grid coordinates in the y-direction.\n"},
  {(char*)"GetYCoordinates",                (PyCFunction)PyvtkRectilinearGrid_GetYCoordinates, 1,
   (char*)"V.GetYCoordinates() -> vtkDataArray\nC++: vtkDataArray *GetYCoordinates ();\n\n Specify the grid coordinates in the y-direction.\n"},
  {(char*)"SetZCoordinates",                (PyCFunction)PyvtkRectilinearGrid_SetZCoordinates, 1,
   (char*)"V.SetZCoordinates(vtkDataArray)\nC++: virtual void SetZCoordinates (vtkDataArray *);\n\n Specify the grid coordinates in the z-direction.\n"},
  {(char*)"GetZCoordinates",                (PyCFunction)PyvtkRectilinearGrid_GetZCoordinates, 1,
   (char*)"V.GetZCoordinates() -> vtkDataArray\nC++: vtkDataArray *GetZCoordinates ();\n\n Specify the grid coordinates in the z-direction.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkRectilinearGrid_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkRectilinearGrid_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkRectilinearGrid_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkRectilinearGrid_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkRectilinearGrid_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkRectilinearGrid_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: int GetExtentType ();return VTK_3D_EXTENT \n\n Structured extent. The extent type is a 3D extent\n"},
  {(char*)"Crop",                (PyCFunction)PyvtkRectilinearGrid_Crop, 1,
   (char*)"V.Crop()\nC++: virtual void Crop ();\n\n Reallocates and copies to set the Extent to the UpdateExtent.\n This is used internally when the exact extent is requested, \n and the source generated more than the update extent. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearGridDoc[] = {
  (char*)"vtkRectilinearGrid - a dataset that is topologically regular with variable spacing in the three coordinate directions\n\n",
  "Super Class:\n\n vtkDataSet\n\n",
  (char*)" vtkRectilinearGrid is a data object that is a concrete implementation of\n vtkDataSet. vtkRectilinearGrid represents a geometric structure that is \n topologically regular with variable spacing in the three coordinate\n directions x-y-z.\n\n To define a vtkRectilinearGrid, you must specify the dimensions of the\n data and provide three arrays of values specifying the coordinates \n along the x-y-z axes.",
  (char*)" The coordinate arrays are specified using three \n vtkDataArray objects (one for x, one for y, one for z).\n\n",
  "Caveats:\n\n Make sure that the dimensions of the grid match the number of coordinates\n in the x-y-z directions. If not, unpredictable results (including\n program failure) may result. Also, you must supply coordinates in all\n three directions, even if the dataset topology is 2D, 1D, or 0D.\n\n",
  NULL
};

static vtkObjectBase *vtkRectilinearGridStaticNew()
{
  return vtkRectilinearGrid::New();
}

PyObject *PyVTKClass_vtkRectilinearGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkRectilinearGridStaticNew,
                        PyvtkRectilinearGridMethods,
                        (char*)"vtkRectilinearGrid",modulename,
                        (char**)vtkRectilinearGridDoc,
                        PyVTKClass_vtkDataSetNew(modulename));
}

