// python wrapper for vtkSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  const char    *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelection_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SetSelectionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::SetSelectionList(temp0);
      }
    else
      {
      op->SetSelectionList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSelection_GetSelectionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkAbstractArray  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetSelectionList();
      }
    else
      {
      temp20 = op->GetSelectionList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SetSelectionData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::SetSelectionData(temp0);
      }
    else
      {
      op->SetSelectionData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSelection_GetSelectionData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkFieldData  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetSelectionData();
      }
    else
      {
      temp20 = op->GetSelectionData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkInformation  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetProperties();
      }
    else
      {
      temp20 = op->GetProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetNumberOfChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetNumberOfChildren();
      }
    else
      {
      temp20 = op->GetNumberOfChildren();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp0;
  vtkSelection  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetChild(temp0);
      }
    else
      {
      temp20 = op->GetChild(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetParentNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetParentNode();
      }
    else
      {
      temp20 = op->GetParentNode();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_AddChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::AddChild(temp0);
      }
    else
      {
      op->AddChild(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkSelection_RemoveChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned int      temp0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveChild(temp0);
      }
    else
      {
      op->RemoveChild(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveChild(temp0);
      }
    else
      {
      op->RemoveChild(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkSelection_RemoveAllChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::RemoveAllChildren();
      }
    else
      {
      op->RemoveAllChildren();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkSelection_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkSelection_CopyChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::CopyChildren(temp0);
      }
    else
      {
      op->CopyChildren(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkSelection_Union(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::Union(temp0);
      }
    else
      {
      op->Union(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkSelection_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  unsigned long     temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_CONTENT_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::CONTENT_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::SetContentType(temp0);
      }
    else
      {
      op->SetContentType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetContentType();
      }
    else
      {
      temp20 = op->GetContentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_FIELD_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::FIELD_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp0;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelection::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection *op;

  int      temp20;
  op = (vtkSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelection::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_EPSILON(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDoubleKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::EPSILON();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_CONTAINING_CELLS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::CONTAINING_CELLS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_INVERSE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::INVERSE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_PIXEL_COUNT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::PIXEL_COUNT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SOURCE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::SOURCE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_SOURCE_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::SOURCE_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_PROP(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::PROP();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_PROP_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::PROP_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_PROCESS_ID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::PROCESS_ID();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_COMPOSITE_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::COMPOSITE_INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_HIERARCHICAL_LEVEL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::HIERARCHICAL_LEVEL();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_HIERARCHICAL_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::HIERARCHICAL_INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_INDEXED_VERTICES(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkSelection::INDEXED_VERTICES();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelection_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break43;
      {
      temp20 = vtkSelection::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break43:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkSelection  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break44;
      {
      temp20 = vtkSelection::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break44:
  return NULL;
}

static PyMethodDef PyvtkSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelection\nC++: vtkSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelection\nC++: vtkSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSelection_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkSelection_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_SELECTION \n\n Sets the selection list.\n"},
  {(char*)"SetSelectionList",                (PyCFunction)PyvtkSelection_SetSelectionList, 1,
   (char*)"V.SetSelectionList(vtkAbstractArray)\nC++: virtual void SetSelectionList (vtkAbstractArray *);\n\n Sets the selection list.\n"},
  {(char*)"GetSelectionList",                (PyCFunction)PyvtkSelection_GetSelectionList, 1,
   (char*)"V.GetSelectionList() -> vtkAbstractArray\nC++: virtual vtkAbstractArray *GetSelectionList ();\n\n Returns the selection list.\n"},
  {(char*)"SetSelectionData",                (PyCFunction)PyvtkSelection_SetSelectionData, 1,
   (char*)"V.SetSelectionData(vtkFieldData)\nC++: virtual void SetSelectionData (vtkFieldData *data);this SetFieldData data \n\n Returns the selection table.\n"},
  {(char*)"GetSelectionData",                (PyCFunction)PyvtkSelection_GetSelectionData, 1,
   (char*)"V.GetSelectionData() -> vtkFieldData\nC++: virtual vtkFieldData *GetSelectionData ();return this GetFieldData \n\n Returns the property map.\n"},
  {(char*)"GetProperties",                (PyCFunction)PyvtkSelection_GetProperties, 1,
   (char*)"V.GetProperties() -> vtkInformation\nC++: vtkInformation *GetProperties ();\n\n Returns the property map.\n"},
  {(char*)"GetNumberOfChildren",                (PyCFunction)PyvtkSelection_GetNumberOfChildren, 1,
   (char*)"V.GetNumberOfChildren() -> int\nC++: unsigned int GetNumberOfChildren ();\n\n Returns the number of children.\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkSelection_GetChild, 1,
   (char*)"V.GetChild(int) -> vtkSelection\nC++: virtual vtkSelection *GetChild (unsigned int idx);\n\n Returns a child given it's index. Performs bound checking\n and will return 0 if out-of-bounds.\n"},
  {(char*)"GetParentNode",                (PyCFunction)PyvtkSelection_GetParentNode, 1,
   (char*)"V.GetParentNode() -> vtkSelection\nC++: virtual vtkSelection *GetParentNode ();return this ParentNode \n\n Adds a child node. If the node is already a child, it is not\n added a second time. Note that a node can be a child of only\n one node at a time. This method will also set the parent of\n the passed node to this.\n"},
  {(char*)"AddChild",                (PyCFunction)PyvtkSelection_AddChild, 1,
   (char*)"V.AddChild(vtkSelection)\nC++: virtual void AddChild (vtkSelection *);\n\n Adds a child node. If the node is already a child, it is not\n added a second time. Note that a node can be a child of only\n one node at a time. This method will also set the parent of\n the passed node to this.\n"},
  {(char*)"RemoveChild",                (PyCFunction)PyvtkSelection_RemoveChild, 1,
   (char*)"V.RemoveChild(int)\nC++: virtual void RemoveChild (unsigned int idx);\nV.RemoveChild(vtkSelection)\nC++: virtual void RemoveChild (vtkSelection *);\n\n Removes a child. It will also set the parent of the removed\n child to be 0.\n"},
  {(char*)"RemoveAllChildren",                (PyCFunction)PyvtkSelection_RemoveAllChildren, 1,
   (char*)"V.RemoveAllChildren()\nC++: virtual void RemoveAllChildren ();\n\n Removes a child. It will also set the parent of the removed\n child to be 0.\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkSelection_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear ();\n\n Removes all properties and children. Removes selection list array.\n Does not change parent node.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSelection_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Copy properties, selection list and children of the input.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkSelection_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Copy properties, selection list and children of the input.\n This is a shallow copy: selection lists and pointers in the\n properties are passed by reference.\n"},
  {(char*)"CopyChildren",                (PyCFunction)PyvtkSelection_CopyChildren, 1,
   (char*)"V.CopyChildren(vtkSelection)\nC++: virtual void CopyChildren (vtkSelection *);\n\n Add the children of the given selection to this one. \n This requires that both selection objects have a SELECTIONS\n CONTENT_TYPE. Note that this does not check if a child with\n exact same properties exists before adding. If any child node\n that contains other selections is found in the input, it's\n children are added to a selection node of the same SOURCE_ID\n or PROP_ID. This handles the case of assemblies and composite\n datasets.\n"},
  {(char*)"Union",                (PyCFunction)PyvtkSelection_Union, 1,
   (char*)"V.Union(vtkSelection)\nC++: virtual void Union (vtkSelection *selection);\n\n Union this selection with the specified selection.\n The selection types must be identical.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSelection_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the properties\n"},
  {(char*)"CONTENT_TYPE",                (PyCFunction)PyvtkSelection_CONTENT_TYPE, 1,
   (char*)"V.CONTENT_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *CONTENT_TYPE ();\n\n Get the (primary) property that describes the content of a selection \n node's data. Other auxiliary description properties follow.\n SELECTIONS means that a vtkSelection contains sub selections.\n GLOBALIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n PEDIGREEIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n VALUES means the the selection list contains values from an \n arbitrary attribute array (ignores any globalids attribute)\n INDICES means that the selection list contains indexes into the \n cell or point arrays.\n FRUSTUM means the set of points and cells inside a frustum\n LOCATIONS means the set of points and cells near a set of positions\n THRESHOLDS means the points and cells with values within a set of ranges\n GetContentType() returns -1 if the content type is not set.\n"},
  {(char*)"SetContentType",                (PyCFunction)PyvtkSelection_SetContentType, 1,
   (char*)"V.SetContentType(int)\nC++: virtual void SetContentType (int type);\n\n Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n"},
  {(char*)"GetContentType",                (PyCFunction)PyvtkSelection_GetContentType, 1,
   (char*)"V.GetContentType() -> int\nC++: virtual int GetContentType ();\n\n Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n"},
  {(char*)"FIELD_TYPE",                (PyCFunction)PyvtkSelection_FIELD_TYPE, 1,
   (char*)"V.FIELD_TYPE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *FIELD_TYPE ();\n\n Controls whether cell, point, or field data determine what is inside and out.\n The default is CELL.\n Vertex and edge types are also available for graph classes.\n GetFieldType() returns -1 if the field type is not set.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkSelection_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: virtual void SetFieldType (int type);\n\n Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkSelection_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: virtual int GetFieldType ();\n\n Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n"},
  {(char*)"EPSILON",                (PyCFunction)PyvtkSelection_EPSILON, 1,
   (char*)"V.EPSILON() -> vtkInformationDoubleKey\nC++: static vtkInformationDoubleKey *EPSILON ();\n\n For location selection of points, if distance is greater than this reject.\n"},
  {(char*)"CONTAINING_CELLS",                (PyCFunction)PyvtkSelection_CONTAINING_CELLS, 1,
   (char*)"V.CONTAINING_CELLS() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *CONTAINING_CELLS ();\n\n This flag tells the extraction filter, when FIELD_TYPE==POINT, that\n it should also extract the cells that contain any of the extracted points.\n"},
  {(char*)"INVERSE",                (PyCFunction)PyvtkSelection_INVERSE, 1,
   (char*)"V.INVERSE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INVERSE ();\n\n This flag tells the extraction filter to exclude the selection.\n"},
  {(char*)"PIXEL_COUNT",                (PyCFunction)PyvtkSelection_PIXEL_COUNT, 1,
   (char*)"V.PIXEL_COUNT() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PIXEL_COUNT ();\n\n A helper for visible cell selector, this is the number of pixels covered\n by the actor whose cells are listed in the selection.\n"},
  {(char*)"SOURCE",                (PyCFunction)PyvtkSelection_SOURCE, 1,
   (char*)"V.SOURCE() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *SOURCE ();\n\n Pointer to the data or algorithm the selection belongs to.\n"},
  {(char*)"SOURCE_ID",                (PyCFunction)PyvtkSelection_SOURCE_ID, 1,
   (char*)"V.SOURCE_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *SOURCE_ID ();\n\n ID of the data or algorithm the selection belongs to. What\n ID means is application specific.\n"},
  {(char*)"PROP",                (PyCFunction)PyvtkSelection_PROP, 1,
   (char*)"V.PROP() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *PROP ();\n\n Pointer to the prop the selection belongs to.\n"},
  {(char*)"PROP_ID",                (PyCFunction)PyvtkSelection_PROP_ID, 1,
   (char*)"V.PROP_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PROP_ID ();\n\n ID of the prop the selection belongs to. What\n ID means is application specific.\n"},
  {(char*)"PROCESS_ID",                (PyCFunction)PyvtkSelection_PROCESS_ID, 1,
   (char*)"V.PROCESS_ID() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *PROCESS_ID ();\n\n Process id the selection is on.\n"},
  {(char*)"COMPOSITE_INDEX",                (PyCFunction)PyvtkSelection_COMPOSITE_INDEX, 1,
   (char*)"V.COMPOSITE_INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *COMPOSITE_INDEX ();\n\n Used to identify a node in composite datasets. \n"},
  {(char*)"HIERARCHICAL_LEVEL",                (PyCFunction)PyvtkSelection_HIERARCHICAL_LEVEL, 1,
   (char*)"V.HIERARCHICAL_LEVEL() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIERARCHICAL_LEVEL ();\n\n Used to identify a dataset in a hiererchical box dataset.\n"},
  {(char*)"HIERARCHICAL_INDEX",                (PyCFunction)PyvtkSelection_HIERARCHICAL_INDEX, 1,
   (char*)"V.HIERARCHICAL_INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *HIERARCHICAL_INDEX ();\n\n Used to identify a dataset in a hiererchical box dataset.\n"},
  {(char*)"INDEXED_VERTICES",                (PyCFunction)PyvtkSelection_INDEXED_VERTICES, 1,
   (char*)"V.INDEXED_VERTICES() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INDEXED_VERTICES ();\n\n This key is used when making visible vertex selection. It means\n that the cell ID selection has data about which vertices for each\n cell are visible.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkSelection_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkSelection\nC++: static vtkSelection *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkSelection\nC++: static vtkSelection *GetData (vtkInformationVector *v, int i);\n\n Retrieve a vtkSelection stored inside an invormation object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectionDoc[] = {
  (char*)"vtkSelection - A node in a selection tree. Used to store selection results.\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  "Caveats:\n\n Each node can have one parent and should not be added to more than one\n node as child. No SelectionList is created by default. It should be assigned.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectionStaticNew()
{
  return vtkSelection::New();
}

PyObject *PyVTKClass_vtkSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectionStaticNew,
                        PyvtkSelectionMethods,
                        (char*)"vtkSelection",modulename,
                        (char**)vtkSelectionDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

