// tcl wrapper for vtkSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelection.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSelectionNewCommand()
{
  vtkSelection *temp = vtkSelection::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSelectionCppCommand(vtkSelection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSelectionCppCommand(static_cast<vtkSelection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSelectionCppCommand(vtkSelection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSelection",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSelection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSelection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionList",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->SetSelectionList(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionList",argv[1]))&&(argc == 2))
    {
    vtkAbstractArray  *temp20;
    temp20 = (op)->GetSelectionList();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->SetSelectionData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionData",argv[1]))&&(argc == 2))
    {
    vtkFieldData  *temp20;
    temp20 = (op)->GetSelectionData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldData");
    return TCL_OK;
    }
  if ((!strcmp("GetProperties",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetProperties();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfChildren",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfChildren();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetChild",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkSelection  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetChild(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParentNode",argv[1]))&&(argc == 2))
    {
    vtkSelection  *temp20;
    temp20 = (op)->GetParentNode();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
  if ((!strcmp("AddChild",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->AddChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveChild",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveChild",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->RemoveChild(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllChildren",argv[1]))&&(argc == 2))
    {
    op->RemoveAllChildren();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyChildren",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->CopyChildren(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Union",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->Union(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CONTENT_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->CONTENT_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SetContentType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetContentType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetContentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FIELD_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SetFieldType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EPSILON",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleKey  *temp20;
    temp20 = (op)->EPSILON();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleKey");
    return TCL_OK;
    }
  if ((!strcmp("CONTAINING_CELLS",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->CONTAINING_CELLS();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INVERSE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INVERSE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("PIXEL_COUNT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->PIXEL_COUNT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SOURCE",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->SOURCE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("SOURCE_ID",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->SOURCE_ID();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("PROP",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->PROP();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("PROP_ID",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->PROP_ID();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("PROCESS_ID",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->PROCESS_ID();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("COMPOSITE_INDEX",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->COMPOSITE_INDEX();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("HIERARCHICAL_LEVEL",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->HIERARCHICAL_LEVEL();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("HIERARCHICAL_INDEX",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->HIERARCHICAL_INDEX();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INDEXED_VERTICES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INDEXED_VERTICES();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSelectionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSelection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionList\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionData\n",NULL);
    Tcl_AppendResult(interp,"  GetProperties\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfChildren\n",NULL);
    Tcl_AppendResult(interp,"  GetChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParentNode\n",NULL);
    Tcl_AppendResult(interp,"  AddChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllChildren\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyChildren\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Union\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  CONTENT_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  SetContentType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContentType\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldType\n",NULL);
    Tcl_AppendResult(interp,"  EPSILON\n",NULL);
    Tcl_AppendResult(interp,"  CONTAINING_CELLS\n",NULL);
    Tcl_AppendResult(interp,"  INVERSE\n",NULL);
    Tcl_AppendResult(interp,"  PIXEL_COUNT\n",NULL);
    Tcl_AppendResult(interp,"  SOURCE\n",NULL);
    Tcl_AppendResult(interp,"  SOURCE_ID\n",NULL);
    Tcl_AppendResult(interp,"  PROP\n",NULL);
    Tcl_AppendResult(interp,"  PROP_ID\n",NULL);
    Tcl_AppendResult(interp,"  PROCESS_ID\n",NULL);
    Tcl_AppendResult(interp,"  COMPOSITE_INDEX\n",NULL);
    Tcl_AppendResult(interp,"  HIERARCHICAL_LEVEL\n",NULL);
    Tcl_AppendResult(interp,"  HIERARCHICAL_INDEX\n",NULL);
    Tcl_AppendResult(interp,"  INDEXED_VERTICES\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionList" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionList" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionData" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionData" );
    Tcl_DStringAppendElement ( &dString, "GetProperties" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    Tcl_DStringAppendElement ( &dString, "GetChild" );
    Tcl_DStringAppendElement ( &dString, "GetParentNode" );
    Tcl_DStringAppendElement ( &dString, "AddChild" );
    Tcl_DStringAppendElement ( &dString, "RemoveChild" );
    Tcl_DStringAppendElement ( &dString, "RemoveChild" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllChildren" );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "CopyChildren" );
    Tcl_DStringAppendElement ( &dString, "Union" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "CONTENT_TYPE" );
    Tcl_DStringAppendElement ( &dString, "SetContentType" );
    Tcl_DStringAppendElement ( &dString, "GetContentType" );
    Tcl_DStringAppendElement ( &dString, "FIELD_TYPE" );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    Tcl_DStringAppendElement ( &dString, "EPSILON" );
    Tcl_DStringAppendElement ( &dString, "CONTAINING_CELLS" );
    Tcl_DStringAppendElement ( &dString, "INVERSE" );
    Tcl_DStringAppendElement ( &dString, "PIXEL_COUNT" );
    Tcl_DStringAppendElement ( &dString, "SOURCE" );
    Tcl_DStringAppendElement ( &dString, "SOURCE_ID" );
    Tcl_DStringAppendElement ( &dString, "PROP" );
    Tcl_DStringAppendElement ( &dString, "PROP_ID" );
    Tcl_DStringAppendElement ( &dString, "PROCESS_ID" );
    Tcl_DStringAppendElement ( &dString, "COMPOSITE_INDEX" );
    Tcl_DStringAppendElement ( &dString, "HIERARCHICAL_LEVEL" );
    Tcl_DStringAppendElement ( &dString, "HIERARCHICAL_INDEX" );
    Tcl_DStringAppendElement ( &dString, "INDEXED_VERTICES" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Restore data object to initial state,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Sets the selection list.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType ();return VTK_SELECTION " );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionList */
    if ( strcmp ( argv[2], "SetSelectionList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionList */
    Tcl_DStringAppendElement ( &dString, " Sets the selection list.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionList (vtkAbstractArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SetSelectionList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionList */
    if ( strcmp ( argv[2], "GetSelectionList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionList */
    Tcl_DStringAppendElement ( &dString, " Returns the selection list.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractArray *GetSelectionList ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetSelectionList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionData */
    if ( strcmp ( argv[2], "SetSelectionData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionData */
    Tcl_DStringAppendElement ( &dString, " Returns the selection table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionData (vtkFieldData *data);this SetFieldData data " );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SetSelectionData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionData */
    if ( strcmp ( argv[2], "GetSelectionData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionData */
    Tcl_DStringAppendElement ( &dString, " Returns the property map.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkFieldData *GetSelectionData ();return this GetFieldData " );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetSelectionData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperties */
    if ( strcmp ( argv[2], "GetProperties" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperties" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperties */
    Tcl_DStringAppendElement ( &dString, " Returns the property map.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetProperties ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetProperties */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfChildren */
    if ( strcmp ( argv[2], "GetNumberOfChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfChildren */
    Tcl_DStringAppendElement ( &dString, " Returns the number of children.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfChildren ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetNumberOfChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChild */
    if ( strcmp ( argv[2], "GetChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChild */
    Tcl_DStringAppendElement ( &dString, " Returns a child given it's index. Performs bound checking\n and will return 0 if out-of-bounds.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *GetChild (unsigned int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParentNode */
    if ( strcmp ( argv[2], "GetParentNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParentNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParentNode */
    Tcl_DStringAppendElement ( &dString, " Adds a child node. If the node is already a child, it is not\n added a second time. Note that a node can be a child of only\n one node at a time. This method will also set the parent of\n the passed node to this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *GetParentNode ();return this ParentNode " );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetParentNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddChild */
    if ( strcmp ( argv[2], "AddChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddChild */
    Tcl_DStringAppendElement ( &dString, " Adds a child node. If the node is already a child, it is not\n added a second time. Note that a node can be a child of only\n one node at a time. This method will also set the parent of\n the passed node to this.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddChild (vtkSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for AddChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveChild */
    if ( strcmp ( argv[2], "RemoveChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveChild */
    Tcl_DStringAppendElement ( &dString, " Removes a child. It will also set the parent of the removed\n child to be 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveChild (unsigned int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for RemoveChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveChild */
    if ( strcmp ( argv[2], "RemoveChild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveChild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveChild */
    Tcl_DStringAppendElement ( &dString, " Removes a child. It will also set the parent of the removed\n child to be 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveChild (vtkSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for RemoveChild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllChildren */
    if ( strcmp ( argv[2], "RemoveAllChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllChildren */
    Tcl_DStringAppendElement ( &dString, " Removes a child. It will also set the parent of the removed\n child to be 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllChildren ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for RemoveAllChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clear */
    if ( strcmp ( argv[2], "Clear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clear */
    Tcl_DStringAppendElement ( &dString, " Removes all properties and children. Removes selection list array.\n Does not change parent node.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Clear ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for Clear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Copy properties, selection list and children of the input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Copy properties, selection list and children of the input.\n This is a shallow copy: selection lists and pointers in the\n properties are passed by reference.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyChildren */
    if ( strcmp ( argv[2], "CopyChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyChildren */
    Tcl_DStringAppendElement ( &dString, " Add the children of the given selection to this one. \n This requires that both selection objects have a SELECTIONS\n CONTENT_TYPE. Note that this does not check if a child with\n exact same properties exists before adding. If any child node\n that contains other selections is found in the input, it's\n children are added to a selection node of the same SOURCE_ID\n or PROP_ID. This handles the case of assemblies and composite\n datasets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyChildren (vtkSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for CopyChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Union */
    if ( strcmp ( argv[2], "Union" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Union" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Union */
    Tcl_DStringAppendElement ( &dString, " Union this selection with the specified selection.\n The selection types must be identical.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Union (vtkSelection *selection);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for Union */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime taking into account changes to the properties\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CONTENT_TYPE */
    if ( strcmp ( argv[2], "CONTENT_TYPE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CONTENT_TYPE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CONTENT_TYPE */
    Tcl_DStringAppendElement ( &dString, " Get the (primary) property that describes the content of a selection \n node's data. Other auxiliary description properties follow.\n SELECTIONS means that a vtkSelection contains sub selections.\n GLOBALIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n PEDIGREEIDS means that the selection list contains values from the\n vtkDataSetAttribute array of the same name.\n VALUES means the the selection list contains values  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *CONTENT_TYPE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for CONTENT_TYPE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContentType */
    if ( strcmp ( argv[2], "SetContentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContentType */
    Tcl_DStringAppendElement ( &dString, " Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetContentType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SetContentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContentType */
    if ( strcmp ( argv[2], "GetContentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContentType */
    Tcl_DStringAppendElement ( &dString, " Get or set the content type of the selection.\n This is the same as setting the CONTENT_TYPE() key on the property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetContentType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetContentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FIELD_TYPE */
    if ( strcmp ( argv[2], "FIELD_TYPE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FIELD_TYPE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FIELD_TYPE */
    Tcl_DStringAppendElement ( &dString, " Controls whether cell, point, or field data determine what is inside and out.\n The default is CELL.\n Vertex and edge types are also available for graph classes.\n GetFieldType() returns -1 if the field type is not set.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *FIELD_TYPE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for FIELD_TYPE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldType */
    if ( strcmp ( argv[2], "SetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldType */
    Tcl_DStringAppendElement ( &dString, " Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldType (int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldType */
    if ( strcmp ( argv[2], "GetFieldType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldType */
    Tcl_DStringAppendElement ( &dString, " Get or set the field type of the selection.\n This is the same as setting the FIELD_TYPE() key on the property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetFieldType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetFieldType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EPSILON */
    if ( strcmp ( argv[2], "EPSILON" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EPSILON" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EPSILON */
    Tcl_DStringAppendElement ( &dString, " For location selection of points, if distance is greater than this reject.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleKey *EPSILON ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for EPSILON */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CONTAINING_CELLS */
    if ( strcmp ( argv[2], "CONTAINING_CELLS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CONTAINING_CELLS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CONTAINING_CELLS */
    Tcl_DStringAppendElement ( &dString, " This flag tells the extraction filter, when FIELD_TYPE==POINT, that\n it should also extract the cells that contain any of the extracted points.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *CONTAINING_CELLS ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for CONTAINING_CELLS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: INVERSE */
    if ( strcmp ( argv[2], "INVERSE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "INVERSE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for INVERSE */
    Tcl_DStringAppendElement ( &dString, " This flag tells the extraction filter to exclude the selection.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *INVERSE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for INVERSE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PIXEL_COUNT */
    if ( strcmp ( argv[2], "PIXEL_COUNT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PIXEL_COUNT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PIXEL_COUNT */
    Tcl_DStringAppendElement ( &dString, " A helper for visible cell selector, this is the number of pixels covered\n by the actor whose cells are listed in the selection.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *PIXEL_COUNT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for PIXEL_COUNT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SOURCE */
    if ( strcmp ( argv[2], "SOURCE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SOURCE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SOURCE */
    Tcl_DStringAppendElement ( &dString, " Pointer to the data or algorithm the selection belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationObjectBaseKey *SOURCE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SOURCE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SOURCE_ID */
    if ( strcmp ( argv[2], "SOURCE_ID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SOURCE_ID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SOURCE_ID */
    Tcl_DStringAppendElement ( &dString, " ID of the data or algorithm the selection belongs to. What\n ID means is application specific.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *SOURCE_ID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for SOURCE_ID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PROP */
    if ( strcmp ( argv[2], "PROP" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PROP" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PROP */
    Tcl_DStringAppendElement ( &dString, " Pointer to the prop the selection belongs to.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationObjectBaseKey *PROP ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for PROP */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PROP_ID */
    if ( strcmp ( argv[2], "PROP_ID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PROP_ID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PROP_ID */
    Tcl_DStringAppendElement ( &dString, " ID of the prop the selection belongs to. What\n ID means is application specific.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *PROP_ID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for PROP_ID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PROCESS_ID */
    if ( strcmp ( argv[2], "PROCESS_ID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PROCESS_ID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PROCESS_ID */
    Tcl_DStringAppendElement ( &dString, " Process id the selection is on.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *PROCESS_ID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for PROCESS_ID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: COMPOSITE_INDEX */
    if ( strcmp ( argv[2], "COMPOSITE_INDEX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "COMPOSITE_INDEX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for COMPOSITE_INDEX */
    Tcl_DStringAppendElement ( &dString, " Used to identify a node in composite datasets. \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *COMPOSITE_INDEX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for COMPOSITE_INDEX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HIERARCHICAL_LEVEL */
    if ( strcmp ( argv[2], "HIERARCHICAL_LEVEL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HIERARCHICAL_LEVEL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HIERARCHICAL_LEVEL */
    Tcl_DStringAppendElement ( &dString, " Used to identify a dataset in a hiererchical box dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *HIERARCHICAL_LEVEL ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for HIERARCHICAL_LEVEL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HIERARCHICAL_INDEX */
    if ( strcmp ( argv[2], "HIERARCHICAL_INDEX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HIERARCHICAL_INDEX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HIERARCHICAL_INDEX */
    Tcl_DStringAppendElement ( &dString, " Used to identify a dataset in a hiererchical box dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *HIERARCHICAL_INDEX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for HIERARCHICAL_INDEX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: INDEXED_VERTICES */
    if ( strcmp ( argv[2], "INDEXED_VERTICES" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "INDEXED_VERTICES" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for INDEXED_VERTICES */
    Tcl_DStringAppendElement ( &dString, " This key is used when making visible vertex selection. It means\n that the cell ID selection has data about which vertices for each\n cell are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *INDEXED_VERTICES ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for INDEXED_VERTICES */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve a vtkSelection stored inside an invormation object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *GetData (vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve a vtkSelection stored inside an invormation object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSelection *GetData (vtkInformationVector *v, int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
