// python wrapper for vtkSimpleCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSimpleCellTessellator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimpleCellTessellatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimpleCellTessellatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericCellTessellatorNew(char *); }

static PyObject *PyvtkSimpleCellTessellator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  const char    *temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  char    *temp0;
  int      temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkSimpleCellTessellator  *temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimpleCellTessellator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimpleCellTessellator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_GetGenericCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkGenericAdaptorCell  *temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::GetGenericCell();
      }
    else
      {
      temp20 = op->GetGenericCell();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_TessellateFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOiOOO", &tempH0, &tempH1, &temp2, &tempH3, &tempH4, &tempH5);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp3 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDoubleArray");
    if (!temp3 && tempH3 != Py_None) goto break5;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break5;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_Tessellate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkDoubleArray  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDoubleArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break6;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::Tessellate(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->Tessellate(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkDoubleArray  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4);
  if (op)
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDoubleArray");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break7;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::Triangulate(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->Triangulate(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  vtkGenericDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericDataSet");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_GetFixedSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::GetFixedSubdivisions();
      }
    else
      {
      temp20 = op->GetFixedSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_GetMaxSubdivisionLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::GetMaxSubdivisionLevel();
      }
    else
      {
      temp20 = op->GetMaxSubdivisionLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_GetMaxAdaptiveSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp20;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleCellTessellator::GetMaxAdaptiveSubdivisions();
      }
    else
      {
      temp20 = op->GetMaxAdaptiveSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_SetFixedSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp0;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::SetFixedSubdivisions(temp0);
      }
    else
      {
      op->SetFixedSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_SetMaxSubdivisionLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp0;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::SetMaxSubdivisionLevel(temp0);
      }
    else
      {
      op->SetMaxSubdivisionLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleCellTessellator_SetSubdivisionLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleCellTessellator *op;

  int      temp0;
  int      temp1;
  op = (vtkSimpleCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleCellTessellator::SetSubdivisionLevels(temp0,temp1);
      }
    else
      {
      op->SetSubdivisionLevels(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimpleCellTessellatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimpleCellTessellator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimpleCellTessellator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimpleCellTessellator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimpleCellTessellator\nC++: vtkSimpleCellTessellator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimpleCellTessellator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimpleCellTessellator\nC++: vtkSimpleCellTessellator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetGenericCell",                (PyCFunction)PyvtkSimpleCellTessellator_GetGenericCell, 1,
   (char*)"V.GetGenericCell() -> vtkGenericAdaptorCell\nC++: vtkGenericAdaptorCell *GetGenericCell ();\n\n Get the higher order cell in order to access the evaluation function.\n"},
  {(char*)"TessellateFace",                (PyCFunction)PyvtkSimpleCellTessellator_TessellateFace, 1,
   (char*)"V.TessellateFace(vtkGenericAdaptorCell, vtkGenericAttributeCollection, int, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: void TessellateFace (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);\n\n Tessellate a face of a 3D `cell'. The face is specified by the\n index value.\n The result is a set of smaller linear triangles in `cellArray' with\n `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"Tessellate",                (PyCFunction)PyvtkSimpleCellTessellator_Tessellate, 1,
   (char*)"V.Tessellate(vtkGenericAdaptorCell, vtkGenericAttributeCollection, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: void Tessellate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);\n\n Tessellate a 3D `cell'. The result is a set of smaller linear\n tetrahedra in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkSimpleCellTessellator_Triangulate, 1,
   (char*)"V.Triangulate(vtkGenericAdaptorCell, vtkGenericAttributeCollection, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: void Triangulate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd);\n\n Triangulate a 2D `cell'. The result is a set of smaller linear triangles\n in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==2\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkSimpleCellTessellator_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reset the output for repeated use of this class.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSimpleCellTessellator_Initialize, 1,
   (char*)"V.Initialize(vtkGenericDataSet)\nC++: void Initialize (vtkGenericDataSet *ds);\n\n Initialize the tessellator with a data set `ds'.\n"},
  {(char*)"GetFixedSubdivisions",                (PyCFunction)PyvtkSimpleCellTessellator_GetFixedSubdivisions, 1,
   (char*)"V.GetFixedSubdivisions() -> int\nC++: int GetFixedSubdivisions ();\n\n Return the number of fixed subdivisions. It is used to prevent from\n infinite loop in degenerated cases. For order 3 or higher, if the\n inflection point is exactly on the mid-point, error metric will not\n detect that a subdivision is required. 0 means no fixed subdivision:\n there will be only adaptive subdivisions.\n\n The algorithm first performs `GetFixedSubdivisions' non adaptive\n subdivisions followed by at most `GetMaxAdaptiveSubdivisions' adaptive\n subdivisions. Hence, there are at most `GetMaxSubdivisionLevel'\n subdivisions.\n \\post positive_result: result>=0 && result<=GetMaxSubdivisionLevel()\n"},
  {(char*)"GetMaxSubdivisionLevel",                (PyCFunction)PyvtkSimpleCellTessellator_GetMaxSubdivisionLevel, 1,
   (char*)"V.GetMaxSubdivisionLevel() -> int\nC++: int GetMaxSubdivisionLevel ();\n\n Return the maximum level of subdivision. It is used to prevent from\n infinite loop in degenerated cases. For order 3 or higher, if the\n inflection point is exactly on the mid-point, error metric will not\n detect that a subdivision is required. 0 means no subdivision,\n neither fixed nor adaptive.\n \\post positive_result: result>=GetFixedSubdivisions()\n"},
  {(char*)"GetMaxAdaptiveSubdivisions",                (PyCFunction)PyvtkSimpleCellTessellator_GetMaxAdaptiveSubdivisions, 1,
   (char*)"V.GetMaxAdaptiveSubdivisions() -> int\nC++: int GetMaxAdaptiveSubdivisions ();\n\n Return the maximum number of adaptive subdivisions.\n \\post valid_result: result==GetMaxSubdivisionLevel()-GetFixedSubdivisions()\n"},
  {(char*)"SetFixedSubdivisions",                (PyCFunction)PyvtkSimpleCellTessellator_SetFixedSubdivisions, 1,
   (char*)"V.SetFixedSubdivisions(int)\nC++: void SetFixedSubdivisions (int level);\n\n Set the number of fixed subdivisions. See GetFixedSubdivisions() for\n more explanations.\n \\pre positive_level: level>=0 && level<=GetMaxSubdivisionLevel()\n \\post is_set: GetFixedSubdivisions()==level\n"},
  {(char*)"SetMaxSubdivisionLevel",                (PyCFunction)PyvtkSimpleCellTessellator_SetMaxSubdivisionLevel, 1,
   (char*)"V.SetMaxSubdivisionLevel(int)\nC++: void SetMaxSubdivisionLevel (int level);\n\n Set the maximum level of subdivision. See GetMaxSubdivisionLevel() for\n more explanations.\n \\pre positive_level: level>=GetFixedSubdivisions()\n \\post is_set: level==GetMaxSubdivisionLevel()\n"},
  {(char*)"SetSubdivisionLevels",                (PyCFunction)PyvtkSimpleCellTessellator_SetSubdivisionLevels, 1,
   (char*)"V.SetSubdivisionLevels(int, int)\nC++: void SetSubdivisionLevels (int fixed, int maxLevel);\n\n Set both the number of fixed subdivisions and the maximum level of\n subdivisions. See GetFixedSubdivisions(), GetMaxSubdivisionLevel() and\n GetMaxAdaptiveSubdivisions() for more explanations.\n \\pre positive_fixed: fixed>=0\n \\pre valid_range: fixed<=maxLevel\n \\post fixed_is_set: fixed==GetFixedSubdivisions()\n \\post maxLevel_is_set: maxLevel==GetMaxSubdivisionLevel()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimpleCellTessellatorDoc[] = {
  (char*)"vtkSimpleCellTessellator - helper class to perform cell tessellation\n\n",
  "Super Class:\n\n vtkGenericCellTessellator\n\n",
  (char*)" vtkSimpleCellTessellator is a helper class to perform adaptive tessellation\n of particular cell topologies. The major purpose for this class is to\n transform higher-order cell types (e.g., higher-order finite elements)\n into linear cells that can then be easily visualized by VTK. This class\n works in conjunction with the vtkGenericDataSet and vtkGenericAdaptorCell\n classes.\n\n This algorithm is ba",
  (char*)"sed on edge subdivision. An error metric along each\n edge is evaluated, and if the error is greater than some tolerance, the\n edge is subdivided (as well as all connected 2D and 3D cells). The process\n repeats until the error metric is satisfied. Since the algorithm is based\n on edge subdivision it inherently avoid T-junctions.\n\n A significant issue addressed by this algorithm is to insure face\n c",
  (char*)"ompatibility across neigboring cells. That is, diagonals due to face\n triangulation must match to insure that the mesh is compatible. The\n algorithm employs a precomputed table to accelerate the tessellation\n process. The table was generated with the help of vtkOrderedTriangulator\n the basic idea is that the choice of diagonal is made only by considering the\n relative value of the point ids.\n\n\n",
  "See Also:\n\n vtkGenericCellTessellator vtkGenericSubdivisionErrorMetric vtkAttributesErrorMetric \n vtkGeometricErrorMetric vtkViewDependentErrorMetric\n\n",
  NULL
};

static vtkObjectBase *vtkSimpleCellTessellatorStaticNew()
{
  return vtkSimpleCellTessellator::New();
}

PyObject *PyVTKClass_vtkSimpleCellTessellatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimpleCellTessellatorStaticNew,
                        PyvtkSimpleCellTessellatorMethods,
                        (char*)"vtkSimpleCellTessellator",modulename,
                        (char**)vtkSimpleCellTessellatorDoc,
                        PyVTKClass_vtkGenericCellTessellatorNew(modulename));
}

