// python wrapper for vtkSimpleScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSimpleScalarTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimpleScalarTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimpleScalarTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkScalarTreeNew(char *); }

static PyObject *PyvtkSimpleScalarTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  const char    *temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  vtkSimpleScalarTree  *temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimpleScalarTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimpleScalarTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_SetBranchingFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp0;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleScalarTree::SetBranchingFactor(temp0);
      }
    else
      {
      op->SetBranchingFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetBranchingFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetBranchingFactorMinValue();
      }
    else
      {
      temp20 = op->GetBranchingFactorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetBranchingFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetBranchingFactorMaxValue();
      }
    else
      {
      temp20 = op->GetBranchingFactorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetBranchingFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetBranchingFactor();
      }
    else
      {
      temp20 = op->GetBranchingFactor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_SetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp0;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleScalarTree::SetMaxLevel(temp0);
      }
    else
      {
      op->SetMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetMaxLevelMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetMaxLevelMinValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetMaxLevelMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetMaxLevelMaxValue();
      }
    else
      {
      temp20 = op->GetMaxLevelMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_GetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  int      temp20;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleScalarTree::GetMaxLevel();
      }
    else
      {
      temp20 = op->GetMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_BuildTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleScalarTree::BuildTree();
      }
    else
      {
      op->BuildTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleScalarTree::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleScalarTree_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleScalarTree *op;

  double   temp0;
  op = (vtkSimpleScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleScalarTree::InitTraversal(temp0);
      }
    else
      {
      op->InitTraversal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimpleScalarTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimpleScalarTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard type related macros and PrintSelf() method.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimpleScalarTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard type related macros and PrintSelf() method.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimpleScalarTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimpleScalarTree\nC++: vtkSimpleScalarTree *NewInstance ();\n\n Standard type related macros and PrintSelf() method.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimpleScalarTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimpleScalarTree\nC++: vtkSimpleScalarTree *SafeDownCast (vtkObject* o);\n\n Standard type related macros and PrintSelf() method.\n"},
  {(char*)"SetBranchingFactor",                (PyCFunction)PyvtkSimpleScalarTree_SetBranchingFactor, 1,
   (char*)"V.SetBranchingFactor(int)\nC++: void SetBranchingFactor (int );\n\n Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n"},
  {(char*)"GetBranchingFactorMinValue",                (PyCFunction)PyvtkSimpleScalarTree_GetBranchingFactorMinValue, 1,
   (char*)"V.GetBranchingFactorMinValue() -> int\nC++: int GetBranchingFactorMinValue ();\n\n Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n"},
  {(char*)"GetBranchingFactorMaxValue",                (PyCFunction)PyvtkSimpleScalarTree_GetBranchingFactorMaxValue, 1,
   (char*)"V.GetBranchingFactorMaxValue() -> int\nC++: int GetBranchingFactorMaxValue ();\n\n Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n"},
  {(char*)"GetBranchingFactor",                (PyCFunction)PyvtkSimpleScalarTree_GetBranchingFactor, 1,
   (char*)"V.GetBranchingFactor() -> int\nC++: int GetBranchingFactor ();\n\n Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkSimpleScalarTree_GetLevel, 1,
   (char*)"V.GetLevel() -> int\nC++: int GetLevel ();\n\n Get the level of the scalar tree. This value may change each time the\n scalar tree is built and the branching factor changes.\n"},
  {(char*)"SetMaxLevel",                (PyCFunction)PyvtkSimpleScalarTree_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel (int );\n\n Set the maximum allowable level for the tree. \n"},
  {(char*)"GetMaxLevelMinValue",                (PyCFunction)PyvtkSimpleScalarTree_GetMaxLevelMinValue, 1,
   (char*)"V.GetMaxLevelMinValue() -> int\nC++: int GetMaxLevelMinValue ();\n\n Set the maximum allowable level for the tree. \n"},
  {(char*)"GetMaxLevelMaxValue",                (PyCFunction)PyvtkSimpleScalarTree_GetMaxLevelMaxValue, 1,
   (char*)"V.GetMaxLevelMaxValue() -> int\nC++: int GetMaxLevelMaxValue ();\n\n Set the maximum allowable level for the tree. \n"},
  {(char*)"GetMaxLevel",                (PyCFunction)PyvtkSimpleScalarTree_GetMaxLevel, 1,
   (char*)"V.GetMaxLevel() -> int\nC++: int GetMaxLevel ();\n\n Set the maximum allowable level for the tree. \n"},
  {(char*)"BuildTree",                (PyCFunction)PyvtkSimpleScalarTree_BuildTree, 1,
   (char*)"V.BuildTree()\nC++: virtual void BuildTree ();\n\n Construct the scalar tree from the dataset provided. Checks build times\n and modified time from input and reconstructs the tree if necessary.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSimpleScalarTree_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize locator. Frees memory and resets object as appropriate.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkSimpleScalarTree_InitTraversal, 1,
   (char*)"V.InitTraversal(float)\nC++: virtual void InitTraversal (double scalarValue);\n\n Begin to traverse the cells based on a scalar value. Returned cells\n will have scalar values that span the scalar value specified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimpleScalarTreeDoc[] = {
  (char*)"vtkSimpleScalarTree - organize data according to scalar values (used to accelerate contouring operations)\n\n",
  "Super Class:\n\n vtkScalarTree\n\n",
  (char*)" vtkSimpleScalarTree creates a pointerless binary tree that helps search for\n cells that lie within a particular scalar range. This object is used to\n accelerate some contouring (and other scalar-based techniques).\n \n The tree consists of an array of (min,max) scalar range pairs per node in\n the tree. The (min,max) range is determined from looking at the range of\n the children of the tree node. If",
  (char*)" the node is a leaf, then the range is\n determined by scanning the range of scalar data in n cells in the\n dataset. The n cells are determined by arbitrary selecting cell ids from\n id(i) to id(i+n), and where n is specified using the BranchingFactor\n ivar. Note that leaf node i=0 contains the scalar range computed from\n cell ids (0,n-1); leaf node i=1 contains the range from cell ids (n,2n-1);\n an",
  (char*)"d so on. The implication is that there are no direct lists of cell ids\n per leaf node, instead the cell ids are implicitly known.\n\n",
  NULL
};

static vtkObjectBase *vtkSimpleScalarTreeStaticNew()
{
  return vtkSimpleScalarTree::New();
}

PyObject *PyVTKClass_vtkSimpleScalarTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimpleScalarTreeStaticNew,
                        PyvtkSimpleScalarTreeMethods,
                        (char*)"vtkSimpleScalarTree",modulename,
                        (char**)vtkSimpleScalarTreeDoc,
                        PyVTKClass_vtkScalarTreeNew(modulename));
}

