// tcl wrapper for vtkSimpleScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleScalarTree.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSimpleScalarTreeNewCommand()
{
  vtkSimpleScalarTree *temp = vtkSimpleScalarTree::New();
  return static_cast<ClientData>(temp);
}

int vtkScalarTreeCppCommand(vtkScalarTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSimpleScalarTreeCppCommand(vtkSimpleScalarTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSimpleScalarTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSimpleScalarTreeCppCommand(static_cast<vtkSimpleScalarTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSimpleScalarTreeCppCommand(vtkSimpleScalarTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSimpleScalarTree",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkScalarTreeCppCommand(static_cast<vtkScalarTree *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkScalarTree"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSimpleScalarTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleScalarTree");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSimpleScalarTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleScalarTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSimpleScalarTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSimpleScalarTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBranchingFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBranchingFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBranchingFactorMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBranchingFactorMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBranchingFactorMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBranchingFactorMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBranchingFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBranchingFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BuildTree",argv[1]))&&(argc == 2))
    {
    op->BuildTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitTraversal",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->InitTraversal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSimpleScalarTreeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkScalarTreeCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSimpleScalarTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBranchingFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBranchingFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBranchingFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBranchingFactor\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevel\n",NULL);
    Tcl_AppendResult(interp,"  BuildTree\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  InitTraversal\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkScalarTreeCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetBranchingFactor" );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "BuildTree" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkScalarTreeCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate scalar tree with maximum level of 20 and branching\n factor of 5.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSimpleScalarTree *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard type related macros and PrintSelf() method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBranchingFactor */
    if ( strcmp ( argv[2], "SetBranchingFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBranchingFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBranchingFactor */
    Tcl_DStringAppendElement ( &dString, " Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBranchingFactor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for SetBranchingFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBranchingFactorMinValue */
    if ( strcmp ( argv[2], "GetBranchingFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBranchingFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBranchingFactorMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetBranchingFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBranchingFactorMaxValue */
    if ( strcmp ( argv[2], "GetBranchingFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBranchingFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBranchingFactorMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetBranchingFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBranchingFactor */
    if ( strcmp ( argv[2], "GetBranchingFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBranchingFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBranchingFactor */
    Tcl_DStringAppendElement ( &dString, " Set the branching factor for the tree. This is the number of\n children per tree node. Smaller values (minimum is 2) mean deeper\n trees and more memory overhead. Larger values mean shallower\n trees, less memory usage, but worse performance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBranchingFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetBranchingFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Get the level of the scalar tree. This value may change each time the\n scalar tree is built and the branching factor changes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxLevel */
    if ( strcmp ( argv[2], "SetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxLevel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for SetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevelMinValue */
    if ( strcmp ( argv[2], "GetMaxLevelMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevelMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetMaxLevelMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevelMaxValue */
    if ( strcmp ( argv[2], "GetMaxLevelMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevelMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevelMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevelMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetMaxLevelMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevel */
    if ( strcmp ( argv[2], "GetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Set the maximum allowable level for the tree. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for GetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildTree */
    if ( strcmp ( argv[2], "BuildTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildTree */
    Tcl_DStringAppendElement ( &dString, " Construct the scalar tree from the dataset provided. Checks build times\n and modified time from input and reconstructs the tree if necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildTree ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for BuildTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize locator. Frees memory and resets object as appropriate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTraversal */
    if ( strcmp ( argv[2], "InitTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTraversal */
    Tcl_DStringAppendElement ( &dString, " Begin to traverse the cells based on a scalar value. Returned cells\n will have scalar values that span the scalar value specified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitTraversal (double scalarValue);" );
    Tcl_DStringAppendElement ( &dString, "vtkSimpleScalarTree" );
    /* Closing for InitTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkScalarTreeCppCommand(static_cast<vtkScalarTree *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
