// python wrapper for vtkSmoothErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSmoothErrorMetric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSmoothErrorMetricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSmoothErrorMetricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericSubdivisionErrorMetricNew(char *); }

static PyObject *PyvtkSmoothErrorMetric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothErrorMetric *op;

  const char    *temp20;
  op = (vtkSmoothErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothErrorMetric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothErrorMetric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothErrorMetric *op;

  char    *temp0;
  int      temp20;
  op = (vtkSmoothErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothErrorMetric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothErrorMetric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothErrorMetric *op;

  vtkSmoothErrorMetric  *temp20;
  op = (vtkSmoothErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothErrorMetric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothErrorMetric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSmoothErrorMetric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSmoothErrorMetric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSmoothErrorMetric_GetAngleTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothErrorMetric *op;

  double   temp20;
  op = (vtkSmoothErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothErrorMetric::GetAngleTolerance();
      }
    else
      {
      temp20 = op->GetAngleTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothErrorMetric_SetAngleTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothErrorMetric *op;

  double   temp0;
  op = (vtkSmoothErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothErrorMetric::SetAngleTolerance(temp0);
      }
    else
      {
      op->SetAngleTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSmoothErrorMetricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSmoothErrorMetric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSmoothErrorMetric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK type and error macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSmoothErrorMetric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSmoothErrorMetric\nC++: vtkSmoothErrorMetric *NewInstance ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSmoothErrorMetric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSmoothErrorMetric\nC++: vtkSmoothErrorMetric *SafeDownCast (vtkObject* o);\n\n Standard VTK type and error macros.\n"},
  {(char*)"GetAngleTolerance",                (PyCFunction)PyvtkSmoothErrorMetric_GetAngleTolerance, 1,
   (char*)"V.GetAngleTolerance() -> float\nC++: double GetAngleTolerance ();\n\n Return the flatness threshold.\n \\post positive_result: result>90 && result<180\n"},
  {(char*)"SetAngleTolerance",                (PyCFunction)PyvtkSmoothErrorMetric_SetAngleTolerance, 1,
   (char*)"V.SetAngleTolerance(float)\nC++: void SetAngleTolerance (double value);\n\n Set the flatness threshold with an angle in degrees. Internally\n compute the cosine. value is supposed to be in ]90,180[, if not\n it is clamped in [90.1,179.9].\n For instance 178  will give better result than 150.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSmoothErrorMetricDoc[] = {
  (char*)"vtkSmoothErrorMetric - Objects that compute\n\n",
  "Super Class:\n\n vtkGenericSubdivisionErrorMetric\n\n",
  (char*)" It is a concrete error metric, based on a geometric criterium:\n a max angle between the chord passing through the midpoint and one of the\n endpoints and the other chord passing through the midpoint and the other\n endpoint of the edge. It is related to the flatness of an edge.\n\n\n",
  "See Also:\n\n vtkGenericCellTessellator vtkGenericSubdivisionErrorMetric\n\n",
  NULL
};

static vtkObjectBase *vtkSmoothErrorMetricStaticNew()
{
  return vtkSmoothErrorMetric::New();
}

PyObject *PyVTKClass_vtkSmoothErrorMetricNew(char *modulename)
{
  return PyVTKClass_New(&vtkSmoothErrorMetricStaticNew,
                        PyvtkSmoothErrorMetricMethods,
                        (char*)"vtkSmoothErrorMetric",modulename,
                        (char**)vtkSmoothErrorMetricDoc,
                        PyVTKClass_vtkGenericSubdivisionErrorMetricNew(modulename));
}

