// tcl wrapper for vtkSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkProcessObjectCppCommand(vtkProcessObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSourceCppCommand(vtkSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSourceCppCommand(static_cast<vtkSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSourceCppCommand(vtkSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkProcessObjectCppCommand(static_cast<vtkProcessObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProcessObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSource");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    op->UpdateWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->PropagateUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriggerAsynchronousUpdate",argv[1]))&&(argc == 2))
    {
    op->TriggerAsynchronousUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateData",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->UpdateData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInputUpdateExtents",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ComputeInputUpdateExtents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UnRegisterAllOutputs",argv[1]))&&(argc == 2))
    {
    op->UnRegisterAllOutputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputIndex",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetOutputIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExecutive",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExecutive"),interp,error));
    if (!error)
    {
    op->SetExecutive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProcessObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriggerAsynchronousUpdate\n",NULL);
    Tcl_AppendResult(interp,"  UpdateData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInputUpdateExtents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputs\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterAllOutputs\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExecutive\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkProcessObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "TriggerAsynchronousUpdate" );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    Tcl_DStringAppendElement ( &dString, "ComputeInputUpdateExtents" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputs" );
    Tcl_DStringAppendElement ( &dString, "UnRegisterAllOutputs" );
    Tcl_DStringAppendElement ( &dString, "GetOutputIndex" );
    Tcl_DStringAppendElement ( &dString, "SetExecutive" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkProcessObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring object up-to-date before execution. Update() checks modified\n time against last execution time, and re-executes object if necessary.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Like update, but make sure the update extent is the whole extent in\n the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateWholeExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateInformation */
    if ( strcmp ( argv[2], "UpdateInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateInformation */
    Tcl_DStringAppendElement ( &dString, " Updates any global information about the data \n (like spacing for images)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for UpdateInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PropagateUpdateExtent */
    if ( strcmp ( argv[2], "PropagateUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n The update extent for this object is propagated up the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PropagateUpdateExtent (vtkDataObject *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for PropagateUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerAsynchronousUpdate */
    if ( strcmp ( argv[2], "TriggerAsynchronousUpdate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerAsynchronousUpdate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerAsynchronousUpdate */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate back up the pipeline for ports and trigger the update on the\n other side of the port to allow for asynchronous parallel processing in\n the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TriggerAsynchronousUpdate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for TriggerAsynchronousUpdate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateData */
    if ( strcmp ( argv[2], "UpdateData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateData */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate the update back up the pipeline, and perform the actual \n work of updating on the way down. When the propagate arrives at a\n port, block and wait for the asynchronous update to finish on the\n other side.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateData (vtkDataObject *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for UpdateData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInputUpdateExtents */
    if ( strcmp ( argv[2], "ComputeInputUpdateExtents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInputUpdateExtents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInputUpdateExtents */
    Tcl_DStringAppendElement ( &dString, " What is the input update extent that is required to produce the\n desired output? By default, the whole input is always required but\n this is overridden in many subclasses. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeInputUpdateExtents (vtkDataObject *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for ComputeInputUpdateExtents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataFlag */
    if ( strcmp ( argv[2], "SetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a source.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReleaseDataFlag (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for SetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataFlag */
    if ( strcmp ( argv[2], "GetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a source.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReleaseDataFlag ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for GetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOn */
    if ( strcmp ( argv[2], "ReleaseDataFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a source.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for ReleaseDataFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOff */
    if ( strcmp ( argv[2], "ReleaseDataFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a source.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for ReleaseDataFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOutputs */
    if ( strcmp ( argv[2], "GetNumberOfOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOutputs */
    Tcl_DStringAppendElement ( &dString, " Return an array with all the inputs of this process object.\n This is useful for tracing back in the pipeline to construct\n graphs etc.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOutputs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for GetNumberOfOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegisterAllOutputs */
    if ( strcmp ( argv[2], "UnRegisterAllOutputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegisterAllOutputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegisterAllOutputs */
    Tcl_DStringAppendElement ( &dString, " Release/disconnect all outputs of this source. This is intended to be\n called prior to Delete() if the user is concerned about outputs holding\n on to the filter/source.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnRegisterAllOutputs (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for UnRegisterAllOutputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputIndex */
    if ( strcmp ( argv[2], "GetOutputIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputIndex */
    Tcl_DStringAppendElement ( &dString, " Return what index output the passed in output is, return -1 if it\n does not match any of the outputs\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputIndex (vtkDataObject *out);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for GetOutputIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExecutive */
    if ( strcmp ( argv[2], "SetExecutive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExecutive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExecutive" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExecutive */
    Tcl_DStringAppendElement ( &dString, " Set this algorithm's executive.  This algorithm is removed from\n any executive to which it has previously been assigned and then\n assigned to the given executive.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExecutive (vtkExecutive *executive);" );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    /* Closing for SetExecutive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkProcessObjectCppCommand(static_cast<vtkProcessObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
