// python wrapper for vtkSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSpline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSpline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  const char    *temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  char    *temp0;
  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  vtkSpline  *temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetParametricRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  double   temp1;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetParametricRange(temp0,temp1);
      }
    else
      {
      op->SetParametricRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSpline *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetParametricRange(temp0);
      }
    else
      {
      op->SetParametricRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetParametricRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double temp0[2];
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::GetParametricRange(temp0);
      }
    else
      {
      op->GetParametricRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetClampValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetClampValue(temp0);
      }
    else
      {
      op->SetClampValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetClampValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetClampValue();
      }
    else
      {
      temp20 = op->GetClampValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_ClampValueOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::ClampValueOn();
      }
    else
      {
      op->ClampValueOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_ClampValueOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::ClampValueOff();
      }
    else
      {
      op->ClampValueOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_Compute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Compute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  double   temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Evaluate(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_AddPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  double   temp1;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::AddPoint(temp0,temp1);
      }
    else
      {
      op->AddPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_RemovePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::RemovePoint(temp0);
      }
    else
      {
      op->RemovePoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_RemoveAllPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::RemoveAllPoints();
      }
    else
      {
      op->RemoveAllPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetClosed(temp0);
      }
    else
      {
      op->SetClosed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetClosed();
      }
    else
      {
      temp20 = op->GetClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_ClosedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::ClosedOn();
      }
    else
      {
      op->ClosedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_ClosedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::ClosedOff();
      }
    else
      {
      op->ClosedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetLeftConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetLeftConstraint(temp0);
      }
    else
      {
      op->SetLeftConstraint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetLeftConstraintMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetLeftConstraintMinValue();
      }
    else
      {
      temp20 = op->GetLeftConstraintMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetLeftConstraintMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetLeftConstraintMaxValue();
      }
    else
      {
      temp20 = op->GetLeftConstraintMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetLeftConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetLeftConstraint();
      }
    else
      {
      temp20 = op->GetLeftConstraint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetRightConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetRightConstraint(temp0);
      }
    else
      {
      op->SetRightConstraint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetRightConstraintMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetRightConstraintMinValue();
      }
    else
      {
      temp20 = op->GetRightConstraintMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetRightConstraintMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetRightConstraintMaxValue();
      }
    else
      {
      temp20 = op->GetRightConstraintMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetRightConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  int      temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetRightConstraint();
      }
    else
      {
      temp20 = op->GetRightConstraint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetLeftValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetLeftValue(temp0);
      }
    else
      {
      op->SetLeftValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetLeftValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetLeftValue();
      }
    else
      {
      temp20 = op->GetLeftValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_SetRightValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::SetRightValue(temp0);
      }
    else
      {
      op->SetRightValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetRightValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  double   temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetRightValue();
      }
    else
      {
      temp20 = op->GetRightValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  unsigned long     temp20;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpline::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpline_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  op = (vtkSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpline::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}

static PyMethodDef PyvtkSplineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpline\nC++: vtkSpline *NewInstance ();\n\n"},
  {(char*)"SetParametricRange",                (PyCFunction)PyvtkSpline_SetParametricRange, 1,
   (char*)"V.SetParametricRange(float, float)\nC++: void SetParametricRange (double tMin, double tMax);\nV.SetParametricRange((float, float))\nC++: void SetParametricRange (double tRange[2]);this SetParametricRange tRange tRange \n\n Set/Get the parametric range. If not set, the range is determined\n implicitly by keeping track of the (min,max) parameter values for\n t. If set, the AddPoint() method will clamp the t value to lie\n within the specified range.\n"},
  {(char*)"GetParametricRange",                (PyCFunction)PyvtkSpline_GetParametricRange, 1,
   (char*)"V.GetParametricRange((float, float))\nC++: void GetParametricRange (double tRange[2]) const;\n\n Set/Get the parametric range. If not set, the range is determined\n implicitly by keeping track of the (min,max) parameter values for\n t. If set, the AddPoint() method will clamp the t value to lie\n within the specified range.\n"},
  {(char*)"SetClampValue",                (PyCFunction)PyvtkSpline_SetClampValue, 1,
   (char*)"V.SetClampValue(int)\nC++: void SetClampValue (int );\n\n Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n"},
  {(char*)"GetClampValue",                (PyCFunction)PyvtkSpline_GetClampValue, 1,
   (char*)"V.GetClampValue() -> int\nC++: int GetClampValue ();\n\n Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n"},
  {(char*)"ClampValueOn",                (PyCFunction)PyvtkSpline_ClampValueOn, 1,
   (char*)"V.ClampValueOn()\nC++: void ClampValueOn ();\n\n Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n"},
  {(char*)"ClampValueOff",                (PyCFunction)PyvtkSpline_ClampValueOff, 1,
   (char*)"V.ClampValueOff()\nC++: void ClampValueOff ();\n\n Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n"},
  {(char*)"Compute",                (PyCFunction)PyvtkSpline_Compute, 1,
   (char*)"V.Compute()\nC++: virtual void Compute () = 0;\n\n Compute the coefficients for the spline.\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkSpline_Evaluate, 1,
   (char*)"V.Evaluate(float) -> float\nC++: virtual double Evaluate (double t) = 0;\n\n Interpolate the value of the spline at parametric location of t.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkSpline_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Return the number of points inserted thus far.\n"},
  {(char*)"AddPoint",                (PyCFunction)PyvtkSpline_AddPoint, 1,
   (char*)"V.AddPoint(float, float)\nC++: void AddPoint (double t, double x);\n\n Add a pair of points to be fit with the spline.\n"},
  {(char*)"RemovePoint",                (PyCFunction)PyvtkSpline_RemovePoint, 1,
   (char*)"V.RemovePoint(float)\nC++: void RemovePoint (double t);\n\n Remove a point from the data to be fit with the spline.\n"},
  {(char*)"RemoveAllPoints",                (PyCFunction)PyvtkSpline_RemoveAllPoints, 1,
   (char*)"V.RemoveAllPoints()\nC++: void RemoveAllPoints ();\n\n Remove all points from the data.\n"},
  {(char*)"SetClosed",                (PyCFunction)PyvtkSpline_SetClosed, 1,
   (char*)"V.SetClosed(int)\nC++: void SetClosed (int );\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"GetClosed",                (PyCFunction)PyvtkSpline_GetClosed, 1,
   (char*)"V.GetClosed() -> int\nC++: int GetClosed ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"ClosedOn",                (PyCFunction)PyvtkSpline_ClosedOn, 1,
   (char*)"V.ClosedOn()\nC++: void ClosedOn ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"ClosedOff",                (PyCFunction)PyvtkSpline_ClosedOff, 1,
   (char*)"V.ClosedOff()\nC++: void ClosedOff ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"SetLeftConstraint",                (PyCFunction)PyvtkSpline_SetLeftConstraint, 1,
   (char*)"V.SetLeftConstraint(int)\nC++: void SetLeftConstraint (int );\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraintMinValue",                (PyCFunction)PyvtkSpline_GetLeftConstraintMinValue, 1,
   (char*)"V.GetLeftConstraintMinValue() -> int\nC++: int GetLeftConstraintMinValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraintMaxValue",                (PyCFunction)PyvtkSpline_GetLeftConstraintMaxValue, 1,
   (char*)"V.GetLeftConstraintMaxValue() -> int\nC++: int GetLeftConstraintMaxValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraint",                (PyCFunction)PyvtkSpline_GetLeftConstraint, 1,
   (char*)"V.GetLeftConstraint() -> int\nC++: int GetLeftConstraint ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"SetRightConstraint",                (PyCFunction)PyvtkSpline_SetRightConstraint, 1,
   (char*)"V.SetRightConstraint(int)\nC++: void SetRightConstraint (int );\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraintMinValue",                (PyCFunction)PyvtkSpline_GetRightConstraintMinValue, 1,
   (char*)"V.GetRightConstraintMinValue() -> int\nC++: int GetRightConstraintMinValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraintMaxValue",                (PyCFunction)PyvtkSpline_GetRightConstraintMaxValue, 1,
   (char*)"V.GetRightConstraintMaxValue() -> int\nC++: int GetRightConstraintMaxValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraint",                (PyCFunction)PyvtkSpline_GetRightConstraint, 1,
   (char*)"V.GetRightConstraint() -> int\nC++: int GetRightConstraint ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"SetLeftValue",                (PyCFunction)PyvtkSpline_SetLeftValue, 1,
   (char*)"V.SetLeftValue(float)\nC++: void SetLeftValue (double );\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"GetLeftValue",                (PyCFunction)PyvtkSpline_GetLeftValue, 1,
   (char*)"V.GetLeftValue() -> float\nC++: double GetLeftValue ();\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"SetRightValue",                (PyCFunction)PyvtkSpline_SetRightValue, 1,
   (char*)"V.SetRightValue(float)\nC++: void SetRightValue (double );\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"GetRightValue",                (PyCFunction)PyvtkSpline_GetRightValue, 1,
   (char*)"V.GetRightValue() -> float\nC++: double GetRightValue ();\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSpline_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the Piecewise function.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkSpline_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSpline)\nC++: virtual void DeepCopy (vtkSpline *s);\n\n Deep copy of spline data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineDoc[] = {
  (char*)"vtkSpline - spline abstract class for interpolating splines\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkSpline interpolates a set of data points (i.e., interpolation means\n that the spline passes through the points).  vtkSpline is an abstract\n class: its subclasses vtkCardinalSpline and vtkKochenekSpline do the\n interpolation. Note that this spline maps the 1D parametric coordinate\n t into a single value x. Thus if you want to use the spline to \n interpolate points (i.e. x[3]), you have to creat",
  (char*)"e three splines for\n each of the x-y-z coordinates. Fortunately, the vtkParametricSpline\n class does this for you.\n\n Typically a spline is used by adding a sequence of parametric coordinate /\n data (t,x) values followed by use of an evaluation function (e.g.,\n vtkCardinalSpline::Evaluate()).  Since these splines are 1D, a point in\n this context is an independent / dependent variable pair. \n\n Splin",
  (char*)"es can also be set up to be closed or open. Closed splines continue\n from the last point to the first point with continuous function and \n derivative values. (You don't need to duplicate the first point to close\n the spline, just set ClosedOn.) \n\n This implementation of splines does not use a normalized parametric\n coordinate. If the spline is open, then the parameter space is (tMin <= t\n <= tMax)",
  (char*)" where tMin and tMax are the minimum and maximum parametric values\n seen when performing AddPoint(). If the spline is closed, then the\n parameter space is (tMin <= t <= (tMax+1)) where tMin and tMax are the\n minimum and maximum parametric values seen when performing AddPoint().\n Note, however, that this behavior can be changed by explicitly setting\n the ParametricRange(tMin,tMax). If set, the para",
  (char*)"meter space remains\n (tMin <= t <= tMax), except that additions of data with parametric\n values outside this range are clamped within this range.\n\n",
  "See Also:\n\n vtkCardinalSpline vtkKochenekSpline vtkParametricSpline\n vtkParametricFunctionSource\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSplineNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSplineMethods,
                        (char*)"vtkSpline",modulename,
                        (char**)vtkSplineDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

