// tcl wrapper for vtkSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSplineCppCommand(vtkSpline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSplineCppCommand(static_cast<vtkSpline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSplineCppCommand(vtkSpline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSpline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("SetParametricRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetParametricRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParametricRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetParametricRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetParametricRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClampValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOn",argv[1]))&&(argc == 2))
    {
    op->ClampValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOff",argv[1]))&&(argc == 2))
    {
    op->ClampValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Compute",argv[1]))&&(argc == 2))
    {
    op->Compute();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Evaluate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->Evaluate(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddPoint",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddPoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePoint",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->RemovePoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPoints",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClosed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClosed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClosed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOn",argv[1]))&&(argc == 2))
    {
    op->ClosedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOff",argv[1]))&&(argc == 2))
    {
    op->ClosedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeftValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeftValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRightValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRightValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpline"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSplineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSpline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetParametricRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParametricRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClampValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampValue\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOff\n",NULL);
    Tcl_AppendResult(interp,"  Compute\n",NULL);
    Tcl_AppendResult(interp,"  Evaluate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  AddPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemovePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetClosed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClosed\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOn\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetRightConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftValue\n",NULL);
    Tcl_AppendResult(interp,"  SetRightValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetParametricRange" );
    Tcl_DStringAppendElement ( &dString, "SetParametricRange" );
    Tcl_DStringAppendElement ( &dString, "GetParametricRange" );
    Tcl_DStringAppendElement ( &dString, "SetClampValue" );
    Tcl_DStringAppendElement ( &dString, "GetClampValue" );
    Tcl_DStringAppendElement ( &dString, "ClampValueOn" );
    Tcl_DStringAppendElement ( &dString, "ClampValueOff" );
    Tcl_DStringAppendElement ( &dString, "Compute" );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    Tcl_DStringAppendElement ( &dString, "SetClosed" );
    Tcl_DStringAppendElement ( &dString, "GetClosed" );
    Tcl_DStringAppendElement ( &dString, "ClosedOn" );
    Tcl_DStringAppendElement ( &dString, "ClosedOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeftConstraint" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraint" );
    Tcl_DStringAppendElement ( &dString, "SetRightConstraint" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraint" );
    Tcl_DStringAppendElement ( &dString, "SetLeftValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftValue" );
    Tcl_DStringAppendElement ( &dString, "SetRightValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightValue" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParametricRange */
    if ( strcmp ( argv[2], "SetParametricRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParametricRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParametricRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the parametric range. If not set, the range is determined\n implicitly by keeping track of the (min,max) parameter values for\n t. If set, the AddPoint() method will clamp the t value to lie\n within the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParametricRange (double tMin, double tMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetParametricRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParametricRange */
    if ( strcmp ( argv[2], "SetParametricRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParametricRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParametricRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the parametric range. If not set, the range is determined\n implicitly by keeping track of the (min,max) parameter values for\n t. If set, the AddPoint() method will clamp the t value to lie\n within the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParametricRange (double tRange\\[2\\]);this SetParametricRange tRange tRange " );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetParametricRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricRange */
    if ( strcmp ( argv[2], "GetParametricRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the parametric range. If not set, the range is determined\n implicitly by keeping track of the (min,max) parameter values for\n t. If set, the AddPoint() method will clamp the t value to lie\n within the specified range.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetParametricRange (double tRange\\[2\\]) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetParametricRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClampValue */
    if ( strcmp ( argv[2], "SetClampValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClampValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClampValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClampValue (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetClampValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClampValue */
    if ( strcmp ( argv[2], "GetClampValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClampValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetClampValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampValueOn */
    if ( strcmp ( argv[2], "ClampValueOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampValueOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampValueOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampValueOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for ClampValueOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampValueOff */
    if ( strcmp ( argv[2], "ClampValueOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampValueOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampValueOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get ClampValue. If On, results of the interpolation will be\n clamped to the min/max of the input data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampValueOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for ClampValueOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Compute */
    if ( strcmp ( argv[2], "Compute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Compute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Compute */
    Tcl_DStringAppendElement ( &dString, " Compute the coefficients for the spline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Compute () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for Compute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Evaluate */
    if ( strcmp ( argv[2], "Evaluate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Evaluate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Evaluate */
    Tcl_DStringAppendElement ( &dString, " Interpolate the value of the spline at parametric location of t.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double Evaluate (double t) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for Evaluate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Return the number of points inserted thus far.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddPoint */
    if ( strcmp ( argv[2], "AddPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddPoint */
    Tcl_DStringAppendElement ( &dString, " Add a pair of points to be fit with the spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddPoint (double t, double x);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for AddPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePoint */
    if ( strcmp ( argv[2], "RemovePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePoint */
    Tcl_DStringAppendElement ( &dString, " Remove a point from the data to be fit with the spline.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemovePoint (double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for RemovePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllPoints */
    if ( strcmp ( argv[2], "RemoveAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllPoints */
    Tcl_DStringAppendElement ( &dString, " Remove all points from the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for RemoveAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClosed */
    if ( strcmp ( argv[2], "SetClosed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClosed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClosed */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClosed (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetClosed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClosed */
    if ( strcmp ( argv[2], "GetClosed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClosed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClosed */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClosed ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetClosed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedOn */
    if ( strcmp ( argv[2], "ClosedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for ClosedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClosedOff */
    if ( strcmp ( argv[2], "ClosedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClosedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClosedOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClosedOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for ClosedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftConstraint */
    if ( strcmp ( argv[2], "SetLeftConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftConstraint (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetLeftConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraintMinValue */
    if ( strcmp ( argv[2], "GetLeftConstraintMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraintMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraintMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetLeftConstraintMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraintMaxValue */
    if ( strcmp ( argv[2], "GetLeftConstraintMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraintMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraintMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraintMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetLeftConstraintMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftConstraint */
    if ( strcmp ( argv[2], "GetLeftConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftConstraint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetLeftConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightConstraint */
    if ( strcmp ( argv[2], "SetRightConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightConstraint (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetRightConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraintMinValue */
    if ( strcmp ( argv[2], "GetRightConstraintMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraintMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraintMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetRightConstraintMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraintMaxValue */
    if ( strcmp ( argv[2], "GetRightConstraintMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraintMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraintMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraintMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetRightConstraintMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightConstraint */
    if ( strcmp ( argv[2], "GetRightConstraint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightConstraint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightConstraint */
    Tcl_DStringAppendElement ( &dString, " Set the type of constraint of the left(right) end points. Four\n constraints are available:\n \n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightConstraint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetRightConstraint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftValue */
    if ( strcmp ( argv[2], "SetLeftValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetLeftValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftValue */
    if ( strcmp ( argv[2], "GetLeftValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLeftValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetLeftValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightValue */
    if ( strcmp ( argv[2], "SetRightValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for SetRightValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightValue */
    if ( strcmp ( argv[2], "GetRightValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightValue */
    Tcl_DStringAppendElement ( &dString, " The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRightValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetRightValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the Piecewise function.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of spline data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkSpline *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpline" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
