// tcl wrapper for vtkStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingDemandDrivenPipeline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStreamingDemandDrivenPipelineNewCommand()
{
  vtkStreamingDemandDrivenPipeline *temp = vtkStreamingDemandDrivenPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamingDemandDrivenPipelineCppCommand(static_cast<vtkStreamingDemandDrivenPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamingDemandDrivenPipeline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDemandDrivenPipeline"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamingDemandDrivenPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateWholeExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->PropagateUpdateExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaximumNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetMaximumNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdatePiece",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdatePiece(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdatePiece(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateGhostLevel",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateGhostLevel(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateGhostLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateTimeStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->SetUpdateTimeStep(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRequestExactExtent(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRequestExactExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkExtentTranslator  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkExtentTranslator"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetExtentTranslator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkExtentTranslator"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetExtentTranslator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetExtentTranslator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetExtentTranslator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("REQUEST_UPDATE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_UPDATE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("REQUEST_UPDATE_EXTENT_INFORMATION",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_UPDATE_EXTENT_INFORMATION();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("CONTINUE_EXECUTING",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->CONTINUE_EXECUTING();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("EXTENT_TRANSLATOR",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->EXTENT_TRANSLATOR();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_EXTENT_INITIALIZED",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_EXTENT_INITIALIZED();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerVectorKey  *temp20;
    temp20 = (op)->UPDATE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_PIECE_NUMBER",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_PIECE_NUMBER();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_NUMBER_OF_PIECES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_NUMBER_OF_PIECES();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_NUMBER_OF_GHOST_LEVELS",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_NUMBER_OF_GHOST_LEVELS();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_EXTENT_TRANSLATED",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_EXTENT_TRANSLATED();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("WHOLE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerVectorKey  *temp20;
    temp20 = (op)->WHOLE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("MAXIMUM_NUMBER_OF_PIECES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->MAXIMUM_NUMBER_OF_PIECES();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("WHOLE_BOUNDING_BOX",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->WHOLE_BOUNDING_BOX();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("EXACT_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->EXACT_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("TIME_STEPS",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->TIME_STEPS();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("TIME_RANGE",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->TIME_RANGE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_TIME_STEPS",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->UPDATE_TIME_STEPS();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("PRIORITY",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleKey  *temp20;
    temp20 = (op)->PRIORITY();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationDoubleKey");
    return TCL_OK;
    }
  if ((!strcmp("FAST_PATH_FOR_TEMPORAL_DATA",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FAST_PATH_FOR_TEMPORAL_DATA();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FAST_PATH_OBJECT_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->FAST_PATH_OBJECT_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("FAST_PATH_ID_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->FAST_PATH_ID_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("FAST_PATH_OBJECT_ID",argv[1]))&&(argc == 2))
    {
    vtkInformationIdTypeKey  *temp20;
    temp20 = (op)->FAST_PATH_OBJECT_ID();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformationIdTypeKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStreamingDemandDrivenPipelineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamingDemandDrivenPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdatePiece\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdatePiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGhostLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateTimeStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_UPDATE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_UPDATE_EXTENT_INFORMATION\n",NULL);
    Tcl_AppendResult(interp,"  CONTINUE_EXECUTING\n",NULL);
    Tcl_AppendResult(interp,"  EXTENT_TRANSLATOR\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_EXTENT_INITIALIZED\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_PIECE_NUMBER\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_NUMBER_OF_PIECES\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_NUMBER_OF_GHOST_LEVELS\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_EXTENT_TRANSLATED\n",NULL);
    Tcl_AppendResult(interp,"  WHOLE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  MAXIMUM_NUMBER_OF_PIECES\n",NULL);
    Tcl_AppendResult(interp,"  WHOLE_BOUNDING_BOX\n",NULL);
    Tcl_AppendResult(interp,"  EXACT_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  TIME_STEPS\n",NULL);
    Tcl_AppendResult(interp,"  TIME_RANGE\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_TIME_STEPS\n",NULL);
    Tcl_AppendResult(interp,"  PRIORITY\n",NULL);
    Tcl_AppendResult(interp,"  FAST_PATH_FOR_TEMPORAL_DATA\n",NULL);
    Tcl_AppendResult(interp,"  FAST_PATH_OBJECT_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  FAST_PATH_ID_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  FAST_PATH_OBJECT_ID\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_UPDATE_EXTENT" );
    Tcl_DStringAppendElement ( &dString, "REQUEST_UPDATE_EXTENT_INFORMATION" );
    Tcl_DStringAppendElement ( &dString, "CONTINUE_EXECUTING" );
    Tcl_DStringAppendElement ( &dString, "EXTENT_TRANSLATOR" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT_INITIALIZED" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_PIECE_NUMBER" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_NUMBER_OF_PIECES" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_NUMBER_OF_GHOST_LEVELS" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT_TRANSLATED" );
    Tcl_DStringAppendElement ( &dString, "WHOLE_EXTENT" );
    Tcl_DStringAppendElement ( &dString, "MAXIMUM_NUMBER_OF_PIECES" );
    Tcl_DStringAppendElement ( &dString, "WHOLE_BOUNDING_BOX" );
    Tcl_DStringAppendElement ( &dString, "EXACT_EXTENT" );
    Tcl_DStringAppendElement ( &dString, "TIME_STEPS" );
    Tcl_DStringAppendElement ( &dString, "TIME_RANGE" );
    Tcl_DStringAppendElement ( &dString, "UPDATE_TIME_STEPS" );
    Tcl_DStringAppendElement ( &dString, "PRIORITY" );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_FOR_TEMPORAL_DATA" );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_OBJECT_TYPE" );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_ID_TYPE" );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_OBJECT_ID" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStreamingDemandDrivenPipeline *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Update (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Bring the outputs up-to-date.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateWholeExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PropagateUpdateExtent */
    if ( strcmp ( argv[2], "PropagateUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Propagate the update request from the given output port back\n through the pipeline.  Should be called only when information is\n up to date.\n" );
    Tcl_DStringAppendElement ( &dString, "int PropagateUpdateExtent (int outputPort);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for PropagateUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetMaximumNumberOfPieces (int port, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetMaximumNumberOfPieces (vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPieces (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested from\n the given port.  The maximum number of pieces is meta data for\n unstructured data sets.  It gets set by the source during the\n update information call.  A value of -1 indicates that there is\n no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPieces (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtentToWholeExtent */
    if ( strcmp ( argv[2], "SetUpdateExtentToWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtentToWholeExtent */
    Tcl_DStringAppendElement ( &dString, " If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtentToWholeExtent (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtentToWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtentToWholeExtent */
    if ( strcmp ( argv[2], "SetUpdateExtentToWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtentToWholeExtent */
    Tcl_DStringAppendElement ( &dString, " If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtentToWholeExtent (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtentToWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtent (int port, int piece, int numPieces, int ghostLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateExtent (vtkInformation *, int piece, int numPieces, int ghostLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdatePiece */
    if ( strcmp ( argv[2], "SetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdatePiece (vtkInformation *, int piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdatePiece */
    if ( strcmp ( argv[2], "GetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdatePiece (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "SetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateNumberOfPieces (vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "GetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdateNumberOfPieces (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateGhostLevel */
    if ( strcmp ( argv[2], "SetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateGhostLevel (vtkInformation *, int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateGhostLevel */
    if ( strcmp ( argv[2], "GetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the update piece, update number of pieces, and update\n number of ghost levels for an output port.  Similar to update\n extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdateGhostLevel (vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateTimeStep */
    if ( strcmp ( argv[2], "SetUpdateTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateTimeStep */
    Tcl_DStringAppendElement ( &dString, " Get/Set the update extent for output ports that use Temporal Extents\n" );
    Tcl_DStringAppendElement ( &dString, "int SetUpdateTimeStep (int port, double time);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetUpdateTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestExactExtent */
    if ( strcmp ( argv[2], "SetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetRequestExactExtent (int port, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestExactExtent */
    if ( strcmp ( argv[2], "GetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle more\n data than requested for the given port.  Right now it is used in\n vtkImageData.  Image filters can return more data than requested.\n The the consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in\n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestExactExtent (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentTranslator */
    if ( strcmp ( argv[2], "SetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetExtentTranslator (int port, vtkExtentTranslator *translator);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentTranslator */
    if ( strcmp ( argv[2], "SetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetExtentTranslator (vtkInformation *, vtkExtentTranslator *translator);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for SetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentTranslator */
    if ( strcmp ( argv[2], "GetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *GetExtentTranslator (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentTranslator */
    if ( strcmp ( argv[2], "GetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " Get/Set the object that will translate pieces into structured\n extents for an output port.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *GetExtentTranslator (vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for GetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_UPDATE_EXTENT */
    if ( strcmp ( argv[2], "REQUEST_UPDATE_EXTENT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_UPDATE_EXTENT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_UPDATE_EXTENT */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to propagate the update extent upstream.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_UPDATE_EXTENT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for REQUEST_UPDATE_EXTENT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: REQUEST_UPDATE_EXTENT_INFORMATION */
    if ( strcmp ( argv[2], "REQUEST_UPDATE_EXTENT_INFORMATION" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "REQUEST_UPDATE_EXTENT_INFORMATION" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for REQUEST_UPDATE_EXTENT_INFORMATION */
    Tcl_DStringAppendElement ( &dString, " Key defining a request to propagate information about the update\n extent downstream.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationRequestKey *REQUEST_UPDATE_EXTENT_INFORMATION ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for REQUEST_UPDATE_EXTENT_INFORMATION */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CONTINUE_EXECUTING */
    if ( strcmp ( argv[2], "CONTINUE_EXECUTING" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CONTINUE_EXECUTING" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CONTINUE_EXECUTING */
    Tcl_DStringAppendElement ( &dString, " Key for an algorithm to store in a request to tell this executive\n to keep executing it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *CONTINUE_EXECUTING ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for CONTINUE_EXECUTING */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EXTENT_TRANSLATOR */
    if ( strcmp ( argv[2], "EXTENT_TRANSLATOR" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EXTENT_TRANSLATOR" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EXTENT_TRANSLATOR */
    Tcl_DStringAppendElement ( &dString, " Key to store an extent translator in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationObjectBaseKey *EXTENT_TRANSLATOR ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for EXTENT_TRANSLATOR */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_EXTENT_INITIALIZED */
    if ( strcmp ( argv[2], "UPDATE_EXTENT_INITIALIZED" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT_INITIALIZED" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_EXTENT_INITIALIZED */
    Tcl_DStringAppendElement ( &dString, " Keys to store an update request in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *UPDATE_EXTENT_INITIALIZED ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_EXTENT_INITIALIZED */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_EXTENT */
    if ( strcmp ( argv[2], "UPDATE_EXTENT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_EXTENT */
    Tcl_DStringAppendElement ( &dString, " Keys to store an update request in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerVectorKey *UPDATE_EXTENT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_EXTENT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_PIECE_NUMBER */
    if ( strcmp ( argv[2], "UPDATE_PIECE_NUMBER" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_PIECE_NUMBER" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_PIECE_NUMBER */
    Tcl_DStringAppendElement ( &dString, " Keys to store an update request in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *UPDATE_PIECE_NUMBER ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_PIECE_NUMBER */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_NUMBER_OF_PIECES */
    if ( strcmp ( argv[2], "UPDATE_NUMBER_OF_PIECES" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_NUMBER_OF_PIECES" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_NUMBER_OF_PIECES */
    Tcl_DStringAppendElement ( &dString, " Keys to store an update request in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *UPDATE_NUMBER_OF_PIECES ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_NUMBER_OF_PIECES */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_NUMBER_OF_GHOST_LEVELS */
    if ( strcmp ( argv[2], "UPDATE_NUMBER_OF_GHOST_LEVELS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_NUMBER_OF_GHOST_LEVELS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_NUMBER_OF_GHOST_LEVELS */
    Tcl_DStringAppendElement ( &dString, " Keys to store an update request in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *UPDATE_NUMBER_OF_GHOST_LEVELS ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_NUMBER_OF_GHOST_LEVELS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_EXTENT_TRANSLATED */
    if ( strcmp ( argv[2], "UPDATE_EXTENT_TRANSLATED" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_EXTENT_TRANSLATED" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_EXTENT_TRANSLATED */
    Tcl_DStringAppendElement ( &dString, " This is set if the extent was set through extent translation.\n GenerateGhostLevelArray() is called only when this is set.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *UPDATE_EXTENT_TRANSLATED ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_EXTENT_TRANSLATED */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WHOLE_EXTENT */
    if ( strcmp ( argv[2], "WHOLE_EXTENT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WHOLE_EXTENT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WHOLE_EXTENT */
    Tcl_DStringAppendElement ( &dString, " Key to store the whole extent provided in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerVectorKey *WHOLE_EXTENT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for WHOLE_EXTENT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MAXIMUM_NUMBER_OF_PIECES */
    if ( strcmp ( argv[2], "MAXIMUM_NUMBER_OF_PIECES" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MAXIMUM_NUMBER_OF_PIECES" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MAXIMUM_NUMBER_OF_PIECES */
    Tcl_DStringAppendElement ( &dString, " Key to store the maximum number of pieces provided in pipeline\n information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *MAXIMUM_NUMBER_OF_PIECES ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for MAXIMUM_NUMBER_OF_PIECES */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WHOLE_BOUNDING_BOX */
    if ( strcmp ( argv[2], "WHOLE_BOUNDING_BOX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WHOLE_BOUNDING_BOX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WHOLE_BOUNDING_BOX */
    Tcl_DStringAppendElement ( &dString, " Key to store the bounding box of the entire data set in pipeline\n information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *WHOLE_BOUNDING_BOX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for WHOLE_BOUNDING_BOX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EXACT_EXTENT */
    if ( strcmp ( argv[2], "EXACT_EXTENT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EXACT_EXTENT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EXACT_EXTENT */
    Tcl_DStringAppendElement ( &dString, " Key to specify the request for exact extent in pipeline information.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *EXACT_EXTENT ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for EXACT_EXTENT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TIME_STEPS */
    if ( strcmp ( argv[2], "TIME_STEPS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TIME_STEPS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TIME_STEPS */
    Tcl_DStringAppendElement ( &dString, " Key to store available time steps.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *TIME_STEPS ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for TIME_STEPS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TIME_RANGE */
    if ( strcmp ( argv[2], "TIME_RANGE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TIME_RANGE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TIME_RANGE */
    Tcl_DStringAppendElement ( &dString, " Key to store available time range for continuous sources.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *TIME_RANGE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for TIME_RANGE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UPDATE_TIME_STEPS */
    if ( strcmp ( argv[2], "UPDATE_TIME_STEPS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UPDATE_TIME_STEPS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UPDATE_TIME_STEPS */
    Tcl_DStringAppendElement ( &dString, " Update time steps requested by the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleVectorKey *UPDATE_TIME_STEPS ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for UPDATE_TIME_STEPS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PRIORITY */
    if ( strcmp ( argv[2], "PRIORITY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PRIORITY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PRIORITY */
    Tcl_DStringAppendElement ( &dString, " Key to specify from 0 to 1 the priority of this update extent\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationDoubleKey *PRIORITY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for PRIORITY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FAST_PATH_FOR_TEMPORAL_DATA */
    if ( strcmp ( argv[2], "FAST_PATH_FOR_TEMPORAL_DATA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_FOR_TEMPORAL_DATA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FAST_PATH_FOR_TEMPORAL_DATA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIntegerKey *FAST_PATH_FOR_TEMPORAL_DATA ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for FAST_PATH_FOR_TEMPORAL_DATA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FAST_PATH_OBJECT_TYPE */
    if ( strcmp ( argv[2], "FAST_PATH_OBJECT_TYPE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_OBJECT_TYPE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FAST_PATH_OBJECT_TYPE */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationStringKey *FAST_PATH_OBJECT_TYPE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for FAST_PATH_OBJECT_TYPE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FAST_PATH_ID_TYPE */
    if ( strcmp ( argv[2], "FAST_PATH_ID_TYPE" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_ID_TYPE" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FAST_PATH_ID_TYPE */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationStringKey *FAST_PATH_ID_TYPE ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for FAST_PATH_ID_TYPE */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FAST_PATH_OBJECT_ID */
    if ( strcmp ( argv[2], "FAST_PATH_OBJECT_ID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FAST_PATH_OBJECT_ID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FAST_PATH_OBJECT_ID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformationIdTypeKey *FAST_PATH_OBJECT_ID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingDemandDrivenPipeline" );
    /* Closing for FAST_PATH_OBJECT_ID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDemandDrivenPipelineCppCommand(static_cast<vtkDemandDrivenPipeline *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
