// python wrapper for vtkStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetNew(char *); }

static PyObject *PyvtkStructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  const char    *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkStructuredGrid  *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  double  *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetPoint(temp0);
      }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  double temp1[6];
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break18;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  double temp0[2];
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetScalarRange(temp0);
      }
    else
      {
      op->GetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int     *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::GetDimensions(temp0);
      }
    else
      {
      op->GetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetDataDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetDataDimension();
      }
    else
      {
      temp20 = op->GetDataDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int    temp0[6];
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int     *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  unsigned long     temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  int      temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_BlankPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::BlankPoint(temp0);
      }
    else
      {
      op->BlankPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_UnBlankPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::UnBlankPoint(temp0);
      }
    else
      {
      op->UnBlankPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_BlankCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::BlankCell(temp0);
      }
    else
      {
      op->BlankCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_UnBlankCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::UnBlankCell(temp0);
      }
    else
      {
      op->UnBlankCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetPointVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkUnsignedCharArray  *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetPointVisibilityArray();
      }
    else
      {
      temp20 = op->GetPointVisibilityArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_SetPointVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetPointVisibilityArray(temp0);
      }
    else
      {
      op->SetPointVisibilityArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkUnsignedCharArray  *temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetCellVisibilityArray();
      }
    else
      {
      temp20 = op->GetCellVisibilityArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_SetCellVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::SetCellVisibilityArray(temp0);
      }
    else
      {
      op->SetCellVisibilityArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkStructuredGrid_IsPointVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::IsPointVisible(temp0);
      }
    else
      {
      temp20 = op->IsPointVisible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_IsCellVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::IsCellVisible(temp0);
      }
    else
      {
      temp20 = op->IsCellVisible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetPointBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  unsigned char     temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetPointBlanking();
      }
    else
      {
      temp20 = op->GetPointBlanking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_GetCellBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  unsigned char     temp20;
  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGrid::GetCellBlanking();
      }
    else
      {
      temp20 = op->GetCellBlanking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGrid_Crop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGrid *op;

  op = (vtkStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGrid::Crop();
      }
    else
      {
      op->Crop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGrid\nC++: vtkStructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredGrid\nC++: vtkStructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkStructuredGrid_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_STRUCTURED_GRID \n\n Copy the geometric and topological structure of an input poly data object.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkStructuredGrid_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input poly data object.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkStructuredGrid_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();return vtkPointSet GetNumberOfPoints \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkStructuredGrid_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: double *GetPoint (vtkIdType ptId);return this vtkPointSet GetPoint ptId \nV.GetPoint(int, (float, float, float))\nC++: void GetPoint (vtkIdType ptId, double p[3]);this vtkPointSet GetPoint ptId p \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkStructuredGrid_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkStructuredGrid_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkStructuredGrid_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: int GetCellType (vtkIdType cellId);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkStructuredGrid_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkStructuredGrid_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkStructuredGrid_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkStructuredGrid_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkStructuredGrid_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: int GetMaxCellSize ();return \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkStructuredGrid_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkStructuredGrid_GetScalarRange, 1,
   (char*)"V.GetScalarRange((float, float))\nC++: virtual void GetScalarRange (double range[2]);\nV.GetScalarRange() -> (float, float)\nC++: double *GetScalarRange ();return this Superclass GetScalarRange \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkStructuredGrid_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int)\nC++: void SetDimensions (int i, int j, int k);\nV.SetDimensions((int, int, int))\nC++: void SetDimensions (int dim[3]);\n\n following methods are specific to structured grid\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkStructuredGrid_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int)\nC++: virtual int *GetDimensions ();\nV.GetDimensions((int, int, int))\nC++: virtual void GetDimensions (int dim[3]);\n\n Get dimensions of this structured points dataset.\n"},
  {(char*)"GetDataDimension",                (PyCFunction)PyvtkStructuredGrid_GetDataDimension, 1,
   (char*)"V.GetDataDimension() -> int\nC++: int GetDataDimension ();\n\n Return the dimensionality of the data.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkStructuredGrid_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkStructuredGrid_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkStructuredGrid_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkStructuredGrid_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkStructuredGrid_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkStructuredGrid_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: int GetExtentType ();return VTK_3D_EXTENT \n\n Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"BlankPoint",                (PyCFunction)PyvtkStructuredGrid_BlankPoint, 1,
   (char*)"V.BlankPoint(int)\nC++: void BlankPoint (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"UnBlankPoint",                (PyCFunction)PyvtkStructuredGrid_UnBlankPoint, 1,
   (char*)"V.UnBlankPoint(int)\nC++: void UnBlankPoint (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"BlankCell",                (PyCFunction)PyvtkStructuredGrid_BlankCell, 1,
   (char*)"V.BlankCell(int)\nC++: void BlankCell (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"UnBlankCell",                (PyCFunction)PyvtkStructuredGrid_UnBlankCell, 1,
   (char*)"V.UnBlankCell(int)\nC++: void UnBlankCell (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"GetPointVisibilityArray",                (PyCFunction)PyvtkStructuredGrid_GetPointVisibilityArray, 1,
   (char*)"V.GetPointVisibilityArray() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetPointVisibilityArray ();\n\n Get the array that defines the blanking (visibility) of each point.\n"},
  {(char*)"SetPointVisibilityArray",                (PyCFunction)PyvtkStructuredGrid_SetPointVisibilityArray, 1,
   (char*)"V.SetPointVisibilityArray(vtkUnsignedCharArray)\nC++: void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility);\n\n Set an array that defines the (blanking) visibility of the points \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n"},
  {(char*)"GetCellVisibilityArray",                (PyCFunction)PyvtkStructuredGrid_GetCellVisibilityArray, 1,
   (char*)"V.GetCellVisibilityArray() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetCellVisibilityArray ();\n\n Get the array that defines the blanking (visibility) of each cell.\n"},
  {(char*)"SetCellVisibilityArray",                (PyCFunction)PyvtkStructuredGrid_SetCellVisibilityArray, 1,
   (char*)"V.SetCellVisibilityArray(vtkUnsignedCharArray)\nC++: void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility);\n\n Set an array that defines the (blanking) visibility of the cells \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n"},
  {(char*)"IsPointVisible",                (PyCFunction)PyvtkStructuredGrid_IsPointVisible, 1,
   (char*)"V.IsPointVisible(int) -> int\nC++: unsigned char IsPointVisible (vtkIdType ptId);\n\n Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"IsCellVisible",                (PyCFunction)PyvtkStructuredGrid_IsCellVisible, 1,
   (char*)"V.IsCellVisible(int) -> int\nC++: unsigned char IsCellVisible (vtkIdType cellId);\n\n Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"GetPointBlanking",                (PyCFunction)PyvtkStructuredGrid_GetPointBlanking, 1,
   (char*)"V.GetPointBlanking() -> int\nC++: unsigned char GetPointBlanking ();\n\n Returns 1 if there is any visibility constraint on the points,\n 0 otherwise.\n"},
  {(char*)"GetCellBlanking",                (PyCFunction)PyvtkStructuredGrid_GetCellBlanking, 1,
   (char*)"V.GetCellBlanking() -> int\nC++: unsigned char GetCellBlanking ();\n\n Returns 1 if there is any visibility constraint on the cells,\n 0 otherwise.\n"},
  {(char*)"Crop",                (PyCFunction)PyvtkStructuredGrid_Crop, 1,
   (char*)"V.Crop()\nC++: virtual void Crop ();\n\n Reallocates and copies to set the Extent to the UpdateExtent.\n This is used internally when the exact extent is requested, \n and the source generated more than the update extent. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridDoc[] = {
  (char*)"vtkStructuredGrid - topologically regular array of data\n\n",
  "Super Class:\n\n vtkPointSet\n\n",
  (char*)" vtkStructuredGrid is a data object that is a concrete implementation of\n vtkDataSet. vtkStructuredGrid represents a geometric structure that is a\n topologically regular array of points. The topology is that of a cube that\n has been subdivided into a regular array of smaller cubes. Each point/cell\n can be addressed with i-j-k indices. Examples include finite difference \n grids.\n\n The order and num",
  (char*)"ber of points must match that specified by the dimensions\n of the grid. The point order increases in i fastest (from 0<=i<dims[0]),\n then j (0<=j<dims[1]), then k (0<=k<dims[2]) where dims[] are the\n dimensions of the grid in the i-j-k topological directions. The number of\n points is dims[0]*dims[1]*dims[2]. The same is true for the cells of the\n grid. The order and number of cells must match that",
  (char*)" specified by the\n dimensions of the grid. The cell order increases in i fastest (from\n 0<=i<(dims[0]-1)), then j (0<=j<(dims[1]-1)), then k (0<=k<(dims[2]-1))\n The number of cells is (dims[0]-1)*(dims[1]-1)*(dims[2]-1).\n \n A unusual feature of vtkStructuredGrid is the ability to blank, \n or \"turn-off\" points and cells in the dataset. This is controlled by \n defining a \"blanking array\" whose value",
  (char*)"s (0,1) specify whether\n a point should be blanked or not.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredGridStaticNew()
{
  return vtkStructuredGrid::New();
}

PyObject *PyVTKClass_vtkStructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredGridStaticNew,
                        PyvtkStructuredGridMethods,
                        (char*)"vtkStructuredGrid",modulename,
                        (char**)vtkStructuredGridDoc,
                        PyVTKClass_vtkPointSetNew(modulename));
}

