// python wrapper for vtkStructuredGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredGridSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkStructuredGridSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  const char    *temp20;
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  vtkStructuredGridSource  *temp20;
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  vtkStructuredGrid  *temp20;
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  int      temp0;
  vtkStructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridSource *op;

  vtkStructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkStructuredGridSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridSource\nC++: vtkStructuredGridSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkStructuredGridSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkStructuredGridSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkStructuredGrid)\nC++: void SetOutput (vtkStructuredGrid *output);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridSourceDoc[] = {
  (char*)"vtkStructuredGridSource - Abstract class whose subclasses generates structured grid data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkStructuredGridSource is an abstract class whose subclasses generate\n structured grid data.\n\n",
  "See Also:\n\n vtkStructuredGridReader vtkPLOT3DReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredGridSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredGridSourceMethods,
                        (char*)"vtkStructuredGridSource",modulename,
                        (char**)vtkStructuredGridSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

