// tcl wrapper for vtkStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGrid.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkStructuredGridNewCommand()
{
  vtkStructuredGrid *temp = vtkStructuredGrid::New();
  return static_cast<ClientData>(temp);
}

int vtkPointSetCppCommand(vtkPointSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStructuredGridCppCommand(vtkStructuredGrid *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStructuredGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStructuredGridCppCommand(static_cast<vtkStructuredGrid *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStructuredGridCppCommand(vtkStructuredGrid *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStructuredGrid",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPointSetCppCommand(static_cast<vtkPointSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPointSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStructuredGrid  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStructuredGrid");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPoint(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkGenericCell  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCell"),interp,error));
    if (!error)
    {
    op->GetCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellPoints",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointCells",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetPointCells(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellNeighbors",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    vtkIdList  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellNeighbors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BlankPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BlankPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnBlankPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UnBlankPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BlankCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BlankCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnBlankCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UnBlankCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointVisibilityArray",argv[1]))&&(argc == 2))
    {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetPointVisibilityArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
  if ((!strcmp("SetPointVisibilityArray",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->SetPointVisibilityArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellVisibilityArray",argv[1]))&&(argc == 2))
    {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetCellVisibilityArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
  if ((!strcmp("SetCellVisibilityArray",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->SetCellVisibilityArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPointVisible",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned char     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsPointVisible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsCellVisible",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned char     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsCellVisible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointBlanking",argv[1]))&&(argc == 2))
    {
    unsigned char     temp20;
    temp20 = (op)->GetPointBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellBlanking",argv[1]))&&(argc == 2))
    {
    unsigned char     temp20;
    temp20 = (op)->GetCellBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Crop",argv[1]))&&(argc == 2))
    {
    op->Crop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStructuredGridCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPointSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStructuredGrid:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetCellPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointCells\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellSize\n",NULL);
    Tcl_AppendResult(interp,"  GetCellNeighbors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentType\n",NULL);
    Tcl_AppendResult(interp,"  BlankPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnBlankPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BlankCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnBlankCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointVisibilityArray\n",NULL);
    Tcl_AppendResult(interp,"  SetPointVisibilityArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellVisibilityArray\n",NULL);
    Tcl_AppendResult(interp,"  SetCellVisibilityArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPointVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsCellVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointBlanking\n",NULL);
    Tcl_AppendResult(interp,"  GetCellBlanking\n",NULL);
    Tcl_AppendResult(interp,"  Crop\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPointSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    Tcl_DStringAppendElement ( &dString, "GetCellNeighbors" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDataDimension" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    Tcl_DStringAppendElement ( &dString, "BlankPoint" );
    Tcl_DStringAppendElement ( &dString, "UnBlankPoint" );
    Tcl_DStringAppendElement ( &dString, "BlankCell" );
    Tcl_DStringAppendElement ( &dString, "UnBlankCell" );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "GetCellVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "SetCellVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    Tcl_DStringAppendElement ( &dString, "IsCellVisible" );
    Tcl_DStringAppendElement ( &dString, "GetPointBlanking" );
    Tcl_DStringAppendElement ( &dString, "GetCellBlanking" );
    Tcl_DStringAppendElement ( &dString, "Crop" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPointSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkStructuredGrid *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input poly data object.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectType ();return VTK_STRUCTURED_GRID " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input poly data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyStructure (vtkDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfPoints ();return vtkPointSet GetNumberOfPoints " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint (vtkIdType ptId);return this vtkPointSet GetPoint ptId " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetCell (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCell (vtkIdType cellId, vtkGenericCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellType (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellPoints */
    if ( strcmp ( argv[2], "GetCellPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellPoints */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCellPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointCells */
    if ( strcmp ( argv[2], "GetPointCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetPointCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellSize */
    if ( strcmp ( argv[2], "GetMaxCellSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellSize */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellSize ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetMaxCellSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellNeighbors */
    if ( strcmp ( argv[2], "GetCellNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellNeighbors */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCellNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetScalarRange (double range\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarRange */
    if ( strcmp ( argv[2], "GetScalarRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarRange */
    Tcl_DStringAppendElement ( &dString, " following methods are specific to structured grid\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetScalarRange ();return this Superclass GetScalarRange " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetScalarRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " following methods are specific to structured grid\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensions (int i, int j, int k);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " following methods are specific to structured grid\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDimensions (int dim\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Get dimensions of this structured points dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetDimensions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Get dimensions of this structured points dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetDimensions (int dim\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataDimension */
    if ( strcmp ( argv[2], "GetDataDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimensionality of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataDimension ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetDataDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent (int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtent */
    if ( strcmp ( argv[2], "GetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtent */
    Tcl_DStringAppendElement ( &dString, " Different ways to set the extent of the data array.  The extent\n should be set before the \"Scalars\" are set or allocated.\n The Extent is stored  in the order (X, Y, Z).\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetActualMemorySize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentType */
    if ( strcmp ( argv[2], "GetExtentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentType */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtentType ();return VTK_3D_EXTENT " );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetExtentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BlankPoint */
    if ( strcmp ( argv[2], "BlankPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BlankPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BlankPoint */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "void BlankPoint (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for BlankPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBlankPoint */
    if ( strcmp ( argv[2], "UnBlankPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBlankPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBlankPoint */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnBlankPoint (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for UnBlankPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BlankCell */
    if ( strcmp ( argv[2], "BlankCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BlankCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BlankCell */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "void BlankCell (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for BlankCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBlankCell */
    if ( strcmp ( argv[2], "UnBlankCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBlankCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBlankCell */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnBlankCell (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for UnBlankCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointVisibilityArray */
    if ( strcmp ( argv[2], "GetPointVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Get the array that defines the blanking (visibility) of each point.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *GetPointVisibilityArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetPointVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointVisibilityArray */
    if ( strcmp ( argv[2], "SetPointVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Set an array that defines the (blanking) visibility of the points \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetPointVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellVisibilityArray */
    if ( strcmp ( argv[2], "GetCellVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Get the array that defines the blanking (visibility) of each cell.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *GetCellVisibilityArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCellVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellVisibilityArray */
    if ( strcmp ( argv[2], "SetCellVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Set an array that defines the (blanking) visibility of the cells \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for SetCellVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPointVisible */
    if ( strcmp ( argv[2], "IsPointVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPointVisible */
    Tcl_DStringAppendElement ( &dString, " Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char IsPointVisible (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for IsPointVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsCellVisible */
    if ( strcmp ( argv[2], "IsCellVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCellVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCellVisible */
    Tcl_DStringAppendElement ( &dString, " Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char IsCellVisible (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for IsCellVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointBlanking */
    if ( strcmp ( argv[2], "GetPointBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointBlanking */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if there is any visibility constraint on the points,\n 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char GetPointBlanking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetPointBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellBlanking */
    if ( strcmp ( argv[2], "GetCellBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellBlanking */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if there is any visibility constraint on the cells,\n 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned char GetCellBlanking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for GetCellBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Crop */
    if ( strcmp ( argv[2], "Crop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Crop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Crop */
    Tcl_DStringAppendElement ( &dString, " Reallocates and copies to set the Extent to the UpdateExtent.\n This is used internally when the exact extent is requested, \n and the source generated more than the update extent. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Crop ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStructuredGrid" );
    /* Closing for Crop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPointSetCppCommand(static_cast<vtkPointSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
