// python wrapper for vtkStructuredPointsCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredPointsCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkStructuredPointsCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsCollection *op;

  const char    *temp20;
  op = (vtkStructuredPointsCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsCollection *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredPointsCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsCollection *op;

  vtkStructuredPointsCollection  *temp20;
  op = (vtkStructuredPointsCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredPointsCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredPointsCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsCollection *op;

  vtkStructuredPoints  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredPointsCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStructuredPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredPointsCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkStructuredPointsCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsCollection *op;

  vtkStructuredPoints  *temp20;
  op = (vtkStructuredPointsCollection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsCollection\nC++: vtkStructuredPointsCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredPointsCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredPointsCollection\nC++: vtkStructuredPointsCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkStructuredPointsCollection_AddItem, 1,
   (char*)"V.AddItem(vtkStructuredPoints)\nC++: void AddItem (vtkStructuredPoints *ds);this vtkCollection AddItem ds \n\n Get the next item in the collection. NULL is returned if the collection\n is exhausted.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkStructuredPointsCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetNextItem ();return static_cast vtkStructuredPoints this GetNextItemAsObject \n\n Get the next item in the collection. NULL is returned if the collection\n is exhausted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsCollectionDoc[] = {
  (char*)"vtkStructuredPointsCollection - maintain a list of structured points data objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkStructuredPointsCollection is an object that creates and manipulates\n lists of structured points datasets. See also vtkCollection and\n subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredPointsCollectionStaticNew()
{
  return vtkStructuredPointsCollection::New();
}

PyObject *PyVTKClass_vtkStructuredPointsCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredPointsCollectionStaticNew,
                        PyvtkStructuredPointsCollectionMethods,
                        (char*)"vtkStructuredPointsCollection",modulename,
                        (char**)vtkStructuredPointsCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

