// python wrapper for vtkStructuredPointsSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredPointsSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkStructuredPointsSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  const char    *temp20;
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  vtkStructuredPointsSource  *temp20;
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  vtkStructuredPoints  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStructuredPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredPoints");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredPointsSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  vtkStructuredPoints  *temp20;
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredPointsSource *op;

  int      temp0;
  vtkStructuredPoints  *temp20;
  PyErr_Clear();
  op = (vtkStructuredPointsSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsSource\nC++: vtkStructuredPointsSource *NewInstance ();\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkStructuredPointsSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkStructuredPoints)\nC++: void SetOutput (vtkStructuredPoints *output);\n\n Set/Get the output of this source.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkStructuredPointsSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetOutput ();\nV.GetOutput(int) -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetOutput (int idx);\n\n Set/Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsSourceDoc[] = {
  (char*)"vtkStructuredPointsSource - Abstract class whose subclasses generates structured Points data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkStructuredPointsSource is an abstract class whose subclasses generate\n structured Points data.\n\n",
  "See Also:\n\n vtkStructuredPointsReader vtkPLOT3DReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredPointsSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredPointsSourceMethods,
                        (char*)"vtkStructuredPointsSource",modulename,
                        (char**)vtkStructuredPointsSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

