// python wrapper for vtkStructuredPointsToStructuredPointsFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredPointsToStructuredPointsFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsToStructuredPointsFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsToStructuredPointsFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredPointsSourceNew(char *); }

static PyObject *PyvtkStructuredPointsToStructuredPointsFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToStructuredPointsFilter *op;

  const char    *temp20;
  op = (vtkStructuredPointsToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToStructuredPointsFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToStructuredPointsFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToStructuredPointsFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredPointsToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToStructuredPointsFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToStructuredPointsFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToStructuredPointsFilter *op;

  vtkStructuredPointsToStructuredPointsFilter  *temp20;
  op = (vtkStructuredPointsToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToStructuredPointsFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToStructuredPointsFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToStructuredPointsFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkStructuredPointsToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredPointsToStructuredPointsFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsToStructuredPointsFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToStructuredPointsFilter *op;

  vtkImageData  *temp20;
  op = (vtkStructuredPointsToStructuredPointsFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToStructuredPointsFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsToStructuredPointsFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsToStructuredPointsFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsToStructuredPointsFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsToStructuredPointsFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsToStructuredPointsFilter\nC++: vtkStructuredPointsToStructuredPointsFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkStructuredPointsToStructuredPointsFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: void SetInput (vtkImageData *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredPointsToStructuredPointsFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsToStructuredPointsFilterDoc[] = {
  (char*)"vtkStructuredPointsToStructuredPointsFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkStructuredPointsSource\n\n",
  (char*)" vtkStructuredPointsToStructuredPointsFilter is an abstract filter class \n whose subclasses take on input structured points and generate\n structured points on output.\n\n",
  "See Also:\n\n vtkExtractVOI vtkImageDifference vtkSweptSurface\n vtkTransformStructuredPoints\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredPointsToStructuredPointsFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredPointsToStructuredPointsFilterMethods,
                        (char*)"vtkStructuredPointsToStructuredPointsFilter",modulename,
                        (char**)vtkStructuredPointsToStructuredPointsFilterDoc,
                        PyVTKClass_vtkStructuredPointsSourceNew(modulename));
}

