// python wrapper for vtkSuperquadric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSuperquadric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSuperquadricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSuperquadricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkSuperquadric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  const char    *temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  char    *temp0;
  int      temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  vtkSuperquadric  *temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSuperquadric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSuperquadric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSuperquadric_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double temp0[3];
  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double temp0[3];
  double temp1[3];
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double  *temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double  *temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetThickness();
      }
    else
      {
      temp20 = op->GetThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetThickness(temp0);
      }
    else
      {
      op->SetThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetThicknessMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetThicknessMinValue();
      }
    else
      {
      temp20 = op->GetThicknessMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetThicknessMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetThicknessMaxValue();
      }
    else
      {
      temp20 = op->GetThicknessMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetPhiRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetPhiRoundness();
      }
    else
      {
      temp20 = op->GetPhiRoundness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetPhiRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetPhiRoundness(temp0);
      }
    else
      {
      op->SetPhiRoundness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetThetaRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetThetaRoundness();
      }
    else
      {
      temp20 = op->GetThetaRoundness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetThetaRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetThetaRoundness(temp0);
      }
    else
      {
      op->SetThetaRoundness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp0;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  double   temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_ToroidalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::ToroidalOn();
      }
    else
      {
      op->ToroidalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_ToroidalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::ToroidalOff();
      }
    else
      {
      op->ToroidalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_GetToroidal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  int      temp20;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadric::GetToroidal();
      }
    else
      {
      temp20 = op->GetToroidal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadric_SetToroidal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadric *op;

  int      temp0;
  op = (vtkSuperquadric *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadric::SetToroidal(temp0);
      }
    else
      {
      op->SetToroidal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSuperquadricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSuperquadric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSuperquadric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSuperquadric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSuperquadric\nC++: vtkSuperquadric *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSuperquadric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSuperquadric\nC++: vtkSuperquadric *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkSuperquadric_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkSuperquadric_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSuperquadric_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the superquadric. Default is 0,0,0.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSuperquadric_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the superquadric. Default is 0,0,0.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSuperquadric_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Set the scale factors of the superquadric. Default is 1,1,1.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSuperquadric_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Set the scale factors of the superquadric. Default is 1,1,1.\n"},
  {(char*)"GetThickness",                (PyCFunction)PyvtkSuperquadric_GetThickness, 1,
   (char*)"V.GetThickness() -> float\nC++: double GetThickness ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"SetThickness",                (PyCFunction)PyvtkSuperquadric_SetThickness, 1,
   (char*)"V.SetThickness(float)\nC++: void SetThickness (double );\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetThicknessMinValue",                (PyCFunction)PyvtkSuperquadric_GetThicknessMinValue, 1,
   (char*)"V.GetThicknessMinValue() -> float\nC++: double GetThicknessMinValue ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetThicknessMaxValue",                (PyCFunction)PyvtkSuperquadric_GetThicknessMaxValue, 1,
   (char*)"V.GetThicknessMaxValue() -> float\nC++: double GetThicknessMaxValue ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetPhiRoundness",                (PyCFunction)PyvtkSuperquadric_GetPhiRoundness, 1,
   (char*)"V.GetPhiRoundness() -> float\nC++: double GetPhiRoundness ();\n\n Set/Get Superquadric north/south roundness. \n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetPhiRoundness",                (PyCFunction)PyvtkSuperquadric_SetPhiRoundness, 1,
   (char*)"V.SetPhiRoundness(float)\nC++: void SetPhiRoundness (double e);\n\n Set/Get Superquadric north/south roundness. \n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"GetThetaRoundness",                (PyCFunction)PyvtkSuperquadric_GetThetaRoundness, 1,
   (char*)"V.GetThetaRoundness() -> float\nC++: double GetThetaRoundness ();\n\n Set/Get Superquadric east/west roundness.\n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetThetaRoundness",                (PyCFunction)PyvtkSuperquadric_SetThetaRoundness, 1,
   (char*)"V.SetThetaRoundness(float)\nC++: void SetThetaRoundness (double e);\n\n Set/Get Superquadric east/west roundness.\n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkSuperquadric_SetSize, 1,
   (char*)"V.SetSize(float)\nC++: void SetSize (double );\n\n Set/Get Superquadric isotropic size.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkSuperquadric_GetSize, 1,
   (char*)"V.GetSize() -> float\nC++: double GetSize ();\n\n Set/Get Superquadric isotropic size.\n"},
  {(char*)"ToroidalOn",                (PyCFunction)PyvtkSuperquadric_ToroidalOn, 1,
   (char*)"V.ToroidalOn()\nC++: void ToroidalOn ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"ToroidalOff",                (PyCFunction)PyvtkSuperquadric_ToroidalOff, 1,
   (char*)"V.ToroidalOff()\nC++: void ToroidalOff ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"GetToroidal",                (PyCFunction)PyvtkSuperquadric_GetToroidal, 1,
   (char*)"V.GetToroidal() -> int\nC++: int GetToroidal ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"SetToroidal",                (PyCFunction)PyvtkSuperquadric_SetToroidal, 1,
   (char*)"V.SetToroidal(int)\nC++: void SetToroidal (int );\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSuperquadricDoc[] = {
  (char*)"vtkSuperquadric - implicit function for a Superquadric\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkSuperquadric computes the implicit function and function gradient\n for a superquadric. vtkSuperquadric is a concrete implementation of\n vtkImplicitFunction.  The superquadric is centered at Center and axes\n of rotation is along the y-axis. (Use the superclass'\n vtkImplicitFunction transformation matrix if necessary to reposition.)\n Roundness parameters (PhiRoundness and ThetaRoundness) control",
  (char*)"\n the shape of the superquadric.  The Toroidal boolean controls whether\n a toroidal superquadric is produced.  If so, the Thickness parameter\n controls the thickness of the toroid:  0 is the thinnest allowable\n toroid, and 1 has a minimum sized hole.  The Scale parameters allow \n the superquadric to be scaled in x, y, and z (normal vectors are correctly\n generated in any case).  The Size parameter",
  (char*)" controls size of the \n superquadric.\n\n This code is based on \"Rigid physically based superquadrics\", A. H. Barr,\n in \"Graphics Gems III\", David Kirk, ed., Academic Press, 1992.\n\n\n",
  "Caveats:\n\n The Size and Thickness parameters control coefficients of superquadric\n generation, and may do not exactly describe the size of the superquadric.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSuperquadricStaticNew()
{
  return vtkSuperquadric::New();
}

PyObject *PyVTKClass_vtkSuperquadricNew(char *modulename)
{
  return PyVTKClass_New(&vtkSuperquadricStaticNew,
                        PyvtkSuperquadricMethods,
                        (char*)"vtkSuperquadric",modulename,
                        (char**)vtkSuperquadricDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

