// python wrapper for vtkTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  const char    *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  char    *temp0;
  int      temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkTable  *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTable_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  int      temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_SetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::SetFieldData(temp0);
      }
    else
      {
      op->SetFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTable_GetNumberOfRows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetNumberOfRows();
      }
    else
      {
      temp20 = op->GetNumberOfRows();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetRow(temp0);
      }
    else
      {
      temp20 = op->GetRow(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVariantArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::GetRow(temp0,temp1);
      }
    else
      {
      op->GetRow(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkTable_SetRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  PyObject *tempH1;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVariantArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::SetRow(temp0,temp1);
      }
    else
      {
      op->SetRow(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTable_InsertNextBlankRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::InsertNextBlankRow();
      }
    else
      {
      temp20 = op->InsertNextBlankRow();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_InsertNextRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::InsertNextRow(temp0);
      }
    else
      {
      temp20 = op->InsertNextRow(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTable_RemoveRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::RemoveRow(temp0);
      }
    else
      {
      op->RemoveRow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetNumberOfColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetNumberOfColumns();
      }
    else
      {
      temp20 = op->GetNumberOfColumns();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetColumnName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  const char    *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetColumnName(temp0);
      }
    else
      {
      temp20 = op->GetColumnName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetColumnByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  char    *temp0;
  vtkAbstractArray  *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetColumnByName(temp0);
      }
    else
      {
      temp20 = op->GetColumnByName(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp20;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTable::GetColumn(temp0);
      }
    else
      {
      temp20 = op->GetColumn(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_AddColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::AddColumn(temp0);
      }
    else
      {
      op->AddColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkTable_RemoveColumnByName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  char    *temp0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::RemoveColumnByName(temp0);
      }
    else
      {
      op->RemoveColumnByName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_RemoveColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkIdType   temp0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::RemoveColumn(temp0);
      }
    else
      {
      op->RemoveColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTable_GetData(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break21;
      {
      temp20 = vtkTable::GetData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break21:
  /* handle an occurrence */
  {
  vtkInformationVector  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkTable  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break22;
      {
      temp20 = vtkTable::GetData(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkTable_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTable *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkTable *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkTable::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}

static PyMethodDef PyvtkTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTable\nC++: vtkTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTable\nC++: vtkTable *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkTable_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_TABLE \n\n Sets the field data for the table.\n"},
  {(char*)"SetFieldData",                (PyCFunction)PyvtkTable_SetFieldData, 1,
   (char*)"V.SetFieldData(vtkFieldData)\nC++: virtual void SetFieldData (vtkFieldData *data);\n\n Sets the field data for the table.\n"},
  {(char*)"GetNumberOfRows",                (PyCFunction)PyvtkTable_GetNumberOfRows, 1,
   (char*)"V.GetNumberOfRows() -> int\nC++: vtkIdType GetNumberOfRows ();\n\n Get the number of rows in the table.\n"},
  {(char*)"GetRow",                (PyCFunction)PyvtkTable_GetRow, 1,
   (char*)"V.GetRow(int) -> vtkVariantArray\nC++: vtkVariantArray *GetRow (vtkIdType row);\nV.GetRow(int, vtkVariantArray)\nC++: void GetRow (vtkIdType row, vtkVariantArray *values);\n\n Get a row of the table as a vtkVariantArray which has one entry for each column.\n NOTE: This version of the method is NOT thread safe.\n"},
  {(char*)"SetRow",                (PyCFunction)PyvtkTable_SetRow, 1,
   (char*)"V.SetRow(int, vtkVariantArray)\nC++: void SetRow (vtkIdType row, vtkVariantArray *values);\n\n Set a row of the table with a vtkVariantArray which has one entry for each column.\n"},
  {(char*)"InsertNextBlankRow",                (PyCFunction)PyvtkTable_InsertNextBlankRow, 1,
   (char*)"V.InsertNextBlankRow() -> int\nC++: vtkIdType InsertNextBlankRow ();\n\n Insert a blank row at the end of the table.\n"},
  {(char*)"InsertNextRow",                (PyCFunction)PyvtkTable_InsertNextRow, 1,
   (char*)"V.InsertNextRow(vtkVariantArray) -> int\nC++: vtkIdType InsertNextRow (vtkVariantArray *arr);\n\n Insert a row specified by a vtkVariantArray.  The number of entries in the array\n should match the number of columns in the table.\n"},
  {(char*)"RemoveRow",                (PyCFunction)PyvtkTable_RemoveRow, 1,
   (char*)"V.RemoveRow(int)\nC++: void RemoveRow (vtkIdType row);\n\n Delete a row from the table.  Rows below the deleted row are shifted up.\n"},
  {(char*)"GetNumberOfColumns",                (PyCFunction)PyvtkTable_GetNumberOfColumns, 1,
   (char*)"V.GetNumberOfColumns() -> int\nC++: vtkIdType GetNumberOfColumns ();\n\n Get the number of columns in the table.\n"},
  {(char*)"GetColumnName",                (PyCFunction)PyvtkTable_GetColumnName, 1,
   (char*)"V.GetColumnName(int) -> string\nC++: const char *GetColumnName (vtkIdType col);\n\n Get the name of a column of the table.\n"},
  {(char*)"GetColumnByName",                (PyCFunction)PyvtkTable_GetColumnByName, 1,
   (char*)"V.GetColumnByName(string) -> vtkAbstractArray\nC++: vtkAbstractArray *GetColumnByName (const char *name);\n\n Get a column of the table by its name.\n"},
  {(char*)"GetColumn",                (PyCFunction)PyvtkTable_GetColumn, 1,
   (char*)"V.GetColumn(int) -> vtkAbstractArray\nC++: vtkAbstractArray *GetColumn (vtkIdType col);\n\n Get a column of the table by its column index.\n"},
  {(char*)"AddColumn",                (PyCFunction)PyvtkTable_AddColumn, 1,
   (char*)"V.AddColumn(vtkAbstractArray)\nC++: void AddColumn (vtkAbstractArray *arr);\n\n Add a column to the table.\n"},
  {(char*)"RemoveColumnByName",                (PyCFunction)PyvtkTable_RemoveColumnByName, 1,
   (char*)"V.RemoveColumnByName(string)\nC++: void RemoveColumnByName (const char *name);\n\n Remove a column from the table by its name.\n"},
  {(char*)"RemoveColumn",                (PyCFunction)PyvtkTable_RemoveColumn, 1,
   (char*)"V.RemoveColumn(int)\nC++: void RemoveColumn (vtkIdType col);\n\n Remove a column from the table by its column index.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkTable_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize to an empty table.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkTable_GetData, 1,
   (char*)"V.GetData(vtkInformation) -> vtkTable\nC++: static vtkTable *GetData (vtkInformation *info);\nV.GetData(vtkInformationVector, int) -> vtkTable\nC++: static vtkTable *GetData (vtkInformationVector *v, int i);\n\n Retrieve the table from vtkInformation.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTable_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTableDoc[] = {
  (char*)"vtkTable - A table, which contains similar-typed columns of data\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkTable is a basic data structure for storing columns of data.\n Internally, columns are stored in a vtkFieldData structure.\n However, using the vtkTable API additionally ensures that every column\n has the same number of entries, and provides row access (using vtkVariantArray)\n and single entry access (using vtkVariant).\n\n\n",
  "Caveats:\n\n You should use the vtkTable API to change the table data.  Performing\n vtkFieldData operations on the object returned by GetFieldData() may\n yield unexpected results.  vtkTable does allow the user to set the field\n data using SetFieldData(); the number of rows in the table is determined\n by the number of tuples in the first array (it is assumed that all arrays\n are the same length).\n\n Each column added with AddColumn <b>must</b> have its name set to a unique,\n non-e ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkTableStaticNew()
{
  return vtkTable::New();
}

PyObject *PyVTKClass_vtkTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkTableStaticNew,
                        PyvtkTableMethods,
                        (char*)"vtkTable",modulename,
                        (char**)vtkTableDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

