// tcl wrapper for vtkTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTable.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTableNewCommand()
{
  vtkTable *temp = vtkTable::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTableCppCommand(vtkTable *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTableCppCommand(static_cast<vtkTable *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTableCppCommand(vtkTable *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTable",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTable  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTable  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTable  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->SetFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRows",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfRows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRow",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkVariantArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRow(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVariantArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRow",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkVariantArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    op->GetRow(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRow",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkVariantArray  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    op->SetRow(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextBlankRow",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->InsertNextBlankRow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsertNextRow",argv[1]))&&(argc == 3))
    {
    vtkVariantArray  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkVariantArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVariantArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextRow(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRow",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveRow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfColumns",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfColumns();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColumnName",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumnName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumnByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkAbstractArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetColumnByName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColumn",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkAbstractArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColumn(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddColumn",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->AddColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveColumnByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveColumnByName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveColumn",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveColumn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkTable  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkTable  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTable");
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTableCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTable:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRows\n",NULL);
    Tcl_AppendResult(interp,"  GetRow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRow\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRow\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextBlankRow\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextRow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColumns\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumnByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveColumnByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveColumn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRows" );
    Tcl_DStringAppendElement ( &dString, "GetRow" );
    Tcl_DStringAppendElement ( &dString, "GetRow" );
    Tcl_DStringAppendElement ( &dString, "SetRow" );
    Tcl_DStringAppendElement ( &dString, "InsertNextBlankRow" );
    Tcl_DStringAppendElement ( &dString, "InsertNextRow" );
    Tcl_DStringAppendElement ( &dString, "RemoveRow" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumns" );
    Tcl_DStringAppendElement ( &dString, "GetColumnName" );
    Tcl_DStringAppendElement ( &dString, "GetColumnByName" );
    Tcl_DStringAppendElement ( &dString, "GetColumn" );
    Tcl_DStringAppendElement ( &dString, "AddColumn" );
    Tcl_DStringAppendElement ( &dString, "RemoveColumnByName" );
    Tcl_DStringAppendElement ( &dString, "RemoveColumn" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTable *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTable *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTable *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Sets the field data for the table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectType ();return VTK_TABLE " );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldData */
    if ( strcmp ( argv[2], "SetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldData */
    Tcl_DStringAppendElement ( &dString, " Sets the field data for the table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldData (vtkFieldData *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for SetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRows */
    if ( strcmp ( argv[2], "GetNumberOfRows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRows */
    Tcl_DStringAppendElement ( &dString, " Get the number of rows in the table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfRows ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetNumberOfRows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRow */
    if ( strcmp ( argv[2], "GetRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRow */
    Tcl_DStringAppendElement ( &dString, " Get a row of the table as a vtkVariantArray which has one entry for each column.\n NOTE: This version of the method is NOT thread safe.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray *GetRow (vtkIdType row);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRow */
    if ( strcmp ( argv[2], "GetRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRow */
    Tcl_DStringAppendElement ( &dString, " Get a row of the table as a vtkVariantArray which has one entry for each column.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetRow (vtkIdType row, vtkVariantArray *values);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRow */
    if ( strcmp ( argv[2], "SetRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRow */
    Tcl_DStringAppendElement ( &dString, " Set a row of the table with a vtkVariantArray which has one entry for each column.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRow (vtkIdType row, vtkVariantArray *values);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for SetRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextBlankRow */
    if ( strcmp ( argv[2], "InsertNextBlankRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextBlankRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextBlankRow */
    Tcl_DStringAppendElement ( &dString, " Insert a blank row at the end of the table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType InsertNextBlankRow ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for InsertNextBlankRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextRow */
    if ( strcmp ( argv[2], "InsertNextRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextRow */
    Tcl_DStringAppendElement ( &dString, " Insert a row specified by a vtkVariantArray.  The number of entries in the array\n should match the number of columns in the table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType InsertNextRow (vtkVariantArray *arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for InsertNextRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRow */
    if ( strcmp ( argv[2], "RemoveRow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRow */
    Tcl_DStringAppendElement ( &dString, " Delete a row from the table.  Rows below the deleted row are shifted up.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveRow (vtkIdType row);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for RemoveRow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColumns */
    if ( strcmp ( argv[2], "GetNumberOfColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColumns */
    Tcl_DStringAppendElement ( &dString, " Get the number of columns in the table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfColumns ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetNumberOfColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnName */
    if ( strcmp ( argv[2], "GetColumnName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnName */
    Tcl_DStringAppendElement ( &dString, " Get the name of a column of the table.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetColumnName (vtkIdType col);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetColumnName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumnByName */
    if ( strcmp ( argv[2], "GetColumnByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumnByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumnByName */
    Tcl_DStringAppendElement ( &dString, " Get a column of the table by its name.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetColumnByName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetColumnByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColumn */
    if ( strcmp ( argv[2], "GetColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColumn */
    Tcl_DStringAppendElement ( &dString, " Get a column of the table by its column index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray *GetColumn (vtkIdType col);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddColumn */
    if ( strcmp ( argv[2], "AddColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddColumn */
    Tcl_DStringAppendElement ( &dString, " Add a column to the table.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddColumn (vtkAbstractArray *arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for AddColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveColumnByName */
    if ( strcmp ( argv[2], "RemoveColumnByName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveColumnByName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveColumnByName */
    Tcl_DStringAppendElement ( &dString, " Remove a column from the table by its name.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveColumnByName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for RemoveColumnByName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveColumn */
    if ( strcmp ( argv[2], "RemoveColumn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveColumn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveColumn */
    Tcl_DStringAppendElement ( &dString, " Remove a column from the table by its column index.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveColumn (vtkIdType col);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for RemoveColumn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize to an empty table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve the table from vtkInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTable *GetData (vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve the table from vtkInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTable *GetData (vtkInformationVector *v, int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectCppCommand(static_cast<vtkDataObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
