// python wrapper for vtkTemporalDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }

static PyObject *PyvtkTemporalDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  const char    *temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  vtkTemporalDataSet  *temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  int      temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_SetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp0;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalDataSet::SetNumberOfTimeSteps(temp0);
      }
    else
      {
      op->SetNumberOfTimeSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalDataSet::SetTimeStep(temp0,temp1);
      }
    else
      {
      op->SetTimeStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp0;
  vtkDataObject  *temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetTimeStep(temp0);
      }
    else
      {
      temp20 = op->GetTimeStep(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_GetMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp0;
  vtkInformation  *temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  PyErr_Clear();
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetMetaData(temp0);
      }
    else
      {
      temp20 = op->GetMetaData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_HasMetaData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  unsigned int      temp0;
  int      temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  vtkCompositeDataIterator  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCompositeDataIterator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCompositeDataIterator");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::HasMetaData(temp0);
      }
    else
      {
      temp20 = op->HasMetaData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkTemporalDataSet_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSet *op;

  int      temp20;
  op = (vtkTemporalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSet::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalDataSet\nC++: vtkTemporalDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalDataSet\nC++: vtkTemporalDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkTemporalDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_TEMPORAL_DATA_SET \n\n Set the number of time steps in theis dataset\n"},
  {(char*)"SetNumberOfTimeSteps",                (PyCFunction)PyvtkTemporalDataSet_SetNumberOfTimeSteps, 1,
   (char*)"V.SetNumberOfTimeSteps(int)\nC++: void SetNumberOfTimeSteps (unsigned int numLevels);this SetNumberOfChildren numLevels \n\n Returns the number of time steps.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkTemporalDataSet_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: unsigned int GetNumberOfTimeSteps ();return this GetNumberOfChildren \n\n Set a data object as a timestep. Cannot be vtkTemporalDataSet.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkTemporalDataSet_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int, vtkDataObject)\nC++: void SetTimeStep (unsigned int timestep, vtkDataObject *dobj);\n\n Set a data object as a timestep. Cannot be vtkTemporalDataSet.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkTemporalDataSet_GetTimeStep, 1,
   (char*)"V.GetTimeStep(int) -> vtkDataObject\nC++: vtkDataObject *GetTimeStep (unsigned int timestep);return this GetChild timestep \n\n Get timestep meta-data.\n"},
  {(char*)"GetMetaData",                (PyCFunction)PyvtkTemporalDataSet_GetMetaData, 1,
   (char*)"V.GetMetaData(int) -> vtkInformation\nC++: vtkInformation *GetMetaData (unsigned int timestep);return this Superclass GetChildMetaData timestep \nV.GetMetaData(vtkCompositeDataIterator) -> vtkInformation\nC++: virtual vtkInformation *GetMetaData (vtkCompositeDataIterator *iter);return this Superclass GetMetaData iter \n\n Returns if timestep meta-data is present.\n"},
  {(char*)"HasMetaData",                (PyCFunction)PyvtkTemporalDataSet_HasMetaData, 1,
   (char*)"V.HasMetaData(int) -> int\nC++: int HasMetaData (unsigned int timestep);return this Superclass HasChildMetaData timestep \nV.HasMetaData(vtkCompositeDataIterator) -> int\nC++: virtual int HasMetaData (vtkCompositeDataIterator *iter);return this Superclass HasMetaData iter \n\n The extent type is a 3D extent\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkTemporalDataSet_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: virtual int GetExtentType ();return VTK_TIME_EXTENT \n\n The extent type is a 3D extent\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalDataSetDoc[] = {
  (char*)"vtkTemporalDataSet - Composite dataset that holds multiple times\n\n",
  "Super Class:\n\n vtkCompositeDataSet\n\n",
  (char*)" vtkTemporalDataSet is a vtkCompositeDataSet that stores\n multiple time steps of data. \n\n",
  "See Also:\n\n vtkCompositeDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalDataSetStaticNew()
{
  return vtkTemporalDataSet::New();
}

PyObject *PyVTKClass_vtkTemporalDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalDataSetStaticNew,
                        PyvtkTemporalDataSetMethods,
                        (char*)"vtkTemporalDataSet",modulename,
                        (char**)vtkTemporalDataSetDoc,
                        PyVTKClass_vtkCompositeDataSetNew(modulename));
}

