// python wrapper for vtkTetra object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTetra.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTetraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTetraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCell3DNew(char *); }

static PyObject *PyvtkTetra_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  const char    *temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  char    *temp0;
  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  vtkTetra  *temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTetra  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTetra::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTetra_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break9;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break9;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break9;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break9;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break9;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break9;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break9;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkTetra::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTetra_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break10;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break10;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break10;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break10;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break10;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break10;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkTetra::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTetra_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTetra_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTetra_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double temp0[3];
  int      temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_GetParametricDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double temp0[3];
  double   temp20;
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTetra::GetParametricDistance(temp0);
      }
    else
      {
      temp20 = op->GetParametricDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_TetraCenter(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
      {
      vtkTetra::TetraCenter(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_Circumsphere(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
      {
      temp20 = vtkTetra::Circumsphere(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_Insphere(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
      {
      temp20 = vtkTetra::Insphere(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_BarycentricCoords(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double temp5[4];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)(ddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp5 + 0, temp5 + 1, temp5 + 2, temp5 + 3)))
    {
      {
      temp20 = vtkTetra::BarycentricCoords(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,5,temp5,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_ComputeVolume(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      temp20 = vtkTetra::ComputeVolume(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[4];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
      {
      vtkTetra::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[12];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11)))
    {
      {
      vtkTetra::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,12)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double temp0[3];
  double temp1[4];
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTetra::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTetra_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTetra *op;

  double temp0[3];
  double temp1[12];
  op = (vtkTetra *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTetra::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,12)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTetraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTetra_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTetra_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTetra_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTetra\nC++: vtkTetra *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTetra_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTetra\nC++: vtkTetra *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkTetra_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_TETRA \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkTetra_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkTetra_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkTetra_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkTetra_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int faceId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkTetra_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkTetra_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkTetra_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkTetra_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n Returns the set of points that are on the boundary of the tetrahedron that\n are closest parametrically to the point specified. This may include faces,\n edges, or vertices.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkTetra_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the tetrahedron in parametric coordinates.\n"},
  {(char*)"GetParametricDistance",                (PyCFunction)PyvtkTetra_GetParametricDistance, 1,
   (char*)"V.GetParametricDistance((float, float, float)) -> float\nC++: double GetParametricDistance (double pcoords[3]);\n\n Return the distance of the parametric coordinate provided to the\n cell. If inside the cell, a distance of zero is returned.\n"},
  {(char*)"TetraCenter",                (PyCFunction)PyvtkTetra_TetraCenter, 1,
   (char*)"V.TetraCenter((float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void TetraCenter (double p1[3], double p2[3], double p3[3], double p4[3], double center[3]);\n\n Compute the center of the tetrahedron,\n"},
  {(char*)"Circumsphere",                (PyCFunction)PyvtkTetra_Circumsphere, 1,
   (char*)"V.Circumsphere((float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double Circumsphere (double p1[3], double p2[3], double p3[3], double p4[3], double center[3]);\n\n Compute the circumcenter (center[3]) and radius squared (method\n return value) of a tetrahedron defined by the four points x1, x2,\n x3, and x4.\n"},
  {(char*)"Insphere",                (PyCFunction)PyvtkTetra_Insphere, 1,
   (char*)"V.Insphere((float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double Insphere (double p1[3], double p2[3], double p3[3], double p4[3], double center[3]);\n\n Compute the center (center[3]) and radius (method return value) of\n a sphere that just fits inside the faces of a tetrahedron defined\n by the four points x1, x2, x3, and x4.\n"},
  {(char*)"BarycentricCoords",                (PyCFunction)PyvtkTetra_BarycentricCoords, 1,
   (char*)"V.BarycentricCoords((float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float, float)) -> int\nC++: static int BarycentricCoords (double x[3], double x1[3], double x2[3], double x3[3], double x4[3], double bcoords[4]);\n\n Given a 3D point x[3], determine the barycentric coordinates of the point.\n Barycentric coordinates are a natural coordinate system for simplices that\n express a position as a linear combination of the vertices. For a\n tetrahedron, there are four barycentric coordinates (because there are\n four vertices), and the sum of the coordinates must equal 1. If a\n point x is inside a simplex, then all four coordinates will be strictly\n positive.  If three coordinates are zero (so the fourth =1), then the\n point x is on a vertex. If two coordinates are zero, the point x is on an\n edge (and so on). In this method, you must specify the vertex coordinates\n x1->x4. Returns 0 if tetrahedron is degenerate.\n"},
  {(char*)"ComputeVolume",                (PyCFunction)PyvtkTetra_ComputeVolume, 1,
   (char*)"V.ComputeVolume((float, float, float), (float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double ComputeVolume (double p1[3], double p2[3], double p3[3], double p4[3]);\n\n Compute the volume of a tetrahedron defined by the four points\n p1, p2, p3, and p4.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkTetra_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float, float, float, float))\nC++: static void InterpolationFunctions (double pcoords[3], double weights[4]);\n\n @deprecated Replaced by vtkTetra::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkTetra_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float, float, float, float, float, float, float, float, float, float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[12]);\n\n @deprecated Replaced by vtkTetra::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkTetra_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float, float, float, float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double weights[4]);vtkTetra InterpolationFunctions pcoords weights \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkTetra_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[12]);vtkTetra InterpolationDerivs pcoords derivs \n\n Return the ids of the vertices defining edge/face (`edgeId`/`faceId').\n Ids are related to the cell, not to the dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTetraDoc[] = {
  (char*)"vtkTetra - a 3D cell that represents a tetrahedron\n\n",
  "Super Class:\n\n vtkCell3D\n\n",
  (char*)" vtkTetra is a concrete implementation of vtkCell to represent a 3D\n tetrahedron. vtkTetra uses the standard isoparametric shape functions\n for a linear tetrahedron. The tetrahedron is defined by the four points\n (0-3); where (0,1,2) is the base of the tetrahedron which, using the\n right hand rule, forms a triangle whose normal points in the direction\n of the fourth point.\n\n",
  "See Also:\n\n vtkConvexPointSet vtkHexahedron vtkPyramid vtkVoxel vtkWedge\n\n",
  NULL
};

static vtkObjectBase *vtkTetraStaticNew()
{
  return vtkTetra::New();
}

PyObject *PyVTKClass_vtkTetraNew(char *modulename)
{
  return PyVTKClass_New(&vtkTetraStaticNew,
                        PyvtkTetraMethods,
                        (char*)"vtkTetra",modulename,
                        (char**)vtkTetraDoc,
                        PyVTKClass_vtkCell3DNew(modulename));
}

