// tcl wrapper for vtkTetra object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTetra.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTetraNewCommand()
{
  vtkTetra *temp = vtkTetra::New();
  return static_cast<ClientData>(temp);
}

int vtkCell3DCppCommand(vtkCell3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTetraCppCommand(vtkTetra *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTetraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTetraCppCommand(static_cast<vtkTetra *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTetraCppCommand(vtkTetra *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTetra",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCell3DCppCommand(static_cast<vtkCell3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCell3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTetra  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTetra");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTetra  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTetra");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTetra  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTetra");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdge",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdge(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFace(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 13))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkCellArray  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkIdType   temp9;
    vtkCellData  *temp10;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointLocator"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkCellArray"),interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkCellArray"),interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkPointData"),interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkPointData"),interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    temp10 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[12],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 12))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    int      temp9;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPointLocator"),interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkCellArray"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkPointData"),interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkPoints  *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->Triangulate(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricCenter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricDistance",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricDistance(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTetraCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCell3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTetra:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaces\n",NULL);
    Tcl_AppendResult(interp,"  GetEdge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 11 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricDistance\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCell3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaces" );
    Tcl_DStringAppendElement ( &dString, "GetEdge" );
    Tcl_DStringAppendElement ( &dString, "GetFace" );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    Tcl_DStringAppendElement ( &dString, "GetParametricDistance" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCell3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTetra *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellType ();return VTK_TETRA " );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdges ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaces */
    if ( strcmp ( argv[2], "GetNumberOfFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaces */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaces ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetNumberOfFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdge */
    if ( strcmp ( argv[2], "GetEdge" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdge" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdge */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetEdge (int edgeId);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetEdge */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFace */
    if ( strcmp ( argv[2], "GetFace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFace */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetFace (int faceId);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetFace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Contour */
    if ( strcmp ( argv[2], "Contour" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Contour" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Contour */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for Contour */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clip */
    if ( strcmp ( argv[2], "Clip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clip */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for Clip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Triangulate */
    if ( strcmp ( argv[2], "Triangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Triangulate */
    Tcl_DStringAppendElement ( &dString, " See the vtkCell API for descriptions of these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for Triangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricCenter */
    if ( strcmp ( argv[2], "GetParametricCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricCenter */
    Tcl_DStringAppendElement ( &dString, " Return the center of the tetrahedron in parametric coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParametricCenter (double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetParametricCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParametricDistance */
    if ( strcmp ( argv[2], "GetParametricDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParametricDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParametricDistance */
    Tcl_DStringAppendElement ( &dString, " Return the distance of the parametric coordinate provided to the\n cell. If inside the cell, a distance of zero is returned.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetParametricDistance (double pcoords\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    /* Closing for GetParametricDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCell3DCppCommand(static_cast<vtkCell3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
