// python wrapper for vtkTreeDFSIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTreeDFSIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeDFSIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeDFSIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTreeDFSIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  const char    *temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  vtkTreeDFSIterator  *temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTreeDFSIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTreeDFSIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_SetTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  vtkTree  *temp0;
  PyObject *tempH0;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeDFSIterator::SetTree(temp0);
      }
    else
      {
      op->SetTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_SetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  int      temp0;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeDFSIterator::SetMode(temp0);
      }
    else
      {
      op->SetMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_GetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  int      temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::GetMode();
      }
    else
      {
      temp20 = op->GetMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_SetStartVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  vtkIdType   temp0;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTreeDFSIterator::SetStartVertex(temp0);
      }
    else
      {
      op->SetStartVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_GetStartVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  vtkIdType   temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::GetStartVertex();
      }
    else
      {
      temp20 = op->GetStartVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  vtkIdType   temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::Next();
      }
    else
      {
      temp20 = op->Next();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTreeDFSIterator_HasNext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTreeDFSIterator *op;

  bool   temp20;
  op = (vtkTreeDFSIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTreeDFSIterator::HasNext();
      }
    else
      {
      temp20 = op->HasNext();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTreeDFSIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTreeDFSIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTreeDFSIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTreeDFSIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTreeDFSIterator\nC++: vtkTreeDFSIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTreeDFSIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeDFSIterator\nC++: vtkTreeDFSIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTree",                (PyCFunction)PyvtkTreeDFSIterator_SetTree, 1,
   (char*)"V.SetTree(vtkTree)\nC++: void SetTree (vtkTree *graph);\n\n Set the graph to iterate over.\n"},
  {(char*)"SetMode",                (PyCFunction)PyvtkTreeDFSIterator_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode (int mode);\n\n Set the visit mode of the iterator.  Mode can be\n   DISCOVER (0): Order by discovery time\n   FINISH   (1): Order by finish time\n Default is DISCOVER.\n Use DISCOVER for top-down algorithms where parents need to be processed before children.\n Use FINISH for bottom-up algorithms where children need to be processed before parents.\n"},
  {(char*)"GetMode",                (PyCFunction)PyvtkTreeDFSIterator_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode ();\n\n Set the visit mode of the iterator.  Mode can be\n   DISCOVER (0): Order by discovery time\n   FINISH   (1): Order by finish time\n Default is DISCOVER.\n Use DISCOVER for top-down algorithms where parents need to be processed before children.\n Use FINISH for bottom-up algorithms where children need to be processed before parents.\n"},
  {(char*)"SetStartVertex",                (PyCFunction)PyvtkTreeDFSIterator_SetStartVertex, 1,
   (char*)"V.SetStartVertex(int)\nC++: void SetStartVertex (vtkIdType vertex);\n\n The start vertex of the seedgeh.\n The tree iterator will only iterate over the subtree rooted at vertex.\n If not set (or set to a negative value), starts at the root of the tree.\n"},
  {(char*)"GetStartVertex",                (PyCFunction)PyvtkTreeDFSIterator_GetStartVertex, 1,
   (char*)"V.GetStartVertex() -> int\nC++: vtkIdType GetStartVertex ();\n\n The start vertex of the seedgeh.\n The tree iterator will only iterate over the subtree rooted at vertex.\n If not set (or set to a negative value), starts at the root of the tree.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkTreeDFSIterator_Next, 1,
   (char*)"V.Next() -> int\nC++: vtkIdType Next ();\n\n The next vertex visited in the graph.\n"},
  {(char*)"HasNext",                (PyCFunction)PyvtkTreeDFSIterator_HasNext, 1,
   (char*)"V.HasNext() -> bool\nC++: bool HasNext ();\n\n Return true when all vertices have been visited.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeDFSIteratorDoc[] = {
  (char*)"vtkTreeDFSIterator - depth first seedgeh iterator through a vtkGraph\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTreeDFSIterator performs a depth first seedgeh of a tree.  First,\n you must set the tree on which you are going to iterate, and set\n the starting vertex and mode.  The mode is either DISCOVER, in which\n case vertices are visited as they are first reached, or FINISH, in which\n case vertices are visited when they are done, i.e. all adjacent vertices\n have been discovered already.\n\n After setting",
  (char*)" up the iterator, the normal mode of operation is to\n set up a <code>while(iter->HasNext())</code> loop, with the statement\n <code>vtkIdType vertex = iter->Next()</code> inside the loop.\n\n",
  NULL
};

static vtkObjectBase *vtkTreeDFSIteratorStaticNew()
{
  return vtkTreeDFSIterator::New();
}

PyObject *PyVTKClass_vtkTreeDFSIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeDFSIteratorStaticNew,
                        PyvtkTreeDFSIteratorMethods,
                        (char*)"vtkTreeDFSIterator",modulename,
                        (char**)vtkTreeDFSIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

