// python wrapper for vtkTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedAcyclicGraphNew(char *); }

static PyObject *PyvtkTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  const char    *temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkTree  *temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTree_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  int      temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_GetRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetRoot();
      }
    else
      {
      temp20 = op->GetRoot();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_GetNumberOfChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetNumberOfChildren(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfChildren(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_GetChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetChild(temp0,temp1);
      }
    else
      {
      temp20 = op->GetChild(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_GetChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  PyObject *tempH1;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAdjacentVertexIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAdjacentVertexIterator");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkTree::GetChildren(temp0,temp1);
      }
    else
      {
      op->GetChildren(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkTree_GetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetParent(temp0);
      }
    else
      {
      temp20 = op->GetParent(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::GetLevel(temp0);
      }
    else
      {
      temp20 = op->GetLevel(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_IsLeaf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  bool   temp20;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTree::IsLeaf(temp0);
      }
    else
      {
      temp20 = op->IsLeaf(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkTree_ReorderChildren(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTree *op;

  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  op = (vtkTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkTree::ReorderChildren(temp0,temp1);
      }
    else
      {
      op->ReorderChildren(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTree\nC++: vtkTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTree\nC++: vtkTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkTree_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_TREE \n\n Get the root vertex of the tree.\n"},
  {(char*)"GetRoot",                (PyCFunction)PyvtkTree_GetRoot, 1,
   (char*)"V.GetRoot() -> int\nC++: vtkIdType GetRoot ();\n\n Get the root vertex of the tree.\n"},
  {(char*)"GetNumberOfChildren",                (PyCFunction)PyvtkTree_GetNumberOfChildren, 1,
   (char*)"V.GetNumberOfChildren(int) -> int\nC++: vtkIdType GetNumberOfChildren (vtkIdType v);return this GetOutDegree v \n\n Get the i-th child of a parent vertex.\n"},
  {(char*)"GetChild",                (PyCFunction)PyvtkTree_GetChild, 1,
   (char*)"V.GetChild(int, int) -> int\nC++: vtkIdType GetChild (vtkIdType v, vtkIdType i);\n\n Get the i-th child of a parent vertex.\n"},
  {(char*)"GetChildren",                (PyCFunction)PyvtkTree_GetChildren, 1,
   (char*)"V.GetChildren(int, vtkAdjacentVertexIterator)\nC++: void GetChildren (vtkIdType v, vtkAdjacentVertexIterator *it);this GetAdjacentVertices v it \n\n Get the parent of a vertex.\n"},
  {(char*)"GetParent",                (PyCFunction)PyvtkTree_GetParent, 1,
   (char*)"V.GetParent(int) -> int\nC++: vtkIdType GetParent (vtkIdType v);\n\n Get the parent of a vertex.\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkTree_GetLevel, 1,
   (char*)"V.GetLevel(int) -> int\nC++: vtkIdType GetLevel (vtkIdType v);\n\n Get the level of the vertex in the tree.  The root vertex has level 0.\n Returns -1 if the vertex id is < 0 or greater than the number of vertices\n in the tree.\n"},
  {(char*)"IsLeaf",                (PyCFunction)PyvtkTree_IsLeaf, 1,
   (char*)"V.IsLeaf(int) -> bool\nC++: bool IsLeaf (vtkIdType vertex);\n\n Return whether the vertex is a leaf (i.e. it has no children).\n"},
  {(char*)"ReorderChildren",                (PyCFunction)PyvtkTree_ReorderChildren, 1,
   (char*)"V.ReorderChildren(int, vtkIdTypeArray)\nC++: virtual void ReorderChildren (vtkIdType parent, vtkIdTypeArray *children);\n\n Reorder the children of a parent vertex.\n The children array must contain all the children of parent,\n just in a different order.\n This does not change the topology of the tree.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTreeDoc[] = {
  (char*)"vtkTree - A rooted tree data structure.\n\n",
  "Super Class:\n\n vtkDirectedAcyclicGraph\n\n",
  (char*)" vtkTree is a connected directed graph with no cycles. A tree is a type of\n directed graph, so works with all graph algorithms.\n\n vtkTree is a read-only data structure.\n To construct a tree, create an instance of vtkMutableDirectedGraph.\n Add vertices and edges with AddVertex() and AddEdge(). You may alternately\n start by adding a single vertex as the root then call graph->AddChild(parent)\n which ",
  (char*)"adds a new vertex and connects the parent to the child.\n The tree MUST have all edges in the proper direction, from parent to child.\n After building the tree, call tree->CheckedShallowCopy(graph) to copy the\n structure into a vtkTree. This method will return false if the graph is\n an invalid tree.\n\n vtkTree provides some convenience methods for obtaining the parent and\n children of a vertex, for f",
  (char*)"inding the root, and determining if a vertex\n is a leaf (a vertex with no children).\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkMutableDirectedGraph vtkGraph\n\n",
  NULL
};

static vtkObjectBase *vtkTreeStaticNew()
{
  return vtkTree::New();
}

PyObject *PyVTKClass_vtkTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkTreeStaticNew,
                        PyvtkTreeMethods,
                        (char*)"vtkTree",modulename,
                        (char**)vtkTreeDoc,
                        PyVTKClass_vtkDirectedAcyclicGraphNew(modulename));
}

