// python wrapper for vtkTriangle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTriangle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTriangleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTriangleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkTriangle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  const char    *temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  char    *temp0;
  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  vtkTriangle  *temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTriangle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTriangle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTriangle_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTriangle_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break11;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break11;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break11;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break11;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break11;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break11;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangle::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTriangle_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTriangle_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break13;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break13;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break13;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break13;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break13;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangle::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkTriangle_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkTriangle::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[6];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
      {
      vtkTriangle::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double temp0[3];
  double temp1[3];
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangle::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double temp0[3];
  double temp1[6];
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangle::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double temp0[3];
  int      temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_GetParametricDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangle *op;

  double temp0[3];
  double   temp20;
  op = (vtkTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangle::GetParametricDistance(temp0);
      }
    else
      {
      temp20 = op->GetParametricDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_TriangleCenter(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      vtkTriangle::TriangleCenter(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_TriangleArea(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkTriangle::TriangleArea(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_Circumcircle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[2];
  double temp1[2];
  double temp2[2];
  double temp3[2];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(dd)(dd)(dd)(dd)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp3 + 0, temp3 + 1)))
    {
      {
      temp20 = vtkTriangle::Circumcircle(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,2)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_BarycentricCoords(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[2];
  double temp1[2];
  double temp2[2];
  double temp3[2];
  double temp4[3];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(dd)(dd)(dd)(dd)(ddd)", temp0 + 0, temp0 + 1, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp3 + 0, temp3 + 1, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
      {
      temp20 = vtkTriangle::BarycentricCoords(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_ProjectTo2D(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[2];
  double temp4[2];
  double temp5[2];
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(dd)(dd)(dd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp4 + 0, temp4 + 1, temp5 + 0, temp5 + 1)))
    {
      {
      temp20 = vtkTriangle::ProjectTo2D(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,5,temp5,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_ComputeNormal(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      vtkTriangle::ComputeNormal(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_ComputeNormalDirection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      vtkTriangle::ComputeNormalDirection(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_PointInTriangle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double   temp4;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)d", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, &temp4)))
    {
      {
      temp20 = vtkTriangle::PointInTriangle(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangle_ComputeQuadric(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  vtkQuadric  *temp3;
  PyObject *tempH3;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, &tempH3)))
    {
    temp3 = (vtkQuadric *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkQuadric");
    if (!temp3 && tempH3 != Py_None) goto break28;
      {
      vtkTriangle::ComputeQuadric(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}

static PyMethodDef PyvtkTriangleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTriangle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTriangle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTriangle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTriangle\nC++: vtkTriangle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTriangle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTriangle\nC++: vtkTriangle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkTriangle_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n Get the edge specified by edgeId (range 0 to 2) and return that edge's\n coordinates.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkTriangle_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_TRIANGLE \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkTriangle_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkTriangle_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkTriangle_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkTriangle_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkTriangle_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkTriangle_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkTriangle_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkTriangle_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Clip this triangle using scalar value provided. Like contouring, except\n that it cuts the triangle to produce other triangles.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkTriangle_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float, float, float))\nC++: static void InterpolationFunctions (double pcoords[3], double sf[3]);\n\n @deprecated Replaced by vtkTriangle::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkTriangle_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float, float, float, float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[6]);\n\n @deprecated Replaced by vtkTriangle::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkTriangle_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float, float, float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double sf[3]);vtkTriangle InterpolationFunctions pcoords sf \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkTriangle_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float, float, float, float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[6]);vtkTriangle InterpolationDerivs pcoords derivs \n\n Return the ids of the vertices defining edge (`edgeId`).\n Ids are related to the cell, not to the dataset.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkTriangle_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the triangle in parametric coordinates.\n"},
  {(char*)"GetParametricDistance",                (PyCFunction)PyvtkTriangle_GetParametricDistance, 1,
   (char*)"V.GetParametricDistance((float, float, float)) -> float\nC++: double GetParametricDistance (double pcoords[3]);\n\n Return the distance of the parametric coordinate provided to the\n cell. If inside the cell, a distance of zero is returned.\n"},
  {(char*)"TriangleCenter",                (PyCFunction)PyvtkTriangle_TriangleCenter, 1,
   (char*)"V.TriangleCenter((float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void TriangleCenter (double p1[3], double p2[3], double p3[3], double center[3]);\n\n Compute the center of the triangle.\n"},
  {(char*)"TriangleArea",                (PyCFunction)PyvtkTriangle_TriangleArea, 1,
   (char*)"V.TriangleArea((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double TriangleArea (double p1[3], double p2[3], double p3[3]);\n\n Compute the area of a triangle in 3D.\n"},
  {(char*)"Circumcircle",                (PyCFunction)PyvtkTriangle_Circumcircle, 1,
   (char*)"V.Circumcircle((float, float), (float, float), (float, float), (float, float)) -> float\nC++: static double Circumcircle (double p1[2], double p2[2], double p3[2], double center[2]);\n\n Compute the circumcenter (center[3]) and radius squared (method\n return value) of a triangle defined by the three points x1, x2,\n and x3. (Note that the coordinates are 2D. 3D points can be used\n but the z-component will be ignored.)\n"},
  {(char*)"BarycentricCoords",                (PyCFunction)PyvtkTriangle_BarycentricCoords, 1,
   (char*)"V.BarycentricCoords((float, float), (float, float), (float, float), (float, float), (float, float, float)) -> int\nC++: static int BarycentricCoords (double x[2], double x1[2], double x2[2], double x3[2], double bcoords[3]);\n\n Given a 2D point x[2], determine the barycentric coordinates of the point.\n Barycentric coordinates are a natural coordinate system for simplices that\n express a position as a linear combination of the vertices. For a\n triangle, there are three barycentric coordinates (because there are\n three vertices), and the sum of the coordinates must equal 1. If a\n point x is inside a simplex, then all three coordinates will be strictly\n positive.  If two coordinates are zero (so the third =1), then the\n point x is on a vertex. If one coordinates are zero, the point x is on an\n edge. In this method, you must specify the vertex coordinates x1->x3.\n Returns 0 if triangle is degenerate.\n"},
  {(char*)"ProjectTo2D",                (PyCFunction)PyvtkTriangle_ProjectTo2D, 1,
   (char*)"V.ProjectTo2D((float, float, float), (float, float, float), (float, float, float), (float, float), (float, float), (float, float)) -> int\nC++: static int ProjectTo2D (double x1[3], double x2[3], double x3[3], double v1[2], double v2[2], double v3[2]);\n\n Project triangle defined in 3D to 2D coordinates. Returns 0 if\n degenerate triangle; non-zero value otherwise. Input points are x1->x3;\n output 2D points are v1->v3.\n"},
  {(char*)"ComputeNormal",                (PyCFunction)PyvtkTriangle_ComputeNormal, 1,
   (char*)"V.ComputeNormal((float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void ComputeNormal (double v1[3], double v2[3], double v3[3], double n[3]);\n\n Compute the triangle normal from three points.\n"},
  {(char*)"ComputeNormalDirection",                (PyCFunction)PyvtkTriangle_ComputeNormalDirection, 1,
   (char*)"V.ComputeNormalDirection((float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void ComputeNormalDirection (double v1[3], double v2[3], double v3[3], double n[3]);\n\n Compute the (unnormalized) triangle normal direction from three points.\n"},
  {(char*)"PointInTriangle",                (PyCFunction)PyvtkTriangle_PointInTriangle, 1,
   (char*)"V.PointInTriangle((float, float, float), (float, float, float), (float, float, float), (float, float, float), float) -> int\nC++: static int PointInTriangle (double x[3], double x1[3], double x2[3], double x3[3], double tol2);\n\n Given a point x, determine whether it is inside (within the\n tolerance squared, tol2) the triangle defined by the three\n coordinate values p1, p2, p3. Method is via comparing dot products.\n (Note: in current implementation the tolerance only works in the\n neighborhood of the three vertices of the triangle.\n"},
  {(char*)"ComputeQuadric",                (PyCFunction)PyvtkTriangle_ComputeQuadric, 1,
   (char*)"V.ComputeQuadric((float, float, float), (float, float, float), (float, float, float), vtkQuadric)\nC++: static void ComputeQuadric (double x1[3], double x2[3], double x3[3], vtkQuadric *quadric);\n\n Calculate the error quadric for this triangle.  Return the\n quadric as a 4x4 matrix or a vtkQuadric.  (from Peter\n Lindstrom's Siggraph 2000 paper, \"Out-of-Core Simplification of\n Large Polygonal Models\")\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTriangleDoc[] = {
  (char*)"vtkTriangle - a cell that represents a triangle\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkTriangle is a concrete implementation of vtkCell to represent a triangle\n located in 3-space.\n\n",
  NULL
};

static vtkObjectBase *vtkTriangleStaticNew()
{
  return vtkTriangle::New();
}

PyObject *PyVTKClass_vtkTriangleNew(char *modulename)
{
  return PyVTKClass_New(&vtkTriangleStaticNew,
                        PyvtkTriangleMethods,
                        (char*)"vtkTriangle",modulename,
                        (char**)vtkTriangleDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

