// python wrapper for vtkUndirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUndirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUndirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUndirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGraphNew(char *); }

static PyObject *PyvtkUndirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  const char    *temp20;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUndirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUndirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  vtkUndirectedGraph  *temp20;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUndirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUndirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUndirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  int      temp20;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUndirectedGraph::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_GetInDegree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUndirectedGraph::GetInDegree(temp0);
      }
    else
      {
      temp20 = op->GetInDegree(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUndirectedGraph_GetInEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUndirectedGraph *op;

  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  PyObject *tempH1;
  op = (vtkUndirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInEdgeIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInEdgeIterator");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkUndirectedGraph::GetInEdges(temp0,temp1);
      }
    else
      {
      op->GetInEdges(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkUndirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUndirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUndirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUndirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUndirectedGraph\nC++: vtkUndirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUndirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUndirectedGraph\nC++: vtkUndirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkUndirectedGraph_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_UNDIRECTED_GRAPH \n\n Returns the full degree of the vertex.\n"},
  {(char*)"GetInDegree",                (PyCFunction)PyvtkUndirectedGraph_GetInDegree, 1,
   (char*)"V.GetInDegree(int) -> int\nC++: virtual vtkIdType GetInDegree (vtkIdType v);\n\n Returns the full degree of the vertex.\n"},
  {(char*)"GetInEdges",                (PyCFunction)PyvtkUndirectedGraph_GetInEdges, 1,
   (char*)"V.GetInEdges(int, vtkInEdgeIterator)\nC++: virtual void GetInEdges (vtkIdType v, vtkInEdgeIterator *it);Superclass GetInEdges v it \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUndirectedGraphDoc[] = {
  (char*)"vtkUndirectedGraph - An undirected graph.\n\n",
  "Super Class:\n\n vtkGraph\n\n",
  (char*)" vtkUndirectedGraph is a collection of vertices along with a collection of\n undirected edges (they connect two vertices in no particular order). \n ShallowCopy(), DeepCopy(), CheckedShallowCopy(), CheckedDeepCopy()\n accept instances of vtkUndirectedGraph and vtkMutableUndirectedGraph.\n GetOutEdges(v, it) and GetInEdges(v, it) return the same list of edges, \n which is the list of all edges which hav",
  (char*)"e a v as an endpoint.\n GetInDegree(v), GetOutDegree(v) and GetDegree(v) all return the full\n degree of vertex v.\n\n vtkUndirectedGraph is read-only. To create an undirected graph,\n use an instance of vtkMutableUndirectedGraph, then you may set the\n structure to a vtkUndirectedGraph using ShallowCopy().\n\n\n",
  "See Also:\n\n vtkGraph vtkMutableUndirectedGraph\n\n",
  NULL
};

static vtkObjectBase *vtkUndirectedGraphStaticNew()
{
  return vtkUndirectedGraph::New();
}

PyObject *PyVTKClass_vtkUndirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkUndirectedGraphStaticNew,
                        PyvtkUndirectedGraphMethods,
                        (char*)"vtkUndirectedGraph",modulename,
                        (char**)vtkUndirectedGraphDoc,
                        PyVTKClass_vtkGraphNew(modulename));
}

