// tcl wrapper for vtkUniformGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUniformGrid.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkUniformGridNewCommand()
{
  vtkUniformGrid *temp = vtkUniformGrid::New();
  return static_cast<ClientData>(temp);
}

int vtkImageDataCppCommand(vtkImageData *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUniformGridCppCommand(vtkUniformGrid *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkUniformGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUniformGridCppCommand(static_cast<vtkUniformGrid *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUniformGridCppCommand(vtkUniformGrid *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUniformGrid",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageDataCppCommand(static_cast<vtkImageData *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageData"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUniformGrid  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUniformGrid  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGrid");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUniformGrid  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGrid");
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkGenericCell  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCell"),interp,error));
    if (!error)
    {
    op->GetCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellPoints",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointCells",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetPointCells(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BlankPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BlankPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnBlankPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UnBlankPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BlankCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->BlankCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnBlankCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UnBlankCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointVisibilityArray",argv[1]))&&(argc == 2))
    {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetPointVisibilityArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
  if ((!strcmp("SetPointVisibilityArray",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->SetPointVisibilityArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellVisibilityArray",argv[1]))&&(argc == 2))
    {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetCellVisibilityArray();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
  if ((!strcmp("SetCellVisibilityArray",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->SetCellVisibilityArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPointVisible",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned char     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsPointVisible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsCellVisible",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    unsigned char     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsCellVisible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointBlanking",argv[1]))&&(argc == 2))
    {
    unsigned char     temp20;
    temp20 = (op)->GetPointBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellBlanking",argv[1]))&&(argc == 2))
    {
    unsigned char     temp20;
    temp20 = (op)->GetCellBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%hu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewImageDataCopy",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->NewImageDataCopy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkUniformGridCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageDataCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUniformGrid:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointCells\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellSize\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BlankPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnBlankPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BlankCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnBlankCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointVisibilityArray\n",NULL);
    Tcl_AppendResult(interp,"  SetPointVisibilityArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellVisibilityArray\n",NULL);
    Tcl_AppendResult(interp,"  SetCellVisibilityArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPointVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsCellVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointBlanking\n",NULL);
    Tcl_AppendResult(interp,"  GetCellBlanking\n",NULL);
    Tcl_AppendResult(interp,"  NewImageDataCopy\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageDataCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "BlankPoint" );
    Tcl_DStringAppendElement ( &dString, "UnBlankPoint" );
    Tcl_DStringAppendElement ( &dString, "BlankCell" );
    Tcl_DStringAppendElement ( &dString, "UnBlankCell" );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "GetCellVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "SetCellVisibilityArray" );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    Tcl_DStringAppendElement ( &dString, "IsCellVisible" );
    Tcl_DStringAppendElement ( &dString, "GetPointBlanking" );
    Tcl_DStringAppendElement ( &dString, "GetCellBlanking" );
    Tcl_DStringAppendElement ( &dString, "NewImageDataCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageDataCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkUniformGrid *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input image data\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyStructure (vtkDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return what type of dataset this is.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType ();return VTK_UNIFORM_GRID " );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCell *GetCell (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCellType (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellPoints */
    if ( strcmp ( argv[2], "GetCellPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellPoints */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this GetDimensions " );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCellPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointCells */
    if ( strcmp ( argv[2], "GetPointCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions " );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetPointCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellSize */
    if ( strcmp ( argv[2], "GetMaxCellSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellSize */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxCellSize ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetMaxCellSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy (vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BlankPoint */
    if ( strcmp ( argv[2], "BlankPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BlankPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BlankPoint */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BlankPoint (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for BlankPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBlankPoint */
    if ( strcmp ( argv[2], "UnBlankPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBlankPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBlankPoint */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnBlankPoint (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for UnBlankPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BlankCell */
    if ( strcmp ( argv[2], "BlankCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BlankCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BlankCell */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BlankCell (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for BlankCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBlankCell */
    if ( strcmp ( argv[2], "UnBlankCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBlankCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBlankCell */
    Tcl_DStringAppendElement ( &dString, " Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnBlankCell (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for UnBlankCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointVisibilityArray */
    if ( strcmp ( argv[2], "GetPointVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Get the array that defines the blanking (visibility) of each point.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkUnsignedCharArray *GetPointVisibilityArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetPointVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointVisibilityArray */
    if ( strcmp ( argv[2], "SetPointVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Set an array that defines the (blanking) visibility of the points\n in the grid. Make sure that length of the visibility array matches\n the number of points in the grid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for SetPointVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellVisibilityArray */
    if ( strcmp ( argv[2], "GetCellVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Get the array that defines the blanking (visibility) of each cell.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkUnsignedCharArray *GetCellVisibilityArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCellVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellVisibilityArray */
    if ( strcmp ( argv[2], "SetCellVisibilityArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellVisibilityArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellVisibilityArray */
    Tcl_DStringAppendElement ( &dString, " Set an array that defines the (blanking) visibility of the cells\n in the grid. Make sure that length of the visibility array matches\n the number of points in the grid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for SetCellVisibilityArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPointVisible */
    if ( strcmp ( argv[2], "IsPointVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPointVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPointVisible */
    Tcl_DStringAppendElement ( &dString, " Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned char IsPointVisible (vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for IsPointVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsCellVisible */
    if ( strcmp ( argv[2], "IsCellVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCellVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCellVisible */
    Tcl_DStringAppendElement ( &dString, " Return non-zero value if specified cell is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned char IsCellVisible (vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for IsCellVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointBlanking */
    if ( strcmp ( argv[2], "GetPointBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointBlanking */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if there is any visibility constraint on the points,\n 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned char GetPointBlanking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetPointBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellBlanking */
    if ( strcmp ( argv[2], "GetCellBlanking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellBlanking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellBlanking */
    Tcl_DStringAppendElement ( &dString, " Returns 1 if there is any visibility constraint on the cells,\n 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned char GetCellBlanking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for GetCellBlanking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewImageDataCopy */
    if ( strcmp ( argv[2], "NewImageDataCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewImageDataCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewImageDataCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *NewImageDataCopy ();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGrid" );
    /* Closing for NewImageDataCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageDataCppCommand(static_cast<vtkImageData *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
