// python wrapper for vtkUnstructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetNew(char *); }

static PyObject *PyvtkUnstructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  const char    *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::Allocate(temp0,temp1);
      }
    else
      {
      op->Allocate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_InsertNextCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::InsertNextCell(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextCell(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  double temp1[6];
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellTypesArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkUnsignedCharArray  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCellTypesArray();
      }
    else
      {
      temp20 = op->GetCellTypesArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellLocationsArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdTypeArray  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCellLocationsArray();
      }
    else
      {
      temp20 = op->GetCellLocationsArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_BuildLinks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::BuildLinks();
      }
    else
      {
      op->BuildLinks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellLinks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkCellLinks  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCellLinks();
      }
    else
      {
      temp20 = op->GetCellLinks();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_SetCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp0;
  vtkCellArray  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCellArray");
    if (!temp1 && tempH1 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::SetCells(temp0,temp1);
      }
    else
      {
      op->SetCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  vtkCellArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break24;
    temp2 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkCellArray");
    if (!temp2 && tempH2 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::SetCells(temp0,temp1,temp2);
      }
    else
      {
      op->SetCells(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkCellArray  *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetCells();
      }
    else
      {
      temp20 = op->GetCells();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_RemoveReferenceToCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::RemoveReferenceToCell(temp0,temp1);
      }
    else
      {
      op->RemoveReferenceToCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_AddReferenceToCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::AddReferenceToCell(temp0,temp1);
      }
    else
      {
      op->AddReferenceToCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_ResizeCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::ResizeCellList(temp0,temp1);
      }
    else
      {
      op->ResizeCellList(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetCellNeighbors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break29;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetCellNeighbors(temp0,temp1,temp2);
      }
    else
      {
      op->GetCellNeighbors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int     *temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetUpdateExtent();
      }
    else
      {
      temp20 = op->GetUpdateExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetUpdateExtent(temp0);
      }
    else
      {
      op->GetUpdateExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  unsigned long     temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_GetIdsOfCellsOfType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::GetIdsOfCellsOfType(temp0,temp1);
      }
    else
      {
      op->GetIdsOfCellsOfType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_IsHomogeneous(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp20;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGrid::IsHomogeneous();
      }
    else
      {
      temp20 = op->IsHomogeneous();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGrid_RemoveGhostCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid *op;

  int      temp0;
  op = (vtkUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGrid::RemoveGhostCells(temp0);
      }
    else
      {
      op->RemoveGhostCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkUnstructuredGrid_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_UNSTRUCTURED_GRID \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkUnstructuredGrid_Allocate, 1,
   (char*)"V.Allocate(int, int)\nC++: virtual void Allocate (vtkIdType numCells, int extSize);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"InsertNextCell",                (PyCFunction)PyvtkUnstructuredGrid_InsertNextCell, 1,
   (char*)"V.InsertNextCell(int, vtkIdList) -> int\nC++: vtkIdType InsertNextCell (int type, vtkIdList *ptIds);\n\n Insert/create cell in object by type and list of point ids defining\n cell topology.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkUnstructuredGrid_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkUnstructuredGrid_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: virtual void CopyStructure (vtkDataSet *ds);\n\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkUnstructuredGrid_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkUnstructuredGrid_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkUnstructuredGrid_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: virtual void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkUnstructuredGrid_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);\n\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkUnstructuredGrid_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkUnstructuredGrid_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: int GetCellType (vtkIdType cellId);\n\n"},
  {(char*)"GetCellTypesArray",                (PyCFunction)PyvtkUnstructuredGrid_GetCellTypesArray, 1,
   (char*)"V.GetCellTypesArray() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetCellTypesArray ();return this Types \n\n"},
  {(char*)"GetCellLocationsArray",                (PyCFunction)PyvtkUnstructuredGrid_GetCellLocationsArray, 1,
   (char*)"V.GetCellLocationsArray() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetCellLocationsArray ();return this Locations \n\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkUnstructuredGrid_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGrid_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkUnstructuredGrid_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: int GetMaxCellSize ();\n\n"},
  {(char*)"BuildLinks",                (PyCFunction)PyvtkUnstructuredGrid_BuildLinks, 1,
   (char*)"V.BuildLinks()\nC++: void BuildLinks ();\n\n"},
  {(char*)"GetCellLinks",                (PyCFunction)PyvtkUnstructuredGrid_GetCellLinks, 1,
   (char*)"V.GetCellLinks() -> vtkCellLinks\nC++: vtkCellLinks *GetCellLinks ();return this Links \n\n"},
  {(char*)"SetCells",                (PyCFunction)PyvtkUnstructuredGrid_SetCells, 1,
   (char*)"V.SetCells(int, vtkCellArray)\nC++: void SetCells (int type, vtkCellArray *cells);\nV.SetCells(vtkUnsignedCharArray, vtkIdTypeArray, vtkCellArray)\nC++: void SetCells (vtkUnsignedCharArray *cellTypes, vtkIdTypeArray *cellLocations, vtkCellArray *cells);\n\n Special methods specific to vtkUnstructuredGrid for defining the cells\n composing the dataset.\n"},
  {(char*)"GetCells",                (PyCFunction)PyvtkUnstructuredGrid_GetCells, 1,
   (char*)"V.GetCells() -> vtkCellArray\nC++: vtkCellArray *GetCells ();return this Connectivity \n\n Special methods specific to vtkUnstructuredGrid for defining the cells\n composing the dataset.\n"},
  {(char*)"RemoveReferenceToCell",                (PyCFunction)PyvtkUnstructuredGrid_RemoveReferenceToCell, 1,
   (char*)"V.RemoveReferenceToCell(int, int)\nC++: void RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId);\n\n Special methods specific to vtkUnstructuredGrid for defining the cells\n composing the dataset.\n"},
  {(char*)"AddReferenceToCell",                (PyCFunction)PyvtkUnstructuredGrid_AddReferenceToCell, 1,
   (char*)"V.AddReferenceToCell(int, int)\nC++: void AddReferenceToCell (vtkIdType ptId, vtkIdType cellId);\n\n Special methods specific to vtkUnstructuredGrid for defining the cells\n composing the dataset.\n"},
  {(char*)"ResizeCellList",                (PyCFunction)PyvtkUnstructuredGrid_ResizeCellList, 1,
   (char*)"V.ResizeCellList(int, int)\nC++: void ResizeCellList (vtkIdType ptId, int size);\n\n Special methods specific to vtkUnstructuredGrid for defining the cells\n composing the dataset.\n"},
  {(char*)"GetCellNeighbors",                (PyCFunction)PyvtkUnstructuredGrid_GetCellNeighbors, 1,
   (char*)"V.GetCellNeighbors(int, vtkIdList, vtkIdList)\nC++: virtual void GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds);\n\n Topological inquiry to get all cells using list of points exclusive of\n cell specified (e.g., cellId).\n THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND\n THE DATASET IS NOT MODIFIED\n"},
  {(char*)"GetUpdateExtent",                (PyCFunction)PyvtkUnstructuredGrid_GetUpdateExtent, 1,
   (char*)"V.GetUpdateExtent() -> (int, int, int, int, int, int)\nC++: virtual int *GetUpdateExtent ();\nV.GetUpdateExtent((int, int, int, int, int, int))\nC++: virtual void GetUpdateExtent (int extent[6]);\n\n We need this here to avoid hiding superclass method\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkUnstructuredGrid_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: virtual int GetPiece ();\n\n Set / Get the piece and the number of pieces. Similar to extent in 3D.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkUnstructuredGrid_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: virtual int GetNumberOfPieces ();\n\n Set / Get the piece and the number of pieces. Similar to extent in 3D.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkUnstructuredGrid_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: virtual int GetGhostLevel ();\n\n Get the ghost level.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkUnstructuredGrid_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkUnstructuredGrid_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkUnstructuredGrid_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetIdsOfCellsOfType",                (PyCFunction)PyvtkUnstructuredGrid_GetIdsOfCellsOfType, 1,
   (char*)"V.GetIdsOfCellsOfType(int, vtkIdTypeArray)\nC++: void GetIdsOfCellsOfType (int type, vtkIdTypeArray *array);\n\n Fill vtkIdTypeArray container with list of cell Ids.  This\n method traverses all cells and, for a particular cell type,\n inserts the cell Id into the container.\n"},
  {(char*)"IsHomogeneous",                (PyCFunction)PyvtkUnstructuredGrid_IsHomogeneous, 1,
   (char*)"V.IsHomogeneous() -> int\nC++: int IsHomogeneous ();\n\n Traverse cells and determine if cells are all of the same type.\n"},
  {(char*)"RemoveGhostCells",                (PyCFunction)PyvtkUnstructuredGrid_RemoveGhostCells, 1,
   (char*)"V.RemoveGhostCells(int)\nC++: void RemoveGhostCells (int level);\n\n This method will remove any cell that has a ghost level array value\n greater or equal to level.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridDoc[] = {
  (char*)"vtkUnstructuredGrid - dataset represents arbitrary combinations of all possible cell types\n\n",
  "Super Class:\n\n vtkPointSet\n\n",
  (char*)" vtkUnstructuredGrid is a data object that is a concrete implementation \n of vtkDataSet. vtkUnstructuredGrid represents any combinations of any cell\n types. This includes 0D (e.g., points), 1D (e.g., lines, polylines), 2D \n (e.g., triangles, polygons), and 3D (e.g., hexahedron, tetrahedron).\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridStaticNew()
{
  return vtkUnstructuredGrid::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridStaticNew,
                        PyvtkUnstructuredGridMethods,
                        (char*)"vtkUnstructuredGrid",modulename,
                        (char**)vtkUnstructuredGridDoc,
                        PyVTKClass_vtkPointSetNew(modulename));
}

