// python wrapper for vtkUnstructuredGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkUnstructuredGridSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  const char    *temp20;
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  vtkUnstructuredGridSource  *temp20;
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  int      temp0;
  vtkUnstructuredGrid  *temp20;
  PyErr_Clear();
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridSource *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridSource\nC++: vtkUnstructuredGridSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkUnstructuredGridSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkUnstructuredGridSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkUnstructuredGrid)\nC++: void SetOutput (vtkUnstructuredGrid *output);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridSourceDoc[] = {
  (char*)"vtkUnstructuredGridSource - abstract class whose subclasses generate unstructured grid data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkUnstructuredGridSource is an abstract class whose subclasses generate \n unstructured grid data.\n\n",
  "See Also:\n\n vtkUnstructuredGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridSourceMethods,
                        (char*)"vtkUnstructuredGridSource",modulename,
                        (char**)vtkUnstructuredGridSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

