// python wrapper for vtkUnstructuredGridToUnstructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridToUnstructuredGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridToUnstructuredGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridToUnstructuredGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *); }

static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  const char    *temp20;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToUnstructuredGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToUnstructuredGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  vtkUnstructuredGridToUnstructuredGridFilter  *temp20;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToUnstructuredGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridToUnstructuredGridFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToUnstructuredGridFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToUnstructuredGridFilter_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToUnstructuredGridFilter *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkUnstructuredGridToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToUnstructuredGridFilter::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridToUnstructuredGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridToUnstructuredGridFilter\nC++: vtkUnstructuredGridToUnstructuredGridFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_SetInput, 1,
   (char*)"V.SetInput(vtkUnstructuredGrid)\nC++: void SetInput (vtkUnstructuredGrid *input);\n\n Set / get the input Grid or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetInput ();\n\n Set / get the input Grid or filter.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkUnstructuredGridToUnstructuredGridFilter_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: virtual int FillInputPortInformation (int , vtkInformation *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridToUnstructuredGridFilterDoc[] = {
  (char*)"vtkUnstructuredGridToUnstructuredGridFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkUnstructuredGridSource\n\n",
  "See Also:\n\n vtkExtractGrid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridToUnstructuredGridFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridToUnstructuredGridFilterMethods,
                        (char*)"vtkUnstructuredGridToUnstructuredGridFilter",modulename,
                        (char**)vtkUnstructuredGridToUnstructuredGridFilterDoc,
                        PyVTKClass_vtkUnstructuredGridSourceNew(modulename));
}

