// python wrapper for vtkVertexListIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVertexListIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVertexListIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVertexListIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVertexListIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  const char    *temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexListIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  char    *temp0;
  int      temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexListIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  vtkVertexListIterator  *temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexListIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVertexListIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVertexListIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVertexListIterator_SetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  vtkGraph  *temp0;
  PyObject *tempH0;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraph *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraph");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVertexListIterator::SetGraph(temp0);
      }
    else
      {
      op->SetGraph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVertexListIterator_GetGraph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  vtkGraph  *temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::GetGraph();
      }
    else
      {
      temp20 = op->GetGraph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexListIterator_Next(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  vtkIdType   temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::Next();
      }
    else
      {
      temp20 = op->Next();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexListIterator_HasNext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexListIterator *op;

  bool   temp20;
  op = (vtkVertexListIterator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexListIterator::HasNext();
      }
    else
      {
      temp20 = op->HasNext();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVertexListIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVertexListIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVertexListIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVertexListIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVertexListIterator\nC++: vtkVertexListIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVertexListIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVertexListIterator\nC++: vtkVertexListIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraph",                (PyCFunction)PyvtkVertexListIterator_SetGraph, 1,
   (char*)"V.SetGraph(vtkGraph)\nC++: virtual void SetGraph (vtkGraph *graph);\n\n Setup the iterator with a graph.\n"},
  {(char*)"GetGraph",                (PyCFunction)PyvtkVertexListIterator_GetGraph, 1,
   (char*)"V.GetGraph() -> vtkGraph\nC++: vtkGraph *GetGraph ();\n\n Get the graph associated with this iterator.\n"},
  {(char*)"Next",                (PyCFunction)PyvtkVertexListIterator_Next, 1,
   (char*)"V.Next() -> int\nC++: vtkIdType Next ();vtkIdType v this Current this Current return v \n\n Whether this iterator has more edges.\n"},
  {(char*)"HasNext",                (PyCFunction)PyvtkVertexListIterator_HasNext, 1,
   (char*)"V.HasNext() -> bool\nC++: bool HasNext ();return this Current this End \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVertexListIteratorDoc[] = {
  (char*)"vtkVertexListIterator - Iterates all vertices in a graph.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkVertexListIterator iterates through all vertices in a graph.\n Create an instance of this and call graph->GetVertices(it) to initialize\n this iterator. You may alternately call SetGraph() to initialize the\n iterator.\n\n\n",
  "See Also:\n\n vtkGraph \n\n",
  NULL
};

static vtkObjectBase *vtkVertexListIteratorStaticNew()
{
  return vtkVertexListIterator::New();
}

PyObject *PyVTKClass_vtkVertexListIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkVertexListIteratorStaticNew,
                        PyvtkVertexListIteratorMethods,
                        (char*)"vtkVertexListIterator",modulename,
                        (char**)vtkVertexListIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

