// python wrapper for vtkVertex object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVertex.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVertexNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVertexNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkVertex_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  const char    *temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  char    *temp0;
  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  vtkVertex  *temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVertex  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVertex::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVertex_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break10;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break10;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break10;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break10;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break10;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break10;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkVertex::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkVertex_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkVertex_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break12;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break12;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break12;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break12;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break12;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break12;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break12;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkVertex::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkVertex_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  double temp0[3];
  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertex::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkVertex_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[1];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(d)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0)))
    {
      {
      vtkVertex::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,1)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
      {
      vtkVertex::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  double temp0[3];
  double temp1[1];
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(d)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVertex::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,1)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVertex_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertex *op;

  double temp0[3];
  double temp1[3];
  op = (vtkVertex *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVertex::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVertexMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVertex_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVertex_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVertex_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVertex\nC++: vtkVertex *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVertex_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVertex\nC++: vtkVertex *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkVertex_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_VERTEX \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkVertex_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkVertex_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkVertex_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkVertex_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkVertex_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkVertex_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *pts, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkVertex_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n Given parametric coordinates of a point, return the closest cell\n boundary, and whether the point is inside or outside of the cell. The\n cell boundary is defined by a list of points (pts) that specify a vertex\n (1D cell).  If the return value of the method is != 0, then the point is\n inside the cell.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkVertex_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts1, vtkCellArray *lines, vtkCellArray *verts2, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n Generate contouring primitives. The scalar list cellScalars are\n scalar values at each cell point. The point locator is essentially a\n points list that merges points as they are inserted (i.e., prevents\n duplicates).\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkVertex_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the triangle in parametric coordinates.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkVertex_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n Triangulate the vertex. This method fills pts and ptIds with information\n from the only point in the vertex.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkVertex_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float))\nC++: static void InterpolationFunctions (double pcoords[3], double weights[1]);\n\n @deprecated Replaced by vtkVertex::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkVertex_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[3]);\n\n @deprecated Replaced by vtkVertex::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkVertex_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double weights[1]);vtkVertex InterpolationFunctions pcoords weights \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkVertex_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[3]);vtkVertex InterpolationDerivs pcoords derivs \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVertexDoc[] = {
  (char*)"vtkVertex - a cell that represents a 3D point\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkVertex is a concrete implementation of vtkCell to represent a 3D point.\n\n",
  NULL
};

static vtkObjectBase *vtkVertexStaticNew()
{
  return vtkVertex::New();
}

PyObject *PyVTKClass_vtkVertexNew(char *modulename)
{
  return PyVTKClass_New(&vtkVertexStaticNew,
                        PyvtkVertexMethods,
                        (char*)"vtkVertex",modulename,
                        (char**)vtkVertexDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

