// tcl wrapper for vtkViewport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewport.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkViewportCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkViewportCppCommand(static_cast<vtkViewport *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkViewport",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkViewport  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewport");
    return TCL_OK;
    }
  if ((!strcmp("AddViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewProps",argv[1]))&&(argc == 2))
    {
    vtkPropCollection  *temp20;
    temp20 = (op)->GetViewProps();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPropCollection");
    return TCL_OK;
    }
  if ((!strcmp("HasViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasViewProp(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllViewProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllViewProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddActor2D",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveActor2D",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 2))
    {
    vtkActor2DCollection  *temp20;
    temp20 = (op)->GetActors2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor2DCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackground(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackground",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackground();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBackground2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackground2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackground2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackground2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackground2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackground2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGradientBackground",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGradientBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientBackground",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGradientBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GradientBackgroundOn",argv[1]))&&(argc == 2))
    {
    op->GradientBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientBackgroundOff",argv[1]))&&(argc == 2))
    {
    op->GradientBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAspect",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetAspect(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAspect",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAspect",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAspect();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ComputeAspect",argv[1]))&&(argc == 2))
    {
    op->ComputeAspect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPixelAspect",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPixelAspect(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPixelAspect",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPixelAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelAspect",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPixelAspect();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetViewport(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewport();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDisplayPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplayPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDisplayPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDisplayPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetViewPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWorldPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetWorldPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWorldPoint",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetWorldPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWorldPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWorldPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsInViewport",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IsInViewport(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVTKWindow",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->GetVTKWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("DisplayToView",argv[1]))&&(argc == 2))
    {
    op->DisplayToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToDisplay",argv[1]))&&(argc == 2))
    {
    op->ViewToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WorldToView",argv[1]))&&(argc == 2))
    {
    op->WorldToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToWorld",argv[1]))&&(argc == 2))
    {
    op->ViewToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayToWorld",argv[1]))&&(argc == 2))
    {
    op->DisplayToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WorldToDisplay",argv[1]))&&(argc == 2))
    {
    op->WorldToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("PickProp",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->PickProp(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("PickPropFrom",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    vtkPropCollection  *temp2;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    temp2 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    temp20 = (op)->PickPropFrom(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickX",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickX();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickY",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickY();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickX1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickX1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickY1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickY1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickX2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickX2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickY2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickY2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsPicking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsPicking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickResultProps",argv[1]))&&(argc == 2))
    {
    vtkPropCollection  *temp20;
    temp20 = (op)->GetPickResultProps();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPropCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetPickedZ",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickedZ();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("RemoveProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("AddProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProps",argv[1]))&&(argc == 2))
    {
    vtkPropCollection  *temp20;
    temp20 = (op)->GetProps();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPropCollection");
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("HasProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasProp(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("RemoveAllProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkViewportCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkViewport:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  AddViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProps\n",NULL);
    Tcl_AppendResult(interp,"  HasViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllViewProps\n",NULL);
    Tcl_AppendResult(interp,"  AddActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackground\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackground2\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientBackground\n",NULL);
    Tcl_AppendResult(interp,"  GradientBackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientBackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAspect\n",NULL);
    Tcl_AppendResult(interp,"  ComputeAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldPoint\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  IsInViewport\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWindow\n",NULL);
    Tcl_AppendResult(interp,"  DisplayToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  WorldToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToWorld\n",NULL);
    Tcl_AppendResult(interp,"  DisplayToWorld\n",NULL);
    Tcl_AppendResult(interp,"  WorldToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  PickProp\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PickPropFrom\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPickX\n",NULL);
    Tcl_AppendResult(interp,"  GetPickY\n",NULL);
    Tcl_AppendResult(interp,"  GetPickWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetPickHeight\n",NULL);
    Tcl_AppendResult(interp,"  GetPickX1\n",NULL);
    Tcl_AppendResult(interp,"  GetPickY1\n",NULL);
    Tcl_AppendResult(interp,"  GetPickX2\n",NULL);
    Tcl_AppendResult(interp,"  GetPickY2\n",NULL);
    Tcl_AppendResult(interp,"  GetIsPicking\n",NULL);
    Tcl_AppendResult(interp,"  GetPickResultProps\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedZ\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  RemoveProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  AddProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProps\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  HasProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  RemoveAllProps\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "AddViewProp" );
    Tcl_DStringAppendElement ( &dString, "GetViewProps" );
    Tcl_DStringAppendElement ( &dString, "HasViewProp" );
    Tcl_DStringAppendElement ( &dString, "RemoveViewProp" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllViewProps" );
    Tcl_DStringAppendElement ( &dString, "AddActor2D" );
    Tcl_DStringAppendElement ( &dString, "RemoveActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    Tcl_DStringAppendElement ( &dString, "SetBackground2" );
    Tcl_DStringAppendElement ( &dString, "SetBackground2" );
    Tcl_DStringAppendElement ( &dString, "GetBackground2" );
    Tcl_DStringAppendElement ( &dString, "SetGradientBackground" );
    Tcl_DStringAppendElement ( &dString, "GetGradientBackground" );
    Tcl_DStringAppendElement ( &dString, "GradientBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "GradientBackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetAspect" );
    Tcl_DStringAppendElement ( &dString, "SetAspect" );
    Tcl_DStringAppendElement ( &dString, "GetAspect" );
    Tcl_DStringAppendElement ( &dString, "ComputeAspect" );
    Tcl_DStringAppendElement ( &dString, "SetPixelAspect" );
    Tcl_DStringAppendElement ( &dString, "SetPixelAspect" );
    Tcl_DStringAppendElement ( &dString, "GetPixelAspect" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPoint" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPoint" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayPoint" );
    Tcl_DStringAppendElement ( &dString, "SetViewPoint" );
    Tcl_DStringAppendElement ( &dString, "SetViewPoint" );
    Tcl_DStringAppendElement ( &dString, "GetViewPoint" );
    Tcl_DStringAppendElement ( &dString, "SetWorldPoint" );
    Tcl_DStringAppendElement ( &dString, "SetWorldPoint" );
    Tcl_DStringAppendElement ( &dString, "GetWorldPoint" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "IsInViewport" );
    Tcl_DStringAppendElement ( &dString, "GetVTKWindow" );
    Tcl_DStringAppendElement ( &dString, "DisplayToView" );
    Tcl_DStringAppendElement ( &dString, "ViewToDisplay" );
    Tcl_DStringAppendElement ( &dString, "WorldToView" );
    Tcl_DStringAppendElement ( &dString, "ViewToWorld" );
    Tcl_DStringAppendElement ( &dString, "DisplayToWorld" );
    Tcl_DStringAppendElement ( &dString, "WorldToDisplay" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    Tcl_DStringAppendElement ( &dString, "PickPropFrom" );
    Tcl_DStringAppendElement ( &dString, "GetPickX" );
    Tcl_DStringAppendElement ( &dString, "GetPickY" );
    Tcl_DStringAppendElement ( &dString, "GetPickWidth" );
    Tcl_DStringAppendElement ( &dString, "GetPickHeight" );
    Tcl_DStringAppendElement ( &dString, "GetPickX1" );
    Tcl_DStringAppendElement ( &dString, "GetPickY1" );
    Tcl_DStringAppendElement ( &dString, "GetPickX2" );
    Tcl_DStringAppendElement ( &dString, "GetPickY2" );
    Tcl_DStringAppendElement ( &dString, "GetIsPicking" );
    Tcl_DStringAppendElement ( &dString, "GetPickResultProps" );
    Tcl_DStringAppendElement ( &dString, "GetPickedZ" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "RemoveProp" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "AddProp" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "GetProps" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "HasProp" );
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "RemoveAllProps" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddViewProp */
    if ( strcmp ( argv[2], "AddViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddViewProp */
    Tcl_DStringAppendElement ( &dString, " Add a prop to the list of props. Prop is the superclass of all \n actors, volumes, 2D actors, composite props etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddViewProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for AddViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewProps */
    if ( strcmp ( argv[2], "GetViewProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewProps */
    Tcl_DStringAppendElement ( &dString, " Return any props in this viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection *GetViewProps ();return this Props " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetViewProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasViewProp */
    if ( strcmp ( argv[2], "HasViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasViewProp */
    Tcl_DStringAppendElement ( &dString, " Query if a prop is in the list of props.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasViewProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for HasViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveViewProp */
    if ( strcmp ( argv[2], "RemoveViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveViewProp */
    Tcl_DStringAppendElement ( &dString, " Remove an actor from the list of actors.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveViewProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for RemoveViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllViewProps */
    if ( strcmp ( argv[2], "RemoveAllViewProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllViewProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllViewProps */
    Tcl_DStringAppendElement ( &dString, " Remove all actors from the list of actors.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllViewProps (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for RemoveAllViewProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddActor2D */
    if ( strcmp ( argv[2], "AddActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddActor2D */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddActor2D (vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for AddActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveActor2D */
    if ( strcmp ( argv[2], "RemoveActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveActor2D */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveActor2D (vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for RemoveActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2DCollection *GetActors2D ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground */
    if ( strcmp ( argv[2], "SetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background color of the rendering screen using an rgb color\n specification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground */
    if ( strcmp ( argv[2], "SetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background color of the rendering screen using an rgb color\n specification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackground */
    if ( strcmp ( argv[2], "GetBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background color of the rendering screen using an rgb color\n specification.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetBackground ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground2 */
    if ( strcmp ( argv[2], "SetBackground2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the second background color of the rendering screen \n for gradient backgrounds using an rgb color specification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground2 (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetBackground2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackground2 */
    if ( strcmp ( argv[2], "SetBackground2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackground2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackground2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the second background color of the rendering screen \n for gradient backgrounds using an rgb color specification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackground2 (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetBackground2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackground2 */
    if ( strcmp ( argv[2], "GetBackground2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackground2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackground2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the second background color of the rendering screen \n for gradient backgrounds using an rgb color specification.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetBackground2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetBackground2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientBackground */
    if ( strcmp ( argv[2], "SetGradientBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a gradient background\n using the Background (top) and Background2 (bottom) colors.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientBackground (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetGradientBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientBackground */
    if ( strcmp ( argv[2], "GetGradientBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a gradient background\n using the Background (top) and Background2 (bottom) colors.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGradientBackground ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetGradientBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientBackgroundOn */
    if ( strcmp ( argv[2], "GradientBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientBackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a gradient background\n using the Background (top) and Background2 (bottom) colors.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GradientBackgroundOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GradientBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GradientBackgroundOff */
    if ( strcmp ( argv[2], "GradientBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GradientBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GradientBackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a gradient background\n using the Background (top) and Background2 (bottom) colors.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GradientBackgroundOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GradientBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAspect */
    if ( strcmp ( argv[2], "SetAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAspect (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAspect */
    if ( strcmp ( argv[2], "SetAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAspect (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAspect */
    if ( strcmp ( argv[2], "GetAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetAspect ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeAspect */
    if ( strcmp ( argv[2], "ComputeAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeAspect ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for ComputeAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelAspect */
    if ( strcmp ( argv[2], "SetPixelAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of a pixel in the rendered image. \n This factor permits the image to rendered anisotropically\n (i.e., stretched in one direction or the other).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelAspect (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetPixelAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelAspect */
    if ( strcmp ( argv[2], "SetPixelAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of a pixel in the rendered image. \n This factor permits the image to rendered anisotropically\n (i.e., stretched in one direction or the other).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPixelAspect (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetPixelAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelAspect */
    if ( strcmp ( argv[2], "GetPixelAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelAspect */
    Tcl_DStringAppendElement ( &dString, " Set the aspect ratio of a pixel in the rendered image. \n This factor permits the image to rendered anisotropically\n (i.e., stretched in one direction or the other).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetPixelAspect ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPixelAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " Specify the viewport for the Viewport to draw in the rendering window. \n Coordinates are expressed as (xmin,ymin,xmax,ymax), where each\n coordinate is 0 <= coordinate <= 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewport */
    if ( strcmp ( argv[2], "SetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewport */
    Tcl_DStringAppendElement ( &dString, " Specify the viewport for the Viewport to draw in the rendering window. \n Coordinates are expressed as (xmin,ymin,xmax,ymax), where each\n coordinate is 0 <= coordinate <= 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewport (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewport */
    if ( strcmp ( argv[2], "GetViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewport */
    Tcl_DStringAppendElement ( &dString, " Specify the viewport for the Viewport to draw in the rendering window. \n Coordinates are expressed as (xmin,ymin,xmax,ymax), where each\n coordinate is 0 <= coordinate <= 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewport ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayPoint */
    if ( strcmp ( argv[2], "SetDisplayPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayPoint */
    Tcl_DStringAppendElement ( &dString, " Set/get a point location in display (or screen) coordinates.\n The lower left corner of the window is the origin and y increases\n as you go up the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayPoint (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetDisplayPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayPoint */
    if ( strcmp ( argv[2], "SetDisplayPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayPoint */
    Tcl_DStringAppendElement ( &dString, " Set/get a point location in display (or screen) coordinates.\n The lower left corner of the window is the origin and y increases\n as you go up the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayPoint (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetDisplayPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayPoint */
    if ( strcmp ( argv[2], "GetDisplayPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayPoint */
    Tcl_DStringAppendElement ( &dString, " Set/get a point location in display (or screen) coordinates.\n The lower left corner of the window is the origin and y increases\n as you go up the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDisplayPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetDisplayPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewPoint */
    if ( strcmp ( argv[2], "SetViewPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in view coordinates. The origin is in the \n middle of the viewport and it extends from -1 to 1 in all three\n dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewPoint (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetViewPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewPoint */
    if ( strcmp ( argv[2], "SetViewPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in view coordinates. The origin is in the \n middle of the viewport and it extends from -1 to 1 in all three\n dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewPoint (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetViewPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewPoint */
    if ( strcmp ( argv[2], "GetViewPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in view coordinates. The origin is in the \n middle of the viewport and it extends from -1 to 1 in all three\n dimensions.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetViewPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWorldPoint */
    if ( strcmp ( argv[2], "SetWorldPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in world coordinates. This method takes \n homogeneous coordinates. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetWorldPoint (double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetWorldPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWorldPoint */
    if ( strcmp ( argv[2], "SetWorldPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in world coordinates. This method takes \n homogeneous coordinates. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetWorldPoint (double  a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for SetWorldPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldPoint */
    if ( strcmp ( argv[2], "GetWorldPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldPoint */
    Tcl_DStringAppendElement ( &dString, " Specify a point location in world coordinates. This method takes \n homogeneous coordinates. \n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetWorldPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetWorldPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Return the center of this viewport in display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetCenter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInViewport */
    if ( strcmp ( argv[2], "IsInViewport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInViewport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInViewport */
    Tcl_DStringAppendElement ( &dString, " Is a given display point in this Viewport's viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsInViewport (int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for IsInViewport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVTKWindow */
    if ( strcmp ( argv[2], "GetVTKWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVTKWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVTKWindow */
    Tcl_DStringAppendElement ( &dString, " Return the vtkWindow that owns this vtkViewport.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkWindow *GetVTKWindow () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetVTKWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayToView */
    if ( strcmp ( argv[2], "DisplayToView" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayToView" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayToView */
    Tcl_DStringAppendElement ( &dString, " Convert display coordinates to view coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DisplayToView ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for DisplayToView */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViewToDisplay */
    if ( strcmp ( argv[2], "ViewToDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViewToDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViewToDisplay */
    Tcl_DStringAppendElement ( &dString, " Convert view coordinates to display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ViewToDisplay ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for ViewToDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WorldToView */
    if ( strcmp ( argv[2], "WorldToView" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WorldToView" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WorldToView */
    Tcl_DStringAppendElement ( &dString, " Convert world point coordinates to view coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WorldToView ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for WorldToView */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViewToWorld */
    if ( strcmp ( argv[2], "ViewToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViewToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViewToWorld */
    Tcl_DStringAppendElement ( &dString, " Convert view point coordinates to world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ViewToWorld ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for ViewToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayToWorld */
    if ( strcmp ( argv[2], "DisplayToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayToWorld */
    Tcl_DStringAppendElement ( &dString, " Convert display (or screen) coordinates to world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayToWorld ();this DisplayToView this ViewToWorld " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for DisplayToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WorldToDisplay */
    if ( strcmp ( argv[2], "WorldToDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WorldToDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WorldToDisplay */
    Tcl_DStringAppendElement ( &dString, " Convert world point coordinates to display (or screen) coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void WorldToDisplay ();this WorldToView this ViewToDisplay " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for WorldToDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Get the size and origin of the viewport in display coordinates. Note:\n if the window has not yet been realized, GetSize() and GetOrigin() \n return (0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the size and origin of the viewport in display coordinates. Note:\n if the window has not yet been realized, GetSize() and GetOrigin() \n return (0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickProp */
    if ( strcmp ( argv[2], "PickProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickProp */
    Tcl_DStringAppendElement ( &dString, " Return the Prop that has the highest z value at the given x, y position\n in the viewport.  Basically, the top most prop that renders the pixel at\n selectionX, selectionY will be returned.  If no Props are there NULL is\n returned.  This method selects from the Viewports Prop list.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAssemblyPath *PickProp (double selectionX, double selectionY) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for PickProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickPropFrom */
    if ( strcmp ( argv[2], "PickPropFrom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickPropFrom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickPropFrom */
    Tcl_DStringAppendElement ( &dString, " Same as PickProp with two arguments, but selects from the given\n collection of Props instead of the Renderers props.  Make sure\n the Props in the collection are in this renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath *PickPropFrom (double selectionX, double selectionY, vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for PickPropFrom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickX */
    if ( strcmp ( argv[2], "GetPickX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickX */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickX () const;return this PickX1 this PickX2 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickY */
    if ( strcmp ( argv[2], "GetPickY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickY */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickY () const;return this PickY1 this PickY2 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickWidth */
    if ( strcmp ( argv[2], "GetPickWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickWidth */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickWidth () const;return this PickX2 this PickX1 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickHeight */
    if ( strcmp ( argv[2], "GetPickHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickHeight */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickHeight () const;return this PickY2 this PickY1 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickX1 */
    if ( strcmp ( argv[2], "GetPickX1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickX1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickX1 */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickX1 () const;return this PickX1 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickX1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickY1 */
    if ( strcmp ( argv[2], "GetPickY1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickY1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickY1 */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickY1 () const;return this PickY1 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickY1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickX2 */
    if ( strcmp ( argv[2], "GetPickX2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickX2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickX2 */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickX2 () const;return this PickX2 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickX2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickY2 */
    if ( strcmp ( argv[2], "GetPickY2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickY2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickY2 */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPickY2 () const;return this PickY2 " );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickY2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIsPicking */
    if ( strcmp ( argv[2], "GetIsPicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsPicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsPicking */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIsPicking ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetIsPicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickResultProps */
    if ( strcmp ( argv[2], "GetPickResultProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickResultProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickResultProps */
    Tcl_DStringAppendElement ( &dString, " Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection *GetPickResultProps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickResultProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickedZ */
    if ( strcmp ( argv[2], "GetPickedZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickedZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickedZ */
    Tcl_DStringAppendElement ( &dString, " Return the Z value for the last picked Prop.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPickedZ () = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetPickedZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: RemoveProp */
    if ( strcmp ( argv[2], "RemoveProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkViewport::RemoveViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for RemoveProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: AddProp */
    if ( strcmp ( argv[2], "AddProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkViewport::AddViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for AddProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: GetProps */
    if ( strcmp ( argv[2], "GetProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProps */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkViewport::GetViewProps() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection *GetProps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for GetProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: HasProp */
    if ( strcmp ( argv[2], "HasProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkViewport::HasViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for HasProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: RemoveAllProps */
    if ( strcmp ( argv[2], "RemoveAllProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllProps */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkViewport::RemoveAllViewProps() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllProps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    /* Closing for RemoveAllProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
