// python wrapper for vtkGenericClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericClip.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericClipNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericClipNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkGenericClip_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  const char    *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkGenericClip  *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericClip  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericClip::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericClip_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGenericClip_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkImplicitFunction  *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetMergeTolerance(temp0);
      }
    else
      {
      op->SetMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  double   temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetMergeTolerance();
      }
    else
      {
      temp20 = op->GetMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetNumberOfOutputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  int      temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetNumberOfOutputs();
      }
    else
      {
      temp20 = op->GetNumberOfOutputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkGenericClip_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  vtkPointLocator  *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  unsigned long     temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_GetInputScalarsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  char    *temp20;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericClip::GetInputScalarsSelection();
      }
    else
      {
      temp20 = op->GetInputScalarsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericClip_SelectInputScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericClip *op;

  char    *temp0;
  op = (vtkGenericClip *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericClip::SelectInputScalars(temp0);
      }
    else
      {
      op->SelectInputScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericClipMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericClip_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericClip_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericClip_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericClip\nC++: vtkGenericClip *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericClip_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericClip\nC++: vtkGenericClip *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkGenericClip_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkGenericClip_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkGenericClip_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkGenericClip_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkGenericClip_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkGenericClip_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkGenericClip_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkGenericClip_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkGenericClip_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkGenericClip_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkGenericClip_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkGenericClip_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkGenericClip_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkGenericClip_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkGenericClip_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkGenericClip_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"SetMergeTolerance",                (PyCFunction)PyvtkGenericClip_SetMergeTolerance, 1,
   (char*)"V.SetMergeTolerance(float)\nC++: void SetMergeTolerance (double );\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeToleranceMinValue",                (PyCFunction)PyvtkGenericClip_GetMergeToleranceMinValue, 1,
   (char*)"V.GetMergeToleranceMinValue() -> float\nC++: double GetMergeToleranceMinValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeToleranceMaxValue",                (PyCFunction)PyvtkGenericClip_GetMergeToleranceMaxValue, 1,
   (char*)"V.GetMergeToleranceMaxValue() -> float\nC++: double GetMergeToleranceMaxValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeTolerance",                (PyCFunction)PyvtkGenericClip_GetMergeTolerance, 1,
   (char*)"V.GetMergeTolerance() -> float\nC++: double GetMergeTolerance ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkGenericClip_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the Clipped output.\n"},
  {(char*)"GetNumberOfOutputs",                (PyCFunction)PyvtkGenericClip_GetNumberOfOutputs, 1,
   (char*)"V.GetNumberOfOutputs() -> int\nC++: virtual int GetNumberOfOutputs ();\n\n Return the Clipped output.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkGenericClip_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkGenericClip_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkGenericClip_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericClip_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator and clip function.\n"},
  {(char*)"GetInputScalarsSelection",                (PyCFunction)PyvtkGenericClip_GetInputScalarsSelection, 1,
   (char*)"V.GetInputScalarsSelection() -> string\nC++: char *GetInputScalarsSelection ();\n\n If you want to clip by an arbitrary array, then set its name here.\n By default this in NULL and the filter will use the active scalar array.\n"},
  {(char*)"SelectInputScalars",                (PyCFunction)PyvtkGenericClip_SelectInputScalars, 1,
   (char*)"V.SelectInputScalars(string)\nC++: void SelectInputScalars (const char *fieldName);this SetInputScalarsSelection fieldName \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericClipDoc[] = {
  (char*)"vtkGenericClip - clip any dataset with an implicit function or scalar data\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkGenericClip is a filter that any type of dataset using either\n any subclass of vtkImplicitFunction, or the input scalar\n data. Clipping means that it actually \"cuts\" through the cells of\n the dataset, returning everything inside of the specified implicit\n function (or greater than the scalar value) including \"pieces\" of\n a cell. (Compare this with vtkExtractGeometry, which pulls out\n entire, u",
  (char*)"ncut cells.) The output of this filter is an unstructured\n grid.\n\n To use this filter, you must decide if you will be clipping with an\n implicit function, or whether you will be using the input scalar\n data.  If you want to clip with an implicit function, you must:\n 1) define an implicit function\n 2) set it with the SetClipFunction method\n 3) apply the GenerateClipScalarsOn method\n If a ClipFuncti",
  (char*)"on is not specified, or GenerateClipScalars is off\n (the default), then the input's scalar data will be used to clip\n the polydata.\n\n You can also specify a scalar value, which is used to decide what is\n inside and outside of the implicit function. You can also reverse the\n sense of what inside/outside is by setting the InsideOut instance\n variable. (The clipping algorithm proceeds by computing an",
  (char*)" implicit\n function value or using the input scalar data for each point in the\n dataset. This is compared to the scalar value to determine\n inside/outside.)\n\n This filter can be configured to compute a second output. The\n second output is the part of the cell that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output data.\n\n This filter has been implemented to ",
  (char*)"operate on generic datasets, rather\n than the typical vtkDataSet (and subclasses). vtkGenericDataSet is a more\n complex cousin of vtkDataSet, typically consisting of nonlinear,\n higher-order cells. To process this type of data, generic cells are\n automatically tessellated into linear cells prior to isocontouring.\n\n",
  "See Also:\n\n vtkClipDataSet vtkClipPolyData vtkClipVolume vtkImplicitFunction \n vtkGenericDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericClipStaticNew()
{
  return vtkGenericClip::New();
}

PyObject *PyVTKClass_vtkGenericClipNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericClipStaticNew,
                        PyvtkGenericClipMethods,
                        (char*)"vtkGenericClip",modulename,
                        (char**)vtkGenericClipDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

