// python wrapper for vtkGenericContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericContourFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericContourFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericContourFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericContourFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  const char    *temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  vtkGenericContourFilter  *temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericContourFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericContourFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  float    temp1;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"if", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  double   temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  double temp1[2];
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  unsigned long     temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetComputeGradients(temp0);
      }
    else
      {
      op->SetComputeGradients(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetComputeGradients();
      }
    else
      {
      temp20 = op->GetComputeGradients();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeGradientsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeGradientsOn();
      }
    else
      {
      op->ComputeGradientsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeGradientsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeGradientsOff();
      }
    else
      {
      op->ComputeGradientsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  int      temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_GetInputScalarsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  char    *temp20;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericContourFilter::GetInputScalarsSelection();
      }
    else
      {
      temp20 = op->GetInputScalarsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericContourFilter_SelectInputScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericContourFilter *op;

  char    *temp0;
  op = (vtkGenericContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericContourFilter::SelectInputScalars(temp0);
      }
    else
      {
      op->SelectInputScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericContourFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericContourFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericContourFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericContourFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericContourFilter\nC++: vtkGenericContourFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericContourFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericContourFilter\nC++: vtkGenericContourFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkGenericContourFilter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, float value);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkGenericContourFilter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Methods to set / get contour values.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkGenericContourFilter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkGenericContourFilter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Methods to set / get contour values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkGenericContourFilter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericContourFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Modified GetMTime Because we delegate to vtkContourValues\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkGenericContourFilter_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkGenericContourFilter_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkGenericContourFilter_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkGenericContourFilter_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeGradients",                (PyCFunction)PyvtkGenericContourFilter_SetComputeGradients, 1,
   (char*)"V.SetComputeGradients(int)\nC++: void SetComputeGradients (int );\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeGradients",                (PyCFunction)PyvtkGenericContourFilter_GetComputeGradients, 1,
   (char*)"V.GetComputeGradients() -> int\nC++: int GetComputeGradients ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOn",                (PyCFunction)PyvtkGenericContourFilter_ComputeGradientsOn, 1,
   (char*)"V.ComputeGradientsOn()\nC++: void ComputeGradientsOn ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOff",                (PyCFunction)PyvtkGenericContourFilter_ComputeGradientsOff, 1,
   (char*)"V.ComputeGradientsOff()\nC++: void ComputeGradientsOff ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkGenericContourFilter_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Set/Get the computation of scalars.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkGenericContourFilter_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkGenericContourFilter_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkGenericContourFilter_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkGenericContourFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkGenericContourFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkGenericContourFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n"},
  {(char*)"GetInputScalarsSelection",                (PyCFunction)PyvtkGenericContourFilter_GetInputScalarsSelection, 1,
   (char*)"V.GetInputScalarsSelection() -> string\nC++: char *GetInputScalarsSelection ();\n\n If you want to contour by an arbitrary scalar attribute, then set its\n name here.\n By default this in NULL and the filter will use the active scalar array.\n"},
  {(char*)"SelectInputScalars",                (PyCFunction)PyvtkGenericContourFilter_SelectInputScalars, 1,
   (char*)"V.SelectInputScalars(string)\nC++: virtual void SelectInputScalars (const char *fieldName);\n\n If you want to contour by an arbitrary scalar attribute, then set its\n name here.\n By default this in NULL and the filter will use the active scalar array.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericContourFilterDoc[] = {
  (char*)"vtkGenericContourFilter - generate isocontours from input dataset\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericContourFilter is a filter that takes as input any (generic)\n dataset and generates on output isosurfaces and/or isolines. The exact\n form of the output depends upon the dimensionality of the input data.\n Data consisting of 3D cells will generate isosurfaces, data consisting of\n 2D cells will generate isolines, and data with 1D or 0D cells will\n generate isopoints. Combinations of output",
  (char*)" type are possible if the input\n dimension is mixed.\n\n To use this filter you must specify one or more contour values.\n You can either use the method SetValue() to specify each contour\n value, or use GenerateValues() to generate a series of evenly\n spaced contours. You can use ComputeNormalsOn to compute the normals\n without the need of a vtkPolyDataNormals\n\n This filter has been implemented to op",
  (char*)"erate on generic datasets, rather\n than the typical vtkDataSet (and subclasses). vtkGenericDataSet is a more\n complex cousin of vtkDataSet, typically consisting of nonlinear,\n higher-order cells. To process this type of data, generic cells are\n automatically tessellated into linear cells prior to isocontouring.\n\n",
  "See Also:\n\n vtkContourFilter vtkGenericDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericContourFilterStaticNew()
{
  return vtkGenericContourFilter::New();
}

PyObject *PyVTKClass_vtkGenericContourFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericContourFilterStaticNew,
                        PyvtkGenericContourFilterMethods,
                        (char*)"vtkGenericContourFilter",modulename,
                        (char**)vtkGenericContourFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

