// python wrapper for vtkGenericGlyph3DFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericGlyph3DFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericGlyph3DFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericGlyph3DFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericGlyph3DFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  const char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  vtkGenericGlyph3DFilter  *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericGlyph3DFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericGlyph3DFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetSource(temp0,temp1);
      }
    else
      {
      op->SetSource(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  vtkPolyData  *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetSource(temp0);
      }
    else
      {
      temp20 = op->GetSource(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_ScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::ScalingOn();
      }
    else
      {
      op->ScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_ScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::ScalingOff();
      }
    else
      {
      op->ScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleMode(temp0);
      }
    else
      {
      op->SetScaleMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetScaleMode();
      }
    else
      {
      temp20 = op->GetScaleMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleModeToScaleByScalar();
      }
    else
      {
      op->SetScaleModeToScaleByScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleModeToScaleByVector();
      }
    else
      {
      op->SetScaleModeToScaleByVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByVectorComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleModeToScaleByVectorComponents();
      }
    else
      {
      op->SetScaleModeToScaleByVectorComponents();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleModeToDataScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleModeToDataScalingOff();
      }
    else
      {
      op->SetScaleModeToDataScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetScaleModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  const char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetScaleModeAsString();
      }
    else
      {
      temp20 = op->GetScaleModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetColorModeToColorByScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetColorModeToColorByScale();
      }
    else
      {
      op->SetColorModeToColorByScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetColorModeToColorByScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetColorModeToColorByScalar();
      }
    else
      {
      op->SetColorModeToColorByScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetColorModeToColorByVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetColorModeToColorByVector();
      }
    else
      {
      op->SetColorModeToColorByVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetColorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  const char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetColorModeAsString();
      }
    else
      {
      temp20 = op->GetColorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  double   temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  double   temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  double   temp0;
  double   temp1;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  double  *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetOrient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetOrient(temp0);
      }
    else
      {
      op->SetOrient(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_OrientOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::OrientOn();
      }
    else
      {
      op->OrientOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_OrientOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::OrientOff();
      }
    else
      {
      op->OrientOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetOrient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetOrient();
      }
    else
      {
      temp20 = op->GetOrient();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetClamping(temp0);
      }
    else
      {
      op->SetClamping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_ClampingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::ClampingOn();
      }
    else
      {
      op->ClampingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_ClampingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::ClampingOff();
      }
    else
      {
      op->ClampingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetClamping();
      }
    else
      {
      temp20 = op->GetClamping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetVectorMode(temp0);
      }
    else
      {
      op->SetVectorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetVectorMode();
      }
    else
      {
      temp20 = op->GetVectorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetVectorModeToUseVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetVectorModeToUseVector();
      }
    else
      {
      op->SetVectorModeToUseVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetVectorModeToUseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetVectorModeToUseNormal();
      }
    else
      {
      op->SetVectorModeToUseNormal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetVectorModeToVectorRotationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetVectorModeToVectorRotationOff();
      }
    else
      {
      op->SetVectorModeToVectorRotationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetVectorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  const char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetVectorModeAsString();
      }
    else
      {
      temp20 = op->GetVectorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetIndexMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetIndexMode(temp0);
      }
    else
      {
      op->SetIndexMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetIndexMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetIndexMode();
      }
    else
      {
      temp20 = op->GetIndexMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetIndexModeToScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetIndexModeToScalar();
      }
    else
      {
      op->SetIndexModeToScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetIndexModeToVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetIndexModeToVector();
      }
    else
      {
      op->SetIndexModeToVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetIndexModeToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetIndexModeToOff();
      }
    else
      {
      op->SetIndexModeToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetIndexModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  const char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetIndexModeAsString();
      }
    else
      {
      temp20 = op->GetIndexModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetGeneratePointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetGeneratePointIds(temp0);
      }
    else
      {
      op->SetGeneratePointIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetGeneratePointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  int      temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetGeneratePointIds();
      }
    else
      {
      temp20 = op->GetGeneratePointIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GeneratePointIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::GeneratePointIdsOn();
      }
    else
      {
      op->GeneratePointIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GeneratePointIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::GeneratePointIdsOff();
      }
    else
      {
      op->GeneratePointIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SetPointIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SetPointIdsName(temp0);
      }
    else
      {
      op->SetPointIdsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetPointIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetPointIdsName();
      }
    else
      {
      temp20 = op->GetPointIdsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetInputScalarsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetInputScalarsSelection();
      }
    else
      {
      temp20 = op->GetInputScalarsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SelectInputScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SelectInputScalars(temp0);
      }
    else
      {
      op->SelectInputScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetInputVectorsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetInputVectorsSelection();
      }
    else
      {
      temp20 = op->GetInputVectorsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SelectInputVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SelectInputVectors(temp0);
      }
    else
      {
      op->SelectInputVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_GetInputNormalsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp20;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGlyph3DFilter::GetInputNormalsSelection();
      }
    else
      {
      temp20 = op->GetInputNormalsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGlyph3DFilter_SelectInputNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGlyph3DFilter *op;

  char    *temp0;
  op = (vtkGenericGlyph3DFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGlyph3DFilter::SelectInputNormals(temp0);
      }
    else
      {
      op->SelectInputNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericGlyph3DFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericGlyph3DFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericGlyph3DFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericGlyph3DFilter\nC++: vtkGenericGlyph3DFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericGlyph3DFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericGlyph3DFilter\nC++: vtkGenericGlyph3DFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *pd);this SetSource pd \nV.SetSource(int, vtkPolyData)\nC++: void SetSource (int id, vtkPolyData *pd);\n\n Set the source to use for the glyph.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetSource, 1,
   (char*)"V.GetSource(int) -> vtkPolyData\nC++: vtkPolyData *GetSource (int id);\n\n Get a pointer to a source object at a specified table location.\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaling, 1,
   (char*)"V.SetScaling(int)\nC++: void SetScaling (int );\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"ScalingOn",                (PyCFunction)PyvtkGenericGlyph3DFilter_ScalingOn, 1,
   (char*)"V.ScalingOn()\nC++: void ScalingOn ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"ScalingOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_ScalingOff, 1,
   (char*)"V.ScalingOff()\nC++: void ScalingOff ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetScaling, 1,
   (char*)"V.GetScaling() -> int\nC++: int GetScaling ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"SetScaleMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleMode, 1,
   (char*)"V.SetScaleMode(int)\nC++: void SetScaleMode (int );\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"GetScaleMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetScaleMode, 1,
   (char*)"V.GetScaleMode() -> int\nC++: int GetScaleMode ();\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByScalar",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByScalar, 1,
   (char*)"V.SetScaleModeToScaleByScalar()\nC++: void SetScaleModeToScaleByScalar ();this SetScaleMode VTK_SCALE_BY_SCALAR \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByVector",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByVector, 1,
   (char*)"V.SetScaleModeToScaleByVector()\nC++: void SetScaleModeToScaleByVector ();this SetScaleMode VTK_SCALE_BY_VECTOR \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByVectorComponents",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleModeToScaleByVectorComponents, 1,
   (char*)"V.SetScaleModeToScaleByVectorComponents()\nC++: void SetScaleModeToScaleByVectorComponents ();this SetScaleMode VTK_SCALE_BY_VECTORCOMPONENTS \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToDataScalingOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleModeToDataScalingOff, 1,
   (char*)"V.SetScaleModeToDataScalingOff()\nC++: void SetScaleModeToDataScalingOff ();this SetScaleMode VTK_DATA_SCALING_OFF \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"GetScaleModeAsString",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetScaleModeAsString, 1,
   (char*)"V.GetScaleModeAsString() -> string\nC++: const char *GetScaleModeAsString ();\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByScale",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetColorModeToColorByScale, 1,
   (char*)"V.SetColorModeToColorByScale()\nC++: void SetColorModeToColorByScale ();this SetColorMode VTK_COLOR_BY_SCALE \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByScalar",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetColorModeToColorByScalar, 1,
   (char*)"V.SetColorModeToColorByScalar()\nC++: void SetColorModeToColorByScalar ();this SetColorMode VTK_COLOR_BY_SCALAR \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByVector",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetColorModeToColorByVector, 1,
   (char*)"V.SetColorModeToColorByVector()\nC++: void SetColorModeToColorByVector ();this SetColorMode VTK_COLOR_BY_VECTOR \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"GetColorModeAsString",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetColorModeAsString, 1,
   (char*)"V.GetColorModeAsString() -> string\nC++: const char *GetColorModeAsString ();\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Specify scale factor to scale object by.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Specify scale factor to scale object by.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: void SetRange (double , double );\nV.SetRange((float, float))\nC++: void SetRange (double  a[2]);\n\n Specify range to map scalar values into.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Specify range to map scalar values into.\n"},
  {(char*)"SetOrient",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetOrient, 1,
   (char*)"V.SetOrient(int)\nC++: void SetOrient (int );\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"OrientOn",                (PyCFunction)PyvtkGenericGlyph3DFilter_OrientOn, 1,
   (char*)"V.OrientOn()\nC++: void OrientOn ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"OrientOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_OrientOff, 1,
   (char*)"V.OrientOff()\nC++: void OrientOff ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"GetOrient",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetOrient, 1,
   (char*)"V.GetOrient() -> int\nC++: int GetOrient ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"SetClamping",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetClamping, 1,
   (char*)"V.SetClamping(int)\nC++: void SetClamping (int );\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be \n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"ClampingOn",                (PyCFunction)PyvtkGenericGlyph3DFilter_ClampingOn, 1,
   (char*)"V.ClampingOn()\nC++: void ClampingOn ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be \n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"ClampingOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_ClampingOff, 1,
   (char*)"V.ClampingOff()\nC++: void ClampingOff ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be \n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"GetClamping",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetClamping, 1,
   (char*)"V.GetClamping() -> int\nC++: int GetClamping ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be \n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"SetVectorMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetVectorMode, 1,
   (char*)"V.SetVectorMode(int)\nC++: void SetVectorMode (int );\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"GetVectorMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetVectorMode, 1,
   (char*)"V.GetVectorMode() -> int\nC++: int GetVectorMode ();\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToUseVector",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetVectorModeToUseVector, 1,
   (char*)"V.SetVectorModeToUseVector()\nC++: void SetVectorModeToUseVector ();this SetVectorMode VTK_USE_VECTOR \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToUseNormal",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetVectorModeToUseNormal, 1,
   (char*)"V.SetVectorModeToUseNormal()\nC++: void SetVectorModeToUseNormal ();this SetVectorMode VTK_USE_NORMAL \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToVectorRotationOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetVectorModeToVectorRotationOff, 1,
   (char*)"V.SetVectorModeToVectorRotationOff()\nC++: void SetVectorModeToVectorRotationOff ();this SetVectorMode VTK_VECTOR_ROTATION_OFF \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"GetVectorModeAsString",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetVectorModeAsString, 1,
   (char*)"V.GetVectorModeAsString() -> string\nC++: const char *GetVectorModeAsString ();\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetIndexMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetIndexMode, 1,
   (char*)"V.SetIndexMode(int)\nC++: void SetIndexMode (int );\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"GetIndexMode",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetIndexMode, 1,
   (char*)"V.GetIndexMode() -> int\nC++: int GetIndexMode ();\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"SetIndexModeToScalar",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetIndexModeToScalar, 1,
   (char*)"V.SetIndexModeToScalar()\nC++: void SetIndexModeToScalar ();this SetIndexMode VTK_INDEXING_BY_SCALAR \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"SetIndexModeToVector",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetIndexModeToVector, 1,
   (char*)"V.SetIndexModeToVector()\nC++: void SetIndexModeToVector ();this SetIndexMode VTK_INDEXING_BY_VECTOR \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"SetIndexModeToOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetIndexModeToOff, 1,
   (char*)"V.SetIndexModeToOff()\nC++: void SetIndexModeToOff ();this SetIndexMode VTK_INDEXING_OFF \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"GetIndexModeAsString",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetIndexModeAsString, 1,
   (char*)"V.GetIndexModeAsString() -> string\nC++: const char *GetIndexModeAsString ();\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used.\n"},
  {(char*)"SetGeneratePointIds",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetGeneratePointIds, 1,
   (char*)"V.SetGeneratePointIds(int)\nC++: void SetGeneratePointIds (int );\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GetGeneratePointIds",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetGeneratePointIds, 1,
   (char*)"V.GetGeneratePointIds() -> int\nC++: int GetGeneratePointIds ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GeneratePointIdsOn",                (PyCFunction)PyvtkGenericGlyph3DFilter_GeneratePointIdsOn, 1,
   (char*)"V.GeneratePointIdsOn()\nC++: void GeneratePointIdsOn ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GeneratePointIdsOff",                (PyCFunction)PyvtkGenericGlyph3DFilter_GeneratePointIdsOff, 1,
   (char*)"V.GeneratePointIdsOff()\nC++: void GeneratePointIdsOff ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"SetPointIdsName",                (PyCFunction)PyvtkGenericGlyph3DFilter_SetPointIdsName, 1,
   (char*)"V.SetPointIdsName(string)\nC++: void SetPointIdsName (char *);\n\n Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n"},
  {(char*)"GetPointIdsName",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetPointIdsName, 1,
   (char*)"V.GetPointIdsName() -> string\nC++: char *GetPointIdsName ();\n\n Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n"},
  {(char*)"GetInputScalarsSelection",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetInputScalarsSelection, 1,
   (char*)"V.GetInputScalarsSelection() -> string\nC++: char *GetInputScalarsSelection ();\n\n If you want to use an arbitrary scalars array, then set its name here.\n By default this in NULL and the filter will use the active scalar array.\n"},
  {(char*)"SelectInputScalars",                (PyCFunction)PyvtkGenericGlyph3DFilter_SelectInputScalars, 1,
   (char*)"V.SelectInputScalars(string)\nC++: void SelectInputScalars (const char *fieldName);this SetInputScalarsSelection fieldName \n\n If you want to use an arbitrary vectors array, then set its name here.\n By default this in NULL and the filter will use the active vector array.\n"},
  {(char*)"GetInputVectorsSelection",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetInputVectorsSelection, 1,
   (char*)"V.GetInputVectorsSelection() -> string\nC++: char *GetInputVectorsSelection ();\n\n If you want to use an arbitrary vectors array, then set its name here.\n By default this in NULL and the filter will use the active vector array.\n"},
  {(char*)"SelectInputVectors",                (PyCFunction)PyvtkGenericGlyph3DFilter_SelectInputVectors, 1,
   (char*)"V.SelectInputVectors(string)\nC++: void SelectInputVectors (const char *fieldName);this SetInputVectorsSelection fieldName \n\n If you want to use an arbitrary normals array, then set its name here.\n By default this in NULL and the filter will use the active normal array.\n"},
  {(char*)"GetInputNormalsSelection",                (PyCFunction)PyvtkGenericGlyph3DFilter_GetInputNormalsSelection, 1,
   (char*)"V.GetInputNormalsSelection() -> string\nC++: char *GetInputNormalsSelection ();\n\n If you want to use an arbitrary normals array, then set its name here.\n By default this in NULL and the filter will use the active normal array.\n"},
  {(char*)"SelectInputNormals",                (PyCFunction)PyvtkGenericGlyph3DFilter_SelectInputNormals, 1,
   (char*)"V.SelectInputNormals(string)\nC++: void SelectInputNormals (const char *fieldName);this SetInputNormalsSelection fieldName \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericGlyph3DFilterDoc[] = {
  (char*)"vtkGenericGlyph3DFilter - copy oriented and scaled glyph geometry to every input point\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericGlyph3DFilter is a filter that copies a geometric representation (called\n a glyph) to every point in the input dataset. The glyph is defined with\n polygonal data from a source filter input. The glyph may be oriented\n along the input vectors or normals, and it may be scaled according to\n scalar data or vector magnitude. More than one glyph may be used by\n creating a table of source objec",
  (char*)"ts, each defining a different glyph. If a\n table of glyphs is defined, then the table can be indexed into by using\n either scalar value or vector magnitude.\n \n To use this object you'll have to provide an input dataset and a source\n to define the glyph. Then decide whether you want to scale the glyph and\n how to scale the glyph (using scalar value or vector magnitude). Next\n decide whether you wan",
  (char*)"t to orient the glyph, and whether to use the\n vector data or normal data to orient it. Finally, decide whether to use a\n table of glyphs, or just a single glyph. If you use a table of glyphs,\n you'll have to decide whether to index into it with scalar value or with\n vector magnitude.\n \n\n",
  "Caveats:\n\n Contrary to vtkGlyph3D, the only way to specify which attributes will be\n used for scaling, coloring and orienting is through SelectInputScalars(),\n SelectInputVectors() and SelectInputNormals().\n\n The scaling of the glyphs is controlled by the ScaleFactor ivar multiplied\n by the scalar value at each point (if VTK_SCALE_BY_SCALAR is set), or\n multiplied by the vector magnitude (if VTK_SCALE_BY_VECTOR is set),\n Alternatively (if VTK_SCALE_BY_VECTORCOMPONENTS is set),  ...\n [Truncated]\n\n",
  "See Also:\n\n vtkTensorGlyph\n\n",
  NULL
};

static vtkObjectBase *vtkGenericGlyph3DFilterStaticNew()
{
  return vtkGenericGlyph3DFilter::New();
}

PyObject *PyVTKClass_vtkGenericGlyph3DFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericGlyph3DFilterStaticNew,
                        PyvtkGenericGlyph3DFilterMethods,
                        (char*)"vtkGenericGlyph3DFilter",modulename,
                        (char**)vtkGenericGlyph3DFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

