// python wrapper for vtkGenericOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericOutlineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericOutlineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericOutlineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericOutlineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericOutlineFilter *op;

  const char    *temp20;
  op = (vtkGenericOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericOutlineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericOutlineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericOutlineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericOutlineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericOutlineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericOutlineFilter *op;

  vtkGenericOutlineFilter  *temp20;
  op = (vtkGenericOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericOutlineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericOutlineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericOutlineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericOutlineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkGenericOutlineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericOutlineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericOutlineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericOutlineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericOutlineFilter\nC++: vtkGenericOutlineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericOutlineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericOutlineFilter\nC++: vtkGenericOutlineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericOutlineFilterDoc[] = {
  (char*)"vtkGenericOutlineFilter - create wireframe outline for arbitrary\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericOutlineFilter is a filter that generates a wireframe outline of\n any generic data set. The outline consists of the twelve edges of the\n generic dataset bounding box.\n\n\n",
  "See Also:\n\n vtkGenericDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericOutlineFilterStaticNew()
{
  return vtkGenericOutlineFilter::New();
}

PyObject *PyVTKClass_vtkGenericOutlineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericOutlineFilterStaticNew,
                        PyvtkGenericOutlineFilterMethods,
                        (char*)"vtkGenericOutlineFilter",modulename,
                        (char**)vtkGenericOutlineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

