// python wrapper for vtkGenericProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericProbeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericProbeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericProbeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkGenericProbeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  const char    *temp20;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericProbeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericProbeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  vtkGenericProbeFilter  *temp20;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericProbeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericProbeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericProbeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  vtkGenericDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericProbeFilter::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  vtkGenericDataSet  *temp20;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericProbeFilter::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericProbeFilter_GetValidPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericProbeFilter *op;

  vtkIdTypeArray  *temp20;
  op = (vtkGenericProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericProbeFilter::GetValidPoints();
      }
    else
      {
      temp20 = op->GetValidPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericProbeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericProbeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericProbeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericProbeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericProbeFilter\nC++: vtkGenericProbeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericProbeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericProbeFilter\nC++: vtkGenericProbeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGenericProbeFilter_SetSource, 1,
   (char*)"V.SetSource(vtkGenericDataSet)\nC++: void SetSource (vtkGenericDataSet *source);\n\n Specify the point locations used to probe input. A generic dataset\n type is assumed.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGenericProbeFilter_GetSource, 1,
   (char*)"V.GetSource() -> vtkGenericDataSet\nC++: vtkGenericDataSet *GetSource ();\n\n Specify the point locations used to probe input. A generic dataset\n type is assumed.\n"},
  {(char*)"GetValidPoints",                (PyCFunction)PyvtkGenericProbeFilter_GetValidPoints, 1,
   (char*)"V.GetValidPoints() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetValidPoints ();\n\n Get the list of point ids in the output that contain attribute data\n interpolated from the source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericProbeFilterDoc[] = {
  (char*)"vtkGenericProbeFilter - sample data values at specified point locations\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkGenericProbeFilter is a filter that computes point attributes (e.g., scalars,\n vectors, etc.) at specified point positions. The filter has two inputs:\n the Input and Source. The Input geometric structure is passed through the\n filter. The point attributes are computed at the Input point positions\n by interpolating into the source data. For example, we can compute data\n values on a plane (plane",
  (char*)" specified as Input) from a volume (Source).\n\n This filter can be used to resample data, or convert one dataset form into\n another. For example, a generic dataset can be probed with a volume\n (three-dimensional vtkImageData), and then volume rendering techniques can\n be used to visualize the results. Another example: a line or curve can be\n used to probe data to produce x-y plots along that line o",
  (char*)"r curve.\n\n This filter has been implemented to operate on generic datasets, rather\n than the typical vtkDataSet (and subclasses). vtkGenericDataSet is a more\n complex cousin of vtkDataSet, typically consisting of nonlinear,\n higher-order cells. To process this type of data, generic cells are\n automatically tessellated into linear cells prior to isocontouring.\n\n",
  "See Also:\n\n vtkGenericProbeFilter vtkProbeFilter vtkGenericDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericProbeFilterStaticNew()
{
  return vtkGenericProbeFilter::New();
}

PyObject *PyVTKClass_vtkGenericProbeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericProbeFilterStaticNew,
                        PyvtkGenericProbeFilterMethods,
                        (char*)"vtkGenericProbeFilter",modulename,
                        (char**)vtkGenericProbeFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

