// python wrapper for vtkGenericStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGenericStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  const char    *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  char    *temp0;
  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkGenericStreamTracer  *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericStreamTracer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericStreamTracer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetStartPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetStartPosition(temp0);
      }
    else
      {
      op->SetStartPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double  *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetStartPosition();
      }
    else
      {
      temp20 = op->GetStartPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkDataSet  *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_FillInputPortInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::FillInputPortInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->FillInputPortInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkInitialValueProblemSolver  *temp0;
  PyObject *tempH0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInitialValueProblemSolver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInitialValueProblemSolver");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegrator(temp0);
      }
    else
      {
      op->SetIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkInitialValueProblemSolver  *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetIntegrator();
      }
    else
      {
      temp20 = op->GetIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegratorType(temp0);
      }
    else
      {
      op->SetIntegratorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetIntegratorType();
      }
    else
      {
      temp20 = op->GetIntegratorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta2();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta2();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta4();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta4();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta45(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegratorTypeToRungeKutta45();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta45();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  double   temp1;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagation(temp0,temp1);
      }
    else
      {
      op->SetMaximumPropagation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagation(temp0);
      }
    else
      {
      op->SetMaximumPropagation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumPropagationUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagationUnit(temp0);
      }
    else
      {
      op->SetMaximumPropagationUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumPropagationUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumPropagationUnit();
      }
    else
      {
      temp20 = op->GetMaximumPropagationUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumPropagation();
      }
    else
      {
      temp20 = op->GetMaximumPropagation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumPropagationUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagationUnitToTimeUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumPropagationUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagationUnitToLengthUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumPropagationUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumPropagationUnitToCellLengthUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  double   temp1;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetMinimumIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStep(temp0);
      }
    else
      {
      op->SetMinimumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetMinimumIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMinimumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMinimumIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetMinimumIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMinimumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMinimumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMinimumIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  double   temp1;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetMaximumIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStep(temp0);
      }
    else
      {
      op->SetMaximumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetMaximumIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetMaximumIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMaximumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  double   temp1;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetInitialIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStep(temp0);
      }
    else
      {
      op->SetInitialIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInitialIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetInitialIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetInitialIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetInitialIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetInitialIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetInitialIntegrationStep();
      }
    else
      {
      temp20 = op->GetInitialIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInitialIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumError(temp0);
      }
    else
      {
      op->SetMaximumError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumError();
      }
    else
      {
      temp20 = op->GetMaximumError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkIdType   temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetMaximumNumberOfSteps(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkIdType   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetMaximumNumberOfSteps();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSteps();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetTerminalSpeed(temp0);
      }
    else
      {
      op->SetTerminalSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetTerminalSpeed();
      }
    else
      {
      temp20 = op->GetTerminalSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegrationDirection(temp0);
      }
    else
      {
      op->SetIntegrationDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetIntegrationDirectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetIntegrationDirectionMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetIntegrationDirectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetIntegrationDirectionMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetIntegrationDirection();
      }
    else
      {
      temp20 = op->GetIntegrationDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegrationDirectionToForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegrationDirectionToForward();
      }
    else
      {
      op->SetIntegrationDirectionToForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegrationDirectionToBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegrationDirectionToBackward();
      }
    else
      {
      op->SetIntegrationDirectionToBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetIntegrationDirectionToBoth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetIntegrationDirectionToBoth();
      }
    else
      {
      op->SetIntegrationDirectionToBoth();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetComputeVorticity(temp0);
      }
    else
      {
      op->SetComputeVorticity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  int      temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetComputeVorticity();
      }
    else
      {
      temp20 = op->GetComputeVorticity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_ComputeVorticityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::ComputeVorticityOn();
      }
    else
      {
      op->ComputeVorticityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_ComputeVorticityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::ComputeVorticityOff();
      }
    else
      {
      op->ComputeVorticityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetRotationScale(temp0);
      }
    else
      {
      op->SetRotationScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  double   temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetRotationScale();
      }
    else
      {
      temp20 = op->GetRotationScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_GetInputVectorsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  char    *temp20;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericStreamTracer::GetInputVectorsSelection();
      }
    else
      {
      temp20 = op->GetInputVectorsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SelectInputVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  char    *temp0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SelectInputVectors(temp0);
      }
    else
      {
      op->SelectInputVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkGenericDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericDataSet");
    if (!temp0 && tempH0 != Py_None) goto break70;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break70:
  return NULL;
}


static PyObject *PyvtkGenericStreamTracer_SetInterpolatorPrototype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericStreamTracer *op;

  vtkGenericInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  op = (vtkGenericStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGenericInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break71;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericStreamTracer::SetInterpolatorPrototype(temp0);
      }
    else
      {
      op->SetInterpolatorPrototype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break71:
  return NULL;
}

static PyMethodDef PyvtkGenericStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericStreamTracer\nC++: vtkGenericStreamTracer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericStreamTracer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericStreamTracer\nC++: vtkGenericStreamTracer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStartPosition",                (PyCFunction)PyvtkGenericStreamTracer_SetStartPosition, 1,
   (char*)"V.SetStartPosition(float, float, float)\nC++: void SetStartPosition (double , double , double );\nV.SetStartPosition((float, float, float))\nC++: void SetStartPosition (double  a[3]);\n\n Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n"},
  {(char*)"GetStartPosition",                (PyCFunction)PyvtkGenericStreamTracer_GetStartPosition, 1,
   (char*)"V.GetStartPosition() -> (float, float, float)\nC++: double  *GetStartPosition ();\n\n Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGenericStreamTracer_SetSource, 1,
   (char*)"V.SetSource(vtkDataSet)\nC++: void SetSource (vtkDataSet *source);\n\n Specify the source object used to generate starting points.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGenericStreamTracer_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataSet\nC++: vtkDataSet *GetSource ();\n\n Specify the source object used to generate starting points.\n"},
  {(char*)"FillInputPortInformation",                (PyCFunction)PyvtkGenericStreamTracer_FillInputPortInformation, 1,
   (char*)"V.FillInputPortInformation(int, vtkInformation) -> int\nC++: int FillInputPortInformation (int port, vtkInformation *info);\n\n"},
  {(char*)"SetIntegrator",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegrator, 1,
   (char*)"V.SetIntegrator(vtkInitialValueProblemSolver)\nC++: void SetIntegrator (vtkInitialValueProblemSolver *);\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegrator",                (PyCFunction)PyvtkGenericStreamTracer_GetIntegrator, 1,
   (char*)"V.GetIntegrator() -> vtkInitialValueProblemSolver\nC++: vtkInitialValueProblemSolver *GetIntegrator ();\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorType",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegratorType, 1,
   (char*)"V.SetIntegratorType(int)\nC++: void SetIntegratorType (int type);\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegratorType",                (PyCFunction)PyvtkGenericStreamTracer_GetIntegratorType, 1,
   (char*)"V.GetIntegratorType() -> int\nC++: int GetIntegratorType ();\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta2",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta2, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta2()\nC++: void SetIntegratorTypeToRungeKutta2 ();this SetIntegratorType RUNGE_KUTTA2 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta4",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta4, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta4()\nC++: void SetIntegratorTypeToRungeKutta4 ();this SetIntegratorType RUNGE_KUTTA4 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta45",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegratorTypeToRungeKutta45, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta45()\nC++: void SetIntegratorTypeToRungeKutta45 ();this SetIntegratorType RUNGE_KUTTA45 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetMaximumPropagation",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumPropagation, 1,
   (char*)"V.SetMaximumPropagation(int, float)\nC++: void SetMaximumPropagation (int unit, double max);\nV.SetMaximumPropagation(float)\nC++: void SetMaximumPropagation (double max);\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumPropagationUnit, 1,
   (char*)"V.SetMaximumPropagationUnit(int)\nC++: void SetMaximumPropagationUnit (int unit);\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"GetMaximumPropagationUnit",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumPropagationUnit, 1,
   (char*)"V.GetMaximumPropagationUnit() -> int\nC++: int GetMaximumPropagationUnit ();\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"GetMaximumPropagation",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumPropagation, 1,
   (char*)"V.GetMaximumPropagation() -> float\nC++: double GetMaximumPropagation ();\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToTimeUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumPropagationUnitToTimeUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToTimeUnit()\nC++: void SetMaximumPropagationUnitToTimeUnit ();this SetMaximumPropagationUnit TIME_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumPropagationUnitToLengthUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToLengthUnit()\nC++: void SetMaximumPropagationUnitToLengthUnit ();this SetMaximumPropagationUnit LENGTH_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToCellLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumPropagationUnitToCellLengthUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToCellLengthUnit()\nC++: void SetMaximumPropagationUnitToCellLengthUnit ();this SetMaximumPropagationUnit CELL_LENGTH_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMinimumIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_SetMinimumIntegrationStep, 1,
   (char*)"V.SetMinimumIntegrationStep(int, float)\nC++: void SetMinimumIntegrationStep (int unit, double step);\nV.SetMinimumIntegrationStep(float)\nC++: void SetMinimumIntegrationStep (double step);\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnit(int)\nC++: void SetMinimumIntegrationStepUnit (int unit);\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMinimumIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_GetMinimumIntegrationStepUnit, 1,
   (char*)"V.GetMinimumIntegrationStepUnit() -> int\nC++: int GetMinimumIntegrationStepUnit ();\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMinimumIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_GetMinimumIntegrationStep, 1,
   (char*)"V.GetMinimumIntegrationStep() -> float\nC++: double GetMinimumIntegrationStep ();\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToTimeUnit()\nC++: void SetMinimumIntegrationStepUnitToTimeUnit ();this SetMinimumIntegrationStepUnit TIME_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToLengthUnit()\nC++: void SetMinimumIntegrationStepUnitToLengthUnit ();this SetMinimumIntegrationStepUnit LENGTH_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToCellLengthUnit()\nC++: void SetMinimumIntegrationStepUnitToCellLengthUnit ();this SetMinimumIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumIntegrationStep, 1,
   (char*)"V.SetMaximumIntegrationStep(int, float)\nC++: void SetMaximumIntegrationStep (int unit, double step);\nV.SetMaximumIntegrationStep(float)\nC++: void SetMaximumIntegrationStep (double step);\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnit(int)\nC++: void SetMaximumIntegrationStepUnit (int unit);\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMaximumIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumIntegrationStepUnit, 1,
   (char*)"V.GetMaximumIntegrationStepUnit() -> int\nC++: int GetMaximumIntegrationStepUnit ();\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMaximumIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumIntegrationStep, 1,
   (char*)"V.GetMaximumIntegrationStep() -> float\nC++: double GetMaximumIntegrationStep ();\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToTimeUnit()\nC++: void SetMaximumIntegrationStepUnitToTimeUnit ();this SetMaximumIntegrationStepUnit TIME_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToLengthUnit()\nC++: void SetMaximumIntegrationStepUnitToLengthUnit ();this SetMaximumIntegrationStepUnit LENGTH_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToCellLengthUnit()\nC++: void SetMaximumIntegrationStepUnitToCellLengthUnit ();this SetMaximumIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetInitialIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_SetInitialIntegrationStep, 1,
   (char*)"V.SetInitialIntegrationStep(int, float)\nC++: void SetInitialIntegrationStep (int unit, double step);\nV.SetInitialIntegrationStep(float)\nC++: void SetInitialIntegrationStep (double step);\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetInitialIntegrationStepUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnit(int)\nC++: void SetInitialIntegrationStepUnit (int unit);\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"GetInitialIntegrationStepUnit",                (PyCFunction)PyvtkGenericStreamTracer_GetInitialIntegrationStepUnit, 1,
   (char*)"V.GetInitialIntegrationStepUnit() -> int\nC++: int GetInitialIntegrationStepUnit ();\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"GetInitialIntegrationStep",                (PyCFunction)PyvtkGenericStreamTracer_GetInitialIntegrationStep, 1,
   (char*)"V.GetInitialIntegrationStep() -> float\nC++: double GetInitialIntegrationStep ();\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToTimeUnit()\nC++: void SetInitialIntegrationStepUnitToTimeUnit ();this SetInitialIntegrationStepUnit TIME_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToLengthUnit()\nC++: void SetInitialIntegrationStepUnitToLengthUnit ();this SetInitialIntegrationStepUnit LENGTH_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkGenericStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToCellLengthUnit()\nC++: void SetInitialIntegrationStepUnitToCellLengthUnit ();this SetInitialIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetMaximumError",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumError, 1,
   (char*)"V.SetMaximumError(float)\nC++: void SetMaximumError (double );\n\n"},
  {(char*)"GetMaximumError",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumError, 1,
   (char*)"V.GetMaximumError() -> float\nC++: double GetMaximumError ();\n\n"},
  {(char*)"SetMaximumNumberOfSteps",                (PyCFunction)PyvtkGenericStreamTracer_SetMaximumNumberOfSteps, 1,
   (char*)"V.SetMaximumNumberOfSteps(int)\nC++: void SetMaximumNumberOfSteps (vtkIdType );\n\n"},
  {(char*)"GetMaximumNumberOfSteps",                (PyCFunction)PyvtkGenericStreamTracer_GetMaximumNumberOfSteps, 1,
   (char*)"V.GetMaximumNumberOfSteps() -> int\nC++: vtkIdType GetMaximumNumberOfSteps ();\n\n"},
  {(char*)"SetTerminalSpeed",                (PyCFunction)PyvtkGenericStreamTracer_SetTerminalSpeed, 1,
   (char*)"V.SetTerminalSpeed(float)\nC++: void SetTerminalSpeed (double );\n\n"},
  {(char*)"GetTerminalSpeed",                (PyCFunction)PyvtkGenericStreamTracer_GetTerminalSpeed, 1,
   (char*)"V.GetTerminalSpeed() -> float\nC++: double GetTerminalSpeed ();\n\n"},
  {(char*)"SetIntegrationDirection",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegrationDirection, 1,
   (char*)"V.SetIntegrationDirection(int)\nC++: void SetIntegrationDirection (int );\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMinValue",                (PyCFunction)PyvtkGenericStreamTracer_GetIntegrationDirectionMinValue, 1,
   (char*)"V.GetIntegrationDirectionMinValue() -> int\nC++: int GetIntegrationDirectionMinValue ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMaxValue",                (PyCFunction)PyvtkGenericStreamTracer_GetIntegrationDirectionMaxValue, 1,
   (char*)"V.GetIntegrationDirectionMaxValue() -> int\nC++: int GetIntegrationDirectionMaxValue ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirection",                (PyCFunction)PyvtkGenericStreamTracer_GetIntegrationDirection, 1,
   (char*)"V.GetIntegrationDirection() -> int\nC++: int GetIntegrationDirection ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToForward",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegrationDirectionToForward, 1,
   (char*)"V.SetIntegrationDirectionToForward()\nC++: void SetIntegrationDirectionToForward ();this SetIntegrationDirection FORWARD \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBackward",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegrationDirectionToBackward, 1,
   (char*)"V.SetIntegrationDirectionToBackward()\nC++: void SetIntegrationDirectionToBackward ();this SetIntegrationDirection BACKWARD \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBoth",                (PyCFunction)PyvtkGenericStreamTracer_SetIntegrationDirectionToBoth, 1,
   (char*)"V.SetIntegrationDirectionToBoth()\nC++: void SetIntegrationDirectionToBoth ();this SetIntegrationDirection BOTH \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetComputeVorticity",                (PyCFunction)PyvtkGenericStreamTracer_SetComputeVorticity, 1,
   (char*)"V.SetComputeVorticity(int)\nC++: void SetComputeVorticity (int );\n\n"},
  {(char*)"GetComputeVorticity",                (PyCFunction)PyvtkGenericStreamTracer_GetComputeVorticity, 1,
   (char*)"V.GetComputeVorticity() -> int\nC++: int GetComputeVorticity ();\n\n"},
  {(char*)"ComputeVorticityOn",                (PyCFunction)PyvtkGenericStreamTracer_ComputeVorticityOn, 1,
   (char*)"V.ComputeVorticityOn()\nC++: void ComputeVorticityOn ();\n\n"},
  {(char*)"ComputeVorticityOff",                (PyCFunction)PyvtkGenericStreamTracer_ComputeVorticityOff, 1,
   (char*)"V.ComputeVorticityOff()\nC++: void ComputeVorticityOff ();\n\n"},
  {(char*)"SetRotationScale",                (PyCFunction)PyvtkGenericStreamTracer_SetRotationScale, 1,
   (char*)"V.SetRotationScale(float)\nC++: void SetRotationScale (double );\n\n"},
  {(char*)"GetRotationScale",                (PyCFunction)PyvtkGenericStreamTracer_GetRotationScale, 1,
   (char*)"V.GetRotationScale() -> float\nC++: double GetRotationScale ();\n\n"},
  {(char*)"GetInputVectorsSelection",                (PyCFunction)PyvtkGenericStreamTracer_GetInputVectorsSelection, 1,
   (char*)"V.GetInputVectorsSelection() -> string\nC++: char *GetInputVectorsSelection ();\n\n If you want to generate traces using an arbitrary vector array, \n then set its name here. By default this in NULL and the filter will \n use the active vector array.\n"},
  {(char*)"SelectInputVectors",                (PyCFunction)PyvtkGenericStreamTracer_SelectInputVectors, 1,
   (char*)"V.SelectInputVectors(string)\nC++: void SelectInputVectors (const char *fieldName);this SetInputVectorsSelection fieldName \n\n Add a dataset to the list inputs\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkGenericStreamTracer_AddInput, 1,
   (char*)"V.AddInput(vtkGenericDataSet)\nC++: void AddInput (vtkGenericDataSet *in);\n\n Add a dataset to the list inputs\n"},
  {(char*)"SetInterpolatorPrototype",                (PyCFunction)PyvtkGenericStreamTracer_SetInterpolatorPrototype, 1,
   (char*)"V.SetInterpolatorPrototype(vtkGenericInterpolatedVelocityField)\nC++: void SetInterpolatorPrototype (vtkGenericInterpolatedVelocityField *ivf);\n\n The object used to interpolate the velocity field during\n integration is of the same class as this prototype.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericStreamTracerDoc[] = {
  (char*)"vtkGenericStreamTracer - Streamline generator\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericStreamTracer is a filter that integrates a vector field to\n generate streamlines. The integration is performed using the provided\n integrator. The default is second order Runge-Kutta. \n \n vtkGenericStreamTracer generate polylines as output. Each cell (polyline) \n corresponds to one streamline. The values associated with each streamline\n are stored in the cell data whereas the values ass",
  (char*)"ociated with points\n are stored in point data.\n\n Note that vtkGenericStreamTracer can integrate both forward and backward. \n The length of the streamline is controlled by specifying either\n a maximum value in the units of length, cell length or elapsed time \n (the elapsed time is the time each particle would have traveled if\n flow were steady). Otherwise, the integration terminates after exiting \n",
  (char*)" the dataset or if the particle speed is reduced to a value less than \n the terminal speed or when a maximum number of steps is reached. \n The reason for the termination is stored in a cell array named \n ReasonForTermination.\n\n The quality of integration can be controlled by setting integration\n step (InitialIntegrationStep) and in the case of adaptive solvers\n the maximum error, the minimum integ",
  (char*)"ration step and the maximum \n integration step. All of these can have units of length, cell length \n or elapsed time.\n\n The integration time, vorticity, rotation and angular velocity\n are stored in point arrays named \"IntegrationTime\", \"Vorticity\",\n \"Rotation\" and \"AngularVelocity\" respectively (vorticity, rotation\n and angular velocity are computed only when ComputeVorticity is on).\n All point at",
  (char*)"tributes in the source data set are interpolated on the \n new streamline points.\n\n vtkGenericStreamTracer integrates through any type of dataset. As a result,\n if the dataset contains 2D cells such as polygons or triangles, the\n integration is constrained to lie on the surface defined by the 2D cells.\n\n The starting point of traces may be defined in two different ways.\n Starting from global x-y-z ",
  (char*)"\"position\" allows you to start a single trace\n at a specified x-y-z coordinate. If you specify a source object, \n a trace will be generated for each point in the source that is \n inside the dataset.\n\n\n",
  "See Also:\n\n vtkRibbonFilter vtkRuledSurfaceFilter vtkInitialValueProblemSolver \n vtkRungeKutta2 vtkRungeKutta4 vtkRungeKutta45 \n\n",
  NULL
};

static vtkObjectBase *vtkGenericStreamTracerStaticNew()
{
  return vtkGenericStreamTracer::New();
}

PyObject *PyVTKClass_vtkGenericStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericStreamTracerStaticNew,
                        PyvtkGenericStreamTracerMethods,
                        (char*)"vtkGenericStreamTracer",modulename,
                        (char**)vtkGenericStreamTracerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

