// python wrapper for vtkAppendSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAppendSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAppendSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAppendSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkAppendSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  const char    *temp20;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  vtkAppendSelection  *temp20;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAppendSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAppendSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAppendSelection_SetUserManagedInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp0;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::SetUserManagedInputs(temp0);
      }
    else
      {
      op->SetUserManagedInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_GetUserManagedInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp20;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendSelection::GetUserManagedInputs();
      }
    else
      {
      temp20 = op->GetUserManagedInputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_UserManagedInputsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::UserManagedInputsOn();
      }
    else
      {
      op->UserManagedInputsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_UserManagedInputsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::UserManagedInputsOff();
      }
    else
      {
      op->UserManagedInputsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAppendSelection_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  vtkSelection  *temp0;
  PyObject *tempH0;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAppendSelection_SetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp0;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::SetNumberOfInputs(temp0);
      }
    else
      {
      op->SetNumberOfInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_SetInputByNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp0;
  vtkSelection  *temp1;
  PyObject *tempH1;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkSelection");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::SetInputByNumber(temp0,temp1);
      }
    else
      {
      op->SetInputByNumber(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAppendSelection_SetAppendByUnion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp0;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::SetAppendByUnion(temp0);
      }
    else
      {
      op->SetAppendByUnion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_GetAppendByUnion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  int      temp20;
  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendSelection::GetAppendByUnion();
      }
    else
      {
      temp20 = op->GetAppendByUnion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_AppendByUnionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::AppendByUnionOn();
      }
    else
      {
      op->AppendByUnionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendSelection_AppendByUnionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendSelection::AppendByUnionOff();
      }
    else
      {
      op->AppendByUnionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAppendSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAppendSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAppendSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAppendSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAppendSelection\nC++: vtkAppendSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAppendSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAppendSelection\nC++: vtkAppendSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUserManagedInputs",                (PyCFunction)PyvtkAppendSelection_SetUserManagedInputs, 1,
   (char*)"V.SetUserManagedInputs(int)\nC++: void SetUserManagedInputs (int );\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"GetUserManagedInputs",                (PyCFunction)PyvtkAppendSelection_GetUserManagedInputs, 1,
   (char*)"V.GetUserManagedInputs() -> int\nC++: int GetUserManagedInputs ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"UserManagedInputsOn",                (PyCFunction)PyvtkAppendSelection_UserManagedInputsOn, 1,
   (char*)"V.UserManagedInputsOn()\nC++: void UserManagedInputsOn ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"UserManagedInputsOff",                (PyCFunction)PyvtkAppendSelection_UserManagedInputsOff, 1,
   (char*)"V.UserManagedInputsOff()\nC++: void UserManagedInputsOff ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkAppendSelection_AddInput, 1,
   (char*)"V.AddInput(vtkSelection)\nC++: void AddInput (vtkSelection *);\n\n Add a dataset to the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber instead.\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkAppendSelection_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkSelection)\nC++: void RemoveInput (vtkSelection *);\n\n Remove a dataset from the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.\n"},
  {(char*)"SetNumberOfInputs",                (PyCFunction)PyvtkAppendSelection_SetNumberOfInputs, 1,
   (char*)"V.SetNumberOfInputs(int)\nC++: void SetNumberOfInputs (int num);\n\n Directly set(allocate) number of inputs, should only be used\n when UserManagedInputs is true.\n"},
  {(char*)"SetInputByNumber",                (PyCFunction)PyvtkAppendSelection_SetInputByNumber, 1,
   (char*)"V.SetInputByNumber(int, vtkSelection)\nC++: void SetInputByNumber (int num, vtkSelection *input);\n\n"},
  {(char*)"SetAppendByUnion",                (PyCFunction)PyvtkAppendSelection_SetAppendByUnion, 1,
   (char*)"V.SetAppendByUnion(int)\nC++: void SetAppendByUnion (int );\n\n When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n"},
  {(char*)"GetAppendByUnion",                (PyCFunction)PyvtkAppendSelection_GetAppendByUnion, 1,
   (char*)"V.GetAppendByUnion() -> int\nC++: int GetAppendByUnion ();\n\n When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n"},
  {(char*)"AppendByUnionOn",                (PyCFunction)PyvtkAppendSelection_AppendByUnionOn, 1,
   (char*)"V.AppendByUnionOn()\nC++: void AppendByUnionOn ();\n\n When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n"},
  {(char*)"AppendByUnionOff",                (PyCFunction)PyvtkAppendSelection_AppendByUnionOff, 1,
   (char*)"V.AppendByUnionOff()\nC++: void AppendByUnionOff ();\n\n When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAppendSelectionDoc[] = {
  (char*)"vtkAppendSelection - appends one or more selections together\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" vtkAppendSelection is a filter that appends one of more selections into\n a single selection.  All selections must have the same content type unless\n AppendByUnion is false.\n\n",
  NULL
};

static vtkObjectBase *vtkAppendSelectionStaticNew()
{
  return vtkAppendSelection::New();
}

PyObject *PyVTKClass_vtkAppendSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkAppendSelectionStaticNew,
                        PyvtkAppendSelectionMethods,
                        (char*)"vtkAppendSelection",modulename,
                        (char**)vtkAppendSelectionDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

