// tcl wrapper for vtkAppendSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAppendSelection.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAppendSelectionNewCommand()
{
  vtkAppendSelection *temp = vtkAppendSelection::New();
  return static_cast<ClientData>(temp);
}

int vtkSelectionAlgorithmCppCommand(vtkSelectionAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAppendSelectionCppCommand(vtkAppendSelection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAppendSelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAppendSelectionCppCommand(static_cast<vtkAppendSelection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAppendSelectionCppCommand(vtkAppendSelection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAppendSelection",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSelectionAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAppendSelection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAppendSelection");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAppendSelection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAppendSelection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAppendSelection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAppendSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUserManagedInputs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUserManagedInputs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserManagedInputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUserManagedInputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UserManagedInputsOn",argv[1]))&&(argc == 2))
    {
    op->UserManagedInputsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UserManagedInputsOff",argv[1]))&&(argc == 2))
    {
    op->UserManagedInputsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->RemoveInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfInputs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfInputs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputByNumber",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkSelection  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->SetInputByNumber(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAppendByUnion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAppendByUnion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAppendByUnion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAppendByUnion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AppendByUnionOn",argv[1]))&&(argc == 2))
    {
    op->AppendByUnionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AppendByUnionOff",argv[1]))&&(argc == 2))
    {
    op->AppendByUnionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAppendSelectionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAppendSelection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUserManagedInputs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserManagedInputs\n",NULL);
    Tcl_AppendResult(interp,"  UserManagedInputsOn\n",NULL);
    Tcl_AppendResult(interp,"  UserManagedInputsOff\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfInputs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputByNumber\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAppendByUnion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAppendByUnion\n",NULL);
    Tcl_AppendResult(interp,"  AppendByUnionOn\n",NULL);
    Tcl_AppendResult(interp,"  AppendByUnionOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetUserManagedInputs" );
    Tcl_DStringAppendElement ( &dString, "GetUserManagedInputs" );
    Tcl_DStringAppendElement ( &dString, "UserManagedInputsOn" );
    Tcl_DStringAppendElement ( &dString, "UserManagedInputsOff" );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfInputs" );
    Tcl_DStringAppendElement ( &dString, "SetInputByNumber" );
    Tcl_DStringAppendElement ( &dString, "SetAppendByUnion" );
    Tcl_DStringAppendElement ( &dString, "GetAppendByUnion" );
    Tcl_DStringAppendElement ( &dString, "AppendByUnionOn" );
    Tcl_DStringAppendElement ( &dString, "AppendByUnionOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkAppendSelection *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserManagedInputs */
    if ( strcmp ( argv[2], "SetUserManagedInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserManagedInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserManagedInputs */
    Tcl_DStringAppendElement ( &dString, " UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUserManagedInputs (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for SetUserManagedInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserManagedInputs */
    if ( strcmp ( argv[2], "GetUserManagedInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserManagedInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserManagedInputs */
    Tcl_DStringAppendElement ( &dString, " UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUserManagedInputs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for GetUserManagedInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UserManagedInputsOn */
    if ( strcmp ( argv[2], "UserManagedInputsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UserManagedInputsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UserManagedInputsOn */
    Tcl_DStringAppendElement ( &dString, " UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void UserManagedInputsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for UserManagedInputsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UserManagedInputsOff */
    if ( strcmp ( argv[2], "UserManagedInputsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UserManagedInputsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UserManagedInputsOff */
    Tcl_DStringAppendElement ( &dString, " UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void UserManagedInputsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for UserManagedInputsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInput */
    if ( strcmp ( argv[2], "AddInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInput */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInput (vtkSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for AddInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveInput */
    if ( strcmp ( argv[2], "RemoveInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveInput (vtkSelection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for RemoveInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfInputs */
    if ( strcmp ( argv[2], "SetNumberOfInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfInputs */
    Tcl_DStringAppendElement ( &dString, " Directly set(allocate) number of inputs, should only be used\n when UserManagedInputs is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfInputs (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for SetNumberOfInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputByNumber */
    if ( strcmp ( argv[2], "SetInputByNumber" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputByNumber" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputByNumber */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInputByNumber (int num, vtkSelection *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for SetInputByNumber */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAppendByUnion */
    if ( strcmp ( argv[2], "SetAppendByUnion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAppendByUnion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAppendByUnion */
    Tcl_DStringAppendElement ( &dString, " When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAppendByUnion (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for SetAppendByUnion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAppendByUnion */
    if ( strcmp ( argv[2], "GetAppendByUnion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAppendByUnion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAppendByUnion */
    Tcl_DStringAppendElement ( &dString, " When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAppendByUnion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for GetAppendByUnion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendByUnionOn */
    if ( strcmp ( argv[2], "AppendByUnionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendByUnionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendByUnionOn */
    Tcl_DStringAppendElement ( &dString, " When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n" );
    Tcl_DStringAppendElement ( &dString, "void AppendByUnionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for AppendByUnionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AppendByUnionOff */
    if ( strcmp ( argv[2], "AppendByUnionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AppendByUnionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AppendByUnionOff */
    Tcl_DStringAppendElement ( &dString, " When set to true, all the selections are combined together to form a single\n vtkSelection output.\n When set to false, the output is a composite selection with \n input selections as the children of the composite selection. This allows\n for selections with different content types and properties. Default is\n true. \n" );
    Tcl_DStringAppendElement ( &dString, "void AppendByUnionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkAppendSelection" );
    /* Closing for AppendByUnionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
