// tcl wrapper for vtkArrayCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayCalculator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkArrayCalculatorNewCommand()
{
  vtkArrayCalculator *temp = vtkArrayCalculator::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArrayCalculatorCppCommand(vtkArrayCalculator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkArrayCalculatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkArrayCalculatorCppCommand(static_cast<vtkArrayCalculator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArrayCalculatorCppCommand(vtkArrayCalculator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkArrayCalculator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkArrayCalculator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayCalculator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkArrayCalculator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayCalculator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkArrayCalculator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayCalculator");
    return TCL_OK;
    }
  if ((!strcmp("SetFunction",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunction",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFunction();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddScalarArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddScalarArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVectorArrayName",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->AddVectorArrayName(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddScalarVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddScalarVariable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVectorVariable",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCoordinateScalarVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddCoordinateScalarVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCoordinateVectorVariable",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->AddCoordinateVectorVariable(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResultArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetResultArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResultArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetResultArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCoordinateResults",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCoordinateResults();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinateResults",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCoordinateResults(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CoordinateResultsOn",argv[1]))&&(argc == 2))
    {
    op->CoordinateResultsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CoordinateResultsOff",argv[1]))&&(argc == 2))
    {
    op->CoordinateResultsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseVertexData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseVertexData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseEdgeData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseEdgeData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAttributeModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveAllVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveScalarVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveScalarVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveVectorVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveVectorVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveCoordinateScalarVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveCoordinateScalarVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveCoordinateVectorVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveCoordinateVectorVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedScalarComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectedScalarComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceInvalidValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceInvalidValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceInvalidValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceInvalidValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReplacementValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetReplacementValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplacementValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReplacementValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkArrayCalculatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArrayCalculator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunction\n",NULL);
    Tcl_AppendResult(interp,"  AddScalarArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddVectorArrayName\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddScalarVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddVectorVariable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCoordinateScalarVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCoordinateVectorVariable\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResultArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetCoordinateResults\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinateResults\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CoordinateResultsOn\n",NULL);
    Tcl_AppendResult(interp,"  CoordinateResultsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseVertexData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseEdgeData\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveScalarVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVectorVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCoordinateScalarVariables\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCoordinateVectorVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedScalarComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorArrays\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceInvalidValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceInvalidValues\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReplacementValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplacementValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    Tcl_DStringAppendElement ( &dString, "GetFunction" );
    Tcl_DStringAppendElement ( &dString, "AddScalarArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddVectorArrayName" );
    Tcl_DStringAppendElement ( &dString, "AddScalarVariable" );
    Tcl_DStringAppendElement ( &dString, "AddVectorVariable" );
    Tcl_DStringAppendElement ( &dString, "AddCoordinateScalarVariable" );
    Tcl_DStringAppendElement ( &dString, "AddCoordinateVectorVariable" );
    Tcl_DStringAppendElement ( &dString, "SetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateResults" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateResults" );
    Tcl_DStringAppendElement ( &dString, "CoordinateResultsOn" );
    Tcl_DStringAppendElement ( &dString, "CoordinateResultsOff" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseVertexData" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseEdgeData" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveScalarVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveVectorVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveCoordinateScalarVariables" );
    Tcl_DStringAppendElement ( &dString, "RemoveCoordinateVectorVariables" );
    Tcl_DStringAppendElement ( &dString, "GetScalarArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableName" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedScalarComponent" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorArrays" );
    Tcl_DStringAppendElement ( &dString, "SetReplaceInvalidValues" );
    Tcl_DStringAppendElement ( &dString, "GetReplaceInvalidValues" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOn" );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReplacementValue" );
    Tcl_DStringAppendElement ( &dString, "GetReplacementValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkArrayCalculator *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunction */
    if ( strcmp ( argv[2], "SetFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the function to be evaluated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunction (const char *function);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunction */
    if ( strcmp ( argv[2], "GetFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the function to be evaluated.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFunction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddScalarArrayName */
    if ( strcmp ( argv[2], "AddScalarArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddScalarArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddScalarArrayName */
    Tcl_DStringAppendElement ( &dString, " Add an array name to the list of arrays used in the function and specify\n which components of the array to use in evaluating the function.  The\n array name must match the name in the function.  Use AddScalarVariable or\n AddVectorVariable to use a variable name different from the array name.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddScalarArrayName (const char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddScalarArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVectorArrayName */
    if ( strcmp ( argv[2], "AddVectorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVectorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVectorArrayName */
    Tcl_DStringAppendElement ( &dString, " Add an array name to the list of arrays used in the function and specify\n which components of the array to use in evaluating the function.  The\n array name must match the name in the function.  Use AddScalarVariable or\n AddVectorVariable to use a variable name different from the array name.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddVectorArrayName (const char *arrayName, int component0, int component1, int component2);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddVectorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddScalarVariable */
    if ( strcmp ( argv[2], "AddScalarVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddScalarVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddScalarVariable */
    Tcl_DStringAppendElement ( &dString, " Add a variable name, a corresponding array name, and which components of\n the array to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddScalarVariable (const char *variableName, const char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddScalarVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVectorVariable */
    if ( strcmp ( argv[2], "AddVectorVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVectorVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVectorVariable */
    Tcl_DStringAppendElement ( &dString, " Add a variable name, a corresponding array name, and which components of\n the array to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddVectorVariable (const char *variableName, const char *arrayName, int component0, int component1, int component2);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddVectorVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCoordinateScalarVariable */
    if ( strcmp ( argv[2], "AddCoordinateScalarVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCoordinateScalarVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCoordinateScalarVariable */
    Tcl_DStringAppendElement ( &dString, " Add a variable name, a corresponding array name, and which components of\n the array to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCoordinateScalarVariable (const char *variableName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddCoordinateScalarVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCoordinateVectorVariable */
    if ( strcmp ( argv[2], "AddCoordinateVectorVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCoordinateVectorVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCoordinateVectorVariable */
    Tcl_DStringAppendElement ( &dString, " Add a variable name, a corresponding array name, and which components of\n the array to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCoordinateVectorVariable (const char *variableName, int component0, int component1, int component2);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for AddCoordinateVectorVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResultArrayName */
    if ( strcmp ( argv[2], "SetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResultArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the array in which to store the result of\n evaluating this function.  If this is the name of an existing array,\n that array will be overwritten.  Otherwise a new array will be\n created with the specified name.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResultArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResultArrayName */
    if ( strcmp ( argv[2], "GetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResultArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the name of the array in which to store the result of\n evaluating this function.  If this is the name of an existing array,\n that array will be overwritten.  Otherwise a new array will be\n created with the specified name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetResultArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoordinateResults */
    if ( strcmp ( argv[2], "GetCoordinateResults" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoordinateResults" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoordinateResults */
    Tcl_DStringAppendElement ( &dString, " Set whether to output results as coordinates.  ResultArrayName will be\n ignored.  Outputing as coordinates is only valid with vector results and\n if the AttributeMode is AttributeModeToUsePointData.\n If a valid output can't be made, an error will occur.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCoordinateResults ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetCoordinateResults */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinateResults */
    if ( strcmp ( argv[2], "SetCoordinateResults" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinateResults" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinateResults */
    Tcl_DStringAppendElement ( &dString, " Set whether to output results as coordinates.  ResultArrayName will be\n ignored.  Outputing as coordinates is only valid with vector results and\n if the AttributeMode is AttributeModeToUsePointData.\n If a valid output can't be made, an error will occur.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoordinateResults (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetCoordinateResults */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CoordinateResultsOn */
    if ( strcmp ( argv[2], "CoordinateResultsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CoordinateResultsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CoordinateResultsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to output results as coordinates.  ResultArrayName will be\n ignored.  Outputing as coordinates is only valid with vector results and\n if the AttributeMode is AttributeModeToUsePointData.\n If a valid output can't be made, an error will occur.\n" );
    Tcl_DStringAppendElement ( &dString, "void CoordinateResultsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for CoordinateResultsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CoordinateResultsOff */
    if ( strcmp ( argv[2], "CoordinateResultsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CoordinateResultsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CoordinateResultsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to output results as coordinates.  ResultArrayName will be\n ignored.  Outputing as coordinates is only valid with vector results and\n if the AttributeMode is AttributeModeToUsePointData.\n If a valid output can't be made, an error will occur.\n" );
    Tcl_DStringAppendElement ( &dString, "void CoordinateResultsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for CoordinateResultsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeMode */
    if ( strcmp ( argv[2], "SetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeMode */
    if ( strcmp ( argv[2], "GetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToDefault */
    if ( strcmp ( argv[2], "SetAttributeModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT " );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUsePointData */
    if ( strcmp ( argv[2], "SetAttributeModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUseCellData */
    if ( strcmp ( argv[2], "SetAttributeModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUseVertexData */
    if ( strcmp ( argv[2], "SetAttributeModeToUseVertexData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseVertexData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUseVertexData */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUseVertexData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_VERTEX_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeModeToUseVertexData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUseEdgeData */
    if ( strcmp ( argv[2], "SetAttributeModeToUseEdgeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseEdgeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUseEdgeData */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUseEdgeData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_EDGE_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetAttributeModeToUseEdgeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeModeAsString */
    if ( strcmp ( argv[2], "GetAttributeModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n For graphs you can set the filter to use vertex data\n (AttributeModeToUseVertexData) or edge data (AttributeModeToUseEdgeData).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttributeModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetAttributeModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllVariables */
    if ( strcmp ( argv[2], "RemoveAllVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the variable names and their associated array names.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for RemoveAllVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveScalarVariables */
    if ( strcmp ( argv[2], "RemoveScalarVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveScalarVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveScalarVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the scalar variable names and their associated array names.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveScalarVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for RemoveScalarVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveVectorVariables */
    if ( strcmp ( argv[2], "RemoveVectorVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVectorVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVectorVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the scalar variable names and their associated array names.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVectorVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for RemoveVectorVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCoordinateScalarVariables */
    if ( strcmp ( argv[2], "RemoveCoordinateScalarVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCoordinateScalarVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCoordinateScalarVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the coordinate variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCoordinateScalarVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for RemoveCoordinateScalarVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCoordinateVectorVariables */
    if ( strcmp ( argv[2], "RemoveCoordinateVectorVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCoordinateVectorVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCoordinateVectorVariables */
    Tcl_DStringAppendElement ( &dString, " Remove all the coordinate variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCoordinateVectorVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for RemoveCoordinateVectorVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarArrayName */
    if ( strcmp ( argv[2], "GetScalarArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarArrayName */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarArrayName (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetScalarArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorArrayName */
    if ( strcmp ( argv[2], "GetVectorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorArrayName */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorArrayName (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetVectorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarVariableName */
    if ( strcmp ( argv[2], "GetScalarVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarVariableName */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetScalarVariableName (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetScalarVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorVariableName */
    if ( strcmp ( argv[2], "GetVectorVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorVariableName */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetVectorVariableName (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetVectorVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedScalarComponent */
    if ( strcmp ( argv[2], "GetSelectedScalarComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedScalarComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedScalarComponent */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedScalarComponent (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetSelectedScalarComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarArrays */
    if ( strcmp ( argv[2], "GetNumberOfScalarArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarArrays */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetNumberOfScalarArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVectorArrays */
    if ( strcmp ( argv[2], "GetNumberOfVectorArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVectorArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVectorArrays */
    Tcl_DStringAppendElement ( &dString, " Methods to get information about the current variables.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVectorArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetNumberOfVectorArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplaceInvalidValues */
    if ( strcmp ( argv[2], "SetReplaceInvalidValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplaceInvalidValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplaceInvalidValues */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplaceInvalidValues (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetReplaceInvalidValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplaceInvalidValues */
    if ( strcmp ( argv[2], "GetReplaceInvalidValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplaceInvalidValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplaceInvalidValues */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReplaceInvalidValues ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetReplaceInvalidValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInvalidValuesOn */
    if ( strcmp ( argv[2], "ReplaceInvalidValuesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInvalidValuesOn */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInvalidValuesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for ReplaceInvalidValuesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReplaceInvalidValuesOff */
    if ( strcmp ( argv[2], "ReplaceInvalidValuesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReplaceInvalidValuesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReplaceInvalidValuesOff */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void ReplaceInvalidValuesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for ReplaceInvalidValuesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplacementValue */
    if ( strcmp ( argv[2], "SetReplacementValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplacementValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplacementValue */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplacementValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for SetReplacementValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplacementValue */
    if ( strcmp ( argv[2], "GetReplacementValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplacementValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplacementValue */
    Tcl_DStringAppendElement ( &dString, " When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n" );
    Tcl_DStringAppendElement ( &dString, "double GetReplacementValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArrayCalculator" );
    /* Closing for GetReplacementValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
