// python wrapper for vtkArrowSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkArrowSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrowSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrowSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkArrowSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  const char    *temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  vtkArrowSource  *temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrowSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrowSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrowSource_SetTipLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp0;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrowSource::SetTipLength(temp0);
      }
    else
      {
      op->SetTipLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipLengthMinValue();
      }
    else
      {
      temp20 = op->GetTipLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipLengthMaxValue();
      }
    else
      {
      temp20 = op->GetTipLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipLength();
      }
    else
      {
      temp20 = op->GetTipLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_SetTipRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp0;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrowSource::SetTipRadius(temp0);
      }
    else
      {
      op->SetTipRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipRadiusMinValue();
      }
    else
      {
      temp20 = op->GetTipRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetTipRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipRadius();
      }
    else
      {
      temp20 = op->GetTipRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_SetTipResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp0;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrowSource::SetTipResolution(temp0);
      }
    else
      {
      op->SetTipResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipResolutionMinValue();
      }
    else
      {
      temp20 = op->GetTipResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetTipResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetTipResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetTipResolution();
      }
    else
      {
      temp20 = op->GetTipResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_SetShaftRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp0;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrowSource::SetShaftRadius(temp0);
      }
    else
      {
      op->SetShaftRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftRadiusMinValue();
      }
    else
      {
      temp20 = op->GetShaftRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetShaftRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  double   temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftRadius();
      }
    else
      {
      temp20 = op->GetShaftRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_SetShaftResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp0;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrowSource::SetShaftResolution(temp0);
      }
    else
      {
      op->SetShaftResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftResolutionMinValue();
      }
    else
      {
      temp20 = op->GetShaftResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetShaftResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrowSource_GetShaftResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrowSource *op;

  int      temp20;
  op = (vtkArrowSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrowSource::GetShaftResolution();
      }
    else
      {
      temp20 = op->GetShaftResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrowSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrowSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrowSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrowSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrowSource\nC++: vtkArrowSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrowSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrowSource\nC++: vtkArrowSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTipLength",                (PyCFunction)PyvtkArrowSource_SetTipLength, 1,
   (char*)"V.SetTipLength(float)\nC++: void SetTipLength (double );\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipLengthMinValue",                (PyCFunction)PyvtkArrowSource_GetTipLengthMinValue, 1,
   (char*)"V.GetTipLengthMinValue() -> float\nC++: double GetTipLengthMinValue ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipLengthMaxValue",                (PyCFunction)PyvtkArrowSource_GetTipLengthMaxValue, 1,
   (char*)"V.GetTipLengthMaxValue() -> float\nC++: double GetTipLengthMaxValue ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipLength",                (PyCFunction)PyvtkArrowSource_GetTipLength, 1,
   (char*)"V.GetTipLength() -> float\nC++: double GetTipLength ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"SetTipRadius",                (PyCFunction)PyvtkArrowSource_SetTipRadius, 1,
   (char*)"V.SetTipRadius(float)\nC++: void SetTipRadius (double );\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipRadiusMinValue",                (PyCFunction)PyvtkArrowSource_GetTipRadiusMinValue, 1,
   (char*)"V.GetTipRadiusMinValue() -> float\nC++: double GetTipRadiusMinValue ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipRadiusMaxValue",                (PyCFunction)PyvtkArrowSource_GetTipRadiusMaxValue, 1,
   (char*)"V.GetTipRadiusMaxValue() -> float\nC++: double GetTipRadiusMaxValue ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"GetTipRadius",                (PyCFunction)PyvtkArrowSource_GetTipRadius, 1,
   (char*)"V.GetTipRadius() -> float\nC++: double GetTipRadius ();\n\n Set the length, and radius of the tip.  They default to 0.35 and 0.1\n"},
  {(char*)"SetTipResolution",                (PyCFunction)PyvtkArrowSource_SetTipResolution, 1,
   (char*)"V.SetTipResolution(int)\nC++: void SetTipResolution (int );\n\n Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n"},
  {(char*)"GetTipResolutionMinValue",                (PyCFunction)PyvtkArrowSource_GetTipResolutionMinValue, 1,
   (char*)"V.GetTipResolutionMinValue() -> int\nC++: int GetTipResolutionMinValue ();\n\n Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n"},
  {(char*)"GetTipResolutionMaxValue",                (PyCFunction)PyvtkArrowSource_GetTipResolutionMaxValue, 1,
   (char*)"V.GetTipResolutionMaxValue() -> int\nC++: int GetTipResolutionMaxValue ();\n\n Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n"},
  {(char*)"GetTipResolution",                (PyCFunction)PyvtkArrowSource_GetTipResolution, 1,
   (char*)"V.GetTipResolution() -> int\nC++: int GetTipResolution ();\n\n Set the resolution of the tip.  The tip behaves the same as a cone.\n Resoultion 1 gives a single triangle, 2 gives two crossed triangles.\n"},
  {(char*)"SetShaftRadius",                (PyCFunction)PyvtkArrowSource_SetShaftRadius, 1,
   (char*)"V.SetShaftRadius(float)\nC++: void SetShaftRadius (double );\n\n Set the radius of the shaft.  Defaults to 0.03.\n"},
  {(char*)"GetShaftRadiusMinValue",                (PyCFunction)PyvtkArrowSource_GetShaftRadiusMinValue, 1,
   (char*)"V.GetShaftRadiusMinValue() -> float\nC++: double GetShaftRadiusMinValue ();\n\n Set the radius of the shaft.  Defaults to 0.03.\n"},
  {(char*)"GetShaftRadiusMaxValue",                (PyCFunction)PyvtkArrowSource_GetShaftRadiusMaxValue, 1,
   (char*)"V.GetShaftRadiusMaxValue() -> float\nC++: double GetShaftRadiusMaxValue ();\n\n Set the radius of the shaft.  Defaults to 0.03.\n"},
  {(char*)"GetShaftRadius",                (PyCFunction)PyvtkArrowSource_GetShaftRadius, 1,
   (char*)"V.GetShaftRadius() -> float\nC++: double GetShaftRadius ();\n\n Set the radius of the shaft.  Defaults to 0.03.\n"},
  {(char*)"SetShaftResolution",                (PyCFunction)PyvtkArrowSource_SetShaftResolution, 1,
   (char*)"V.SetShaftResolution(int)\nC++: void SetShaftResolution (int );\n\n Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n"},
  {(char*)"GetShaftResolutionMinValue",                (PyCFunction)PyvtkArrowSource_GetShaftResolutionMinValue, 1,
   (char*)"V.GetShaftResolutionMinValue() -> int\nC++: int GetShaftResolutionMinValue ();\n\n Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n"},
  {(char*)"GetShaftResolutionMaxValue",                (PyCFunction)PyvtkArrowSource_GetShaftResolutionMaxValue, 1,
   (char*)"V.GetShaftResolutionMaxValue() -> int\nC++: int GetShaftResolutionMaxValue ();\n\n Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n"},
  {(char*)"GetShaftResolution",                (PyCFunction)PyvtkArrowSource_GetShaftResolution, 1,
   (char*)"V.GetShaftResolution() -> int\nC++: int GetShaftResolution ();\n\n Set the resolution of the shaft.  2 gives a rectangle.\n I would like to extend the cone to produce a line,\n but this is not an option now.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrowSourceDoc[] = {
  (char*)"vtkArrowSource - Appends a cylinder to a cone to form an arrow.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkArrowSource was intended to be used as the source for a glyph.\n The shaft base is always at (0,0,0). The arrow tip is always at (1,0,0).\n The resolution of the cone and shaft can be set and default to 6.\n The radius of the cone and shaft can be set and default to 0.03 and 0.1.\n The length of the tip can also be set, and defaults to 0.35.\n\n",
  NULL
};

static vtkObjectBase *vtkArrowSourceStaticNew()
{
  return vtkArrowSource::New();
}

PyObject *PyVTKClass_vtkArrowSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrowSourceStaticNew,
                        PyvtkArrowSourceMethods,
                        (char*)"vtkArrowSource",modulename,
                        (char**)vtkArrowSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

