// python wrapper for vtkAttributeDataToFieldDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAttributeDataToFieldDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAttributeDataToFieldDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAttributeDataToFieldDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkAttributeDataToFieldDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  const char    *temp20;
  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributeDataToFieldDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributeDataToFieldDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  vtkAttributeDataToFieldDataFilter  *temp20;
  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributeDataToFieldDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAttributeDataToFieldDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAttributeDataToFieldDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_SetPassAttributeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  int      temp0;
  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAttributeDataToFieldDataFilter::SetPassAttributeData(temp0);
      }
    else
      {
      op->SetPassAttributeData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_GetPassAttributeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  int      temp20;
  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAttributeDataToFieldDataFilter::GetPassAttributeData();
      }
    else
      {
      temp20 = op->GetPassAttributeData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_PassAttributeDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAttributeDataToFieldDataFilter::PassAttributeDataOn();
      }
    else
      {
      op->PassAttributeDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAttributeDataToFieldDataFilter_PassAttributeDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAttributeDataToFieldDataFilter *op;

  op = (vtkAttributeDataToFieldDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAttributeDataToFieldDataFilter::PassAttributeDataOff();
      }
    else
      {
      op->PassAttributeDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAttributeDataToFieldDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAttributeDataToFieldDataFilter\nC++: vtkAttributeDataToFieldDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAttributeDataToFieldDataFilter\nC++: vtkAttributeDataToFieldDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPassAttributeData",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_SetPassAttributeData, 1,
   (char*)"V.SetPassAttributeData(int)\nC++: void SetPassAttributeData (int );\n\n Turn on/off the passing of point and cell non-field attribute data to the\n output of the filter.\n"},
  {(char*)"GetPassAttributeData",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_GetPassAttributeData, 1,
   (char*)"V.GetPassAttributeData() -> int\nC++: int GetPassAttributeData ();\n\n Turn on/off the passing of point and cell non-field attribute data to the\n output of the filter.\n"},
  {(char*)"PassAttributeDataOn",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_PassAttributeDataOn, 1,
   (char*)"V.PassAttributeDataOn()\nC++: void PassAttributeDataOn ();\n\n Turn on/off the passing of point and cell non-field attribute data to the\n output of the filter.\n"},
  {(char*)"PassAttributeDataOff",                (PyCFunction)PyvtkAttributeDataToFieldDataFilter_PassAttributeDataOff, 1,
   (char*)"V.PassAttributeDataOff()\nC++: void PassAttributeDataOff ();\n\n Turn on/off the passing of point and cell non-field attribute data to the\n output of the filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAttributeDataToFieldDataFilterDoc[] = {
  (char*)"vtkAttributeDataToFieldDataFilter - map attribute data to field data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkAttributeDataToFieldDataFilter is a class that maps attribute data into\n field data. Since this filter is a subclass of vtkDataSetAlgorithm,\n the output dataset (whose structure is the same as the input dataset),\n will contain the field data that is generated. The filter will convert\n point and cell attribute data to field data and assign it as point and\n cell field data, replacing any point o",
  (char*)"r field data that was there\n previously. By default, the original non-field point and cell attribute\n data will be passed to the output of the filter, although you can shut\n this behavior down.\n\n",
  "Caveats:\n\n Reference counting the underlying data arrays is used to create the field\n data.  Therefore, no extra memory is utilized.\n\n The original field data (if any) associated with the point and cell\n attribute data is placed into the generated fields along with the scalars,\n vectors, etc.\n\n",
  "See Also:\n\n vtkFieldData vtkDataObject vtkDataSet vtkFieldDataToAttributeDataFilter\n\n",
  NULL
};

static vtkObjectBase *vtkAttributeDataToFieldDataFilterStaticNew()
{
  return vtkAttributeDataToFieldDataFilter::New();
}

PyObject *PyVTKClass_vtkAttributeDataToFieldDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkAttributeDataToFieldDataFilterStaticNew,
                        PyvtkAttributeDataToFieldDataFilterMethods,
                        (char*)"vtkAttributeDataToFieldDataFilter",modulename,
                        (char**)vtkAttributeDataToFieldDataFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

