// python wrapper for vtkBSPCuts object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBSPCuts.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBSPCutsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBSPCutsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkBSPCuts_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  const char    *temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  char    *temp0;
  int      temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  vtkBSPCuts  *temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBSPCuts  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBSPCuts::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBSPCuts_CreateCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  vtkKdNode  *temp0;
  PyObject *tempH0;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPCuts::CreateCuts(temp0);
      }
    else
      {
      op->CreateCuts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBSPCuts_GetKdNodeTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  vtkKdNode  *temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::GetKdNodeTree();
      }
    else
      {
      temp20 = op->GetKdNodeTree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_GetNumberOfCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  int      temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::GetNumberOfCuts();
      }
    else
      {
      temp20 = op->GetNumberOfCuts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_Equals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  vtkBSPCuts  *temp0;
  PyObject *tempH0;
  double   temp1;
  int      temp20;
  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkBSPCuts *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBSPCuts");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPCuts::Equals(temp0,temp1);
      }
    else
      {
      temp20 = op->Equals(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkBSPCuts_PrintTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPCuts::PrintTree();
      }
    else
      {
      op->PrintTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPCuts_PrintArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPCuts::PrintArrays();
      }
    else
      {
      op->PrintArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBSPCutsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBSPCuts_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBSPCuts_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBSPCuts_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBSPCuts\nC++: vtkBSPCuts *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBSPCuts_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBSPCuts\nC++: vtkBSPCuts *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateCuts",                (PyCFunction)PyvtkBSPCuts_CreateCuts, 1,
   (char*)"V.CreateCuts(vtkKdNode)\nC++: void CreateCuts (vtkKdNode *kd);\n\n"},
  {(char*)"GetKdNodeTree",                (PyCFunction)PyvtkBSPCuts_GetKdNodeTree, 1,
   (char*)"V.GetKdNodeTree() -> vtkKdNode\nC++: vtkKdNode *GetKdNodeTree ();return this Top \n\n"},
  {(char*)"GetNumberOfCuts",                (PyCFunction)PyvtkBSPCuts_GetNumberOfCuts, 1,
   (char*)"V.GetNumberOfCuts() -> int\nC++: int GetNumberOfCuts ();\n\n"},
  {(char*)"Equals",                (PyCFunction)PyvtkBSPCuts_Equals, 1,
   (char*)"V.Equals(vtkBSPCuts, float) -> int\nC++: int Equals (vtkBSPCuts *other, double tolerance);\n\n Compare these cuts with those of the other tree.  Returns true if\n the two trees are the same.\n"},
  {(char*)"PrintTree",                (PyCFunction)PyvtkBSPCuts_PrintTree, 1,
   (char*)"V.PrintTree()\nC++: void PrintTree ();\n\n"},
  {(char*)"PrintArrays",                (PyCFunction)PyvtkBSPCuts_PrintArrays, 1,
   (char*)"V.PrintArrays()\nC++: void PrintArrays ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBSPCutsDoc[] = {
  (char*)"vtkBSPCuts - This class represents an axis-aligned Binary Spatial \n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"    This class converts between the vtkKdTree \n    representation of a tree of vtkKdNodes (used by vtkDistributedDataFilter)\n    and a compact array representation that might be provided by a \n    graph partitioning library like Zoltan.  Such a representation\n    could be used in message passing.\n     \n\n",
  "See Also:\n\n vtkKdTree vtkKdNode vtkDistributedDataFilter\n\n",
  NULL
};

static vtkObjectBase *vtkBSPCutsStaticNew()
{
  return vtkBSPCuts::New();
}

PyObject *PyVTKClass_vtkBSPCutsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBSPCutsStaticNew,
                        PyvtkBSPCutsMethods,
                        (char*)"vtkBSPCuts",modulename,
                        (char**)vtkBSPCutsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

