// python wrapper for vtkBSPIntersections object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBSPIntersections.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBSPIntersectionsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBSPIntersectionsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkBSPIntersections_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  const char    *temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  char    *temp0;
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  vtkBSPIntersections  *temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBSPIntersections  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBSPIntersections::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBSPIntersections_SetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  vtkBSPCuts  *temp0;
  PyObject *tempH0;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBSPCuts *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBSPCuts");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPIntersections::SetCuts(temp0);
      }
    else
      {
      op->SetCuts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBSPIntersections_GetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  vtkBSPCuts  *temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetCuts();
      }
    else
      {
      temp20 = op->GetCuts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_GetNumberOfRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetNumberOfRegions();
      }
    else
      {
      temp20 = op->GetNumberOfRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_GetRegionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  double temp1[6];
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetRegionBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_GetRegionDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  double temp1[6];
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetRegionDataBounds(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionDataBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_IntersectsBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"idddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_IntersectsSphere2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_IntersectsCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  vtkCell  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"iOi", &temp0, &tempH1, &temp2);
  if (op)
    {
    temp1 = (vtkCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCell");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::IntersectsCell(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IntersectsCell(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBSPIntersections_GetComputeIntersectionsUsingDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp20;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBSPIntersections::GetComputeIntersectionsUsingDataBounds();
      }
    else
      {
      temp20 = op->GetComputeIntersectionsUsingDataBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_SetComputeIntersectionsUsingDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  int      temp0;
  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPIntersections::SetComputeIntersectionsUsingDataBounds(temp0);
      }
    else
      {
      op->SetComputeIntersectionsUsingDataBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPIntersections::ComputeIntersectionsUsingDataBoundsOn();
      }
    else
      {
      op->ComputeIntersectionsUsingDataBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBSPIntersections *op;

  op = (vtkBSPIntersections *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBSPIntersections::ComputeIntersectionsUsingDataBoundsOff();
      }
    else
      {
      op->ComputeIntersectionsUsingDataBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBSPIntersectionsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBSPIntersections_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBSPIntersections_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBSPIntersections_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBSPIntersections\nC++: vtkBSPIntersections *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBSPIntersections_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBSPIntersections\nC++: vtkBSPIntersections *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCuts",                (PyCFunction)PyvtkBSPIntersections_SetCuts, 1,
   (char*)"V.SetCuts(vtkBSPCuts)\nC++: void SetCuts (vtkBSPCuts *cuts);\n\n"},
  {(char*)"GetCuts",                (PyCFunction)PyvtkBSPIntersections_GetCuts, 1,
   (char*)"V.GetCuts() -> vtkBSPCuts\nC++: vtkBSPCuts *GetCuts ();\n\n"},
  {(char*)"GetNumberOfRegions",                (PyCFunction)PyvtkBSPIntersections_GetNumberOfRegions, 1,
   (char*)"V.GetNumberOfRegions() -> int\nC++: int GetNumberOfRegions ();\n\n"},
  {(char*)"GetRegionBounds",                (PyCFunction)PyvtkBSPIntersections_GetRegionBounds, 1,
   (char*)"V.GetRegionBounds(int, (float, float, float, float, float, float)) -> int\nC++: int GetRegionBounds (int regionID, double bounds[6]);\n\n"},
  {(char*)"GetRegionDataBounds",                (PyCFunction)PyvtkBSPIntersections_GetRegionDataBounds, 1,
   (char*)"V.GetRegionDataBounds(int, (float, float, float, float, float, float)) -> int\nC++: int GetRegionDataBounds (int regionID, double bounds[6]);\n\n"},
  {(char*)"IntersectsBox",                (PyCFunction)PyvtkBSPIntersections_IntersectsBox, 1,
   (char*)"V.IntersectsBox(int, float, float, float, float, float, float) -> int\nC++: int IntersectsBox (int regionId, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n    Determine whether a region of the spatial decomposition \n    intersects an axis aligned box.\n"},
  {(char*)"IntersectsSphere2",                (PyCFunction)PyvtkBSPIntersections_IntersectsSphere2, 1,
   (char*)"V.IntersectsSphere2(int, float, float, float, float) -> int\nC++: int IntersectsSphere2 (int regionId, double x, double y, double z, double rSquared);\n\n    Determine whether a region of the spatial decomposition \n    intersects a sphere, given the center of the sphere \n    and the square of it's radius.\n"},
  {(char*)"IntersectsCell",                (PyCFunction)PyvtkBSPIntersections_IntersectsCell, 1,
   (char*)"V.IntersectsCell(int, vtkCell, int) -> int\nC++: int IntersectsCell (int regionId, vtkCell *cell, int cellRegion);\n\n    Determine whether a region of the spatial decomposition\n    intersects the given cell.  If you already\n    know the region that the cell centroid lies in, provide \n    that as the last argument to make the computation quicker.\n"},
  {(char*)"GetComputeIntersectionsUsingDataBounds",                (PyCFunction)PyvtkBSPIntersections_GetComputeIntersectionsUsingDataBounds, 1,
   (char*)"V.GetComputeIntersectionsUsingDataBounds() -> int\nC++: int GetComputeIntersectionsUsingDataBounds ();\n\n"},
  {(char*)"SetComputeIntersectionsUsingDataBounds",                (PyCFunction)PyvtkBSPIntersections_SetComputeIntersectionsUsingDataBounds, 1,
   (char*)"V.SetComputeIntersectionsUsingDataBounds(int)\nC++: void SetComputeIntersectionsUsingDataBounds (int c);\n\n"},
  {(char*)"ComputeIntersectionsUsingDataBoundsOn",                (PyCFunction)PyvtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOn, 1,
   (char*)"V.ComputeIntersectionsUsingDataBoundsOn()\nC++: void ComputeIntersectionsUsingDataBoundsOn ();\n\n"},
  {(char*)"ComputeIntersectionsUsingDataBoundsOff",                (PyCFunction)PyvtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOff, 1,
   (char*)"V.ComputeIntersectionsUsingDataBoundsOff()\nC++: void ComputeIntersectionsUsingDataBoundsOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBSPIntersectionsDoc[] = {
  (char*)"vtkBSPIntersections - Perform calculations (mostly intersection\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"    Given an axis aligned binary spatial partitioning described by a\n    vtkBSPCuts object, perform intersection queries on various\n    geometric entities with regions of the spatial partitioning.\n\n\n",
  "See Also:\n\n vtkBSPCuts vtkKdTree\n\n",
  NULL
};

static vtkObjectBase *vtkBSPIntersectionsStaticNew()
{
  return vtkBSPIntersections::New();
}

PyObject *PyVTKClass_vtkBSPIntersectionsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBSPIntersectionsStaticNew,
                        PyvtkBSPIntersectionsMethods,
                        (char*)"vtkBSPIntersections",modulename,
                        (char**)vtkBSPIntersectionsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

