// python wrapper for vtkBandedPolyDataContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBandedPolyDataContourFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBandedPolyDataContourFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBandedPolyDataContourFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkBandedPolyDataContourFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  const char    *temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  vtkBandedPolyDataContourFilter  *temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBandedPolyDataContourFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBandedPolyDataContourFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  double   temp1;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  double   temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  double temp1[2];
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetClipping(temp0);
      }
    else
      {
      op->SetClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetClipping();
      }
    else
      {
      temp20 = op->GetClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_ClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::ClippingOn();
      }
    else
      {
      op->ClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_ClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::ClippingOff();
      }
    else
      {
      op->ClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetScalarModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetScalarModeMinValue();
      }
    else
      {
      temp20 = op->GetScalarModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetScalarModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetScalarModeMaxValue();
      }
    else
      {
      temp20 = op->GetScalarModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetScalarModeToIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetScalarModeToIndex();
      }
    else
      {
      op->SetScalarModeToIndex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetScalarModeToValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetScalarModeToValue();
      }
    else
      {
      op->SetScalarModeToValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_SetGenerateContourEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp0;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::SetGenerateContourEdges(temp0);
      }
    else
      {
      op->SetGenerateContourEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetGenerateContourEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  int      temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetGenerateContourEdges();
      }
    else
      {
      temp20 = op->GetGenerateContourEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GenerateContourEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::GenerateContourEdgesOn();
      }
    else
      {
      op->GenerateContourEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GenerateContourEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBandedPolyDataContourFilter::GenerateContourEdgesOff();
      }
    else
      {
      op->GenerateContourEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetContourEdgesOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  vtkPolyData  *temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetContourEdgesOutput();
      }
    else
      {
      temp20 = op->GetContourEdgesOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBandedPolyDataContourFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBandedPolyDataContourFilter *op;

  unsigned long     temp20;
  op = (vtkBandedPolyDataContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBandedPolyDataContourFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBandedPolyDataContourFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBandedPolyDataContourFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBandedPolyDataContourFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBandedPolyDataContourFilter\nC++: vtkBandedPolyDataContourFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBandedPolyDataContourFilter\nC++: vtkBandedPolyDataContourFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Methods to set / get contour values. A single value at a time can be\n set with SetValue(). Multiple contour values can be set with\n GenerateValues(). Note that GenerateValues() generates n values\n inclusive of the start and end range values.\n"},
  {(char*)"SetClipping",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetClipping, 1,
   (char*)"V.SetClipping(int)\nC++: void SetClipping (int );\n\n Indicate whether to clip outside the range specified by the user.\n (The range is contour value[0] to contour value[numContours-1].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n"},
  {(char*)"GetClipping",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetClipping, 1,
   (char*)"V.GetClipping() -> int\nC++: int GetClipping ();\n\n Indicate whether to clip outside the range specified by the user.\n (The range is contour value[0] to contour value[numContours-1].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n"},
  {(char*)"ClippingOn",                (PyCFunction)PyvtkBandedPolyDataContourFilter_ClippingOn, 1,
   (char*)"V.ClippingOn()\nC++: void ClippingOn ();\n\n Indicate whether to clip outside the range specified by the user.\n (The range is contour value[0] to contour value[numContours-1].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n"},
  {(char*)"ClippingOff",                (PyCFunction)PyvtkBandedPolyDataContourFilter_ClippingOff, 1,
   (char*)"V.ClippingOff()\nC++: void ClippingOff ();\n\n Indicate whether to clip outside the range specified by the user.\n (The range is contour value[0] to contour value[numContours-1].)\n Clipping means all cells outside of the range specified are not\n sent to the output.\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n"},
  {(char*)"GetScalarModeMinValue",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetScalarModeMinValue, 1,
   (char*)"V.GetScalarModeMinValue() -> int\nC++: int GetScalarModeMinValue ();\n\n Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n"},
  {(char*)"GetScalarModeMaxValue",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetScalarModeMaxValue, 1,
   (char*)"V.GetScalarModeMaxValue() -> int\nC++: int GetScalarModeMaxValue ();\n\n Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n"},
  {(char*)"SetScalarModeToIndex",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetScalarModeToIndex, 1,
   (char*)"V.SetScalarModeToIndex()\nC++: void SetScalarModeToIndex ();this SetScalarMode VTK_SCALAR_MODE_INDEX \n\n Control whether the cell scalars are output as an integer index or\n a scalar value. If an index, the index refers to the bands produced\n by the clipping range. If a value, then a scalar value which is a \n value between clip values is used.\n"},
  {(char*)"SetScalarModeToValue",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetScalarModeToValue, 1,
   (char*)"V.SetScalarModeToValue()\nC++: void SetScalarModeToValue ();this SetScalarMode VTK_SCALAR_MODE_VALUE \n\n Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n"},
  {(char*)"SetGenerateContourEdges",                (PyCFunction)PyvtkBandedPolyDataContourFilter_SetGenerateContourEdges, 1,
   (char*)"V.SetGenerateContourEdges(int)\nC++: void SetGenerateContourEdges (int );\n\n Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n"},
  {(char*)"GetGenerateContourEdges",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetGenerateContourEdges, 1,
   (char*)"V.GetGenerateContourEdges() -> int\nC++: int GetGenerateContourEdges ();\n\n Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n"},
  {(char*)"GenerateContourEdgesOn",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GenerateContourEdgesOn, 1,
   (char*)"V.GenerateContourEdgesOn()\nC++: void GenerateContourEdgesOn ();\n\n Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n"},
  {(char*)"GenerateContourEdgesOff",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GenerateContourEdgesOff, 1,
   (char*)"V.GenerateContourEdgesOff()\nC++: void GenerateContourEdgesOff ();\n\n Turn on/off a flag to control whether contour edges are generated.\n Contour edges are the edges between bands. If enabled, they are \n generated from polygons/triangle strips and placed into the second\n output (the ContourEdgesOutput).\n"},
  {(char*)"GetContourEdgesOutput",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetContourEdgesOutput, 1,
   (char*)"V.GetContourEdgesOutput() -> vtkPolyData\nC++: vtkPolyData *GetContourEdgesOutput ();\n\n Get the second output which contains the edges dividing the contour \n bands. This output is empty unless GenerateContourEdges is enabled.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkBandedPolyDataContourFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload GetMTime because we delegate to vtkContourValues so its\n modified time must be taken into account.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBandedPolyDataContourFilterDoc[] = {
  (char*)"vtkBandedPolyDataContourFilter - generate filled contours for vtkPolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkBandedPolyDataContourFilter is a filter that takes as input vtkPolyData\n and produces as output filled contours (also represented as vtkPolyData).\n Filled contours are bands of cells that all have the same cell scalar\n value, and can therefore be colored the same. The method is also referred\n to as filled contour generation.\n\n To use this filter you must specify one or more contour values.  Yo",
  (char*)"u can\n either use the method SetValue() to specify each contour value, or use\n GenerateValues() to generate a series of evenly spaced contours.  Each\n contour value divides (or clips) the data into two pieces, values below\n the contour value, and values above it. The scalar values of each\n band correspond to the specified contour value.  Note that if the first and\n last contour values are not the ",
  (char*)"minimum/maximum contour range, then two\n extra contour values are added corresponding to the minimum and maximum\n range values. These extra contour bands can be prevented from being output\n by turning clipping on.\n\n\n",
  "See Also:\n\n vtkClipDataSet vtkClipPolyData vtkClipVolume vtkContourFilter\n\n\n",
  NULL
};

static vtkObjectBase *vtkBandedPolyDataContourFilterStaticNew()
{
  return vtkBandedPolyDataContourFilter::New();
}

PyObject *PyVTKClass_vtkBandedPolyDataContourFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkBandedPolyDataContourFilterStaticNew,
                        PyvtkBandedPolyDataContourFilterMethods,
                        (char*)"vtkBandedPolyDataContourFilter",modulename,
                        (char**)vtkBandedPolyDataContourFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

