// python wrapper for vtkBlankStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBlankStructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBlankStructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBlankStructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkBlankStructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  const char    *temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  vtkBlankStructuredGrid  *temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBlankStructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBlankStructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SetMinBlankingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  double   temp0;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGrid::SetMinBlankingValue(temp0);
      }
    else
      {
      op->SetMinBlankingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetMinBlankingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  double   temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetMinBlankingValue();
      }
    else
      {
      temp20 = op->GetMinBlankingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SetMaxBlankingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  double   temp0;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGrid::SetMaxBlankingValue(temp0);
      }
    else
      {
      op->SetMaxBlankingValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetMaxBlankingValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  double   temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetMaxBlankingValue();
      }
    else
      {
      temp20 = op->GetMaxBlankingValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  char    *temp0;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGrid::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  char    *temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp0;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGrid::SetArrayId(temp0);
      }
    else
      {
      op->SetArrayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetArrayId();
      }
    else
      {
      temp20 = op->GetArrayId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp0;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGrid::SetComponent(temp0);
      }
    else
      {
      op->SetComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetComponentMinValue();
      }
    else
      {
      temp20 = op->GetComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetComponentMaxValue();
      }
    else
      {
      temp20 = op->GetComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGrid_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGrid *op;

  int      temp20;
  op = (vtkBlankStructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGrid::GetComponent();
      }
    else
      {
      temp20 = op->GetComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBlankStructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBlankStructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBlankStructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBlankStructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBlankStructuredGrid\nC++: vtkBlankStructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBlankStructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBlankStructuredGrid\nC++: vtkBlankStructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMinBlankingValue",                (PyCFunction)PyvtkBlankStructuredGrid_SetMinBlankingValue, 1,
   (char*)"V.SetMinBlankingValue(float)\nC++: void SetMinBlankingValue (double );\n\n Specify the lower data value in the data array specified which will be\n converted into a \"blank\" (or off) value in the blanking array.\n"},
  {(char*)"GetMinBlankingValue",                (PyCFunction)PyvtkBlankStructuredGrid_GetMinBlankingValue, 1,
   (char*)"V.GetMinBlankingValue() -> float\nC++: double GetMinBlankingValue ();\n\n Specify the lower data value in the data array specified which will be\n converted into a \"blank\" (or off) value in the blanking array.\n"},
  {(char*)"SetMaxBlankingValue",                (PyCFunction)PyvtkBlankStructuredGrid_SetMaxBlankingValue, 1,
   (char*)"V.SetMaxBlankingValue(float)\nC++: void SetMaxBlankingValue (double );\n\n Specify the upper data value in the data array specified which will be\n converted into a \"blank\" (or off) value in the blanking array.\n"},
  {(char*)"GetMaxBlankingValue",                (PyCFunction)PyvtkBlankStructuredGrid_GetMaxBlankingValue, 1,
   (char*)"V.GetMaxBlankingValue() -> float\nC++: double GetMaxBlankingValue ();\n\n Specify the upper data value in the data array specified which will be\n converted into a \"blank\" (or off) value in the blanking array.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkBlankStructuredGrid_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName (char *);\n\n Specify the data array name to use to generate the blanking\n field. Alternatively, you can specify the array id. (If both are set,\n the array name takes precedence.)\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkBlankStructuredGrid_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();\n\n Specify the data array name to use to generate the blanking\n field. Alternatively, you can specify the array id. (If both are set,\n the array name takes precedence.)\n"},
  {(char*)"SetArrayId",                (PyCFunction)PyvtkBlankStructuredGrid_SetArrayId, 1,
   (char*)"V.SetArrayId(int)\nC++: void SetArrayId (int );\n\n Specify the data array id to use to generate the blanking\n field. Alternatively, you can specify the array name. (If both are set,\n the array name takes precedence.)\n"},
  {(char*)"GetArrayId",                (PyCFunction)PyvtkBlankStructuredGrid_GetArrayId, 1,
   (char*)"V.GetArrayId() -> int\nC++: int GetArrayId ();\n\n Specify the data array id to use to generate the blanking\n field. Alternatively, you can specify the array name. (If both are set,\n the array name takes precedence.)\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkBlankStructuredGrid_SetComponent, 1,
   (char*)"V.SetComponent(int)\nC++: void SetComponent (int );\n\n Specify the component in the data array to use to generate the blanking\n field.\n"},
  {(char*)"GetComponentMinValue",                (PyCFunction)PyvtkBlankStructuredGrid_GetComponentMinValue, 1,
   (char*)"V.GetComponentMinValue() -> int\nC++: int GetComponentMinValue ();\n\n Specify the component in the data array to use to generate the blanking\n field.\n"},
  {(char*)"GetComponentMaxValue",                (PyCFunction)PyvtkBlankStructuredGrid_GetComponentMaxValue, 1,
   (char*)"V.GetComponentMaxValue() -> int\nC++: int GetComponentMaxValue ();\n\n Specify the component in the data array to use to generate the blanking\n field.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkBlankStructuredGrid_GetComponent, 1,
   (char*)"V.GetComponent() -> int\nC++: int GetComponent ();\n\n Specify the component in the data array to use to generate the blanking\n field.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBlankStructuredGridDoc[] = {
  (char*)"vtkBlankStructuredGrid - translate point attribute data into a blanking field\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" vtkBlankStructuredGrid is a filter that sets the blanking field in a \n vtkStructuredGrid dataset. The blanking field is set by examining a\n specified point attribute data array (e.g., scalars) and converting\n values in the data array to either a \"1\" (visible) or \"0\" (blanked) value\n in the blanking array. The values to be blanked are specified by giving\n a min/max range. All data values in the da",
  (char*)"ta array indicated and laying\n within the range specified (inclusive on both ends) are translated to \n a \"off\" blanking value.\n\n",
  "See Also:\n\n vtkStructuredGrid\n\n",
  NULL
};

static vtkObjectBase *vtkBlankStructuredGridStaticNew()
{
  return vtkBlankStructuredGrid::New();
}

PyObject *PyVTKClass_vtkBlankStructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkBlankStructuredGridStaticNew,
                        PyvtkBlankStructuredGridMethods,
                        (char*)"vtkBlankStructuredGrid",modulename,
                        (char**)vtkBlankStructuredGridDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

