// python wrapper for vtkBlockIdScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBlockIdScalars.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBlockIdScalarsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBlockIdScalarsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkBlockIdScalars_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockIdScalars *op;

  const char    *temp20;
  op = (vtkBlockIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockIdScalars::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockIdScalars_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockIdScalars *op;

  char    *temp0;
  int      temp20;
  op = (vtkBlockIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockIdScalars::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockIdScalars_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlockIdScalars *op;

  vtkBlockIdScalars  *temp20;
  op = (vtkBlockIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlockIdScalars::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlockIdScalars_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBlockIdScalars  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBlockIdScalars::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkBlockIdScalarsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBlockIdScalars_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBlockIdScalars_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBlockIdScalars_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBlockIdScalars\nC++: vtkBlockIdScalars *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBlockIdScalars_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBlockIdScalars\nC++: vtkBlockIdScalars *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBlockIdScalarsDoc[] = {
  (char*)"vtkBlockIdScalars - generates scalars from blocks.\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkBlockIdScalars is a filter that generates scalars using the block index\n for each block. Note that all sub-blocks within a block get the same scalar.\n The new scalars array is named \\c BlockIdScalars.\n\n",
  NULL
};

static vtkObjectBase *vtkBlockIdScalarsStaticNew()
{
  return vtkBlockIdScalars::New();
}

PyObject *PyVTKClass_vtkBlockIdScalarsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBlockIdScalarsStaticNew,
                        PyvtkBlockIdScalarsMethods,
                        (char*)"vtkBlockIdScalars",modulename,
                        (char**)vtkBlockIdScalarsDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

