// python wrapper for vtkButterflySubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkButterflySubdivisionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkButterflySubdivisionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkButterflySubdivisionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInterpolatingSubdivisionFilterNew(char *); }

static PyObject *PyvtkButterflySubdivisionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButterflySubdivisionFilter *op;

  const char    *temp20;
  op = (vtkButterflySubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButterflySubdivisionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkButterflySubdivisionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButterflySubdivisionFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkButterflySubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButterflySubdivisionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButterflySubdivisionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButterflySubdivisionFilter *op;

  vtkButterflySubdivisionFilter  *temp20;
  op = (vtkButterflySubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButterflySubdivisionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButterflySubdivisionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkButterflySubdivisionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkButterflySubdivisionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkButterflySubdivisionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkButterflySubdivisionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkButterflySubdivisionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkButterflySubdivisionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkButterflySubdivisionFilter\nC++: vtkButterflySubdivisionFilter *NewInstance ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkButterflySubdivisionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkButterflySubdivisionFilter\nC++: vtkButterflySubdivisionFilter *SafeDownCast (vtkObject* o);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkButterflySubdivisionFilterDoc[] = {
  (char*)"vtkButterflySubdivisionFilter - generate a subdivision surface using the Butterfly Scheme\n\n",
  "Super Class:\n\n vtkInterpolatingSubdivisionFilter\n\n",
  (char*)" vtkButterflySubdivisionFilter is an interpolating subdivision scheme\n that creates four new triangles for each triangle in the mesh. The\n user can specify the NumberOfSubdivisions. This filter implements the\n 8-point butterfly scheme described in: Zorin, D., Schroder, P., and\n Sweldens, W., \"Interpolating Subdivisions for Meshes with Arbitrary\n Topology,\" Computer Graphics Proceedings, Annual Con",
  (char*)"ference Series,\n 1996, ACM SIGGRAPH, pp.189-192. This scheme improves previous\n butterfly subdivisions with special treatment of vertices with valence\n other than 6.\n \n Currently, the filter only operates on triangles. Users should use the\n vtkTriangleFilter to triangulate meshes that contain polygons or\n triangle strips.\n \n The filter interpolates point data using the same scheme. New\n triangles ",
  (char*)"created at a subdivision step will have the cell data of\n their parent cell.\n\n",
  "See Also:\n\n vtkInterpolatingSubdivisionFilter vtkLinearSubdivisionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkButterflySubdivisionFilterStaticNew()
{
  return vtkButterflySubdivisionFilter::New();
}

PyObject *PyVTKClass_vtkButterflySubdivisionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkButterflySubdivisionFilterStaticNew,
                        PyvtkButterflySubdivisionFilterMethods,
                        (char*)"vtkButterflySubdivisionFilter",modulename,
                        (char**)vtkButterflySubdivisionFilterDoc,
                        PyVTKClass_vtkInterpolatingSubdivisionFilterNew(modulename));
}

