// python wrapper for vtkButtonSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkButtonSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkButtonSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkButtonSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkButtonSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  const char    *temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  vtkButtonSource  *temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double  *temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetTextureStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp0;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTextureStyle(temp0);
      }
    else
      {
      op->SetTextureStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetTextureStyleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetTextureStyleMinValue();
      }
    else
      {
      temp20 = op->GetTextureStyleMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetTextureStyleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetTextureStyleMaxValue();
      }
    else
      {
      temp20 = op->GetTextureStyleMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetTextureStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetTextureStyle();
      }
    else
      {
      temp20 = op->GetTextureStyle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetTextureStyleToFitImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTextureStyleToFitImage();
      }
    else
      {
      op->SetTextureStyleToFitImage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetTextureStyleToProportional(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTextureStyleToProportional();
      }
    else
      {
      op->SetTextureStyleToProportional();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetTextureDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp0;
  int      temp1;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTextureDimensions(temp0,temp1);
      }
    else
      {
      op->SetTextureDimensions(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTextureDimensions(temp0);
      }
    else
      {
      op->SetTextureDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetTextureDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int     *temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetTextureDimensions();
      }
    else
      {
      temp20 = op->GetTextureDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetShoulderTextureCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double   temp0;
  double   temp1;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetShoulderTextureCoordinate(temp0,temp1);
      }
    else
      {
      op->SetShoulderTextureCoordinate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetShoulderTextureCoordinate(temp0);
      }
    else
      {
      op->SetShoulderTextureCoordinate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetShoulderTextureCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  double  *temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetShoulderTextureCoordinate();
      }
    else
      {
      temp20 = op->GetShoulderTextureCoordinate();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_SetTwoSided(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp0;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::SetTwoSided(temp0);
      }
    else
      {
      op->SetTwoSided(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_GetTwoSided(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  int      temp20;
  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkButtonSource::GetTwoSided();
      }
    else
      {
      temp20 = op->GetTwoSided();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_TwoSidedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::TwoSidedOn();
      }
    else
      {
      op->TwoSidedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkButtonSource_TwoSidedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkButtonSource *op;

  op = (vtkButtonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkButtonSource::TwoSidedOff();
      }
    else
      {
      op->TwoSidedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkButtonSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkButtonSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkButtonSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkButtonSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkButtonSource\nC++: vtkButtonSource *NewInstance ();\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkButtonSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Specify a point defining the origin (center) of the button.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkButtonSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Specify a point defining the origin (center) of the button.\n"},
  {(char*)"SetTextureStyle",                (PyCFunction)PyvtkButtonSource_SetTextureStyle, 1,
   (char*)"V.SetTextureStyle(int)\nC++: void SetTextureStyle (int );\n\n Set/Get the style of the texture region: whether to size it\n according to the x-y dimensions of the texture, or whether to make\n the texture region proportional to the width/height of the button.\n"},
  {(char*)"GetTextureStyleMinValue",                (PyCFunction)PyvtkButtonSource_GetTextureStyleMinValue, 1,
   (char*)"V.GetTextureStyleMinValue() -> int\nC++: int GetTextureStyleMinValue ();\n\n Set/Get the style of the texture region: whether to size it\n according to the x-y dimensions of the texture, or whether to make\n the texture region proportional to the width/height of the button.\n"},
  {(char*)"GetTextureStyleMaxValue",                (PyCFunction)PyvtkButtonSource_GetTextureStyleMaxValue, 1,
   (char*)"V.GetTextureStyleMaxValue() -> int\nC++: int GetTextureStyleMaxValue ();\n\n Set/Get the style of the texture region: whether to size it\n according to the x-y dimensions of the texture, or whether to make\n the texture region proportional to the width/height of the button.\n"},
  {(char*)"GetTextureStyle",                (PyCFunction)PyvtkButtonSource_GetTextureStyle, 1,
   (char*)"V.GetTextureStyle() -> int\nC++: int GetTextureStyle ();\n\n Set/Get the style of the texture region: whether to size it\n according to the x-y dimensions of the texture, or whether to make\n the texture region proportional to the width/height of the button.\n"},
  {(char*)"SetTextureStyleToFitImage",                (PyCFunction)PyvtkButtonSource_SetTextureStyleToFitImage, 1,
   (char*)"V.SetTextureStyleToFitImage()\nC++: void SetTextureStyleToFitImage ();this SetTextureStyle VTK_TEXTURE_STYLE_FIT_IMAGE \n\n Set/Get the style of the texture region: whether to size it\n according to the x-y dimensions of the texture, or whether to make\n the texture region proportional to the width/height of the button.\n"},
  {(char*)"SetTextureStyleToProportional",                (PyCFunction)PyvtkButtonSource_SetTextureStyleToProportional, 1,
   (char*)"V.SetTextureStyleToProportional()\nC++: void SetTextureStyleToProportional ();this SetTextureStyle VTK_TEXTURE_STYLE_PROPORTIONAL \n\n Set/get the texture dimension. This needs to be set if the texture\n style is set to fit the image.\n"},
  {(char*)"SetTextureDimensions",                (PyCFunction)PyvtkButtonSource_SetTextureDimensions, 1,
   (char*)"V.SetTextureDimensions(int, int)\nC++: void SetTextureDimensions (int , int );\nV.SetTextureDimensions((int, int))\nC++: void SetTextureDimensions (int  a[2]);\n\n Set/get the texture dimension. This needs to be set if the texture\n style is set to fit the image.\n"},
  {(char*)"GetTextureDimensions",                (PyCFunction)PyvtkButtonSource_GetTextureDimensions, 1,
   (char*)"V.GetTextureDimensions() -> (int, int)\nC++: int  *GetTextureDimensions ();\n\n Set/get the texture dimension. This needs to be set if the texture\n style is set to fit the image.\n"},
  {(char*)"SetShoulderTextureCoordinate",                (PyCFunction)PyvtkButtonSource_SetShoulderTextureCoordinate, 1,
   (char*)"V.SetShoulderTextureCoordinate(float, float)\nC++: void SetShoulderTextureCoordinate (double , double );\nV.SetShoulderTextureCoordinate((float, float))\nC++: void SetShoulderTextureCoordinate (double  a[2]);\n\n Set/Get the default texture coordinate to set the shoulder region to.\n"},
  {(char*)"GetShoulderTextureCoordinate",                (PyCFunction)PyvtkButtonSource_GetShoulderTextureCoordinate, 1,
   (char*)"V.GetShoulderTextureCoordinate() -> (float, float)\nC++: double  *GetShoulderTextureCoordinate ();\n\n Set/Get the default texture coordinate to set the shoulder region to.\n"},
  {(char*)"SetTwoSided",                (PyCFunction)PyvtkButtonSource_SetTwoSided, 1,
   (char*)"V.SetTwoSided(int)\nC++: void SetTwoSided (int );\n\n Indicate whether the button is single or double sided. A double sided\n button can be viewed from two sides...it looks sort of like a \"pill.\"\n A single-sided button is meant to viewed from a single side; it looks \n like a \"clam-shell.\"\n"},
  {(char*)"GetTwoSided",                (PyCFunction)PyvtkButtonSource_GetTwoSided, 1,
   (char*)"V.GetTwoSided() -> int\nC++: int GetTwoSided ();\n\n Indicate whether the button is single or double sided. A double sided\n button can be viewed from two sides...it looks sort of like a \"pill.\"\n A single-sided button is meant to viewed from a single side; it looks \n like a \"clam-shell.\"\n"},
  {(char*)"TwoSidedOn",                (PyCFunction)PyvtkButtonSource_TwoSidedOn, 1,
   (char*)"V.TwoSidedOn()\nC++: void TwoSidedOn ();\n\n Indicate whether the button is single or double sided. A double sided\n button can be viewed from two sides...it looks sort of like a \"pill.\"\n A single-sided button is meant to viewed from a single side; it looks \n like a \"clam-shell.\"\n"},
  {(char*)"TwoSidedOff",                (PyCFunction)PyvtkButtonSource_TwoSidedOff, 1,
   (char*)"V.TwoSidedOff()\nC++: void TwoSidedOff ();\n\n Indicate whether the button is single or double sided. A double sided\n button can be viewed from two sides...it looks sort of like a \"pill.\"\n A single-sided button is meant to viewed from a single side; it looks \n like a \"clam-shell.\"\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkButtonSourceDoc[] = {
  (char*)"vtkButtonSource - abstract class for creating various button types\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkButtonSource is an abstract class that defines an API for creating\n \"button-like\" objects in VTK. A button is a geometry with a rectangular\n region that can be textured. The button is divided into two regions: the\n texture region and the shoulder region. The points in both regions are\n assigned texture coordinates. The texture region has texture coordinates\n consistent with the image to be pla",
  (char*)"ced on it.  All points in the shoulder\n regions are assigned a texture coordinate specified by the user.  In this\n way the shoulder region can be colored by the texture.\n\n Creating a vtkButtonSource requires specifying its center point. \n (Subclasses have other attributes that must be set to control \n the shape of the button.) You must also specify how to control\n the shape of the texture region; ",
  (char*)"i.e., wheter to size the\n texture region proportional to the texture dimensions or whether\n to size the texture region proportional to the button. Also, buttons\n can be created single sided are mirrored to create two-sided buttons.\n\n",
  "Caveats:\n\n The button is defined in the x-y plane. Use vtkTransformPolyDataFilter\n or vtkGlyph3D to orient the button in a different direction.\n\n",
  "See Also:\n\n vtkEllipticalButtonSource vtkRectangularButtonSource\n\n",
  NULL
};

PyObject *PyVTKClass_vtkButtonSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkButtonSourceMethods,
                        (char*)"vtkButtonSource",modulename,
                        (char**)vtkButtonSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

