// python wrapper for vtkCellCenters object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellCenters.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellCentersNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellCentersNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCellCenters_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  const char    *temp20;
  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenters::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenters::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  vtkCellCenters  *temp20;
  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenters::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellCenters  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellCenters::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellCenters_SetVertexCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  int      temp0;
  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellCenters::SetVertexCells(temp0);
      }
    else
      {
      op->SetVertexCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_GetVertexCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  int      temp20;
  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenters::GetVertexCells();
      }
    else
      {
      temp20 = op->GetVertexCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_VertexCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellCenters::VertexCellsOn();
      }
    else
      {
      op->VertexCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenters_VertexCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenters *op;

  op = (vtkCellCenters *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellCenters::VertexCellsOff();
      }
    else
      {
      op->VertexCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellCentersMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellCenters_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellCenters_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellCenters_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellCenters\nC++: vtkCellCenters *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellCenters_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellCenters\nC++: vtkCellCenters *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVertexCells",                (PyCFunction)PyvtkCellCenters_SetVertexCells, 1,
   (char*)"V.SetVertexCells(int)\nC++: void SetVertexCells (int );\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"GetVertexCells",                (PyCFunction)PyvtkCellCenters_GetVertexCells, 1,
   (char*)"V.GetVertexCells() -> int\nC++: int GetVertexCells ();\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"VertexCellsOn",                (PyCFunction)PyvtkCellCenters_VertexCellsOn, 1,
   (char*)"V.VertexCellsOn()\nC++: void VertexCellsOn ();\n\n Enable/disable the generation of vertex cells.\n"},
  {(char*)"VertexCellsOff",                (PyCFunction)PyvtkCellCenters_VertexCellsOff, 1,
   (char*)"V.VertexCellsOff()\nC++: void VertexCellsOff ();\n\n Enable/disable the generation of vertex cells.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellCentersDoc[] = {
  (char*)"vtkCellCenters - generate points at center of cells\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCellCenters is a filter that takes as input any dataset and \n generates on output points at the center of the cells in the dataset.\n These points can be used for placing glyphs (vtkGlyph3D) or labeling \n (vtkLabeledDataMapper). (The center is the parametric center of the\n cell, not necessarily the geometric or bounding box center.) The cell\n attributes will be associated with the points on out",
  (char*)"put.\n \n\n",
  "Caveats:\n\n You can choose to generate just points or points and vertex cells.\n Vertex cells are drawn during rendering; points are not. Use the ivar\n VertexCells to generate cells.\n\n",
  "See Also:\n\n vtkGlyph3D vtkLabeledDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkCellCentersStaticNew()
{
  return vtkCellCenters::New();
}

PyObject *PyVTKClass_vtkCellCentersNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellCentersStaticNew,
                        PyvtkCellCentersMethods,
                        (char*)"vtkCellCenters",modulename,
                        (char**)vtkCellCentersDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

