// python wrapper for vtkCellDerivatives object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellDerivatives.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellDerivativesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellDerivativesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkCellDerivatives_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  const char    *temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  vtkCellDerivatives  *temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellDerivatives  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellDerivatives::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  int      temp0;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetVectorMode(temp0);
      }
    else
      {
      op->SetVectorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_GetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  int      temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::GetVectorMode();
      }
    else
      {
      temp20 = op->GetVectorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetVectorModeToPassVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetVectorModeToPassVectors();
      }
    else
      {
      op->SetVectorModeToPassVectors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetVectorModeToComputeGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetVectorModeToComputeGradient();
      }
    else
      {
      op->SetVectorModeToComputeGradient();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetVectorModeToComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetVectorModeToComputeVorticity();
      }
    else
      {
      op->SetVectorModeToComputeVorticity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_GetVectorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  const char    *temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::GetVectorModeAsString();
      }
    else
      {
      temp20 = op->GetVectorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetTensorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  int      temp0;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetTensorMode(temp0);
      }
    else
      {
      op->SetTensorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_GetTensorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  int      temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::GetTensorMode();
      }
    else
      {
      temp20 = op->GetTensorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetTensorModeToPassTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetTensorModeToPassTensors();
      }
    else
      {
      op->SetTensorModeToPassTensors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetTensorModeToComputeGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetTensorModeToComputeGradient();
      }
    else
      {
      op->SetTensorModeToComputeGradient();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_SetTensorModeToComputeStrain(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDerivatives::SetTensorModeToComputeStrain();
      }
    else
      {
      op->SetTensorModeToComputeStrain();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDerivatives_GetTensorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDerivatives *op;

  const char    *temp20;
  op = (vtkCellDerivatives *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDerivatives::GetTensorModeAsString();
      }
    else
      {
      temp20 = op->GetTensorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellDerivativesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellDerivatives_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellDerivatives_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellDerivatives_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellDerivatives\nC++: vtkCellDerivatives *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellDerivatives_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellDerivatives\nC++: vtkCellDerivatives *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVectorMode",                (PyCFunction)PyvtkCellDerivatives_SetVectorMode, 1,
   (char*)"V.SetVectorMode(int)\nC++: void SetVectorMode (int );\n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"GetVectorMode",                (PyCFunction)PyvtkCellDerivatives_GetVectorMode, 1,
   (char*)"V.GetVectorMode() -> int\nC++: int GetVectorMode ();\n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"SetVectorModeToPassVectors",                (PyCFunction)PyvtkCellDerivatives_SetVectorModeToPassVectors, 1,
   (char*)"V.SetVectorModeToPassVectors()\nC++: void SetVectorModeToPassVectors ();this SetVectorMode VTK_VECTOR_MODE_PASS_VECTORS \n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"SetVectorModeToComputeGradient",                (PyCFunction)PyvtkCellDerivatives_SetVectorModeToComputeGradient, 1,
   (char*)"V.SetVectorModeToComputeGradient()\nC++: void SetVectorModeToComputeGradient ();this SetVectorMode VTK_VECTOR_MODE_COMPUTE_GRADIENT \n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"SetVectorModeToComputeVorticity",                (PyCFunction)PyvtkCellDerivatives_SetVectorModeToComputeVorticity, 1,
   (char*)"V.SetVectorModeToComputeVorticity()\nC++: void SetVectorModeToComputeVorticity ();this SetVectorMode VTK_VECTOR_MODE_COMPUTE_VORTICITY \n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"GetVectorModeAsString",                (PyCFunction)PyvtkCellDerivatives_GetVectorModeAsString, 1,
   (char*)"V.GetVectorModeAsString() -> string\nC++: const char *GetVectorModeAsString ();\n\n Control how the filter works to generate vector cell data. You\n can choose to pass the input cell vectors, compute the gradient\n of the input scalars, or extract the vorticity of the computed\n vector gradient tensor. By default (VectorModeToComputeGradient),\n the filter will take the gradient of the input scalar data.\n"},
  {(char*)"SetTensorMode",                (PyCFunction)PyvtkCellDerivatives_SetTensorMode, 1,
   (char*)"V.SetTensorMode(int)\nC++: void SetTensorMode (int );\n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {(char*)"GetTensorMode",                (PyCFunction)PyvtkCellDerivatives_GetTensorMode, 1,
   (char*)"V.GetTensorMode() -> int\nC++: int GetTensorMode ();\n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {(char*)"SetTensorModeToPassTensors",                (PyCFunction)PyvtkCellDerivatives_SetTensorModeToPassTensors, 1,
   (char*)"V.SetTensorModeToPassTensors()\nC++: void SetTensorModeToPassTensors ();this SetTensorMode VTK_TENSOR_MODE_PASS_TENSORS \n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {(char*)"SetTensorModeToComputeGradient",                (PyCFunction)PyvtkCellDerivatives_SetTensorModeToComputeGradient, 1,
   (char*)"V.SetTensorModeToComputeGradient()\nC++: void SetTensorModeToComputeGradient ();this SetTensorMode VTK_TENSOR_MODE_COMPUTE_GRADIENT \n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {(char*)"SetTensorModeToComputeStrain",                (PyCFunction)PyvtkCellDerivatives_SetTensorModeToComputeStrain, 1,
   (char*)"V.SetTensorModeToComputeStrain()\nC++: void SetTensorModeToComputeStrain ();this SetTensorMode VTK_TENSOR_MODE_COMPUTE_STRAIN \n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {(char*)"GetTensorModeAsString",                (PyCFunction)PyvtkCellDerivatives_GetTensorModeAsString, 1,
   (char*)"V.GetTensorModeAsString() -> string\nC++: const char *GetTensorModeAsString ();\n\n Control how the filter works to generate tensor cell data. You can\n choose to pass the input cell tensors, compute the gradient of\n the input vectors, or compute the strain tensor of the vector gradient\n tensor. By default (TensorModeToComputeGradient), the filter will\n take the gradient of the vector data to construct a tensor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellDerivativesDoc[] = {
  (char*)"vtkCellDerivatives - compute derivatives of scalars and vectors\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkCellDerivatives is a filter that computes derivatives of scalars\n and vectors at the center of cells. You can choose to generate\n different output including the scalar gradient (a vector), computed\n tensor vorticity (a vector), gradient of input vectors (a tensor),\n and strain matrix of the input vectors (a tensor); or you may\n choose to pass data through to the output.\n\n Note that it is assum",
  (char*)"ed that on input scalars and vector point data\n is available, which are then used to generate cell vectors and tensors.\n (The interpolation functions of the cells are used to compute the\n derivatives which is why point data is required.)\n\n",
  "Caveats:\n\n The computed derivatives are cell attribute data; you can convert them to\n point attribute data by using the vtkCellDataToPointData filter.\n Note that, due to the interpolation function used (obtained using \n 1/r**2 normalized sum), the derivatives calculated for polygons\n with more than 4 vertices are inaccurate in most cases.\n\n The point data is passed through the filter to the output.\n\n",
  "See Also:\n\n vtkVectorNorm\n\n",
  NULL
};

static vtkObjectBase *vtkCellDerivativesStaticNew()
{
  return vtkCellDerivatives::New();
}

PyObject *PyVTKClass_vtkCellDerivativesNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellDerivativesStaticNew,
                        PyvtkCellDerivativesMethods,
                        (char*)"vtkCellDerivatives",modulename,
                        (char**)vtkCellDerivativesDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

