// python wrapper for vtkCleanPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCleanPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCleanPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCleanPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCleanPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  const char    *temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  vtkCleanPolyData  *temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCleanPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCleanPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetToleranceIsAbsolute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetToleranceIsAbsolute(temp0);
      }
    else
      {
      op->SetToleranceIsAbsolute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ToleranceIsAbsoluteOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ToleranceIsAbsoluteOn();
      }
    else
      {
      op->ToleranceIsAbsoluteOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ToleranceIsAbsoluteOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ToleranceIsAbsoluteOff();
      }
    else
      {
      op->ToleranceIsAbsoluteOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetToleranceIsAbsolute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetToleranceIsAbsolute();
      }
    else
      {
      temp20 = op->GetToleranceIsAbsolute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetAbsoluteTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetAbsoluteTolerance(temp0);
      }
    else
      {
      op->SetAbsoluteTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetAbsoluteToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetAbsoluteToleranceMinValue();
      }
    else
      {
      temp20 = op->GetAbsoluteToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetAbsoluteToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetAbsoluteToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetAbsoluteToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetAbsoluteTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double   temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetAbsoluteTolerance();
      }
    else
      {
      temp20 = op->GetAbsoluteTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetConvertLinesToPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetConvertLinesToPoints(temp0);
      }
    else
      {
      op->SetConvertLinesToPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertLinesToPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertLinesToPointsOn();
      }
    else
      {
      op->ConvertLinesToPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertLinesToPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertLinesToPointsOff();
      }
    else
      {
      op->ConvertLinesToPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetConvertLinesToPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetConvertLinesToPoints();
      }
    else
      {
      temp20 = op->GetConvertLinesToPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetConvertPolysToLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetConvertPolysToLines(temp0);
      }
    else
      {
      op->SetConvertPolysToLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertPolysToLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertPolysToLinesOn();
      }
    else
      {
      op->ConvertPolysToLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertPolysToLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertPolysToLinesOff();
      }
    else
      {
      op->ConvertPolysToLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetConvertPolysToLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetConvertPolysToLines();
      }
    else
      {
      temp20 = op->GetConvertPolysToLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetConvertStripsToPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetConvertStripsToPolys(temp0);
      }
    else
      {
      op->SetConvertStripsToPolys(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertStripsToPolysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertStripsToPolysOn();
      }
    else
      {
      op->ConvertStripsToPolysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ConvertStripsToPolysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ConvertStripsToPolysOff();
      }
    else
      {
      op->ConvertStripsToPolysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetConvertStripsToPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetConvertStripsToPolys();
      }
    else
      {
      temp20 = op->GetConvertStripsToPolys();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetPointMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetPointMerging(temp0);
      }
    else
      {
      op->SetPointMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetPointMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetPointMerging();
      }
    else
      {
      temp20 = op->GetPointMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_PointMergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::PointMergingOn();
      }
    else
      {
      op->PointMergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_PointMergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::PointMergingOff();
      }
    else
      {
      op->PointMergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  vtkPointLocator  *temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::CreateDefaultLocator(temp0);
      }
    else
      {
      op->CreateDefaultLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkCleanPolyData_ReleaseLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::ReleaseLocator();
      }
    else
      {
      op->ReleaseLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  unsigned long     temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_OperateOnPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double temp0[3];
  double temp1[3];
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::OperateOnPoint(temp0,temp1);
      }
    else
      {
      op->OperateOnPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_OperateOnBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  double temp0[6];
  double temp1[6];
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::OperateOnBounds(temp0,temp1);
      }
    else
      {
      op->OperateOnBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_SetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp0;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::SetPieceInvariant(temp0);
      }
    else
      {
      op->SetPieceInvariant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_GetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  int      temp20;
  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCleanPolyData::GetPieceInvariant();
      }
    else
      {
      temp20 = op->GetPieceInvariant();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_PieceInvariantOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::PieceInvariantOn();
      }
    else
      {
      op->PieceInvariantOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCleanPolyData_PieceInvariantOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCleanPolyData *op;

  op = (vtkCleanPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCleanPolyData::PieceInvariantOff();
      }
    else
      {
      op->PieceInvariantOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCleanPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCleanPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCleanPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCleanPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCleanPolyData\nC++: vtkCleanPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCleanPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCleanPolyData\nC++: vtkCleanPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetToleranceIsAbsolute",                (PyCFunction)PyvtkCleanPolyData_SetToleranceIsAbsolute, 1,
   (char*)"V.SetToleranceIsAbsolute(int)\nC++: void SetToleranceIsAbsolute (int );\n\n By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n"},
  {(char*)"ToleranceIsAbsoluteOn",                (PyCFunction)PyvtkCleanPolyData_ToleranceIsAbsoluteOn, 1,
   (char*)"V.ToleranceIsAbsoluteOn()\nC++: void ToleranceIsAbsoluteOn ();\n\n By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n"},
  {(char*)"ToleranceIsAbsoluteOff",                (PyCFunction)PyvtkCleanPolyData_ToleranceIsAbsoluteOff, 1,
   (char*)"V.ToleranceIsAbsoluteOff()\nC++: void ToleranceIsAbsoluteOff ();\n\n By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n"},
  {(char*)"GetToleranceIsAbsolute",                (PyCFunction)PyvtkCleanPolyData_GetToleranceIsAbsolute, 1,
   (char*)"V.GetToleranceIsAbsolute() -> int\nC++: int GetToleranceIsAbsolute ();\n\n By default ToleranceIsAbsolute is false and Tolerance is\n a fraction of Bounding box diagonal, if true, AbsoluteTolerance is\n used when adding points to locator (merging)\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkCleanPolyData_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify tolerance in terms of fraction of bounding box length.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkCleanPolyData_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Specify tolerance in terms of fraction of bounding box length.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkCleanPolyData_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Specify tolerance in terms of fraction of bounding box length.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkCleanPolyData_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify tolerance in terms of fraction of bounding box length.\n"},
  {(char*)"SetAbsoluteTolerance",                (PyCFunction)PyvtkCleanPolyData_SetAbsoluteTolerance, 1,
   (char*)"V.SetAbsoluteTolerance(float)\nC++: void SetAbsoluteTolerance (double );\n\n Specify tolerance in absolute terms\n"},
  {(char*)"GetAbsoluteToleranceMinValue",                (PyCFunction)PyvtkCleanPolyData_GetAbsoluteToleranceMinValue, 1,
   (char*)"V.GetAbsoluteToleranceMinValue() -> float\nC++: double GetAbsoluteToleranceMinValue ();\n\n Specify tolerance in absolute terms\n"},
  {(char*)"GetAbsoluteToleranceMaxValue",                (PyCFunction)PyvtkCleanPolyData_GetAbsoluteToleranceMaxValue, 1,
   (char*)"V.GetAbsoluteToleranceMaxValue() -> float\nC++: double GetAbsoluteToleranceMaxValue ();\n\n Specify tolerance in absolute terms\n"},
  {(char*)"GetAbsoluteTolerance",                (PyCFunction)PyvtkCleanPolyData_GetAbsoluteTolerance, 1,
   (char*)"V.GetAbsoluteTolerance() -> float\nC++: double GetAbsoluteTolerance ();\n\n Specify tolerance in absolute terms\n"},
  {(char*)"SetConvertLinesToPoints",                (PyCFunction)PyvtkCleanPolyData_SetConvertLinesToPoints, 1,
   (char*)"V.SetConvertLinesToPoints(int)\nC++: void SetConvertLinesToPoints (int );\n\n Turn on/off conversion of degenerate lines to points\n"},
  {(char*)"ConvertLinesToPointsOn",                (PyCFunction)PyvtkCleanPolyData_ConvertLinesToPointsOn, 1,
   (char*)"V.ConvertLinesToPointsOn()\nC++: void ConvertLinesToPointsOn ();\n\n Turn on/off conversion of degenerate lines to points\n"},
  {(char*)"ConvertLinesToPointsOff",                (PyCFunction)PyvtkCleanPolyData_ConvertLinesToPointsOff, 1,
   (char*)"V.ConvertLinesToPointsOff()\nC++: void ConvertLinesToPointsOff ();\n\n Turn on/off conversion of degenerate lines to points\n"},
  {(char*)"GetConvertLinesToPoints",                (PyCFunction)PyvtkCleanPolyData_GetConvertLinesToPoints, 1,
   (char*)"V.GetConvertLinesToPoints() -> int\nC++: int GetConvertLinesToPoints ();\n\n Turn on/off conversion of degenerate lines to points\n"},
  {(char*)"SetConvertPolysToLines",                (PyCFunction)PyvtkCleanPolyData_SetConvertPolysToLines, 1,
   (char*)"V.SetConvertPolysToLines(int)\nC++: void SetConvertPolysToLines (int );\n\n Turn on/off conversion of degenerate polys to lines\n"},
  {(char*)"ConvertPolysToLinesOn",                (PyCFunction)PyvtkCleanPolyData_ConvertPolysToLinesOn, 1,
   (char*)"V.ConvertPolysToLinesOn()\nC++: void ConvertPolysToLinesOn ();\n\n Turn on/off conversion of degenerate polys to lines\n"},
  {(char*)"ConvertPolysToLinesOff",                (PyCFunction)PyvtkCleanPolyData_ConvertPolysToLinesOff, 1,
   (char*)"V.ConvertPolysToLinesOff()\nC++: void ConvertPolysToLinesOff ();\n\n Turn on/off conversion of degenerate polys to lines\n"},
  {(char*)"GetConvertPolysToLines",                (PyCFunction)PyvtkCleanPolyData_GetConvertPolysToLines, 1,
   (char*)"V.GetConvertPolysToLines() -> int\nC++: int GetConvertPolysToLines ();\n\n Turn on/off conversion of degenerate polys to lines\n"},
  {(char*)"SetConvertStripsToPolys",                (PyCFunction)PyvtkCleanPolyData_SetConvertStripsToPolys, 1,
   (char*)"V.SetConvertStripsToPolys(int)\nC++: void SetConvertStripsToPolys (int );\n\n Turn on/off conversion of degenerate strips to polys\n"},
  {(char*)"ConvertStripsToPolysOn",                (PyCFunction)PyvtkCleanPolyData_ConvertStripsToPolysOn, 1,
   (char*)"V.ConvertStripsToPolysOn()\nC++: void ConvertStripsToPolysOn ();\n\n Turn on/off conversion of degenerate strips to polys\n"},
  {(char*)"ConvertStripsToPolysOff",                (PyCFunction)PyvtkCleanPolyData_ConvertStripsToPolysOff, 1,
   (char*)"V.ConvertStripsToPolysOff()\nC++: void ConvertStripsToPolysOff ();\n\n Turn on/off conversion of degenerate strips to polys\n"},
  {(char*)"GetConvertStripsToPolys",                (PyCFunction)PyvtkCleanPolyData_GetConvertStripsToPolys, 1,
   (char*)"V.GetConvertStripsToPolys() -> int\nC++: int GetConvertStripsToPolys ();\n\n Turn on/off conversion of degenerate strips to polys\n"},
  {(char*)"SetPointMerging",                (PyCFunction)PyvtkCleanPolyData_SetPointMerging, 1,
   (char*)"V.SetPointMerging(int)\nC++: void SetPointMerging (int );\n\n Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n"},
  {(char*)"GetPointMerging",                (PyCFunction)PyvtkCleanPolyData_GetPointMerging, 1,
   (char*)"V.GetPointMerging() -> int\nC++: int GetPointMerging ();\n\n Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n"},
  {(char*)"PointMergingOn",                (PyCFunction)PyvtkCleanPolyData_PointMergingOn, 1,
   (char*)"V.PointMergingOn()\nC++: void PointMergingOn ();\n\n Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n"},
  {(char*)"PointMergingOff",                (PyCFunction)PyvtkCleanPolyData_PointMergingOff, 1,
   (char*)"V.PointMergingOff()\nC++: void PointMergingOff ();\n\n Set/Get a boolean value that controls whether point merging is\n performed. If on, a locator will be used, and points laying within\n the appropriate tolerance may be merged. If off, points are never\n merged. By default, merging is on.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkCleanPolyData_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: virtual void SetLocator (vtkPointLocator *locator);\n\n Set/Get a spatial locator for speeding the search process. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkCleanPolyData_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set/Get a spatial locator for speeding the search process. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkCleanPolyData_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator(vtkPolyData)\nC++: void CreateDefaultLocator (vtkPolyData *input);\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"ReleaseLocator",                (PyCFunction)PyvtkCleanPolyData_ReleaseLocator, 1,
   (char*)"V.ReleaseLocator()\nC++: void ReleaseLocator ();this SetLocator NULL \n\n Get the MTime of this object also considering the locator.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkCleanPolyData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime of this object also considering the locator.\n"},
  {(char*)"OperateOnPoint",                (PyCFunction)PyvtkCleanPolyData_OperateOnPoint, 1,
   (char*)"V.OperateOnPoint((float, float, float), (float, float, float))\nC++: virtual void OperateOnPoint (double in[3], double out[3]);\n\n Perform operation on a point\n"},
  {(char*)"OperateOnBounds",                (PyCFunction)PyvtkCleanPolyData_OperateOnBounds, 1,
   (char*)"V.OperateOnBounds((float, float, float, float, float, float), (float, float, float, float, float, float))\nC++: virtual void OperateOnBounds (double in[6], double out[6]);\n\n Perform operation on bounds\n"},
  {(char*)"SetPieceInvariant",                (PyCFunction)PyvtkCleanPolyData_SetPieceInvariant, 1,
   (char*)"V.SetPieceInvariant(int)\nC++: void SetPieceInvariant (int );\n\n"},
  {(char*)"GetPieceInvariant",                (PyCFunction)PyvtkCleanPolyData_GetPieceInvariant, 1,
   (char*)"V.GetPieceInvariant() -> int\nC++: int GetPieceInvariant ();\n\n"},
  {(char*)"PieceInvariantOn",                (PyCFunction)PyvtkCleanPolyData_PieceInvariantOn, 1,
   (char*)"V.PieceInvariantOn()\nC++: void PieceInvariantOn ();\n\n"},
  {(char*)"PieceInvariantOff",                (PyCFunction)PyvtkCleanPolyData_PieceInvariantOff, 1,
   (char*)"V.PieceInvariantOff()\nC++: void PieceInvariantOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCleanPolyDataDoc[] = {
  (char*)"vtkCleanPolyData - merge duplicate points, and/or remove unused points and/or remove degenerate cells\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCleanPolyData is a filter that takes polygonal data as input and\n generates polygonal data as output. vtkCleanPolyData can merge duplicate\n points (within specified tolerance and if enabled), eliminate points\n that are not used, and if enabled, transform degenerate cells into\n appropriate forms (for example, a triangle is converted into a line\n if two points of triangle are merged).\n\n Conversi",
  (char*)"on of degenerate cells is controlled by the flags\n ConvertLinesToPoints, ConvertPolysToLines, ConvertStripsToPolys which act\n cumulatively such that a degenerate strip may become a poly.\n The full set is\n Line with 1 points -> Vert (if ConvertLinesToPoints)\n Poly with 2 points -> Line (if ConvertPolysToLines)\n Poly with 1 points -> Vert (if ConvertPolysToLines && ConvertLinesToPoints)\n Strp with 3",
  (char*)" points -> Poly (if ConvertStripsToPolys)\n Strp with 2 points -> Line (if ConvertStripsToPolys && ConvertPolysToLines)\n Strp with 1 points -> Vert (if ConvertStripsToPolys && ConvertPolysToLines\n   && ConvertLinesToPoints)\n\n If tolerance is specified precisely=0.0, then vtkCleanPolyData will use\n the vtkMergePoints object to merge points (which is faster). Otherwise the\n slower vtkPointLocator is ",
  (char*)"used.  Before inserting points into the point\n locator, this class calls a function OperateOnPoint which can be used (in\n subclasses) to further refine the cleaning process. See\n vtkQuantizePolyDataPoints.\n\n Note that merging of points can be disabled. In this case, a point locator\n will not be used, and points that are not used by any cells will be\n eliminated, but never merged.\n\n",
  "Caveats:\n\n Merging points can alter topology, including introducing non-manifold\n forms. The tolerance should be chosen carefully to avoid these problems.\n Subclasses should handle OperateOnBounds as well as OperateOnPoint\n to ensure that the locator is correctly initialized (i.e. all modified\n points must lie inside modified bounds).\n\n\n",
  "See Also:\n\n vtkQuantizePolyDataPoints\n\n",
  NULL
};

static vtkObjectBase *vtkCleanPolyDataStaticNew()
{
  return vtkCleanPolyData::New();
}

PyObject *PyVTKClass_vtkCleanPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkCleanPolyDataStaticNew,
                        PyvtkCleanPolyDataMethods,
                        (char*)"vtkCleanPolyData",modulename,
                        (char**)vtkCleanPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

