// python wrapper for vtkClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClipDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkClipDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  const char    *temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkClipDataSet  *temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetUseValueAsOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  bool   temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetUseValueAsOffset(temp0);
      }
    else
      {
      op->SetUseValueAsOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetUseValueAsOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  bool   temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetUseValueAsOffset();
      }
    else
      {
      temp20 = op->GetUseValueAsOffset();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_UseValueAsOffsetOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::UseValueAsOffsetOn();
      }
    else
      {
      op->UseValueAsOffsetOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_UseValueAsOffsetOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::UseValueAsOffsetOff();
      }
    else
      {
      op->UseValueAsOffsetOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkImplicitFunction  *temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  int      temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetMergeTolerance(temp0);
      }
    else
      {
      op->SetMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  double   temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetMergeTolerance();
      }
    else
      {
      temp20 = op->GetMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  vtkPointLocator  *temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipDataSet::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipDataSet *op;

  unsigned long     temp20;
  op = (vtkClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipDataSet\nC++: vtkClipDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipDataSet\nC++: vtkClipDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkClipDataSet_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. This value is ignored if\n UseValueAsOffset is true and a clip function is defined.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkClipDataSet_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. This value is ignored if\n UseValueAsOffset is true and a clip function is defined.\n"},
  {(char*)"SetUseValueAsOffset",                (PyCFunction)PyvtkClipDataSet_SetUseValueAsOffset, 1,
   (char*)"V.SetUseValueAsOffset(bool)\nC++: void SetUseValueAsOffset (bool );\n\n If UseValueAsOffset is true, Value is used as an offset parameter to\n the implicit function. Otherwise, Value is used only when clipping\n using a scalar array. Default is true.\n"},
  {(char*)"GetUseValueAsOffset",                (PyCFunction)PyvtkClipDataSet_GetUseValueAsOffset, 1,
   (char*)"V.GetUseValueAsOffset() -> bool\nC++: bool GetUseValueAsOffset ();\n\n If UseValueAsOffset is true, Value is used as an offset parameter to\n the implicit function. Otherwise, Value is used only when clipping\n using a scalar array. Default is true.\n"},
  {(char*)"UseValueAsOffsetOn",                (PyCFunction)PyvtkClipDataSet_UseValueAsOffsetOn, 1,
   (char*)"V.UseValueAsOffsetOn()\nC++: void UseValueAsOffsetOn ();\n\n If UseValueAsOffset is true, Value is used as an offset parameter to\n the implicit function. Otherwise, Value is used only when clipping\n using a scalar array. Default is true.\n"},
  {(char*)"UseValueAsOffsetOff",                (PyCFunction)PyvtkClipDataSet_UseValueAsOffsetOff, 1,
   (char*)"V.UseValueAsOffsetOff()\nC++: void UseValueAsOffsetOff ();\n\n If UseValueAsOffset is true, Value is used as an offset parameter to\n the implicit function. Otherwise, Value is used only when clipping\n using a scalar array. Default is true.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkClipDataSet_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkClipDataSet_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkClipDataSet_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkClipDataSet_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkClipDataSet_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkClipDataSet_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkClipDataSet_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkClipDataSet_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkClipDataSet_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkClipDataSet_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkClipDataSet_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkClipDataSet_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkClipDataSet_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkClipDataSet_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"SetMergeTolerance",                (PyCFunction)PyvtkClipDataSet_SetMergeTolerance, 1,
   (char*)"V.SetMergeTolerance(float)\nC++: void SetMergeTolerance (double );\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeToleranceMinValue",                (PyCFunction)PyvtkClipDataSet_GetMergeToleranceMinValue, 1,
   (char*)"V.GetMergeToleranceMinValue() -> float\nC++: double GetMergeToleranceMinValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeToleranceMaxValue",                (PyCFunction)PyvtkClipDataSet_GetMergeToleranceMaxValue, 1,
   (char*)"V.GetMergeToleranceMaxValue() -> float\nC++: double GetMergeToleranceMaxValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetMergeTolerance",                (PyCFunction)PyvtkClipDataSet_GetMergeTolerance, 1,
   (char*)"V.GetMergeTolerance() -> float\nC++: double GetMergeTolerance ();\n\n Set the tolerance for merging clip intersection points that are near\n the vertices of cells. This tolerance is used to prevent the generation\n of degenerate primitives. Note that only 3D cells actually use this\n instance variable.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkClipDataSet_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the Clipped output.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkClipDataSet_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkClipDataSet_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkClipDataSet_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkClipDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator and clip function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipDataSetDoc[] = {
  (char*)"vtkClipDataSet - clip any dataset with user-specified implicit function or input scalar data\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkClipDataSet is a filter that clips any type of dataset using either\n any subclass of vtkImplicitFunction, or the input scalar\n data. Clipping means that it actually \"cuts\" through the cells of\n the dataset, returning everything inside of the specified implicit\n function (or greater than the scalar value) including \"pieces\" of\n a cell. (Compare this with vtkExtractGeometry, which pulls out\n ent",
  (char*)"ire, uncut cells.) The output of this filter is an unstructured\n grid.\n\n To use this filter, you must decide if you will be clipping with an\n implicit function, or whether you will be using the input scalar\n data.  If you want to clip with an implicit function, you must:\n 1) define an implicit function\n 2) set it with the SetClipFunction method\n 3) apply the GenerateClipScalarsOn method\n If a Clip",
  (char*)"Function is not specified, or GenerateClipScalars is off\n (the default), then the input's scalar data will be used to clip\n the polydata.\n\n You can also specify a scalar value, which is used to decide what is\n inside and outside of the implicit function. You can also reverse the\n sense of what inside/outside is by setting the InsideOut instance\n variable. (The clipping algorithm proceeds by comput",
  (char*)"ing an implicit\n function value or using the input scalar data for each point in the\n dataset. This is compared to the scalar value to determine\n inside/outside.)\n\n This filter can be configured to compute a second output. The\n second output is the part of the cell that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output data.\n\n",
  "Caveats:\n\n vtkClipDataSet will triangulate all types of 3D cells (i.e., create\n tetrahedra). This is true even if the cell is not actually cut. This\n is necessary to preserve compatibility across face neighbors. 2D cells\n will only be triangulated if the cutting function passes through them.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkCutter vtkClipVolume vtkClipPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkClipDataSetStaticNew()
{
  return vtkClipDataSet::New();
}

PyObject *PyVTKClass_vtkClipDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipDataSetStaticNew,
                        PyvtkClipDataSetMethods,
                        (char*)"vtkClipDataSet",modulename,
                        (char**)vtkClipDataSetDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

