// python wrapper for vtkClipHyperOctree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClipHyperOctree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipHyperOctreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipHyperOctreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkClipHyperOctree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  const char    *temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  char    *temp0;
  int      temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkClipHyperOctree  *temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipHyperOctree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipHyperOctree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  double   temp0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  double   temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkImplicitFunction  *temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  int      temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  vtkPointLocator  *temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipHyperOctree::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipHyperOctree_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipHyperOctree *op;

  unsigned long     temp20;
  op = (vtkClipHyperOctree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipHyperOctree::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipHyperOctreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipHyperOctree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipHyperOctree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipHyperOctree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipHyperOctree\nC++: vtkClipHyperOctree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipHyperOctree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipHyperOctree\nC++: vtkClipHyperOctree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkClipHyperOctree_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkClipHyperOctree_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkClipHyperOctree_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkClipHyperOctree_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkClipHyperOctree_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkClipHyperOctree_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkClipHyperOctree_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkClipHyperOctree_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkClipHyperOctree_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkClipHyperOctree_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkClipHyperOctree_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkClipHyperOctree_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkClipHyperOctree_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkClipHyperOctree_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkClipHyperOctree_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkClipHyperOctree_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkClipHyperOctree_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the Clipped output.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkClipHyperOctree_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkClipHyperOctree_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkClipHyperOctree_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkClipHyperOctree_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator and clip function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipHyperOctreeDoc[] = {
  (char*)"vtkClipHyperOctree - clip an hyperoctree with user-specified implicit function or input scalar data\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkClipHyperOctree is a filter that clips an hyperoctree using either\n any subclass of vtkImplicitFunction, or the input scalar\n data. Clipping means that it actually \"cuts\" through the leaves (cells) of\n the hyperoctree, returning everything inside of the specified implicit\n function (or greater than the scalar value) including \"pieces\" of\n a cell. (Compare this with vtkExtractGeometry, which pu",
  (char*)"lls out\n entire, uncut cells.) The output of this filter is an unstructured\n grid.\n\n To use this filter, you must decide if you will be clipping with an\n implicit function, or whether you will be using the input scalar\n data.  If you want to clip with an implicit function, you must:\n 1) define an implicit function\n 2) set it with the SetClipFunction method\n 3) apply the GenerateClipScalarsOn metho",
  (char*)"d\n If a ClipFunction is not specified, or GenerateClipScalars is off\n (the default), then the input's scalar data will be used to clip\n the polydata.\n\n You can also specify a scalar value, which is used to decide what is\n inside and outside of the implicit function. You can also reverse the\n sense of what inside/outside is by setting the InsideOut instance\n variable. (The clipping algorithm procee",
  (char*)"ds by computing an implicit\n function value or using the input scalar data for each point in the\n dataset. This is compared to the scalar value to determine\n inside/outside.)\n\n This filter can be configured to compute a second output. The\n second output is the part of the cell that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output data.\n\n",
  "Caveats:\n\n vtkClipHyperOctree will triangulate all types of 3D cells (i.e., create\n tetrahedra). This is true even if the cell is not actually cut. This\n is necessary to preserve compatibility across face neighbors. 2D cells\n will only be triangulated if the cutting function passes through them.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkCutter vtkClipVolume vtkClipPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkClipHyperOctreeStaticNew()
{
  return vtkClipHyperOctree::New();
}

PyObject *PyVTKClass_vtkClipHyperOctreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipHyperOctreeStaticNew,
                        PyvtkClipHyperOctreeMethods,
                        (char*)"vtkClipHyperOctree",modulename,
                        (char**)vtkClipHyperOctreeDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

