// python wrapper for vtkClipVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkClipVolume.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipVolumeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipVolumeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkClipVolume_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  const char    *temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  char    *temp0;
  int      temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkClipVolume  *temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipVolume  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipVolume::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipVolume_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkClipVolume_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkImplicitFunction  *temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetMixed3DCellGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetMixed3DCellGeneration(temp0);
      }
    else
      {
      op->SetMixed3DCellGeneration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetMixed3DCellGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  int      temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetMixed3DCellGeneration();
      }
    else
      {
      temp20 = op->GetMixed3DCellGeneration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_Mixed3DCellGenerationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::Mixed3DCellGenerationOn();
      }
    else
      {
      op->Mixed3DCellGenerationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_Mixed3DCellGenerationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::Mixed3DCellGenerationOff();
      }
    else
      {
      op->Mixed3DCellGenerationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetMergeTolerance(temp0);
      }
    else
      {
      op->SetMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  double   temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetMergeTolerance();
      }
    else
      {
      temp20 = op->GetMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkClipVolume_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  vtkPointLocator  *temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipVolume::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipVolume_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipVolume *op;

  unsigned long     temp20;
  op = (vtkClipVolume *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipVolume::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipVolumeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipVolume_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipVolume_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipVolume_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipVolume\nC++: vtkClipVolume *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipVolume_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipVolume\nC++: vtkClipVolume *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkClipVolume_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with scalars). The\n default value is 0.0.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkClipVolume_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with scalars). The\n default value is 0.0.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkClipVolume_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkClipVolume_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkClipVolume_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkClipVolume_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkClipVolume_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkClipVolume_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkClipVolume_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkClipVolume_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkClipVolume_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkClipVolume_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkClipVolume_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkClipVolume_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkClipVolume_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkClipVolume_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkClipVolume_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the clipped output.\n"},
  {(char*)"SetMixed3DCellGeneration",                (PyCFunction)PyvtkClipVolume_SetMixed3DCellGeneration, 1,
   (char*)"V.SetMixed3DCellGeneration(int)\nC++: void SetMixed3DCellGeneration (int );\n\n Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n"},
  {(char*)"GetMixed3DCellGeneration",                (PyCFunction)PyvtkClipVolume_GetMixed3DCellGeneration, 1,
   (char*)"V.GetMixed3DCellGeneration() -> int\nC++: int GetMixed3DCellGeneration ();\n\n Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n"},
  {(char*)"Mixed3DCellGenerationOn",                (PyCFunction)PyvtkClipVolume_Mixed3DCellGenerationOn, 1,
   (char*)"V.Mixed3DCellGenerationOn()\nC++: void Mixed3DCellGenerationOn ();\n\n Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n"},
  {(char*)"Mixed3DCellGenerationOff",                (PyCFunction)PyvtkClipVolume_Mixed3DCellGenerationOff, 1,
   (char*)"V.Mixed3DCellGenerationOff()\nC++: void Mixed3DCellGenerationOff ();\n\n Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n"},
  {(char*)"SetMergeTolerance",                (PyCFunction)PyvtkClipVolume_SetMergeTolerance, 1,
   (char*)"V.SetMergeTolerance(float)\nC++: void SetMergeTolerance (double );\n\n Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n"},
  {(char*)"GetMergeToleranceMinValue",                (PyCFunction)PyvtkClipVolume_GetMergeToleranceMinValue, 1,
   (char*)"V.GetMergeToleranceMinValue() -> float\nC++: double GetMergeToleranceMinValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n"},
  {(char*)"GetMergeToleranceMaxValue",                (PyCFunction)PyvtkClipVolume_GetMergeToleranceMaxValue, 1,
   (char*)"V.GetMergeToleranceMaxValue() -> float\nC++: double GetMergeToleranceMaxValue ();\n\n Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n"},
  {(char*)"GetMergeTolerance",                (PyCFunction)PyvtkClipVolume_GetMergeTolerance, 1,
   (char*)"V.GetMergeTolerance() -> float\nC++: double GetMergeTolerance ();\n\n Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkClipVolume_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / Get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkClipVolume_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / Get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkClipVolume_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkClipVolume_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator and clip function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipVolumeDoc[] = {
  (char*)"vtkClipVolume - clip volume data with user-specified implicit function or input scalar data\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkClipVolume is a filter that clips volume data (i.e., vtkImageData)\n using either: any subclass of vtkImplicitFunction or the input scalar\n data. The clipping operation cuts through the cells of the\n dataset--converting 3D image data into a 3D unstructured grid--returning\n everything inside of the specified implicit function (or greater than the\n scalar value). During the clipping the filter wi",
  (char*)"ll produce pieces of a\n cell. (Compare this with vtkExtractGeometry or vtkGeometryFilter, which\n produces entire, uncut cells.) The output of this filter is a 3D\n unstructured grid (e.g., tetrahedra or other 3D cell types).\n\n To use this filter, you must decide if you will be clipping with an\n implicit function, or whether you will be using the input scalar data.  If\n you want to clip with an impl",
  (char*)"icit function, you must first define and then\n set the implicit function with the SetClipFunction() method. Otherwise,\n you must make sure input scalar data is available. You can also specify a\n scalar value, which is used to decide what is inside and outside of the\n implicit function. You can also reverse the sense of what inside/outside\n is by setting the InsideOut instance variable. (The cuttin",
  (char*)"g algorithm\n proceeds by computing an implicit function value or using the input scalar\n data for each point in the dataset. This is compared to the scalar value\n to determine inside/outside.)\n\n This filter can be configured to compute a second output. The\n second output is the portion of the volume that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output dat",
  (char*)"a.\n\n The filter will produce an unstructured grid of entirely tetrahedra or a\n mixed grid of tetrahedra and other 3D cell types (e.g., wedges). Control\n this behavior by setting the Mixed3DCellGeneration. By default the\n Mixed3DCellGeneration is on and a combination of cell types will be\n produced. Note that producing mixed cell types is a faster than producing\n only tetrahedra.\n\n",
  "Caveats:\n\n This filter is designed to function with 3D structured points. Clipping\n 2D images should be done by converting the image to polygonal data\n and using vtkClipPolyData,\n\n",
  "See Also:\n\n vtkImplicitFunction vtkClipPolyData vtkGeometryFilter vtkExtractGeometry\n\n",
  NULL
};

static vtkObjectBase *vtkClipVolumeStaticNew()
{
  return vtkClipVolume::New();
}

PyObject *PyVTKClass_vtkClipVolumeNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipVolumeStaticNew,
                        PyvtkClipVolumeMethods,
                        (char*)"vtkClipVolume",modulename,
                        (char**)vtkClipVolumeDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

