// tcl wrapper for vtkClipVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipVolume.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkClipVolumeNewCommand()
{
  vtkClipVolume *temp = vtkClipVolume::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkClipVolumeCppCommand(vtkClipVolume *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkClipVolumeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkClipVolumeCppCommand(static_cast<vtkClipVolume *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkClipVolumeCppCommand(vtkClipVolume *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkClipVolume",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkClipVolume  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipVolume");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkClipVolume  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipVolume");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkClipVolume  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkClipVolume");
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
    {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
    {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClipFunction",argv[1]))&&(argc == 3))
    {
    vtkImplicitFunction  *temp0;
    error = 0;

    temp0 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImplicitFunction"),interp,error));
    if (!error)
    {
    op->SetClipFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipFunction",argv[1]))&&(argc == 2))
    {
    vtkImplicitFunction  *temp20;
    temp20 = (op)->GetClipFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateClipScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateClipScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateClipScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateClipScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClipScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateClipScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClipScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateClipScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateClippedOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateClippedOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateClippedOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateClippedOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClippedOutputOn",argv[1]))&&(argc == 2))
    {
    op->GenerateClippedOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClippedOutputOff",argv[1]))&&(argc == 2))
    {
    op->GenerateClippedOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClippedOutput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetClippedOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetMixed3DCellGeneration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMixed3DCellGeneration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMixed3DCellGeneration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMixed3DCellGeneration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Mixed3DCellGenerationOn",argv[1]))&&(argc == 2))
    {
    op->Mixed3DCellGenerationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Mixed3DCellGenerationOff",argv[1]))&&(argc == 2))
    {
    op->Mixed3DCellGenerationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMergeTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMergeTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergeToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMergeToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMergeTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkPointLocator  *temp0;
    error = 0;

    temp0 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkClipVolumeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkClipVolume:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInsideOut\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOn\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOff\n",NULL);
    Tcl_AppendResult(interp,"  SetClipFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClipFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateClipScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateClipScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateClippedOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateClippedOutput\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClippedOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetMixed3DCellGeneration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMixed3DCellGeneration\n",NULL);
    Tcl_AppendResult(interp,"  Mixed3DCellGenerationOn\n",NULL);
    Tcl_AppendResult(interp,"  Mixed3DCellGenerationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMergeTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    Tcl_DStringAppendElement ( &dString, "SetClipFunction" );
    Tcl_DStringAppendElement ( &dString, "GetClipFunction" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClipScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClipScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOff" );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutput" );
    Tcl_DStringAppendElement ( &dString, "SetMixed3DCellGeneration" );
    Tcl_DStringAppendElement ( &dString, "GetMixed3DCellGeneration" );
    Tcl_DStringAppendElement ( &dString, "Mixed3DCellGenerationOn" );
    Tcl_DStringAppendElement ( &dString, "Mixed3DCellGenerationOff" );
    Tcl_DStringAppendElement ( &dString, "SetMergeTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetMergeToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMergeToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMergeTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with user-specified implicit function; InsideOut turned off;\n value set to 0.0; and generate clip scalars turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkClipVolume *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with scalars). The\n default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with scalars). The\n default value is 0.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInsideOut */
    if ( strcmp ( argv[2], "SetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInsideOut (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInsideOut */
    if ( strcmp ( argv[2], "GetInsideOut" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInsideOut" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInsideOut */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInsideOut ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetInsideOut */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOn */
    if ( strcmp ( argv[2], "InsideOutOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for InsideOutOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsideOutOff */
    if ( strcmp ( argv[2], "InsideOutOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsideOutOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsideOutOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the InsideOut flag. When off, a vertex is considered inside the\n implicit function if its value is greater than the Value ivar. When\n InsideOutside is turned on, a vertex is considered inside the implicit\n function if its implicit function value is less than or equal to the\n Value ivar.  InsideOut is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void InsideOutOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for InsideOutOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipFunction */
    if ( strcmp ( argv[2], "SetClipFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClipFunction (vtkImplicitFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetClipFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipFunction */
    if ( strcmp ( argv[2], "GetClipFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction *GetClipFunction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetClipFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateClipScalars */
    if ( strcmp ( argv[2], "SetGenerateClipScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClipScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateClipScalars */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateClipScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetGenerateClipScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateClipScalars */
    if ( strcmp ( argv[2], "GetGenerateClipScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClipScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateClipScalars */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateClipScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetGenerateClipScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateClipScalarsOn */
    if ( strcmp ( argv[2], "GenerateClipScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClipScalarsOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateClipScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GenerateClipScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateClipScalarsOff */
    if ( strcmp ( argv[2], "GenerateClipScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClipScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClipScalarsOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateClipScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GenerateClipScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateClippedOutput */
    if ( strcmp ( argv[2], "SetGenerateClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateClippedOutput (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetGenerateClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateClippedOutput */
    if ( strcmp ( argv[2], "GetGenerateClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateClippedOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetGenerateClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateClippedOutputOn */
    if ( strcmp ( argv[2], "GenerateClippedOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClippedOutputOn */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateClippedOutputOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GenerateClippedOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateClippedOutputOff */
    if ( strcmp ( argv[2], "GenerateClippedOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateClippedOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateClippedOutputOff */
    Tcl_DStringAppendElement ( &dString, " Control whether a second output is generated. The second output\n contains the unstructured grid that's been clipped away.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateClippedOutputOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GenerateClippedOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClippedOutput */
    if ( strcmp ( argv[2], "GetClippedOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippedOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippedOutput */
    Tcl_DStringAppendElement ( &dString, " Return the clipped output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid *GetClippedOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetClippedOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMixed3DCellGeneration */
    if ( strcmp ( argv[2], "SetMixed3DCellGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMixed3DCellGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMixed3DCellGeneration */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMixed3DCellGeneration (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetMixed3DCellGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMixed3DCellGeneration */
    if ( strcmp ( argv[2], "GetMixed3DCellGeneration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMixed3DCellGeneration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMixed3DCellGeneration */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMixed3DCellGeneration ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetMixed3DCellGeneration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Mixed3DCellGenerationOn */
    if ( strcmp ( argv[2], "Mixed3DCellGenerationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Mixed3DCellGenerationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Mixed3DCellGenerationOn */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n" );
    Tcl_DStringAppendElement ( &dString, "void Mixed3DCellGenerationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for Mixed3DCellGenerationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Mixed3DCellGenerationOff */
    if ( strcmp ( argv[2], "Mixed3DCellGenerationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Mixed3DCellGenerationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Mixed3DCellGenerationOff */
    Tcl_DStringAppendElement ( &dString, " Control whether the filter produces a mix of 3D cell types on output, or\n whether the output cells are all tetrahedra. By default, a mixed set of\n cells (e.g., tetrahedra and wedges) is produced. (Note: mixed type\n generation is faster and less overall data is generated.)\n" );
    Tcl_DStringAppendElement ( &dString, "void Mixed3DCellGenerationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for Mixed3DCellGenerationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMergeTolerance */
    if ( strcmp ( argv[2], "SetMergeTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMergeTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMergeTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMergeTolerance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetMergeTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeToleranceMinValue */
    if ( strcmp ( argv[2], "GetMergeToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMergeToleranceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetMergeToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeToleranceMaxValue */
    if ( strcmp ( argv[2], "GetMergeToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMergeToleranceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetMergeToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeTolerance */
    if ( strcmp ( argv[2], "GetMergeTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeTolerance */
    Tcl_DStringAppendElement ( &dString, " Set the tolerance for merging clip intersection points that are near\n the corners of voxels. This tolerance is used to prevent the generation\n of degenerate tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMergeTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetMergeTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / Get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator (vtkPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / Get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator *GetLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the mtime also considering the locator and clip function.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkClipVolume" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
