// python wrapper for vtkCompositeDataGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeDataGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCompositeDataGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataGeometryFilter *op;

  const char    *temp20;
  op = (vtkCompositeDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataGeometryFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataGeometryFilter *op;

  vtkCompositeDataGeometryFilter  *temp20;
  op = (vtkCompositeDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositeDataGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositeDataGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkCompositeDataGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataGeometryFilter\nC++: vtkCompositeDataGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositeDataGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeDataGeometryFilter\nC++: vtkCompositeDataGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataGeometryFilterDoc[] = {
  (char*)"vtkCompositeDataGeometryFilter - extract geometry from multi-group data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCompositeDataGeometryFilter applies vtkGeometryFilter to all\n leaves in vtkCompositeDataSet. Place this filter at the end of a\n pipeline before a polydata consumer such as a polydata mapper to extract\n geometry from all blocks and append them to one polydata object.\n\n",
  NULL
};

static vtkObjectBase *vtkCompositeDataGeometryFilterStaticNew()
{
  return vtkCompositeDataGeometryFilter::New();
}

PyObject *PyVTKClass_vtkCompositeDataGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeDataGeometryFilterStaticNew,
                        PyvtkCompositeDataGeometryFilterMethods,
                        (char*)"vtkCompositeDataGeometryFilter",modulename,
                        (char**)vtkCompositeDataGeometryFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

