// python wrapper for vtkCompositeDataProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompositeDataProbeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataProbeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataProbeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProbeFilterNew(char *); }

static PyObject *PyvtkCompositeDataProbeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataProbeFilter *op;

  const char    *temp20;
  op = (vtkCompositeDataProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataProbeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataProbeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataProbeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompositeDataProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataProbeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataProbeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataProbeFilter *op;

  vtkCompositeDataProbeFilter  *temp20;
  op = (vtkCompositeDataProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataProbeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataProbeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositeDataProbeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositeDataProbeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkCompositeDataProbeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataProbeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataProbeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataProbeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataProbeFilter\nC++: vtkCompositeDataProbeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositeDataProbeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeDataProbeFilter\nC++: vtkCompositeDataProbeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataProbeFilterDoc[] = {
  (char*)"vtkCompositeDataProbeFilter - subclass of vtkProbeFilter which supports\n\n",
  "Super Class:\n\n vtkProbeFilter\n\n",
  (char*)" vtkCompositeDataProbeFilter supports probing into multi-group datasets.\n It sequentially probes through each concrete dataset within the composite \n probing at only those locations at which there were no hits when probing\n earlier datasets. For Hierarchical datasets, this traversal through leaf\n datasets is done in reverse order of levels i.e. highest level first.\n\n",
  NULL
};

static vtkObjectBase *vtkCompositeDataProbeFilterStaticNew()
{
  return vtkCompositeDataProbeFilter::New();
}

PyObject *PyVTKClass_vtkCompositeDataProbeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeDataProbeFilterStaticNew,
                        PyvtkCompositeDataProbeFilterMethods,
                        (char*)"vtkCompositeDataProbeFilter",modulename,
                        (char**)vtkCompositeDataProbeFilterDoc,
                        PyVTKClass_vtkProbeFilterNew(modulename));
}

