// python wrapper for vtkConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConnectivityFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConnectivityFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConnectivityFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkConnectivityFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  const char    *temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  vtkConnectivityFilter  *temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConnectivityFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConnectivityFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetScalarConnectivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetScalarConnectivity(temp0);
      }
    else
      {
      op->SetScalarConnectivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetScalarConnectivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetScalarConnectivity();
      }
    else
      {
      temp20 = op->GetScalarConnectivity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_ScalarConnectivityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::ScalarConnectivityOn();
      }
    else
      {
      op->ScalarConnectivityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_ScalarConnectivityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::ScalarConnectivityOff();
      }
    else
      {
      op->ScalarConnectivityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double   temp0;
  double   temp1;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double  *temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionMode(temp0);
      }
    else
      {
      op->SetExtractionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetExtractionModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetExtractionModeMinValue();
      }
    else
      {
      temp20 = op->GetExtractionModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetExtractionModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetExtractionModeMaxValue();
      }
    else
      {
      temp20 = op->GetExtractionModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetExtractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetExtractionMode();
      }
    else
      {
      temp20 = op->GetExtractionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToPointSeededRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToPointSeededRegions();
      }
    else
      {
      op->SetExtractionModeToPointSeededRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToCellSeededRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToCellSeededRegions();
      }
    else
      {
      op->SetExtractionModeToCellSeededRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToLargestRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToLargestRegion();
      }
    else
      {
      op->SetExtractionModeToLargestRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToSpecifiedRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToSpecifiedRegions();
      }
    else
      {
      op->SetExtractionModeToSpecifiedRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToClosestPointRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToClosestPointRegion();
      }
    else
      {
      op->SetExtractionModeToClosestPointRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetExtractionModeToAllRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetExtractionModeToAllRegions();
      }
    else
      {
      op->SetExtractionModeToAllRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetExtractionModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  const char    *temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetExtractionModeAsString();
      }
    else
      {
      temp20 = op->GetExtractionModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_InitializeSeedList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::InitializeSeedList();
      }
    else
      {
      op->InitializeSeedList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_AddSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  vtkIdType   temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::AddSeed(temp0);
      }
    else
      {
      op->AddSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_DeleteSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  vtkIdType   temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::DeleteSeed(temp0);
      }
    else
      {
      op->DeleteSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_InitializeSpecifiedRegionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::InitializeSpecifiedRegionList();
      }
    else
      {
      op->InitializeSpecifiedRegionList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_AddSpecifiedRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::AddSpecifiedRegion(temp0);
      }
    else
      {
      op->AddSpecifiedRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_DeleteSpecifiedRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::DeleteSpecifiedRegion(temp0);
      }
    else
      {
      op->DeleteSpecifiedRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetClosestPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetClosestPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetClosestPoint(temp0);
      }
    else
      {
      op->SetClosestPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  double  *temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetClosestPoint();
      }
    else
      {
      temp20 = op->GetClosestPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetNumberOfExtractedRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetNumberOfExtractedRegions();
      }
    else
      {
      temp20 = op->GetNumberOfExtractedRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_SetColorRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp0;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::SetColorRegions(temp0);
      }
    else
      {
      op->SetColorRegions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_GetColorRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  int      temp20;
  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConnectivityFilter::GetColorRegions();
      }
    else
      {
      temp20 = op->GetColorRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_ColorRegionsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::ColorRegionsOn();
      }
    else
      {
      op->ColorRegionsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConnectivityFilter_ColorRegionsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConnectivityFilter *op;

  op = (vtkConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConnectivityFilter::ColorRegionsOff();
      }
    else
      {
      op->ColorRegionsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConnectivityFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConnectivityFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConnectivityFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConnectivityFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConnectivityFilter\nC++: vtkConnectivityFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConnectivityFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConnectivityFilter\nC++: vtkConnectivityFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarConnectivity",                (PyCFunction)PyvtkConnectivityFilter_SetScalarConnectivity, 1,
   (char*)"V.SetScalarConnectivity(int)\nC++: void SetScalarConnectivity (int );\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"GetScalarConnectivity",                (PyCFunction)PyvtkConnectivityFilter_GetScalarConnectivity, 1,
   (char*)"V.GetScalarConnectivity() -> int\nC++: int GetScalarConnectivity ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"ScalarConnectivityOn",                (PyCFunction)PyvtkConnectivityFilter_ScalarConnectivityOn, 1,
   (char*)"V.ScalarConnectivityOn()\nC++: void ScalarConnectivityOn ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"ScalarConnectivityOff",                (PyCFunction)PyvtkConnectivityFilter_ScalarConnectivityOff, 1,
   (char*)"V.ScalarConnectivityOff()\nC++: void ScalarConnectivityOff ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkConnectivityFilter_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Set the scalar range to use to extract cells based on scalar connectivity.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkConnectivityFilter_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Set the scalar range to use to extract cells based on scalar connectivity.\n"},
  {(char*)"SetExtractionMode",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionMode, 1,
   (char*)"V.SetExtractionMode(int)\nC++: void SetExtractionMode (int );\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeMinValue",                (PyCFunction)PyvtkConnectivityFilter_GetExtractionModeMinValue, 1,
   (char*)"V.GetExtractionModeMinValue() -> int\nC++: int GetExtractionModeMinValue ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeMaxValue",                (PyCFunction)PyvtkConnectivityFilter_GetExtractionModeMaxValue, 1,
   (char*)"V.GetExtractionModeMaxValue() -> int\nC++: int GetExtractionModeMaxValue ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionMode",                (PyCFunction)PyvtkConnectivityFilter_GetExtractionMode, 1,
   (char*)"V.GetExtractionMode() -> int\nC++: int GetExtractionMode ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToPointSeededRegions",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToPointSeededRegions, 1,
   (char*)"V.SetExtractionModeToPointSeededRegions()\nC++: void SetExtractionModeToPointSeededRegions ();this SetExtractionMode VTK_EXTRACT_POINT_SEEDED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToCellSeededRegions",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToCellSeededRegions, 1,
   (char*)"V.SetExtractionModeToCellSeededRegions()\nC++: void SetExtractionModeToCellSeededRegions ();this SetExtractionMode VTK_EXTRACT_CELL_SEEDED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToLargestRegion",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToLargestRegion, 1,
   (char*)"V.SetExtractionModeToLargestRegion()\nC++: void SetExtractionModeToLargestRegion ();this SetExtractionMode VTK_EXTRACT_LARGEST_REGION \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToSpecifiedRegions",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToSpecifiedRegions, 1,
   (char*)"V.SetExtractionModeToSpecifiedRegions()\nC++: void SetExtractionModeToSpecifiedRegions ();this SetExtractionMode VTK_EXTRACT_SPECIFIED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToClosestPointRegion",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToClosestPointRegion, 1,
   (char*)"V.SetExtractionModeToClosestPointRegion()\nC++: void SetExtractionModeToClosestPointRegion ();this SetExtractionMode VTK_EXTRACT_CLOSEST_POINT_REGION \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToAllRegions",                (PyCFunction)PyvtkConnectivityFilter_SetExtractionModeToAllRegions, 1,
   (char*)"V.SetExtractionModeToAllRegions()\nC++: void SetExtractionModeToAllRegions ();this SetExtractionMode VTK_EXTRACT_ALL_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeAsString",                (PyCFunction)PyvtkConnectivityFilter_GetExtractionModeAsString, 1,
   (char*)"V.GetExtractionModeAsString() -> string\nC++: const char *GetExtractionModeAsString ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"InitializeSeedList",                (PyCFunction)PyvtkConnectivityFilter_InitializeSeedList, 1,
   (char*)"V.InitializeSeedList()\nC++: void InitializeSeedList ();\n\n Initialize list of point ids/cell ids used to seed regions.\n"},
  {(char*)"AddSeed",                (PyCFunction)PyvtkConnectivityFilter_AddSeed, 1,
   (char*)"V.AddSeed(int)\nC++: void AddSeed (vtkIdType id);\n\n Add a seed id (point or cell id). Note: ids are 0-offset.\n"},
  {(char*)"DeleteSeed",                (PyCFunction)PyvtkConnectivityFilter_DeleteSeed, 1,
   (char*)"V.DeleteSeed(int)\nC++: void DeleteSeed (vtkIdType id);\n\n Delete a seed id (point or cell id). Note: ids are 0-offset.\n"},
  {(char*)"InitializeSpecifiedRegionList",                (PyCFunction)PyvtkConnectivityFilter_InitializeSpecifiedRegionList, 1,
   (char*)"V.InitializeSpecifiedRegionList()\nC++: void InitializeSpecifiedRegionList ();\n\n Initialize list of region ids to extract.\n"},
  {(char*)"AddSpecifiedRegion",                (PyCFunction)PyvtkConnectivityFilter_AddSpecifiedRegion, 1,
   (char*)"V.AddSpecifiedRegion(int)\nC++: void AddSpecifiedRegion (int id);\n\n Add a region id to extract. Note: ids are 0-offset.\n"},
  {(char*)"DeleteSpecifiedRegion",                (PyCFunction)PyvtkConnectivityFilter_DeleteSpecifiedRegion, 1,
   (char*)"V.DeleteSpecifiedRegion(int)\nC++: void DeleteSpecifiedRegion (int id);\n\n Delete a region id to extract. Note: ids are 0-offset.\n"},
  {(char*)"SetClosestPoint",                (PyCFunction)PyvtkConnectivityFilter_SetClosestPoint, 1,
   (char*)"V.SetClosestPoint(float, float, float)\nC++: void SetClosestPoint (double , double , double );\nV.SetClosestPoint((float, float, float))\nC++: void SetClosestPoint (double  a[3]);\n\n Use to specify x-y-z point coordinates when extracting the region \n closest to a specified point.\n"},
  {(char*)"GetClosestPoint",                (PyCFunction)PyvtkConnectivityFilter_GetClosestPoint, 1,
   (char*)"V.GetClosestPoint() -> (float, float, float)\nC++: double  *GetClosestPoint ();\n\n Use to specify x-y-z point coordinates when extracting the region \n closest to a specified point.\n"},
  {(char*)"GetNumberOfExtractedRegions",                (PyCFunction)PyvtkConnectivityFilter_GetNumberOfExtractedRegions, 1,
   (char*)"V.GetNumberOfExtractedRegions() -> int\nC++: int GetNumberOfExtractedRegions ();\n\n Obtain the number of connected regions.\n"},
  {(char*)"SetColorRegions",                (PyCFunction)PyvtkConnectivityFilter_SetColorRegions, 1,
   (char*)"V.SetColorRegions(int)\nC++: void SetColorRegions (int );\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"GetColorRegions",                (PyCFunction)PyvtkConnectivityFilter_GetColorRegions, 1,
   (char*)"V.GetColorRegions() -> int\nC++: int GetColorRegions ();\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"ColorRegionsOn",                (PyCFunction)PyvtkConnectivityFilter_ColorRegionsOn, 1,
   (char*)"V.ColorRegionsOn()\nC++: void ColorRegionsOn ();\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"ColorRegionsOff",                (PyCFunction)PyvtkConnectivityFilter_ColorRegionsOff, 1,
   (char*)"V.ColorRegionsOff()\nC++: void ColorRegionsOff ();\n\n Turn on/off the coloring of connected regions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConnectivityFilterDoc[] = {
  (char*)"vtkConnectivityFilter - extract data based on geometric connectivity\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkConnectivityFilter is a filter that extracts cells that share common\n points and/or meet other connectivity criterion. (Cells that share\n vertices and meet other connectivity criterion such as scalar range are\n known as a region.)  The filter works in one of six ways: 1) extract the\n largest connected region in the dataset; 2) extract specified region\n numbers; 3) extract all regions sharing s",
  (char*)"pecified point ids; 4) extract\n all regions sharing specified cell ids; 5) extract the region closest to\n the specified point; or 6) extract all regions (used to color the data by\n region).\n\n vtkConnectivityFilter is generalized to handle any type of input dataset.\n It generates output data of type vtkUnstructuredGrid. If you know that\n your input type is vtkPolyData, you may wish to use\n vtkPolyD",
  (char*)"ataConnectivityFilter.\n\n The behavior of vtkConnectivityFilter can be modified by turning on the\n boolean ivar ScalarConnectivity. If this flag is on, the connectivity\n algorithm is modified so that cells are considered connected only if 1)\n they are geometrically connected (share a point) and 2) the scalar values\n of one of the cell's points falls in the scalar range specified. This use\n of Scala",
  (char*)"rConnectivity is particularly useful for volume datasets: it can\n be used as a simple \"connected segmentation\" algorithm. For example, by\n using a seed voxel (i.e., cell) on a known anatomical structure,\n connectivity will pull out all voxels \"containing\" the anatomical\n structure. These voxels can then be contoured or processed by other\n visualization filters.\n\n",
  "See Also:\n\n vtkPolyDataConnectivityFilter\n\n",
  NULL
};

static vtkObjectBase *vtkConnectivityFilterStaticNew()
{
  return vtkConnectivityFilter::New();
}

PyObject *PyVTKClass_vtkConnectivityFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkConnectivityFilterStaticNew,
                        PyvtkConnectivityFilterMethods,
                        (char*)"vtkConnectivityFilter",modulename,
                        (char**)vtkConnectivityFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

