// python wrapper for vtkContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkContourFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkContourFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  const char    *temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  vtkContourFilter  *temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContourFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContourFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContourFilter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  double   temp1;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  double   temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  double temp1[2];
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  unsigned long     temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetComputeGradients(temp0);
      }
    else
      {
      op->SetComputeGradients(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetComputeGradients();
      }
    else
      {
      temp20 = op->GetComputeGradients();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeGradientsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeGradientsOn();
      }
    else
      {
      op->ComputeGradientsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeGradientsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeGradientsOff();
      }
    else
      {
      op->ComputeGradientsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetUseScalarTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetUseScalarTree(temp0);
      }
    else
      {
      op->SetUseScalarTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetUseScalarTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetUseScalarTree();
      }
    else
      {
      temp20 = op->GetUseScalarTree();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_UseScalarTreeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::UseScalarTreeOn();
      }
    else
      {
      op->UseScalarTreeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_UseScalarTreeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::UseScalarTreeOff();
      }
    else
      {
      op->UseScalarTreeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetScalarTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  vtkScalarTree  *temp0;
  PyObject *tempH0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarTree");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetScalarTree(temp0);
      }
    else
      {
      op->SetScalarTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkContourFilter_GetScalarTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  vtkScalarTree  *temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetScalarTree();
      }
    else
      {
      temp20 = op->GetScalarTree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkContourFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_SetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp0;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourFilter::SetArrayComponent(temp0);
      }
    else
      {
      op->SetArrayComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourFilter_GetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourFilter *op;

  int      temp20;
  op = (vtkContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourFilter::GetArrayComponent();
      }
    else
      {
      temp20 = op->GetArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContourFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourFilter\nC++: vtkContourFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContourFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContourFilter\nC++: vtkContourFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkContourFilter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkContourFilter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Methods to set / get contour values.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkContourFilter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkContourFilter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Methods to set / get contour values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkContourFilter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Methods to set / get contour values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkContourFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Modified GetMTime Because we delegate to vtkContourValues\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkContourFilter_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkContourFilter_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkContourFilter_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkContourFilter_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeGradients",                (PyCFunction)PyvtkContourFilter_SetComputeGradients, 1,
   (char*)"V.SetComputeGradients(int)\nC++: void SetComputeGradients (int );\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeGradients",                (PyCFunction)PyvtkContourFilter_GetComputeGradients, 1,
   (char*)"V.GetComputeGradients() -> int\nC++: int GetComputeGradients ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOn",                (PyCFunction)PyvtkContourFilter_ComputeGradientsOn, 1,
   (char*)"V.ComputeGradientsOn()\nC++: void ComputeGradientsOn ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOff",                (PyCFunction)PyvtkContourFilter_ComputeGradientsOff, 1,
   (char*)"V.ComputeGradientsOff()\nC++: void ComputeGradientsOff ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkContourFilter_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Set/Get the computation of scalars.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkContourFilter_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkContourFilter_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkContourFilter_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"SetUseScalarTree",                (PyCFunction)PyvtkContourFilter_SetUseScalarTree, 1,
   (char*)"V.SetUseScalarTree(int)\nC++: void SetUseScalarTree (int );\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"GetUseScalarTree",                (PyCFunction)PyvtkContourFilter_GetUseScalarTree, 1,
   (char*)"V.GetUseScalarTree() -> int\nC++: int GetUseScalarTree ();\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"UseScalarTreeOn",                (PyCFunction)PyvtkContourFilter_UseScalarTreeOn, 1,
   (char*)"V.UseScalarTreeOn()\nC++: void UseScalarTreeOn ();\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"UseScalarTreeOff",                (PyCFunction)PyvtkContourFilter_UseScalarTreeOff, 1,
   (char*)"V.UseScalarTreeOff()\nC++: void UseScalarTreeOff ();\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"SetScalarTree",                (PyCFunction)PyvtkContourFilter_SetScalarTree, 1,
   (char*)"V.SetScalarTree(vtkScalarTree)\nC++: virtual void SetScalarTree (vtkScalarTree *);\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"GetScalarTree",                (PyCFunction)PyvtkContourFilter_GetScalarTree, 1,
   (char*)"V.GetScalarTree() -> vtkScalarTree\nC++: vtkScalarTree *GetScalarTree ();\n\n Enable the use of a scalar tree to accelerate contour extraction.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkContourFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkContourFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkContourFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n"},
  {(char*)"SetArrayComponent",                (PyCFunction)PyvtkContourFilter_SetArrayComponent, 1,
   (char*)"V.SetArrayComponent(int)\nC++: void SetArrayComponent (int );\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n Currently this feature only works if the input is a vtkImageData.\n"},
  {(char*)"GetArrayComponent",                (PyCFunction)PyvtkContourFilter_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent ();\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n Currently this feature only works if the input is a vtkImageData.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourFilterDoc[] = {
  (char*)"vtkContourFilter - generate isosurfaces/isolines from scalar values\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkContourFilter is a filter that takes as input any dataset and \n generates on output isosurfaces and/or isolines. The exact form \n of the output depends upon the dimensionality of the input data. \n Data consisting of 3D cells will generate isosurfaces, data \n consisting of 2D cells will generate isolines, and data with 1D \n or 0D cells will generate isopoints. Combinations of output type \n are ",
  (char*)"possible if the input dimension is mixed.\n\n To use this filter you must specify one or more contour values.\n You can either use the method SetValue() to specify each contour\n value, or use GenerateValues() to generate a series of evenly\n spaced contours. It is also possible to accelerate the operation of\n this filter (at the cost of extra memory) by using a\n vtkScalarTree. A scalar tree is used to",
  (char*)" quickly locate cells that\n contain a contour surface. This is especially effective if multiple\n contours are being extracted. If you want to use a scalar tree,\n invoke the method UseScalarTreeOn().\n\n",
  "Caveats:\n\n For unstructured data or structured grids, normals and gradients\n are not computed. Use vtkPolyDataNormals to compute the surface\n normals.\n\n",
  "See Also:\n\n vtkMarchingContourFilter vtkMarchingCubes vtkSliceCubes\n vtkMarchingSquares vtkImageMarchingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkContourFilterStaticNew()
{
  return vtkContourFilter::New();
}

PyObject *PyVTKClass_vtkContourFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkContourFilterStaticNew,
                        PyvtkContourFilterMethods,
                        (char*)"vtkContourFilter",modulename,
                        (char**)vtkContourFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

