// python wrapper for vtkConvertSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkConvertSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConvertSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConvertSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkConvertSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  const char    *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkConvertSelection  *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConvertSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConvertSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetDataObjectConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetDataObjectConnection(temp0);
      }
    else
      {
      op->SetDataObjectConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetOutputType(temp0);
      }
    else
      {
      op->SetOutputType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetOutputType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  int      temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetOutputType();
      }
    else
      {
      temp20 = op->GetOutputType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  char    *temp0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  const char    *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_SetArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvertSelection::SetArrayNames(temp0);
      }
    else
      {
      op->SetArrayNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkConvertSelection_GetArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvertSelection *op;

  vtkStringArray  *temp20;
  op = (vtkConvertSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvertSelection::GetArrayNames();
      }
    else
      {
      temp20 = op->GetArrayNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToIndexSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break11;
      {
      temp20 = vtkConvertSelection::ToIndexSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToGlobalIdSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break12;
      {
      temp20 = vtkConvertSelection::ToGlobalIdSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToPedigreeIdSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break13;
      {
      temp20 = vtkConvertSelection::ToPedigreeIdSelection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToValueSelection(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  char    *temp2;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OOz", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break14;
      {
      temp20 = vtkConvertSelection::ToValueSelection(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkStringArray  *temp2;
  PyObject *tempH2;
  vtkSelection  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break15;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break15;
    temp2 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkStringArray");
    if (!temp2 && tempH2 != Py_None) goto break15;
      {
      temp20 = vtkConvertSelection::ToValueSelection(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkConvertSelection_ToSelectionType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelection  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  int      temp2;
  vtkStringArray  *temp3;
  PyObject *tempH3;
  vtkSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"OOiO", &tempH0, &tempH1, &temp2, &tempH3)))
    {
    temp0 = (vtkSelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSelection");
    if (!temp0 && tempH0 != Py_None) goto break16;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break16;
    temp3 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkStringArray");
    if (!temp3 && tempH3 != Py_None) goto break16;
      {
      temp20 = vtkConvertSelection::ToSelectionType(temp0,temp1,temp2,temp3);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkConvertSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConvertSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConvertSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConvertSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConvertSelection\nC++: vtkConvertSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConvertSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConvertSelection\nC++: vtkConvertSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataObjectConnection",                (PyCFunction)PyvtkConvertSelection_SetDataObjectConnection, 1,
   (char*)"V.SetDataObjectConnection(vtkAlgorithmOutput)\nC++: void SetDataObjectConnection (vtkAlgorithmOutput *in);\n\n A convenience method for setting the second input (i.e. the data object).\n"},
  {(char*)"SetOutputType",                (PyCFunction)PyvtkConvertSelection_SetOutputType, 1,
   (char*)"V.SetOutputType(int)\nC++: void SetOutputType (int );\n\n The output selection type.\n This should be one of the constants defined in vtkSelection.h.\n"},
  {(char*)"GetOutputType",                (PyCFunction)PyvtkConvertSelection_GetOutputType, 1,
   (char*)"V.GetOutputType() -> int\nC++: int GetOutputType ();\n\n The output selection type.\n This should be one of the constants defined in vtkSelection.h.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkConvertSelection_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: virtual void SetArrayName (const char *);\n\n The output array name for value or threshold selections.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkConvertSelection_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: virtual const char *GetArrayName ();\n\n The output array name for value or threshold selections.\n"},
  {(char*)"SetArrayNames",                (PyCFunction)PyvtkConvertSelection_SetArrayNames, 1,
   (char*)"V.SetArrayNames(vtkStringArray)\nC++: virtual void SetArrayNames (vtkStringArray *);\n\n The output array names for value selection.\n"},
  {(char*)"GetArrayNames",                (PyCFunction)PyvtkConvertSelection_GetArrayNames, 1,
   (char*)"V.GetArrayNames() -> vtkStringArray\nC++: vtkStringArray *GetArrayNames ();\n\n The output array names for value selection.\n"},
  {(char*)"ToIndexSelection",                (PyCFunction)PyvtkConvertSelection_ToIndexSelection, 1,
   (char*)"V.ToIndexSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToIndexSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToGlobalIdSelection",                (PyCFunction)PyvtkConvertSelection_ToGlobalIdSelection, 1,
   (char*)"V.ToGlobalIdSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToGlobalIdSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToPedigreeIdSelection",                (PyCFunction)PyvtkConvertSelection_ToPedigreeIdSelection, 1,
   (char*)"V.ToPedigreeIdSelection(vtkSelection, vtkDataObject) -> vtkSelection\nC++: static vtkSelection *ToPedigreeIdSelection (vtkSelection *input, vtkDataObject *data);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToValueSelection",                (PyCFunction)PyvtkConvertSelection_ToValueSelection, 1,
   (char*)"V.ToValueSelection(vtkSelection, vtkDataObject, string) -> vtkSelection\nC++: static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, const char *arrayName);\nV.ToValueSelection(vtkSelection, vtkDataObject, vtkStringArray) -> vtkSelection\nC++: static vtkSelection *ToValueSelection (vtkSelection *input, vtkDataObject *data, vtkStringArray *arrayNames);\n\n Static methods for easily converting between selection types.\n NOTE: The returned selection pointer IS reference counted,\n so be sure to Delete() it when you are done with it.\n"},
  {(char*)"ToSelectionType",                (PyCFunction)PyvtkConvertSelection_ToSelectionType, 1,
   (char*)"V.ToSelectionType(vtkSelection, vtkDataObject, int, vtkStringArray) -> vtkSelection\nC++: static vtkSelection *ToSelectionType (vtkSelection *input, vtkDataObject *data, int type, vtkStringArray *arrayNames);\n\n A generic static method for converting selection types.\n The type should be an integer constant defined in vtkSelection.h.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConvertSelectionDoc[] = {
  (char*)"vtkConvertSelection - \n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" vtkConvertSelection\n\n .SECTION Thanks\n\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkConvertSelectionStaticNew()
{
  return vtkConvertSelection::New();
}

PyObject *PyVTKClass_vtkConvertSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkConvertSelectionStaticNew,
                        PyvtkConvertSelectionMethods,
                        (char*)"vtkConvertSelection",modulename,
                        (char**)vtkConvertSelectionDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

