// python wrapper for vtkCubeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCubeSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCubeSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCubeSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCubeSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  const char    *temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  vtkCubeSource  *temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCubeSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCubeSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCubeSource_SetXLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp0;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetXLength(temp0);
      }
    else
      {
      op->SetXLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetXLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetXLengthMinValue();
      }
    else
      {
      temp20 = op->GetXLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetXLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetXLengthMaxValue();
      }
    else
      {
      temp20 = op->GetXLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetXLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetXLength();
      }
    else
      {
      temp20 = op->GetXLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_SetYLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp0;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetYLength(temp0);
      }
    else
      {
      op->SetYLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetYLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetYLengthMinValue();
      }
    else
      {
      temp20 = op->GetYLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetYLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetYLengthMaxValue();
      }
    else
      {
      temp20 = op->GetYLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetYLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetYLength();
      }
    else
      {
      temp20 = op->GetYLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_SetZLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp0;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetZLength(temp0);
      }
    else
      {
      op->SetZLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetZLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetZLengthMinValue();
      }
    else
      {
      temp20 = op->GetZLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetZLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetZLengthMaxValue();
      }
    else
      {
      temp20 = op->GetZLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetZLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetZLength();
      }
    else
      {
      temp20 = op->GetZLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double  *temp20;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeSource_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCubeSource *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCubeSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeSource::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCubeSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCubeSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCubeSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCubeSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCubeSource\nC++: vtkCubeSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCubeSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCubeSource\nC++: vtkCubeSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXLength",                (PyCFunction)PyvtkCubeSource_SetXLength, 1,
   (char*)"V.SetXLength(float)\nC++: void SetXLength (double );\n\n Set the length of the cube in the x-direction.\n"},
  {(char*)"GetXLengthMinValue",                (PyCFunction)PyvtkCubeSource_GetXLengthMinValue, 1,
   (char*)"V.GetXLengthMinValue() -> float\nC++: double GetXLengthMinValue ();\n\n Set the length of the cube in the x-direction.\n"},
  {(char*)"GetXLengthMaxValue",                (PyCFunction)PyvtkCubeSource_GetXLengthMaxValue, 1,
   (char*)"V.GetXLengthMaxValue() -> float\nC++: double GetXLengthMaxValue ();\n\n Set the length of the cube in the x-direction.\n"},
  {(char*)"GetXLength",                (PyCFunction)PyvtkCubeSource_GetXLength, 1,
   (char*)"V.GetXLength() -> float\nC++: double GetXLength ();\n\n Set the length of the cube in the x-direction.\n"},
  {(char*)"SetYLength",                (PyCFunction)PyvtkCubeSource_SetYLength, 1,
   (char*)"V.SetYLength(float)\nC++: void SetYLength (double );\n\n Set the length of the cube in the y-direction.\n"},
  {(char*)"GetYLengthMinValue",                (PyCFunction)PyvtkCubeSource_GetYLengthMinValue, 1,
   (char*)"V.GetYLengthMinValue() -> float\nC++: double GetYLengthMinValue ();\n\n Set the length of the cube in the y-direction.\n"},
  {(char*)"GetYLengthMaxValue",                (PyCFunction)PyvtkCubeSource_GetYLengthMaxValue, 1,
   (char*)"V.GetYLengthMaxValue() -> float\nC++: double GetYLengthMaxValue ();\n\n Set the length of the cube in the y-direction.\n"},
  {(char*)"GetYLength",                (PyCFunction)PyvtkCubeSource_GetYLength, 1,
   (char*)"V.GetYLength() -> float\nC++: double GetYLength ();\n\n Set the length of the cube in the y-direction.\n"},
  {(char*)"SetZLength",                (PyCFunction)PyvtkCubeSource_SetZLength, 1,
   (char*)"V.SetZLength(float)\nC++: void SetZLength (double );\n\n Set the length of the cube in the z-direction.\n"},
  {(char*)"GetZLengthMinValue",                (PyCFunction)PyvtkCubeSource_GetZLengthMinValue, 1,
   (char*)"V.GetZLengthMinValue() -> float\nC++: double GetZLengthMinValue ();\n\n Set the length of the cube in the z-direction.\n"},
  {(char*)"GetZLengthMaxValue",                (PyCFunction)PyvtkCubeSource_GetZLengthMaxValue, 1,
   (char*)"V.GetZLengthMaxValue() -> float\nC++: double GetZLengthMaxValue ();\n\n Set the length of the cube in the z-direction.\n"},
  {(char*)"GetZLength",                (PyCFunction)PyvtkCubeSource_GetZLength, 1,
   (char*)"V.GetZLength() -> float\nC++: double GetZLength ();\n\n Set the length of the cube in the z-direction.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkCubeSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the cube.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkCubeSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the cube.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkCubeSource_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double bounds[6]);\n\n Convenience method allows creation of cube by specifying bounding box.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCubeSourceDoc[] = {
  (char*)"vtkCubeSource - create a polygonal representation of a cube\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCubeSource creates a cube centered at origin. The cube is represented\n with four-sided polygons. It is possible to specify the length, width, \n and height of the cube independently.\n\n",
  NULL
};

static vtkObjectBase *vtkCubeSourceStaticNew()
{
  return vtkCubeSource::New();
}

PyObject *PyVTKClass_vtkCubeSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkCubeSourceStaticNew,
                        PyvtkCubeSourceMethods,
                        (char*)"vtkCubeSource",modulename,
                        (char**)vtkCubeSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

