// python wrapper for vtkCursor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCursor2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCursor2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCursor2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCursor2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  const char    *temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  vtkCursor2D  *temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCursor2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCursor2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCursor2D_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double  *temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double temp0[3];
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetFocalPoint(temp0);
      }
    else
      {
      op->SetFocalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double  *temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetFocalPoint();
      }
    else
      {
      temp20 = op->GetFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetOutline(temp0);
      }
    else
      {
      op->SetOutline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetOutline();
      }
    else
      {
      temp20 = op->GetOutline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_OutlineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::OutlineOn();
      }
    else
      {
      op->OutlineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_OutlineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::OutlineOff();
      }
    else
      {
      op->OutlineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetAxes(temp0);
      }
    else
      {
      op->SetAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetAxes();
      }
    else
      {
      temp20 = op->GetAxes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_AxesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::AxesOn();
      }
    else
      {
      op->AxesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_AxesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::AxesOff();
      }
    else
      {
      op->AxesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  double   temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetPoint(temp0);
      }
    else
      {
      op->SetPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetPoint();
      }
    else
      {
      temp20 = op->GetPoint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_PointOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::PointOn();
      }
    else
      {
      op->PointOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_PointOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::PointOff();
      }
    else
      {
      op->PointOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetTranslationMode(temp0);
      }
    else
      {
      op->SetTranslationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetTranslationMode();
      }
    else
      {
      temp20 = op->GetTranslationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_TranslationModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::TranslationModeOn();
      }
    else
      {
      op->TranslationModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_TranslationModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::TranslationModeOff();
      }
    else
      {
      op->TranslationModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_SetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp0;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::SetWrap(temp0);
      }
    else
      {
      op->SetWrap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_GetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  int      temp20;
  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor2D::GetWrap();
      }
    else
      {
      temp20 = op->GetWrap();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_WrapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::WrapOn();
      }
    else
      {
      op->WrapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_WrapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::WrapOff();
      }
    else
      {
      op->WrapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_AllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::AllOn();
      }
    else
      {
      op->AllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor2D_AllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor2D *op;

  op = (vtkCursor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor2D::AllOff();
      }
    else
      {
      op->AllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCursor2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCursor2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCursor2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCursor2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCursor2D\nC++: vtkCursor2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCursor2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCursor2D\nC++: vtkCursor2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkCursor2D_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double bounds[6]);\n\n Set / get the bounding box of the 2D cursor. This defines the outline\n of the cursor, and where the focal point should lie.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkCursor2D_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Set / get the bounding box of the 2D cursor. This defines the outline\n of the cursor, and where the focal point should lie.\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkCursor2D_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint((float, float, float))\nC++: void SetFocalPoint (double x[3]);\nV.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double x, double y, double z);double xyz xyz x xyz y xyz z this SetFocalPoint xyz \n\n Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.) Note that the \n method takes a 3D point but ignores the z-coordinate value.\n"},
  {(char*)"GetFocalPoint",                (PyCFunction)PyvtkCursor2D_GetFocalPoint, 1,
   (char*)"V.GetFocalPoint() -> (float, float, float)\nC++: double  *GetFocalPoint ();\n\n Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.) Note that the \n method takes a 3D point but ignores the z-coordinate value.\n"},
  {(char*)"SetOutline",                (PyCFunction)PyvtkCursor2D_SetOutline, 1,
   (char*)"V.SetOutline(int)\nC++: void SetOutline (int );\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"GetOutline",                (PyCFunction)PyvtkCursor2D_GetOutline, 1,
   (char*)"V.GetOutline() -> int\nC++: int GetOutline ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOn",                (PyCFunction)PyvtkCursor2D_OutlineOn, 1,
   (char*)"V.OutlineOn()\nC++: void OutlineOn ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOff",                (PyCFunction)PyvtkCursor2D_OutlineOff, 1,
   (char*)"V.OutlineOff()\nC++: void OutlineOff ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"SetAxes",                (PyCFunction)PyvtkCursor2D_SetAxes, 1,
   (char*)"V.SetAxes(int)\nC++: void SetAxes (int );\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"GetAxes",                (PyCFunction)PyvtkCursor2D_GetAxes, 1,
   (char*)"V.GetAxes() -> int\nC++: int GetAxes ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"AxesOn",                (PyCFunction)PyvtkCursor2D_AxesOn, 1,
   (char*)"V.AxesOn()\nC++: void AxesOn ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"AxesOff",                (PyCFunction)PyvtkCursor2D_AxesOff, 1,
   (char*)"V.AxesOff()\nC++: void AxesOff ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkCursor2D_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Specify a radius for a circle. This erases the cursor\n lines around the focal point.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkCursor2D_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Specify a radius for a circle. This erases the cursor\n lines around the focal point.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkCursor2D_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Specify a radius for a circle. This erases the cursor\n lines around the focal point.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkCursor2D_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Specify a radius for a circle. This erases the cursor\n lines around the focal point.\n"},
  {(char*)"SetPoint",                (PyCFunction)PyvtkCursor2D_SetPoint, 1,
   (char*)"V.SetPoint(int)\nC++: void SetPoint (int );\n\n Turn on/off the point located at the cursor focus.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkCursor2D_GetPoint, 1,
   (char*)"V.GetPoint() -> int\nC++: int GetPoint ();\n\n Turn on/off the point located at the cursor focus.\n"},
  {(char*)"PointOn",                (PyCFunction)PyvtkCursor2D_PointOn, 1,
   (char*)"V.PointOn()\nC++: void PointOn ();\n\n Turn on/off the point located at the cursor focus.\n"},
  {(char*)"PointOff",                (PyCFunction)PyvtkCursor2D_PointOff, 1,
   (char*)"V.PointOff()\nC++: void PointOff ();\n\n Turn on/off the point located at the cursor focus.\n"},
  {(char*)"SetTranslationMode",                (PyCFunction)PyvtkCursor2D_SetTranslationMode, 1,
   (char*)"V.SetTranslationMode(int)\nC++: void SetTranslationMode (int );\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"GetTranslationMode",                (PyCFunction)PyvtkCursor2D_GetTranslationMode, 1,
   (char*)"V.GetTranslationMode() -> int\nC++: int GetTranslationMode ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"TranslationModeOn",                (PyCFunction)PyvtkCursor2D_TranslationModeOn, 1,
   (char*)"V.TranslationModeOn()\nC++: void TranslationModeOn ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"TranslationModeOff",                (PyCFunction)PyvtkCursor2D_TranslationModeOff, 1,
   (char*)"V.TranslationModeOff()\nC++: void TranslationModeOff ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"SetWrap",                (PyCFunction)PyvtkCursor2D_SetWrap, 1,
   (char*)"V.SetWrap(int)\nC++: void SetWrap (int );\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"GetWrap",                (PyCFunction)PyvtkCursor2D_GetWrap, 1,
   (char*)"V.GetWrap() -> int\nC++: int GetWrap ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"WrapOn",                (PyCFunction)PyvtkCursor2D_WrapOn, 1,
   (char*)"V.WrapOn()\nC++: void WrapOn ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"WrapOff",                (PyCFunction)PyvtkCursor2D_WrapOff, 1,
   (char*)"V.WrapOff()\nC++: void WrapOff ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"AllOn",                (PyCFunction)PyvtkCursor2D_AllOn, 1,
   (char*)"V.AllOn()\nC++: void AllOn ();\n\n Turn every part of the cursor on or off.\n"},
  {(char*)"AllOff",                (PyCFunction)PyvtkCursor2D_AllOff, 1,
   (char*)"V.AllOff()\nC++: void AllOff ();\n\n Turn every part of the cursor on or off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCursor2DDoc[] = {
  (char*)"vtkCursor2D - generate a 2D cursor representation\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCursor2D is a class that generates a 2D cursor representation.\n The cursor consists of two intersection axes lines that meet at the\n cursor focus. Several optional features are available as well. An \n optional 2D bounding box may be enabled. An inner radius, centered at\n the focal point, can be set that erases the intersecting lines (e.g.,\n it leaves a clear area under the focal point so you c",
  (char*)"an see\n what you are selecting). And finally, an optional point can be\n enabled located at the focal point. All of these features can be turned\n on and off independently.\n\n\n",
  NULL
};

static vtkObjectBase *vtkCursor2DStaticNew()
{
  return vtkCursor2D::New();
}

PyObject *PyVTKClass_vtkCursor2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkCursor2DStaticNew,
                        PyvtkCursor2DMethods,
                        (char*)"vtkCursor2D",modulename,
                        (char**)vtkCursor2DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

