// python wrapper for vtkCursor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCursor3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCursor3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCursor3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCursor3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  const char    *temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  vtkCursor3D  *temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCursor3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCursor3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCursor3D_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double  *temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double temp0[3];
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetFocalPoint(temp0);
      }
    else
      {
      op->SetFocalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  double  *temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetFocalPoint();
      }
    else
      {
      temp20 = op->GetFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetOutline(temp0);
      }
    else
      {
      op->SetOutline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetOutline();
      }
    else
      {
      temp20 = op->GetOutline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_OutlineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::OutlineOn();
      }
    else
      {
      op->OutlineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_OutlineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::OutlineOff();
      }
    else
      {
      op->OutlineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetAxes(temp0);
      }
    else
      {
      op->SetAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetAxes();
      }
    else
      {
      temp20 = op->GetAxes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_AxesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::AxesOn();
      }
    else
      {
      op->AxesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_AxesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::AxesOff();
      }
    else
      {
      op->AxesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetXShadows(temp0);
      }
    else
      {
      op->SetXShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetXShadows();
      }
    else
      {
      temp20 = op->GetXShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_XShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::XShadowsOn();
      }
    else
      {
      op->XShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_XShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::XShadowsOff();
      }
    else
      {
      op->XShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetYShadows(temp0);
      }
    else
      {
      op->SetYShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetYShadows();
      }
    else
      {
      temp20 = op->GetYShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_YShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::YShadowsOn();
      }
    else
      {
      op->YShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_YShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::YShadowsOff();
      }
    else
      {
      op->YShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetZShadows(temp0);
      }
    else
      {
      op->SetZShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetZShadows();
      }
    else
      {
      temp20 = op->GetZShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_ZShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::ZShadowsOn();
      }
    else
      {
      op->ZShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_ZShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::ZShadowsOff();
      }
    else
      {
      op->ZShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetTranslationMode(temp0);
      }
    else
      {
      op->SetTranslationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetTranslationMode();
      }
    else
      {
      temp20 = op->GetTranslationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_TranslationModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::TranslationModeOn();
      }
    else
      {
      op->TranslationModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_TranslationModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::TranslationModeOff();
      }
    else
      {
      op->TranslationModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_SetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp0;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::SetWrap(temp0);
      }
    else
      {
      op->SetWrap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetWrap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  int      temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetWrap();
      }
    else
      {
      temp20 = op->GetWrap();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_WrapOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::WrapOn();
      }
    else
      {
      op->WrapOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_WrapOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::WrapOff();
      }
    else
      {
      op->WrapOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_GetFocus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  vtkPolyData  *temp20;
  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCursor3D::GetFocus();
      }
    else
      {
      temp20 = op->GetFocus();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_AllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::AllOn();
      }
    else
      {
      op->AllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCursor3D_AllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCursor3D *op;

  op = (vtkCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCursor3D::AllOff();
      }
    else
      {
      op->AllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCursor3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCursor3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCursor3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCursor3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCursor3D\nC++: vtkCursor3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCursor3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCursor3D\nC++: vtkCursor3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkCursor3D_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double bounds[6]);\n\n Set / get the boundary of the 3D cursor.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkCursor3D_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Set / get the boundary of the 3D cursor.\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkCursor3D_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint((float, float, float))\nC++: void SetFocalPoint (double x[3]);\nV.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double x, double y, double z);double xyz xyz x xyz y xyz z this SetFocalPoint xyz \n\n Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.)\n"},
  {(char*)"GetFocalPoint",                (PyCFunction)PyvtkCursor3D_GetFocalPoint, 1,
   (char*)"V.GetFocalPoint() -> (float, float, float)\nC++: double  *GetFocalPoint ();\n\n Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.)\n"},
  {(char*)"SetOutline",                (PyCFunction)PyvtkCursor3D_SetOutline, 1,
   (char*)"V.SetOutline(int)\nC++: void SetOutline (int );\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"GetOutline",                (PyCFunction)PyvtkCursor3D_GetOutline, 1,
   (char*)"V.GetOutline() -> int\nC++: int GetOutline ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOn",                (PyCFunction)PyvtkCursor3D_OutlineOn, 1,
   (char*)"V.OutlineOn()\nC++: void OutlineOn ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOff",                (PyCFunction)PyvtkCursor3D_OutlineOff, 1,
   (char*)"V.OutlineOff()\nC++: void OutlineOff ();\n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"SetAxes",                (PyCFunction)PyvtkCursor3D_SetAxes, 1,
   (char*)"V.SetAxes(int)\nC++: void SetAxes (int );\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"GetAxes",                (PyCFunction)PyvtkCursor3D_GetAxes, 1,
   (char*)"V.GetAxes() -> int\nC++: int GetAxes ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"AxesOn",                (PyCFunction)PyvtkCursor3D_AxesOn, 1,
   (char*)"V.AxesOn()\nC++: void AxesOn ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"AxesOff",                (PyCFunction)PyvtkCursor3D_AxesOff, 1,
   (char*)"V.AxesOff()\nC++: void AxesOff ();\n\n Turn on/off the wireframe axes.\n"},
  {(char*)"SetXShadows",                (PyCFunction)PyvtkCursor3D_SetXShadows, 1,
   (char*)"V.SetXShadows(int)\nC++: void SetXShadows (int );\n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"GetXShadows",                (PyCFunction)PyvtkCursor3D_GetXShadows, 1,
   (char*)"V.GetXShadows() -> int\nC++: int GetXShadows ();\n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOn",                (PyCFunction)PyvtkCursor3D_XShadowsOn, 1,
   (char*)"V.XShadowsOn()\nC++: void XShadowsOn ();\n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOff",                (PyCFunction)PyvtkCursor3D_XShadowsOff, 1,
   (char*)"V.XShadowsOff()\nC++: void XShadowsOff ();\n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"SetYShadows",                (PyCFunction)PyvtkCursor3D_SetYShadows, 1,
   (char*)"V.SetYShadows(int)\nC++: void SetYShadows (int );\n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"GetYShadows",                (PyCFunction)PyvtkCursor3D_GetYShadows, 1,
   (char*)"V.GetYShadows() -> int\nC++: int GetYShadows ();\n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOn",                (PyCFunction)PyvtkCursor3D_YShadowsOn, 1,
   (char*)"V.YShadowsOn()\nC++: void YShadowsOn ();\n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOff",                (PyCFunction)PyvtkCursor3D_YShadowsOff, 1,
   (char*)"V.YShadowsOff()\nC++: void YShadowsOff ();\n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"SetZShadows",                (PyCFunction)PyvtkCursor3D_SetZShadows, 1,
   (char*)"V.SetZShadows(int)\nC++: void SetZShadows (int );\n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"GetZShadows",                (PyCFunction)PyvtkCursor3D_GetZShadows, 1,
   (char*)"V.GetZShadows() -> int\nC++: int GetZShadows ();\n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOn",                (PyCFunction)PyvtkCursor3D_ZShadowsOn, 1,
   (char*)"V.ZShadowsOn()\nC++: void ZShadowsOn ();\n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOff",                (PyCFunction)PyvtkCursor3D_ZShadowsOff, 1,
   (char*)"V.ZShadowsOff()\nC++: void ZShadowsOff ();\n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"SetTranslationMode",                (PyCFunction)PyvtkCursor3D_SetTranslationMode, 1,
   (char*)"V.SetTranslationMode(int)\nC++: void SetTranslationMode (int );\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"GetTranslationMode",                (PyCFunction)PyvtkCursor3D_GetTranslationMode, 1,
   (char*)"V.GetTranslationMode() -> int\nC++: int GetTranslationMode ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"TranslationModeOn",                (PyCFunction)PyvtkCursor3D_TranslationModeOn, 1,
   (char*)"V.TranslationModeOn()\nC++: void TranslationModeOn ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"TranslationModeOff",                (PyCFunction)PyvtkCursor3D_TranslationModeOff, 1,
   (char*)"V.TranslationModeOff()\nC++: void TranslationModeOff ();\n\n Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n"},
  {(char*)"SetWrap",                (PyCFunction)PyvtkCursor3D_SetWrap, 1,
   (char*)"V.SetWrap(int)\nC++: void SetWrap (int );\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"GetWrap",                (PyCFunction)PyvtkCursor3D_GetWrap, 1,
   (char*)"V.GetWrap() -> int\nC++: int GetWrap ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"WrapOn",                (PyCFunction)PyvtkCursor3D_WrapOn, 1,
   (char*)"V.WrapOn()\nC++: void WrapOn ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"WrapOff",                (PyCFunction)PyvtkCursor3D_WrapOff, 1,
   (char*)"V.WrapOff()\nC++: void WrapOff ();\n\n Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n"},
  {(char*)"GetFocus",                (PyCFunction)PyvtkCursor3D_GetFocus, 1,
   (char*)"V.GetFocus() -> vtkPolyData\nC++: vtkPolyData *GetFocus ();return this Focus \n\n Get the focus for this filter.\n"},
  {(char*)"AllOn",                (PyCFunction)PyvtkCursor3D_AllOn, 1,
   (char*)"V.AllOn()\nC++: void AllOn ();\n\n Turn every part of the 3D cursor on or off.\n"},
  {(char*)"AllOff",                (PyCFunction)PyvtkCursor3D_AllOff, 1,
   (char*)"V.AllOff()\nC++: void AllOff ();\n\n Turn every part of the 3D cursor on or off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCursor3DDoc[] = {
  (char*)"vtkCursor3D - generate a 3D cursor representation\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCursor3D is an object that generates a 3D representation of a cursor.\n The cursor consists of a wireframe bounding box, three intersecting \n axes lines that meet at the cursor focus, and \"shadows\" or projections\n of the axes against the sides of the bounding box. Each of these\n components can be turned on/off.\n\n This filter generates two output datasets. The first (Output) is just the \n geomet",
  (char*)"ric representation of the cursor. The second (Focus) is a single\n point at the focal point.\n\n",
  NULL
};

static vtkObjectBase *vtkCursor3DStaticNew()
{
  return vtkCursor3D::New();
}

PyObject *PyVTKClass_vtkCursor3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkCursor3DStaticNew,
                        PyvtkCursor3DMethods,
                        (char*)"vtkCursor3D",modulename,
                        (char**)vtkCursor3DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

