// tcl wrapper for vtkCursor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCursor3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCursor3DNewCommand()
{
  vtkCursor3D *temp = vtkCursor3D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCursor3DCppCommand(vtkCursor3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCursor3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCursor3DCppCommand(static_cast<vtkCursor3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCursor3DCppCommand(vtkCursor3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCursor3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCursor3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCursor3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCursor3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCursor3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCursor3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCursor3D");
    return TCL_OK;
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetModelBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFocalPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOn",argv[1]))&&(argc == 2))
    {
    op->OutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOff",argv[1]))&&(argc == 2))
    {
    op->OutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AxesOn",argv[1]))&&(argc == 2))
    {
    op->AxesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AxesOff",argv[1]))&&(argc == 2))
    {
    op->AxesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOn",argv[1]))&&(argc == 2))
    {
    op->XShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOff",argv[1]))&&(argc == 2))
    {
    op->XShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOn",argv[1]))&&(argc == 2))
    {
    op->YShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOff",argv[1]))&&(argc == 2))
    {
    op->YShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOn",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOff",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOn",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOff",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWrap",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrap",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrap();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WrapOn",argv[1]))&&(argc == 2))
    {
    op->WrapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WrapOff",argv[1]))&&(argc == 2))
    {
    op->WrapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFocus",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetFocus();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("AllOn",argv[1]))&&(argc == 2))
    {
    op->AllOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllOff",argv[1]))&&(argc == 2))
    {
    op->AllOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCursor3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCursor3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModelBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutline\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxes\n",NULL);
    Tcl_AppendResult(interp,"  AxesOn\n",NULL);
    Tcl_AppendResult(interp,"  AxesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXShadows\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYShadows\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZShadows\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationMode\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWrap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrap\n",NULL);
    Tcl_AppendResult(interp,"  WrapOn\n",NULL);
    Tcl_AppendResult(interp,"  WrapOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFocus\n",NULL);
    Tcl_AppendResult(interp,"  AllOn\n",NULL);
    Tcl_AppendResult(interp,"  AllOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    Tcl_DStringAppendElement ( &dString, "SetAxes" );
    Tcl_DStringAppendElement ( &dString, "GetAxes" );
    Tcl_DStringAppendElement ( &dString, "AxesOn" );
    Tcl_DStringAppendElement ( &dString, "AxesOff" );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetWrap" );
    Tcl_DStringAppendElement ( &dString, "GetWrap" );
    Tcl_DStringAppendElement ( &dString, "WrapOn" );
    Tcl_DStringAppendElement ( &dString, "WrapOff" );
    Tcl_DStringAppendElement ( &dString, "GetFocus" );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with model bounds = (-1,1,-1,1,-1,1), focal point = (0,0,0),\n all parts of cursor visible, and wrapping off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCursor3D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the boundary of the 3D cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelBounds */
    if ( strcmp ( argv[2], "SetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the boundary of the 3D cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModelBounds (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModelBounds */
    if ( strcmp ( argv[2], "GetModelBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelBounds */
    Tcl_DStringAppendElement ( &dString, " Set / get the boundary of the 3D cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetModelBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetModelBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFocalPoint */
    if ( strcmp ( argv[2], "SetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFocalPoint (double x, double y, double z);double xyz xyz x xyz y xyz z this SetFocalPoint xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocalPoint */
    if ( strcmp ( argv[2], "GetFocalPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocalPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocalPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of cursor focus. If translation mode is on,\n then the entire cursor (including bounding box, cursor, and shadows)\n is translated. Otherwise, the focal point will either be clamped to the\n bounding box, or wrapped, if Wrap is on. (Note: this behavior requires\n that the bounding box is set prior to the focal point.)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetFocalPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetFocalPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutline */
    if ( strcmp ( argv[2], "SetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutline (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutline */
    if ( strcmp ( argv[2], "GetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutline ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOn */
    if ( strcmp ( argv[2], "OutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for OutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOff */
    if ( strcmp ( argv[2], "OutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for OutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxes */
    if ( strcmp ( argv[2], "SetAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxes (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxes */
    if ( strcmp ( argv[2], "GetAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe axes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxesOn */
    if ( strcmp ( argv[2], "AxesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for AxesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxesOff */
    if ( strcmp ( argv[2], "AxesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for AxesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXShadows */
    if ( strcmp ( argv[2], "SetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXShadows (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXShadows */
    if ( strcmp ( argv[2], "GetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXShadows ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOn */
    if ( strcmp ( argv[2], "XShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for XShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOff */
    if ( strcmp ( argv[2], "XShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for XShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYShadows */
    if ( strcmp ( argv[2], "SetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYShadows (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYShadows */
    if ( strcmp ( argv[2], "GetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYShadows ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOn */
    if ( strcmp ( argv[2], "YShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for YShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOff */
    if ( strcmp ( argv[2], "YShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for YShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZShadows */
    if ( strcmp ( argv[2], "SetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZShadows (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZShadows */
    if ( strcmp ( argv[2], "GetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZShadows ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOn */
    if ( strcmp ( argv[2], "ZShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for ZShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOff */
    if ( strcmp ( argv[2], "ZShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for ZShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationMode */
    if ( strcmp ( argv[2], "SetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationMode */
    if ( strcmp ( argv[2], "GetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslationMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOn */
    if ( strcmp ( argv[2], "TranslationModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for TranslationModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOff */
    if ( strcmp ( argv[2], "TranslationModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the translation mode. If on, changes in cursor position\n cause the entire widget to translate along with the cursor.\n By default, translation mode is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for TranslationModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrap */
    if ( strcmp ( argv[2], "SetWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrap */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrap (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for SetWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrap */
    if ( strcmp ( argv[2], "GetWrap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrap */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrap ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetWrap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WrapOn */
    if ( strcmp ( argv[2], "WrapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WrapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WrapOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n" );
    Tcl_DStringAppendElement ( &dString, "void WrapOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for WrapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WrapOff */
    if ( strcmp ( argv[2], "WrapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WrapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WrapOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off cursor wrapping. If the cursor focus moves outside the\n specified bounds, the cursor will either be restrained against the\n nearest \"wall\" (Wrap=off), or it will wrap around (Wrap=on).\n" );
    Tcl_DStringAppendElement ( &dString, "void WrapOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for WrapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFocus */
    if ( strcmp ( argv[2], "GetFocus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFocus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFocus */
    Tcl_DStringAppendElement ( &dString, " Get the focus for this filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetFocus ();return this Focus " );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for GetFocus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOn */
    if ( strcmp ( argv[2], "AllOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOn */
    Tcl_DStringAppendElement ( &dString, " Turn every part of the 3D cursor on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for AllOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOff */
    if ( strcmp ( argv[2], "AllOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOff */
    Tcl_DStringAppendElement ( &dString, " Turn every part of the 3D cursor on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCursor3D" );
    /* Closing for AllOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
