// python wrapper for vtkCurvatures object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCurvatures.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCurvaturesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCurvaturesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCurvatures_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  const char    *temp20;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCurvatures::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  char    *temp0;
  int      temp20;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCurvatures::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  vtkCurvatures  *temp20;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCurvatures::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCurvatures  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCurvatures::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCurvatures_SetCurvatureType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  int      temp0;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetCurvatureType(temp0);
      }
    else
      {
      op->SetCurvatureType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_GetCurvatureType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  int      temp20;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCurvatures::GetCurvatureType();
      }
    else
      {
      temp20 = op->GetCurvatureType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SetCurvatureTypeToGaussian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetCurvatureTypeToGaussian();
      }
    else
      {
      op->SetCurvatureTypeToGaussian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SetCurvatureTypeToMean(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetCurvatureTypeToMean();
      }
    else
      {
      op->SetCurvatureTypeToMean();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SetCurvatureTypeToMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetCurvatureTypeToMaximum();
      }
    else
      {
      op->SetCurvatureTypeToMaximum();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SetCurvatureTypeToMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetCurvatureTypeToMinimum();
      }
    else
      {
      op->SetCurvatureTypeToMinimum();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_SetInvertMeanCurvature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  int      temp0;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::SetInvertMeanCurvature(temp0);
      }
    else
      {
      op->SetInvertMeanCurvature(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_GetInvertMeanCurvature(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  int      temp20;
  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCurvatures::GetInvertMeanCurvature();
      }
    else
      {
      temp20 = op->GetInvertMeanCurvature();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_InvertMeanCurvatureOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::InvertMeanCurvatureOn();
      }
    else
      {
      op->InvertMeanCurvatureOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCurvatures_InvertMeanCurvatureOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCurvatures *op;

  op = (vtkCurvatures *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCurvatures::InvertMeanCurvatureOff();
      }
    else
      {
      op->InvertMeanCurvatureOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCurvaturesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCurvatures_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCurvatures_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCurvatures_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCurvatures\nC++: vtkCurvatures *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCurvatures_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCurvatures\nC++: vtkCurvatures *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCurvatureType",                (PyCFunction)PyvtkCurvatures_SetCurvatureType, 1,
   (char*)"V.SetCurvatureType(int)\nC++: void SetCurvatureType (int );\n\n Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n"},
  {(char*)"GetCurvatureType",                (PyCFunction)PyvtkCurvatures_GetCurvatureType, 1,
   (char*)"V.GetCurvatureType() -> int\nC++: int GetCurvatureType ();\n\n Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n"},
  {(char*)"SetCurvatureTypeToGaussian",                (PyCFunction)PyvtkCurvatures_SetCurvatureTypeToGaussian, 1,
   (char*)"V.SetCurvatureTypeToGaussian()\nC++: void SetCurvatureTypeToGaussian ();this SetCurvatureType VTK_CURVATURE_GAUSS \n\n Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n"},
  {(char*)"SetCurvatureTypeToMean",                (PyCFunction)PyvtkCurvatures_SetCurvatureTypeToMean, 1,
   (char*)"V.SetCurvatureTypeToMean()\nC++: void SetCurvatureTypeToMean ();this SetCurvatureType VTK_CURVATURE_MEAN \n\n Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n"},
  {(char*)"SetCurvatureTypeToMaximum",                (PyCFunction)PyvtkCurvatures_SetCurvatureTypeToMaximum, 1,
   (char*)"V.SetCurvatureTypeToMaximum()\nC++: void SetCurvatureTypeToMaximum ();this SetCurvatureType VTK_CURVATURE_MAXIMUM \n\n Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n"},
  {(char*)"SetCurvatureTypeToMinimum",                (PyCFunction)PyvtkCurvatures_SetCurvatureTypeToMinimum, 1,
   (char*)"V.SetCurvatureTypeToMinimum()\nC++: void SetCurvatureTypeToMinimum ();this SetCurvatureType VTK_CURVATURE_MINIMUM \n\n Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n"},
  {(char*)"SetInvertMeanCurvature",                (PyCFunction)PyvtkCurvatures_SetInvertMeanCurvature, 1,
   (char*)"V.SetInvertMeanCurvature(int)\nC++: void SetInvertMeanCurvature (int );\n\n Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n"},
  {(char*)"GetInvertMeanCurvature",                (PyCFunction)PyvtkCurvatures_GetInvertMeanCurvature, 1,
   (char*)"V.GetInvertMeanCurvature() -> int\nC++: int GetInvertMeanCurvature ();\n\n Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n"},
  {(char*)"InvertMeanCurvatureOn",                (PyCFunction)PyvtkCurvatures_InvertMeanCurvatureOn, 1,
   (char*)"V.InvertMeanCurvatureOn()\nC++: void InvertMeanCurvatureOn ();\n\n Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n"},
  {(char*)"InvertMeanCurvatureOff",                (PyCFunction)PyvtkCurvatures_InvertMeanCurvatureOff, 1,
   (char*)"V.InvertMeanCurvatureOff()\nC++: void InvertMeanCurvatureOff ();\n\n Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCurvaturesDoc[] = {
  (char*)"vtkCurvatures - compute curvatures (Gauss and mean) of a Polydata object\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCurvatures takes a polydata input and computes the curvature of the\n mesh at each point. Four possible methods of computation are available :\n\n Gauss Curvature\n discrete Gauss curvature (K) computation,\n \\f$K(vertex v) = 2*PI-\\sum_{facet neighbs f of v} (angle_f at v)\\f$\n The contribution of every facet is for the moment weighted by \\f$Area(facet)/3\\f$\n The units of Gaussian Curvature are \\f$[",
  (char*)"1/m^2]\\f$\n\n Mean Curvature\n \\f$H(vertex v) = average over edges neighbs e of H(e)\\f$\n \\f$H(edge e) = length(e)*dihedral_angle(e)\\f$\n NB: dihedral_angle is the ORIENTED angle between -PI and PI,\n this means that the surface is assumed to be orientable\n the computation creates the orientation\n The units of Mean Curvature are [1/m]\n\n Maximum (\\f$k_max\\f$) and Minimum (\\f$k_min\\f$) Principal Curvature",
  (char*)"s\n \\f$k_max = H + sqrt(H^2 - K)\\f$\n \\f$k_min = H - sqrt(H^2 - K)\\f$\n Excepting spherical and planar surfaces which have equal principal curvatures,\n the curvature at a point on a surface varies with the direction one \"sets off\"\n from the point. For all directions, the curvature will pass through two extrema:\n a minimum (\\f$k_min\\f$) and a maximum (\\f$k_max\\f$) which occur at mutually orthogonal\n d",
  (char*)"irections to each other.\n\n NB. The sign of the Gauss curvature is a geometric ivariant, it should be +ve\n when the surface looks like a sphere, -ve when it looks like a saddle,\n however, the sign of the Mean curvature is not, it depends on the\n convention for normals - This code assumes that normals point outwards (ie\n from the surface of a sphere outwards). If a given mesh produces curvatures\n of",
  (char*)" opposite senses then the flag InvertMeanCurvature can be set and the\n Curvature reported by the Mean calculation will be inverted.\n\n .SECTION Thanks\n Philip Batchelor philipp.batchelor@kcl.ac.uk for creating and contributing\n the class and Andrew Maclean a.maclean@acfr.usyd.edu.au for cleanups and \n fixes. Thanks also to Goodwin Lawlor for contributing patch to calculate\n principal curvatures\n\n",
  "See Also:\n\n \n\n",
  NULL
};

static vtkObjectBase *vtkCurvaturesStaticNew()
{
  return vtkCurvatures::New();
}

PyObject *PyVTKClass_vtkCurvaturesNew(char *modulename)
{
  return PyVTKClass_New(&vtkCurvaturesStaticNew,
                        PyvtkCurvaturesMethods,
                        (char*)"vtkCurvatures",modulename,
                        (char**)vtkCurvaturesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

