// tcl wrapper for vtkCurvatures object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCurvatures.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCurvaturesNewCommand()
{
  vtkCurvatures *temp = vtkCurvatures::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCurvaturesCppCommand(vtkCurvatures *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCurvaturesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCurvaturesCppCommand(static_cast<vtkCurvatures *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCurvaturesCppCommand(vtkCurvatures *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCurvatures",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCurvatures  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCurvatures");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCurvatures  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCurvatures");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCurvatures  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCurvatures");
    return TCL_OK;
    }
  if ((!strcmp("SetCurvatureType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurvatureType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurvatureType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurvatureType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurvatureTypeToGaussian",argv[1]))&&(argc == 2))
    {
    op->SetCurvatureTypeToGaussian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurvatureTypeToMean",argv[1]))&&(argc == 2))
    {
    op->SetCurvatureTypeToMean();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurvatureTypeToMaximum",argv[1]))&&(argc == 2))
    {
    op->SetCurvatureTypeToMaximum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurvatureTypeToMinimum",argv[1]))&&(argc == 2))
    {
    op->SetCurvatureTypeToMinimum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInvertMeanCurvature",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInvertMeanCurvature(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInvertMeanCurvature",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInvertMeanCurvature();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InvertMeanCurvatureOn",argv[1]))&&(argc == 2))
    {
    op->InvertMeanCurvatureOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvertMeanCurvatureOff",argv[1]))&&(argc == 2))
    {
    op->InvertMeanCurvatureOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCurvaturesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCurvatures:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCurvatureType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurvatureType\n",NULL);
    Tcl_AppendResult(interp,"  SetCurvatureTypeToGaussian\n",NULL);
    Tcl_AppendResult(interp,"  SetCurvatureTypeToMean\n",NULL);
    Tcl_AppendResult(interp,"  SetCurvatureTypeToMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetCurvatureTypeToMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetInvertMeanCurvature\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInvertMeanCurvature\n",NULL);
    Tcl_AppendResult(interp,"  InvertMeanCurvatureOn\n",NULL);
    Tcl_AppendResult(interp,"  InvertMeanCurvatureOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureType" );
    Tcl_DStringAppendElement ( &dString, "GetCurvatureType" );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToGaussian" );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMean" );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMaximum" );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMinimum" );
    Tcl_DStringAppendElement ( &dString, "SetInvertMeanCurvature" );
    Tcl_DStringAppendElement ( &dString, "GetInvertMeanCurvature" );
    Tcl_DStringAppendElement ( &dString, "InvertMeanCurvatureOn" );
    Tcl_DStringAppendElement ( &dString, "InvertMeanCurvatureOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with curvature type set to Gauss\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCurvatures *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurvatureType */
    if ( strcmp ( argv[2], "SetCurvatureType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurvatureType */
    Tcl_DStringAppendElement ( &dString, " Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurvatureType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetCurvatureType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurvatureType */
    if ( strcmp ( argv[2], "GetCurvatureType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurvatureType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurvatureType */
    Tcl_DStringAppendElement ( &dString, " Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurvatureType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for GetCurvatureType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurvatureTypeToGaussian */
    if ( strcmp ( argv[2], "SetCurvatureTypeToGaussian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToGaussian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurvatureTypeToGaussian */
    Tcl_DStringAppendElement ( &dString, " Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurvatureTypeToGaussian ();this SetCurvatureType VTK_CURVATURE_GAUSS " );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetCurvatureTypeToGaussian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurvatureTypeToMean */
    if ( strcmp ( argv[2], "SetCurvatureTypeToMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurvatureTypeToMean */
    Tcl_DStringAppendElement ( &dString, " Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurvatureTypeToMean ();this SetCurvatureType VTK_CURVATURE_MEAN " );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetCurvatureTypeToMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurvatureTypeToMaximum */
    if ( strcmp ( argv[2], "SetCurvatureTypeToMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurvatureTypeToMaximum */
    Tcl_DStringAppendElement ( &dString, " Set/Get Curvature type\n VTK_CURVATURE_GAUSS: Gaussian curvature, stored as\n DataArray \"Gauss_Curvature\"\n VTK_CURVATURE_MEAN : Mean curvature, stored as\n DataArray \"Mean_Curvature\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurvatureTypeToMaximum ();this SetCurvatureType VTK_CURVATURE_MAXIMUM " );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetCurvatureTypeToMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurvatureTypeToMinimum */
    if ( strcmp ( argv[2], "SetCurvatureTypeToMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurvatureTypeToMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurvatureTypeToMinimum */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurvatureTypeToMinimum ();this SetCurvatureType VTK_CURVATURE_MINIMUM " );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetCurvatureTypeToMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInvertMeanCurvature */
    if ( strcmp ( argv[2], "SetInvertMeanCurvature" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInvertMeanCurvature" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInvertMeanCurvature */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInvertMeanCurvature (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for SetInvertMeanCurvature */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInvertMeanCurvature */
    if ( strcmp ( argv[2], "GetInvertMeanCurvature" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInvertMeanCurvature" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInvertMeanCurvature */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInvertMeanCurvature ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for GetInvertMeanCurvature */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvertMeanCurvatureOn */
    if ( strcmp ( argv[2], "InvertMeanCurvatureOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvertMeanCurvatureOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvertMeanCurvatureOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n" );
    Tcl_DStringAppendElement ( &dString, "void InvertMeanCurvatureOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for InvertMeanCurvatureOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvertMeanCurvatureOff */
    if ( strcmp ( argv[2], "InvertMeanCurvatureOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvertMeanCurvatureOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvertMeanCurvatureOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag which inverts the mean curvature calculation for\n meshes with inward pointing normals (default false)\n" );
    Tcl_DStringAppendElement ( &dString, "void InvertMeanCurvatureOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCurvatures" );
    /* Closing for InvertMeanCurvatureOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
