// python wrapper for vtkDashedStreamLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDashedStreamLine.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDashedStreamLineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDashedStreamLineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamLineNew(char *); }

static PyObject *PyvtkDashedStreamLine_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  const char    *temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  char    *temp0;
  int      temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  vtkDashedStreamLine  *temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDashedStreamLine  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDashedStreamLine::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_SetDashFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  double   temp0;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDashedStreamLine::SetDashFactor(temp0);
      }
    else
      {
      op->SetDashFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_GetDashFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  double   temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::GetDashFactorMinValue();
      }
    else
      {
      temp20 = op->GetDashFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_GetDashFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  double   temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::GetDashFactorMaxValue();
      }
    else
      {
      temp20 = op->GetDashFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDashedStreamLine_GetDashFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDashedStreamLine *op;

  double   temp20;
  op = (vtkDashedStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDashedStreamLine::GetDashFactor();
      }
    else
      {
      temp20 = op->GetDashFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDashedStreamLineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDashedStreamLine_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDashedStreamLine_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDashedStreamLine_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDashedStreamLine\nC++: vtkDashedStreamLine *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDashedStreamLine_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDashedStreamLine\nC++: vtkDashedStreamLine *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDashFactor",                (PyCFunction)PyvtkDashedStreamLine_SetDashFactor, 1,
   (char*)"V.SetDashFactor(float)\nC++: void SetDashFactor (double );\n\n For each dash, specify the fraction of the dash that is \"on\". A factor\n of 1.0 will result in a continuous line, a factor of 0.5 will result in \n dashed that are half on and half off.\n"},
  {(char*)"GetDashFactorMinValue",                (PyCFunction)PyvtkDashedStreamLine_GetDashFactorMinValue, 1,
   (char*)"V.GetDashFactorMinValue() -> float\nC++: double GetDashFactorMinValue ();\n\n For each dash, specify the fraction of the dash that is \"on\". A factor\n of 1.0 will result in a continuous line, a factor of 0.5 will result in \n dashed that are half on and half off.\n"},
  {(char*)"GetDashFactorMaxValue",                (PyCFunction)PyvtkDashedStreamLine_GetDashFactorMaxValue, 1,
   (char*)"V.GetDashFactorMaxValue() -> float\nC++: double GetDashFactorMaxValue ();\n\n For each dash, specify the fraction of the dash that is \"on\". A factor\n of 1.0 will result in a continuous line, a factor of 0.5 will result in \n dashed that are half on and half off.\n"},
  {(char*)"GetDashFactor",                (PyCFunction)PyvtkDashedStreamLine_GetDashFactor, 1,
   (char*)"V.GetDashFactor() -> float\nC++: double GetDashFactor ();\n\n For each dash, specify the fraction of the dash that is \"on\". A factor\n of 1.0 will result in a continuous line, a factor of 0.5 will result in \n dashed that are half on and half off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDashedStreamLineDoc[] = {
  (char*)"vtkDashedStreamLine - generate constant-time dashed streamline in arbitrary dataset\n\n",
  "Super Class:\n\n vtkStreamLine\n\n",
  (char*)" vtkDashedStreamLine is a filter that generates a \"dashed\" streamline for \n an arbitrary dataset. The streamline consists of a series of dashes, each \n of which represents (approximately) a constant time increment. Thus, in the\n resulting visual representation, relatively long dashes represent areas of \n high velocity, and small dashes represent areas of low velocity.\n\n vtkDashedStreamLine introdu",
  (char*)"ces the instance variable DashFactor. \n DashFactor interacts with its superclass' instance variable StepLength to\n create the dashes. DashFactor is the percentage of the StepLength line \n segment that is visible. Thus, if the DashFactor=0.75, the dashes will be \n \"three-quarters on\" and \"one-quarter off\".\n\n",
  "See Also:\n\n vtkStreamer vtkStreamLine vtkStreamPoints\n\n",
  NULL
};

static vtkObjectBase *vtkDashedStreamLineStaticNew()
{
  return vtkDashedStreamLine::New();
}

PyObject *PyVTKClass_vtkDashedStreamLineNew(char *modulename)
{
  return PyVTKClass_New(&vtkDashedStreamLineStaticNew,
                        PyvtkDashedStreamLineMethods,
                        (char*)"vtkDashedStreamLine",modulename,
                        (char**)vtkDashedStreamLineDoc,
                        PyVTKClass_vtkStreamLineNew(modulename));
}

