// python wrapper for vtkDataObjectToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDataObjectToDataSetFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectToDataSetFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectToDataSetFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkDataObjectToDataSetFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkDataObjectToDataSetFilter  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataObjectToDataSetFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataObjectToDataSetFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkDataObject  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetType(temp0);
      }
    else
      {
      op->SetDataSetType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetDataSetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetDataSetType();
      }
    else
      {
      temp20 = op->GetDataSetType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetTypeToPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetTypeToPolyData();
      }
    else
      {
      op->SetDataSetTypeToPolyData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetTypeToStructuredPoints();
      }
    else
      {
      op->SetDataSetTypeToStructuredPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetTypeToStructuredGrid();
      }
    else
      {
      op->SetDataSetTypeToStructuredGrid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetTypeToRectilinearGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetTypeToRectilinearGrid();
      }
    else
      {
      op->SetDataSetTypeToRectilinearGrid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDataSetTypeToUnstructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDataSetTypeToUnstructuredGrid();
      }
    else
      {
      op->SetDataSetTypeToUnstructuredGrid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkDataSet  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkPolyData  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStructuredPointsOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkStructuredPoints  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStructuredPointsOutput();
      }
    else
      {
      temp20 = op->GetStructuredPointsOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkStructuredGrid  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetRectilinearGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetRectilinearGridOutput();
      }
    else
      {
      temp20 = op->GetRectilinearGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetPointComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetPointComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetPointComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPointComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPointComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPointComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPointComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetPointComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPointComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPointComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetPointComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPointComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPointComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetPointComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPointComponentNormailzeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPointComponentNormailzeFlag(temp0);
      }
    else
      {
      temp20 = op->GetPointComponentNormailzeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetVertsComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetVertsComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetVertsComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetVertsComponent(temp0,temp1);
      }
    else
      {
      op->SetVertsComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetVertsComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetVertsComponentArrayName();
      }
    else
      {
      temp20 = op->GetVertsComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetVertsComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetVertsComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetVertsComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetVertsComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetVertsComponentMinRange();
      }
    else
      {
      temp20 = op->GetVertsComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetVertsComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetVertsComponentMaxRange();
      }
    else
      {
      temp20 = op->GetVertsComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetLinesComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetLinesComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetLinesComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetLinesComponent(temp0,temp1);
      }
    else
      {
      op->SetLinesComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetLinesComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetLinesComponentArrayName();
      }
    else
      {
      temp20 = op->GetLinesComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetLinesComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetLinesComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetLinesComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetLinesComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetLinesComponentMinRange();
      }
    else
      {
      temp20 = op->GetLinesComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetLinesComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetLinesComponentMaxRange();
      }
    else
      {
      temp20 = op->GetLinesComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetPolysComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetPolysComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPolysComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetPolysComponent(temp0,temp1);
      }
    else
      {
      op->SetPolysComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPolysComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPolysComponentArrayName();
      }
    else
      {
      temp20 = op->GetPolysComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPolysComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPolysComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetPolysComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPolysComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPolysComponentMinRange();
      }
    else
      {
      temp20 = op->GetPolysComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetPolysComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetPolysComponentMaxRange();
      }
    else
      {
      temp20 = op->GetPolysComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetStripsComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetStripsComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetStripsComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetStripsComponent(temp0,temp1);
      }
    else
      {
      op->SetStripsComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStripsComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStripsComponentArrayName();
      }
    else
      {
      temp20 = op->GetStripsComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStripsComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStripsComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetStripsComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStripsComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStripsComponentMinRange();
      }
    else
      {
      temp20 = op->GetStripsComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetStripsComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetStripsComponentMaxRange();
      }
    else
      {
      temp20 = op->GetStripsComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetCellTypeComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetCellTypeComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetCellTypeComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetCellTypeComponent(temp0,temp1);
      }
    else
      {
      op->SetCellTypeComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellTypeComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellTypeComponentArrayName();
      }
    else
      {
      temp20 = op->GetCellTypeComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellTypeComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellTypeComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetCellTypeComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellTypeComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellTypeComponentMinRange();
      }
    else
      {
      temp20 = op->GetCellTypeComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellTypeComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellTypeComponentMaxRange();
      }
    else
      {
      temp20 = op->GetCellTypeComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetCellConnectivityComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetCellConnectivityComponent(temp0,temp1);
      }
    else
      {
      op->SetCellConnectivityComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  const char    *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellConnectivityComponentArrayName();
      }
    else
      {
      temp20 = op->GetCellConnectivityComponentArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellConnectivityComponentArrayComponent();
      }
    else
      {
      temp20 = op->GetCellConnectivityComponentArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellConnectivityComponentMinRange();
      }
    else
      {
      temp20 = op->GetCellConnectivityComponentMinRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetCellConnectivityComponentMaxRange();
      }
    else
      {
      temp20 = op->GetCellConnectivityComponentMaxRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDefaultNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDefaultNormalize(temp0);
      }
    else
      {
      op->SetDefaultNormalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetDefaultNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetDefaultNormalize();
      }
    else
      {
      temp20 = op->GetDefaultNormalize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_DefaultNormalizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::DefaultNormalizeOn();
      }
    else
      {
      op->DefaultNormalizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_DefaultNormalizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::DefaultNormalizeOff();
      }
    else
      {
      op->DefaultNormalizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  int     *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  double  *temp20;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectToDataSetFilter::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetDimensionsComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDimensionsComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetDimensionsComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetDimensionsComponent(temp0,temp1);
      }
    else
      {
      op->SetDimensionsComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetSpacingComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetSpacingComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetSpacingComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetSpacingComponent(temp0,temp1);
      }
    else
      {
      op->SetSpacingComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectToDataSetFilter_SetOriginComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetOriginComponent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetOriginComponent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectToDataSetFilter *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkDataObjectToDataSetFilter *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectToDataSetFilter::SetOriginComponent(temp0,temp1);
      }
    else
      {
      op->SetOriginComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataObjectToDataSetFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectToDataSetFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectToDataSetFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectToDataSetFilter\nC++: vtkDataObjectToDataSetFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataObjectToDataSetFilter\nC++: vtkDataObjectToDataSetFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\n\n Get the input to the filter.\n"},
  {(char*)"SetDataSetType",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetType, 1,
   (char*)"V.SetDataSetType(int)\nC++: void SetDataSetType (int );\n\n Control what type of data is generated for output.\n"},
  {(char*)"GetDataSetType",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetDataSetType, 1,
   (char*)"V.GetDataSetType() -> int\nC++: int GetDataSetType ();\n\n Control what type of data is generated for output.\n"},
  {(char*)"SetDataSetTypeToPolyData",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetTypeToPolyData, 1,
   (char*)"V.SetDataSetTypeToPolyData()\nC++: void SetDataSetTypeToPolyData ();this SetDataSetType VTK_POLY_DATA \n\n Control what type of data is generated for output.\n"},
  {(char*)"SetDataSetTypeToStructuredPoints",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredPoints, 1,
   (char*)"V.SetDataSetTypeToStructuredPoints()\nC++: void SetDataSetTypeToStructuredPoints ();this SetDataSetType VTK_STRUCTURED_POINTS \n\n Control what type of data is generated for output.\n"},
  {(char*)"SetDataSetTypeToStructuredGrid",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredGrid, 1,
   (char*)"V.SetDataSetTypeToStructuredGrid()\nC++: void SetDataSetTypeToStructuredGrid ();this SetDataSetType VTK_STRUCTURED_GRID \n\n Control what type of data is generated for output.\n"},
  {(char*)"SetDataSetTypeToRectilinearGrid",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetTypeToRectilinearGrid, 1,
   (char*)"V.SetDataSetTypeToRectilinearGrid()\nC++: void SetDataSetTypeToRectilinearGrid ();this SetDataSetType VTK_RECTILINEAR_GRID \n\n Control what type of data is generated for output.\n"},
  {(char*)"SetDataSetTypeToUnstructuredGrid",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDataSetTypeToUnstructuredGrid, 1,
   (char*)"V.SetDataSetTypeToUnstructuredGrid()\nC++: void SetDataSetTypeToUnstructuredGrid ();this SetDataSetType VTK_UNSTRUCTURED_GRID \n\n Control what type of data is generated for output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataSet\nC++: vtkDataSet *GetOutput ();\nV.GetOutput(int) -> vtkDataSet\nC++: vtkDataSet *GetOutput (int idx);\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataOutput ();\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"GetStructuredPointsOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStructuredPointsOutput, 1,
   (char*)"V.GetStructuredPointsOutput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetStructuredPointsOutput ();\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"GetRectilinearGridOutput",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetRectilinearGridOutput, 1,
   (char*)"V.GetRectilinearGridOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetRectilinearGridOutput ();\n\n Get the output in different forms. The particular method invoked\n should be consistent with the SetDataSetType() method. (Note:\n GetOutput() will always return a type consistent with \n SetDataSetType(). Also, GetOutput() will return NULL if the filter\n aborted due to inconsistent data.)\n"},
  {(char*)"SetPointComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetPointComponent, 1,
   (char*)"V.SetPointComponent(int, string, int, int, int, int)\nC++: void SetPointComponent (int comp, char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetPointComponent(int, string, int)\nC++: void SetPointComponent (int comp, char *arrayName, int arrayComp);this SetPointComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"GetPointComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPointComponentArrayName, 1,
   (char*)"V.GetPointComponentArrayName(int) -> string\nC++: const char *GetPointComponentArrayName (int comp);\n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"GetPointComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPointComponentArrayComponent, 1,
   (char*)"V.GetPointComponentArrayComponent(int) -> int\nC++: int GetPointComponentArrayComponent (int comp);\n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"GetPointComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPointComponentMinRange, 1,
   (char*)"V.GetPointComponentMinRange(int) -> int\nC++: int GetPointComponentMinRange (int comp);\n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"GetPointComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPointComponentMaxRange, 1,
   (char*)"V.GetPointComponentMaxRange(int) -> int\nC++: int GetPointComponentMaxRange (int comp);\n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"GetPointComponentNormailzeFlag",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPointComponentNormailzeFlag, 1,
   (char*)"V.GetPointComponentNormailzeFlag(int) -> int\nC++: int GetPointComponentNormailzeFlag (int comp);\n\n Define the component of the field to be used for the x, y, and z values\n of the points. Note that the parameter comp must lie between (0,2) and\n refers to the x-y-z (i.e., 0,1,2) components of the points. To define\n the field component to use you can specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract. (This method should be used for\n vtkPolyData, vtkUnstructuredGrid, vtkStructuredGrid, and\n vtkRectilinearGrid.) A convenience method, SetPointComponent(),is also\n provided which does not require setting the (min,max) component range or\n the normalize flag (normalize is set to DefaulatNormalize value).\n"},
  {(char*)"SetVertsComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetVertsComponent, 1,
   (char*)"V.SetVertsComponent(string, int, int, int)\nC++: void SetVertsComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetVertsComponent(string, int)\nC++: void SetVertsComponent (char *arrayName, int arrayComp);this SetVertsComponent arrayName arrayComp \n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetVertsComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetVertsComponentArrayName, 1,
   (char*)"V.GetVertsComponentArrayName() -> string\nC++: const char *GetVertsComponentArrayName ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetVertsComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetVertsComponentArrayComponent, 1,
   (char*)"V.GetVertsComponentArrayComponent() -> int\nC++: int GetVertsComponentArrayComponent ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetVertsComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetVertsComponentMinRange, 1,
   (char*)"V.GetVertsComponentMinRange() -> int\nC++: int GetVertsComponentMinRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetVertsComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetVertsComponentMaxRange, 1,
   (char*)"V.GetVertsComponentMaxRange() -> int\nC++: int GetVertsComponentMaxRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"SetLinesComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetLinesComponent, 1,
   (char*)"V.SetLinesComponent(string, int, int, int)\nC++: void SetLinesComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetLinesComponent(string, int)\nC++: void SetLinesComponent (char *arrayName, int arrayComp);this SetLinesComponent arrayName arrayComp \n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetLinesComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetLinesComponentArrayName, 1,
   (char*)"V.GetLinesComponentArrayName() -> string\nC++: const char *GetLinesComponentArrayName ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetLinesComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetLinesComponentArrayComponent, 1,
   (char*)"V.GetLinesComponentArrayComponent() -> int\nC++: int GetLinesComponentArrayComponent ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetLinesComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetLinesComponentMinRange, 1,
   (char*)"V.GetLinesComponentMinRange() -> int\nC++: int GetLinesComponentMinRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetLinesComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetLinesComponentMaxRange, 1,
   (char*)"V.GetLinesComponentMaxRange() -> int\nC++: int GetLinesComponentMaxRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"SetPolysComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetPolysComponent, 1,
   (char*)"V.SetPolysComponent(string, int, int, int)\nC++: void SetPolysComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetPolysComponent(string, int)\nC++: void SetPolysComponent (char *arrayName, int arrayComp);this SetPolysComponent arrayName arrayComp \n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetPolysComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPolysComponentArrayName, 1,
   (char*)"V.GetPolysComponentArrayName() -> string\nC++: const char *GetPolysComponentArrayName ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetPolysComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPolysComponentArrayComponent, 1,
   (char*)"V.GetPolysComponentArrayComponent() -> int\nC++: int GetPolysComponentArrayComponent ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetPolysComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPolysComponentMinRange, 1,
   (char*)"V.GetPolysComponentMinRange() -> int\nC++: int GetPolysComponentMinRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetPolysComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetPolysComponentMaxRange, 1,
   (char*)"V.GetPolysComponentMaxRange() -> int\nC++: int GetPolysComponentMaxRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"SetStripsComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetStripsComponent, 1,
   (char*)"V.SetStripsComponent(string, int, int, int)\nC++: void SetStripsComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetStripsComponent(string, int)\nC++: void SetStripsComponent (char *arrayName, int arrayComp);this SetStripsComponent arrayName arrayComp \n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetStripsComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStripsComponentArrayName, 1,
   (char*)"V.GetStripsComponentArrayName() -> string\nC++: const char *GetStripsComponentArrayName ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetStripsComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStripsComponentArrayComponent, 1,
   (char*)"V.GetStripsComponentArrayComponent() -> int\nC++: int GetStripsComponentArrayComponent ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetStripsComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStripsComponentMinRange, 1,
   (char*)"V.GetStripsComponentMinRange() -> int\nC++: int GetStripsComponentMinRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"GetStripsComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetStripsComponentMaxRange, 1,
   (char*)"V.GetStripsComponentMaxRange() -> int\nC++: int GetStripsComponentMaxRange ();\n\n Define cell connectivity when creating vtkPolyData. You can define\n vertices, lines, polygons, and/or triangle strips via these methods.\n These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of values that (for each cell) includes the number of \n points per cell, and then the cell connectivity. (This is the vtk file \n format described in in the textbook or User's Guide.)\n"},
  {(char*)"SetCellTypeComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetCellTypeComponent, 1,
   (char*)"V.SetCellTypeComponent(string, int, int, int)\nC++: void SetCellTypeComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetCellTypeComponent(string, int)\nC++: void SetCellTypeComponent (char *arrayName, int arrayComp);this SetCellTypeComponent arrayName arrayComp \n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellTypeComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellTypeComponentArrayName, 1,
   (char*)"V.GetCellTypeComponentArrayName() -> string\nC++: const char *GetCellTypeComponentArrayName ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellTypeComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellTypeComponentArrayComponent, 1,
   (char*)"V.GetCellTypeComponentArrayComponent() -> int\nC++: int GetCellTypeComponentArrayComponent ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellTypeComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellTypeComponentMinRange, 1,
   (char*)"V.GetCellTypeComponentMinRange() -> int\nC++: int GetCellTypeComponentMinRange ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellTypeComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellTypeComponentMaxRange, 1,
   (char*)"V.GetCellTypeComponentMaxRange() -> int\nC++: int GetCellTypeComponentMaxRange ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"SetCellConnectivityComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetCellConnectivityComponent, 1,
   (char*)"V.SetCellConnectivityComponent(string, int, int, int)\nC++: void SetCellConnectivityComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetCellConnectivityComponent(string, int)\nC++: void SetCellConnectivityComponent (char *arrayName, int arrayComp);this SetCellConnectivityComponent arrayName arrayComp \n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellConnectivityComponentArrayName",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayName, 1,
   (char*)"V.GetCellConnectivityComponentArrayName() -> string\nC++: const char *GetCellConnectivityComponentArrayName ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellConnectivityComponentArrayComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayComponent, 1,
   (char*)"V.GetCellConnectivityComponentArrayComponent() -> int\nC++: int GetCellConnectivityComponentArrayComponent ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellConnectivityComponentMinRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentMinRange, 1,
   (char*)"V.GetCellConnectivityComponentMinRange() -> int\nC++: int GetCellConnectivityComponentMinRange ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"GetCellConnectivityComponentMaxRange",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetCellConnectivityComponentMaxRange, 1,
   (char*)"V.GetCellConnectivityComponentMaxRange() -> int\nC++: int GetCellConnectivityComponentMaxRange ();\n\n Define cell types and cell connectivity when creating unstructured grid\n data.  These methods are similar to those for defining points, except\n that no normalization of the data is possible. Basically, you need to\n define an array of cell types (an integer value per cell), and another\n array consisting (for each cell) of a number of points per cell, and\n then the cell connectivity. (This is the vtk file format described in \n in the textbook or User's Guide.)\n"},
  {(char*)"SetDefaultNormalize",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDefaultNormalize, 1,
   (char*)"V.SetDefaultNormalize(int)\nC++: void SetDefaultNormalize (int );\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n"},
  {(char*)"GetDefaultNormalize",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetDefaultNormalize, 1,
   (char*)"V.GetDefaultNormalize() -> int\nC++: int GetDefaultNormalize ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n"},
  {(char*)"DefaultNormalizeOn",                (PyCFunction)PyvtkDataObjectToDataSetFilter_DefaultNormalizeOn, 1,
   (char*)"V.DefaultNormalizeOn()\nC++: void DefaultNormalizeOn ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n"},
  {(char*)"DefaultNormalizeOff",                (PyCFunction)PyvtkDataObjectToDataSetFilter_DefaultNormalizeOff, 1,
   (char*)"V.DefaultNormalizeOff()\nC++: void DefaultNormalizeOff ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetPointComponent).\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int)\nC++: void SetDimensions (int , int , int );\nV.SetDimensions((int, int, int))\nC++: void SetDimensions (int  a[3]);\n\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int)\nC++: int  *GetDimensions ();\n\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkDataObjectToDataSetFilter_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n"},
  {(char*)"SetDimensionsComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetDimensionsComponent, 1,
   (char*)"V.SetDimensionsComponent(string, int, int, int)\nC++: void SetDimensionsComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetDimensionsComponent(string, int)\nC++: void SetDimensionsComponent (char *arrayName, int arrayComp);this SetDimensionsComponent arrayName arrayComp \n\n"},
  {(char*)"SetSpacingComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetSpacingComponent, 1,
   (char*)"V.SetSpacingComponent(string, int, int, int)\nC++: void SetSpacingComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetSpacingComponent(string, int)\nC++: void SetSpacingComponent (char *arrayName, int arrayComp);this SetSpacingComponent arrayName arrayComp \n\n"},
  {(char*)"SetOriginComponent",                (PyCFunction)PyvtkDataObjectToDataSetFilter_SetOriginComponent, 1,
   (char*)"V.SetOriginComponent(string, int, int, int)\nC++: void SetOriginComponent (char *arrayName, int arrayComp, int min, int max);\nV.SetOriginComponent(string, int)\nC++: void SetOriginComponent (char *arrayName, int arrayComp);this SetOriginComponent arrayName arrayComp \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectToDataSetFilterDoc[] = {
  (char*)"vtkDataObjectToDataSetFilter - map field data to concrete dataset\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkDataObjectToDataSetFilter is an class that maps a data object (i.e., a field)\n into a concrete dataset, i.e., gives structure to the field by defining a\n geometry and topology.\n\n To use this filter you associate components in the input field data with\n portions of the output dataset. (A component is an array of values from\n the field.) For example, you would specify x-y-z points by assigning \n",
  (char*)" components from the field for the x, then y, then z values of the points.\n You may also have to specify component ranges (for each z-y-z) to make \n sure that the number of x, y, and z values is the same. Also, you may \n want to normalize the components which helps distribute the data \n uniformly. Once you've setup the filter to combine all the pieces of \n data into a specified dataset (the geomet",
  (char*)"ry, topology, point and cell \n data attributes), the various output methods (e.g., GetPolyData()) are\n used to retrieve the final product.\n\n This filter is often used in conjunction with\n vtkFieldDataToAttributeDataFilter.  vtkFieldDataToAttributeDataFilter\n takes field data and transforms it into attribute data (e.g., point and\n cell data attributes such as scalars and vectors).  To do this, use ",
  (char*)"this\n filter which constructs a concrete dataset and passes the input data\n object field data to its output. and then use\n vtkFieldDataToAttributeDataFilter to generate the attribute data associated\n with the dataset.\n\n",
  "Caveats:\n\n Make sure that the data you extract is consistent. That is, if you have N\n points, extract N x, y, and z components. Also, all the information\n necessary to define a dataset must be given. For example, vtkPolyData\n requires points at a minimum; vtkStructuredPoints requires setting the\n dimensions; vtkStructuredGrid requires defining points and dimensions;\n vtkUnstructuredGrid requires setting points; and vtkRectilinearGrid\n requires that you define the x, y, and z-coo ...\n [Truncated]\n\n",
  "See Also:\n\n vtkDataObject vtkFieldData vtkDataSet vtkPolyData vtkStructuredPoints \n vtkStructuredGrid vtkUnstructuredGrid vtkRectilinearGrid\n vtkDataSetAttributes vtkDataArray\n\n",
  NULL
};

static vtkObjectBase *vtkDataObjectToDataSetFilterStaticNew()
{
  return vtkDataObjectToDataSetFilter::New();
}

PyObject *PyVTKClass_vtkDataObjectToDataSetFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataObjectToDataSetFilterStaticNew,
                        PyvtkDataObjectToDataSetFilterMethods,
                        (char*)"vtkDataObjectToDataSetFilter",modulename,
                        (char**)vtkDataObjectToDataSetFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

