// tcl wrapper for vtkDataSetEdgeSubdivisionCriterion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetEdgeSubdivisionCriterion.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataSetEdgeSubdivisionCriterionNewCommand()
{
  vtkDataSetEdgeSubdivisionCriterion *temp = vtkDataSetEdgeSubdivisionCriterion::New();
  return static_cast<ClientData>(temp);
}

int vtkEdgeSubdivisionCriterionCppCommand(vtkEdgeSubdivisionCriterion *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetEdgeSubdivisionCriterionCppCommand(vtkDataSetEdgeSubdivisionCriterion *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetEdgeSubdivisionCriterionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetEdgeSubdivisionCriterionCppCommand(static_cast<vtkDataSetEdgeSubdivisionCriterion *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetEdgeSubdivisionCriterionCppCommand(vtkDataSetEdgeSubdivisionCriterion *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetEdgeSubdivisionCriterion",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkEdgeSubdivisionCriterionCppCommand(static_cast<vtkEdgeSubdivisionCriterion *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkEdgeSubdivisionCriterion"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetEdgeSubdivisionCriterion  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetEdgeSubdivisionCriterion");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("SetMesh",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMesh",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetMesh();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetCellId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 2))
    {
    vtkCell  *temp20;
    temp20 = (op)->GetCell();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
  if ((!strcmp("SetChordError2",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetChordError2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChordError2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetChordError2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldError2",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetFieldError2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldError2",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldError2(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetFieldError2",argv[1]))&&(argc == 2))
    {
    op->ResetFieldError2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveFieldCriteria",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveFieldCriteria();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveFieldCriteria",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveFieldCriteria();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetEdgeSubdivisionCriterionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkEdgeSubdivisionCriterionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetEdgeSubdivisionCriterion:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetMesh\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMesh\n",NULL);
    Tcl_AppendResult(interp,"  SetCellId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellId\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\n",NULL);
    Tcl_AppendResult(interp,"  SetChordError2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChordError2\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldError2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldError2\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetFieldError2\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveFieldCriteria\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveFieldCriteria\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkEdgeSubdivisionCriterionCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetMesh" );
    Tcl_DStringAppendElement ( &dString, "GetMesh" );
    Tcl_DStringAppendElement ( &dString, "SetCellId" );
    Tcl_DStringAppendElement ( &dString, "GetCellId" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "SetChordError2" );
    Tcl_DStringAppendElement ( &dString, "GetChordError2" );
    Tcl_DStringAppendElement ( &dString, "SetFieldError2" );
    Tcl_DStringAppendElement ( &dString, "GetFieldError2" );
    Tcl_DStringAppendElement ( &dString, "ResetFieldError2" );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldCriteria" );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldCriteria" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkEdgeSubdivisionCriterionCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetEdgeSubdivisionCriterion *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMesh */
    if ( strcmp ( argv[2], "SetMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMesh */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMesh (vtkDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for SetMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMesh */
    if ( strcmp ( argv[2], "GetMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMesh */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetMesh ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellId */
    if ( strcmp ( argv[2], "SetCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellId */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellId (vtkIdType cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for SetCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellId */
    if ( strcmp ( argv[2], "GetCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellId */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellId () const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCell *GetCell ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChordError2 */
    if ( strcmp ( argv[2], "SetChordError2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChordError2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChordError2 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the square of the allowable chord error at any edge's midpoint.\n This value is used by EvaluateEdge.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetChordError2 (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for SetChordError2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChordError2 */
    if ( strcmp ( argv[2], "GetChordError2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChordError2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChordError2 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the square of the allowable chord error at any edge's midpoint.\n This value is used by EvaluateEdge.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetChordError2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetChordError2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldError2 */
    if ( strcmp ( argv[2], "SetFieldError2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldError2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldError2 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the square of the allowable error magnitude for the\n scalar field \\a s at any edge's midpoint.\n A value less than or equal to 0 indicates that the field\n should not be used as a criterion for subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldError2 (int s, double err);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for SetFieldError2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldError2 */
    if ( strcmp ( argv[2], "GetFieldError2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldError2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldError2 */
    Tcl_DStringAppendElement ( &dString, " Get/Set the square of the allowable error magnitude for the\n scalar field \\a s at any edge's midpoint.\n A value less than or equal to 0 indicates that the field\n should not be used as a criterion for subdivision.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFieldError2 (int s) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetFieldError2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetFieldError2 */
    if ( strcmp ( argv[2], "ResetFieldError2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetFieldError2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetFieldError2 */
    Tcl_DStringAppendElement ( &dString, " Tell the subdivider not to use any field values as subdivision criteria.\n Effectively calls SetFieldError2( a, -1. ) for all fields.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetFieldError2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for ResetFieldError2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveFieldCriteria */
    if ( strcmp ( argv[2], "GetActiveFieldCriteria" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldCriteria" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveFieldCriteria */
    Tcl_DStringAppendElement ( &dString, " Return a bitfield specifying which FieldError2 criteria are positive (i.e., actively\n used to decide edge subdivisions).\n This is stored as separate state to make subdivisions go faster.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveFieldCriteria ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetActiveFieldCriteria */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveFieldCriteria */
    if ( strcmp ( argv[2], "GetActiveFieldCriteria" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldCriteria" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveFieldCriteria */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveFieldCriteria () const;return this ActiveFieldCriteria " );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    /* Closing for GetActiveFieldCriteria */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkEdgeSubdivisionCriterionCppCommand(static_cast<vtkEdgeSubdivisionCriterion *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
