// tcl wrapper for vtkDataSetSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetSurfaceFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataSetSurfaceFilterNewCommand()
{
  vtkDataSetSurfaceFilter *temp = vtkDataSetSurfaceFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetSurfaceFilterCppCommand(vtkDataSetSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetSurfaceFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetSurfaceFilterCppCommand(static_cast<vtkDataSetSurfaceFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetSurfaceFilterCppCommand(vtkDataSetSurfaceFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetSurfaceFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetSurfaceFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetSurfaceFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetSurfaceFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetSurfaceFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetSurfaceFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetSurfaceFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseStrips",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseStrips(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseStrips",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseStrips();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseStripsOn",argv[1]))&&(argc == 2))
    {
    op->UseStripsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseStripsOff",argv[1]))&&(argc == 2))
    {
    op->UseStripsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPieceInvariant",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPieceInvariant(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPieceInvariant",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPieceInvariant();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughCellIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughCellIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughCellIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughCellIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughPointIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughPointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughPointIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughPointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataSetSurfaceFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetSurfaceFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseStrips\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseStrips\n",NULL);
    Tcl_AppendResult(interp,"  UseStripsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseStripsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPieceInvariant\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPieceInvariant\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughCellIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughCellIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughPointIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughPointIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetUseStrips" );
    Tcl_DStringAppendElement ( &dString, "GetUseStrips" );
    Tcl_DStringAppendElement ( &dString, "UseStripsOn" );
    Tcl_DStringAppendElement ( &dString, "UseStripsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataSetSurfaceFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseStrips */
    if ( strcmp ( argv[2], "SetUseStrips" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseStrips" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseStrips */
    Tcl_DStringAppendElement ( &dString, " When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseStrips (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for SetUseStrips */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseStrips */
    if ( strcmp ( argv[2], "GetUseStrips" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseStrips" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseStrips */
    Tcl_DStringAppendElement ( &dString, " When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseStrips ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for GetUseStrips */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStripsOn */
    if ( strcmp ( argv[2], "UseStripsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStripsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStripsOn */
    Tcl_DStringAppendElement ( &dString, " When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStripsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for UseStripsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStripsOff */
    if ( strcmp ( argv[2], "UseStripsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStripsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStripsOff */
    Tcl_DStringAppendElement ( &dString, " When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStripsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for UseStripsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPieceInvariant */
    if ( strcmp ( argv[2], "SetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, " If PieceInvariant is true, vtkDataSetSurfaceFilter requests\n 1 ghost level from input in order to remove internal surface\n that are between processes. False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPieceInvariant (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for SetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPieceInvariant */
    if ( strcmp ( argv[2], "GetPieceInvariant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPieceInvariant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPieceInvariant */
    Tcl_DStringAppendElement ( &dString, " If PieceInvariant is true, vtkDataSetSurfaceFilter requests\n 1 ghost level from input in order to remove internal surface\n that are between processes. False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPieceInvariant ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for GetPieceInvariant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughCellIds */
    if ( strcmp ( argv[2], "SetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughCellIds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for SetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughCellIds */
    if ( strcmp ( argv[2], "GetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughCellIds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for GetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOn */
    if ( strcmp ( argv[2], "PassThroughCellIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for PassThroughCellIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOff */
    if ( strcmp ( argv[2], "PassThroughCellIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for PassThroughCellIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughPointIds */
    if ( strcmp ( argv[2], "SetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughPointIds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for SetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughPointIds */
    if ( strcmp ( argv[2], "GetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughPointIds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for GetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOn */
    if ( strcmp ( argv[2], "PassThroughPointIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for PassThroughPointIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOff */
    if ( strcmp ( argv[2], "PassThroughPointIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve \n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetSurfaceFilter" );
    /* Closing for PassThroughPointIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
