// python wrapper for vtkDecimatePolylineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDecimatePolylineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDecimatePolylineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDecimatePolylineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDecimatePolylineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  const char    *temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  vtkDecimatePolylineFilter  *temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDecimatePolylineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDecimatePolylineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_SetTargetReduction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  double   temp0;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDecimatePolylineFilter::SetTargetReduction(temp0);
      }
    else
      {
      op->SetTargetReduction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_GetTargetReductionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  double   temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::GetTargetReductionMinValue();
      }
    else
      {
      temp20 = op->GetTargetReductionMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_GetTargetReductionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  double   temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::GetTargetReductionMaxValue();
      }
    else
      {
      temp20 = op->GetTargetReductionMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDecimatePolylineFilter_GetTargetReduction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDecimatePolylineFilter *op;

  double   temp20;
  op = (vtkDecimatePolylineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDecimatePolylineFilter::GetTargetReduction();
      }
    else
      {
      temp20 = op->GetTargetReduction();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDecimatePolylineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDecimatePolylineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDecimatePolylineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDecimatePolylineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDecimatePolylineFilter\nC++: vtkDecimatePolylineFilter *NewInstance ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDecimatePolylineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDecimatePolylineFilter\nC++: vtkDecimatePolylineFilter *SafeDownCast (vtkObject* o);\n\n Standard methods for type information and printing.\n"},
  {(char*)"SetTargetReduction",                (PyCFunction)PyvtkDecimatePolylineFilter_SetTargetReduction, 1,
   (char*)"V.SetTargetReduction(float)\nC++: void SetTargetReduction (double );\n\n Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). \n"},
  {(char*)"GetTargetReductionMinValue",                (PyCFunction)PyvtkDecimatePolylineFilter_GetTargetReductionMinValue, 1,
   (char*)"V.GetTargetReductionMinValue() -> float\nC++: double GetTargetReductionMinValue ();\n\n Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). \n"},
  {(char*)"GetTargetReductionMaxValue",                (PyCFunction)PyvtkDecimatePolylineFilter_GetTargetReductionMaxValue, 1,
   (char*)"V.GetTargetReductionMaxValue() -> float\nC++: double GetTargetReductionMaxValue ();\n\n Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). \n"},
  {(char*)"GetTargetReduction",                (PyCFunction)PyvtkDecimatePolylineFilter_GetTargetReduction, 1,
   (char*)"V.GetTargetReduction() -> float\nC++: double GetTargetReduction ();\n\n Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDecimatePolylineFilterDoc[] = {
  (char*)"vtkDecimatePolylineFilter - reduce the number of lines in a polyline\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkDecimatePolylineFilter is a filter to reduce the number of lines in a\n polyline. The algorithm functions by evaluating an error metric for each\n vertex (i.e., the distance of the vertex to a line defined from the two\n vertices on either side of the vertex). Then, these vertices are placed\n into a priority queue, and those with larger errors are deleted first.\n The decimation continues until th",
  (char*)"e target reduction is reached.\n\n\n",
  "Caveats:\n\n This algorithm is a very simple implementation that overlooks some\n potential complexities. First, if a vertex is multiply connected,\n meaning that it is used by multiple polylines, then the extra\n topological constraints are ignored. Second, the error is not updated\n as vertices are deleted (similar to iteratively computing a quadric\n error metric). Thus, once calculated, the error is used to determine\n which vertices are removed. This can produce less than optimal r ...\n [Truncated]\n\n",
  "See Also:\n\n vtkDecimate vtkDecimateProp vtkQuadricClustering vtkQuadricDecimation\n\n",
  NULL
};

static vtkObjectBase *vtkDecimatePolylineFilterStaticNew()
{
  return vtkDecimatePolylineFilter::New();
}

PyObject *PyVTKClass_vtkDecimatePolylineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDecimatePolylineFilterStaticNew,
                        PyvtkDecimatePolylineFilterMethods,
                        (char*)"vtkDecimatePolylineFilter",modulename,
                        (char**)vtkDecimatePolylineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

