// python wrapper for vtkDelaunay2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDelaunay2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDelaunay2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDelaunay2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDelaunay2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  const char    *temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkDelaunay2D  *temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDelaunay2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDelaunay2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkPolyData  *temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetAlpha(temp0);
      }
    else
      {
      op->SetAlpha(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetAlphaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetAlphaMinValue();
      }
    else
      {
      temp20 = op->GetAlphaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetAlphaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetAlphaMaxValue();
      }
    else
      {
      temp20 = op->GetAlphaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetAlpha();
      }
    else
      {
      temp20 = op->GetAlpha();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  double   temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetBoundingTriangulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetBoundingTriangulation(temp0);
      }
    else
      {
      op->SetBoundingTriangulation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetBoundingTriangulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetBoundingTriangulation();
      }
    else
      {
      temp20 = op->GetBoundingTriangulation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_BoundingTriangulationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::BoundingTriangulationOn();
      }
    else
      {
      op->BoundingTriangulationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_BoundingTriangulationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::BoundingTriangulationOff();
      }
    else
      {
      op->BoundingTriangulationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  vtkAbstractTransform  *temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_SetProjectionPlaneMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp0;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay2D::SetProjectionPlaneMode(temp0);
      }
    else
      {
      op->SetProjectionPlaneMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetProjectionPlaneModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetProjectionPlaneModeMinValue();
      }
    else
      {
      temp20 = op->GetProjectionPlaneModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetProjectionPlaneModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetProjectionPlaneModeMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionPlaneModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay2D_GetProjectionPlaneMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay2D *op;

  int      temp20;
  op = (vtkDelaunay2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay2D::GetProjectionPlaneMode();
      }
    else
      {
      temp20 = op->GetProjectionPlaneMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDelaunay2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDelaunay2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDelaunay2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDelaunay2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDelaunay2D\nC++: vtkDelaunay2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDelaunay2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDelaunay2D\nC++: vtkDelaunay2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkDelaunay2D_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *);\n\n Specify the source object used to specify constrained edges and loops.\n (This is optional.) If set, and lines/polygons are defined, a constrained\n triangulation is created. The lines/polygons are assumed to reference\n points in the input point set (i.e. point ids are identical in the\n input and source).\n Old style. See SetSourceConnection.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkDelaunay2D_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);\n\n Specify the source object used to specify constrained edges and loops.\n (This is optional.) If set, and lines/polygons are defined, a constrained\n triangulation is created. The lines/polygons are assumed to reference\n points in the input point set (i.e. point ids are identical in the\n input and source).\n New style. This method is equivalent to SetInputConnection(1, algOutput).\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkDelaunay2D_GetSource, 1,
   (char*)"V.GetSource() -> vtkPolyData\nC++: vtkPolyData *GetSource ();\n\n Get a pointer to the source object.\n"},
  {(char*)"SetAlpha",                (PyCFunction)PyvtkDelaunay2D_SetAlpha, 1,
   (char*)"V.SetAlpha(float)\nC++: void SetAlpha (double );\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges or triangles contained within\n a sphere centered at mesh vertices will be output. Otherwise, only\n triangles will be output.\n"},
  {(char*)"GetAlphaMinValue",                (PyCFunction)PyvtkDelaunay2D_GetAlphaMinValue, 1,
   (char*)"V.GetAlphaMinValue() -> float\nC++: double GetAlphaMinValue ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges or triangles contained within\n a sphere centered at mesh vertices will be output. Otherwise, only\n triangles will be output.\n"},
  {(char*)"GetAlphaMaxValue",                (PyCFunction)PyvtkDelaunay2D_GetAlphaMaxValue, 1,
   (char*)"V.GetAlphaMaxValue() -> float\nC++: double GetAlphaMaxValue ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges or triangles contained within\n a sphere centered at mesh vertices will be output. Otherwise, only\n triangles will be output.\n"},
  {(char*)"GetAlpha",                (PyCFunction)PyvtkDelaunay2D_GetAlpha, 1,
   (char*)"V.GetAlpha() -> float\nC++: double GetAlpha ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges or triangles contained within\n a sphere centered at mesh vertices will be output. Otherwise, only\n triangles will be output.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkDelaunay2D_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkDelaunay2D_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkDelaunay2D_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkDelaunay2D_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkDelaunay2D_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset (double );\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkDelaunay2D_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> float\nC++: double GetOffsetMinValue ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkDelaunay2D_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> float\nC++: double GetOffsetMaxValue ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkDelaunay2D_GetOffset, 1,
   (char*)"V.GetOffset() -> float\nC++: double GetOffset ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"SetBoundingTriangulation",                (PyCFunction)PyvtkDelaunay2D_SetBoundingTriangulation, 1,
   (char*)"V.SetBoundingTriangulation(int)\nC++: void SetBoundingTriangulation (int );\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"GetBoundingTriangulation",                (PyCFunction)PyvtkDelaunay2D_GetBoundingTriangulation, 1,
   (char*)"V.GetBoundingTriangulation() -> int\nC++: int GetBoundingTriangulation ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"BoundingTriangulationOn",                (PyCFunction)PyvtkDelaunay2D_BoundingTriangulationOn, 1,
   (char*)"V.BoundingTriangulationOn()\nC++: void BoundingTriangulationOn ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"BoundingTriangulationOff",                (PyCFunction)PyvtkDelaunay2D_BoundingTriangulationOff, 1,
   (char*)"V.BoundingTriangulationOff()\nC++: void BoundingTriangulationOff ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkDelaunay2D_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *);\n\n Set / get the transform which is applied to points to generate a\n 2D problem.  This maps a 3D dataset into a 2D dataset where\n triangulation can be done on the XY plane.  The points are\n transformed and triangulated.  The topology of triangulated\n points is used as the output topology.  The output points are the\n original (untransformed) points.  The transform can be any\n subclass of vtkAbstractTransform (thus it does not need to be a\n linear or invertible transform).\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkDelaunay2D_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n Set / get the transform which is applied to points to generate a\n 2D problem.  This maps a 3D dataset into a 2D dataset where\n triangulation can be done on the XY plane.  The points are\n transformed and triangulated.  The topology of triangulated\n points is used as the output topology.  The output points are the\n original (untransformed) points.  The transform can be any\n subclass of vtkAbstractTransform (thus it does not need to be a\n linear or invertible transform).\n"},
  {(char*)"SetProjectionPlaneMode",                (PyCFunction)PyvtkDelaunay2D_SetProjectionPlaneMode, 1,
   (char*)"V.SetProjectionPlaneMode(int)\nC++: void SetProjectionPlaneMode (int );\n\n Define\n"},
  {(char*)"GetProjectionPlaneModeMinValue",                (PyCFunction)PyvtkDelaunay2D_GetProjectionPlaneModeMinValue, 1,
   (char*)"V.GetProjectionPlaneModeMinValue() -> int\nC++: int GetProjectionPlaneModeMinValue ();\n\n Define\n"},
  {(char*)"GetProjectionPlaneModeMaxValue",                (PyCFunction)PyvtkDelaunay2D_GetProjectionPlaneModeMaxValue, 1,
   (char*)"V.GetProjectionPlaneModeMaxValue() -> int\nC++: int GetProjectionPlaneModeMaxValue ();\n\n Define\n"},
  {(char*)"GetProjectionPlaneMode",                (PyCFunction)PyvtkDelaunay2D_GetProjectionPlaneMode, 1,
   (char*)"V.GetProjectionPlaneMode() -> int\nC++: int GetProjectionPlaneMode ();\n\n Define\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDelaunay2DDoc[] = {
  (char*)"vtkDelaunay2D - create 2D Delaunay triangulation of input points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkDelaunay2D is a filter that constructs a 2D Delaunay triangulation from\n a list of input points. These points may be represented by any dataset of\n type vtkPointSet and subclasses. The output of the filter is a polygonal\n dataset. Usually the output is a triangle mesh, but if a non-zero alpha\n distance value is specified (called the \"alpha\" value), then only\n triangles, edges, and vertices lyi",
  (char*)"ng within the alpha radius are\n output. In other words, non-zero alpha values may result in arbitrary\n combinations of triangles, lines, and vertices. (The notion of alpha value\n is derived from Edelsbrunner's work on \"alpha shapes\".) Also, it is\n possible to generate \"constrained triangulations\" using this filter.\n A constrained triangulation is one where edges and loops (i.e., polygons)\n can be ",
  (char*)"defined and the triangulation will preserve them (read on for \n more information).\n\n The 2D Delaunay triangulation is defined as the triangulation that \n satisfies the Delaunay criterion for n-dimensional simplexes (in this case\n n=2 and the simplexes are triangles). This criterion states that a \n circumsphere of each simplex in a triangulation contains only the n+1 \n defining points of the simple",
  (char*)"x. (See \"The Visualization Toolkit\" text \n for more information.) In two dimensions, this translates into an optimal \n triangulation. That is, the maximum interior angle of any triangle is less \n than or equal to that of any possible triangulation.\n \n Delaunay triangulations are used to build topological structures\n from unorganized (or unstructured) points. The input to this filter\n is a list of ",
  (char*)"points specified in 3D, even though the triangulation\n is 2D. Thus the triangulation is constructed in the x-y plane, and\n the z coordinate is ignored (although carried through to the\n output). If you desire to triangulate in a different plane, you\n can use the vtkTransformFilter to transform the points into and\n out of the x-y plane or you can specify a transform to the Delaunay2D\n directly.  In ",
  (char*)"the latter case, the input points are transformed, the\n transformed points are triangulated, and the output will use the\n triangulated topology for the original (non-transformed) points.  This\n avoids transforming the data back as would be required when using the\n vtkTransformFilter method.  Specifying a transform directly also allows\n any transform to be used: rigid, non-rigid, non-invertible, et",
  (char*)"c.\n\n If an input transform is used, then alpha values are applied (for the\n most part) in the original data space.  The exception is when\n BoundingTriangulation is on.  In this case, alpha values are applied in\n the original data space unless a cell uses a bounding vertex.  \n \n The Delaunay triangulation can be numerically sensitive in some cases. To\n prevent problems, try to avoid injecting point",
  (char*)"s that will result in\n triangles with bad aspect ratios (1000:1 or greater). In practice this\n means inserting points that are \"widely dispersed\", and enables smooth\n transition of triangle sizes throughout the mesh. (You may even want to\n add extra points to create a better point distribution.) If numerical\n problems are present, you will see a warning message to this effect at\n the end of the tr",
  (char*)"iangulation process.\n\n To create constrained meshes, you must define an additional\n input. This input is an instance of vtkPolyData which contains\n lines, polylines, and/or polygons that define constrained edges and\n loops. Only the topology of (lines and polygons) from this second\n input are used.  The topology is assumed to reference points in the\n input point set (the one to be triangulated). I",
  (char*)"n other words, the\n lines and polygons use point ids from the first input point\n set. Lines and polylines found in the input will be mesh edges in\n the output. Polygons define a loop with inside and outside\n regions. The inside of the polygon is determined by using the\n right-hand-rule, i.e., looking down the z-axis a polygon should be\n ordered counter-clockwise. Holes in a polygon should be order",
  (char*)"ed\n clockwise. If you choose to create a constrained triangulation, the\n final mesh may not satisfy the Delaunay criterion. (Noted: the\n lines/polygon edges must not intersect when projected onto the 2D\n plane.  It may not be possible to recover all edges due to not\n enough points in the triangulation, or poorly defined edges\n (coincident or excessively long).  The form of the lines or\n polygons i",
  (char*)"s a list of point ids that correspond to the input point\n ids used to generate the triangulation.)\n\n If an input transform is used, constraints are defined in the\n \"transformed\" space.  So when the right hand rule is used for a\n polygon constraint, that operation is applied using the transformed\n points.  Since the input transform can be any transformation (rigid\n or non-rigid), care must be taken",
  (char*)" in constructing constraints when\n an input transform is used.\n\n",
  "Caveats:\n\n Points arranged on a regular lattice (termed degenerate cases) can be \n triangulated in more than one way (at least according to the Delaunay \n criterion). The choice of triangulation (as implemented by \n this algorithm) depends on the order of the input points. The first three\n points will form a triangle; other degenerate points will not break\n this triangle.\n\n Points that are coincident (or nearly so) may be discarded by the algorithm.\n This is because the Delaun ...\n [Truncated]\n\n",
  "See Also:\n\n vtkDelaunay3D vtkTransformFilter vtkGaussianSplatter\n\n",
  NULL
};

static vtkObjectBase *vtkDelaunay2DStaticNew()
{
  return vtkDelaunay2D::New();
}

PyObject *PyVTKClass_vtkDelaunay2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkDelaunay2DStaticNew,
                        PyvtkDelaunay2DMethods,
                        (char*)"vtkDelaunay2D",modulename,
                        (char**)vtkDelaunay2DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

