// tcl wrapper for vtkDelaunay3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelaunay3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDelaunay3DNewCommand()
{
  vtkDelaunay3D *temp = vtkDelaunay3D::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDelaunay3DCppCommand(vtkDelaunay3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDelaunay3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDelaunay3DCppCommand(static_cast<vtkDelaunay3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDelaunay3DCppCommand(vtkDelaunay3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDelaunay3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDelaunay3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelaunay3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDelaunay3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelaunay3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDelaunay3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelaunay3D");
    return TCL_OK;
    }
  if ((!strcmp("SetAlpha",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlphaMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAlphaMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAlphaMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAlphaMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAlpha",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAlpha();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffsetMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffsetMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffsetMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundingTriangulation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundingTriangulation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundingTriangulation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundingTriangulation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundingTriangulationOn",argv[1]))&&(argc == 2))
    {
    op->BoundingTriangulationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundingTriangulationOff",argv[1]))&&(argc == 2))
    {
    op->BoundingTriangulationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkPointLocator  *temp0;
    error = 0;

    temp0 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPointInsertion",argv[1]))&&(argc == 2))
    {
    op->EndPointInsertion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDelaunay3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDelaunay3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetAlpha\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlphaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAlphaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAlpha\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundingTriangulation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundingTriangulation\n",NULL);
    Tcl_AppendResult(interp,"  BoundingTriangulationOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundingTriangulationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",NULL);
    Tcl_AppendResult(interp,"  EndPointInsertion\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    Tcl_DStringAppendElement ( &dString, "GetAlphaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAlphaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAlpha" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetBoundingTriangulation" );
    Tcl_DStringAppendElement ( &dString, "GetBoundingTriangulation" );
    Tcl_DStringAppendElement ( &dString, "BoundingTriangulationOn" );
    Tcl_DStringAppendElement ( &dString, "BoundingTriangulationOff" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "EndPointInsertion" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with Alpha = 0.0; Tolerance = 0.001; Offset = 2.5;\n BoundingTriangulation turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDelaunay3D *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlpha */
    if ( strcmp ( argv[2], "SetAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlpha */
    Tcl_DStringAppendElement ( &dString, " Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlpha (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SetAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlphaMinValue */
    if ( strcmp ( argv[2], "GetAlphaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlphaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlphaMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAlphaMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetAlphaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlphaMaxValue */
    if ( strcmp ( argv[2], "GetAlphaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlphaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlphaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAlphaMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetAlphaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlpha */
    if ( strcmp ( argv[2], "GetAlpha" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlpha" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlpha */
    Tcl_DStringAppendElement ( &dString, " Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAlpha ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetAlpha */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetToleranceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTolerance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMinValue */
    if ( strcmp ( argv[2], "GetOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMaxValue */
    if ( strcmp ( argv[2], "GetOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundingTriangulation */
    if ( strcmp ( argv[2], "SetBoundingTriangulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundingTriangulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundingTriangulation */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundingTriangulation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SetBoundingTriangulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundingTriangulation */
    if ( strcmp ( argv[2], "GetBoundingTriangulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundingTriangulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundingTriangulation */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundingTriangulation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetBoundingTriangulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundingTriangulationOn */
    if ( strcmp ( argv[2], "BoundingTriangulationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundingTriangulationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundingTriangulationOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundingTriangulationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for BoundingTriangulationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundingTriangulationOff */
    if ( strcmp ( argv[2], "BoundingTriangulationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundingTriangulationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundingTriangulationOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundingTriangulationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for BoundingTriangulationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default, \n an instance of vtkPointLocator is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator (vtkPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By default, \n an instance of vtkPointLocator is used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointLocator *GetLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified. The \n locator is used to eliminate \"coincident\" points.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndPointInsertion */
    if ( strcmp ( argv[2], "EndPointInsertion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndPointInsertion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndPointInsertion */
    Tcl_DStringAppendElement ( &dString, " Invoke this method after all points have been inserted. The purpose of\n the method is to clean up internal data structures. Note that the \n (vtkUnstructuredGrid *)Mesh returned from InitPointInsertion() is NOT\n deleted, you still are responsible for cleaning that up.\n" );
    Tcl_DStringAppendElement ( &dString, "void EndPointInsertion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for EndPointInsertion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelaunay3D" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
