// python wrapper for vtkDicer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDicer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDicerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDicerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkDicer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  const char    *temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  char    *temp0;
  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  vtkDicer  *temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp0;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetFieldData(temp0);
      }
    else
      {
      op->SetFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetFieldData();
      }
    else
      {
      temp20 = op->GetFieldData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_FieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::FieldDataOn();
      }
    else
      {
      op->FieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_FieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::FieldDataOff();
      }
    else
      {
      op->FieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetDiceMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp0;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetDiceMode(temp0);
      }
    else
      {
      op->SetDiceMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetDiceModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetDiceModeMinValue();
      }
    else
      {
      temp20 = op->GetDiceModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetDiceModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetDiceModeMaxValue();
      }
    else
      {
      temp20 = op->GetDiceModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetDiceMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetDiceMode();
      }
    else
      {
      temp20 = op->GetDiceMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetDiceModeToNumberOfPointsPerPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetDiceModeToNumberOfPointsPerPiece();
      }
    else
      {
      op->SetDiceModeToNumberOfPointsPerPiece();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetDiceModeToSpecifiedNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetDiceModeToSpecifiedNumberOfPieces();
      }
    else
      {
      op->SetDiceModeToSpecifiedNumberOfPieces();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetDiceModeToMemoryLimitPerPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetDiceModeToMemoryLimitPerPiece();
      }
    else
      {
      op->SetDiceModeToMemoryLimitPerPiece();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfActualPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfActualPieces();
      }
    else
      {
      temp20 = op->GetNumberOfActualPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetNumberOfPointsPerPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp0;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetNumberOfPointsPerPiece(temp0);
      }
    else
      {
      op->SetNumberOfPointsPerPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPointsPerPieceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPointsPerPieceMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerPieceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPointsPerPieceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPointsPerPieceMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerPieceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPointsPerPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPointsPerPiece();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp0;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPiecesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPiecesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfPiecesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPiecesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPiecesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfPiecesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  int      temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_SetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  unsigned long     temp0;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDicer::SetMemoryLimit(temp0);
      }
    else
      {
      op->SetMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetMemoryLimitMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  unsigned long     temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetMemoryLimitMinValue();
      }
    else
      {
      temp20 = op->GetMemoryLimitMinValue();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetMemoryLimitMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  unsigned long     temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetMemoryLimitMaxValue();
      }
    else
      {
      temp20 = op->GetMemoryLimitMaxValue();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDicer_GetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDicer *op;

  unsigned long     temp20;
  op = (vtkDicer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDicer::GetMemoryLimit();
      }
    else
      {
      temp20 = op->GetMemoryLimit();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDicerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDicer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDicer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDicer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDicer\nC++: vtkDicer *NewInstance ();\n\n"},
  {(char*)"SetFieldData",                (PyCFunction)PyvtkDicer_SetFieldData, 1,
   (char*)"V.SetFieldData(int)\nC++: void SetFieldData (int );\n\n Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n"},
  {(char*)"GetFieldData",                (PyCFunction)PyvtkDicer_GetFieldData, 1,
   (char*)"V.GetFieldData() -> int\nC++: int GetFieldData ();\n\n Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n"},
  {(char*)"FieldDataOn",                (PyCFunction)PyvtkDicer_FieldDataOn, 1,
   (char*)"V.FieldDataOn()\nC++: void FieldDataOn ();\n\n Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n"},
  {(char*)"FieldDataOff",                (PyCFunction)PyvtkDicer_FieldDataOff, 1,
   (char*)"V.FieldDataOff()\nC++: void FieldDataOff ();\n\n Set/Get the flag which controls whether to generate point scalar\n data or point field data. If this flag is off, scalar data is\n generated.  Otherwise, field data is generated. Note that the\n generated the data are integer numbers indicating which piece a\n particular point belongs to.\n"},
  {(char*)"SetDiceMode",                (PyCFunction)PyvtkDicer_SetDiceMode, 1,
   (char*)"V.SetDiceMode(int)\nC++: void SetDiceMode (int );\n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"GetDiceModeMinValue",                (PyCFunction)PyvtkDicer_GetDiceModeMinValue, 1,
   (char*)"V.GetDiceModeMinValue() -> int\nC++: int GetDiceModeMinValue ();\n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"GetDiceModeMaxValue",                (PyCFunction)PyvtkDicer_GetDiceModeMaxValue, 1,
   (char*)"V.GetDiceModeMaxValue() -> int\nC++: int GetDiceModeMaxValue ();\n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"GetDiceMode",                (PyCFunction)PyvtkDicer_GetDiceMode, 1,
   (char*)"V.GetDiceMode() -> int\nC++: int GetDiceMode ();\n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"SetDiceModeToNumberOfPointsPerPiece",                (PyCFunction)PyvtkDicer_SetDiceModeToNumberOfPointsPerPiece, 1,
   (char*)"V.SetDiceModeToNumberOfPointsPerPiece()\nC++: void SetDiceModeToNumberOfPointsPerPiece ();this SetDiceMode VTK_DICE_MODE_NUMBER_OF_POINTS \n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"SetDiceModeToSpecifiedNumberOfPieces",                (PyCFunction)PyvtkDicer_SetDiceModeToSpecifiedNumberOfPieces, 1,
   (char*)"V.SetDiceModeToSpecifiedNumberOfPieces()\nC++: void SetDiceModeToSpecifiedNumberOfPieces ();this SetDiceMode VTK_DICE_MODE_SPECIFIED_NUMBER \n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"SetDiceModeToMemoryLimitPerPiece",                (PyCFunction)PyvtkDicer_SetDiceModeToMemoryLimitPerPiece, 1,
   (char*)"V.SetDiceModeToMemoryLimitPerPiece()\nC++: void SetDiceModeToMemoryLimitPerPiece ();this SetDiceMode VTK_DICE_MODE_MEMORY_LIMIT \n\n Specify the method to determine how many pieces the data should be\n broken into. By default, the number of points per piece is used.\n"},
  {(char*)"GetNumberOfActualPieces",                (PyCFunction)PyvtkDicer_GetNumberOfActualPieces, 1,
   (char*)"V.GetNumberOfActualPieces() -> int\nC++: int GetNumberOfActualPieces ();\n\n Use the following method after the filter has updated to\n determine the actual number of pieces the data was separated\n into.\n"},
  {(char*)"SetNumberOfPointsPerPiece",                (PyCFunction)PyvtkDicer_SetNumberOfPointsPerPiece, 1,
   (char*)"V.SetNumberOfPointsPerPiece(int)\nC++: void SetNumberOfPointsPerPiece (int );\n\n Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n"},
  {(char*)"GetNumberOfPointsPerPieceMinValue",                (PyCFunction)PyvtkDicer_GetNumberOfPointsPerPieceMinValue, 1,
   (char*)"V.GetNumberOfPointsPerPieceMinValue() -> int\nC++: int GetNumberOfPointsPerPieceMinValue ();\n\n Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n"},
  {(char*)"GetNumberOfPointsPerPieceMaxValue",                (PyCFunction)PyvtkDicer_GetNumberOfPointsPerPieceMaxValue, 1,
   (char*)"V.GetNumberOfPointsPerPieceMaxValue() -> int\nC++: int GetNumberOfPointsPerPieceMaxValue ();\n\n Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n"},
  {(char*)"GetNumberOfPointsPerPiece",                (PyCFunction)PyvtkDicer_GetNumberOfPointsPerPiece, 1,
   (char*)"V.GetNumberOfPointsPerPiece() -> int\nC++: int GetNumberOfPointsPerPiece ();\n\n Control piece size based on the maximum number of points per piece.\n (This ivar has effect only when the DiceMode is set to \n SetDiceModeToNumberOfPoints().)\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkDicer_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n"},
  {(char*)"GetNumberOfPiecesMinValue",                (PyCFunction)PyvtkDicer_GetNumberOfPiecesMinValue, 1,
   (char*)"V.GetNumberOfPiecesMinValue() -> int\nC++: int GetNumberOfPiecesMinValue ();\n\n Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n"},
  {(char*)"GetNumberOfPiecesMaxValue",                (PyCFunction)PyvtkDicer_GetNumberOfPiecesMaxValue, 1,
   (char*)"V.GetNumberOfPiecesMaxValue() -> int\nC++: int GetNumberOfPiecesMaxValue ();\n\n Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkDicer_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Set/Get the number of pieces the object is to be separated into.\n (This ivar has effect only when the DiceMode is set to\n SetDiceModeToSpecifiedNumber()). Note that the ivar\n NumberOfPieces is a target - depending on the particulars of the\n data, more or less number of pieces than the target value may be\n created.\n"},
  {(char*)"SetMemoryLimit",                (PyCFunction)PyvtkDicer_SetMemoryLimit, 1,
   (char*)"V.SetMemoryLimit(int)\nC++: void SetMemoryLimit (unsigned long );\n\n Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n"},
  {(char*)"GetMemoryLimitMinValue",                (PyCFunction)PyvtkDicer_GetMemoryLimitMinValue, 1,
   (char*)"V.GetMemoryLimitMinValue() -> int\nC++: unsigned GetMemoryLimitMinValue ();\n\n Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n"},
  {(char*)"GetMemoryLimitMaxValue",                (PyCFunction)PyvtkDicer_GetMemoryLimitMaxValue, 1,
   (char*)"V.GetMemoryLimitMaxValue() -> int\nC++: unsigned GetMemoryLimitMaxValue ();\n\n Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n"},
  {(char*)"GetMemoryLimit",                (PyCFunction)PyvtkDicer_GetMemoryLimit, 1,
   (char*)"V.GetMemoryLimit() -> int\nC++: long unsigned GetMemoryLimit ();\n\n Control piece size based on a memory limit.  (This ivar has\n effect only when the DiceMode is set to\n SetDiceModeToMemoryLimit()). The memory limit should be set in\n kilobytes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDicerDoc[] = {
  (char*)"vtkDicer - abstract superclass to divide dataset into pieces\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" Subclasses of vtkDicer divides the input dataset into separate\n pieces.  These pieces can then be operated on by other filters\n (e.g., vtkThreshold). One application is to break very large\n polygonal models into pieces and performing viewing and occlusion\n culling on the pieces. Multiple pieces can also be streamed through\n the visualization pipeline.\n\n To use this filter, you must specify the ex",
  (char*)"ecution mode of the\n filter; i.e., set the way that the piece size is controlled (do\n this by setting the DiceMode ivar). The filter does not change the\n geometry or topology of the input dataset, rather it generates\n integer numbers that indicate which piece a particular point\n belongs to (i.e., it modifies the point and cell attribute\n data). The integer number can be placed into the output scal",
  (char*)"ar\n data, or the output field data.\n\n",
  "Caveats:\n\n The number of pieces generated may not equal the specified number\n of pieces. Use the method GetNumberOfActualPieces() after filter\n execution to get the actual number of pieces generated.\n\n",
  "See Also:\n\n vtkOBBDicer vtkConnectedDicer vtkSpatialDicer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDicerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDicerMethods,
                        (char*)"vtkDicer",modulename,
                        (char**)vtkDicerDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

