// python wrapper for vtkDiskSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDiskSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDiskSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDiskSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDiskSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  const char    *temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  vtkDiskSource  *temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDiskSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDiskSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDiskSource_SetInnerRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp0;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiskSource::SetInnerRadius(temp0);
      }
    else
      {
      op->SetInnerRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetInnerRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetInnerRadiusMinValue();
      }
    else
      {
      temp20 = op->GetInnerRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetInnerRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetInnerRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetInnerRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetInnerRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetInnerRadius();
      }
    else
      {
      temp20 = op->GetInnerRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_SetOuterRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp0;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiskSource::SetOuterRadius(temp0);
      }
    else
      {
      op->SetOuterRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetOuterRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetOuterRadiusMinValue();
      }
    else
      {
      temp20 = op->GetOuterRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetOuterRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetOuterRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetOuterRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetOuterRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  double   temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetOuterRadius();
      }
    else
      {
      temp20 = op->GetOuterRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_SetRadialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp0;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiskSource::SetRadialResolution(temp0);
      }
    else
      {
      op->SetRadialResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetRadialResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetRadialResolutionMinValue();
      }
    else
      {
      temp20 = op->GetRadialResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetRadialResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetRadialResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetRadialResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetRadialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetRadialResolution();
      }
    else
      {
      temp20 = op->GetRadialResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_SetCircumferentialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp0;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDiskSource::SetCircumferentialResolution(temp0);
      }
    else
      {
      op->SetCircumferentialResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetCircumferentialResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetCircumferentialResolutionMinValue();
      }
    else
      {
      temp20 = op->GetCircumferentialResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetCircumferentialResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetCircumferentialResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetCircumferentialResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiskSource_GetCircumferentialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiskSource *op;

  int      temp20;
  op = (vtkDiskSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiskSource::GetCircumferentialResolution();
      }
    else
      {
      temp20 = op->GetCircumferentialResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDiskSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDiskSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDiskSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDiskSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDiskSource\nC++: vtkDiskSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDiskSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDiskSource\nC++: vtkDiskSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInnerRadius",                (PyCFunction)PyvtkDiskSource_SetInnerRadius, 1,
   (char*)"V.SetInnerRadius(float)\nC++: void SetInnerRadius (double );\n\n Specify inner radius of hole in disc.\n"},
  {(char*)"GetInnerRadiusMinValue",                (PyCFunction)PyvtkDiskSource_GetInnerRadiusMinValue, 1,
   (char*)"V.GetInnerRadiusMinValue() -> float\nC++: double GetInnerRadiusMinValue ();\n\n Specify inner radius of hole in disc.\n"},
  {(char*)"GetInnerRadiusMaxValue",                (PyCFunction)PyvtkDiskSource_GetInnerRadiusMaxValue, 1,
   (char*)"V.GetInnerRadiusMaxValue() -> float\nC++: double GetInnerRadiusMaxValue ();\n\n Specify inner radius of hole in disc.\n"},
  {(char*)"GetInnerRadius",                (PyCFunction)PyvtkDiskSource_GetInnerRadius, 1,
   (char*)"V.GetInnerRadius() -> float\nC++: double GetInnerRadius ();\n\n Specify inner radius of hole in disc.\n"},
  {(char*)"SetOuterRadius",                (PyCFunction)PyvtkDiskSource_SetOuterRadius, 1,
   (char*)"V.SetOuterRadius(float)\nC++: void SetOuterRadius (double );\n\n Specify outer radius of disc.\n"},
  {(char*)"GetOuterRadiusMinValue",                (PyCFunction)PyvtkDiskSource_GetOuterRadiusMinValue, 1,
   (char*)"V.GetOuterRadiusMinValue() -> float\nC++: double GetOuterRadiusMinValue ();\n\n Specify outer radius of disc.\n"},
  {(char*)"GetOuterRadiusMaxValue",                (PyCFunction)PyvtkDiskSource_GetOuterRadiusMaxValue, 1,
   (char*)"V.GetOuterRadiusMaxValue() -> float\nC++: double GetOuterRadiusMaxValue ();\n\n Specify outer radius of disc.\n"},
  {(char*)"GetOuterRadius",                (PyCFunction)PyvtkDiskSource_GetOuterRadius, 1,
   (char*)"V.GetOuterRadius() -> float\nC++: double GetOuterRadius ();\n\n Specify outer radius of disc.\n"},
  {(char*)"SetRadialResolution",                (PyCFunction)PyvtkDiskSource_SetRadialResolution, 1,
   (char*)"V.SetRadialResolution(int)\nC++: void SetRadialResolution (int );\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolutionMinValue",                (PyCFunction)PyvtkDiskSource_GetRadialResolutionMinValue, 1,
   (char*)"V.GetRadialResolutionMinValue() -> int\nC++: int GetRadialResolutionMinValue ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolutionMaxValue",                (PyCFunction)PyvtkDiskSource_GetRadialResolutionMaxValue, 1,
   (char*)"V.GetRadialResolutionMaxValue() -> int\nC++: int GetRadialResolutionMaxValue ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"GetRadialResolution",                (PyCFunction)PyvtkDiskSource_GetRadialResolution, 1,
   (char*)"V.GetRadialResolution() -> int\nC++: int GetRadialResolution ();\n\n Set the number of points in radius direction.\n"},
  {(char*)"SetCircumferentialResolution",                (PyCFunction)PyvtkDiskSource_SetCircumferentialResolution, 1,
   (char*)"V.SetCircumferentialResolution(int)\nC++: void SetCircumferentialResolution (int );\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolutionMinValue",                (PyCFunction)PyvtkDiskSource_GetCircumferentialResolutionMinValue, 1,
   (char*)"V.GetCircumferentialResolutionMinValue() -> int\nC++: int GetCircumferentialResolutionMinValue ();\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolutionMaxValue",                (PyCFunction)PyvtkDiskSource_GetCircumferentialResolutionMaxValue, 1,
   (char*)"V.GetCircumferentialResolutionMaxValue() -> int\nC++: int GetCircumferentialResolutionMaxValue ();\n\n Set the number of points in circumferential direction.\n"},
  {(char*)"GetCircumferentialResolution",                (PyCFunction)PyvtkDiskSource_GetCircumferentialResolution, 1,
   (char*)"V.GetCircumferentialResolution() -> int\nC++: int GetCircumferentialResolution ();\n\n Set the number of points in circumferential direction.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDiskSourceDoc[] = {
  (char*)"vtkDiskSource - create a disk with hole in center\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkDiskSource creates a polygonal disk with a hole in the center. The \n disk has zero height. The user can specify the inner and outer radius\n of the disk, and the radial and circumferential resolution of the \n polygonal representation. \n\n",
  "See Also:\n\n vtkLinearExtrusionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkDiskSourceStaticNew()
{
  return vtkDiskSource::New();
}

PyObject *PyVTKClass_vtkDiskSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkDiskSourceStaticNew,
                        PyvtkDiskSourceMethods,
                        (char*)"vtkDiskSource",modulename,
                        (char**)vtkDiskSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

