// python wrapper for vtkEdgePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgePoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgePointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgePointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkEdgePoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgePoints *op;

  const char    *temp20;
  op = (vtkEdgePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgePoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgePoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgePoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgePoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgePoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgePoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgePoints *op;

  vtkEdgePoints  *temp20;
  op = (vtkEdgePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgePoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgePoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEdgePoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEdgePoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgePoints_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgePoints *op;

  double   temp0;
  op = (vtkEdgePoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgePoints::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgePoints_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgePoints *op;

  double   temp20;
  op = (vtkEdgePoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgePoints::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgePointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgePoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgePoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgePoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgePoints\nC++: vtkEdgePoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEdgePoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEdgePoints\nC++: vtkEdgePoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkEdgePoints_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set/get the contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkEdgePoints_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set/get the contour value.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgePointsDoc[] = {
  (char*)"vtkEdgePoints - generate points on isosurface\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkEdgePoints is a filter that takes as input any dataset and \n generates for output a set of points that lie on an isosurface. The \n points are created by interpolation along cells edges whose end-points are \n below and above the contour value.\n\n",
  "Caveats:\n\n vtkEdgePoints can be considered a \"poor man's\" dividing cubes algorithm\n (see vtkDividingCubes). Points are generated only on the edges of cells, \n not in the interior, and at lower density than dividing cubes. However, it \n is more general than dividing cubes since it treats any type of dataset.\n\n",
  NULL
};

static vtkObjectBase *vtkEdgePointsStaticNew()
{
  return vtkEdgePoints::New();
}

PyObject *PyVTKClass_vtkEdgePointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkEdgePointsStaticNew,
                        PyvtkEdgePointsMethods,
                        (char*)"vtkEdgePoints",modulename,
                        (char**)vtkEdgePointsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

