// python wrapper for vtkEdgeSubdivisionCriterion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEdgeSubdivisionCriterion.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEdgeSubdivisionCriterionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEdgeSubdivisionCriterionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEdgeSubdivisionCriterion_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  const char    *temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  char    *temp0;
  int      temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  vtkEdgeSubdivisionCriterion  *temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_PassField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  int      temp0;
  int      temp1;
  vtkStreamingTessellator  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkStreamingTessellator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkStreamingTessellator");
    if (!temp2 && tempH2 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::PassField(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->PassField(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_ResetFieldList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEdgeSubdivisionCriterion::ResetFieldList();
      }
    else
      {
      op->ResetFieldList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_DontPassField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  int      temp0;
  vtkStreamingTessellator  *temp1;
  PyObject *tempH1;
  bool   temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkStreamingTessellator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkStreamingTessellator");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::DontPassField(temp0,temp1);
      }
    else
      {
      temp20 = op->DontPassField(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_GetOutputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  int      temp0;
  int      temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::GetOutputField(temp0);
      }
    else
      {
      temp20 = op->GetOutputField(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEdgeSubdivisionCriterion_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEdgeSubdivisionCriterion *op;

  int      temp20;
  op = (vtkEdgeSubdivisionCriterion *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEdgeSubdivisionCriterion::GetNumberOfFields();
      }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEdgeSubdivisionCriterionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEdgeSubdivisionCriterion\nC++: vtkEdgeSubdivisionCriterion *NewInstance ();\n\n"},
  {(char*)"PassField",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_PassField, 1,
   (char*)"V.PassField(int, int, vtkStreamingTessellator) -> int\nC++: virtual int PassField (int sourceId, int sourceSize, vtkStreamingTessellator *t);\n\n This is a helper routine called by \\p PassFields() which\n you may also call directly; it adds \\a sourceSize to the size of\n the output vertex field values. The offset of the \\a sourceId\n field in the output vertex array is returned.\n -1 is returned if \\a sourceSize would force the output to have more\n than \\a vtkStreamingTessellator::MaxFieldSize field values per vertex.\n"},
  {(char*)"ResetFieldList",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_ResetFieldList, 1,
   (char*)"V.ResetFieldList()\nC++: virtual void ResetFieldList ();\n\n Don't pass any field values in the vertex pointer.\n This is used to reset the list of fields to pass after a\n successful run of vtkStreamingTessellator.\n"},
  {(char*)"DontPassField",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_DontPassField, 1,
   (char*)"V.DontPassField(int, vtkStreamingTessellator) -> bool\nC++: virtual bool DontPassField (int sourceId, vtkStreamingTessellator *t);\n\n This does the opposite of \\p PassField(); it removes a field from\n the output (assuming the field was set to be passed).\n Returns true if any action was taken, false otherwise.\n"},
  {(char*)"GetOutputField",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_GetOutputField, 1,
   (char*)"V.GetOutputField(int) -> int\nC++: int GetOutputField (int fieldId) const;\n\n Return the output ID of an input field.\n Returns -1 if \\a fieldId is not set to be passed to the output.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkEdgeSubdivisionCriterion_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields () const;\n\n Return the number of fields being evaluated at each output vertex.\n This is the length of the arrays returned by \\p GetFieldIds() and\n \\p GetFieldOffsets().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEdgeSubdivisionCriterionDoc[] = {
  (char*)"vtkEdgeSubdivisionCriterion - how to decide whether a linear approximation to nonlinear geometry or field should be subdivided\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Descendants of this abstract class are used to decide whether a\n piecewise linear approximation (triangles, lines, ... ) to some\n nonlinear geometry should be subdivided. This decision may be\n based on an absolute error metric (chord error) or on some\n view-dependent metric (chord error compared to device resolution)\n or on some abstract metric (color error). Or anything else, really.\n Just so lo",
  (char*)"ng as you implement the EvaluateEdge member, all will\n be well.\n\n\n",
  "See Also:\n\n vtkDataSetSubdivisionAlgorithm vtkStreamingTessellator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkEdgeSubdivisionCriterionNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkEdgeSubdivisionCriterionMethods,
                        (char*)"vtkEdgeSubdivisionCriterion",modulename,
                        (char**)vtkEdgeSubdivisionCriterionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

