// tcl wrapper for vtkEllipticalButtonSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEllipticalButtonSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkEllipticalButtonSourceNewCommand()
{
  vtkEllipticalButtonSource *temp = vtkEllipticalButtonSource::New();
  return static_cast<ClientData>(temp);
}

int vtkButtonSourceCppCommand(vtkButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEllipticalButtonSourceCppCommand(vtkEllipticalButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkEllipticalButtonSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkEllipticalButtonSourceCppCommand(static_cast<vtkEllipticalButtonSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEllipticalButtonSourceCppCommand(vtkEllipticalButtonSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkEllipticalButtonSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkButtonSourceCppCommand(static_cast<vtkButtonSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkButtonSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkEllipticalButtonSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEllipticalButtonSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkEllipticalButtonSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEllipticalButtonSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkEllipticalButtonSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEllipticalButtonSource");
    return TCL_OK;
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCircumferentialResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCircumferentialResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCircumferentialResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCircumferentialResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCircumferentialResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCircumferentialResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextureResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextureResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextureResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextureResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextureResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShoulderResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShoulderResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShoulderResolutionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShoulderResolutionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShoulderResolutionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShoulderResolutionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShoulderResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShoulderResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadialRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadialRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadialRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadialRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadialRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadialRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadialRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadialRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkEllipticalButtonSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkButtonSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEllipticalButtonSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetCircumferentialResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCircumferentialResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetShoulderResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShoulderResolutionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShoulderResolutionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetShoulderResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetRadialRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadialRatio\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkButtonSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    Tcl_DStringAppendElement ( &dString, "GetDepthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDepthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    Tcl_DStringAppendElement ( &dString, "SetCircumferentialResolution" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolution" );
    Tcl_DStringAppendElement ( &dString, "SetTextureResolution" );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolution" );
    Tcl_DStringAppendElement ( &dString, "SetShoulderResolution" );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolutionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolutionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolution" );
    Tcl_DStringAppendElement ( &dString, "SetRadialRatio" );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatio" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkButtonSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct a circular button with depth 10% of its height.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkEllipticalButtonSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidth */
    if ( strcmp ( argv[2], "SetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button (the x-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMinValue */
    if ( strcmp ( argv[2], "GetWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button (the x-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMaxValue */
    if ( strcmp ( argv[2], "GetWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button (the x-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the width of the button (the x-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeight */
    if ( strcmp ( argv[2], "SetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button (the y-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeight (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMinValue */
    if ( strcmp ( argv[2], "GetHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button (the y-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMaxValue */
    if ( strcmp ( argv[2], "GetHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button (the y-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the height of the button (the y-ellipsoid axis length * 2).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepth */
    if ( strcmp ( argv[2], "SetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthMinValue */
    if ( strcmp ( argv[2], "GetDepthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetDepthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthMaxValue */
    if ( strcmp ( argv[2], "GetDepthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetDepthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepth */
    if ( strcmp ( argv[2], "GetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepth */
    Tcl_DStringAppendElement ( &dString, " Set/Get the depth of the button (the z-eliipsoid axis length).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCircumferentialResolution */
    if ( strcmp ( argv[2], "SetCircumferentialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCircumferentialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCircumferentialResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the button in the circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCircumferentialResolution (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetCircumferentialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolutionMinValue */
    if ( strcmp ( argv[2], "GetCircumferentialResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the button in the circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolutionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetCircumferentialResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolutionMaxValue */
    if ( strcmp ( argv[2], "GetCircumferentialResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the button in the circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolutionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetCircumferentialResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCircumferentialResolution */
    if ( strcmp ( argv[2], "GetCircumferentialResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCircumferentialResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCircumferentialResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the button in the circumferential direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCircumferentialResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetCircumferentialResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureResolution */
    if ( strcmp ( argv[2], "SetTextureResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureResolution (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetTextureResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureResolutionMinValue */
    if ( strcmp ( argv[2], "GetTextureResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextureResolutionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetTextureResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureResolutionMaxValue */
    if ( strcmp ( argv[2], "GetTextureResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextureResolutionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetTextureResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureResolution */
    if ( strcmp ( argv[2], "GetTextureResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextureResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetTextureResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShoulderResolution */
    if ( strcmp ( argv[2], "SetShoulderResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShoulderResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShoulderResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n shoulder region.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShoulderResolution (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetShoulderResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShoulderResolutionMinValue */
    if ( strcmp ( argv[2], "GetShoulderResolutionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolutionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShoulderResolutionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n shoulder region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShoulderResolutionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetShoulderResolutionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShoulderResolutionMaxValue */
    if ( strcmp ( argv[2], "GetShoulderResolutionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolutionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShoulderResolutionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n shoulder region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShoulderResolutionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetShoulderResolutionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShoulderResolution */
    if ( strcmp ( argv[2], "GetShoulderResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShoulderResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShoulderResolution */
    Tcl_DStringAppendElement ( &dString, " Specify the resolution of the texture in the radial direction in the\n shoulder region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShoulderResolution ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetShoulderResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadialRatio */
    if ( strcmp ( argv[2], "SetRadialRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadialRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadialRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radial ratio. This is the measure of the radius of the\n outer ellipsoid to the inner ellipsoid of the button. The outer\n ellipsoid is the boundary of the button defined by the height and\n width. The inner ellipsoid circumscribes the texture region. Larger\n RadialRatio's cause the button to be more rounded (and the texture\n region to be smaller); smaller ratios produce sharply curved shoulders\n with a larger texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadialRatio (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for SetRadialRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialRatioMinValue */
    if ( strcmp ( argv[2], "GetRadialRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radial ratio. This is the measure of the radius of the\n outer ellipsoid to the inner ellipsoid of the button. The outer\n ellipsoid is the boundary of the button defined by the height and\n width. The inner ellipsoid circumscribes the texture region. Larger\n RadialRatio's cause the button to be more rounded (and the texture\n region to be smaller); smaller ratios produce sharply curved shoulders\n with a larger texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadialRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetRadialRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialRatioMaxValue */
    if ( strcmp ( argv[2], "GetRadialRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radial ratio. This is the measure of the radius of the\n outer ellipsoid to the inner ellipsoid of the button. The outer\n ellipsoid is the boundary of the button defined by the height and\n width. The inner ellipsoid circumscribes the texture region. Larger\n RadialRatio's cause the button to be more rounded (and the texture\n region to be smaller); smaller ratios produce sharply curved shoulders\n with a larger texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadialRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetRadialRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadialRatio */
    if ( strcmp ( argv[2], "GetRadialRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadialRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadialRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radial ratio. This is the measure of the radius of the\n outer ellipsoid to the inner ellipsoid of the button. The outer\n ellipsoid is the boundary of the button defined by the height and\n width. The inner ellipsoid circumscribes the texture region. Larger\n RadialRatio's cause the button to be more rounded (and the texture\n region to be smaller); smaller ratios produce sharply curved shoulders\n with a larger texture region.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadialRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkEllipticalButtonSource" );
    /* Closing for GetRadialRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkButtonSourceCppCommand(static_cast<vtkButtonSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
