// python wrapper for vtkExtractArraysOverTime object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractArraysOverTime.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractArraysOverTimeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractArraysOverTimeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractArraysOverTime_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArraysOverTime *op;

  const char    *temp20;
  op = (vtkExtractArraysOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArraysOverTime::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArraysOverTime_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArraysOverTime *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractArraysOverTime *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArraysOverTime::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArraysOverTime_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArraysOverTime *op;

  vtkExtractArraysOverTime  *temp20;
  op = (vtkExtractArraysOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArraysOverTime::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArraysOverTime_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractArraysOverTime  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractArraysOverTime::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractArraysOverTime_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArraysOverTime *op;

  int      temp20;
  op = (vtkExtractArraysOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractArraysOverTime::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractArraysOverTime_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractArraysOverTime *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExtractArraysOverTime *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractArraysOverTime::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkExtractArraysOverTimeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractArraysOverTime_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractArraysOverTime_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractArraysOverTime_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractArraysOverTime\nC++: vtkExtractArraysOverTime *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractArraysOverTime_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractArraysOverTime\nC++: vtkExtractArraysOverTime *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExtractArraysOverTime_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Get the number of time steps\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkExtractArraysOverTime_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractArraysOverTimeDoc[] = {
  (char*)"vtkExtractArraysOverTime - extracts a selection over time.\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkExtractArraysOverTime extracts a selection over time.\n The output is a multiblock dataset. If selection content type is  \n vtkSelection::Locations, then each output block corresponds to each probed\n location. Otherwise, each output block corresponds to an extracted cell/point\n depending on whether the selection field type is CELL or POINT.\n Each block is a 1D rectilinear grid where the \n XCoor",
  (char*)"dinates correspond to time (the same array is also copied to\n a point array named Time or TimeData (if Time exists in the input).\n When extracting point data, the input point coordinates are copied\n to a point array named Point Coordinates or Points (if Point Coordinates\n exists in the input).\n This algorithm does not produce a TIME_STEPS or TIME_RANGE information\n because it works across time. \n ",
  (char*)".Section Caveat\n This algorithm works only with source that produce TIME_STEPS().\n Continuous time range is not yet supported.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractArraysOverTimeStaticNew()
{
  return vtkExtractArraysOverTime::New();
}

PyObject *PyVTKClass_vtkExtractArraysOverTimeNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractArraysOverTimeStaticNew,
                        PyvtkExtractArraysOverTimeMethods,
                        (char*)"vtkExtractArraysOverTime",modulename,
                        (char**)vtkExtractArraysOverTimeDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

