// python wrapper for vtkExtractBlock object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractBlock.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractBlockNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractBlockNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractBlock_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  const char    *temp20;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractBlock::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractBlock::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  vtkExtractBlock  *temp20;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractBlock::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractBlock  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractBlock::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractBlock_AddIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  unsigned int      temp0;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::AddIndex(temp0);
      }
    else
      {
      op->AddIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_RemoveIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  unsigned int      temp0;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::RemoveIndex(temp0);
      }
    else
      {
      op->RemoveIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_RemoveAllIndices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::RemoveAllIndices();
      }
    else
      {
      op->RemoveAllIndices();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_SetPruneOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  int      temp0;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::SetPruneOutput(temp0);
      }
    else
      {
      op->SetPruneOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_GetPruneOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  int      temp20;
  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractBlock::GetPruneOutput();
      }
    else
      {
      temp20 = op->GetPruneOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_PruneOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::PruneOutputOn();
      }
    else
      {
      op->PruneOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractBlock_PruneOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractBlock *op;

  op = (vtkExtractBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractBlock::PruneOutputOff();
      }
    else
      {
      op->PruneOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractBlockMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractBlock_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractBlock_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractBlock_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractBlock\nC++: vtkExtractBlock *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractBlock_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractBlock\nC++: vtkExtractBlock *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddIndex",                (PyCFunction)PyvtkExtractBlock_AddIndex, 1,
   (char*)"V.AddIndex(int)\nC++: void AddIndex (unsigned int index);\n\n Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n"},
  {(char*)"RemoveIndex",                (PyCFunction)PyvtkExtractBlock_RemoveIndex, 1,
   (char*)"V.RemoveIndex(int)\nC++: void RemoveIndex (unsigned int index);\n\n Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n"},
  {(char*)"RemoveAllIndices",                (PyCFunction)PyvtkExtractBlock_RemoveAllIndices, 1,
   (char*)"V.RemoveAllIndices()\nC++: void RemoveAllIndices ();\n\n Select the block indices to extract. \n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n"},
  {(char*)"SetPruneOutput",                (PyCFunction)PyvtkExtractBlock_SetPruneOutput, 1,
   (char*)"V.SetPruneOutput(int)\nC++: void SetPruneOutput (int );\n\n When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n"},
  {(char*)"GetPruneOutput",                (PyCFunction)PyvtkExtractBlock_GetPruneOutput, 1,
   (char*)"V.GetPruneOutput() -> int\nC++: int GetPruneOutput ();\n\n When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n"},
  {(char*)"PruneOutputOn",                (PyCFunction)PyvtkExtractBlock_PruneOutputOn, 1,
   (char*)"V.PruneOutputOn()\nC++: void PruneOutputOn ();\n\n When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n"},
  {(char*)"PruneOutputOff",                (PyCFunction)PyvtkExtractBlock_PruneOutputOff, 1,
   (char*)"V.PruneOutputOff()\nC++: void PruneOutputOff ();\n\n When set, the output mutliblock dataset will be pruned to remove empty\n nodes. On by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractBlockDoc[] = {
  (char*)"vtkExtractBlock - extracts blocks from a multiblock dataset.\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkExtractBlock is a filter that extracts blocks from a multiblock dataset.\n Each node in the multi-block tree is identified by an \\c index. The index can\n be obtained by performing a preorder traversal of the tree (including empty \n nodes). eg. A(B (D, E), C(F, G)). \n Inorder traversal yields: A, B, D, E, C, F, G\n Index of A is 0, while index of C is 4.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractBlockStaticNew()
{
  return vtkExtractBlock::New();
}

PyObject *PyVTKClass_vtkExtractBlockNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractBlockStaticNew,
                        PyvtkExtractBlockMethods,
                        (char*)"vtkExtractBlock",modulename,
                        (char**)vtkExtractBlockDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

