// python wrapper for vtkExtractCells object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractCells.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractCellsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractCellsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractCells_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  const char    *temp20;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCells::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCells_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCells::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCells_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  vtkExtractCells  *temp20;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractCells::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractCells_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractCells  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractCells::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractCells_SetCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCells::SetCellList(temp0);
      }
    else
      {
      op->SetCellList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExtractCells_AddCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCells::AddCellList(temp0);
      }
    else
      {
      op->AddCellList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExtractCells_AddCellRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractCells *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkExtractCells *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractCells::AddCellRange(temp0,temp1);
      }
    else
      {
      op->AddCellRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractCellsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractCells_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractCells_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractCells_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractCells\nC++: vtkExtractCells *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractCells_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractCells\nC++: vtkExtractCells *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCellList",                (PyCFunction)PyvtkExtractCells_SetCellList, 1,
   (char*)"V.SetCellList(vtkIdList)\nC++: void SetCellList (vtkIdList *l);\n\n"},
  {(char*)"AddCellList",                (PyCFunction)PyvtkExtractCells_AddCellList, 1,
   (char*)"V.AddCellList(vtkIdList)\nC++: void AddCellList (vtkIdList *l);\n\n"},
  {(char*)"AddCellRange",                (PyCFunction)PyvtkExtractCells_AddCellRange, 1,
   (char*)"V.AddCellRange(int, int)\nC++: void AddCellRange (vtkIdType from, vtkIdType to);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractCellsDoc[] = {
  (char*)"vtkExtractCells - subset a vtkDataSet to create a vtkUnstructuredGrid\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)"    Given a vtkDataSet and a list of cell Ids, create a vtkUnstructuredGrid\n    composed of these cells.  If the cell list is empty when vtkExtractCells \n    executes, it will set up the ugrid, point and cell arrays, with no points, \n    cells or data.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractCellsStaticNew()
{
  return vtkExtractCells::New();
}

PyObject *PyVTKClass_vtkExtractCellsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractCellsStaticNew,
                        PyvtkExtractCellsMethods,
                        (char*)"vtkExtractCells",modulename,
                        (char**)vtkExtractCellsDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

