// python wrapper for vtkExtractDataOverTime object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractDataOverTime.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractDataOverTimeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractDataOverTimeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractDataOverTime_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  const char    *temp20;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataOverTime::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataOverTime::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  vtkExtractDataOverTime  *temp20;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataOverTime::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractDataOverTime  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractDataOverTime::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_SetPointIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  int      temp0;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractDataOverTime::SetPointIndex(temp0);
      }
    else
      {
      op->SetPointIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_GetPointIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  int      temp20;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataOverTime::GetPointIndex();
      }
    else
      {
      temp20 = op->GetPointIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataOverTime_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataOverTime *op;

  int      temp20;
  op = (vtkExtractDataOverTime *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataOverTime::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractDataOverTimeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractDataOverTime_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractDataOverTime_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractDataOverTime_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractDataOverTime\nC++: vtkExtractDataOverTime *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractDataOverTime_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractDataOverTime\nC++: vtkExtractDataOverTime *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointIndex",                (PyCFunction)PyvtkExtractDataOverTime_SetPointIndex, 1,
   (char*)"V.SetPointIndex(int)\nC++: void SetPointIndex (int );\n\n Index of point to extract at each time step\n"},
  {(char*)"GetPointIndex",                (PyCFunction)PyvtkExtractDataOverTime_GetPointIndex, 1,
   (char*)"V.GetPointIndex() -> int\nC++: int GetPointIndex ();\n\n Index of point to extract at each time step\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExtractDataOverTime_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Get the number of time steps\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractDataOverTimeDoc[] = {
  (char*)"vtkExtractDataOverTime - extract point data from a time sequence for\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" This filter extracts the point data from a time sequence and specified index\n and creates an output of the same type as the input but with Points \n containing \"number of time steps\" points; the point and PointData \n corresponding to the PointIndex are extracted at each time step and added to\n the output.  A PointData array is added called \"Time\" (or \"TimeData\" if\n there is already an array called",
  (char*)" \"Time\"), which is the time at each index.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractDataOverTimeStaticNew()
{
  return vtkExtractDataOverTime::New();
}

PyObject *PyVTKClass_vtkExtractDataOverTimeNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractDataOverTimeStaticNew,
                        PyvtkExtractDataOverTimeMethods,
                        (char*)"vtkExtractDataOverTime",modulename,
                        (char**)vtkExtractDataOverTimeDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

