// python wrapper for vtkExtractDataSets object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractDataSets.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractDataSetsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractDataSetsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractDataSets_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataSets *op;

  const char    *temp20;
  op = (vtkExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataSets::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataSets_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataSets *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataSets::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataSets_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataSets *op;

  vtkExtractDataSets  *temp20;
  op = (vtkExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractDataSets::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataSets_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractDataSets  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractDataSets::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractDataSets_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataSets *op;

  unsigned int      temp0;
  unsigned int      temp1;
  op = (vtkExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractDataSets::AddDataSet(temp0,temp1);
      }
    else
      {
      op->AddDataSet(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractDataSets_ClearDataSetList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractDataSets *op;

  op = (vtkExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractDataSets::ClearDataSetList();
      }
    else
      {
      op->ClearDataSetList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractDataSetsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractDataSets_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractDataSets_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractDataSets_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractDataSets\nC++: vtkExtractDataSets *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractDataSets_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractDataSets\nC++: vtkExtractDataSets *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkExtractDataSets_AddDataSet, 1,
   (char*)"V.AddDataSet(int, int)\nC++: void AddDataSet (unsigned int level, unsigned int idx);\n\n Add a dataset to be extracted.\n"},
  {(char*)"ClearDataSetList",                (PyCFunction)PyvtkExtractDataSets_ClearDataSetList, 1,
   (char*)"V.ClearDataSetList()\nC++: void ClearDataSetList ();\n\n Remove all entries from the list of datasets to be extracted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractDataSetsDoc[] = {
  (char*)"vtkExtractDataSets - extracts a number of datasets.\n\n",
  "Super Class:\n\n vtkHierarchicalBoxDataSetAlgorithm\n\n",
  (char*)" vtkExtractDataSets accepts a vtkHierarchicalBoxDataSet as input and extracts\n different datasets from different levels. The output is\n vtkHierarchicalBoxDataSet with same structure as the input with only the\n selected datasets passed through. \n\n",
  NULL
};

static vtkObjectBase *vtkExtractDataSetsStaticNew()
{
  return vtkExtractDataSets::New();
}

PyObject *PyVTKClass_vtkExtractDataSetsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractDataSetsStaticNew,
                        PyvtkExtractDataSetsMethods,
                        (char*)"vtkExtractDataSets",modulename,
                        (char**)vtkExtractDataSetsDoc,
                        PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(modulename));
}

