// python wrapper for vtkExtractEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractEdges.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractEdgesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractEdgesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkExtractEdges_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  const char    *temp20;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractEdges::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractEdges_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractEdges::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractEdges_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  vtkExtractEdges  *temp20;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractEdges::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractEdges_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractEdges  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractEdges::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractEdges_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractEdges::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExtractEdges_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  vtkPointLocator  *temp20;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractEdges::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractEdges_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractEdges::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractEdges_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractEdges *op;

  unsigned long     temp20;
  op = (vtkExtractEdges *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractEdges::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractEdgesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractEdges_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractEdges_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractEdges_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractEdges\nC++: vtkExtractEdges *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractEdges_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractEdges\nC++: vtkExtractEdges *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkExtractEdges_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkExtractEdges_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkExtractEdges_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractEdges_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractEdgesDoc[] = {
  (char*)"vtkExtractEdges - extract cell edges from any type of data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkExtractEdges is a filter to extract edges from a dataset. Edges\n are extracted as lines or polylines.\n\n",
  "See Also:\n\n vtkFeatureEdges\n\n",
  NULL
};

static vtkObjectBase *vtkExtractEdgesStaticNew()
{
  return vtkExtractEdges::New();
}

PyObject *PyVTKClass_vtkExtractEdgesNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractEdgesStaticNew,
                        PyvtkExtractEdgesMethods,
                        (char*)"vtkExtractEdges",modulename,
                        (char**)vtkExtractEdgesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

