// python wrapper for vtkExtractGeometry object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractGeometry.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractGeometryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractGeometryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractGeometry_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  const char    *temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  vtkExtractGeometry  *temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractGeometry  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractGeometry::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractGeometry_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  unsigned long     temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_SetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::SetImplicitFunction(temp0);
      }
    else
      {
      op->SetImplicitFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExtractGeometry_GetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  vtkImplicitFunction  *temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetImplicitFunction();
      }
    else
      {
      temp20 = op->GetImplicitFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_SetExtractInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp0;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::SetExtractInside(temp0);
      }
    else
      {
      op->SetExtractInside(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_GetExtractInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetExtractInside();
      }
    else
      {
      temp20 = op->GetExtractInside();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractInsideOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractInsideOn();
      }
    else
      {
      op->ExtractInsideOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractInsideOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractInsideOff();
      }
    else
      {
      op->ExtractInsideOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_SetExtractBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp0;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::SetExtractBoundaryCells(temp0);
      }
    else
      {
      op->SetExtractBoundaryCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_GetExtractBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetExtractBoundaryCells();
      }
    else
      {
      temp20 = op->GetExtractBoundaryCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractBoundaryCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractBoundaryCellsOn();
      }
    else
      {
      op->ExtractBoundaryCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractBoundaryCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractBoundaryCellsOff();
      }
    else
      {
      op->ExtractBoundaryCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_SetExtractOnlyBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp0;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::SetExtractOnlyBoundaryCells(temp0);
      }
    else
      {
      op->SetExtractOnlyBoundaryCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_GetExtractOnlyBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  int      temp20;
  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGeometry::GetExtractOnlyBoundaryCells();
      }
    else
      {
      temp20 = op->GetExtractOnlyBoundaryCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractOnlyBoundaryCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractOnlyBoundaryCellsOn();
      }
    else
      {
      op->ExtractOnlyBoundaryCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGeometry_ExtractOnlyBoundaryCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGeometry *op;

  op = (vtkExtractGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGeometry::ExtractOnlyBoundaryCellsOff();
      }
    else
      {
      op->ExtractOnlyBoundaryCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractGeometryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractGeometry_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractGeometry_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractGeometry_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractGeometry\nC++: vtkExtractGeometry *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractGeometry_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractGeometry\nC++: vtkExtractGeometry *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractGeometry_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the implicit function\n"},
  {(char*)"SetImplicitFunction",                (PyCFunction)PyvtkExtractGeometry_SetImplicitFunction, 1,
   (char*)"V.SetImplicitFunction(vtkImplicitFunction)\nC++: virtual void SetImplicitFunction (vtkImplicitFunction *);\n\n Specify the implicit function for inside/outside checks.\n"},
  {(char*)"GetImplicitFunction",                (PyCFunction)PyvtkExtractGeometry_GetImplicitFunction, 1,
   (char*)"V.GetImplicitFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetImplicitFunction ();\n\n Specify the implicit function for inside/outside checks.\n"},
  {(char*)"SetExtractInside",                (PyCFunction)PyvtkExtractGeometry_SetExtractInside, 1,
   (char*)"V.SetExtractInside(int)\nC++: void SetExtractInside (int );\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"GetExtractInside",                (PyCFunction)PyvtkExtractGeometry_GetExtractInside, 1,
   (char*)"V.GetExtractInside() -> int\nC++: int GetExtractInside ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"ExtractInsideOn",                (PyCFunction)PyvtkExtractGeometry_ExtractInsideOn, 1,
   (char*)"V.ExtractInsideOn()\nC++: void ExtractInsideOn ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"ExtractInsideOff",                (PyCFunction)PyvtkExtractGeometry_ExtractInsideOff, 1,
   (char*)"V.ExtractInsideOff()\nC++: void ExtractInsideOff ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"SetExtractBoundaryCells",                (PyCFunction)PyvtkExtractGeometry_SetExtractBoundaryCells, 1,
   (char*)"V.SetExtractBoundaryCells(int)\nC++: void SetExtractBoundaryCells (int );\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"GetExtractBoundaryCells",                (PyCFunction)PyvtkExtractGeometry_GetExtractBoundaryCells, 1,
   (char*)"V.GetExtractBoundaryCells() -> int\nC++: int GetExtractBoundaryCells ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractBoundaryCellsOn",                (PyCFunction)PyvtkExtractGeometry_ExtractBoundaryCellsOn, 1,
   (char*)"V.ExtractBoundaryCellsOn()\nC++: void ExtractBoundaryCellsOn ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractBoundaryCellsOff",                (PyCFunction)PyvtkExtractGeometry_ExtractBoundaryCellsOff, 1,
   (char*)"V.ExtractBoundaryCellsOff()\nC++: void ExtractBoundaryCellsOff ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"SetExtractOnlyBoundaryCells",                (PyCFunction)PyvtkExtractGeometry_SetExtractOnlyBoundaryCells, 1,
   (char*)"V.SetExtractOnlyBoundaryCells(int)\nC++: void SetExtractOnlyBoundaryCells (int );\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"GetExtractOnlyBoundaryCells",                (PyCFunction)PyvtkExtractGeometry_GetExtractOnlyBoundaryCells, 1,
   (char*)"V.GetExtractOnlyBoundaryCells() -> int\nC++: int GetExtractOnlyBoundaryCells ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractOnlyBoundaryCellsOn",                (PyCFunction)PyvtkExtractGeometry_ExtractOnlyBoundaryCellsOn, 1,
   (char*)"V.ExtractOnlyBoundaryCellsOn()\nC++: void ExtractOnlyBoundaryCellsOn ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractOnlyBoundaryCellsOff",                (PyCFunction)PyvtkExtractGeometry_ExtractOnlyBoundaryCellsOff, 1,
   (char*)"V.ExtractOnlyBoundaryCellsOff()\nC++: void ExtractOnlyBoundaryCellsOff ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractGeometryDoc[] = {
  (char*)"vtkExtractGeometry - extract cells that lie either entirely inside or outside of a specified implicit function\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkExtractGeometry extracts from its input dataset all cells that are either\n completely inside or outside of a specified implicit function. Any type of\n dataset can be input to this filter. On output the filter generates an\n unstructured grid.\n\n To use this filter you must specify an implicit function. You must also\n specify whethter to extract cells lying inside or outside of the implicit \n fun",
  (char*)"ction. (The inside of an implicit function is the negative values \n region.) An option exists to extract cells that are neither inside or\n outside (i.e., boundary).\n\n A more efficient version of this filter is available for vtkPolyData input.\n See vtkExtractPolyDataGeometry.\n\n",
  "See Also:\n\n vtkExtractPolyDataGeometry vtkGeometryFilter vtkExtractVOI \n\n",
  NULL
};

static vtkObjectBase *vtkExtractGeometryStaticNew()
{
  return vtkExtractGeometry::New();
}

PyObject *PyVTKClass_vtkExtractGeometryNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractGeometryStaticNew,
                        PyvtkExtractGeometryMethods,
                        (char*)"vtkExtractGeometry",modulename,
                        (char**)vtkExtractGeometryDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

