// python wrapper for vtkExtractGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  const char    *temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  vtkExtractGrid  *temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractGrid_SetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::SetVOI(temp0);
      }
    else
      {
      op->SetVOI(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_GetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int     *temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::GetVOI();
      }
    else
      {
      temp20 = op->GetVOI();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_SetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::SetSampleRate(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleRate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::SetSampleRate(temp0);
      }
    else
      {
      op->SetSampleRate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_GetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int     *temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::GetSampleRate();
      }
    else
      {
      temp20 = op->GetSampleRate();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_SetIncludeBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int      temp0;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::SetIncludeBoundary(temp0);
      }
    else
      {
      op->SetIncludeBoundary(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_GetIncludeBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  int      temp20;
  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractGrid::GetIncludeBoundary();
      }
    else
      {
      temp20 = op->GetIncludeBoundary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_IncludeBoundaryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::IncludeBoundaryOn();
      }
    else
      {
      op->IncludeBoundaryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractGrid_IncludeBoundaryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractGrid *op;

  op = (vtkExtractGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractGrid::IncludeBoundaryOff();
      }
    else
      {
      op->IncludeBoundaryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractGrid\nC++: vtkExtractGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractGrid\nC++: vtkExtractGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVOI",                (PyCFunction)PyvtkExtractGrid_SetVOI, 1,
   (char*)"V.SetVOI(int, int, int, int, int, int)\nC++: void SetVOI (int , int , int , int , int , int );\nV.SetVOI((int, int, int, int, int, int))\nC++: void SetVOI (int  a[6]);\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured grid\n dataset can be of any topological dimension (i.e., point, line, plane,\n or 3D grid). \n"},
  {(char*)"GetVOI",                (PyCFunction)PyvtkExtractGrid_GetVOI, 1,
   (char*)"V.GetVOI() -> (int, int, int, int, int, int)\nC++: int  *GetVOI ();\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured grid\n dataset can be of any topological dimension (i.e., point, line, plane,\n or 3D grid). \n"},
  {(char*)"SetSampleRate",                (PyCFunction)PyvtkExtractGrid_SetSampleRate, 1,
   (char*)"V.SetSampleRate(int, int, int)\nC++: void SetSampleRate (int , int , int );\nV.SetSampleRate((int, int, int))\nC++: void SetSampleRate (int  a[3]);\n\n Set the sampling rate in the i, j, and k directions. If the rate is > 1,\n then the resulting VOI will be subsampled representation of the input.\n For example, if the SampleRate=(2,2,2), every other point will be\n selected, resulting in a volume 1/8th the original size.\n"},
  {(char*)"GetSampleRate",                (PyCFunction)PyvtkExtractGrid_GetSampleRate, 1,
   (char*)"V.GetSampleRate() -> (int, int, int)\nC++: int  *GetSampleRate ();\n\n Set the sampling rate in the i, j, and k directions. If the rate is > 1,\n then the resulting VOI will be subsampled representation of the input.\n For example, if the SampleRate=(2,2,2), every other point will be\n selected, resulting in a volume 1/8th the original size.\n"},
  {(char*)"SetIncludeBoundary",                (PyCFunction)PyvtkExtractGrid_SetIncludeBoundary, 1,
   (char*)"V.SetIncludeBoundary(int)\nC++: void SetIncludeBoundary (int );\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"GetIncludeBoundary",                (PyCFunction)PyvtkExtractGrid_GetIncludeBoundary, 1,
   (char*)"V.GetIncludeBoundary() -> int\nC++: int GetIncludeBoundary ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOn",                (PyCFunction)PyvtkExtractGrid_IncludeBoundaryOn, 1,
   (char*)"V.IncludeBoundaryOn()\nC++: void IncludeBoundaryOn ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOff",                (PyCFunction)PyvtkExtractGrid_IncludeBoundaryOff, 1,
   (char*)"V.IncludeBoundaryOff()\nC++: void IncludeBoundaryOff ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractGridDoc[] = {
  (char*)"vtkExtractGrid - select piece (e.g., volume of interest) and/or subsample structured grid dataset\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" vtkExtractGrid is a filter that selects a portion of an input structured\n grid dataset, or subsamples an input dataset. (The selected portion of\n interested is referred to as the Volume Of Interest, or VOI.) The output of\n this filter is a structured grid dataset. The filter treats input data of\n any topological dimension (i.e., point, line, image, or volume) and can\n generate output data of any ",
  (char*)"topological dimension.\n\n To use this filter set the VOI ivar which are i-j-k min/max indices that\n specify a rectangular region in the data. (Note that these are 0-offset.)\n You can also specify a sampling rate to subsample the data.\n\n Typical applications of this filter are to extract a plane from a grid for \n contouring, subsampling large grids to reduce data size, or extracting\n regions of a gr",
  (char*)"id with interesting data.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkExtractGeometry vtkExtractVOI \n vtkStructuredGridGeometryFilter\n\n",
  NULL
};

static vtkObjectBase *vtkExtractGridStaticNew()
{
  return vtkExtractGrid::New();
}

PyObject *PyVTKClass_vtkExtractGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractGridStaticNew,
                        PyvtkExtractGridMethods,
                        (char*)"vtkExtractGrid",modulename,
                        (char**)vtkExtractGridDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

