// python wrapper for vtkExtractLevel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractLevel.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractLevelNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractLevelNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractLevel_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  const char    *temp20;
  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractLevel::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractLevel_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractLevel::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractLevel_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  vtkExtractLevel  *temp20;
  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractLevel::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractLevel_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractLevel  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractLevel::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractLevel_AddLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  unsigned int      temp0;
  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractLevel::AddLevel(temp0);
      }
    else
      {
      op->AddLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractLevel_RemoveLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  unsigned int      temp0;
  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractLevel::RemoveLevel(temp0);
      }
    else
      {
      op->RemoveLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractLevel_RemoveAllLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractLevel *op;

  op = (vtkExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractLevel::RemoveAllLevels();
      }
    else
      {
      op->RemoveAllLevels();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractLevelMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractLevel_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractLevel_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractLevel_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractLevel\nC++: vtkExtractLevel *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractLevel_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractLevel\nC++: vtkExtractLevel *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddLevel",                (PyCFunction)PyvtkExtractLevel_AddLevel, 1,
   (char*)"V.AddLevel(int)\nC++: void AddLevel (unsigned int level);\n\n Select the levels that should be extracted. All other levels will have no\n datasets in them.\n"},
  {(char*)"RemoveLevel",                (PyCFunction)PyvtkExtractLevel_RemoveLevel, 1,
   (char*)"V.RemoveLevel(int)\nC++: void RemoveLevel (unsigned int level);\n\n Select the levels that should be extracted. All other levels will have no\n datasets in them.\n"},
  {(char*)"RemoveAllLevels",                (PyCFunction)PyvtkExtractLevel_RemoveAllLevels, 1,
   (char*)"V.RemoveAllLevels()\nC++: void RemoveAllLevels ();\n\n Select the levels that should be extracted. All other levels will have no\n datasets in them.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractLevelDoc[] = {
  (char*)"vtkExtractLevel - extract levels between min and max from a\n\n",
  "Super Class:\n\n vtkHierarchicalBoxDataSetAlgorithm\n\n",
  (char*)" vtkExtractLevel filter extracts the levels between (and including) the user\n specified min and max levels.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractLevelStaticNew()
{
  return vtkExtractLevel::New();
}

PyObject *PyVTKClass_vtkExtractLevelNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractLevelStaticNew,
                        PyvtkExtractLevelMethods,
                        (char*)"vtkExtractLevel",modulename,
                        (char**)vtkExtractLevelDoc,
                        PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(modulename));
}

