// python wrapper for vtkExtractPolyDataGeometry object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractPolyDataGeometry.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractPolyDataGeometryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractPolyDataGeometryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkExtractPolyDataGeometry_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  const char    *temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  vtkExtractPolyDataGeometry  *temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractPolyDataGeometry  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractPolyDataGeometry::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  unsigned long     temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_SetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::SetImplicitFunction(temp0);
      }
    else
      {
      op->SetImplicitFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_GetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  vtkImplicitFunction  *temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::GetImplicitFunction();
      }
    else
      {
      temp20 = op->GetImplicitFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_SetExtractInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  int      temp0;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::SetExtractInside(temp0);
      }
    else
      {
      op->SetExtractInside(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_GetExtractInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  int      temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::GetExtractInside();
      }
    else
      {
      temp20 = op->GetExtractInside();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_ExtractInsideOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::ExtractInsideOn();
      }
    else
      {
      op->ExtractInsideOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_ExtractInsideOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::ExtractInsideOff();
      }
    else
      {
      op->ExtractInsideOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_SetExtractBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  int      temp0;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::SetExtractBoundaryCells(temp0);
      }
    else
      {
      op->SetExtractBoundaryCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_GetExtractBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  int      temp20;
  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractPolyDataGeometry::GetExtractBoundaryCells();
      }
    else
      {
      temp20 = op->GetExtractBoundaryCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_ExtractBoundaryCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::ExtractBoundaryCellsOn();
      }
    else
      {
      op->ExtractBoundaryCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractPolyDataGeometry_ExtractBoundaryCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractPolyDataGeometry *op;

  op = (vtkExtractPolyDataGeometry *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractPolyDataGeometry::ExtractBoundaryCellsOff();
      }
    else
      {
      op->ExtractBoundaryCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractPolyDataGeometryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractPolyDataGeometry_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractPolyDataGeometry_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractPolyDataGeometry_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractPolyDataGeometry\nC++: vtkExtractPolyDataGeometry *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractPolyDataGeometry_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractPolyDataGeometry\nC++: vtkExtractPolyDataGeometry *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractPolyDataGeometry_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the implicit function\n"},
  {(char*)"SetImplicitFunction",                (PyCFunction)PyvtkExtractPolyDataGeometry_SetImplicitFunction, 1,
   (char*)"V.SetImplicitFunction(vtkImplicitFunction)\nC++: virtual void SetImplicitFunction (vtkImplicitFunction *);\n\n Specify the implicit function for inside/outside checks.\n"},
  {(char*)"GetImplicitFunction",                (PyCFunction)PyvtkExtractPolyDataGeometry_GetImplicitFunction, 1,
   (char*)"V.GetImplicitFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetImplicitFunction ();\n\n Specify the implicit function for inside/outside checks.\n"},
  {(char*)"SetExtractInside",                (PyCFunction)PyvtkExtractPolyDataGeometry_SetExtractInside, 1,
   (char*)"V.SetExtractInside(int)\nC++: void SetExtractInside (int );\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"GetExtractInside",                (PyCFunction)PyvtkExtractPolyDataGeometry_GetExtractInside, 1,
   (char*)"V.GetExtractInside() -> int\nC++: int GetExtractInside ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"ExtractInsideOn",                (PyCFunction)PyvtkExtractPolyDataGeometry_ExtractInsideOn, 1,
   (char*)"V.ExtractInsideOn()\nC++: void ExtractInsideOn ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"ExtractInsideOff",                (PyCFunction)PyvtkExtractPolyDataGeometry_ExtractInsideOff, 1,
   (char*)"V.ExtractInsideOff()\nC++: void ExtractInsideOff ();\n\n Boolean controls whether to extract cells that are inside of implicit \n function (ExtractInside == 1) or outside of implicit function \n (ExtractInside == 0).\n"},
  {(char*)"SetExtractBoundaryCells",                (PyCFunction)PyvtkExtractPolyDataGeometry_SetExtractBoundaryCells, 1,
   (char*)"V.SetExtractBoundaryCells(int)\nC++: void SetExtractBoundaryCells (int );\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"GetExtractBoundaryCells",                (PyCFunction)PyvtkExtractPolyDataGeometry_GetExtractBoundaryCells, 1,
   (char*)"V.GetExtractBoundaryCells() -> int\nC++: int GetExtractBoundaryCells ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractBoundaryCellsOn",                (PyCFunction)PyvtkExtractPolyDataGeometry_ExtractBoundaryCellsOn, 1,
   (char*)"V.ExtractBoundaryCellsOn()\nC++: void ExtractBoundaryCellsOn ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {(char*)"ExtractBoundaryCellsOff",                (PyCFunction)PyvtkExtractPolyDataGeometry_ExtractBoundaryCellsOff, 1,
   (char*)"V.ExtractBoundaryCellsOff()\nC++: void ExtractBoundaryCellsOff ();\n\n Boolean controls whether to extract cells that are partially inside.\n By default, ExtractBoundaryCells is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractPolyDataGeometryDoc[] = {
  (char*)"vtkExtractPolyDataGeometry - extract vtkPolyData cells that lies either entirely inside or outside of a specified implicit function\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkExtractPolyDataGeometry extracts from its input vtkPolyData all cells\n that are either completely inside or outside of a specified implicit\n function. This filter is specialized to vtkPolyData. On output the \n filter generates vtkPolyData.\n\n To use this filter you must specify an implicit function. You must also\n specify whether to extract cells lying inside or outside of the implicit \n functi",
  (char*)"on. (The inside of an implicit function is the negative values \n region.) An option exists to extract cells that are neither inside nor\n outside (i.e., boundary).\n\n A more general version of this filter is available for arbitrary\n vtkDataSet input (see vtkExtractGeometry).\n\n",
  "See Also:\n\n vtkExtractGeometry vtkClipPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkExtractPolyDataGeometryStaticNew()
{
  return vtkExtractPolyDataGeometry::New();
}

PyObject *PyVTKClass_vtkExtractPolyDataGeometryNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractPolyDataGeometryStaticNew,
                        PyvtkExtractPolyDataGeometryMethods,
                        (char*)"vtkExtractPolyDataGeometry",modulename,
                        (char**)vtkExtractPolyDataGeometryDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

