// python wrapper for vtkExtractSelectedBlock object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedBlock.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedBlockNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedBlockNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelectedBlock_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedBlock *op;

  const char    *temp20;
  op = (vtkExtractSelectedBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedBlock::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedBlock_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedBlock *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedBlock *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedBlock::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedBlock_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedBlock *op;

  vtkExtractSelectedBlock  *temp20;
  op = (vtkExtractSelectedBlock *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedBlock::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedBlock_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedBlock  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedBlock::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedBlockMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedBlock_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedBlock_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedBlock_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedBlock\nC++: vtkExtractSelectedBlock *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedBlock_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedBlock\nC++: vtkExtractSelectedBlock *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedBlockDoc[] = {
  (char*)"vtkExtractSelectedBlock \n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedBlockStaticNew()
{
  return vtkExtractSelectedBlock::New();
}

PyObject *PyVTKClass_vtkExtractSelectedBlockNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedBlockStaticNew,
                        PyvtkExtractSelectedBlockMethods,
                        (char*)"vtkExtractSelectedBlock",modulename,
                        (char**)vtkExtractSelectedBlockDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

