// python wrapper for vtkExtractSelectedFrustum object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedFrustum.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedFrustumNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedFrustumNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelectedFrustum_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  const char    *temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  vtkExtractSelectedFrustum  *temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedFrustum  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedFrustum::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  unsigned long     temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SetFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::SetFrustum(temp0);
      }
    else
      {
      op->SetFrustum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  vtkPlanes  *temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetFrustum();
      }
    else
      {
      temp20 = op->GetFrustum();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_CreateFrustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  double temp0[32];
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24, temp0 + 25, temp0 + 26, temp0 + 27, temp0 + 28, temp0 + 29, temp0 + 30, temp0 + 31);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::CreateFrustum(temp0);
      }
    else
      {
      op->CreateFrustum(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,32)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetClipPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  vtkPoints  *temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetClipPoints();
      }
    else
      {
      temp20 = op->GetClipPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp0;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SetContainingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp0;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::SetContainingCells(temp0);
      }
    else
      {
      op->SetContainingCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetContainingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetContainingCells();
      }
    else
      {
      temp20 = op->GetContainingCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SetShowBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp0;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::SetShowBounds(temp0);
      }
    else
      {
      op->SetShowBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetShowBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetShowBounds();
      }
    else
      {
      temp20 = op->GetShowBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_ShowBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::ShowBoundsOn();
      }
    else
      {
      op->ShowBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_ShowBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::ShowBoundsOff();
      }
    else
      {
      op->ShowBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp0;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  int      temp20;
  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedFrustum::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedFrustum_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedFrustum *op;

  op = (vtkExtractSelectedFrustum *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectedFrustum::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedFrustumMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedFrustum_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedFrustum_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedFrustum_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedFrustum\nC++: vtkExtractSelectedFrustum *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedFrustum_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedFrustum\nC++: vtkExtractSelectedFrustum *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractSelectedFrustum_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime taking into account changes to the Frustum\n"},
  {(char*)"SetFrustum",                (PyCFunction)PyvtkExtractSelectedFrustum_SetFrustum, 1,
   (char*)"V.SetFrustum(vtkPlanes)\nC++: virtual void SetFrustum (vtkPlanes *);\n\n Set the selection frustum. The planes object must contain six planes.\n"},
  {(char*)"GetFrustum",                (PyCFunction)PyvtkExtractSelectedFrustum_GetFrustum, 1,
   (char*)"V.GetFrustum() -> vtkPlanes\nC++: vtkPlanes *GetFrustum ();\n\n Set the selection frustum. The planes object must contain six planes.\n"},
  {(char*)"CreateFrustum",                (PyCFunction)PyvtkExtractSelectedFrustum_CreateFrustum, 1,
   (char*)"V.CreateFrustum((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void CreateFrustum (double vertices[32]);\n\n Given eight vertices, creates a frustum.\n each pt is x,y,z,1\n in the following order\n near lower left, far lower left\n near upper left, far upper left\n near lower right, far lower right\n near upper right, far upper right\n"},
  {(char*)"GetClipPoints",                (PyCFunction)PyvtkExtractSelectedFrustum_GetClipPoints, 1,
   (char*)"V.GetClipPoints() -> vtkPoints\nC++: vtkPoints *GetClipPoints ();\n\n Return eight points that define the selection frustum. Valid if\n create Frustum was used, invalid if SetFrustum was.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkExtractSelectedFrustum_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n Sets/gets the intersection test type.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkExtractSelectedFrustum_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n Sets/gets the intersection test type.\n"},
  {(char*)"SetContainingCells",                (PyCFunction)PyvtkExtractSelectedFrustum_SetContainingCells, 1,
   (char*)"V.SetContainingCells(int)\nC++: void SetContainingCells (int );\n\n Sets/gets the intersection test type. Only meaningful when fieldType is \n vtkSelection::POINT\n"},
  {(char*)"GetContainingCells",                (PyCFunction)PyvtkExtractSelectedFrustum_GetContainingCells, 1,
   (char*)"V.GetContainingCells() -> int\nC++: int GetContainingCells ();\n\n Sets/gets the intersection test type. Only meaningful when fieldType is \n vtkSelection::POINT\n"},
  {(char*)"SetShowBounds",                (PyCFunction)PyvtkExtractSelectedFrustum_SetShowBounds, 1,
   (char*)"V.SetShowBounds(int)\nC++: void SetShowBounds (int );\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default.\n"},
  {(char*)"GetShowBounds",                (PyCFunction)PyvtkExtractSelectedFrustum_GetShowBounds, 1,
   (char*)"V.GetShowBounds() -> int\nC++: int GetShowBounds ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default.\n"},
  {(char*)"ShowBoundsOn",                (PyCFunction)PyvtkExtractSelectedFrustum_ShowBoundsOn, 1,
   (char*)"V.ShowBoundsOn()\nC++: void ShowBoundsOn ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default.\n"},
  {(char*)"ShowBoundsOff",                (PyCFunction)PyvtkExtractSelectedFrustum_ShowBoundsOff, 1,
   (char*)"V.ShowBoundsOff()\nC++: void ShowBoundsOff ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkExtractSelectedFrustum_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n When on, extracts cells outside the frustum instead of inside.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkExtractSelectedFrustum_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n When on, extracts cells outside the frustum instead of inside.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkExtractSelectedFrustum_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n When on, extracts cells outside the frustum instead of inside.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkExtractSelectedFrustum_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n When on, extracts cells outside the frustum instead of inside.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedFrustumDoc[] = {
  (char*)"vtkExtractSelectedFrustum - Returns the portion of the input dataset that \n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" This class intersects the input DataSet with a frustum and determines which\n cells and points lie within the frustum. The frustum is defined with a \n vtkPlanes containing six cutting planes. The output is a DataSet that is \n either a shallow copy of the input dataset with two new \"vtkInsidedness\" \n attribute arrays, or a completely new UnstructuredGrid that contains only \n the cells and points of",
  (char*)" the input that are inside the frustum. The \n PreserveTopology flag controls which occurs. When PreserveTopology is off \n this filter adds a scalar array called vtkOriginalCellIds that says what \n input cell produced each output cell. This is an example of a Pedigree ID \n which helps to trace back results.\n\n\n",
  "See Also:\n\n vtkExtractGeometry, vtkAreaPicker, vtkExtractSelection, vtkSelection\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedFrustumStaticNew()
{
  return vtkExtractSelectedFrustum::New();
}

PyObject *PyVTKClass_vtkExtractSelectedFrustumNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedFrustumStaticNew,
                        PyvtkExtractSelectedFrustumMethods,
                        (char*)"vtkExtractSelectedFrustum",modulename,
                        (char**)vtkExtractSelectedFrustumDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

