// python wrapper for vtkExtractSelectedIds object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedIds.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedIdsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedIdsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelectedIds_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedIds *op;

  const char    *temp20;
  op = (vtkExtractSelectedIds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedIds::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedIds_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedIds *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedIds *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedIds::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedIds_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedIds *op;

  vtkExtractSelectedIds  *temp20;
  op = (vtkExtractSelectedIds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedIds::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedIds_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedIds  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedIds::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedIdsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedIds_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedIds_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedIds_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedIds\nC++: vtkExtractSelectedIds *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedIds_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedIds\nC++: vtkExtractSelectedIds *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedIdsDoc[] = {
  (char*)"vtkExtractSelectedIds - extract a list of cells from a dataset\n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" vtkExtractSelectedIds extracts a set of cells and points from within a\n vtkDataSet. The set of ids to extract are listed within a vtkSelection.\n This filter adds a scalar array called vtkOriginalCellIds that says what \n input cell produced each output cell. This is an example of a Pedigree ID \n which helps to trace back results. Depending on whether the selection has\n GLOBALIDS, VALUES or INDICES",
  (char*)", the selection will use the contents of the\n array named in the GLOBALIDS DataSetAttribute, and arbitrary array, or the\n position (tuple id or number) within the cell or point array.\n\n",
  "See Also:\n\n vtkSelection vtkExtractSelection\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedIdsStaticNew()
{
  return vtkExtractSelectedIds::New();
}

PyObject *PyVTKClass_vtkExtractSelectedIdsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedIdsStaticNew,
                        PyvtkExtractSelectedIdsMethods,
                        (char*)"vtkExtractSelectedIds",modulename,
                        (char**)vtkExtractSelectedIdsDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

