// python wrapper for vtkExtractSelectedLocations object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedLocations.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedLocationsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedLocationsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelectedLocations_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedLocations *op;

  const char    *temp20;
  op = (vtkExtractSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedLocations::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedLocations_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedLocations *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedLocations::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedLocations_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedLocations *op;

  vtkExtractSelectedLocations  *temp20;
  op = (vtkExtractSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedLocations::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedLocations_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedLocations  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedLocations::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedLocationsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedLocations_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedLocations_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedLocations_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedLocations\nC++: vtkExtractSelectedLocations *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedLocations_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedLocations\nC++: vtkExtractSelectedLocations *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedLocationsDoc[] = {
  (char*)"vtkExtractSelectedLocations - extract cells within a dataset that \n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" vtkExtractSelectedLocations extracts all cells whose volume contain at least \n one point listed in the LOCATIONS content of the vtkSelection. This filter \n adds a scalar array called vtkOriginalCellIds that says what input cell \n produced each output cell. This is an example of a Pedigree ID which helps\n to trace back results.\n\n",
  "See Also:\n\n vtkSelection vtkExtractSelection\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedLocationsStaticNew()
{
  return vtkExtractSelectedLocations::New();
}

PyObject *PyVTKClass_vtkExtractSelectedLocationsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedLocationsStaticNew,
                        PyvtkExtractSelectedLocationsMethods,
                        (char*)"vtkExtractSelectedLocations",modulename,
                        (char**)vtkExtractSelectedLocationsDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

