// python wrapper for vtkExtractSelectedPolyDataIds object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedPolyDataIds.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedPolyDataIdsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedPolyDataIdsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkExtractSelectedPolyDataIds_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedPolyDataIds *op;

  const char    *temp20;
  op = (vtkExtractSelectedPolyDataIds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedPolyDataIds::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedPolyDataIds_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedPolyDataIds *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedPolyDataIds *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedPolyDataIds::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedPolyDataIds_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedPolyDataIds *op;

  vtkExtractSelectedPolyDataIds  *temp20;
  op = (vtkExtractSelectedPolyDataIds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedPolyDataIds::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedPolyDataIds_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedPolyDataIds  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedPolyDataIds::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedPolyDataIdsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedPolyDataIds_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedPolyDataIds_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedPolyDataIds_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedPolyDataIds\nC++: vtkExtractSelectedPolyDataIds *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedPolyDataIds_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedPolyDataIds\nC++: vtkExtractSelectedPolyDataIds *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedPolyDataIdsDoc[] = {
  (char*)"vtkExtractSelectedPolyDataIds - extract a list of cells from a polydata\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkExtractSelectedPolyDataIds extracts all cells in vtkSelection from a\n vtkPolyData.\n\n",
  "See Also:\n\n vtkSelection\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedPolyDataIdsStaticNew()
{
  return vtkExtractSelectedPolyDataIds::New();
}

PyObject *PyVTKClass_vtkExtractSelectedPolyDataIdsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedPolyDataIdsStaticNew,
                        PyvtkExtractSelectedPolyDataIdsMethods,
                        (char*)"vtkExtractSelectedPolyDataIds",modulename,
                        (char**)vtkExtractSelectedPolyDataIdsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

