// python wrapper for vtkExtractSelectedThresholds object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedThresholds.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedThresholdsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedThresholdsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelectedThresholds_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedThresholds *op;

  const char    *temp20;
  op = (vtkExtractSelectedThresholds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedThresholds::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedThresholds_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedThresholds *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectedThresholds *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedThresholds::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedThresholds_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectedThresholds *op;

  vtkExtractSelectedThresholds  *temp20;
  op = (vtkExtractSelectedThresholds *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectedThresholds::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectedThresholds_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelectedThresholds  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelectedThresholds::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectedThresholds_EvaluateValue(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkDoubleArray  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"OiO", &tempH0, &temp1, &tempH2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp2 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDoubleArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
      {
      temp20 = vtkExtractSelectedThresholds::EvaluateValue(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkExtractSelectedThresholdsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectedThresholds_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectedThresholds_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectedThresholds_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedThresholds\nC++: vtkExtractSelectedThresholds *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelectedThresholds_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedThresholds\nC++: vtkExtractSelectedThresholds *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateValue",                (PyCFunction)PyvtkExtractSelectedThresholds_EvaluateValue, 1,
   (char*)"V.EvaluateValue(vtkDataArray, int, vtkDoubleArray) -> int\nC++: static int EvaluateValue (vtkDataArray *scalars, vtkIdType id, vtkDoubleArray *lims);\n\n Function for determining whether a value in a data array passes\n the threshold test(s) provided in lims.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectedThresholdsDoc[] = {
  (char*)"vtkExtractSelectedThresholds - extract a cells or points from a \n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" vtkExtractSelectedThresholds extracts all cells and points with attribute \n values that lie within a vtkSelection's THRESHOLD contents. The selecion\n can specify to threshold a particular array within either the point or cell\n attribute data of the input. This is similar to vtkThreshold\n but allows mutliple thresholds ranges.\n This filter adds a scalar array called vtkOriginalCellIds that says wh",
  (char*)"at \n input cell produced each output cell. This is an example of a Pedigree ID \n which helps to trace back results.\n\n",
  "See Also:\n\n vtkSelection vtkExtractSelection vtkThreshold \n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectedThresholdsStaticNew()
{
  return vtkExtractSelectedThresholds::New();
}

PyObject *PyVTKClass_vtkExtractSelectedThresholdsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectedThresholdsStaticNew,
                        PyvtkExtractSelectedThresholdsMethods,
                        (char*)"vtkExtractSelectedThresholds",modulename,
                        (char**)vtkExtractSelectedThresholdsDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

