// python wrapper for vtkExtractSelectionBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectionBase.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkExtractSelectionBase_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  const char    *temp20;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectionBase::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectionBase::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  vtkExtractSelectionBase  *temp20;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectionBase::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_SetSelectionConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectionBase::SetSelectionConnection(temp0);
      }
    else
      {
      op->SetSelectionConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_SetPreserveTopology(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  int      temp0;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectionBase::SetPreserveTopology(temp0);
      }
    else
      {
      op->SetPreserveTopology(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_GetPreserveTopology(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  int      temp20;
  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelectionBase::GetPreserveTopology();
      }
    else
      {
      temp20 = op->GetPreserveTopology();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_PreserveTopologyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectionBase::PreserveTopologyOn();
      }
    else
      {
      op->PreserveTopologyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelectionBase_PreserveTopologyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelectionBase *op;

  op = (vtkExtractSelectionBase *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelectionBase::PreserveTopologyOff();
      }
    else
      {
      op->PreserveTopologyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractSelectionBaseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelectionBase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelectionBase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelectionBase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectionBase\nC++: vtkExtractSelectionBase *NewInstance ();\n\n"},
  {(char*)"SetSelectionConnection",                (PyCFunction)PyvtkExtractSelectionBase_SetSelectionConnection, 1,
   (char*)"V.SetSelectionConnection(vtkAlgorithmOutput)\nC++: void SetSelectionConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n This flag tells the extraction filter not to convert the selected\n output into an unstructured grid, but instead to produce a vtkInsidedness\n array and add it to the input dataset. Default value is false(0).\n"},
  {(char*)"SetPreserveTopology",                (PyCFunction)PyvtkExtractSelectionBase_SetPreserveTopology, 1,
   (char*)"V.SetPreserveTopology(int)\nC++: void SetPreserveTopology (int );\n\n This flag tells the extraction filter not to convert the selected\n output into an unstructured grid, but instead to produce a vtkInsidedness\n array and add it to the input dataset. Default value is false(0).\n"},
  {(char*)"GetPreserveTopology",                (PyCFunction)PyvtkExtractSelectionBase_GetPreserveTopology, 1,
   (char*)"V.GetPreserveTopology() -> int\nC++: int GetPreserveTopology ();\n\n This flag tells the extraction filter not to convert the selected\n output into an unstructured grid, but instead to produce a vtkInsidedness\n array and add it to the input dataset. Default value is false(0).\n"},
  {(char*)"PreserveTopologyOn",                (PyCFunction)PyvtkExtractSelectionBase_PreserveTopologyOn, 1,
   (char*)"V.PreserveTopologyOn()\nC++: void PreserveTopologyOn ();\n\n This flag tells the extraction filter not to convert the selected\n output into an unstructured grid, but instead to produce a vtkInsidedness\n array and add it to the input dataset. Default value is false(0).\n"},
  {(char*)"PreserveTopologyOff",                (PyCFunction)PyvtkExtractSelectionBase_PreserveTopologyOff, 1,
   (char*)"V.PreserveTopologyOff()\nC++: void PreserveTopologyOff ();\n\n This flag tells the extraction filter not to convert the selected\n output into an unstructured grid, but instead to produce a vtkInsidedness\n array and add it to the input dataset. Default value is false(0).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectionBaseDoc[] = {
  (char*)"vtkExtractSelectionBase - abstract base class for all extract selection\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkExtractSelectionBase is an abstract base class for all extract selection\n filters. It defines some properties common to all extract selection filters.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkExtractSelectionBaseMethods,
                        (char*)"vtkExtractSelectionBase",modulename,
                        (char**)vtkExtractSelectionBaseDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

