// python wrapper for vtkExtractSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkExtractSelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  const char    *temp20;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  vtkExtractSelection  *temp20;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractSelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractSelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractSelection_SetShowBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  int      temp0;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::SetShowBounds(temp0);
      }
    else
      {
      op->SetShowBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_GetShowBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  int      temp20;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelection::GetShowBounds();
      }
    else
      {
      temp20 = op->GetShowBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_ShowBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::ShowBoundsOn();
      }
    else
      {
      op->ShowBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_ShowBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::ShowBoundsOff();
      }
    else
      {
      op->ShowBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_SetUseProbeForLocations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  int      temp0;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::SetUseProbeForLocations(temp0);
      }
    else
      {
      op->SetUseProbeForLocations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_GetUseProbeForLocations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  int      temp20;
  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractSelection::GetUseProbeForLocations();
      }
    else
      {
      temp20 = op->GetUseProbeForLocations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_UseProbeForLocationsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::UseProbeForLocationsOn();
      }
    else
      {
      op->UseProbeForLocationsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractSelection_UseProbeForLocationsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractSelection *op;

  op = (vtkExtractSelection *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractSelection::UseProbeForLocationsOff();
      }
    else
      {
      op->UseProbeForLocationsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractSelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractSelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractSelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractSelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelection\nC++: vtkExtractSelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractSelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelection\nC++: vtkExtractSelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShowBounds",                (PyCFunction)PyvtkExtractSelection_SetShowBounds, 1,
   (char*)"V.SetShowBounds(int)\nC++: void SetShowBounds (int );\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n"},
  {(char*)"GetShowBounds",                (PyCFunction)PyvtkExtractSelection_GetShowBounds, 1,
   (char*)"V.GetShowBounds() -> int\nC++: int GetShowBounds ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n"},
  {(char*)"ShowBoundsOn",                (PyCFunction)PyvtkExtractSelection_ShowBoundsOn, 1,
   (char*)"V.ShowBoundsOn()\nC++: void ShowBoundsOn ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n"},
  {(char*)"ShowBoundsOff",                (PyCFunction)PyvtkExtractSelection_ShowBoundsOff, 1,
   (char*)"V.ShowBoundsOff()\nC++: void ShowBoundsOff ();\n\n When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n"},
  {(char*)"SetUseProbeForLocations",                (PyCFunction)PyvtkExtractSelection_SetUseProbeForLocations, 1,
   (char*)"V.SetUseProbeForLocations(int)\nC++: void SetUseProbeForLocations (int );\n\n When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n"},
  {(char*)"GetUseProbeForLocations",                (PyCFunction)PyvtkExtractSelection_GetUseProbeForLocations, 1,
   (char*)"V.GetUseProbeForLocations() -> int\nC++: int GetUseProbeForLocations ();\n\n When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n"},
  {(char*)"UseProbeForLocationsOn",                (PyCFunction)PyvtkExtractSelection_UseProbeForLocationsOn, 1,
   (char*)"V.UseProbeForLocationsOn()\nC++: void UseProbeForLocationsOn ();\n\n When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n"},
  {(char*)"UseProbeForLocationsOff",                (PyCFunction)PyvtkExtractSelection_UseProbeForLocationsOff, 1,
   (char*)"V.UseProbeForLocationsOff()\nC++: void UseProbeForLocationsOff ();\n\n When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractSelectionDoc[] = {
  (char*)"vtkExtractSelection - extract a subset from a vtkDataSet.\n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" vtkExtractSelection extracts some subset of cells and points from\n its input dataset. The subset is described by the contents of the\n vtkSelection on its first input port. The dataset is given on its \n second input port. Depending on the content of the vtkSelection,\n this will use either a vtkExtractSelectedIds, vtkExtractSelectedFrustum\n vtkExtractSelectedLocations or a vtkExtractSelectedThresho",
  (char*)"ld to perform\n the extraction.\n\n",
  "See Also:\n\n vtkSelection vtkExtractSelectedIds vtkExtractSelectedFrustum\n vtkExtractSelectedLocations vtkExtractSelectedThresholds\n\n",
  NULL
};

static vtkObjectBase *vtkExtractSelectionStaticNew()
{
  return vtkExtractSelection::New();
}

PyObject *PyVTKClass_vtkExtractSelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractSelectionStaticNew,
                        PyvtkExtractSelectionMethods,
                        (char*)"vtkExtractSelection",modulename,
                        (char**)vtkExtractSelectionDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

