// tcl wrapper for vtkExtractSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSelection.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExtractSelectionNewCommand()
{
  vtkExtractSelection *temp = vtkExtractSelection::New();
  return static_cast<ClientData>(temp);
}

int vtkExtractSelectionBaseCppCommand(vtkExtractSelectionBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractSelectionCppCommand(vtkExtractSelection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtractSelectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtractSelectionCppCommand(static_cast<vtkExtractSelection *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractSelectionCppCommand(vtkExtractSelection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtractSelection",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExtractSelectionBaseCppCommand(static_cast<vtkExtractSelectionBase *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExtractSelectionBase"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtractSelection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSelection");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtractSelection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSelection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtractSelection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShowBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowBoundsOn",argv[1]))&&(argc == 2))
    {
    op->ShowBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowBoundsOff",argv[1]))&&(argc == 2))
    {
    op->ShowBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseProbeForLocations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseProbeForLocations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseProbeForLocations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseProbeForLocations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseProbeForLocationsOn",argv[1]))&&(argc == 2))
    {
    op->UseProbeForLocationsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseProbeForLocationsOff",argv[1]))&&(argc == 2))
    {
    op->UseProbeForLocationsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExtractSelectionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExtractSelectionBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractSelection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShowBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowBounds\n",NULL);
    Tcl_AppendResult(interp,"  ShowBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseProbeForLocations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseProbeForLocations\n",NULL);
    Tcl_AppendResult(interp,"  UseProbeForLocationsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseProbeForLocationsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExtractSelectionBaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetShowBounds" );
    Tcl_DStringAppendElement ( &dString, "GetShowBounds" );
    Tcl_DStringAppendElement ( &dString, "ShowBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "ShowBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseProbeForLocations" );
    Tcl_DStringAppendElement ( &dString, "GetUseProbeForLocations" );
    Tcl_DStringAppendElement ( &dString, "UseProbeForLocationsOn" );
    Tcl_DStringAppendElement ( &dString, "UseProbeForLocationsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExtractSelectionBaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractSelection *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowBounds */
    if ( strcmp ( argv[2], "SetShowBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowBounds */
    Tcl_DStringAppendElement ( &dString, " When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowBounds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for SetShowBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowBounds */
    if ( strcmp ( argv[2], "GetShowBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowBounds */
    Tcl_DStringAppendElement ( &dString, " When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for GetShowBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowBoundsOn */
    if ( strcmp ( argv[2], "ShowBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowBoundsOn */
    Tcl_DStringAppendElement ( &dString, " When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowBoundsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for ShowBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowBoundsOff */
    if ( strcmp ( argv[2], "ShowBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowBoundsOff */
    Tcl_DStringAppendElement ( &dString, " When On, this returns an unstructured grid that outlines selection area.\n Off is the default. Applicable only to Frustum selection extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowBoundsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for ShowBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseProbeForLocations */
    if ( strcmp ( argv[2], "SetUseProbeForLocations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseProbeForLocations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseProbeForLocations */
    Tcl_DStringAppendElement ( &dString, " When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseProbeForLocations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for SetUseProbeForLocations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseProbeForLocations */
    if ( strcmp ( argv[2], "GetUseProbeForLocations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseProbeForLocations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseProbeForLocations */
    Tcl_DStringAppendElement ( &dString, " When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseProbeForLocations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for GetUseProbeForLocations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseProbeForLocationsOn */
    if ( strcmp ( argv[2], "UseProbeForLocationsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseProbeForLocationsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseProbeForLocationsOn */
    Tcl_DStringAppendElement ( &dString, " When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseProbeForLocationsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for UseProbeForLocationsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseProbeForLocationsOff */
    if ( strcmp ( argv[2], "UseProbeForLocationsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseProbeForLocationsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseProbeForLocationsOff */
    Tcl_DStringAppendElement ( &dString, " When On, vtkProbeSelectedLocations is used for extracting selections of\n content type vtkSelection::LOCATIONS. Default is off and then\n vtkExtractSelectedLocations is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseProbeForLocationsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractSelection" );
    /* Closing for UseProbeForLocationsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExtractSelectionBaseCppCommand(static_cast<vtkExtractSelectionBase *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
