// python wrapper for vtkExtractTemporalFieldData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractTemporalFieldData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractTemporalFieldDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractTemporalFieldDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRectilinearGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractTemporalFieldData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTemporalFieldData *op;

  const char    *temp20;
  op = (vtkExtractTemporalFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTemporalFieldData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTemporalFieldData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTemporalFieldData *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractTemporalFieldData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTemporalFieldData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTemporalFieldData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTemporalFieldData *op;

  vtkExtractTemporalFieldData  *temp20;
  op = (vtkExtractTemporalFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTemporalFieldData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTemporalFieldData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractTemporalFieldData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractTemporalFieldData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractTemporalFieldData_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTemporalFieldData *op;

  int      temp20;
  op = (vtkExtractTemporalFieldData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTemporalFieldData::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractTemporalFieldDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractTemporalFieldData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractTemporalFieldData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractTemporalFieldData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractTemporalFieldData\nC++: vtkExtractTemporalFieldData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractTemporalFieldData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractTemporalFieldData\nC++: vtkExtractTemporalFieldData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExtractTemporalFieldData_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Get the number of time steps\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractTemporalFieldDataDoc[] = {
  (char*)"vtkExtractTemporalFieldData - Extract temporal arrays from input field data\n\n",
  "Super Class:\n\n vtkRectilinearGridAlgorithm\n\n",
  (char*)" vtkExtractTemporalFieldData extracts arrays from the input vtkFieldData. \n These arrays are assumed to contain temporal data, where the nth tuple \n contains the value for the nth timestep. \n The output is a 1D rectilinear grid where the \n XCoordinates correspond to time (the same array is also copied to\n a point array named Time or TimeData (if Time exists in the input).\n This algorithm does not ",
  (char*)"produce a TIME_STEPS or TIME_RANGE information\n because it works across time. \n .Section Caveat\n vtkExtractTemporalFieldData puts a vtkOnePieceExtentTranslator in the\n output during RequestInformation(). As a result, the same whole \n extented is produced independent of the piece request.\n This algorithm works only with source that produce TIME_STEPS().\n Continuous time range is not yet supported.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractTemporalFieldDataStaticNew()
{
  return vtkExtractTemporalFieldData::New();
}

PyObject *PyVTKClass_vtkExtractTemporalFieldDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractTemporalFieldDataStaticNew,
                        PyvtkExtractTemporalFieldDataMethods,
                        (char*)"vtkExtractTemporalFieldData",modulename,
                        (char**)vtkExtractTemporalFieldDataDoc,
                        PyVTKClass_vtkRectilinearGridAlgorithmNew(modulename));
}

