// python wrapper for vtkExtractTensorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractTensorComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractTensorComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractTensorComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractTensorComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  const char    *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  vtkExtractTensorComponents  *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractTensorComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractTensorComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetPassTensorsToOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetPassTensorsToOutput(temp0);
      }
    else
      {
      op->SetPassTensorsToOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetPassTensorsToOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetPassTensorsToOutput();
      }
    else
      {
      temp20 = op->GetPassTensorsToOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_PassTensorsToOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::PassTensorsToOutputOn();
      }
    else
      {
      op->PassTensorsToOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_PassTensorsToOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::PassTensorsToOutputOff();
      }
    else
      {
      op->PassTensorsToOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetExtractScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetExtractScalars(temp0);
      }
    else
      {
      op->SetExtractScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetExtractScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetExtractScalars();
      }
    else
      {
      temp20 = op->GetExtractScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractScalarsOn();
      }
    else
      {
      op->ExtractScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractScalarsOff();
      }
    else
      {
      op->ExtractScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  int      temp1;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarComponents(temp0,temp1);
      }
    else
      {
      op->SetScalarComponents(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarComponents(temp0);
      }
    else
      {
      op->SetScalarComponents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int     *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetScalarComponents();
      }
    else
      {
      temp20 = op->GetScalarComponents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetScalarModeToComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarModeToComponent();
      }
    else
      {
      op->SetScalarModeToComponent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetScalarModeToEffectiveStress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarModeToEffectiveStress();
      }
    else
      {
      op->SetScalarModeToEffectiveStress();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetScalarModeToDeterminant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetScalarModeToDeterminant();
      }
    else
      {
      op->SetScalarModeToDeterminant();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ScalarIsComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ScalarIsComponent();
      }
    else
      {
      op->ScalarIsComponent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ScalarIsEffectiveStress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ScalarIsEffectiveStress();
      }
    else
      {
      op->ScalarIsEffectiveStress();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ScalarIsDeterminant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ScalarIsDeterminant();
      }
    else
      {
      op->ScalarIsDeterminant();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetExtractVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetExtractVectors(temp0);
      }
    else
      {
      op->SetExtractVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetExtractVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetExtractVectors();
      }
    else
      {
      temp20 = op->GetExtractVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractVectorsOn();
      }
    else
      {
      op->ExtractVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractVectorsOff();
      }
    else
      {
      op->ExtractVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetVectorComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetVectorComponents(temp0);
      }
    else
      {
      op->SetVectorComponents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetVectorComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int     *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetVectorComponents();
      }
    else
      {
      temp20 = op->GetVectorComponents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetExtractNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetExtractNormals(temp0);
      }
    else
      {
      op->SetExtractNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetExtractNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetExtractNormals();
      }
    else
      {
      temp20 = op->GetExtractNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractNormalsOn();
      }
    else
      {
      op->ExtractNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractNormalsOff();
      }
    else
      {
      op->ExtractNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetNormalizeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetNormalizeNormals(temp0);
      }
    else
      {
      op->SetNormalizeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetNormalizeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetNormalizeNormals();
      }
    else
      {
      temp20 = op->GetNormalizeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_NormalizeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::NormalizeNormalsOn();
      }
    else
      {
      op->NormalizeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_NormalizeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::NormalizeNormalsOff();
      }
    else
      {
      op->NormalizeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetNormalComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetNormalComponents(temp0);
      }
    else
      {
      op->SetNormalComponents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetNormalComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int     *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetNormalComponents();
      }
    else
      {
      temp20 = op->GetNormalComponents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetExtractTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetExtractTCoords(temp0);
      }
    else
      {
      op->SetExtractTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetExtractTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetExtractTCoords();
      }
    else
      {
      temp20 = op->GetExtractTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractTCoordsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractTCoordsOn();
      }
    else
      {
      op->ExtractTCoordsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_ExtractTCoordsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::ExtractTCoordsOff();
      }
    else
      {
      op->ExtractTCoordsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetNumberOfTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetNumberOfTCoords(temp0);
      }
    else
      {
      op->SetNumberOfTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetNumberOfTCoordsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetNumberOfTCoordsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfTCoordsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetNumberOfTCoordsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetNumberOfTCoordsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfTCoordsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetNumberOfTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetNumberOfTCoords();
      }
    else
      {
      temp20 = op->GetNumberOfTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_SetTCoordComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractTensorComponents::SetTCoordComponents(temp0);
      }
    else
      {
      op->SetTCoordComponents(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractTensorComponents_GetTCoordComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractTensorComponents *op;

  int     *temp20;
  op = (vtkExtractTensorComponents *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractTensorComponents::GetTCoordComponents();
      }
    else
      {
      temp20 = op->GetTCoordComponents();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractTensorComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractTensorComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractTensorComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractTensorComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractTensorComponents\nC++: vtkExtractTensorComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractTensorComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractTensorComponents\nC++: vtkExtractTensorComponents *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPassTensorsToOutput",                (PyCFunction)PyvtkExtractTensorComponents_SetPassTensorsToOutput, 1,
   (char*)"V.SetPassTensorsToOutput(int)\nC++: void SetPassTensorsToOutput (int );\n\n Boolean controls whether tensor data is passed through to output.\n"},
  {(char*)"GetPassTensorsToOutput",                (PyCFunction)PyvtkExtractTensorComponents_GetPassTensorsToOutput, 1,
   (char*)"V.GetPassTensorsToOutput() -> int\nC++: int GetPassTensorsToOutput ();\n\n Boolean controls whether tensor data is passed through to output.\n"},
  {(char*)"PassTensorsToOutputOn",                (PyCFunction)PyvtkExtractTensorComponents_PassTensorsToOutputOn, 1,
   (char*)"V.PassTensorsToOutputOn()\nC++: void PassTensorsToOutputOn ();\n\n Boolean controls whether tensor data is passed through to output.\n"},
  {(char*)"PassTensorsToOutputOff",                (PyCFunction)PyvtkExtractTensorComponents_PassTensorsToOutputOff, 1,
   (char*)"V.PassTensorsToOutputOff()\nC++: void PassTensorsToOutputOff ();\n\n Boolean controls whether tensor data is passed through to output.\n"},
  {(char*)"SetExtractScalars",                (PyCFunction)PyvtkExtractTensorComponents_SetExtractScalars, 1,
   (char*)"V.SetExtractScalars(int)\nC++: void SetExtractScalars (int );\n\n Boolean controls whether scalar data is extracted from tensor.\n"},
  {(char*)"GetExtractScalars",                (PyCFunction)PyvtkExtractTensorComponents_GetExtractScalars, 1,
   (char*)"V.GetExtractScalars() -> int\nC++: int GetExtractScalars ();\n\n Boolean controls whether scalar data is extracted from tensor.\n"},
  {(char*)"ExtractScalarsOn",                (PyCFunction)PyvtkExtractTensorComponents_ExtractScalarsOn, 1,
   (char*)"V.ExtractScalarsOn()\nC++: void ExtractScalarsOn ();\n\n Boolean controls whether scalar data is extracted from tensor.\n"},
  {(char*)"ExtractScalarsOff",                (PyCFunction)PyvtkExtractTensorComponents_ExtractScalarsOff, 1,
   (char*)"V.ExtractScalarsOff()\nC++: void ExtractScalarsOff ();\n\n Boolean controls whether scalar data is extracted from tensor.\n"},
  {(char*)"SetScalarComponents",                (PyCFunction)PyvtkExtractTensorComponents_SetScalarComponents, 1,
   (char*)"V.SetScalarComponents(int, int)\nC++: void SetScalarComponents (int , int );\nV.SetScalarComponents((int, int))\nC++: void SetScalarComponents (int  a[2]);\n\n Specify the (row,column) tensor component to extract as a scalar.\n"},
  {(char*)"GetScalarComponents",                (PyCFunction)PyvtkExtractTensorComponents_GetScalarComponents, 1,
   (char*)"V.GetScalarComponents() -> (int, int)\nC++: int  *GetScalarComponents ();\n\n Specify the (row,column) tensor component to extract as a scalar.\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkExtractTensorComponents_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkExtractTensorComponents_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"SetScalarModeToComponent",                (PyCFunction)PyvtkExtractTensorComponents_SetScalarModeToComponent, 1,
   (char*)"V.SetScalarModeToComponent()\nC++: void SetScalarModeToComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"SetScalarModeToEffectiveStress",                (PyCFunction)PyvtkExtractTensorComponents_SetScalarModeToEffectiveStress, 1,
   (char*)"V.SetScalarModeToEffectiveStress()\nC++: void SetScalarModeToEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"SetScalarModeToDeterminant",                (PyCFunction)PyvtkExtractTensorComponents_SetScalarModeToDeterminant, 1,
   (char*)"V.SetScalarModeToDeterminant()\nC++: void SetScalarModeToDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"ScalarIsComponent",                (PyCFunction)PyvtkExtractTensorComponents_ScalarIsComponent, 1,
   (char*)"V.ScalarIsComponent()\nC++: void ScalarIsComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"ScalarIsEffectiveStress",                (PyCFunction)PyvtkExtractTensorComponents_ScalarIsEffectiveStress, 1,
   (char*)"V.ScalarIsEffectiveStress()\nC++: void ScalarIsEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"ScalarIsDeterminant",                (PyCFunction)PyvtkExtractTensorComponents_ScalarIsDeterminant, 1,
   (char*)"V.ScalarIsDeterminant()\nC++: void ScalarIsDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT \n\n Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n"},
  {(char*)"SetExtractVectors",                (PyCFunction)PyvtkExtractTensorComponents_SetExtractVectors, 1,
   (char*)"V.SetExtractVectors(int)\nC++: void SetExtractVectors (int );\n\n Boolean controls whether vector data is extracted from tensor.\n"},
  {(char*)"GetExtractVectors",                (PyCFunction)PyvtkExtractTensorComponents_GetExtractVectors, 1,
   (char*)"V.GetExtractVectors() -> int\nC++: int GetExtractVectors ();\n\n Boolean controls whether vector data is extracted from tensor.\n"},
  {(char*)"ExtractVectorsOn",                (PyCFunction)PyvtkExtractTensorComponents_ExtractVectorsOn, 1,
   (char*)"V.ExtractVectorsOn()\nC++: void ExtractVectorsOn ();\n\n Boolean controls whether vector data is extracted from tensor.\n"},
  {(char*)"ExtractVectorsOff",                (PyCFunction)PyvtkExtractTensorComponents_ExtractVectorsOff, 1,
   (char*)"V.ExtractVectorsOff()\nC++: void ExtractVectorsOff ();\n\n Boolean controls whether vector data is extracted from tensor.\n"},
  {(char*)"SetVectorComponents",                (PyCFunction)PyvtkExtractTensorComponents_SetVectorComponents, 1,
   (char*)"V.SetVectorComponents(int, int, int, int, int, int)\nC++: void SetVectorComponents (int , int , int , int , int , int );\nV.SetVectorComponents((int, int, int, int, int, int))\nC++: void SetVectorComponents (int  a[6]);\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n"},
  {(char*)"GetVectorComponents",                (PyCFunction)PyvtkExtractTensorComponents_GetVectorComponents, 1,
   (char*)"V.GetVectorComponents() -> (int, int, int, int, int, int)\nC++: int  *GetVectorComponents ();\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n"},
  {(char*)"SetExtractNormals",                (PyCFunction)PyvtkExtractTensorComponents_SetExtractNormals, 1,
   (char*)"V.SetExtractNormals(int)\nC++: void SetExtractNormals (int );\n\n Boolean controls whether normal data is extracted from tensor.\n"},
  {(char*)"GetExtractNormals",                (PyCFunction)PyvtkExtractTensorComponents_GetExtractNormals, 1,
   (char*)"V.GetExtractNormals() -> int\nC++: int GetExtractNormals ();\n\n Boolean controls whether normal data is extracted from tensor.\n"},
  {(char*)"ExtractNormalsOn",                (PyCFunction)PyvtkExtractTensorComponents_ExtractNormalsOn, 1,
   (char*)"V.ExtractNormalsOn()\nC++: void ExtractNormalsOn ();\n\n Boolean controls whether normal data is extracted from tensor.\n"},
  {(char*)"ExtractNormalsOff",                (PyCFunction)PyvtkExtractTensorComponents_ExtractNormalsOff, 1,
   (char*)"V.ExtractNormalsOff()\nC++: void ExtractNormalsOff ();\n\n Boolean controls whether normal data is extracted from tensor.\n"},
  {(char*)"SetNormalizeNormals",                (PyCFunction)PyvtkExtractTensorComponents_SetNormalizeNormals, 1,
   (char*)"V.SetNormalizeNormals(int)\nC++: void SetNormalizeNormals (int );\n\n Boolean controls whether normal vector is converted to unit normal\n after extraction.\n"},
  {(char*)"GetNormalizeNormals",                (PyCFunction)PyvtkExtractTensorComponents_GetNormalizeNormals, 1,
   (char*)"V.GetNormalizeNormals() -> int\nC++: int GetNormalizeNormals ();\n\n Boolean controls whether normal vector is converted to unit normal\n after extraction.\n"},
  {(char*)"NormalizeNormalsOn",                (PyCFunction)PyvtkExtractTensorComponents_NormalizeNormalsOn, 1,
   (char*)"V.NormalizeNormalsOn()\nC++: void NormalizeNormalsOn ();\n\n Boolean controls whether normal vector is converted to unit normal\n after extraction.\n"},
  {(char*)"NormalizeNormalsOff",                (PyCFunction)PyvtkExtractTensorComponents_NormalizeNormalsOff, 1,
   (char*)"V.NormalizeNormalsOff()\nC++: void NormalizeNormalsOff ();\n\n Boolean controls whether normal vector is converted to unit normal\n after extraction.\n"},
  {(char*)"SetNormalComponents",                (PyCFunction)PyvtkExtractTensorComponents_SetNormalComponents, 1,
   (char*)"V.SetNormalComponents(int, int, int, int, int, int)\nC++: void SetNormalComponents (int , int , int , int , int , int );\nV.SetNormalComponents((int, int, int, int, int, int))\nC++: void SetNormalComponents (int  a[6]);\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n"},
  {(char*)"GetNormalComponents",                (PyCFunction)PyvtkExtractTensorComponents_GetNormalComponents, 1,
   (char*)"V.GetNormalComponents() -> (int, int, int, int, int, int)\nC++: int  *GetNormalComponents ();\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n"},
  {(char*)"SetExtractTCoords",                (PyCFunction)PyvtkExtractTensorComponents_SetExtractTCoords, 1,
   (char*)"V.SetExtractTCoords(int)\nC++: void SetExtractTCoords (int );\n\n Boolean controls whether texture coordinates are extracted from tensor.\n"},
  {(char*)"GetExtractTCoords",                (PyCFunction)PyvtkExtractTensorComponents_GetExtractTCoords, 1,
   (char*)"V.GetExtractTCoords() -> int\nC++: int GetExtractTCoords ();\n\n Boolean controls whether texture coordinates are extracted from tensor.\n"},
  {(char*)"ExtractTCoordsOn",                (PyCFunction)PyvtkExtractTensorComponents_ExtractTCoordsOn, 1,
   (char*)"V.ExtractTCoordsOn()\nC++: void ExtractTCoordsOn ();\n\n Boolean controls whether texture coordinates are extracted from tensor.\n"},
  {(char*)"ExtractTCoordsOff",                (PyCFunction)PyvtkExtractTensorComponents_ExtractTCoordsOff, 1,
   (char*)"V.ExtractTCoordsOff()\nC++: void ExtractTCoordsOff ();\n\n Boolean controls whether texture coordinates are extracted from tensor.\n"},
  {(char*)"SetNumberOfTCoords",                (PyCFunction)PyvtkExtractTensorComponents_SetNumberOfTCoords, 1,
   (char*)"V.SetNumberOfTCoords(int)\nC++: void SetNumberOfTCoords (int );\n\n Set the dimension of the texture coordinates to extract.\n"},
  {(char*)"GetNumberOfTCoordsMinValue",                (PyCFunction)PyvtkExtractTensorComponents_GetNumberOfTCoordsMinValue, 1,
   (char*)"V.GetNumberOfTCoordsMinValue() -> int\nC++: int GetNumberOfTCoordsMinValue ();\n\n Set the dimension of the texture coordinates to extract.\n"},
  {(char*)"GetNumberOfTCoordsMaxValue",                (PyCFunction)PyvtkExtractTensorComponents_GetNumberOfTCoordsMaxValue, 1,
   (char*)"V.GetNumberOfTCoordsMaxValue() -> int\nC++: int GetNumberOfTCoordsMaxValue ();\n\n Set the dimension of the texture coordinates to extract.\n"},
  {(char*)"GetNumberOfTCoords",                (PyCFunction)PyvtkExtractTensorComponents_GetNumberOfTCoords, 1,
   (char*)"V.GetNumberOfTCoords() -> int\nC++: int GetNumberOfTCoords ();\n\n Set the dimension of the texture coordinates to extract.\n"},
  {(char*)"SetTCoordComponents",                (PyCFunction)PyvtkExtractTensorComponents_SetTCoordComponents, 1,
   (char*)"V.SetTCoordComponents(int, int, int, int, int, int)\nC++: void SetTCoordComponents (int , int , int , int , int , int );\nV.SetTCoordComponents((int, int, int, int, int, int))\nC++: void SetTCoordComponents (int  a[6]);\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector. Up to NumberOfTCoords\n components are extracted.\n"},
  {(char*)"GetTCoordComponents",                (PyCFunction)PyvtkExtractTensorComponents_GetTCoordComponents, 1,
   (char*)"V.GetTCoordComponents() -> (int, int, int, int, int, int)\nC++: int  *GetTCoordComponents ();\n\n Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector. Up to NumberOfTCoords\n components are extracted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractTensorComponentsDoc[] = {
  (char*)"vtkExtractTensorComponents - extract parts of tensor and create a scalar, vector, normal, or texture coordinates.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkExtractTensorComponents is a filter that extracts components of\n a tensor to create a scalar, vector, normal, or texture coords. For\n example, if the tensor contains components of stress, then you\n could extract the normal stress in the x-direction as a scalar\n (i.e., tensor component (0,0).\n \n To use this filter, you must set some boolean flags to control\n which data is extracted from the ten",
  (char*)"sors, and whether you want to\n pass the tensor data through to the output. Also, you must specify\n the tensor component(s) for each type of data you want to\n extract. The tensor component(s) is(are) specified using matrix notation\n into a 3x3 matrix. That is, use the (row,column) address to specify\n a particular tensor component; and if the data you are extracting\n requires more than one component",
  (char*)", use a list of addresses. (Note\n that the addresses are 0-offset -> (0,0) specifies upper left\n corner of the tensor.)\n\n There are two optional methods to extract scalar data. You can\n extract the determinant of the tensor, or you can extract the\n effective stress of the tensor. These require that the ivar\n ExtractScalars is on, and the appropriate scalar extraction mode is\n set.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractTensorComponentsStaticNew()
{
  return vtkExtractTensorComponents::New();
}

PyObject *PyVTKClass_vtkExtractTensorComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractTensorComponentsStaticNew,
                        PyvtkExtractTensorComponentsMethods,
                        (char*)"vtkExtractTensorComponents",modulename,
                        (char**)vtkExtractTensorComponentsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

