// tcl wrapper for vtkExtractTensorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractTensorComponents.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExtractTensorComponentsNewCommand()
{
  vtkExtractTensorComponents *temp = vtkExtractTensorComponents::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractTensorComponentsCppCommand(vtkExtractTensorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtractTensorComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtractTensorComponentsCppCommand(static_cast<vtkExtractTensorComponents *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractTensorComponentsCppCommand(vtkExtractTensorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtractTensorComponents",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtractTensorComponents  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTensorComponents");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtractTensorComponents  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTensorComponents");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtractTensorComponents  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtractTensorComponents");
    return TCL_OK;
    }
  if ((!strcmp("SetPassTensorsToOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassTensorsToOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassTensorsToOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassTensorsToOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassTensorsToOutputOn",argv[1]))&&(argc == 2))
    {
    op->PassTensorsToOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassTensorsToOutputOff",argv[1]))&&(argc == 2))
    {
    op->PassTensorsToOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarComponents",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetScalarComponents(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarComponents",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetScalarComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetScalarComponents();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToComponent",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToComponent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToEffectiveStress",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToEffectiveStress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDeterminant",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDeterminant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsComponent",argv[1]))&&(argc == 2))
    {
    op->ScalarIsComponent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsEffectiveStress",argv[1]))&&(argc == 2))
    {
    op->ScalarIsEffectiveStress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsDeterminant",argv[1]))&&(argc == 2))
    {
    op->ScalarIsDeterminant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractVectorsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractVectorsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetVectorComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetVectorComponents();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExtractNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizeNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalizeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizeNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalizeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeNormalsOn",argv[1]))&&(argc == 2))
    {
    op->NormalizeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeNormalsOff",argv[1]))&&(argc == 2))
    {
    op->NormalizeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetNormalComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNormalComponents();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExtractTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTCoordsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoordsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetTCoordComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTCoordComponents();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExtractTensorComponentsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractTensorComponents:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPassTensorsToOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassTensorsToOutput\n",NULL);
    Tcl_AppendResult(interp,"  PassTensorsToOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PassTensorsToOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractScalars\n",NULL);
    Tcl_AppendResult(interp,"  ExtractScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponents\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponents\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToEffectiveStress\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDeterminant\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsComponent\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsEffectiveStress\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsDeterminant\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractVectors\n",NULL);
    Tcl_AppendResult(interp,"  ExtractVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractNormals\n",NULL);
    Tcl_AppendResult(interp,"  ExtractNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizeNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizeNormals\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractTCoords\n",NULL);
    Tcl_AppendResult(interp,"  ExtractTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponents\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPassTensorsToOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPassTensorsToOutput" );
    Tcl_DStringAppendElement ( &dString, "PassTensorsToOutputOn" );
    Tcl_DStringAppendElement ( &dString, "PassTensorsToOutputOff" );
    Tcl_DStringAppendElement ( &dString, "SetExtractScalars" );
    Tcl_DStringAppendElement ( &dString, "GetExtractScalars" );
    Tcl_DStringAppendElement ( &dString, "ExtractScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToComponent" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToEffectiveStress" );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDeterminant" );
    Tcl_DStringAppendElement ( &dString, "ScalarIsComponent" );
    Tcl_DStringAppendElement ( &dString, "ScalarIsEffectiveStress" );
    Tcl_DStringAppendElement ( &dString, "ScalarIsDeterminant" );
    Tcl_DStringAppendElement ( &dString, "SetExtractVectors" );
    Tcl_DStringAppendElement ( &dString, "GetExtractVectors" );
    Tcl_DStringAppendElement ( &dString, "ExtractVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponents" );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponents" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponents" );
    Tcl_DStringAppendElement ( &dString, "SetExtractNormals" );
    Tcl_DStringAppendElement ( &dString, "GetExtractNormals" );
    Tcl_DStringAppendElement ( &dString, "ExtractNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeNormals" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeNormals" );
    Tcl_DStringAppendElement ( &dString, "NormalizeNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "NormalizeNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponents" );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponents" );
    Tcl_DStringAppendElement ( &dString, "SetExtractTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetExtractTCoords" );
    Tcl_DStringAppendElement ( &dString, "ExtractTCoordsOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractTCoordsOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponents" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponents" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponents" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object to extract nothing and to not pass tensor data\n through the pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkExtractTensorComponents *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassTensorsToOutput */
    if ( strcmp ( argv[2], "SetPassTensorsToOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassTensorsToOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassTensorsToOutput */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether tensor data is passed through to output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassTensorsToOutput (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetPassTensorsToOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassTensorsToOutput */
    if ( strcmp ( argv[2], "GetPassTensorsToOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassTensorsToOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassTensorsToOutput */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether tensor data is passed through to output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassTensorsToOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetPassTensorsToOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassTensorsToOutputOn */
    if ( strcmp ( argv[2], "PassTensorsToOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassTensorsToOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassTensorsToOutputOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether tensor data is passed through to output.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassTensorsToOutputOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for PassTensorsToOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassTensorsToOutputOff */
    if ( strcmp ( argv[2], "PassTensorsToOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassTensorsToOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassTensorsToOutputOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether tensor data is passed through to output.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassTensorsToOutputOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for PassTensorsToOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractScalars */
    if ( strcmp ( argv[2], "SetExtractScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractScalars */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether scalar data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetExtractScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractScalars */
    if ( strcmp ( argv[2], "GetExtractScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractScalars */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether scalar data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetExtractScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractScalarsOn */
    if ( strcmp ( argv[2], "ExtractScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether scalar data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractScalarsOff */
    if ( strcmp ( argv[2], "ExtractScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether scalar data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponents */
    if ( strcmp ( argv[2], "SetScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the (row,column) tensor component to extract as a scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarComponents (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponents */
    if ( strcmp ( argv[2], "SetScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the (row,column) tensor component to extract as a scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarComponents (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponents */
    if ( strcmp ( argv[2], "GetScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the (row,column) tensor component to extract as a scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetScalarComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarMode */
    if ( strcmp ( argv[2], "SetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarMode */
    if ( strcmp ( argv[2], "GetScalarMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarMode */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetScalarMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToComponent */
    if ( strcmp ( argv[2], "SetScalarModeToComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToComponent */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarModeToComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToEffectiveStress */
    if ( strcmp ( argv[2], "SetScalarModeToEffectiveStress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToEffectiveStress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToEffectiveStress */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarModeToEffectiveStress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarModeToDeterminant */
    if ( strcmp ( argv[2], "SetScalarModeToDeterminant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarModeToDeterminant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarModeToDeterminant */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarModeToDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetScalarModeToDeterminant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarIsComponent */
    if ( strcmp ( argv[2], "ScalarIsComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarIsComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarIsComponent */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarIsComponent ();this SetScalarMode VTK_EXTRACT_COMPONENT " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ScalarIsComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarIsEffectiveStress */
    if ( strcmp ( argv[2], "ScalarIsEffectiveStress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarIsEffectiveStress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarIsEffectiveStress */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarIsEffectiveStress ();this SetScalarMode VTK_EXTRACT_EFFECTIVE_STRESS " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ScalarIsEffectiveStress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalarIsDeterminant */
    if ( strcmp ( argv[2], "ScalarIsDeterminant" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalarIsDeterminant" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalarIsDeterminant */
    Tcl_DStringAppendElement ( &dString, " Specify how to extract the scalar. You can extract it as one of\n the components of the tensor, as effective stress, or as the\n determinant of the tensor. If you extract a component make sure\n that you set the ScalarComponents ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalarIsDeterminant ();this SetScalarMode VTK_EXTRACT_DETERMINANT " );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ScalarIsDeterminant */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractVectors */
    if ( strcmp ( argv[2], "SetExtractVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractVectors */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether vector data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractVectors (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetExtractVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractVectors */
    if ( strcmp ( argv[2], "GetExtractVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractVectors */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether vector data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractVectors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetExtractVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractVectorsOn */
    if ( strcmp ( argv[2], "ExtractVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether vector data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractVectorsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractVectorsOff */
    if ( strcmp ( argv[2], "ExtractVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether vector data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractVectorsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorComponents */
    if ( strcmp ( argv[2], "SetVectorComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorComponents (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetVectorComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorComponents */
    if ( strcmp ( argv[2], "SetVectorComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorComponents (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetVectorComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponents */
    if ( strcmp ( argv[2], "GetVectorComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetVectorComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetVectorComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractNormals */
    if ( strcmp ( argv[2], "SetExtractNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractNormals */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractNormals (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetExtractNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractNormals */
    if ( strcmp ( argv[2], "GetExtractNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractNormals */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractNormals ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetExtractNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractNormalsOn */
    if ( strcmp ( argv[2], "ExtractNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractNormalsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractNormalsOff */
    if ( strcmp ( argv[2], "ExtractNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal data is extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractNormalsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizeNormals */
    if ( strcmp ( argv[2], "SetNormalizeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizeNormals */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal vector is converted to unit normal\n after extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizeNormals (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetNormalizeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizeNormals */
    if ( strcmp ( argv[2], "GetNormalizeNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizeNormals */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal vector is converted to unit normal\n after extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalizeNormals ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetNormalizeNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeNormalsOn */
    if ( strcmp ( argv[2], "NormalizeNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal vector is converted to unit normal\n after extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeNormalsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for NormalizeNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeNormalsOff */
    if ( strcmp ( argv[2], "NormalizeNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether normal vector is converted to unit normal\n after extraction.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeNormalsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for NormalizeNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalComponents */
    if ( strcmp ( argv[2], "SetNormalComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalComponents (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetNormalComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalComponents */
    if ( strcmp ( argv[2], "SetNormalComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalComponents (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetNormalComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponents */
    if ( strcmp ( argv[2], "GetNormalComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetNormalComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetNormalComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractTCoords */
    if ( strcmp ( argv[2], "SetExtractTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractTCoords */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether texture coordinates are extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractTCoords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetExtractTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractTCoords */
    if ( strcmp ( argv[2], "GetExtractTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractTCoords */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether texture coordinates are extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractTCoords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetExtractTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractTCoordsOn */
    if ( strcmp ( argv[2], "ExtractTCoordsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractTCoordsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractTCoordsOn */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether texture coordinates are extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractTCoordsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractTCoordsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractTCoordsOff */
    if ( strcmp ( argv[2], "ExtractTCoordsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractTCoordsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractTCoordsOff */
    Tcl_DStringAppendElement ( &dString, " Boolean controls whether texture coordinates are extracted from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractTCoordsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for ExtractTCoordsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTCoords */
    if ( strcmp ( argv[2], "SetNumberOfTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTCoords */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the texture coordinates to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTCoords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetNumberOfTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTCoordsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfTCoordsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTCoordsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the texture coordinates to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTCoordsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetNumberOfTCoordsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTCoordsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfTCoordsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoordsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTCoordsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the texture coordinates to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTCoordsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetNumberOfTCoordsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTCoords */
    if ( strcmp ( argv[2], "GetNumberOfTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTCoords */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the texture coordinates to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTCoords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetNumberOfTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordComponents */
    if ( strcmp ( argv[2], "SetTCoordComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector. Up to NumberOfTCoords\n components are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordComponents (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetTCoordComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordComponents */
    if ( strcmp ( argv[2], "SetTCoordComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector. Up to NumberOfTCoords\n components are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordComponents (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for SetTCoordComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponents */
    if ( strcmp ( argv[2], "GetTCoordComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the ((row,column)0,(row,column)1,(row,column)2) tensor\n components to extract as a vector. Up to NumberOfTCoords\n components are extracted.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetTCoordComponents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExtractTensorComponents" );
    /* Closing for GetTCoordComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
