// python wrapper for vtkExtractUnstructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExtractUnstructuredGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractUnstructuredGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractUnstructuredGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractUnstructuredGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  const char    *temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkExtractUnstructuredGrid  *temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractUnstructuredGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractUnstructuredGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetPointClipping(temp0);
      }
    else
      {
      op->SetPointClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointClipping();
      }
    else
      {
      temp20 = op->GetPointClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_PointClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::PointClippingOn();
      }
    else
      {
      op->PointClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_PointClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::PointClippingOff();
      }
    else
      {
      op->PointClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetCellClipping(temp0);
      }
    else
      {
      op->SetCellClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellClipping();
      }
    else
      {
      temp20 = op->GetCellClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_CellClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::CellClippingOn();
      }
    else
      {
      op->CellClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_CellClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::CellClippingOff();
      }
    else
      {
      op->CellClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetExtentClipping(temp0);
      }
    else
      {
      op->SetExtentClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetExtentClipping();
      }
    else
      {
      temp20 = op->GetExtentClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_ExtentClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::ExtentClippingOn();
      }
    else
      {
      op->ExtentClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_ExtentClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::ExtentClippingOff();
      }
    else
      {
      op->ExtentClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetPointMinimum(temp0);
      }
    else
      {
      op->SetPointMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMinimumMinValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMinimum();
      }
    else
      {
      temp20 = op->GetPointMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetPointMaximum(temp0);
      }
    else
      {
      op->SetPointMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMaximumMinValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetPointMaximum();
      }
    else
      {
      temp20 = op->GetPointMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetCellMinimum(temp0);
      }
    else
      {
      op->SetCellMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMinimumMinValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMinimum();
      }
    else
      {
      temp20 = op->GetCellMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetCellMaximum(temp0);
      }
    else
      {
      op->SetCellMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMaximumMinValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkIdType   temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetCellMaximum();
      }
    else
      {
      temp20 = op->GetCellMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  double  *temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  int      temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  vtkPointLocator  *temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUnstructuredGrid::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUnstructuredGrid_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUnstructuredGrid *op;

  unsigned long     temp20;
  op = (vtkExtractUnstructuredGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUnstructuredGrid::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractUnstructuredGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractUnstructuredGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractUnstructuredGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractUnstructuredGrid\nC++: vtkExtractUnstructuredGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractUnstructuredGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractUnstructuredGrid\nC++: vtkExtractUnstructuredGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetPointClipping, 1,
   (char*)"V.SetPointClipping(int)\nC++: void SetPointClipping (int );\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"GetPointClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointClipping, 1,
   (char*)"V.GetPointClipping() -> int\nC++: int GetPointClipping ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOn",                (PyCFunction)PyvtkExtractUnstructuredGrid_PointClippingOn, 1,
   (char*)"V.PointClippingOn()\nC++: void PointClippingOn ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOff",                (PyCFunction)PyvtkExtractUnstructuredGrid_PointClippingOff, 1,
   (char*)"V.PointClippingOff()\nC++: void PointClippingOff ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"SetCellClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetCellClipping, 1,
   (char*)"V.SetCellClipping(int)\nC++: void SetCellClipping (int );\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"GetCellClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellClipping, 1,
   (char*)"V.GetCellClipping() -> int\nC++: int GetCellClipping ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOn",                (PyCFunction)PyvtkExtractUnstructuredGrid_CellClippingOn, 1,
   (char*)"V.CellClippingOn()\nC++: void CellClippingOn ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOff",                (PyCFunction)PyvtkExtractUnstructuredGrid_CellClippingOff, 1,
   (char*)"V.CellClippingOff()\nC++: void CellClippingOff ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"SetExtentClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetExtentClipping, 1,
   (char*)"V.SetExtentClipping(int)\nC++: void SetExtentClipping (int );\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"GetExtentClipping",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetExtentClipping, 1,
   (char*)"V.GetExtentClipping() -> int\nC++: int GetExtentClipping ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOn",                (PyCFunction)PyvtkExtractUnstructuredGrid_ExtentClippingOn, 1,
   (char*)"V.ExtentClippingOn()\nC++: void ExtentClippingOn ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOff",                (PyCFunction)PyvtkExtractUnstructuredGrid_ExtentClippingOff, 1,
   (char*)"V.ExtentClippingOff()\nC++: void ExtentClippingOff ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"SetPointMinimum",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetPointMinimum, 1,
   (char*)"V.SetPointMinimum(int)\nC++: void SetPointMinimum (vtkIdType );\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMinValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMinimumMinValue, 1,
   (char*)"V.GetPointMinimumMinValue() -> int\nC++: vtkIdType GetPointMinimumMinValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMaxValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMinimumMaxValue, 1,
   (char*)"V.GetPointMinimumMaxValue() -> int\nC++: vtkIdType GetPointMinimumMaxValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimum",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMinimum, 1,
   (char*)"V.GetPointMinimum() -> int\nC++: vtkIdType GetPointMinimum ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"SetPointMaximum",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetPointMaximum, 1,
   (char*)"V.SetPointMaximum(int)\nC++: void SetPointMaximum (vtkIdType );\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMinValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMaximumMinValue, 1,
   (char*)"V.GetPointMaximumMinValue() -> int\nC++: vtkIdType GetPointMaximumMinValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMaxValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMaximumMaxValue, 1,
   (char*)"V.GetPointMaximumMaxValue() -> int\nC++: vtkIdType GetPointMaximumMaxValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximum",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetPointMaximum, 1,
   (char*)"V.GetPointMaximum() -> int\nC++: vtkIdType GetPointMaximum ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"SetCellMinimum",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetCellMinimum, 1,
   (char*)"V.SetCellMinimum(int)\nC++: void SetCellMinimum (vtkIdType );\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMinValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMinimumMinValue, 1,
   (char*)"V.GetCellMinimumMinValue() -> int\nC++: vtkIdType GetCellMinimumMinValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMaxValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMinimumMaxValue, 1,
   (char*)"V.GetCellMinimumMaxValue() -> int\nC++: vtkIdType GetCellMinimumMaxValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimum",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMinimum, 1,
   (char*)"V.GetCellMinimum() -> int\nC++: vtkIdType GetCellMinimum ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"SetCellMaximum",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetCellMaximum, 1,
   (char*)"V.SetCellMaximum(int)\nC++: void SetCellMaximum (vtkIdType );\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMinValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMaximumMinValue, 1,
   (char*)"V.GetCellMaximumMinValue() -> int\nC++: vtkIdType GetCellMaximumMinValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMaxValue",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMaximumMaxValue, 1,
   (char*)"V.GetCellMaximumMaxValue() -> int\nC++: vtkIdType GetCellMaximumMaxValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximum",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetCellMaximum, 1,
   (char*)"V.GetCellMaximum() -> int\nC++: vtkIdType GetCellMaximum ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetExtent, 1,
   (char*)"V.SetExtent(float, float, float, float, float, float)\nC++: void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetExtent((float, float, float, float, float, float))\nC++: void SetExtent (double extent[6]);\n\n Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetExtent, 1,
   (char*)"V.GetExtent() -> (float, float, float, float, float, float)\nC++: double *GetExtent ();return this Extent \n\n Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkExtractUnstructuredGrid_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkExtractUnstructuredGrid_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkExtractUnstructuredGrid_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkExtractUnstructuredGrid_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExtractUnstructuredGrid_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractUnstructuredGridDoc[] = {
  (char*)"vtkExtractUnstructuredGrid - extract subset of unstructured grid geometry\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkExtractUnstructuredGrid is a general-purpose filter to\n extract geometry (and associated data) from an unstructured grid\n dataset. The extraction process is controlled by specifying a range\n of point ids, cell ids, or a bounding box (referred to as \"Extent\").\n Those cells lying within these regions are sent to the output.\n The user has the choice of merging coincident points (Merging is on)\n o",
  (char*)"r using the original point set (Merging is off).\n\n",
  "Caveats:\n\n If merging is off, the input points are copied through to the\n output. This means unused points may be present in the output data.\n If merging is on, then coincident points with different point attribute\n values are merged.\n\n",
  "See Also:\n\n vtkImageDataGeometryFilter vtkStructuredGridGeometryFilter\n vtkRectilinearGridGeometryFilter\n vtkExtractGeometry vtkExtractVOI\n\n",
  NULL
};

static vtkObjectBase *vtkExtractUnstructuredGridStaticNew()
{
  return vtkExtractUnstructuredGrid::New();
}

PyObject *PyVTKClass_vtkExtractUnstructuredGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractUnstructuredGridStaticNew,
                        PyvtkExtractUnstructuredGridMethods,
                        (char*)"vtkExtractUnstructuredGrid",modulename,
                        (char**)vtkExtractUnstructuredGridDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

