// python wrapper for vtkFieldDataToAttributeDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFieldDataToAttributeDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFieldDataToAttributeDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFieldDataToAttributeDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkFieldDataToAttributeDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  vtkFieldDataToAttributeDataFilter  *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFieldDataToAttributeDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFieldDataToAttributeDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetInputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetInputField(temp0);
      }
    else
      {
      op->SetInputField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetInputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetInputField();
      }
    else
      {
      temp20 = op->GetInputField();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetInputFieldToDataObjectField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetInputFieldToDataObjectField();
      }
    else
      {
      op->SetInputFieldToDataObjectField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetInputFieldToPointDataField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetInputFieldToPointDataField();
      }
    else
      {
      op->SetInputFieldToPointDataField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetInputFieldToCellDataField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetInputFieldToCellDataField();
      }
    else
      {
      op->SetInputFieldToCellDataField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetOutputAttributeData(temp0);
      }
    else
      {
      op->SetOutputAttributeData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetOutputAttributeData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetOutputAttributeData();
      }
    else
      {
      temp20 = op->GetOutputAttributeData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetOutputAttributeDataToCellData();
      }
    else
      {
      op->SetOutputAttributeDataToCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetOutputAttributeDataToPointData();
      }
    else
      {
      op->SetOutputAttributeDataToPointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetScalarComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetScalarComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetScalarComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetScalarComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetScalarComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetScalarComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetScalarComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetScalarComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetScalarComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetScalarComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetScalarComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetScalarComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetScalarComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetScalarComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetScalarComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetScalarComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetScalarComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetScalarComponentNormalizeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetScalarComponentNormalizeFlag(temp0);
      }
    else
      {
      temp20 = op->GetScalarComponentNormalizeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetVectorComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetVectorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetVectorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetVectorComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetVectorComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetVectorComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetVectorComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVectorComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetVectorComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetVectorComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetVectorComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetVectorComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetVectorComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetVectorComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetVectorComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetVectorComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetVectorComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetVectorComponentNormalizeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetVectorComponentNormalizeFlag(temp0);
      }
    else
      {
      temp20 = op->GetVectorComponentNormalizeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetNormalComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetNormalComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetNormalComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetNormalComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormalComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetNormalComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetNormalComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetNormalComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetNormalComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetNormalComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetNormalComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetNormalComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetNormalComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetNormalComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetNormalComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetNormalComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetNormalComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetNormalComponentNormalizeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetNormalComponentNormalizeFlag(temp0);
      }
    else
      {
      temp20 = op->GetNormalComponentNormalizeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetTensorComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetTensorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetTensorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetTensorComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetTensorComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTensorComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTensorComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetTensorComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTensorComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTensorComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetTensorComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTensorComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTensorComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetTensorComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTensorComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTensorComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetTensorComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTensorComponentNormalizeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTensorComponentNormalizeFlag(temp0);
      }
    else
      {
      temp20 = op->GetTensorComponentNormalizeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetTCoordComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"iziiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetTCoordComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetTCoordComponent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetTCoordComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetTCoordComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  const char    *temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTCoordComponentArrayName(temp0);
      }
    else
      {
      temp20 = op->GetTCoordComponentArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTCoordComponentArrayComponent(temp0);
      }
    else
      {
      temp20 = op->GetTCoordComponentArrayComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentMinRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTCoordComponentMinRange(temp0);
      }
    else
      {
      temp20 = op->GetTCoordComponentMinRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentMaxRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTCoordComponentMaxRange(temp0);
      }
    else
      {
      temp20 = op->GetTCoordComponentMaxRange(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentNormalizeFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetTCoordComponentNormalizeFlag(temp0);
      }
    else
      {
      temp20 = op->GetTCoordComponentNormalizeFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_SetDefaultNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp0;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::SetDefaultNormalize(temp0);
      }
    else
      {
      op->SetDefaultNormalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetDefaultNormalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  int      temp20;
  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFieldDataToAttributeDataFilter::GetDefaultNormalize();
      }
    else
      {
      temp20 = op->GetDefaultNormalize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_DefaultNormalizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::DefaultNormalizeOn();
      }
    else
      {
      op->DefaultNormalizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_DefaultNormalizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldDataToAttributeDataFilter *op;

  op = (vtkFieldDataToAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFieldDataToAttributeDataFilter::DefaultNormalizeOff();
      }
    else
      {
      op->DefaultNormalizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_ConstructArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  int      temp3;
  vtkIdType   temp4;
  vtkIdType   temp5;
  int      temp6;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"OiOiiii", &tempH0, &temp1, &tempH2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break52;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break52;
      {
      temp20 = vtkFieldDataToAttributeDataFilter::ConstructArray(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break52:
  return NULL;
}


static PyObject *PyvtkFieldDataToAttributeDataFilter_GetFieldArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFieldData  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  vtkDataArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break53;
      {
      temp20 = vtkFieldDataToAttributeDataFilter::GetFieldArray(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break53:
  return NULL;
}

static PyMethodDef PyvtkFieldDataToAttributeDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFieldDataToAttributeDataFilter\nC++: vtkFieldDataToAttributeDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFieldDataToAttributeDataFilter\nC++: vtkFieldDataToAttributeDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputField",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetInputField, 1,
   (char*)"V.SetInputField(int)\nC++: void SetInputField (int );\n\n Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n"},
  {(char*)"GetInputField",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetInputField, 1,
   (char*)"V.GetInputField() -> int\nC++: int GetInputField ();\n\n Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n"},
  {(char*)"SetInputFieldToDataObjectField",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetInputFieldToDataObjectField, 1,
   (char*)"V.SetInputFieldToDataObjectField()\nC++: void SetInputFieldToDataObjectField ();this SetInputField VTK_DATA_OBJECT_FIELD \n\n Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n"},
  {(char*)"SetInputFieldToPointDataField",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetInputFieldToPointDataField, 1,
   (char*)"V.SetInputFieldToPointDataField()\nC++: void SetInputFieldToPointDataField ();this SetInputField VTK_POINT_DATA_FIELD \n\n Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n"},
  {(char*)"SetInputFieldToCellDataField",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetInputFieldToCellDataField, 1,
   (char*)"V.SetInputFieldToCellDataField()\nC++: void SetInputFieldToCellDataField ();this SetInputField VTK_CELL_DATA_FIELD \n\n Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n"},
  {(char*)"SetOutputAttributeData",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeData, 1,
   (char*)"V.SetOutputAttributeData(int)\nC++: void SetOutputAttributeData (int );\n\n Specify which attribute data to output: point or cell data attributes.\n"},
  {(char*)"GetOutputAttributeData",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetOutputAttributeData, 1,
   (char*)"V.GetOutputAttributeData() -> int\nC++: int GetOutputAttributeData ();\n\n Specify which attribute data to output: point or cell data attributes.\n"},
  {(char*)"SetOutputAttributeDataToCellData",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToCellData, 1,
   (char*)"V.SetOutputAttributeDataToCellData()\nC++: void SetOutputAttributeDataToCellData ();this SetOutputAttributeData VTK_CELL_DATA \n\n Specify which attribute data to output: point or cell data attributes.\n"},
  {(char*)"SetOutputAttributeDataToPointData",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetOutputAttributeDataToPointData, 1,
   (char*)"V.SetOutputAttributeDataToPointData()\nC++: void SetOutputAttributeDataToPointData ();this SetOutputAttributeData VTK_POINT_DATA \n\n Specify which attribute data to output: point or cell data attributes.\n"},
  {(char*)"SetScalarComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetScalarComponent, 1,
   (char*)"V.SetScalarComponent(int, string, int, int, int, int)\nC++: void SetScalarComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetScalarComponent(int, string, int)\nC++: void SetScalarComponent (int comp, const char *arrayName, int arrayComp);this SetScalarComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetScalarComponentArrayName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetScalarComponentArrayName, 1,
   (char*)"V.GetScalarComponentArrayName(int) -> string\nC++: const char *GetScalarComponentArrayName (int comp);\n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetScalarComponentArrayComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetScalarComponentArrayComponent, 1,
   (char*)"V.GetScalarComponentArrayComponent(int) -> int\nC++: int GetScalarComponentArrayComponent (int comp);\n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetScalarComponentMinRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetScalarComponentMinRange, 1,
   (char*)"V.GetScalarComponentMinRange(int) -> int\nC++: int GetScalarComponentMinRange (int comp);\n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetScalarComponentMaxRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetScalarComponentMaxRange, 1,
   (char*)"V.GetScalarComponentMaxRange(int) -> int\nC++: int GetScalarComponentMaxRange (int comp);\n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetScalarComponentNormalizeFlag",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetScalarComponentNormalizeFlag, 1,
   (char*)"V.GetScalarComponentNormalizeFlag(int) -> int\nC++: int GetScalarComponentNormalizeFlag (int comp);\n\n Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"SetVectorComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetVectorComponent, 1,
   (char*)"V.SetVectorComponent(int, string, int, int, int, int)\nC++: void SetVectorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetVectorComponent(int, string, int)\nC++: void SetVectorComponent (int comp, const char *arrayName, int arrayComp);this SetVectorComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetVectorComponentArrayName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetVectorComponentArrayName, 1,
   (char*)"V.GetVectorComponentArrayName(int) -> string\nC++: const char *GetVectorComponentArrayName (int comp);\n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetVectorComponentArrayComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetVectorComponentArrayComponent, 1,
   (char*)"V.GetVectorComponentArrayComponent(int) -> int\nC++: int GetVectorComponentArrayComponent (int comp);\n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetVectorComponentMinRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetVectorComponentMinRange, 1,
   (char*)"V.GetVectorComponentMinRange(int) -> int\nC++: int GetVectorComponentMinRange (int comp);\n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetVectorComponentMaxRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetVectorComponentMaxRange, 1,
   (char*)"V.GetVectorComponentMaxRange(int) -> int\nC++: int GetVectorComponentMaxRange (int comp);\n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetVectorComponentNormalizeFlag",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetVectorComponentNormalizeFlag, 1,
   (char*)"V.GetVectorComponentNormalizeFlag(int) -> int\nC++: int GetVectorComponentNormalizeFlag (int comp);\n\n Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"SetNormalComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetNormalComponent, 1,
   (char*)"V.SetNormalComponent(int, string, int, int, int, int)\nC++: void SetNormalComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetNormalComponent(int, string, int)\nC++: void SetNormalComponent (int comp, const char *arrayName, int arrayComp);this SetNormalComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetNormalComponentArrayName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetNormalComponentArrayName, 1,
   (char*)"V.GetNormalComponentArrayName(int) -> string\nC++: const char *GetNormalComponentArrayName (int comp);\n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetNormalComponentArrayComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetNormalComponentArrayComponent, 1,
   (char*)"V.GetNormalComponentArrayComponent(int) -> int\nC++: int GetNormalComponentArrayComponent (int comp);\n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetNormalComponentMinRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetNormalComponentMinRange, 1,
   (char*)"V.GetNormalComponentMinRange(int) -> int\nC++: int GetNormalComponentMinRange (int comp);\n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetNormalComponentMaxRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetNormalComponentMaxRange, 1,
   (char*)"V.GetNormalComponentMaxRange(int) -> int\nC++: int GetNormalComponentMaxRange (int comp);\n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetNormalComponentNormalizeFlag",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetNormalComponentNormalizeFlag, 1,
   (char*)"V.GetNormalComponentNormalizeFlag(int) -> int\nC++: int GetNormalComponentNormalizeFlag (int comp);\n\n Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"SetTensorComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetTensorComponent, 1,
   (char*)"V.SetTensorComponent(int, string, int, int, int, int)\nC++: void SetTensorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetTensorComponent(int, string, int)\nC++: void SetTensorComponent (int comp, const char *arrayName, int arrayComp);this SetTensorComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTensorComponentArrayName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTensorComponentArrayName, 1,
   (char*)"V.GetTensorComponentArrayName(int) -> string\nC++: const char *GetTensorComponentArrayName (int comp);\n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTensorComponentArrayComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTensorComponentArrayComponent, 1,
   (char*)"V.GetTensorComponentArrayComponent(int) -> int\nC++: int GetTensorComponentArrayComponent (int comp);\n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTensorComponentMinRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTensorComponentMinRange, 1,
   (char*)"V.GetTensorComponentMinRange(int) -> int\nC++: int GetTensorComponentMinRange (int comp);\n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTensorComponentMaxRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTensorComponentMaxRange, 1,
   (char*)"V.GetTensorComponentMaxRange(int) -> int\nC++: int GetTensorComponentMaxRange (int comp);\n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTensorComponentNormalizeFlag",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTensorComponentNormalizeFlag, 1,
   (char*)"V.GetTensorComponentNormalizeFlag(int) -> int\nC++: int GetTensorComponentNormalizeFlag (int comp);\n\n Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"SetTCoordComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetTCoordComponent, 1,
   (char*)"V.SetTCoordComponent(int, string, int, int, int, int)\nC++: void SetTCoordComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);\nV.SetTCoordComponent(int, string, int)\nC++: void SetTCoordComponent (int comp, const char *arrayName, int arrayComp);this SetTCoordComponent comp arrayName arrayComp this DefaultNormalize \n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTCoordComponentArrayName",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayName, 1,
   (char*)"V.GetTCoordComponentArrayName(int) -> string\nC++: const char *GetTCoordComponentArrayName (int comp);\n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTCoordComponentArrayComponent",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentArrayComponent, 1,
   (char*)"V.GetTCoordComponentArrayComponent(int) -> int\nC++: int GetTCoordComponentArrayComponent (int comp);\n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTCoordComponentMinRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentMinRange, 1,
   (char*)"V.GetTCoordComponentMinRange(int) -> int\nC++: int GetTCoordComponentMinRange (int comp);\n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTCoordComponentMaxRange",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentMaxRange, 1,
   (char*)"V.GetTCoordComponentMaxRange(int) -> int\nC++: int GetTCoordComponentMaxRange (int comp);\n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"GetTCoordComponentNormalizeFlag",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetTCoordComponentNormalizeFlag, 1,
   (char*)"V.GetTCoordComponentNormalizeFlag(int) -> int\nC++: int GetTCoordComponentNormalizeFlag (int comp);\n\n Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n"},
  {(char*)"SetDefaultNormalize",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_SetDefaultNormalize, 1,
   (char*)"V.SetDefaultNormalize(int)\nC++: void SetDefaultNormalize (int );\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n"},
  {(char*)"GetDefaultNormalize",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetDefaultNormalize, 1,
   (char*)"V.GetDefaultNormalize() -> int\nC++: int GetDefaultNormalize ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n"},
  {(char*)"DefaultNormalizeOn",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_DefaultNormalizeOn, 1,
   (char*)"V.DefaultNormalizeOn()\nC++: void DefaultNormalizeOn ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n"},
  {(char*)"DefaultNormalizeOff",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_DefaultNormalizeOff, 1,
   (char*)"V.DefaultNormalizeOff()\nC++: void DefaultNormalizeOff ();\n\n Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n"},
  {(char*)"ConstructArray",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_ConstructArray, 1,
   (char*)"V.ConstructArray(vtkDataArray, int, vtkDataArray, int, int, int, int) -> int\nC++: static int ConstructArray (vtkDataArray *da, int comp, vtkDataArray *frray, int fieldComp, vtkIdType min, vtkIdType max, int normalize);\n\n Construct a portion of a data array (the comp portion) from another data\n array and its component. The variables min and max control the range of\n the data to use from the other data array; normalize is a flag that when\n set will normalize the data between (0,1).\n"},
  {(char*)"GetFieldArray",                (PyCFunction)PyvtkFieldDataToAttributeDataFilter_GetFieldArray, 1,
   (char*)"V.GetFieldArray(vtkFieldData, string, int) -> vtkDataArray\nC++: static vtkDataArray *GetFieldArray (vtkFieldData *fd, char *name, int comp);\n\n Return an array of a particular name from field data and do error checking.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFieldDataToAttributeDataFilterDoc[] = {
  (char*)"vtkFieldDataToAttributeDataFilter - map field data to dataset attribute data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkFieldDataToAttributeDataFilter is a class that maps field data into\n dataset attributes. The input to this filter is any type of dataset and\n the output is the same dataset (geometry/topology) with new attribute data\n (attribute data is passed through if not replaced during filter\n execution).\n\n To use this filter you must specify which field data from the input\n dataset to use. There are thre",
  (char*)"e possibilities: the cell field data, the\n point field data, or the field data associated with the data object\n superclass. Then you specify which attribute data to create: either cell\n attribute data or point attribute data.  Finally, you must define how to\n construct the various attribute data types (e.g., scalars, vectors,\n normals, etc.) from the arrays and the components of the arrays from th",
  (char*)"e\n field data. This is done by associating components in the input field with\n components making up the attribute data. For example, you would specify a\n scalar with three components (RGB) by assigning components from the field\n for the R, then G, then B values of the scalars.  You may also have to\n specify component ranges (for each R-G-B) to make sure that the number of\n R, G, and B values is th",
  (char*)"e same. Also, you may want to normalize the\n components which helps distribute the data uniformly.\n\n This filter is often used in conjunction with\n vtkDataObjectToDataSetFilter.  vtkDataObjectToDataSetFilter filter\n generates dataset topology and geometry and passes its input field data\n along to its output. Then this filter is used to generate the attribute\n data to go along with the dataset.\n\n",
  "Caveats:\n\n Make sure that the data you extract is consistent. That is, if you have N\n points, extract N point attributes (scalars, vectors, etc.). \n\n",
  "See Also:\n\n vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter\n vtkDataSetAttributes vtkDataArray\n\n",
  NULL
};

static vtkObjectBase *vtkFieldDataToAttributeDataFilterStaticNew()
{
  return vtkFieldDataToAttributeDataFilter::New();
}

PyObject *PyVTKClass_vtkFieldDataToAttributeDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkFieldDataToAttributeDataFilterStaticNew,
                        PyvtkFieldDataToAttributeDataFilterMethods,
                        (char*)"vtkFieldDataToAttributeDataFilter",modulename,
                        (char**)vtkFieldDataToAttributeDataFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

