// tcl wrapper for vtkFieldDataToAttributeDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFieldDataToAttributeDataFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFieldDataToAttributeDataFilterNewCommand()
{
  vtkFieldDataToAttributeDataFilter *temp = vtkFieldDataToAttributeDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFieldDataToAttributeDataFilterCppCommand(vtkFieldDataToAttributeDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFieldDataToAttributeDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFieldDataToAttributeDataFilterCppCommand(static_cast<vtkFieldDataToAttributeDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFieldDataToAttributeDataFilterCppCommand(vtkFieldDataToAttributeDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFieldDataToAttributeDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFieldDataToAttributeDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldDataToAttributeDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFieldDataToAttributeDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldDataToAttributeDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFieldDataToAttributeDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldDataToAttributeDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetInputField",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInputField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputField",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputField();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputFieldToDataObjectField",argv[1]))&&(argc == 2))
    {
    op->SetInputFieldToDataObjectField();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputFieldToPointDataField",argv[1]))&&(argc == 2))
    {
    op->SetInputFieldToPointDataField();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputFieldToCellDataField",argv[1]))&&(argc == 2))
    {
    op->SetInputFieldToCellDataField();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputAttributeData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputAttributeData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputAttributeData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputAttributeData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputAttributeDataToCellData",argv[1]))&&(argc == 2))
    {
    op->SetOutputAttributeDataToCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputAttributeDataToPointData",argv[1]))&&(argc == 2))
    {
    op->SetOutputAttributeDataToPointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetScalarComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetScalarComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentNormalizeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentNormalizeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetVectorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetVectorComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponentNormalizeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorComponentNormalizeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetNormalComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetNormalComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponentNormalizeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalComponentNormalizeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTensorComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetTensorComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTensorComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetTensorComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorComponentNormalizeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorComponentNormalizeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetTCoordComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetTCoordComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponentNormalizeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordComponentNormalizeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultNormalize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultNormalize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormalize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultNormalize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOn",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOff",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConstructArray",argv[1]))&&(argc == 9))
    {
    vtkDataArray  *temp0;
    int      temp1;
    vtkDataArray  *temp2;
    int      temp3;
    vtkIdType   temp4;
    vtkIdType   temp5;
    int      temp6;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->ConstructArray(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldArray",argv[1]))&&(argc == 5))
    {
    vtkFieldData  *temp0;
    char    *temp1;
    int      temp2;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldArray(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFieldDataToAttributeDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFieldDataToAttributeDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetInputField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputField\n",NULL);
    Tcl_AppendResult(interp,"  SetInputFieldToDataObjectField\n",NULL);
    Tcl_AppendResult(interp,"  SetInputFieldToPointDataField\n",NULL);
    Tcl_AppendResult(interp,"  SetInputFieldToCellDataField\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputAttributeData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputAttributeData\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputAttributeDataToCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputAttributeDataToPointData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentNormalizeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponentNormalizeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponentNormalizeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorComponentNormalizeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponentNormalizeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormalize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormalize\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOn\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOff\n",NULL);
    Tcl_AppendResult(interp,"  ConstructArray\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldArray\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetInputField" );
    Tcl_DStringAppendElement ( &dString, "GetInputField" );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToDataObjectField" );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToPointDataField" );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToCellDataField" );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeData" );
    Tcl_DStringAppendElement ( &dString, "GetOutputAttributeData" );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeDataToCellData" );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeDataToPointData" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponent" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponent" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentNormalizeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentNormalizeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponent" );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponent" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentNormalizeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetTensorComponent" );
    Tcl_DStringAppendElement ( &dString, "SetTensorComponent" );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentNormalizeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponent" );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponent" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentArrayComponent" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentMinRange" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentMaxRange" );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentNormalizeFlag" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormalize" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormalize" );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOn" );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOff" );
    Tcl_DStringAppendElement ( &dString, "ConstructArray" );
    Tcl_DStringAppendElement ( &dString, "GetFieldArray" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with input field set to the data object field, and the\n output attribute data set to generate point data.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkFieldDataToAttributeDataFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputField */
    if ( strcmp ( argv[2], "SetInputField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputField */
    Tcl_DStringAppendElement ( &dString, " Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputField (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetInputField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputField */
    if ( strcmp ( argv[2], "GetInputField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputField */
    Tcl_DStringAppendElement ( &dString, " Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInputField ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetInputField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputFieldToDataObjectField */
    if ( strcmp ( argv[2], "SetInputFieldToDataObjectField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToDataObjectField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputFieldToDataObjectField */
    Tcl_DStringAppendElement ( &dString, " Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputFieldToDataObjectField ();this SetInputField VTK_DATA_OBJECT_FIELD " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetInputFieldToDataObjectField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputFieldToPointDataField */
    if ( strcmp ( argv[2], "SetInputFieldToPointDataField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToPointDataField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputFieldToPointDataField */
    Tcl_DStringAppendElement ( &dString, " Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputFieldToPointDataField ();this SetInputField VTK_POINT_DATA_FIELD " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetInputFieldToPointDataField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputFieldToCellDataField */
    if ( strcmp ( argv[2], "SetInputFieldToCellDataField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputFieldToCellDataField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputFieldToCellDataField */
    Tcl_DStringAppendElement ( &dString, " Specify which field data to use to generate the output attribute\n data. There are three choices: the field data associated with the\n vtkDataObject superclass; the point field attribute data; and the cell\n field attribute data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputFieldToCellDataField ();this SetInputField VTK_CELL_DATA_FIELD " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetInputFieldToCellDataField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputAttributeData */
    if ( strcmp ( argv[2], "SetOutputAttributeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputAttributeData */
    Tcl_DStringAppendElement ( &dString, " Specify which attribute data to output: point or cell data attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputAttributeData (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetOutputAttributeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputAttributeData */
    if ( strcmp ( argv[2], "GetOutputAttributeData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputAttributeData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputAttributeData */
    Tcl_DStringAppendElement ( &dString, " Specify which attribute data to output: point or cell data attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputAttributeData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetOutputAttributeData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputAttributeDataToCellData */
    if ( strcmp ( argv[2], "SetOutputAttributeDataToCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeDataToCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputAttributeDataToCellData */
    Tcl_DStringAppendElement ( &dString, " Specify which attribute data to output: point or cell data attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputAttributeDataToCellData ();this SetOutputAttributeData VTK_CELL_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetOutputAttributeDataToCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputAttributeDataToPointData */
    if ( strcmp ( argv[2], "SetOutputAttributeDataToPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputAttributeDataToPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputAttributeDataToPointData */
    Tcl_DStringAppendElement ( &dString, " Specify which attribute data to output: point or cell data attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputAttributeDataToPointData ();this SetOutputAttributeData VTK_POINT_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetOutputAttributeDataToPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponent */
    if ( strcmp ( argv[2], "SetScalarComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetScalarComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponent */
    if ( strcmp ( argv[2], "SetScalarComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarComponent (int comp, const char *arrayName, int arrayComp);this SetScalarComponent comp arrayName arrayComp this DefaultNormalize " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetScalarComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentArrayName */
    if ( strcmp ( argv[2], "GetScalarComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarComponentArrayName (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetScalarComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentArrayComponent */
    if ( strcmp ( argv[2], "GetScalarComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarComponentArrayComponent (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetScalarComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentMinRange */
    if ( strcmp ( argv[2], "GetScalarComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarComponentMinRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetScalarComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentMaxRange */
    if ( strcmp ( argv[2], "GetScalarComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarComponentMaxRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetScalarComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentNormalizeFlag */
    if ( strcmp ( argv[2], "GetScalarComponentNormalizeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentNormalizeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentNormalizeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the scalar\n components.  Note that the parameter comp must lie between (0,4). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarComponentNormalizeFlag (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetScalarComponentNormalizeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorComponent */
    if ( strcmp ( argv[2], "SetVectorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetVectorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVectorComponent */
    if ( strcmp ( argv[2], "SetVectorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVectorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVectorComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVectorComponent (int comp, const char *arrayName, int arrayComp);this SetVectorComponent comp arrayName arrayComp this DefaultNormalize " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetVectorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponentArrayName */
    if ( strcmp ( argv[2], "GetVectorComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVectorComponentArrayName (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetVectorComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponentArrayComponent */
    if ( strcmp ( argv[2], "GetVectorComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorComponentArrayComponent (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetVectorComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponentMinRange */
    if ( strcmp ( argv[2], "GetVectorComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorComponentMinRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetVectorComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponentMaxRange */
    if ( strcmp ( argv[2], "GetVectorComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorComponentMaxRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetVectorComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVectorComponentNormalizeFlag */
    if ( strcmp ( argv[2], "GetVectorComponentNormalizeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVectorComponentNormalizeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVectorComponentNormalizeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the vector\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVectorComponentNormalizeFlag (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetVectorComponentNormalizeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalComponent */
    if ( strcmp ( argv[2], "SetNormalComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetNormalComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalComponent */
    if ( strcmp ( argv[2], "SetNormalComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalComponent (int comp, const char *arrayName, int arrayComp);this SetNormalComponent comp arrayName arrayComp this DefaultNormalize " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetNormalComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponentArrayName */
    if ( strcmp ( argv[2], "GetNormalComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNormalComponentArrayName (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetNormalComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponentArrayComponent */
    if ( strcmp ( argv[2], "GetNormalComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalComponentArrayComponent (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetNormalComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponentMinRange */
    if ( strcmp ( argv[2], "GetNormalComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalComponentMinRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetNormalComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponentMaxRange */
    if ( strcmp ( argv[2], "GetNormalComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalComponentMaxRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetNormalComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalComponentNormalizeFlag */
    if ( strcmp ( argv[2], "GetNormalComponentNormalizeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalComponentNormalizeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalComponentNormalizeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the component(s) of the field to be used for the normal\n components.  Note that the parameter comp must lie between (0,3). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalComponentNormalizeFlag (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetNormalComponentNormalizeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorComponent */
    if ( strcmp ( argv[2], "SetTensorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetTensorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTensorComponent */
    if ( strcmp ( argv[2], "SetTensorComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTensorComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTensorComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTensorComponent (int comp, const char *arrayName, int arrayComp);this SetTensorComponent comp arrayName arrayComp this DefaultNormalize " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetTensorComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorComponentArrayName */
    if ( strcmp ( argv[2], "GetTensorComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTensorComponentArrayName (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTensorComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorComponentArrayComponent */
    if ( strcmp ( argv[2], "GetTensorComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorComponentArrayComponent (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTensorComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorComponentMinRange */
    if ( strcmp ( argv[2], "GetTensorComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorComponentMinRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTensorComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorComponentMaxRange */
    if ( strcmp ( argv[2], "GetTensorComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorComponentMaxRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTensorComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTensorComponentNormalizeFlag */
    if ( strcmp ( argv[2], "GetTensorComponentNormalizeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTensorComponentNormalizeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTensorComponentNormalizeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the tensor\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTensorComponentNormalizeFlag (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTensorComponentNormalizeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordComponent */
    if ( strcmp ( argv[2], "SetTCoordComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordComponent (int comp, const char *arrayName, int arrayComp, int min, int max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetTCoordComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTCoordComponent */
    if ( strcmp ( argv[2], "SetTCoordComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTCoordComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTCoordComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTCoordComponent (int comp, const char *arrayName, int arrayComp);this SetTCoordComponent comp arrayName arrayComp this DefaultNormalize " );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetTCoordComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponentArrayName */
    if ( strcmp ( argv[2], "GetTCoordComponentArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponentArrayName */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTCoordComponentArrayName (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTCoordComponentArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponentArrayComponent */
    if ( strcmp ( argv[2], "GetTCoordComponentArrayComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentArrayComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponentArrayComponent */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTCoordComponentArrayComponent (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTCoordComponentArrayComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponentMinRange */
    if ( strcmp ( argv[2], "GetTCoordComponentMinRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentMinRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponentMinRange */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTCoordComponentMinRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTCoordComponentMinRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponentMaxRange */
    if ( strcmp ( argv[2], "GetTCoordComponentMaxRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentMaxRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponentMaxRange */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTCoordComponentMaxRange (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTCoordComponentMaxRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTCoordComponentNormalizeFlag */
    if ( strcmp ( argv[2], "GetTCoordComponentNormalizeFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTCoordComponentNormalizeFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTCoordComponentNormalizeFlag */
    Tcl_DStringAppendElement ( &dString, " Define the components of the field to be used for the cell texture coord\n components.  Note that the parameter comp must lie between (0,9). To\n define the field component to use you specify an array name and the\n component in that array. The (min,max) values are the range of data in\n the component you wish to extract.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTCoordComponentNormalizeFlag (int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetTCoordComponentNormalizeFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormalize */
    if ( strcmp ( argv[2], "SetDefaultNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormalize */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormalize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for SetDefaultNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultNormalize */
    if ( strcmp ( argv[2], "GetDefaultNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultNormalize */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultNormalize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetDefaultNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DefaultNormalizeOn */
    if ( strcmp ( argv[2], "DefaultNormalizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DefaultNormalizeOn */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n" );
    Tcl_DStringAppendElement ( &dString, "void DefaultNormalizeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for DefaultNormalizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DefaultNormalizeOff */
    if ( strcmp ( argv[2], "DefaultNormalizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DefaultNormalizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DefaultNormalizeOff */
    Tcl_DStringAppendElement ( &dString, " Set the default Normalize() flag for those methods setting a default\n Normalize value (e.g., SetScalarComponents).\n" );
    Tcl_DStringAppendElement ( &dString, "void DefaultNormalizeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for DefaultNormalizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConstructArray */
    if ( strcmp ( argv[2], "ConstructArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConstructArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConstructArray */
    Tcl_DStringAppendElement ( &dString, " Construct a portion of a data array (the comp portion) from another data\n array and its component. The variables min and max control the range of\n the data to use from the other data array; normalize is a flag that when\n set will normalize the data between (0,1).\n" );
    Tcl_DStringAppendElement ( &dString, "static int ConstructArray (vtkDataArray *da, int comp, vtkDataArray *frray, int fieldComp, vtkIdType min, vtkIdType max, int normalize);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for ConstructArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldArray */
    if ( strcmp ( argv[2], "GetFieldArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldArray */
    Tcl_DStringAppendElement ( &dString, " Return an array of a particular name from field data and do error checking.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataArray *GetFieldArray (vtkFieldData *fd, char *name, int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldDataToAttributeDataFilter" );
    /* Closing for GetFieldArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
