// python wrapper for vtkFillHolesFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFillHolesFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFillHolesFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFillHolesFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkFillHolesFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  const char    *temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  vtkFillHolesFilter  *temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFillHolesFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFillHolesFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_SetHoleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  double   temp0;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFillHolesFilter::SetHoleSize(temp0);
      }
    else
      {
      op->SetHoleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_GetHoleSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  double   temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::GetHoleSizeMinValue();
      }
    else
      {
      temp20 = op->GetHoleSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_GetHoleSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  double   temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::GetHoleSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHoleSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFillHolesFilter_GetHoleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFillHolesFilter *op;

  double   temp20;
  op = (vtkFillHolesFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFillHolesFilter::GetHoleSize();
      }
    else
      {
      temp20 = op->GetHoleSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFillHolesFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFillHolesFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instantiation, type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFillHolesFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instantiation, type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFillHolesFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFillHolesFilter\nC++: vtkFillHolesFilter *NewInstance ();\n\n Standard methods for instantiation, type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFillHolesFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFillHolesFilter\nC++: vtkFillHolesFilter *SafeDownCast (vtkObject* o);\n\n Standard methods for instantiation, type information and printing.\n"},
  {(char*)"SetHoleSize",                (PyCFunction)PyvtkFillHolesFilter_SetHoleSize, 1,
   (char*)"V.SetHoleSize(float)\nC++: void SetHoleSize (double );\n\n Specify the maximum hole size to fill. This is represented as a radius\n to the bounding circumsphere containing the hole.  Note that this is an\n approximate area; the actual area cannot be computed without first\n triangulating the hole.\n"},
  {(char*)"GetHoleSizeMinValue",                (PyCFunction)PyvtkFillHolesFilter_GetHoleSizeMinValue, 1,
   (char*)"V.GetHoleSizeMinValue() -> float\nC++: double GetHoleSizeMinValue ();\n\n Specify the maximum hole size to fill. This is represented as a radius\n to the bounding circumsphere containing the hole.  Note that this is an\n approximate area; the actual area cannot be computed without first\n triangulating the hole.\n"},
  {(char*)"GetHoleSizeMaxValue",                (PyCFunction)PyvtkFillHolesFilter_GetHoleSizeMaxValue, 1,
   (char*)"V.GetHoleSizeMaxValue() -> float\nC++: double GetHoleSizeMaxValue ();\n\n Specify the maximum hole size to fill. This is represented as a radius\n to the bounding circumsphere containing the hole.  Note that this is an\n approximate area; the actual area cannot be computed without first\n triangulating the hole.\n"},
  {(char*)"GetHoleSize",                (PyCFunction)PyvtkFillHolesFilter_GetHoleSize, 1,
   (char*)"V.GetHoleSize() -> float\nC++: double GetHoleSize ();\n\n Specify the maximum hole size to fill. This is represented as a radius\n to the bounding circumsphere containing the hole.  Note that this is an\n approximate area; the actual area cannot be computed without first\n triangulating the hole.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFillHolesFilterDoc[] = {
  (char*)"vtkFillHolesFilter - identify and fill holes in meshes\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkFillHolesFilter is a filter that identifies and fills holes in\n input vtkPolyData meshes. Holes are identified by locating\n boundary edges, linking them together into loops, and then \n triangulating the resulting loops. Note that you can specify \n an approximate limit to the size of the hole that can be filled.\n \n\n",
  "Caveats:\n\n Note that any mesh with boundary edges by definition has a \n topological hole. This even includes a reactangular grid\n (e.g., the output of vtkPlaneSource). In such situations, if\n the outer hole is filled, retriangulation of the hole will cause\n geometric overlap of the mesh. This can be prevented by using \n the hole size instance variable to prevent the larger holes\n from being triangulated.\n\n Note this filter only operates on polygons and triangle strips.\n Verti ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkFillHolesFilterStaticNew()
{
  return vtkFillHolesFilter::New();
}

PyObject *PyVTKClass_vtkFillHolesFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkFillHolesFilterStaticNew,
                        PyvtkFillHolesFilterMethods,
                        (char*)"vtkFillHolesFilter",modulename,
                        (char**)vtkFillHolesFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

