// python wrapper for vtkGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeodesicPath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeodesicPathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeodesicPathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGeodesicPath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeodesicPath *op;

  const char    *temp20;
  op = (vtkGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeodesicPath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeodesicPath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeodesicPath *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeodesicPath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeodesicPath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeodesicPath *op;

  vtkGeodesicPath  *temp20;
  op = (vtkGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeodesicPath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeodesicPath_GetGeodesicLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeodesicPath *op;

  double   temp20;
  op = (vtkGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetGeodesicLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeodesicPathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeodesicPath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeodesicPath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeodesicPath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeodesicPath\nC++: vtkGeodesicPath *NewInstance ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"GetGeodesicLength",                (PyCFunction)PyvtkGeodesicPath_GetGeodesicLength, 1,
   (char*)"V.GetGeodesicLength() -> float\nC++: virtual double GetGeodesicLength () = 0;\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeodesicPathDoc[] = {
  (char*)"vtkGeodesicPath - Abstract base for classes that generate a geodesic path\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" Serves as a base class for algorithms that trace a geodesic path on a \n polygonal dataset.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGeodesicPathNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGeodesicPathMethods,
                        (char*)"vtkGeodesicPath",modulename,
                        (char**)vtkGeodesicPathDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

