// python wrapper for vtkGlyph3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGlyph3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGlyph3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGlyph3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGlyph3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  const char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  vtkGlyph3D  *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGlyph3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGlyph3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetSource(temp0,temp1);
      }
    else
      {
      op->SetSource(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetSourceConnection(temp0,temp1);
      }
    else
      {
      op->SetSourceConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  vtkPolyData  *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetSource(temp0);
      }
    else
      {
      temp20 = op->GetSource(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_ScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::ScalingOn();
      }
    else
      {
      op->ScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_ScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::ScalingOff();
      }
    else
      {
      op->ScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleMode(temp0);
      }
    else
      {
      op->SetScaleMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetScaleMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetScaleMode();
      }
    else
      {
      temp20 = op->GetScaleMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleModeToScaleByScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleModeToScaleByScalar();
      }
    else
      {
      op->SetScaleModeToScaleByScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleModeToScaleByVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleModeToScaleByVector();
      }
    else
      {
      op->SetScaleModeToScaleByVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleModeToScaleByVectorComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleModeToScaleByVectorComponents();
      }
    else
      {
      op->SetScaleModeToScaleByVectorComponents();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleModeToDataScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleModeToDataScalingOff();
      }
    else
      {
      op->SetScaleModeToDataScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetScaleModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  const char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetScaleModeAsString();
      }
    else
      {
      temp20 = op->GetScaleModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetColorModeToColorByScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetColorModeToColorByScale();
      }
    else
      {
      op->SetColorModeToColorByScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetColorModeToColorByScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetColorModeToColorByScalar();
      }
    else
      {
      op->SetColorModeToColorByScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetColorModeToColorByVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetColorModeToColorByVector();
      }
    else
      {
      op->SetColorModeToColorByVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetColorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  const char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetColorModeAsString();
      }
    else
      {
      temp20 = op->GetColorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  double   temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  double   temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  double   temp0;
  double   temp1;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  double  *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetOrient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetOrient(temp0);
      }
    else
      {
      op->SetOrient(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_OrientOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::OrientOn();
      }
    else
      {
      op->OrientOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_OrientOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::OrientOff();
      }
    else
      {
      op->OrientOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetOrient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetOrient();
      }
    else
      {
      temp20 = op->GetOrient();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetClamping(temp0);
      }
    else
      {
      op->SetClamping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_ClampingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::ClampingOn();
      }
    else
      {
      op->ClampingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_ClampingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::ClampingOff();
      }
    else
      {
      op->ClampingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetClamping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetClamping();
      }
    else
      {
      temp20 = op->GetClamping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetVectorMode(temp0);
      }
    else
      {
      op->SetVectorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetVectorMode();
      }
    else
      {
      temp20 = op->GetVectorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetVectorModeToUseVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetVectorModeToUseVector();
      }
    else
      {
      op->SetVectorModeToUseVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetVectorModeToUseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetVectorModeToUseNormal();
      }
    else
      {
      op->SetVectorModeToUseNormal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetVectorModeToVectorRotationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetVectorModeToVectorRotationOff();
      }
    else
      {
      op->SetVectorModeToVectorRotationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetVectorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  const char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetVectorModeAsString();
      }
    else
      {
      temp20 = op->GetVectorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetIndexMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetIndexMode(temp0);
      }
    else
      {
      op->SetIndexMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetIndexMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetIndexMode();
      }
    else
      {
      temp20 = op->GetIndexMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetIndexModeToScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetIndexModeToScalar();
      }
    else
      {
      op->SetIndexModeToScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetIndexModeToVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetIndexModeToVector();
      }
    else
      {
      op->SetIndexModeToVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetIndexModeToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetIndexModeToOff();
      }
    else
      {
      op->SetIndexModeToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetIndexModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  const char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetIndexModeAsString();
      }
    else
      {
      temp20 = op->GetIndexModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetGeneratePointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetGeneratePointIds(temp0);
      }
    else
      {
      op->SetGeneratePointIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetGeneratePointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetGeneratePointIds();
      }
    else
      {
      temp20 = op->GetGeneratePointIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GeneratePointIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::GeneratePointIdsOn();
      }
    else
      {
      op->GeneratePointIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GeneratePointIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::GeneratePointIdsOff();
      }
    else
      {
      op->GeneratePointIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_SetPointIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  char    *temp0;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyph3D::SetPointIdsName(temp0);
      }
    else
      {
      op->SetPointIdsName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_GetPointIdsName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  char    *temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::GetPointIdsName();
      }
    else
      {
      temp20 = op->GetPointIdsName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph3D_IsPointVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph3D *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkGlyph3D *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph3D::IsPointVisible(temp0,temp1);
      }
    else
      {
      temp20 = op->IsPointVisible(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break57:
  return NULL;
}

static PyMethodDef PyvtkGlyph3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGlyph3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGlyph3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGlyph3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGlyph3D\nC++: vtkGlyph3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGlyph3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGlyph3D\nC++: vtkGlyph3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkGlyph3D_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *pd);this SetSource pd \nV.SetSource(int, vtkPolyData)\nC++: void SetSource (int id, vtkPolyData *pd);\n\n Set the source to use for he glyph. Old style. See SetSourceConnection.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkGlyph3D_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(int, vtkAlgorithmOutput)\nC++: void SetSourceConnection (int id, vtkAlgorithmOutput *algOutput);\nV.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);this SetSourceConnection algOutput \n\n Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkGlyph3D_GetSource, 1,
   (char*)"V.GetSource(int) -> vtkPolyData\nC++: vtkPolyData *GetSource (int id);\n\n Get a pointer to a source object at a specified table location.\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkGlyph3D_SetScaling, 1,
   (char*)"V.SetScaling(int)\nC++: void SetScaling (int );\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"ScalingOn",                (PyCFunction)PyvtkGlyph3D_ScalingOn, 1,
   (char*)"V.ScalingOn()\nC++: void ScalingOn ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"ScalingOff",                (PyCFunction)PyvtkGlyph3D_ScalingOff, 1,
   (char*)"V.ScalingOff()\nC++: void ScalingOff ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkGlyph3D_GetScaling, 1,
   (char*)"V.GetScaling() -> int\nC++: int GetScaling ();\n\n Turn on/off scaling of source geometry.\n"},
  {(char*)"SetScaleMode",                (PyCFunction)PyvtkGlyph3D_SetScaleMode, 1,
   (char*)"V.SetScaleMode(int)\nC++: void SetScaleMode (int );\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"GetScaleMode",                (PyCFunction)PyvtkGlyph3D_GetScaleMode, 1,
   (char*)"V.GetScaleMode() -> int\nC++: int GetScaleMode ();\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByScalar",                (PyCFunction)PyvtkGlyph3D_SetScaleModeToScaleByScalar, 1,
   (char*)"V.SetScaleModeToScaleByScalar()\nC++: void SetScaleModeToScaleByScalar ();this SetScaleMode VTK_SCALE_BY_SCALAR \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByVector",                (PyCFunction)PyvtkGlyph3D_SetScaleModeToScaleByVector, 1,
   (char*)"V.SetScaleModeToScaleByVector()\nC++: void SetScaleModeToScaleByVector ();this SetScaleMode VTK_SCALE_BY_VECTOR \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToScaleByVectorComponents",                (PyCFunction)PyvtkGlyph3D_SetScaleModeToScaleByVectorComponents, 1,
   (char*)"V.SetScaleModeToScaleByVectorComponents()\nC++: void SetScaleModeToScaleByVectorComponents ();this SetScaleMode VTK_SCALE_BY_VECTORCOMPONENTS \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleModeToDataScalingOff",                (PyCFunction)PyvtkGlyph3D_SetScaleModeToDataScalingOff, 1,
   (char*)"V.SetScaleModeToDataScalingOff()\nC++: void SetScaleModeToDataScalingOff ();this SetScaleMode VTK_DATA_SCALING_OFF \n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"GetScaleModeAsString",                (PyCFunction)PyvtkGlyph3D_GetScaleModeAsString, 1,
   (char*)"V.GetScaleModeAsString() -> string\nC++: const char *GetScaleModeAsString ();\n\n Either scale by scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkGlyph3D_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkGlyph3D_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByScale",                (PyCFunction)PyvtkGlyph3D_SetColorModeToColorByScale, 1,
   (char*)"V.SetColorModeToColorByScale()\nC++: void SetColorModeToColorByScale ();this SetColorMode VTK_COLOR_BY_SCALE \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByScalar",                (PyCFunction)PyvtkGlyph3D_SetColorModeToColorByScalar, 1,
   (char*)"V.SetColorModeToColorByScalar()\nC++: void SetColorModeToColorByScalar ();this SetColorMode VTK_COLOR_BY_SCALAR \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetColorModeToColorByVector",                (PyCFunction)PyvtkGlyph3D_SetColorModeToColorByVector, 1,
   (char*)"V.SetColorModeToColorByVector()\nC++: void SetColorModeToColorByVector ();this SetColorMode VTK_COLOR_BY_VECTOR \n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"GetColorModeAsString",                (PyCFunction)PyvtkGlyph3D_GetColorModeAsString, 1,
   (char*)"V.GetColorModeAsString() -> string\nC++: const char *GetColorModeAsString ();\n\n Either color by scale, scalar or by vector/normal magnitude.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkGlyph3D_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Specify scale factor to scale object by.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkGlyph3D_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Specify scale factor to scale object by.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkGlyph3D_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: void SetRange (double , double );\nV.SetRange((float, float))\nC++: void SetRange (double  a[2]);\n\n Specify range to map scalar values into.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkGlyph3D_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Specify range to map scalar values into.\n"},
  {(char*)"SetOrient",                (PyCFunction)PyvtkGlyph3D_SetOrient, 1,
   (char*)"V.SetOrient(int)\nC++: void SetOrient (int );\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"OrientOn",                (PyCFunction)PyvtkGlyph3D_OrientOn, 1,
   (char*)"V.OrientOn()\nC++: void OrientOn ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"OrientOff",                (PyCFunction)PyvtkGlyph3D_OrientOff, 1,
   (char*)"V.OrientOff()\nC++: void OrientOff ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"GetOrient",                (PyCFunction)PyvtkGlyph3D_GetOrient, 1,
   (char*)"V.GetOrient() -> int\nC++: int GetOrient ();\n\n Turn on/off orienting of input geometry along vector/normal.\n"},
  {(char*)"SetClamping",                (PyCFunction)PyvtkGlyph3D_SetClamping, 1,
   (char*)"V.SetClamping(int)\nC++: void SetClamping (int );\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"ClampingOn",                (PyCFunction)PyvtkGlyph3D_ClampingOn, 1,
   (char*)"V.ClampingOn()\nC++: void ClampingOn ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"ClampingOff",                (PyCFunction)PyvtkGlyph3D_ClampingOff, 1,
   (char*)"V.ClampingOff()\nC++: void ClampingOff ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"GetClamping",                (PyCFunction)PyvtkGlyph3D_GetClamping, 1,
   (char*)"V.GetClamping() -> int\nC++: int GetClamping ();\n\n Turn on/off clamping of \"scalar\" values to range. (Scalar value may be\n  vector magnitude if ScaleByVector() is enabled.)\n"},
  {(char*)"SetVectorMode",                (PyCFunction)PyvtkGlyph3D_SetVectorMode, 1,
   (char*)"V.SetVectorMode(int)\nC++: void SetVectorMode (int );\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"GetVectorMode",                (PyCFunction)PyvtkGlyph3D_GetVectorMode, 1,
   (char*)"V.GetVectorMode() -> int\nC++: int GetVectorMode ();\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToUseVector",                (PyCFunction)PyvtkGlyph3D_SetVectorModeToUseVector, 1,
   (char*)"V.SetVectorModeToUseVector()\nC++: void SetVectorModeToUseVector ();this SetVectorMode VTK_USE_VECTOR \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToUseNormal",                (PyCFunction)PyvtkGlyph3D_SetVectorModeToUseNormal, 1,
   (char*)"V.SetVectorModeToUseNormal()\nC++: void SetVectorModeToUseNormal ();this SetVectorMode VTK_USE_NORMAL \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetVectorModeToVectorRotationOff",                (PyCFunction)PyvtkGlyph3D_SetVectorModeToVectorRotationOff, 1,
   (char*)"V.SetVectorModeToVectorRotationOff()\nC++: void SetVectorModeToVectorRotationOff ();this SetVectorMode VTK_VECTOR_ROTATION_OFF \n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"GetVectorModeAsString",                (PyCFunction)PyvtkGlyph3D_GetVectorModeAsString, 1,
   (char*)"V.GetVectorModeAsString() -> string\nC++: const char *GetVectorModeAsString ();\n\n Specify whether to use vector or normal to perform vector operations.\n"},
  {(char*)"SetIndexMode",                (PyCFunction)PyvtkGlyph3D_SetIndexMode, 1,
   (char*)"V.SetIndexMode(int)\nC++: void SetIndexMode (int );\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"GetIndexMode",                (PyCFunction)PyvtkGlyph3D_GetIndexMode, 1,
   (char*)"V.GetIndexMode() -> int\nC++: int GetIndexMode ();\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"SetIndexModeToScalar",                (PyCFunction)PyvtkGlyph3D_SetIndexModeToScalar, 1,
   (char*)"V.SetIndexModeToScalar()\nC++: void SetIndexModeToScalar ();this SetIndexMode VTK_INDEXING_BY_SCALAR \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"SetIndexModeToVector",                (PyCFunction)PyvtkGlyph3D_SetIndexModeToVector, 1,
   (char*)"V.SetIndexModeToVector()\nC++: void SetIndexModeToVector ();this SetIndexMode VTK_INDEXING_BY_VECTOR \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"SetIndexModeToOff",                (PyCFunction)PyvtkGlyph3D_SetIndexModeToOff, 1,
   (char*)"V.SetIndexModeToOff()\nC++: void SetIndexModeToOff ();this SetIndexMode VTK_INDEXING_OFF \n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"GetIndexModeAsString",                (PyCFunction)PyvtkGlyph3D_GetIndexModeAsString, 1,
   (char*)"V.GetIndexModeAsString() -> string\nC++: const char *GetIndexModeAsString ();\n\n Index into table of sources by scalar, by vector/normal magnitude, or\n no indexing. If indexing is turned off, then the first source glyph in\n the table of glyphs is used. Note that indexing mode will only use the\n InputScalarsSelection array and not the InputColorScalarsSelection\n as the scalar source if an array is specified.\n"},
  {(char*)"SetGeneratePointIds",                (PyCFunction)PyvtkGlyph3D_SetGeneratePointIds, 1,
   (char*)"V.SetGeneratePointIds(int)\nC++: void SetGeneratePointIds (int );\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GetGeneratePointIds",                (PyCFunction)PyvtkGlyph3D_GetGeneratePointIds, 1,
   (char*)"V.GetGeneratePointIds() -> int\nC++: int GetGeneratePointIds ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GeneratePointIdsOn",                (PyCFunction)PyvtkGlyph3D_GeneratePointIdsOn, 1,
   (char*)"V.GeneratePointIdsOn()\nC++: void GeneratePointIdsOn ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"GeneratePointIdsOff",                (PyCFunction)PyvtkGlyph3D_GeneratePointIdsOff, 1,
   (char*)"V.GeneratePointIdsOff()\nC++: void GeneratePointIdsOff ();\n\n Enable/disable the generation of point ids as part of the output. The\n point ids are the id of the input generating point. The point ids are\n stored in the output point field data and named \"InputPointIds\". Point\n generation is useful for debugging and pick operations.\n"},
  {(char*)"SetPointIdsName",                (PyCFunction)PyvtkGlyph3D_SetPointIdsName, 1,
   (char*)"V.SetPointIdsName(string)\nC++: void SetPointIdsName (char *);\n\n Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n"},
  {(char*)"GetPointIdsName",                (PyCFunction)PyvtkGlyph3D_GetPointIdsName, 1,
   (char*)"V.GetPointIdsName() -> string\nC++: char *GetPointIdsName ();\n\n Set/Get the name of the PointIds array if generated. By default the Ids\n are named \"InputPointIds\", but this can be changed with this function.\n"},
  {(char*)"IsPointVisible",                (PyCFunction)PyvtkGlyph3D_IsPointVisible, 1,
   (char*)"V.IsPointVisible(vtkDataSet, int) -> int\nC++: virtual int IsPointVisible (vtkDataSet *, vtkIdType );return \n\n This can be overwritten by subclass to return 0 when a point is\n blanked. Default implementation is to always return 1;\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGlyph3DDoc[] = {
  (char*)"vtkGlyph3D - copy oriented and scaled glyph geometry to every input point\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGlyph3D is a filter that copies a geometric representation (called\n a glyph) to every point in the input dataset. The glyph is defined with\n polygonal data from a source filter input. The glyph may be oriented\n along the input vectors or normals, and it may be scaled according to\n scalar data or vector magnitude. More than one glyph may be used by\n creating a table of source objects, each defi",
  (char*)"ning a different glyph. If a\n table of glyphs is defined, then the table can be indexed into by using\n either scalar value or vector magnitude.\n \n To use this object you'll have to provide an input dataset and a source\n to define the glyph. Then decide whether you want to scale the glyph and\n how to scale the glyph (using scalar value or vector magnitude). Next\n decide whether you want to orient t",
  (char*)"he glyph, and whether to use the\n vector data or normal data to orient it. Finally, decide whether to use a\n table of glyphs, or just a single glyph. If you use a table of glyphs,\n you'll have to decide whether to index into it with scalar value or with\n vector magnitude.\n \n\n",
  "Caveats:\n\n The scaling of the glyphs is controlled by the ScaleFactor ivar multiplied\n by the scalar value at each point (if VTK_SCALE_BY_SCALAR is set), or\n multiplied by the vector magnitude (if VTK_SCALE_BY_VECTOR is set),\n Alternatively (if VTK_SCALE_BY_VECTORCOMPONENTS is set), the scaling\n may be specified for x,y,z using the vector components. The\n scale factor can be further controlled by enabling clamping using the\n Clamping ivar. If clamping is enabled, the scale is no ...\n [Truncated]\n\n",
  "See Also:\n\n vtkTensorGlyph\n\n",
  NULL
};

static vtkObjectBase *vtkGlyph3DStaticNew()
{
  return vtkGlyph3D::New();
}

PyObject *PyVTKClass_vtkGlyph3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGlyph3DStaticNew,
                        PyvtkGlyph3DMethods,
                        (char*)"vtkGlyph3D",modulename,
                        (char**)vtkGlyph3DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

