// python wrapper for vtkGlyphSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGlyphSource2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGlyphSource2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGlyphSource2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGlyphSource2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  const char    *temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  vtkGlyphSource2D  *temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGlyphSource2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGlyphSource2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double  *temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScaleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScaleMinValue();
      }
    else
      {
      temp20 = op->GetScaleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScaleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScaleMaxValue();
      }
    else
      {
      temp20 = op->GetScaleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetScale2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetScale2(temp0);
      }
    else
      {
      op->SetScale2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScale2MinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScale2MinValue();
      }
    else
      {
      temp20 = op->GetScale2MinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScale2MaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScale2MaxValue();
      }
    else
      {
      temp20 = op->GetScale2MaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetScale2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetScale2();
      }
    else
      {
      temp20 = op->GetScale2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double  *temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetFilled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetFilled(temp0);
      }
    else
      {
      op->SetFilled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetFilled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetFilled();
      }
    else
      {
      temp20 = op->GetFilled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_FilledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::FilledOn();
      }
    else
      {
      op->FilledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_FilledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::FilledOff();
      }
    else
      {
      op->FilledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetDash(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetDash(temp0);
      }
    else
      {
      op->SetDash(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetDash(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetDash();
      }
    else
      {
      temp20 = op->GetDash();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_DashOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::DashOn();
      }
    else
      {
      op->DashOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_DashOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::DashOff();
      }
    else
      {
      op->DashOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetCross(temp0);
      }
    else
      {
      op->SetCross(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetCross();
      }
    else
      {
      temp20 = op->GetCross();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_CrossOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::CrossOn();
      }
    else
      {
      op->CrossOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_CrossOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::CrossOff();
      }
    else
      {
      op->CrossOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetRotationAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetRotationAngle(temp0);
      }
    else
      {
      op->SetRotationAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetRotationAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  double   temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetRotationAngle();
      }
    else
      {
      temp20 = op->GetRotationAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp0;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphType(temp0);
      }
    else
      {
      op->SetGlyphType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetGlyphTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetGlyphTypeMinValue();
      }
    else
      {
      temp20 = op->GetGlyphTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetGlyphTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetGlyphTypeMaxValue();
      }
    else
      {
      temp20 = op->GetGlyphTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_GetGlyphType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  int      temp20;
  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyphSource2D::GetGlyphType();
      }
    else
      {
      temp20 = op->GetGlyphType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToNone();
      }
    else
      {
      op->SetGlyphTypeToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToVertex();
      }
    else
      {
      op->SetGlyphTypeToVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToDash(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToDash();
      }
    else
      {
      op->SetGlyphTypeToDash();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToCross();
      }
    else
      {
      op->SetGlyphTypeToCross();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToThickCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToThickCross();
      }
    else
      {
      op->SetGlyphTypeToThickCross();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToTriangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToTriangle();
      }
    else
      {
      op->SetGlyphTypeToTriangle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToSquare(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToSquare();
      }
    else
      {
      op->SetGlyphTypeToSquare();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToCircle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToCircle();
      }
    else
      {
      op->SetGlyphTypeToCircle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToDiamond(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToDiamond();
      }
    else
      {
      op->SetGlyphTypeToDiamond();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToArrow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToArrow();
      }
    else
      {
      op->SetGlyphTypeToArrow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToThickArrow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToThickArrow();
      }
    else
      {
      op->SetGlyphTypeToThickArrow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToHookedArrow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToHookedArrow();
      }
    else
      {
      op->SetGlyphTypeToHookedArrow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyphSource2D_SetGlyphTypeToEdgeArrow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGlyphSource2D::SetGlyphTypeToEdgeArrow();
      }
    else
      {
      op->SetGlyphTypeToEdgeArrow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGlyphSource2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGlyphSource2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGlyphSource2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGlyphSource2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGlyphSource2D\nC++: vtkGlyphSource2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGlyphSource2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGlyphSource2D\nC++: vtkGlyphSource2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkGlyphSource2D_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the glyph. By default the center is (0,0,0).\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkGlyphSource2D_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the glyph. By default the center is (0,0,0).\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkGlyphSource2D_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n"},
  {(char*)"GetScaleMinValue",                (PyCFunction)PyvtkGlyphSource2D_GetScaleMinValue, 1,
   (char*)"V.GetScaleMinValue() -> float\nC++: double GetScaleMinValue ();\n\n Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n"},
  {(char*)"GetScaleMaxValue",                (PyCFunction)PyvtkGlyphSource2D_GetScaleMaxValue, 1,
   (char*)"V.GetScaleMaxValue() -> float\nC++: double GetScaleMaxValue ();\n\n Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkGlyphSource2D_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n Set the scale of the glyph. Note that the glyphs are designed\n to fit in the (1,1) rectangle.\n"},
  {(char*)"SetScale2",                (PyCFunction)PyvtkGlyphSource2D_SetScale2, 1,
   (char*)"V.SetScale2(float)\nC++: void SetScale2 (double );\n\n Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n"},
  {(char*)"GetScale2MinValue",                (PyCFunction)PyvtkGlyphSource2D_GetScale2MinValue, 1,
   (char*)"V.GetScale2MinValue() -> float\nC++: double GetScale2MinValue ();\n\n Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n"},
  {(char*)"GetScale2MaxValue",                (PyCFunction)PyvtkGlyphSource2D_GetScale2MaxValue, 1,
   (char*)"V.GetScale2MaxValue() -> float\nC++: double GetScale2MaxValue ();\n\n Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n"},
  {(char*)"GetScale2",                (PyCFunction)PyvtkGlyphSource2D_GetScale2, 1,
   (char*)"V.GetScale2() -> float\nC++: double GetScale2 ();\n\n Set the scale of optional portions of the glyph (e.g., the\n dash and cross is DashOn() and CrossOn()).\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkGlyphSource2D_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double , double , double );\nV.SetColor((float, float, float))\nC++: void SetColor (double  a[3]);\n\n Set the color of the glyph. The default color is white.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkGlyphSource2D_GetColor, 1,
   (char*)"V.GetColor() -> (float, float, float)\nC++: double  *GetColor ();\n\n Set the color of the glyph. The default color is white.\n"},
  {(char*)"SetFilled",                (PyCFunction)PyvtkGlyphSource2D_SetFilled, 1,
   (char*)"V.SetFilled(int)\nC++: void SetFilled (int );\n\n Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n"},
  {(char*)"GetFilled",                (PyCFunction)PyvtkGlyphSource2D_GetFilled, 1,
   (char*)"V.GetFilled() -> int\nC++: int GetFilled ();\n\n Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n"},
  {(char*)"FilledOn",                (PyCFunction)PyvtkGlyphSource2D_FilledOn, 1,
   (char*)"V.FilledOn()\nC++: void FilledOn ();\n\n Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n"},
  {(char*)"FilledOff",                (PyCFunction)PyvtkGlyphSource2D_FilledOff, 1,
   (char*)"V.FilledOff()\nC++: void FilledOff ();\n\n Specify whether the glyph is filled (a polygon) or not (a\n closed polygon defined by line segments). This only applies\n to 2D closed glyphs.\n"},
  {(char*)"SetDash",                (PyCFunction)PyvtkGlyphSource2D_SetDash, 1,
   (char*)"V.SetDash(int)\nC++: void SetDash (int );\n\n Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n"},
  {(char*)"GetDash",                (PyCFunction)PyvtkGlyphSource2D_GetDash, 1,
   (char*)"V.GetDash() -> int\nC++: int GetDash ();\n\n Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n"},
  {(char*)"DashOn",                (PyCFunction)PyvtkGlyphSource2D_DashOn, 1,
   (char*)"V.DashOn()\nC++: void DashOn ();\n\n Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n"},
  {(char*)"DashOff",                (PyCFunction)PyvtkGlyphSource2D_DashOff, 1,
   (char*)"V.DashOff()\nC++: void DashOff ();\n\n Specify whether a short line segment is drawn through the\n glyph. (This is in addition to the glyph. If the glyph type\n is set to \"Dash\" there is no need to enable this flag.)\n"},
  {(char*)"SetCross",                (PyCFunction)PyvtkGlyphSource2D_SetCross, 1,
   (char*)"V.SetCross(int)\nC++: void SetCross (int );\n\n Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n"},
  {(char*)"GetCross",                (PyCFunction)PyvtkGlyphSource2D_GetCross, 1,
   (char*)"V.GetCross() -> int\nC++: int GetCross ();\n\n Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n"},
  {(char*)"CrossOn",                (PyCFunction)PyvtkGlyphSource2D_CrossOn, 1,
   (char*)"V.CrossOn()\nC++: void CrossOn ();\n\n Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n"},
  {(char*)"CrossOff",                (PyCFunction)PyvtkGlyphSource2D_CrossOff, 1,
   (char*)"V.CrossOff()\nC++: void CrossOff ();\n\n Specify whether a cross is drawn as part of the glyph. (This \n is in addition to the glyph. If the glyph type is set to \n \"Cross\" there is no need to enable this flag.)\n"},
  {(char*)"SetRotationAngle",                (PyCFunction)PyvtkGlyphSource2D_SetRotationAngle, 1,
   (char*)"V.SetRotationAngle(float)\nC++: void SetRotationAngle (double );\n\n Specify an angle (in degrees) to rotate the glyph around\n the z-axis. Using this ivar, it is possible to generate\n rotated glyphs (e.g., crosses, arrows, etc.)\n"},
  {(char*)"GetRotationAngle",                (PyCFunction)PyvtkGlyphSource2D_GetRotationAngle, 1,
   (char*)"V.GetRotationAngle() -> float\nC++: double GetRotationAngle ();\n\n Specify an angle (in degrees) to rotate the glyph around\n the z-axis. Using this ivar, it is possible to generate\n rotated glyphs (e.g., crosses, arrows, etc.)\n"},
  {(char*)"SetGlyphType",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphType, 1,
   (char*)"V.SetGlyphType(int)\nC++: void SetGlyphType (int );\n\n Specify the type of glyph to generate.\n"},
  {(char*)"GetGlyphTypeMinValue",                (PyCFunction)PyvtkGlyphSource2D_GetGlyphTypeMinValue, 1,
   (char*)"V.GetGlyphTypeMinValue() -> int\nC++: int GetGlyphTypeMinValue ();\n\n Specify the type of glyph to generate.\n"},
  {(char*)"GetGlyphTypeMaxValue",                (PyCFunction)PyvtkGlyphSource2D_GetGlyphTypeMaxValue, 1,
   (char*)"V.GetGlyphTypeMaxValue() -> int\nC++: int GetGlyphTypeMaxValue ();\n\n Specify the type of glyph to generate.\n"},
  {(char*)"GetGlyphType",                (PyCFunction)PyvtkGlyphSource2D_GetGlyphType, 1,
   (char*)"V.GetGlyphType() -> int\nC++: int GetGlyphType ();\n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToNone",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToNone, 1,
   (char*)"V.SetGlyphTypeToNone()\nC++: void SetGlyphTypeToNone ();this SetGlyphType VTK_NO_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToVertex",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToVertex, 1,
   (char*)"V.SetGlyphTypeToVertex()\nC++: void SetGlyphTypeToVertex ();this SetGlyphType VTK_VERTEX_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToDash",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToDash, 1,
   (char*)"V.SetGlyphTypeToDash()\nC++: void SetGlyphTypeToDash ();this SetGlyphType VTK_DASH_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToCross",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToCross, 1,
   (char*)"V.SetGlyphTypeToCross()\nC++: void SetGlyphTypeToCross ();this SetGlyphType VTK_CROSS_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToThickCross",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToThickCross, 1,
   (char*)"V.SetGlyphTypeToThickCross()\nC++: void SetGlyphTypeToThickCross ();this SetGlyphType VTK_THICKCROSS_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToTriangle",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToTriangle, 1,
   (char*)"V.SetGlyphTypeToTriangle()\nC++: void SetGlyphTypeToTriangle ();this SetGlyphType VTK_TRIANGLE_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToSquare",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToSquare, 1,
   (char*)"V.SetGlyphTypeToSquare()\nC++: void SetGlyphTypeToSquare ();this SetGlyphType VTK_SQUARE_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToCircle",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToCircle, 1,
   (char*)"V.SetGlyphTypeToCircle()\nC++: void SetGlyphTypeToCircle ();this SetGlyphType VTK_CIRCLE_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToDiamond",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToDiamond, 1,
   (char*)"V.SetGlyphTypeToDiamond()\nC++: void SetGlyphTypeToDiamond ();this SetGlyphType VTK_DIAMOND_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToArrow",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToArrow, 1,
   (char*)"V.SetGlyphTypeToArrow()\nC++: void SetGlyphTypeToArrow ();this SetGlyphType VTK_ARROW_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToThickArrow",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToThickArrow, 1,
   (char*)"V.SetGlyphTypeToThickArrow()\nC++: void SetGlyphTypeToThickArrow ();this SetGlyphType VTK_THICKARROW_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToHookedArrow",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToHookedArrow, 1,
   (char*)"V.SetGlyphTypeToHookedArrow()\nC++: void SetGlyphTypeToHookedArrow ();this SetGlyphType VTK_HOOKEDARROW_GLYPH \n\n Specify the type of glyph to generate.\n"},
  {(char*)"SetGlyphTypeToEdgeArrow",                (PyCFunction)PyvtkGlyphSource2D_SetGlyphTypeToEdgeArrow, 1,
   (char*)"V.SetGlyphTypeToEdgeArrow()\nC++: void SetGlyphTypeToEdgeArrow ();this SetGlyphType VTK_EDGEARROW_GLYPH \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGlyphSource2DDoc[] = {
  (char*)"vtkGlyphSource2D - create 2D glyphs represented by vtkPolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGlyphSource2D can generate a family of 2D glyphs each of which lies\n in the x-y plane (i.e., the z-coordinate is zero). The class is a helper \n class to be used with vtkGlyph2D and vtkXYPlotActor.\n\n To use this class, specify the glyph type to use and its\n attributes. Attributes include its position (i.e., center point), scale,\n color, and whether the symbol is filled or not (a polygon or clos",
  (char*)"ed line\n sequence). You can also put a short line through the glyph running from -x\n to +x (the glyph looks like it's on a line), or a cross.\n\n",
  NULL
};

static vtkObjectBase *vtkGlyphSource2DStaticNew()
{
  return vtkGlyphSource2D::New();
}

PyObject *PyVTKClass_vtkGlyphSource2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGlyphSource2DStaticNew,
                        PyvtkGlyphSource2DMethods,
                        (char*)"vtkGlyphSource2D",modulename,
                        (char**)vtkGlyphSource2DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

