// python wrapper for vtkGraphGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGraphGeodesicPath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphGeodesicPathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphGeodesicPathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGeodesicPathNew(char *); }

static PyObject *PyvtkGraphGeodesicPath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  const char    *temp20;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphGeodesicPath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  char    *temp0;
  int      temp20;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphGeodesicPath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  vtkGraphGeodesicPath  *temp20;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphGeodesicPath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_GetStartVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  vtkIdType   temp20;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphGeodesicPath::GetStartVertex();
      }
    else
      {
      temp20 = op->GetStartVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_SetStartVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  vtkIdType   temp0;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphGeodesicPath::SetStartVertex(temp0);
      }
    else
      {
      op->SetStartVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_GetEndVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  vtkIdType   temp20;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphGeodesicPath::GetEndVertex();
      }
    else
      {
      temp20 = op->GetEndVertex();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphGeodesicPath_SetEndVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphGeodesicPath *op;

  vtkIdType   temp0;
  op = (vtkGraphGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphGeodesicPath::SetEndVertex(temp0);
      }
    else
      {
      op->SetEndVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphGeodesicPathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphGeodesicPath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphGeodesicPath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphGeodesicPath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphGeodesicPath\nC++: vtkGraphGeodesicPath *NewInstance ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"GetStartVertex",                (PyCFunction)PyvtkGraphGeodesicPath_GetStartVertex, 1,
   (char*)"V.GetStartVertex() -> int\nC++: vtkIdType GetStartVertex ();\n\n The vertex at the start of the shortest path\n"},
  {(char*)"SetStartVertex",                (PyCFunction)PyvtkGraphGeodesicPath_SetStartVertex, 1,
   (char*)"V.SetStartVertex(int)\nC++: void SetStartVertex (vtkIdType );\n\n The vertex at the start of the shortest path\n"},
  {(char*)"GetEndVertex",                (PyCFunction)PyvtkGraphGeodesicPath_GetEndVertex, 1,
   (char*)"V.GetEndVertex() -> int\nC++: vtkIdType GetEndVertex ();\n\n The vertex at the end of the shortest path\n"},
  {(char*)"SetEndVertex",                (PyCFunction)PyvtkGraphGeodesicPath_SetEndVertex, 1,
   (char*)"V.SetEndVertex(int)\nC++: void SetEndVertex (vtkIdType );\n\n The vertex at the end of the shortest path\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphGeodesicPathDoc[] = {
  (char*)"vtkGraphGeodesicPath - Abstract base for classes that generate a geodesic path on a graph (mesh).\n\n",
  "Super Class:\n\n vtkGeodesicPath\n\n",
  (char*)" Serves as a base class for algorithms that trace a geodesic on a \n polygonal dataset treating it as a graph. ie points connecting the \n vertices of the graph\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGraphGeodesicPathNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGraphGeodesicPathMethods,
                        (char*)"vtkGraphGeodesicPath",modulename,
                        (char**)vtkGraphGeodesicPathDoc,
                        PyVTKClass_vtkGeodesicPathNew(modulename));
}

