// python wrapper for vtkHierarchicalDataExtractDataSets object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalDataExtractDataSets.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataExtractDataSetsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataExtractDataSetsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractDataSetsNew(char *); }

static PyObject *PyvtkHierarchicalDataExtractDataSets_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractDataSets *op;

  const char    *temp20;
  op = (vtkHierarchicalDataExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractDataSets::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractDataSets_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractDataSets *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalDataExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractDataSets::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractDataSets_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractDataSets *op;

  vtkHierarchicalDataExtractDataSets  *temp20;
  op = (vtkHierarchicalDataExtractDataSets *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractDataSets::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractDataSets_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataExtractDataSets  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataExtractDataSets::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataExtractDataSetsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataExtractDataSets_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataExtractDataSets_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataExtractDataSets_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataExtractDataSets\nC++: vtkHierarchicalDataExtractDataSets *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataExtractDataSets_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataExtractDataSets\nC++: vtkHierarchicalDataExtractDataSets *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataExtractDataSetsDoc[] = {
  (char*)"vtkHierarchicalDataExtractDataSets - extract a number of datasets\n\n",
  "Super Class:\n\n vtkExtractDataSets\n\n",
  (char*)" Legacy class. Use vtkExtractDataSets instead.\n\n\n",
  "See Also:\n\n vtkExtractDataSets\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataExtractDataSetsStaticNew()
{
  return vtkHierarchicalDataExtractDataSets::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataExtractDataSetsNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataExtractDataSetsStaticNew,
                        PyvtkHierarchicalDataExtractDataSetsMethods,
                        (char*)"vtkHierarchicalDataExtractDataSets",modulename,
                        (char**)vtkHierarchicalDataExtractDataSetsDoc,
                        PyVTKClass_vtkExtractDataSetsNew(modulename));
}

