// python wrapper for vtkHierarchicalDataExtractLevel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalDataExtractLevel.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractLevelNew(char *); }

static PyObject *PyvtkHierarchicalDataExtractLevel_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  const char    *temp20;
  op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  vtkHierarchicalDataExtractLevel  *temp20;
  op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataExtractLevel  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataExtractLevel::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataExtractLevelMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataExtractLevel\nC++: vtkHierarchicalDataExtractLevel *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataExtractLevel\nC++: vtkHierarchicalDataExtractLevel *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataExtractLevelDoc[] = {
  (char*)"vtkHierarchicalDataExtractLevel - extact levels between min and max\n\n",
  "Super Class:\n\n vtkExtractLevel\n\n",
  (char*)" Legacy class. Use vtkExtractLevel instead.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataExtractLevelStaticNew()
{
  return vtkHierarchicalDataExtractLevel::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataExtractLevelStaticNew,
                        PyvtkHierarchicalDataExtractLevelMethods,
                        (char*)"vtkHierarchicalDataExtractLevel",modulename,
                        (char**)vtkHierarchicalDataExtractLevelDoc,
                        PyVTKClass_vtkExtractLevelNew(modulename));
}

