// python wrapper for vtkHierarchicalDataSetGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalDataSetGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataSetGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataGeometryFilterNew(char *); }

static PyObject *PyvtkHierarchicalDataSetGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetGeometryFilter *op;

  const char    *temp20;
  op = (vtkHierarchicalDataSetGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetGeometryFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalDataSetGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetGeometryFilter *op;

  vtkHierarchicalDataSetGeometryFilter  *temp20;
  op = (vtkHierarchicalDataSetGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataSetGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataSetGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataSetGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataSetGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataSetGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataSetGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataSetGeometryFilter\nC++: vtkHierarchicalDataSetGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataSetGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataSetGeometryFilter\nC++: vtkHierarchicalDataSetGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataSetGeometryFilterDoc[] = {
  (char*)"vtkHierarchicalDataSetGeometryFilter - extract geometry from hierarchical data\n\n",
  "Super Class:\n\n vtkCompositeDataGeometryFilter\n\n",
  (char*)" Legacy class. Use vtkCompositeDataGeometryFilter instead.\n\n\n",
  "See Also:\n\n vtkCompositeDataGeometryFilter\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataSetGeometryFilterStaticNew()
{
  return vtkHierarchicalDataSetGeometryFilter::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataSetGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataSetGeometryFilterStaticNew,
                        PyvtkHierarchicalDataSetGeometryFilterMethods,
                        (char*)"vtkHierarchicalDataSetGeometryFilter",modulename,
                        (char**)vtkHierarchicalDataSetGeometryFilterDoc,
                        PyVTKClass_vtkCompositeDataGeometryFilterNew(modulename));
}

