// python wrapper for vtkHyperOctreeContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeContourFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeContourFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeContourFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeContourFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  const char    *temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  vtkHyperOctreeContourFilter  *temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeContourFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeContourFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp0;
  double   temp1;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp0;
  double   temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp0;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp0;
  double temp1[2];
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  unsigned long     temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeContourFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeContourFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeContourFilter *op;

  op = (vtkHyperOctreeContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeContourFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeContourFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeContourFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeContourFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeContourFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeContourFilter\nC++: vtkHyperOctreeContourFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeContourFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeContourFilter\nC++: vtkHyperOctreeContourFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkHyperOctreeContourFilter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);this ContourValues SetValue i value \n\n Get the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkHyperOctreeContourFilter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);return this ContourValues GetValue i \n\n Get a pointer to an array of contour values. There will be\n GetNumberOfContours() values in the list.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkHyperOctreeContourFilter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number \n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkHyperOctreeContourFilter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();return this ContourValues GetNumberOfContours \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkHyperOctreeContourFilter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range \nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkHyperOctreeContourFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Modified GetMTime Because we delegate to vtkContourValues\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkHyperOctreeContourFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkHyperOctreeContourFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkHyperOctreeContourFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeContourFilterDoc[] = {
  (char*)"vtkHyperOctreeContourFilter - generate isosurfaces/isolines from scalar values\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkContourFilter is a filter that takes as input any dataset and \n generates on output isosurfaces and/or isolines. The exact form \n of the output depends upon the dimensionality of the input data. \n Data consisting of 3D cells will generate isosurfaces, data \n consisting of 2D cells will generate isolines, and data with 1D \n or 0D cells will generate isopoints. Combinations of output type \n are ",
  (char*)"possible if the input dimension is mixed.\n\n To use this filter you must specify one or more contour values.\n You can either use the method SetValue() to specify each contour\n value, or use GenerateValues() to generate a series of evenly\n spaced contours. It is also possible to accelerate the operation of\n this filter (at the cost of extra memory) by using a\n vtkScalarTree. A scalar tree is used to",
  (char*)" quickly locate cells that\n contain a contour surface. This is especially effective if multiple\n contours are being extracted. If you want to use a scalar tree,\n invoke the method UseScalarTreeOn().\n\n",
  "Caveats:\n\n For unstructured data or structured grids, normals and gradients\n are not computed. Use vtkPolyDataNormals to compute the surface\n normals.\n\n",
  "See Also:\n\n vtkMarchingContourFilter vtkKitwareContourFilter\n vtkMarchingCubes vtkSliceCubes vtkDividingCubes vtkMarchingSquares\n vtkImageMarchingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeContourFilterStaticNew()
{
  return vtkHyperOctreeContourFilter::New();
}

PyObject *PyVTKClass_vtkHyperOctreeContourFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeContourFilterStaticNew,
                        PyvtkHyperOctreeContourFilterMethods,
                        (char*)"vtkHyperOctreeContourFilter",modulename,
                        (char**)vtkHyperOctreeContourFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

