// python wrapper for vtkHyperOctreeDepth object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeDepth.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeDepthNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeDepthNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeDepth_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDepth *op;

  const char    *temp20;
  op = (vtkHyperOctreeDepth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDepth::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDepth_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDepth *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeDepth *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDepth::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDepth_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDepth *op;

  vtkHyperOctreeDepth  *temp20;
  op = (vtkHyperOctreeDepth *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDepth::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDepth_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeDepth  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeDepth::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeDepthMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeDepth_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeDepth_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeDepth_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeDepth\nC++: vtkHyperOctreeDepth *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeDepth_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeDepth\nC++: vtkHyperOctreeDepth *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeDepthDoc[] = {
  (char*)"vtkHyperOctreeDepth - Assign tree depth attribute to each cell.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" This filter returns a shallow copy of its input HyperOctree with a new\n data attribute field containing the depth of each cell.\n\n",
  "See Also:\n\n vtkHyperOctree\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeDepthStaticNew()
{
  return vtkHyperOctreeDepth::New();
}

PyObject *PyVTKClass_vtkHyperOctreeDepthNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeDepthStaticNew,
                        PyvtkHyperOctreeDepthMethods,
                        (char*)"vtkHyperOctreeDepth",modulename,
                        (char**)vtkHyperOctreeDepthDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

