// python wrapper for vtkHyperOctreeDualGridContourFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeDualGridContourFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeDualGridContourFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeDualGridContourFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeDualGridContourFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  const char    *temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  vtkHyperOctreeDualGridContourFilter  *temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeDualGridContourFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeDualGridContourFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp0;
  double   temp1;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp0;
  double   temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp0;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp0;
  double temp1[2];
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  unsigned long     temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeDualGridContourFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeDualGridContourFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeDualGridContourFilter *op;

  op = (vtkHyperOctreeDualGridContourFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeDualGridContourFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeDualGridContourFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeDualGridContourFilter\nC++: vtkHyperOctreeDualGridContourFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeDualGridContourFilter\nC++: vtkHyperOctreeDualGridContourFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);this ContourValues SetValue i value \n\n Get the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);return this ContourValues GetValue i \n\n Get a pointer to an array of contour values. There will be\n GetNumberOfContours() values in the list.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number \n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();return this ContourValues GetNumberOfContours \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range \nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Modified GetMTime Because we delegate to vtkContourValues\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkHyperOctreeDualGridContourFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeDualGridContourFilterDoc[] = {
  (char*)"vtkHyperOctreeDualGridContourFilter - generate isosurfaces/isolines from scalar values\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" use of unsigned short to hold level index limits tree depth to 16.\n\n To use this filter you must specify one or more contour values.\n You can either use the method SetValue() to specify each contour\n value, or use GenerateValues() to generate a series of evenly\n spaced contours. It is also possible to accelerate the operation of\n this filter (at the cost of extra memory) by using a\n vtkScalarTree",
  (char*)". A scalar tree is used to quickly locate cells that\n contain a contour surface. This is especially effective if multiple\n contours are being extracted. If you want to use a scalar tree,\n invoke the method UseScalarTreeOn().\n\n",
  "See Also:\n\n vtkMarchingContourFilter vtkKitwareContourFilter\n vtkMarchingCubes vtkSliceCubes vtkDividingCubes vtkMarchingSquares\n vtkImageMarchingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeDualGridContourFilterStaticNew()
{
  return vtkHyperOctreeDualGridContourFilter::New();
}

PyObject *PyVTKClass_vtkHyperOctreeDualGridContourFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeDualGridContourFilterStaticNew,
                        PyvtkHyperOctreeDualGridContourFilterMethods,
                        (char*)"vtkHyperOctreeDualGridContourFilter",modulename,
                        (char**)vtkHyperOctreeDualGridContourFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

