// python wrapper for vtkHyperOctreeFractalSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeFractalSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeFractalSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeFractalSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHyperOctreeAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeFractalSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  const char    *temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  vtkHyperOctreeFractalSource  *temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeFractalSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeFractalSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetMaximumLevel();
      }
    else
      {
      temp20 = op->GetMaximumLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp0;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetMaximumLevel(temp0);
      }
    else
      {
      op->SetMaximumLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetMinimumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp0;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetMinimumLevel(temp0);
      }
    else
      {
      op->SetMinimumLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetMinimumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetMinimumLevel();
      }
    else
      {
      temp20 = op->GetMinimumLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetProjectionAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetProjectionAxes(temp0,temp1,temp2);
      }
    else
      {
      op->SetProjectionAxes(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int    temp0[3];
  PyErr_Clear();
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetProjectionAxes(temp0);
      }
    else
      {
      op->SetProjectionAxes(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetProjectionAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int     *temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetProjectionAxes();
      }
    else
      {
      temp20 = op->GetProjectionAxes();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetOriginCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetOriginCX(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetOriginCX(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetOriginCX(temp0);
      }
    else
      {
      op->SetOriginCX(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetOriginCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double  *temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetOriginCX();
      }
    else
      {
      temp20 = op->GetOriginCX();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetSizeCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetSizeCX(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetSizeCX(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double temp0[4];
  PyErr_Clear();
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetSizeCX(temp0);
      }
    else
      {
      op->SetSizeCX(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetSizeCX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double  *temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetSizeCX();
      }
    else
      {
      temp20 = op->GetSizeCX();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  unsigned short    temp0;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"h", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetMaximumNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaximumNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  unsigned short    temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetMaximumNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  unsigned short    temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetMaximumNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  unsigned char     temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetMaximumNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp0;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetDimension(temp0);
      }
    else
      {
      op->SetDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetDimensionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetDimensionMinValue();
      }
    else
      {
      temp20 = op->GetDimensionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetDimensionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetDimensionMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  int      temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_SetSpanThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double   temp0;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeFractalSource::SetSpanThreshold(temp0);
      }
    else
      {
      op->SetSpanThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeFractalSource_GetSpanThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeFractalSource *op;

  double   temp20;
  op = (vtkHyperOctreeFractalSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeFractalSource::GetSpanThreshold();
      }
    else
      {
      temp20 = op->GetSpanThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeFractalSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeFractalSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeFractalSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeFractalSource\nC++: vtkHyperOctreeFractalSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeFractalSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeFractalSource\nC++: vtkHyperOctreeFractalSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMaximumLevel",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetMaximumLevel, 1,
   (char*)"V.GetMaximumLevel() -> int\nC++: int GetMaximumLevel ();\n\n Return the maximum number of levels of the hyperoctree.\n \\post positive_result: result>=1\n"},
  {(char*)"SetMaximumLevel",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetMaximumLevel, 1,
   (char*)"V.SetMaximumLevel(int)\nC++: void SetMaximumLevel (int levels);\n\n Set the maximum number of levels of the hyperoctree. If\n GetMinLevels()>=levels, GetMinLevels() is changed to levels-1.\n \\pre positive_levels: levels>=1\n \\post is_set: this->GetLevels()==levels\n \\post min_is_valid: this->GetMinLevels()<this->GetLevels()\n"},
  {(char*)"SetMinimumLevel",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetMinimumLevel, 1,
   (char*)"V.SetMinimumLevel(int)\nC++: void SetMinimumLevel (int level);\n\n Return the minimal number of levels of systematic subdivision.\n \\post positive_result: result>=0\n"},
  {(char*)"GetMinimumLevel",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetMinimumLevel, 1,
   (char*)"V.GetMinimumLevel() -> int\nC++: int GetMinimumLevel ();\n\n Return the minimal number of levels of systematic subdivision.\n \\post positive_result: result>=0\n"},
  {(char*)"SetProjectionAxes",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetProjectionAxes, 1,
   (char*)"V.SetProjectionAxes(int, int, int)\nC++: void SetProjectionAxes (int x, int y, int z);\nV.SetProjectionAxes((int, int, int))\nC++: void SetProjectionAxes (int a[3]);this SetProjectionAxes a a a \n\n Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n"},
  {(char*)"GetProjectionAxes",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetProjectionAxes, 1,
   (char*)"V.GetProjectionAxes() -> (int, int, int)\nC++: int  *GetProjectionAxes ();\n\n Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)\n to the axes of the 3D Volume. \n 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary\n"},
  {(char*)"SetOriginCX",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetOriginCX, 1,
   (char*)"V.SetOriginCX(float, float, float, float)\nC++: void SetOriginCX (double , double , double , double );\nV.SetOriginCX((float, float, float, float))\nC++: void SetOriginCX (double  a[4]);\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\n"},
  {(char*)"GetOriginCX",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetOriginCX, 1,
   (char*)"V.GetOriginCX() -> (float, float, float, float)\nC++: double  *GetOriginCX ();\n\n Imaginary and real value for C (constant in equation) \n and X (initial value).\n"},
  {(char*)"SetSizeCX",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetSizeCX, 1,
   (char*)"V.SetSizeCX(float, float, float, float)\nC++: void SetSizeCX (double , double , double , double );\nV.SetSizeCX((float, float, float, float))\nC++: void SetSizeCX (double  a[4]);\n\n Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n"},
  {(char*)"GetSizeCX",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetSizeCX, 1,
   (char*)"V.GetSizeCX() -> (float, float, float, float)\nC++: double  *GetSizeCX ();\n\n Just a different way of setting the sample.  \n This sets the size of the 4D volume. \n SampleCX is computed from size and extent.\n Size is ignored when a dimension i 0 (collapsed).\n"},
  {(char*)"SetMaximumNumberOfIterations",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetMaximumNumberOfIterations, 1,
   (char*)"V.SetMaximumNumberOfIterations(int)\nC++: void SetMaximumNumberOfIterations (unsigned short );\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterationsMinValue",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaximumNumberOfIterationsMinValue() -> int\nC++: unsigned GetMaximumNumberOfIterationsMinValue ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterationsMaxValue",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaximumNumberOfIterationsMaxValue() -> int\nC++: unsigned GetMaximumNumberOfIterationsMaxValue ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"GetMaximumNumberOfIterations",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetMaximumNumberOfIterations, 1,
   (char*)"V.GetMaximumNumberOfIterations() -> int\nC++: char unsigned GetMaximumNumberOfIterations ();\n\n The maximum number of cycles run to see if the value goes over 2\n"},
  {(char*)"SetDimension",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: void SetDimension (int );\n\n Create a 2D or 3D fractal.\n"},
  {(char*)"GetDimensionMinValue",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetDimensionMinValue, 1,
   (char*)"V.GetDimensionMinValue() -> int\nC++: int GetDimensionMinValue ();\n\n Create a 2D or 3D fractal.\n"},
  {(char*)"GetDimensionMaxValue",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetDimensionMaxValue, 1,
   (char*)"V.GetDimensionMaxValue() -> int\nC++: int GetDimensionMaxValue ();\n\n Create a 2D or 3D fractal.\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension ();\n\n Create a 2D or 3D fractal.\n"},
  {(char*)"SetSpanThreshold",                (PyCFunction)PyvtkHyperOctreeFractalSource_SetSpanThreshold, 1,
   (char*)"V.SetSpanThreshold(float)\nC++: void SetSpanThreshold (double );\n\n Controls when a leaf gets subdivided.  If the corner values span \n a larger range than this value, the leaf is subdivided.  This\n defaults to 2.\n"},
  {(char*)"GetSpanThreshold",                (PyCFunction)PyvtkHyperOctreeFractalSource_GetSpanThreshold, 1,
   (char*)"V.GetSpanThreshold() -> float\nC++: double GetSpanThreshold ();\n\n Controls when a leaf gets subdivided.  If the corner values span \n a larger range than this value, the leaf is subdivided.  This\n defaults to 2.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeFractalSourceDoc[] = {
  (char*)"vtkHyperOctreeFractalSource - Create an octree from a fractal.\n\n",
  "Super Class:\n\n vtkHyperOctreeAlgorithm\n\n",
  (char*)"\n\n",
  "See Also:\n\n vtkHyperOctreeSampleFunction\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeFractalSourceStaticNew()
{
  return vtkHyperOctreeFractalSource::New();
}

PyObject *PyVTKClass_vtkHyperOctreeFractalSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeFractalSourceStaticNew,
                        PyvtkHyperOctreeFractalSourceMethods,
                        (char*)"vtkHyperOctreeFractalSource",modulename,
                        (char**)vtkHyperOctreeFractalSourceDoc,
                        PyVTKClass_vtkHyperOctreeAlgorithmNew(modulename));
}

