// python wrapper for vtkHyperOctreeLimiter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeLimiter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeLimiterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeLimiterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeLimiter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeLimiter *op;

  const char    *temp20;
  op = (vtkHyperOctreeLimiter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeLimiter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeLimiter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeLimiter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeLimiter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeLimiter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeLimiter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeLimiter *op;

  vtkHyperOctreeLimiter  *temp20;
  op = (vtkHyperOctreeLimiter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeLimiter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeLimiter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeLimiter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeLimiter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperOctreeLimiter_GetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeLimiter *op;

  int      temp20;
  op = (vtkHyperOctreeLimiter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeLimiter::GetMaximumLevel();
      }
    else
      {
      temp20 = op->GetMaximumLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeLimiter_SetMaximumLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeLimiter *op;

  int      temp0;
  op = (vtkHyperOctreeLimiter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeLimiter::SetMaximumLevel(temp0);
      }
    else
      {
      op->SetMaximumLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeLimiterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeLimiter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeLimiter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeLimiter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeLimiter\nC++: vtkHyperOctreeLimiter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeLimiter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeLimiter\nC++: vtkHyperOctreeLimiter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMaximumLevel",                (PyCFunction)PyvtkHyperOctreeLimiter_GetMaximumLevel, 1,
   (char*)"V.GetMaximumLevel() -> int\nC++: int GetMaximumLevel ();\n\n Return the maximum number of levels of the hyperoctree.\n"},
  {(char*)"SetMaximumLevel",                (PyCFunction)PyvtkHyperOctreeLimiter_SetMaximumLevel, 1,
   (char*)"V.SetMaximumLevel(int)\nC++: void SetMaximumLevel (int levels);\n\n Set the maximum number of levels of the hyperoctree.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeLimiterDoc[] = {
  (char*)"vtkHyperOctreeLimiter - Limit the tree's depth, averaging data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" This filter returns a lower resolution copy of its input vtkHyperOctree.\n It does a length/area/volume weighted averaging to obtain data at each\n cut point. Above the cut level, leaf attribute data is simply copied.\n\n",
  "See Also:\n\n vtkHyperOctree\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeLimiterStaticNew()
{
  return vtkHyperOctreeLimiter::New();
}

PyObject *PyVTKClass_vtkHyperOctreeLimiterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeLimiterStaticNew,
                        PyvtkHyperOctreeLimiterMethods,
                        (char*)"vtkHyperOctreeLimiter",modulename,
                        (char**)vtkHyperOctreeLimiterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

