// tcl wrapper for vtkHyperOctreeSampleFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeSampleFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHyperOctreeSampleFunctionNewCommand()
{
  vtkHyperOctreeSampleFunction *temp = vtkHyperOctreeSampleFunction::New();
  return static_cast<ClientData>(temp);
}

int vtkHyperOctreeAlgorithmCppCommand(vtkHyperOctreeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHyperOctreeSampleFunctionCppCommand(vtkHyperOctreeSampleFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHyperOctreeSampleFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHyperOctreeSampleFunctionCppCommand(static_cast<vtkHyperOctreeSampleFunction *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHyperOctreeSampleFunctionCppCommand(vtkHyperOctreeSampleFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHyperOctreeSampleFunction",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkHyperOctreeAlgorithmCppCommand(static_cast<vtkHyperOctreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkHyperOctreeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHyperOctreeSampleFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperOctreeSampleFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHyperOctreeSampleFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperOctreeSampleFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHyperOctreeSampleFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHyperOctreeSampleFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetLevels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinLevels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinLevels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDimension",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDimension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDepth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImplicitFunction",argv[1]))&&(argc == 3))
    {
    vtkImplicitFunction  *temp0;
    error = 0;

    temp0 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImplicitFunction"),interp,error));
    if (!error)
    {
    op->SetImplicitFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImplicitFunction",argv[1]))&&(argc == 2))
    {
    vtkImplicitFunction  *temp20;
    temp20 = (op)->GetImplicitFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHyperOctreeSampleFunctionCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkHyperOctreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHyperOctreeSampleFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetLevels\n",NULL);
    Tcl_AppendResult(interp,"  SetLevels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinLevels\n",NULL);
    Tcl_AppendResult(interp,"  SetMinLevels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImplicitFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImplicitFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHyperOctreeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetLevels" );
    Tcl_DStringAppendElement ( &dString, "SetLevels" );
    Tcl_DStringAppendElement ( &dString, "GetMinLevels" );
    Tcl_DStringAppendElement ( &dString, "SetMinLevels" );
    Tcl_DStringAppendElement ( &dString, "GetThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    Tcl_DStringAppendElement ( &dString, "SetDimension" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    Tcl_DStringAppendElement ( &dString, "SetImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFunction" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHyperOctreeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHyperOctreeSampleFunction *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevels */
    if ( strcmp ( argv[2], "GetLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevels */
    Tcl_DStringAppendElement ( &dString, " Return the maximum number of levels of the hyperoctree.\n \\post positive_result: result>=1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLevels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevels */
    if ( strcmp ( argv[2], "SetLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevels */
    Tcl_DStringAppendElement ( &dString, " Set the maximum number of levels of the hyperoctree. If\n GetMinLevels()>=levels, GetMinLevels() is changed to levels-1.\n \\pre positive_levels: levels>=1\n \\post is_set: this->GetLevels()==levels\n \\post min_is_valid: this->GetMinLevels()<this->GetLevels()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevels (int levels);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinLevels */
    if ( strcmp ( argv[2], "GetMinLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinLevels */
    Tcl_DStringAppendElement ( &dString, " Return the minimal number of levels of systematic subdivision.\n \\post positive_result: result>=0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinLevels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetMinLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinLevels */
    if ( strcmp ( argv[2], "SetMinLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinLevels */
    Tcl_DStringAppendElement ( &dString, " Set the minimal number of levels of systematic subdivision.\n \\pre positive_minLevels: minLevels>=0\n \\post is_set: this->GetMinLevels()==minLevels\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinLevels (int minLevels);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetMinLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThreshold */
    if ( strcmp ( argv[2], "GetThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThreshold */
    Tcl_DStringAppendElement ( &dString, " Return the threshold over which a subdivision is required.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThreshold */
    if ( strcmp ( argv[2], "SetThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThreshold */
    Tcl_DStringAppendElement ( &dString, " Set the threshold over which a subdivision is required.\n \\pre positive_threshold: threshold>=0\n \\post is_set: this->GetThreshold()==threshold\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThreshold (double threshold);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimension */
    if ( strcmp ( argv[2], "GetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimension of the tree (1D:binary tree(2 children), 2D:quadtree(4 children),\n 3D:octree (8 children))\n \\post valid_result: result>=1 && result<=3\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimension ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimension */
    if ( strcmp ( argv[2], "SetDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimension */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDimension (int dim);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set the size on each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSize (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Set the size on each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSize (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Return the size on each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin (position of corner (0,0,0) of the root.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin (position of corner (0,0,0) of the root.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set the origin (position of corner (0,0,0) of the root.\n Return the origin (position of corner (0,0,0) ) of the root.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Return the length along the x-axis.\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidth */
    if ( strcmp ( argv[2], "SetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidth */
    Tcl_DStringAppendElement ( &dString, " Set the length along the x-axis.\n \\pre positive_width: width>0\n \\post width_is_set: GetWidth()==width\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidth (double width);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Return the length along the y-axis.\n Relevant only if GetDimension()>=2\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeight */
    if ( strcmp ( argv[2], "SetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeight */
    Tcl_DStringAppendElement ( &dString, " Set the length along the y-axis.\n Relevant only if GetDimension()>=2\n \\pre positive_height: height>0\n \\post height_is_set: GetHeight()==height\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeight (double height);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepth */
    if ( strcmp ( argv[2], "GetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepth */
    Tcl_DStringAppendElement ( &dString, " Return the length along the z-axis.\n Relevant only if GetDimension()>=3\n \\post positive_result: result>0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDepth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepth */
    if ( strcmp ( argv[2], "SetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepth */
    Tcl_DStringAppendElement ( &dString, " Return the length along the z-axis.\n Relevant only if GetDimension()>=3\n \\pre positive_depth: depth>0\n \\post depth_is_set: GetDepth()==depth\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepth (double depth);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImplicitFunction */
    if ( strcmp ( argv[2], "SetImplicitFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImplicitFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImplicitFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function to use to generate data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetImplicitFunction (vtkImplicitFunction *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetImplicitFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImplicitFunction */
    if ( strcmp ( argv[2], "GetImplicitFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitFunction */
    Tcl_DStringAppendElement ( &dString, " Specify the implicit function to use to generate data.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitFunction *GetImplicitFunction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetImplicitFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set what type of scalar data this source should generate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the implicit function.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for SetOutputScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the implicit function.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkHyperOctreeSampleFunction" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkHyperOctreeAlgorithmCppCommand(static_cast<vtkHyperOctreeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
