// python wrapper for vtkHyperOctreeSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeSurfaceFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeSurfaceFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeSurfaceFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeSurfaceFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  const char    *temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  vtkHyperOctreeSurfaceFilter  *temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeSurfaceFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeSurfaceFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  int      temp0;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  int      temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  unsigned long     temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_SetPassThroughCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  int      temp0;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::SetPassThroughCellIds(temp0);
      }
    else
      {
      op->SetPassThroughCellIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_GetPassThroughCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  int      temp20;
  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeSurfaceFilter::GetPassThroughCellIds();
      }
    else
      {
      temp20 = op->GetPassThroughCellIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_PassThroughCellIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::PassThroughCellIdsOn();
      }
    else
      {
      op->PassThroughCellIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeSurfaceFilter_PassThroughCellIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperOctreeSurfaceFilter::PassThroughCellIdsOff();
      }
    else
      {
      op->PassThroughCellIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeSurfaceFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeSurfaceFilter\nC++: vtkHyperOctreeSurfaceFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeSurfaceFilter\nC++: vtkHyperOctreeSurfaceFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {(char*)"SetPassThroughCellIds",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_SetPassThroughCellIds, 1,
   (char*)"V.SetPassThroughCellIds(int)\nC++: void SetPassThroughCellIds (int );\n\n If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory.\n"},
  {(char*)"GetPassThroughCellIds",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_GetPassThroughCellIds, 1,
   (char*)"V.GetPassThroughCellIds() -> int\nC++: int GetPassThroughCellIds ();\n\n If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory.\n"},
  {(char*)"PassThroughCellIdsOn",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_PassThroughCellIdsOn, 1,
   (char*)"V.PassThroughCellIdsOn()\nC++: void PassThroughCellIdsOn ();\n\n If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory.\n"},
  {(char*)"PassThroughCellIdsOff",                (PyCFunction)PyvtkHyperOctreeSurfaceFilter_PassThroughCellIdsOff, 1,
   (char*)"V.PassThroughCellIdsOff()\nC++: void PassThroughCellIdsOff ();\n\n If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeSurfaceFilterDoc[] = {
  (char*)"vtkHyperOctreeSurfaceFilter - Extracts outer (polygonal) surface.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkHyperOctreeSurfaceFilter extracts the surface of an hyperoctree.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkStructuredGridGeometryFilter.\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeSurfaceFilterStaticNew()
{
  return vtkHyperOctreeSurfaceFilter::New();
}

PyObject *PyVTKClass_vtkHyperOctreeSurfaceFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeSurfaceFilterStaticNew,
                        PyvtkHyperOctreeSurfaceFilterMethods,
                        (char*)"vtkHyperOctreeSurfaceFilter",modulename,
                        (char**)vtkHyperOctreeSurfaceFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

