// python wrapper for vtkHyperOctreeToUniformGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperOctreeToUniformGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperOctreeToUniformGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperOctreeToUniformGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkHyperOctreeToUniformGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeToUniformGridFilter *op;

  const char    *temp20;
  op = (vtkHyperOctreeToUniformGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeToUniformGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeToUniformGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeToUniformGridFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperOctreeToUniformGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeToUniformGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeToUniformGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperOctreeToUniformGridFilter *op;

  vtkHyperOctreeToUniformGridFilter  *temp20;
  op = (vtkHyperOctreeToUniformGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperOctreeToUniformGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperOctreeToUniformGridFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperOctreeToUniformGridFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperOctreeToUniformGridFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHyperOctreeToUniformGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperOctreeToUniformGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperOctreeToUniformGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperOctreeToUniformGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperOctreeToUniformGridFilter\nC++: vtkHyperOctreeToUniformGridFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperOctreeToUniformGridFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperOctreeToUniformGridFilter\nC++: vtkHyperOctreeToUniformGridFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperOctreeToUniformGridFilterDoc[] = {
  (char*)"vtkHyperOctreeToUniformGridFilter - Flat the octree into a uniform\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkHyperOctreeToUniformGridFilter creates a uniform grid with a resolution\n based on the number of levels of the hyperoctree. Then, it copies celldata\n in each cell of the uniform grid that belongs to an actual leaf of the\n hyperoctree.\n\n\n",
  "See Also:\n\n vtkGeometryFilter vtkStructuredGridGeometryFilter.\n\n",
  NULL
};

static vtkObjectBase *vtkHyperOctreeToUniformGridFilterStaticNew()
{
  return vtkHyperOctreeToUniformGridFilter::New();
}

PyObject *PyVTKClass_vtkHyperOctreeToUniformGridFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperOctreeToUniformGridFilterStaticNew,
                        PyvtkHyperOctreeToUniformGridFilterMethods,
                        (char*)"vtkHyperOctreeToUniformGridFilter",modulename,
                        (char**)vtkHyperOctreeToUniformGridFilterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

