// python wrapper for vtkHyperStreamline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHyperStreamline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHyperStreamlineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHyperStreamlineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkHyperStreamline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  const char    *temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  char    *temp0;
  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  vtkHyperStreamline  *temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHyperStreamline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHyperStreamline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetStartLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetStartLocation(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartLocation(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  PyErr_Clear();
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"iiddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetStartLocation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double temp0[3];
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetStartPosition(temp0);
      }
    else
      {
      op->SetStartPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetStartPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double  *temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetStartPosition();
      }
    else
      {
      temp20 = op->GetStartPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetMaximumPropagationDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetMaximumPropagationDistance(temp0);
      }
    else
      {
      op->SetMaximumPropagationDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetMaximumPropagationDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetMaximumPropagationDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumPropagationDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetMaximumPropagationDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetMaximumPropagationDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumPropagationDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetMaximumPropagationDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetMaximumPropagationDistance();
      }
    else
      {
      temp20 = op->GetMaximumPropagationDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationEigenvector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationEigenvector(temp0);
      }
    else
      {
      op->SetIntegrationEigenvector(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationEigenvectorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationEigenvectorMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationEigenvectorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationEigenvectorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationEigenvectorMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationEigenvectorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationEigenvector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationEigenvector();
      }
    else
      {
      temp20 = op->GetIntegrationEigenvector();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationEigenvectorToMajor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationEigenvectorToMajor();
      }
    else
      {
      op->SetIntegrationEigenvectorToMajor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationEigenvectorToMedium(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationEigenvectorToMedium();
      }
    else
      {
      op->SetIntegrationEigenvectorToMedium();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationEigenvectorToMinor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationEigenvectorToMinor();
      }
    else
      {
      op->SetIntegrationEigenvectorToMinor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_IntegrateMajorEigenvector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::IntegrateMajorEigenvector();
      }
    else
      {
      op->IntegrateMajorEigenvector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_IntegrateMediumEigenvector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::IntegrateMediumEigenvector();
      }
    else
      {
      op->IntegrateMediumEigenvector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_IntegrateMinorEigenvector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::IntegrateMinorEigenvector();
      }
    else
      {
      op->IntegrateMinorEigenvector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationStepLength(temp0);
      }
    else
      {
      op->SetIntegrationStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationStepLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationStepLengthMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationStepLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationStepLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationStepLengthMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationStepLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationStepLength();
      }
    else
      {
      temp20 = op->GetIntegrationStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetStepLength(temp0);
      }
    else
      {
      op->SetStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetStepLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetStepLengthMinValue();
      }
    else
      {
      temp20 = op->GetStepLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetStepLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetStepLengthMaxValue();
      }
    else
      {
      temp20 = op->GetStepLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetStepLength();
      }
    else
      {
      temp20 = op->GetStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationDirection(temp0);
      }
    else
      {
      op->SetIntegrationDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationDirectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationDirectionMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationDirectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationDirectionMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetIntegrationDirection();
      }
    else
      {
      temp20 = op->GetIntegrationDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationDirectionToForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationDirectionToForward();
      }
    else
      {
      op->SetIntegrationDirectionToForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationDirectionToBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationDirectionToBackward();
      }
    else
      {
      op->SetIntegrationDirectionToBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetIntegrationDirectionToIntegrateBothDirections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetIntegrationDirectionToIntegrateBothDirections();
      }
    else
      {
      op->SetIntegrationDirectionToIntegrateBothDirections();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetTerminalEigenvalue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetTerminalEigenvalue(temp0);
      }
    else
      {
      op->SetTerminalEigenvalue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetTerminalEigenvalueMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetTerminalEigenvalueMinValue();
      }
    else
      {
      temp20 = op->GetTerminalEigenvalueMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetTerminalEigenvalueMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetTerminalEigenvalueMaxValue();
      }
    else
      {
      temp20 = op->GetTerminalEigenvalueMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetTerminalEigenvalue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetTerminalEigenvalue();
      }
    else
      {
      temp20 = op->GetTerminalEigenvalue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetNumberOfSides(temp0);
      }
    else
      {
      op->SetNumberOfSides(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetNumberOfSidesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetNumberOfSidesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetNumberOfSidesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetNumberOfSidesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetNumberOfSides();
      }
    else
      {
      temp20 = op->GetNumberOfSides();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  double   temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_SetLogScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp0;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::SetLogScaling(temp0);
      }
    else
      {
      op->SetLogScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_GetLogScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  int      temp20;
  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHyperStreamline::GetLogScaling();
      }
    else
      {
      temp20 = op->GetLogScaling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_LogScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::LogScalingOn();
      }
    else
      {
      op->LogScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHyperStreamline_LogScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHyperStreamline::LogScalingOff();
      }
    else
      {
      op->LogScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHyperStreamlineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHyperStreamline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHyperStreamline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHyperStreamline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHyperStreamline\nC++: vtkHyperStreamline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHyperStreamline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHyperStreamline\nC++: vtkHyperStreamline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStartLocation",                (PyCFunction)PyvtkHyperStreamline_SetStartLocation, 1,
   (char*)"V.SetStartLocation(int, int, (float, float, float))\nC++: void SetStartLocation (vtkIdType cellId, int subId, double pcoords[3]);\nV.SetStartLocation(int, int, float, float, float)\nC++: void SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t);\n\n Specify the start of the hyperstreamline in the cell coordinate system. \n That is, cellId and subId (if composite cell), and parametric coordinates.\n"},
  {(char*)"SetStartPosition",                (PyCFunction)PyvtkHyperStreamline_SetStartPosition, 1,
   (char*)"V.SetStartPosition((float, float, float))\nC++: void SetStartPosition (double x[3]);\nV.SetStartPosition(float, float, float)\nC++: void SetStartPosition (double x, double y, double z);\n\n Specify the start of the hyperstreamline in the global coordinate system. \n Starting from position implies that a search must be performed to find \n initial cell to start integration from.\n"},
  {(char*)"GetStartPosition",                (PyCFunction)PyvtkHyperStreamline_GetStartPosition, 1,
   (char*)"V.GetStartPosition() -> (float, float, float)\nC++: double *GetStartPosition ();\n\n Get the start position of the hyperstreamline in global x-y-z coordinates.\n"},
  {(char*)"SetMaximumPropagationDistance",                (PyCFunction)PyvtkHyperStreamline_SetMaximumPropagationDistance, 1,
   (char*)"V.SetMaximumPropagationDistance(float)\nC++: void SetMaximumPropagationDistance (double );\n\n Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n"},
  {(char*)"GetMaximumPropagationDistanceMinValue",                (PyCFunction)PyvtkHyperStreamline_GetMaximumPropagationDistanceMinValue, 1,
   (char*)"V.GetMaximumPropagationDistanceMinValue() -> float\nC++: double GetMaximumPropagationDistanceMinValue ();\n\n Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n"},
  {(char*)"GetMaximumPropagationDistanceMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetMaximumPropagationDistanceMaxValue, 1,
   (char*)"V.GetMaximumPropagationDistanceMaxValue() -> float\nC++: double GetMaximumPropagationDistanceMaxValue ();\n\n Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n"},
  {(char*)"GetMaximumPropagationDistance",                (PyCFunction)PyvtkHyperStreamline_GetMaximumPropagationDistance, 1,
   (char*)"V.GetMaximumPropagationDistance() -> float\nC++: double GetMaximumPropagationDistance ();\n\n Set / get the maximum length of the hyperstreamline expressed as absolute\n distance (i.e., arc length) value.\n"},
  {(char*)"SetIntegrationEigenvector",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationEigenvector, 1,
   (char*)"V.SetIntegrationEigenvector(int)\nC++: void SetIntegrationEigenvector (int );\n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"GetIntegrationEigenvectorMinValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationEigenvectorMinValue, 1,
   (char*)"V.GetIntegrationEigenvectorMinValue() -> int\nC++: int GetIntegrationEigenvectorMinValue ();\n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"GetIntegrationEigenvectorMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationEigenvectorMaxValue, 1,
   (char*)"V.GetIntegrationEigenvectorMaxValue() -> int\nC++: int GetIntegrationEigenvectorMaxValue ();\n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"GetIntegrationEigenvector",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationEigenvector, 1,
   (char*)"V.GetIntegrationEigenvector() -> int\nC++: int GetIntegrationEigenvector ();\n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"SetIntegrationEigenvectorToMajor",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationEigenvectorToMajor, 1,
   (char*)"V.SetIntegrationEigenvectorToMajor()\nC++: void SetIntegrationEigenvectorToMajor ();this SetIntegrationEigenvector VTK_INTEGRATE_MAJOR_EIGENVECTOR \n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"SetIntegrationEigenvectorToMedium",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationEigenvectorToMedium, 1,
   (char*)"V.SetIntegrationEigenvectorToMedium()\nC++: void SetIntegrationEigenvectorToMedium ();this SetIntegrationEigenvector VTK_INTEGRATE_MEDIUM_EIGENVECTOR \n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"SetIntegrationEigenvectorToMinor",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationEigenvectorToMinor, 1,
   (char*)"V.SetIntegrationEigenvectorToMinor()\nC++: void SetIntegrationEigenvectorToMinor ();this SetIntegrationEigenvector VTK_INTEGRATE_MINOR_EIGENVECTOR \n\n Set / get the eigenvector field through which to ingrate. It is\n possible to integrate using the major, medium or minor\n eigenvector field.  The major eigenvector is the eigenvector\n whose corresponding eigenvalue is closest to positive infinity.\n The minor eigenvector is the eigenvector whose corresponding\n eigenvalue is closest to negative infinity.  The medium\n eigenvector is the eigenvector whose corresponding eigenvalue is\n between the major and minor eigenvalues.\n"},
  {(char*)"IntegrateMajorEigenvector",                (PyCFunction)PyvtkHyperStreamline_IntegrateMajorEigenvector, 1,
   (char*)"V.IntegrateMajorEigenvector()\nC++: void IntegrateMajorEigenvector ();this SetIntegrationEigenvectorToMajor \n\n Use the major eigenvector field as the vector field through which\n to integrate.  The major eigenvector is the eigenvector whose\n corresponding eigenvalue is closest to positive infinity.  \n"},
  {(char*)"IntegrateMediumEigenvector",                (PyCFunction)PyvtkHyperStreamline_IntegrateMediumEigenvector, 1,
   (char*)"V.IntegrateMediumEigenvector()\nC++: void IntegrateMediumEigenvector ();this SetIntegrationEigenvectorToMedium \n\n Use the medium eigenvector field as the vector field through which\n to integrate. The medium eigenvector is the eigenvector whose\n corresponding eigenvalue is between the major and minor\n eigenvalues.\n"},
  {(char*)"IntegrateMinorEigenvector",                (PyCFunction)PyvtkHyperStreamline_IntegrateMinorEigenvector, 1,
   (char*)"V.IntegrateMinorEigenvector()\nC++: void IntegrateMinorEigenvector ();this SetIntegrationEigenvectorToMinor \n\n Use the minor eigenvector field as the vector field through which\n to integrate. The minor eigenvector is the eigenvector whose\n corresponding eigenvalue is closest to negative infinity.\n"},
  {(char*)"SetIntegrationStepLength",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationStepLength, 1,
   (char*)"V.SetIntegrationStepLength(float)\nC++: void SetIntegrationStepLength (double );\n\n Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n"},
  {(char*)"GetIntegrationStepLengthMinValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationStepLengthMinValue, 1,
   (char*)"V.GetIntegrationStepLengthMinValue() -> float\nC++: double GetIntegrationStepLengthMinValue ();\n\n Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n"},
  {(char*)"GetIntegrationStepLengthMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationStepLengthMaxValue, 1,
   (char*)"V.GetIntegrationStepLengthMaxValue() -> float\nC++: double GetIntegrationStepLengthMaxValue ();\n\n Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n"},
  {(char*)"GetIntegrationStepLength",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationStepLength, 1,
   (char*)"V.GetIntegrationStepLength() -> float\nC++: double GetIntegrationStepLength ();\n\n Set / get a nominal integration step size (expressed as a fraction of\n the size of each cell).\n"},
  {(char*)"SetStepLength",                (PyCFunction)PyvtkHyperStreamline_SetStepLength, 1,
   (char*)"V.SetStepLength(float)\nC++: void SetStepLength (double );\n\n Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n"},
  {(char*)"GetStepLengthMinValue",                (PyCFunction)PyvtkHyperStreamline_GetStepLengthMinValue, 1,
   (char*)"V.GetStepLengthMinValue() -> float\nC++: double GetStepLengthMinValue ();\n\n Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n"},
  {(char*)"GetStepLengthMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetStepLengthMaxValue, 1,
   (char*)"V.GetStepLengthMaxValue() -> float\nC++: double GetStepLengthMaxValue ();\n\n Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n"},
  {(char*)"GetStepLength",                (PyCFunction)PyvtkHyperStreamline_GetStepLength, 1,
   (char*)"V.GetStepLength() -> float\nC++: double GetStepLength ();\n\n Set / get the length of a tube segment composing the\n hyperstreamline. The length is specified as a fraction of the\n diagonal length of the input bounding box.\n"},
  {(char*)"SetIntegrationDirection",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationDirection, 1,
   (char*)"V.SetIntegrationDirection(int)\nC++: void SetIntegrationDirection (int );\n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"GetIntegrationDirectionMinValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationDirectionMinValue, 1,
   (char*)"V.GetIntegrationDirectionMinValue() -> int\nC++: int GetIntegrationDirectionMinValue ();\n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"GetIntegrationDirectionMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationDirectionMaxValue, 1,
   (char*)"V.GetIntegrationDirectionMaxValue() -> int\nC++: int GetIntegrationDirectionMaxValue ();\n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"GetIntegrationDirection",                (PyCFunction)PyvtkHyperStreamline_GetIntegrationDirection, 1,
   (char*)"V.GetIntegrationDirection() -> int\nC++: int GetIntegrationDirection ();\n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"SetIntegrationDirectionToForward",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationDirectionToForward, 1,
   (char*)"V.SetIntegrationDirectionToForward()\nC++: void SetIntegrationDirectionToForward ();this SetIntegrationDirection VTK_INTEGRATE_FORWARD \n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"SetIntegrationDirectionToBackward",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationDirectionToBackward, 1,
   (char*)"V.SetIntegrationDirectionToBackward()\nC++: void SetIntegrationDirectionToBackward ();this SetIntegrationDirection VTK_INTEGRATE_BACKWARD \n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"SetIntegrationDirectionToIntegrateBothDirections",                (PyCFunction)PyvtkHyperStreamline_SetIntegrationDirectionToIntegrateBothDirections, 1,
   (char*)"V.SetIntegrationDirectionToIntegrateBothDirections()\nC++: void SetIntegrationDirectionToIntegrateBothDirections ();this SetIntegrationDirection VTK_INTEGRATE_BOTH_DIRECTIONS \n\n Specify the direction in which to integrate the hyperstreamline.\n"},
  {(char*)"SetTerminalEigenvalue",                (PyCFunction)PyvtkHyperStreamline_SetTerminalEigenvalue, 1,
   (char*)"V.SetTerminalEigenvalue(float)\nC++: void SetTerminalEigenvalue (double );\n\n Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n"},
  {(char*)"GetTerminalEigenvalueMinValue",                (PyCFunction)PyvtkHyperStreamline_GetTerminalEigenvalueMinValue, 1,
   (char*)"V.GetTerminalEigenvalueMinValue() -> float\nC++: double GetTerminalEigenvalueMinValue ();\n\n Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n"},
  {(char*)"GetTerminalEigenvalueMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetTerminalEigenvalueMaxValue, 1,
   (char*)"V.GetTerminalEigenvalueMaxValue() -> float\nC++: double GetTerminalEigenvalueMaxValue ();\n\n Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n"},
  {(char*)"GetTerminalEigenvalue",                (PyCFunction)PyvtkHyperStreamline_GetTerminalEigenvalue, 1,
   (char*)"V.GetTerminalEigenvalue() -> float\nC++: double GetTerminalEigenvalue ();\n\n Set/get terminal eigenvalue.  If major eigenvalue falls below this\n value, hyperstreamline terminates propagation.\n"},
  {(char*)"SetNumberOfSides",                (PyCFunction)PyvtkHyperStreamline_SetNumberOfSides, 1,
   (char*)"V.SetNumberOfSides(int)\nC++: void SetNumberOfSides (int );\n\n Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMinValue",                (PyCFunction)PyvtkHyperStreamline_GetNumberOfSidesMinValue, 1,
   (char*)"V.GetNumberOfSidesMinValue() -> int\nC++: int GetNumberOfSidesMinValue ();\n\n Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetNumberOfSidesMaxValue, 1,
   (char*)"V.GetNumberOfSidesMaxValue() -> int\nC++: int GetNumberOfSidesMaxValue ();\n\n Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n"},
  {(char*)"GetNumberOfSides",                (PyCFunction)PyvtkHyperStreamline_GetNumberOfSides, 1,
   (char*)"V.GetNumberOfSides() -> int\nC++: int GetNumberOfSides ();\n\n Set / get the number of sides for the hyperstreamlines. At a minimum,\n number of sides is 3.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkHyperStreamline_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkHyperStreamline_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkHyperStreamline_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkHyperStreamline_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set / get the initial tube radius. This is the maximum \"elliptical\"\n radius at the beginning of the tube. Radius varies based on ratio of\n eigenvalues.  Note that tube section is actually elliptical and may\n become a point or line in cross section in some cases.\n"},
  {(char*)"SetLogScaling",                (PyCFunction)PyvtkHyperStreamline_SetLogScaling, 1,
   (char*)"V.SetLogScaling(int)\nC++: void SetLogScaling (int );\n\n Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n"},
  {(char*)"GetLogScaling",                (PyCFunction)PyvtkHyperStreamline_GetLogScaling, 1,
   (char*)"V.GetLogScaling() -> int\nC++: int GetLogScaling ();\n\n Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n"},
  {(char*)"LogScalingOn",                (PyCFunction)PyvtkHyperStreamline_LogScalingOn, 1,
   (char*)"V.LogScalingOn()\nC++: void LogScalingOn ();\n\n Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n"},
  {(char*)"LogScalingOff",                (PyCFunction)PyvtkHyperStreamline_LogScalingOff, 1,
   (char*)"V.LogScalingOff()\nC++: void LogScalingOff ();\n\n Turn on/off logarithmic scaling. If scaling is on, the log base 10\n of the computed eigenvalues are used to scale the cross section radii.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHyperStreamlineDoc[] = {
  (char*)"vtkHyperStreamline - generate hyperstreamline in arbitrary dataset\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkHyperStreamline is a filter that integrates through a tensor field to \n generate a hyperstreamline. The integration is along the maximum eigenvector\n and the cross section of the hyperstreamline is defined by the two other\n eigenvectors. Thus the shape of the hyperstreamline is \"tube-like\", with \n the cross section being elliptical. Hyperstreamlines are used to visualize\n tensor fields.\n\n The ",
  (char*)"starting point of a hyperstreamline can be defined in one of two ways. \n First, you may specify an initial position. This is a x-y-z global \n coordinate. The second option is to specify a starting location. This is \n cellId, subId, and  cell parametric coordinates.\n\n The integration of the hyperstreamline occurs through the major eigenvector \n field. IntegrationStepLength controls the step length ",
  (char*)"within each cell \n (i.e., this is the fraction of the cell length). The length of the \n hyperstreamline is controlled by MaximumPropagationDistance. This parameter\n is the length of the hyperstreamline in units of distance. The tube itself \n is composed of many small sub-tubes - NumberOfSides controls the number of \n sides in the tube, and StepLength controls the length of the sub-tubes.\n\n Because",
  (char*)" hyperstreamlines are often created near regions of singularities, it\n is possible to control the scaling of the tube cross section by using a \n logarithmic scale. Use LogScalingOn to turn this capability on. The Radius \n value controls the initial radius of the tube.\n\n",
  "See Also:\n\n vtkTensorGlyph vtkStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkHyperStreamlineStaticNew()
{
  return vtkHyperStreamline::New();
}

PyObject *PyVTKClass_vtkHyperStreamlineNew(char *modulename)
{
  return PyVTKClass_New(&vtkHyperStreamlineStaticNew,
                        PyvtkHyperStreamlineMethods,
                        (char*)"vtkHyperStreamline",modulename,
                        (char**)vtkHyperStreamlineDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

