// python wrapper for vtkIconGlyphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkIconGlyphFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIconGlyphFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIconGlyphFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkIconGlyphFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  const char    *temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  vtkIconGlyphFilter  *temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIconGlyphFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIconGlyphFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int      temp0;
  int      temp1;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetIconSize(temp0,temp1);
      }
    else
      {
      op->SetIconSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetIconSize(temp0);
      }
    else
      {
      op->SetIconSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_GetIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int     *temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::GetIconSize();
      }
    else
      {
      temp20 = op->GetIconSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetIconSheetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int      temp0;
  int      temp1;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetIconSheetSize(temp0,temp1);
      }
    else
      {
      op->SetIconSheetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetIconSheetSize(temp0);
      }
    else
      {
      op->SetIconSheetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_GetIconSheetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int     *temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::GetIconSheetSize();
      }
    else
      {
      temp20 = op->GetIconSheetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetUseIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  bool   temp0;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetUseIconSize(temp0);
      }
    else
      {
      op->SetUseIconSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_GetUseIconSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  bool   temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::GetUseIconSize();
      }
    else
      {
      temp20 = op->GetUseIconSize();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_UseIconSizeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::UseIconSizeOn();
      }
    else
      {
      op->UseIconSizeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_UseIconSizeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::UseIconSizeOff();
      }
    else
      {
      op->UseIconSizeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int      temp0;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravity(temp0);
      }
    else
      {
      op->SetGravity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_GetGravity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  int      temp20;
  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIconGlyphFilter::GetGravity();
      }
    else
      {
      temp20 = op->GetGravity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToTopRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToTopRight();
      }
    else
      {
      op->SetGravityToTopRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToTopCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToTopCenter();
      }
    else
      {
      op->SetGravityToTopCenter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToTopLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToTopLeft();
      }
    else
      {
      op->SetGravityToTopLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToCenterRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToCenterRight();
      }
    else
      {
      op->SetGravityToCenterRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToCenterCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToCenterCenter();
      }
    else
      {
      op->SetGravityToCenterCenter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToCenterLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToCenterLeft();
      }
    else
      {
      op->SetGravityToCenterLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToBottomRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToBottomRight();
      }
    else
      {
      op->SetGravityToBottomRight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToBottomCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToBottomCenter();
      }
    else
      {
      op->SetGravityToBottomCenter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIconGlyphFilter_SetGravityToBottomLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIconGlyphFilter *op;

  op = (vtkIconGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIconGlyphFilter::SetGravityToBottomLeft();
      }
    else
      {
      op->SetGravityToBottomLeft();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIconGlyphFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIconGlyphFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIconGlyphFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIconGlyphFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIconGlyphFilter\nC++: vtkIconGlyphFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIconGlyphFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIconGlyphFilter\nC++: vtkIconGlyphFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetIconSize",                (PyCFunction)PyvtkIconGlyphFilter_SetIconSize, 1,
   (char*)"V.SetIconSize(int, int)\nC++: void SetIconSize (int , int );\nV.SetIconSize((int, int))\nC++: void SetIconSize (int  a[2]);\n\n Specify the Width and Height, in pixels, of an icon in the icon sheet\n"},
  {(char*)"GetIconSize",                (PyCFunction)PyvtkIconGlyphFilter_GetIconSize, 1,
   (char*)"V.GetIconSize() -> (int, int)\nC++: int  *GetIconSize ();\n\n Specify the Width and Height, in pixels, of an icon in the icon sheet\n"},
  {(char*)"SetIconSheetSize",                (PyCFunction)PyvtkIconGlyphFilter_SetIconSheetSize, 1,
   (char*)"V.SetIconSheetSize(int, int)\nC++: void SetIconSheetSize (int , int );\nV.SetIconSheetSize((int, int))\nC++: void SetIconSheetSize (int  a[2]);\n\n Specify the Width and Height, in pixels, of an icon in the icon sheet\n"},
  {(char*)"GetIconSheetSize",                (PyCFunction)PyvtkIconGlyphFilter_GetIconSheetSize, 1,
   (char*)"V.GetIconSheetSize() -> (int, int)\nC++: int  *GetIconSheetSize ();\n\n Specify the Width and Height, in pixels, of an icon in the icon sheet\n"},
  {(char*)"SetUseIconSize",                (PyCFunction)PyvtkIconGlyphFilter_SetUseIconSize, 1,
   (char*)"V.SetUseIconSize(bool)\nC++: void SetUseIconSize (bool b);\n\n Specify whether the Quad generated to place the icon on will be either\n 1 x 1 or the dimensions specified by IconSize.\n"},
  {(char*)"GetUseIconSize",                (PyCFunction)PyvtkIconGlyphFilter_GetUseIconSize, 1,
   (char*)"V.GetUseIconSize() -> bool\nC++: bool GetUseIconSize ();\n\n Specify whether the Quad generated to place the icon on will be either\n 1 x 1 or the dimensions specified by IconSize.\n"},
  {(char*)"UseIconSizeOn",                (PyCFunction)PyvtkIconGlyphFilter_UseIconSizeOn, 1,
   (char*)"V.UseIconSizeOn()\nC++: void UseIconSizeOn ();\n\n Specify whether the Quad generated to place the icon on will be either\n 1 x 1 or the dimensions specified by IconSize.\n"},
  {(char*)"UseIconSizeOff",                (PyCFunction)PyvtkIconGlyphFilter_UseIconSizeOff, 1,
   (char*)"V.UseIconSizeOff()\nC++: void UseIconSizeOff ();\n\n Specify whether the Quad generated to place the icon on will be either\n 1 x 1 or the dimensions specified by IconSize.\n"},
  {(char*)"SetGravity",                (PyCFunction)PyvtkIconGlyphFilter_SetGravity, 1,
   (char*)"V.SetGravity(int)\nC++: void SetGravity (int );\n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"GetGravity",                (PyCFunction)PyvtkIconGlyphFilter_GetGravity, 1,
   (char*)"V.GetGravity() -> int\nC++: int GetGravity ();\n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToTopRight",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToTopRight, 1,
   (char*)"V.SetGravityToTopRight()\nC++: void SetGravityToTopRight ();this SetGravity VTK_ICON_GRAVITY_TOP_RIGHT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToTopCenter",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToTopCenter, 1,
   (char*)"V.SetGravityToTopCenter()\nC++: void SetGravityToTopCenter ();this SetGravity VTK_ICON_GRAVITY_TOP_CENTER \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToTopLeft",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToTopLeft, 1,
   (char*)"V.SetGravityToTopLeft()\nC++: void SetGravityToTopLeft ();this SetGravity VTK_ICON_GRAVITY_TOP_LEFT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToCenterRight",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToCenterRight, 1,
   (char*)"V.SetGravityToCenterRight()\nC++: void SetGravityToCenterRight ();this SetGravity VTK_ICON_GRAVITY_CENTER_RIGHT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToCenterCenter",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToCenterCenter, 1,
   (char*)"V.SetGravityToCenterCenter()\nC++: void SetGravityToCenterCenter ();this SetGravity VTK_ICON_GRAVITY_CENTER_CENTER \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToCenterLeft",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToCenterLeft, 1,
   (char*)"V.SetGravityToCenterLeft()\nC++: void SetGravityToCenterLeft ();this SetGravity VTK_ICON_GRAVITY_CENTER_LEFT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToBottomRight",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToBottomRight, 1,
   (char*)"V.SetGravityToBottomRight()\nC++: void SetGravityToBottomRight ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_RIGHT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToBottomCenter",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToBottomCenter, 1,
   (char*)"V.SetGravityToBottomCenter()\nC++: void SetGravityToBottomCenter ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_CENTER \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {(char*)"SetGravityToBottomLeft",                (PyCFunction)PyvtkIconGlyphFilter_SetGravityToBottomLeft, 1,
   (char*)"V.SetGravityToBottomLeft()\nC++: void SetGravityToBottomLeft ();this SetGravity VTK_ICON_GRAVITY_BOTTOM_LEFT \n\n Specify if the input points define the center of the icon quad or one of\n top right corner, top center, top left corner, center right, center, center\n center left, bottom right corner, bottom center or bottom left corner.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIconGlyphFilterDoc[] = {
  (char*)"vtkIconGlyphFilter - Filter that generates a polydata with texture\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkIconGlyphFilter takes in a vtkPointSet where each point corresponds to\n the center of an icon. Scalar integer data must also be set to give each\n point an icon index. This index is a zero based row major index into an\n image that contains a grid of icons. You must also set pixel Size of the \n icon image and the size of a particular icon.\n\n",
  "See Also:\n\n vtkPolyDataAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkIconGlyphFilterStaticNew()
{
  return vtkIconGlyphFilter::New();
}

PyObject *PyVTKClass_vtkIconGlyphFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkIconGlyphFilterStaticNew,
                        PyvtkIconGlyphFilterMethods,
                        (char*)"vtkIconGlyphFilter",modulename,
                        (char**)vtkIconGlyphFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

