// tcl wrapper for vtkImageDataGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataGeometryFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageDataGeometryFilterNewCommand()
{
  vtkImageDataGeometryFilter *temp = vtkImageDataGeometryFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageDataGeometryFilterCppCommand(vtkImageDataGeometryFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageDataGeometryFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageDataGeometryFilterCppCommand(static_cast<vtkImageDataGeometryFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageDataGeometryFilterCppCommand(vtkImageDataGeometryFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageDataGeometryFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageDataGeometryFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataGeometryFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageDataGeometryFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataGeometryFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageDataGeometryFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataGeometryFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetThresholdCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThresholdCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThresholdCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThresholdCellsOn",argv[1]))&&(argc == 2))
    {
    op->ThresholdCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThresholdCellsOff",argv[1]))&&(argc == 2))
    {
    op->ThresholdCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThresholdValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThresholdValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThresholdValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThresholdValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThresholdValueOn",argv[1]))&&(argc == 2))
    {
    op->ThresholdValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThresholdValueOff",argv[1]))&&(argc == 2))
    {
    op->ThresholdValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputTriangles",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputTriangles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputTriangles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputTriangles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutputTrianglesOn",argv[1]))&&(argc == 2))
    {
    op->OutputTrianglesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputTrianglesOff",argv[1]))&&(argc == 2))
    {
    op->OutputTrianglesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageDataGeometryFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageDataGeometryFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdCells\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThresholdValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThresholdValue\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdValueOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputTriangles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputTriangles\n",NULL);
    Tcl_AppendResult(interp,"  OutputTrianglesOn\n",NULL);
    Tcl_AppendResult(interp,"  OutputTrianglesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetThresholdCells" );
    Tcl_DStringAppendElement ( &dString, "GetThresholdCells" );
    Tcl_DStringAppendElement ( &dString, "ThresholdCellsOn" );
    Tcl_DStringAppendElement ( &dString, "ThresholdCellsOff" );
    Tcl_DStringAppendElement ( &dString, "SetThresholdValue" );
    Tcl_DStringAppendElement ( &dString, "GetThresholdValue" );
    Tcl_DStringAppendElement ( &dString, "ThresholdValueOn" );
    Tcl_DStringAppendElement ( &dString, "ThresholdValueOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputTriangles" );
    Tcl_DStringAppendElement ( &dString, "GetOutputTriangles" );
    Tcl_DStringAppendElement ( &dString, "OutputTrianglesOn" );
    Tcl_DStringAppendElement ( &dString, "OutputTrianglesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with initial extent of all the data\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageDataGeometryFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent (int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThresholdCells */
    if ( strcmp ( argv[2], "SetThresholdCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThresholdCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThresholdCells */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThresholdCells (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SetThresholdCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThresholdCells */
    if ( strcmp ( argv[2], "GetThresholdCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThresholdCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThresholdCells */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThresholdCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for GetThresholdCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdCellsOn */
    if ( strcmp ( argv[2], "ThresholdCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdCellsOn */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdCellsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for ThresholdCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdCellsOff */
    if ( strcmp ( argv[2], "ThresholdCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdCellsOff */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdCellsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for ThresholdCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThresholdValue */
    if ( strcmp ( argv[2], "SetThresholdValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThresholdValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThresholdValue */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThresholdValue (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SetThresholdValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThresholdValue */
    if ( strcmp ( argv[2], "GetThresholdValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThresholdValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThresholdValue */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetThresholdValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for GetThresholdValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdValueOn */
    if ( strcmp ( argv[2], "ThresholdValueOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdValueOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdValueOn */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdValueOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for ThresholdValueOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdValueOff */
    if ( strcmp ( argv[2], "ThresholdValueOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdValueOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdValueOff */
    Tcl_DStringAppendElement ( &dString, " Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdValueOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for ThresholdValueOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputTriangles */
    if ( strcmp ( argv[2], "SetOutputTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputTriangles */
    Tcl_DStringAppendElement ( &dString, " Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputTriangles (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for SetOutputTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputTriangles */
    if ( strcmp ( argv[2], "GetOutputTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputTriangles */
    Tcl_DStringAppendElement ( &dString, " Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputTriangles ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for GetOutputTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTrianglesOn */
    if ( strcmp ( argv[2], "OutputTrianglesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTrianglesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTrianglesOn */
    Tcl_DStringAppendElement ( &dString, " Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTrianglesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for OutputTrianglesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputTrianglesOff */
    if ( strcmp ( argv[2], "OutputTrianglesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputTrianglesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputTrianglesOff */
    Tcl_DStringAppendElement ( &dString, " Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputTrianglesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataGeometryFilter" );
    /* Closing for OutputTrianglesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
