// python wrapper for vtkInterpolateDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInterpolateDataSetAttributes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInterpolateDataSetAttributesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInterpolateDataSetAttributesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkInterpolateDataSetAttributes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  const char    *temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  vtkInterpolateDataSetAttributes  *temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInterpolateDataSetAttributes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInterpolateDataSetAttributes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_GetInputList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  vtkDataSetCollection  *temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::GetInputList();
      }
    else
      {
      temp20 = op->GetInputList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_SetT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  double   temp0;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolateDataSetAttributes::SetT(temp0);
      }
    else
      {
      op->SetT(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_GetTMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  double   temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::GetTMinValue();
      }
    else
      {
      temp20 = op->GetTMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_GetTMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  double   temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::GetTMaxValue();
      }
    else
      {
      temp20 = op->GetTMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolateDataSetAttributes_GetT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolateDataSetAttributes *op;

  double   temp20;
  op = (vtkInterpolateDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolateDataSetAttributes::GetT();
      }
    else
      {
      temp20 = op->GetT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInterpolateDataSetAttributesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInterpolateDataSetAttributes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInterpolateDataSetAttributes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInterpolateDataSetAttributes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInterpolateDataSetAttributes\nC++: vtkInterpolateDataSetAttributes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInterpolateDataSetAttributes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInterpolateDataSetAttributes\nC++: vtkInterpolateDataSetAttributes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetInputList",                (PyCFunction)PyvtkInterpolateDataSetAttributes_GetInputList, 1,
   (char*)"V.GetInputList() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetInputList ();\n\n Return the list of inputs to this filter.\n"},
  {(char*)"SetT",                (PyCFunction)PyvtkInterpolateDataSetAttributes_SetT, 1,
   (char*)"V.SetT(float)\nC++: void SetT (double );\n\n Specify interpolation parameter t.\n"},
  {(char*)"GetTMinValue",                (PyCFunction)PyvtkInterpolateDataSetAttributes_GetTMinValue, 1,
   (char*)"V.GetTMinValue() -> float\nC++: double GetTMinValue ();\n\n Specify interpolation parameter t.\n"},
  {(char*)"GetTMaxValue",                (PyCFunction)PyvtkInterpolateDataSetAttributes_GetTMaxValue, 1,
   (char*)"V.GetTMaxValue() -> float\nC++: double GetTMaxValue ();\n\n Specify interpolation parameter t.\n"},
  {(char*)"GetT",                (PyCFunction)PyvtkInterpolateDataSetAttributes_GetT, 1,
   (char*)"V.GetT() -> float\nC++: double GetT ();\n\n Specify interpolation parameter t.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInterpolateDataSetAttributesDoc[] = {
  (char*)"vtkInterpolateDataSetAttributes - interpolate scalars, vectors, etc. and other dataset attributes\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkInterpolateDataSetAttributes is a filter that interpolates data set\n attribute values between input data sets. The input to the filter\n must be datasets of the same type, same number of cells, and same \n number of points. The output of the filter is a data set of the same\n type as the input dataset and whose attribute values have been \n interpolated at the parametric value specified.\n\n The fil",
  (char*)"ter is used by specifying two or more input data sets (total of N),\n and a parametric value t (0 <= t <= N-1). The output will contain\n interpolated data set attributes common to all input data sets. (For\n example, if one input has scalars and vectors, and another has just\n scalars, then only scalars will be interpolated and output.)\n\n",
  NULL
};

static vtkObjectBase *vtkInterpolateDataSetAttributesStaticNew()
{
  return vtkInterpolateDataSetAttributes::New();
}

PyObject *PyVTKClass_vtkInterpolateDataSetAttributesNew(char *modulename)
{
  return PyVTKClass_New(&vtkInterpolateDataSetAttributesStaticNew,
                        PyvtkInterpolateDataSetAttributesMethods,
                        (char*)"vtkInterpolateDataSetAttributes",modulename,
                        (char**)vtkInterpolateDataSetAttributesDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

