// python wrapper for vtkInterpolatingSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInterpolatingSubdivisionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInterpolatingSubdivisionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInterpolatingSubdivisionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkInterpolatingSubdivisionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatingSubdivisionFilter *op;

  const char    *temp20;
  op = (vtkInterpolatingSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatingSubdivisionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatingSubdivisionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatingSubdivisionFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkInterpolatingSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatingSubdivisionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatingSubdivisionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatingSubdivisionFilter *op;

  vtkInterpolatingSubdivisionFilter  *temp20;
  op = (vtkInterpolatingSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatingSubdivisionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatingSubdivisionFilter_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatingSubdivisionFilter *op;

  int      temp0;
  op = (vtkInterpolatingSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInterpolatingSubdivisionFilter::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInterpolatingSubdivisionFilter_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInterpolatingSubdivisionFilter *op;

  int      temp20;
  op = (vtkInterpolatingSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInterpolatingSubdivisionFilter::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInterpolatingSubdivisionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInterpolatingSubdivisionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInterpolatingSubdivisionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInterpolatingSubdivisionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInterpolatingSubdivisionFilter\nC++: vtkInterpolatingSubdivisionFilter *NewInstance ();\n\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkInterpolatingSubdivisionFilter_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (int );\n\n Set/get the number of subdivisions.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkInterpolatingSubdivisionFilter_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int GetNumberOfSubdivisions ();\n\n Set/get the number of subdivisions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInterpolatingSubdivisionFilterDoc[] = {
  (char*)"vtkInterpolatingSubdivisionFilter - generate a subdivision surface using an Interpolating Scheme\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkInterpolatingSubdivisionFilter is an abstract class that defines\n the protocol for interpolating subdivision surface filters.\n\n",
  "See Also:\n\n vtkLinearSubdivisionFilter vtkButterflySubdivisionFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInterpolatingSubdivisionFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInterpolatingSubdivisionFilterMethods,
                        (char*)"vtkInterpolatingSubdivisionFilter",modulename,
                        (char**)vtkInterpolatingSubdivisionFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

