// tcl wrapper for vtkKdNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdNode.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkKdNodeNewCommand()
{
  vtkKdNode *temp = vtkKdNode::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKdNodeCppCommand(vtkKdNode *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKdNodeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKdNodeCppCommand(static_cast<vtkKdNode *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKdNodeCppCommand(vtkKdNode *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKdNode",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKdNode  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKdNode  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKdNode  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
  if ((!strcmp("SetDim",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDim(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDim",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDim();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDivisionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDivisionPosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMinBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMaxBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMaxBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMinDataBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMinDataBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMaxDataBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMaxDataBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaxID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddChildNodes",argv[1]))&&(argc == 4))
    {
    vtkKdNode  *temp0;
    vtkKdNode  *temp1;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdNode"),interp,error));
    temp1 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkKdNode"),interp,error));
    if (!error)
    {
    op->AddChildNodes(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteChildNodes",argv[1]))&&(argc == 2))
    {
    op->DeleteChildNodes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLeft",argv[1]))&&(argc == 2))
    {
    vtkKdNode  *temp20;
    temp20 = (op)->GetLeft();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
  if ((!strcmp("SetLeft",argv[1]))&&(argc == 3))
    {
    vtkKdNode  *temp0;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdNode"),interp,error));
    if (!error)
    {
    op->SetLeft(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRight",argv[1]))&&(argc == 2))
    {
    vtkKdNode  *temp20;
    temp20 = (op)->GetRight();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
  if ((!strcmp("SetRight",argv[1]))&&(argc == 3))
    {
    vtkKdNode  *temp0;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdNode"),interp,error));
    if (!error)
    {
    op->SetRight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUp",argv[1]))&&(argc == 2))
    {
    vtkKdNode  *temp20;
    temp20 = (op)->GetUp();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
  if ((!strcmp("SetUp",argv[1]))&&(argc == 3))
    {
    vtkKdNode  *temp0;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdNode"),interp,error));
    if (!error)
    {
    op->SetUp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IntersectsBox",argv[1]))&&(argc == 9))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IntersectsSphere2",argv[1]))&&(argc == 7))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IntersectsRegion",argv[1]))&&(argc == 4))
    {
    vtkPlanesIntersection  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPlanesIntersection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlanesIntersection"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IntersectsRegion(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ContainsBox",argv[1]))&&(argc == 9))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ContainsPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->ContainsPoint(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistance2ToBoundary",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp3;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistance2ToInnerBoundary",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetDistance2ToInnerBoundary(temp0,temp1,temp2);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintNode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->PrintNode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintVerboseNode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->PrintVerboseNode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkKdNodeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKdNode:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetDim\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDim\n",NULL);
    Tcl_AppendResult(interp,"  GetDivisionPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMinBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMinDataBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxDataBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetID\n",NULL);
    Tcl_AppendResult(interp,"  GetMinID\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxID\n",NULL);
    Tcl_AppendResult(interp,"  SetMinID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddChildNodes\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DeleteChildNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetLeft\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRight\n",NULL);
    Tcl_AppendResult(interp,"  SetRight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUp\n",NULL);
    Tcl_AppendResult(interp,"  SetUp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IntersectsBox\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  IntersectsSphere2\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  IntersectsRegion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ContainsBox\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  ContainsPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance2ToBoundary\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance2ToInnerBoundary\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PrintNode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintVerboseNode\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetDim" );
    Tcl_DStringAppendElement ( &dString, "GetDim" );
    Tcl_DStringAppendElement ( &dString, "GetDivisionPosition" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetDataBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMinBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMaxBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMinDataBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMaxDataBounds" );
    Tcl_DStringAppendElement ( &dString, "SetID" );
    Tcl_DStringAppendElement ( &dString, "GetID" );
    Tcl_DStringAppendElement ( &dString, "GetMinID" );
    Tcl_DStringAppendElement ( &dString, "GetMaxID" );
    Tcl_DStringAppendElement ( &dString, "SetMinID" );
    Tcl_DStringAppendElement ( &dString, "SetMaxID" );
    Tcl_DStringAppendElement ( &dString, "AddChildNodes" );
    Tcl_DStringAppendElement ( &dString, "DeleteChildNodes" );
    Tcl_DStringAppendElement ( &dString, "GetLeft" );
    Tcl_DStringAppendElement ( &dString, "SetLeft" );
    Tcl_DStringAppendElement ( &dString, "GetRight" );
    Tcl_DStringAppendElement ( &dString, "SetRight" );
    Tcl_DStringAppendElement ( &dString, "GetUp" );
    Tcl_DStringAppendElement ( &dString, "SetUp" );
    Tcl_DStringAppendElement ( &dString, "IntersectsBox" );
    Tcl_DStringAppendElement ( &dString, "IntersectsSphere2" );
    Tcl_DStringAppendElement ( &dString, "IntersectsRegion" );
    Tcl_DStringAppendElement ( &dString, "ContainsBox" );
    Tcl_DStringAppendElement ( &dString, "ContainsPoint" );
    Tcl_DStringAppendElement ( &dString, "GetDistance2ToBoundary" );
    Tcl_DStringAppendElement ( &dString, "GetDistance2ToInnerBoundary" );
    Tcl_DStringAppendElement ( &dString, "PrintNode" );
    Tcl_DStringAppendElement ( &dString, "PrintVerboseNode" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkKdNode *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDim */
    if ( strcmp ( argv[2], "SetDim" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDim" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDim */
    Tcl_DStringAppendElement ( &dString, " Set/Get the dimension along which this region is divided.\n (0 - x, 1 - y, 2 - z, 3 - leaf node (default)).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDim (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetDim */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDim */
    if ( strcmp ( argv[2], "GetDim" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDim" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDim */
    Tcl_DStringAppendElement ( &dString, " Set/Get the dimension along which this region is divided.\n (0 - x, 1 - y, 2 - z, 3 - leaf node (default)).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDim ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetDim */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDivisionPosition */
    if ( strcmp ( argv[2], "GetDivisionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDivisionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDivisionPosition */
    Tcl_DStringAppendElement ( &dString, " Get the location of the division plane along the axis the region\n is divided.  See also GetDim().  The result is undertermined if\n this node is not divided (a leaf node).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetDivisionPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetDivisionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfPoints */
    if ( strcmp ( argv[2], "SetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of points contained in this region.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of points contained in this region.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the bounds of the spatial region represented by this node.\n   Caller allocates storage for 6-vector in GetBounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds (double x1, double x2, double y1, double y2, double z1, double z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the bounds of the spatial region represented by this node.\n   Caller allocates storage for 6-vector in GetBounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds (double b\\[6\\]);this SetBounds b b b b b b " );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataBounds */
    if ( strcmp ( argv[2], "SetDataBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataBounds */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the bounds of the points contained in this spatial region.\n   This may be smaller than the bounds of the region itself.\n   Caller allocates storage for 6-vector in GetDataBounds.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataBounds (double x1, double x2, double y1, double y2, double z1, double z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetDataBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinBounds */
    if ( strcmp ( argv[2], "GetMinBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinBounds */
    Tcl_DStringAppendElement ( &dString, "   Get a pointer to the 3 bound minima (xmin, ymin and zmin) or the\n   3 bound maxima (xmax, ymax, zmax).  Don't free this pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetMinBounds ();return this Min " );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMinBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxBounds */
    if ( strcmp ( argv[2], "GetMaxBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxBounds */
    Tcl_DStringAppendElement ( &dString, "   Set the xmin, ymin and zmin value of the bounds of this region\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetMaxBounds ();return this Max " );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMaxBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinDataBounds */
    if ( strcmp ( argv[2], "GetMinDataBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinDataBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinDataBounds */
    Tcl_DStringAppendElement ( &dString, "   Get a pointer to the 3 data bound minima (xmin, ymin and zmin) or the\n   3 data bound maxima (xmax, ymax, zmax).  Don't free this pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetMinDataBounds ();return this MinVal " );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMinDataBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxDataBounds */
    if ( strcmp ( argv[2], "GetMaxDataBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxDataBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxDataBounds */
    Tcl_DStringAppendElement ( &dString, "   Set the xmin, ymin and zmin value of the bounds of this \n   data within this region\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetMaxDataBounds ();return this MaxVal " );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMaxDataBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetID */
    if ( strcmp ( argv[2], "SetID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetID */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the ID associated with the region described by this node.  If\n   this is not a leaf node, this value should be -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetID (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetID */
    if ( strcmp ( argv[2], "GetID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetID */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the ID associated with the region described by this node.  If\n   this is not a leaf node, this value should be -1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinID */
    if ( strcmp ( argv[2], "GetMinID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinID */
    Tcl_DStringAppendElement ( &dString, "   If this node is not a leaf node, there are leaf nodes below it whose\n   regions represent a partitioning of this region.  The IDs of these\n   leaf nodes form a contigous set.  Set/Get the range of the IDs of\n   the leaf nodes below this node.  If this is already a leaf node, these\n   values should be the same as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMinID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxID */
    if ( strcmp ( argv[2], "GetMaxID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxID */
    Tcl_DStringAppendElement ( &dString, "   If this node is not a leaf node, there are leaf nodes below it whose\n   regions represent a partitioning of this region.  The IDs of these\n   leaf nodes form a contigous set.  Set/Get the range of the IDs of\n   the leaf nodes below this node.  If this is already a leaf node, these\n   values should be the same as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxID ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetMaxID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinID */
    if ( strcmp ( argv[2], "SetMinID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinID */
    Tcl_DStringAppendElement ( &dString, "   If this node is not a leaf node, there are leaf nodes below it whose\n   regions represent a partitioning of this region.  The IDs of these\n   leaf nodes form a contigous set.  Set/Get the range of the IDs of\n   the leaf nodes below this node.  If this is already a leaf node, these\n   values should be the same as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinID (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetMinID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxID */
    if ( strcmp ( argv[2], "SetMaxID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxID */
    Tcl_DStringAppendElement ( &dString, "   If this node is not a leaf node, there are leaf nodes below it whose\n   regions represent a partitioning of this region.  The IDs of these\n   leaf nodes form a contigous set.  Set/Get the range of the IDs of\n   the leaf nodes below this node.  If this is already a leaf node, these\n   values should be the same as the ID.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxID (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetMaxID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddChildNodes */
    if ( strcmp ( argv[2], "AddChildNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddChildNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddChildNodes */
    Tcl_DStringAppendElement ( &dString, "   Add the left and right children.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddChildNodes (vtkKdNode *left, vtkKdNode *right);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for AddChildNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteChildNodes */
    if ( strcmp ( argv[2], "DeleteChildNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteChildNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteChildNodes */
    Tcl_DStringAppendElement ( &dString, "   Delete the left and right children.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteChildNodes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for DeleteChildNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeft */
    if ( strcmp ( argv[2], "GetLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeft */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the left child of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode *GetLeft ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeft */
    if ( strcmp ( argv[2], "SetLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeft */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the left child of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeft (vtkKdNode *left);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRight */
    if ( strcmp ( argv[2], "GetRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRight */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the right child of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode *GetRight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRight */
    if ( strcmp ( argv[2], "SetRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRight */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the right child of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRight (vtkKdNode *right);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUp */
    if ( strcmp ( argv[2], "GetUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUp */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the parent of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode *GetUp ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUp */
    if ( strcmp ( argv[2], "SetUp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUp */
    Tcl_DStringAppendElement ( &dString, "   Set/Get a pointer to the parent of this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUp (vtkKdNode *up);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for SetUp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntersectsBox */
    if ( strcmp ( argv[2], "IntersectsBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntersectsBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntersectsBox */
    Tcl_DStringAppendElement ( &dString, "   Return 1 if this spatial region intersects the axis-aligned box given\n   by the bounds passed in.  Use the possibly smaller bounds of the points\n   within the region if useDataBounds is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int IntersectsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for IntersectsBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntersectsSphere2 */
    if ( strcmp ( argv[2], "IntersectsSphere2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntersectsSphere2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntersectsSphere2 */
    Tcl_DStringAppendElement ( &dString, "   Return 1 if this spatial region intersects a sphere described by\n   it's center and the square of it's radius. Use the possibly smaller \n   bounds of the points within the region if useDataBounds is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int IntersectsSphere2 (double x, double y, double z, double rSquared, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for IntersectsSphere2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntersectsRegion */
    if ( strcmp ( argv[2], "IntersectsRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntersectsRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlanesIntersection" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntersectsRegion */
    Tcl_DStringAppendElement ( &dString, "   A vtkPlanesIntersection object represents a convex 3D region bounded\n   by planes, and it is capable of computing intersections of\n   boxes with itself.  Return 1 if this spatial region intersects\n   the spatial region described by the vtkPlanesIntersection object.\n   Use the possibly smaller bounds of the points within the region \n   if useDataBounds is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int IntersectsRegion (vtkPlanesIntersection *pi, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for IntersectsRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ContainsBox */
    if ( strcmp ( argv[2], "ContainsBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ContainsBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ContainsBox */
    Tcl_DStringAppendElement ( &dString, "   Return 1 if this spatial region entirely contains a box specified\n   by it's bounds. Use the possibly smaller \n   bounds of the points within the region if useDataBounds is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int ContainsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for ContainsBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ContainsPoint */
    if ( strcmp ( argv[2], "ContainsPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ContainsPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ContainsPoint */
    Tcl_DStringAppendElement ( &dString, "   Return 1 if this spatial region entirely contains the given point.\n   Use the possibly smaller bounds of the points within the region \n   if useDataBounds is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int ContainsPoint (double x, double y, double z, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for ContainsPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistance2ToBoundary */
    if ( strcmp ( argv[2], "GetDistance2ToBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance2ToBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance2ToBoundary */
    Tcl_DStringAppendElement ( &dString, "   Calculate the distance squared from any point to the boundary of this\n   region.  Use the boundary of the points within the region if useDataBounds\n   is non-zero.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistance2ToBoundary (double x, double y, double z, int useDataBounds);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetDistance2ToBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistance2ToInnerBoundary */
    if ( strcmp ( argv[2], "GetDistance2ToInnerBoundary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance2ToInnerBoundary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance2ToInnerBoundary */
    Tcl_DStringAppendElement ( &dString, "   Calculate the distance from the specified point (which is required to\n   be inside this spatial region) to an interior boundary.  An interior\n   boundary is one that is not also an boundary of the entire space\n   partitioned by the tree of vtkKdNode's.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistance2ToInnerBoundary (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for GetDistance2ToInnerBoundary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintNode */
    if ( strcmp ( argv[2], "PrintNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintNode */
    Tcl_DStringAppendElement ( &dString, "   For debugging purposes, print out this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintNode (int depth);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for PrintNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintVerboseNode */
    if ( strcmp ( argv[2], "PrintVerboseNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintVerboseNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintVerboseNode */
    Tcl_DStringAppendElement ( &dString, "   For debugging purposes, print out this node.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintVerboseNode (int depth);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    /* Closing for PrintVerboseNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
