// python wrapper for vtkKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKdTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }

static PyObject *PyvtkKdTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  const char    *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkKdTree  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKdTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKdTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKdTree_TimingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::TimingOn();
      }
    else
      {
      op->TimingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_TimingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::TimingOff();
      }
    else
      {
      op->TimingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetTiming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetTiming(temp0);
      }
    else
      {
      op->SetTiming(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetTiming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetTiming();
      }
    else
      {
      temp20 = op->GetTiming();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetMinCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetMinCells(temp0);
      }
    else
      {
      op->SetMinCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetMinCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetMinCells();
      }
    else
      {
      temp20 = op->GetMinCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetNumberOfRegionsOrLess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetNumberOfRegionsOrLess();
      }
    else
      {
      temp20 = op->GetNumberOfRegionsOrLess();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetNumberOfRegionsOrLess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetNumberOfRegionsOrLess(temp0);
      }
    else
      {
      op->SetNumberOfRegionsOrLess(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetNumberOfRegionsOrMore(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetNumberOfRegionsOrMore();
      }
    else
      {
      temp20 = op->GetNumberOfRegionsOrMore();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetNumberOfRegionsOrMore(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetNumberOfRegionsOrMore(temp0);
      }
    else
      {
      op->SetNumberOfRegionsOrMore(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetFudgeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double   temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetFudgeFactor();
      }
    else
      {
      temp20 = op->GetFudgeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetFudgeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double   temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetFudgeFactor(temp0);
      }
    else
      {
      op->SetFudgeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkBSPCuts  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetCuts();
      }
    else
      {
      temp20 = op->GetCuts();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetCuts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkBSPCuts  *temp0;
  PyObject *tempH0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkBSPCuts *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkBSPCuts");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetCuts(temp0);
      }
    else
      {
      op->SetCuts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkKdTree_OmitXPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitXPartitioning();
      }
    else
      {
      op->OmitXPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitYPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitYPartitioning();
      }
    else
      {
      op->OmitYPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitZPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitZPartitioning();
      }
    else
      {
      op->OmitZPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitXYPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitXYPartitioning();
      }
    else
      {
      op->OmitXYPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitYZPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitYZPartitioning();
      }
    else
      {
      op->OmitYZPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitZXPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitZXPartitioning();
      }
    else
      {
      op->OmitZXPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_OmitNoPartitioning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::OmitNoPartitioning();
      }
    else
      {
      op->OmitNoPartitioning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkKdTree_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::AddDataSet(temp0);
      }
    else
      {
      op->AddDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkKdTree_RemoveDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::RemoveDataSet(temp0);
      }
    else
      {
      op->RemoveDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::RemoveDataSet(temp0);
      }
    else
      {
      op->RemoveDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkKdTree_RemoveAllDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::RemoveAllDataSets();
      }
    else
      {
      op->RemoveAllDataSets();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetNumberOfDataSets();
      }
    else
      {
      temp20 = op->GetNumberOfDataSets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkDataSet  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp20;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSetCollection  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetDataSets();
      }
    else
      {
      temp20 = op->GetDataSets();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetDataSetIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetDataSetIndex(temp0);
      }
    else
      {
      temp20 = op->GetDataSetIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkKdTree_GetNumberOfRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetNumberOfRegions();
      }
    else
      {
      temp20 = op->GetNumberOfRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetRegionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  double temp1[6];
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::GetRegionBounds(temp0,temp1);
      }
    else
      {
      op->GetRegionBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetRegionDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  double temp1[6];
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::GetRegionDataBounds(temp0,temp1);
      }
    else
      {
      op->GetRegionDataBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_PrintTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::PrintTree();
      }
    else
      {
      op->PrintTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_PrintVerboseTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::PrintVerboseTree();
      }
    else
      {
      op->PrintVerboseTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_PrintRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::PrintRegion(temp0);
      }
    else
      {
      op->PrintRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_CreateCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::CreateCellLists();
      }
    else
      {
      op->CreateCellLists();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetIncludeRegionBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetIncludeRegionBoundaryCells(temp0);
      }
    else
      {
      op->SetIncludeRegionBoundaryCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetIncludeRegionBoundaryCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetIncludeRegionBoundaryCells();
      }
    else
      {
      temp20 = op->GetIncludeRegionBoundaryCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_IncludeRegionBoundaryCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::IncludeRegionBoundaryCellsOn();
      }
    else
      {
      op->IncludeRegionBoundaryCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_IncludeRegionBoundaryCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::IncludeRegionBoundaryCellsOff();
      }
    else
      {
      op->IncludeRegionBoundaryCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_DeleteCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::DeleteCellLists();
      }
    else
      {
      op->DeleteCellLists();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkIdList  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetCellList(temp0);
      }
    else
      {
      temp20 = op->GetCellList(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetBoundaryCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkIdList  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetBoundaryCellList(temp0);
      }
    else
      {
      temp20 = op->GetBoundaryCellList(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetCellLists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  vtkIdType   temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"OiOO", &tempH0, &temp1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break49;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break49;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetCellLists(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetCellLists(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break49:
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break50;
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break50;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break50;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetCellLists(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetCellLists(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break50:
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkIdList  *temp2;
  PyObject *tempH2;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break51;
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break51;
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetCellLists(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetCellLists(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break51:
  return NULL;
}


static PyObject *PyvtkKdTree_GetRegionContainingCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break52;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetRegionContainingCell(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionContainingCell(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break52:
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkIdType   temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetRegionContainingCell(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRegionContainingCell(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIdType   temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetRegionContainingCell(temp0);
      }
    else
      {
      temp20 = op->GetRegionContainingCell(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetRegionContainingPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetRegionContainingPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetRegionContainingPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_ViewOrderAllRegionsInDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double temp0[3];
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::ViewOrderAllRegionsInDirection(temp0,temp1);
      }
    else
      {
      temp20 = op->ViewOrderAllRegionsInDirection(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break57:
  return NULL;
}


static PyObject *PyvtkKdTree_ViewOrderRegionsInDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  double temp1[3];
  vtkIntArray  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)O", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break58;
    temp2 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIntArray");
    if (!temp2 && tempH2 != Py_None) goto break58;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::ViewOrderRegionsInDirection(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ViewOrderRegionsInDirection(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break58:
  return NULL;
}


static PyObject *PyvtkKdTree_ViewOrderAllRegionsFromPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double temp0[3];
  vtkIntArray  *temp1;
  PyObject *tempH1;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1);
  if (op)
    {
    temp1 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIntArray");
    if (!temp1 && tempH1 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::ViewOrderAllRegionsFromPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ViewOrderAllRegionsFromPosition(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkKdTree_ViewOrderRegionsFromPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  double temp1[3];
  vtkIntArray  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)O", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break60;
    temp2 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIntArray");
    if (!temp2 && tempH2 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::ViewOrderRegionsFromPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ViewOrderRegionsFromPosition(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break60:
  return NULL;
}


static PyObject *PyvtkKdTree_BuildLocatorFromPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkPointSet  *temp0;
  PyObject *tempH0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointSet");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::BuildLocatorFromPoints(temp0);
      }
    else
      {
      op->BuildLocatorFromPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  /* handle an occurrence */
  {
  vtkKdTree *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::BuildLocatorFromPoints(temp0);
      }
    else
      {
      op->BuildLocatorFromPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  return NULL;
}


static PyObject *PyvtkKdTree_BuildMapForDuplicatePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  float    temp0;
  vtkIdTypeArray  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::BuildMapForDuplicatePoints(temp0);
      }
    else
      {
      temp20 = op->BuildMapForDuplicatePoints(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::FindPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetPointsInRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkIdTypeArray  *temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetPointsInRegion(temp0);
      }
    else
      {
      temp20 = op->GetPointsInRegion(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break67:
  return NULL;
}


static PyObject *PyvtkKdTree_GenerateRepresentationUsingDataBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::GenerateRepresentationUsingDataBoundsOn();
      }
    else
      {
      op->GenerateRepresentationUsingDataBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GenerateRepresentationUsingDataBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::GenerateRepresentationUsingDataBoundsOff();
      }
    else
      {
      op->GenerateRepresentationUsingDataBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_SetGenerateRepresentationUsingDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp0;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::SetGenerateRepresentationUsingDataBounds(temp0);
      }
    else
      {
      op->SetGenerateRepresentationUsingDataBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_GetGenerateRepresentationUsingDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::GetGenerateRepresentationUsingDataBounds();
      }
    else
      {
      temp20 = op->GetGenerateRepresentationUsingDataBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_NewGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  int      temp20;
  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTree::NewGeometry();
      }
    else
      {
      temp20 = op->NewGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_InvalidateGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTree *op;

  op = (vtkKdTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTree::InvalidateGeometry();
      }
    else
      {
      op->InvalidateGeometry();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTree_CopyTree(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode  *temp0;
  PyObject *tempH0;
  vtkKdNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break74;
      {
      temp20 = vtkKdTree::CopyTree(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break74:
  return NULL;
}

static PyMethodDef PyvtkKdTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKdTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKdTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKdTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdTree\nC++: vtkKdTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKdTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdTree\nC++: vtkKdTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"TimingOn",                (PyCFunction)PyvtkKdTree_TimingOn, 1,
   (char*)"V.TimingOn()\nC++: void TimingOn ();\n\n  Turn on timing of the k-d tree build\n"},
  {(char*)"TimingOff",                (PyCFunction)PyvtkKdTree_TimingOff, 1,
   (char*)"V.TimingOff()\nC++: void TimingOff ();\n\n  Turn on timing of the k-d tree build\n"},
  {(char*)"SetTiming",                (PyCFunction)PyvtkKdTree_SetTiming, 1,
   (char*)"V.SetTiming(int)\nC++: void SetTiming (int );\n\n  Turn on timing of the k-d tree build\n"},
  {(char*)"GetTiming",                (PyCFunction)PyvtkKdTree_GetTiming, 1,
   (char*)"V.GetTiming() -> int\nC++: int GetTiming ();\n\n  Turn on timing of the k-d tree build\n"},
  {(char*)"SetMinCells",                (PyCFunction)PyvtkKdTree_SetMinCells, 1,
   (char*)"V.SetMinCells(int)\nC++: void SetMinCells (int );\n\n  Minimum number of cells per spatial region.  Default is 100.\n"},
  {(char*)"GetMinCells",                (PyCFunction)PyvtkKdTree_GetMinCells, 1,
   (char*)"V.GetMinCells() -> int\nC++: int GetMinCells ();\n\n  Minimum number of cells per spatial region.  Default is 100.\n"},
  {(char*)"GetNumberOfRegionsOrLess",                (PyCFunction)PyvtkKdTree_GetNumberOfRegionsOrLess, 1,
   (char*)"V.GetNumberOfRegionsOrLess() -> int\nC++: int GetNumberOfRegionsOrLess ();\n\n"},
  {(char*)"SetNumberOfRegionsOrLess",                (PyCFunction)PyvtkKdTree_SetNumberOfRegionsOrLess, 1,
   (char*)"V.SetNumberOfRegionsOrLess(int)\nC++: void SetNumberOfRegionsOrLess (int );\n\n"},
  {(char*)"GetNumberOfRegionsOrMore",                (PyCFunction)PyvtkKdTree_GetNumberOfRegionsOrMore, 1,
   (char*)"V.GetNumberOfRegionsOrMore() -> int\nC++: int GetNumberOfRegionsOrMore ();\n\n"},
  {(char*)"SetNumberOfRegionsOrMore",                (PyCFunction)PyvtkKdTree_SetNumberOfRegionsOrMore, 1,
   (char*)"V.SetNumberOfRegionsOrMore(int)\nC++: void SetNumberOfRegionsOrMore (int );\n\n"},
  {(char*)"GetFudgeFactor",                (PyCFunction)PyvtkKdTree_GetFudgeFactor, 1,
   (char*)"V.GetFudgeFactor() -> float\nC++: double GetFudgeFactor ();\n\n"},
  {(char*)"SetFudgeFactor",                (PyCFunction)PyvtkKdTree_SetFudgeFactor, 1,
   (char*)"V.SetFudgeFactor(float)\nC++: void SetFudgeFactor (double );\n\n"},
  {(char*)"GetCuts",                (PyCFunction)PyvtkKdTree_GetCuts, 1,
   (char*)"V.GetCuts() -> vtkBSPCuts\nC++: vtkBSPCuts *GetCuts ();\n\n"},
  {(char*)"SetCuts",                (PyCFunction)PyvtkKdTree_SetCuts, 1,
   (char*)"V.SetCuts(vtkBSPCuts)\nC++: void SetCuts (vtkBSPCuts *cuts);\n\n"},
  {(char*)"OmitXPartitioning",                (PyCFunction)PyvtkKdTree_OmitXPartitioning, 1,
   (char*)"V.OmitXPartitioning()\nC++: void OmitXPartitioning ();\n\n    Omit partitions along the X axis, yielding shafts in the X direction\n"},
  {(char*)"OmitYPartitioning",                (PyCFunction)PyvtkKdTree_OmitYPartitioning, 1,
   (char*)"V.OmitYPartitioning()\nC++: void OmitYPartitioning ();\n\n    Omit partitions along the Y axis, yielding shafts in the Y direction\n"},
  {(char*)"OmitZPartitioning",                (PyCFunction)PyvtkKdTree_OmitZPartitioning, 1,
   (char*)"V.OmitZPartitioning()\nC++: void OmitZPartitioning ();\n\n    Omit partitions along the Z axis, yielding shafts in the Z direction\n"},
  {(char*)"OmitXYPartitioning",                (PyCFunction)PyvtkKdTree_OmitXYPartitioning, 1,
   (char*)"V.OmitXYPartitioning()\nC++: void OmitXYPartitioning ();\n\n    Omit partitions along the X and Y axes, yielding slabs along Z\n"},
  {(char*)"OmitYZPartitioning",                (PyCFunction)PyvtkKdTree_OmitYZPartitioning, 1,
   (char*)"V.OmitYZPartitioning()\nC++: void OmitYZPartitioning ();\n\n    Omit partitions along the Y and Z axes, yielding slabs along X\n"},
  {(char*)"OmitZXPartitioning",                (PyCFunction)PyvtkKdTree_OmitZXPartitioning, 1,
   (char*)"V.OmitZXPartitioning()\nC++: void OmitZXPartitioning ();\n\n    Omit partitions along the Z and X axes, yielding slabs along Y\n"},
  {(char*)"OmitNoPartitioning",                (PyCFunction)PyvtkKdTree_OmitNoPartitioning, 1,
   (char*)"V.OmitNoPartitioning()\nC++: void OmitNoPartitioning ();\n\n    Partition along all three axes - this is the default\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkKdTree_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: virtual void SetDataSet (vtkDataSet *set);\n\n Clear out all data sets and replace with single data set.  For backward\n compatibility with superclass.\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkKdTree_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkDataSet)\nC++: virtual void AddDataSet (vtkDataSet *set);\n\n This class can compute a spatial decomposition based on the cells in a list\n of one or more input data sets.  Add them one at a time with this method.\n"},
  {(char*)"RemoveDataSet",                (PyCFunction)PyvtkKdTree_RemoveDataSet, 1,
   (char*)"V.RemoveDataSet(int)\nC++: virtual void RemoveDataSet (int index);\nV.RemoveDataSet(vtkDataSet)\nC++: virtual void RemoveDataSet (vtkDataSet *set);\n\n Remove the given data set.\n"},
  {(char*)"RemoveAllDataSets",                (PyCFunction)PyvtkKdTree_RemoveAllDataSets, 1,
   (char*)"V.RemoveAllDataSets()\nC++: virtual void RemoveAllDataSets ();\n\n Remove the given data set.\n"},
  {(char*)"GetNumberOfDataSets",                (PyCFunction)PyvtkKdTree_GetNumberOfDataSets, 1,
   (char*)"V.GetNumberOfDataSets() -> int\nC++: int GetNumberOfDataSets ();\n\n   Get the number of data sets included in spatial paritioning\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkKdTree_GetDataSet, 1,
   (char*)"V.GetDataSet(int) -> vtkDataSet\nC++: vtkDataSet *GetDataSet (int n);\nV.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();return this GetDataSet \n\n Return the n'th data set.\n"},
  {(char*)"GetDataSets",                (PyCFunction)PyvtkKdTree_GetDataSets, 1,
   (char*)"V.GetDataSets() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetDataSets ();\n\n Return a collection of all the data sets.\n"},
  {(char*)"GetDataSetIndex",                (PyCFunction)PyvtkKdTree_GetDataSetIndex, 1,
   (char*)"V.GetDataSetIndex(vtkDataSet) -> int\nC++: int GetDataSetIndex (vtkDataSet *set);\n\n Return the index of the given data set.  Returns -1 if that data\n set does not exist.\n"},
  {(char*)"GetNumberOfRegions",                (PyCFunction)PyvtkKdTree_GetNumberOfRegions, 1,
   (char*)"V.GetNumberOfRegions() -> int\nC++: int GetNumberOfRegions ();\n\n   The number of leaf nodes of the tree, the spatial regions\n"},
  {(char*)"GetRegionBounds",                (PyCFunction)PyvtkKdTree_GetRegionBounds, 1,
   (char*)"V.GetRegionBounds(int, (float, float, float, float, float, float))\nC++: void GetRegionBounds (int regionID, double bounds[6]);\n\n   Get the spatial bounds of k-d tree region\n"},
  {(char*)"GetRegionDataBounds",                (PyCFunction)PyvtkKdTree_GetRegionDataBounds, 1,
   (char*)"V.GetRegionDataBounds(int, (float, float, float, float, float, float))\nC++: void GetRegionDataBounds (int regionID, double bounds[6]);\n\n    Get the bounds of the data within the k-d tree region\n"},
  {(char*)"PrintTree",                (PyCFunction)PyvtkKdTree_PrintTree, 1,
   (char*)"V.PrintTree()\nC++: void PrintTree ();\n\n    Print out nodes of kd tree\n"},
  {(char*)"PrintVerboseTree",                (PyCFunction)PyvtkKdTree_PrintVerboseTree, 1,
   (char*)"V.PrintVerboseTree()\nC++: void PrintVerboseTree ();\n\n    Print out nodes of kd tree\n"},
  {(char*)"PrintRegion",                (PyCFunction)PyvtkKdTree_PrintRegion, 1,
   (char*)"V.PrintRegion(int)\nC++: void PrintRegion (int id);\n\n    Print out leaf node data for given id\n"},
  {(char*)"CreateCellLists",                (PyCFunction)PyvtkKdTree_CreateCellLists, 1,
   (char*)"V.CreateCellLists()\nC++: void CreateCellLists ();\n\n"},
  {(char*)"SetIncludeRegionBoundaryCells",                (PyCFunction)PyvtkKdTree_SetIncludeRegionBoundaryCells, 1,
   (char*)"V.SetIncludeRegionBoundaryCells(int)\nC++: void SetIncludeRegionBoundaryCells (int );\n\n   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n"},
  {(char*)"GetIncludeRegionBoundaryCells",                (PyCFunction)PyvtkKdTree_GetIncludeRegionBoundaryCells, 1,
   (char*)"V.GetIncludeRegionBoundaryCells() -> int\nC++: int GetIncludeRegionBoundaryCells ();\n\n   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n"},
  {(char*)"IncludeRegionBoundaryCellsOn",                (PyCFunction)PyvtkKdTree_IncludeRegionBoundaryCellsOn, 1,
   (char*)"V.IncludeRegionBoundaryCellsOn()\nC++: void IncludeRegionBoundaryCellsOn ();\n\n   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n"},
  {(char*)"IncludeRegionBoundaryCellsOff",                (PyCFunction)PyvtkKdTree_IncludeRegionBoundaryCellsOff, 1,
   (char*)"V.IncludeRegionBoundaryCellsOff()\nC++: void IncludeRegionBoundaryCellsOff ();\n\n   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n"},
  {(char*)"DeleteCellLists",                (PyCFunction)PyvtkKdTree_DeleteCellLists, 1,
   (char*)"V.DeleteCellLists()\nC++: void DeleteCellLists ();\n\n    Free the memory used by the cell lists.\n"},
  {(char*)"GetCellList",                (PyCFunction)PyvtkKdTree_GetCellList, 1,
   (char*)"V.GetCellList(int) -> vtkIdList\nC++: vtkIdList *GetCellList (int regionID);\n\n    Get the cell list for a region.  This returns a pointer\n    to vtkKdTree's memory, so don't free it.\n"},
  {(char*)"GetBoundaryCellList",                (PyCFunction)PyvtkKdTree_GetBoundaryCellList, 1,
   (char*)"V.GetBoundaryCellList(int) -> vtkIdList\nC++: vtkIdList *GetBoundaryCellList (int regionID);\n\n    The cell list obtained with GetCellList is the list\n    of all cells such that their centroid is contained in\n    the spatial region.  It may also be desirable to get\n    a list of all cells intersecting a spatial region,\n    but with centroid in some other region.  This is that\n    list.  This list is computed in CreateCellLists() if\n    and only if IncludeRegionBoundaryCells is ON.  This\n    returns a pointer to KdTree's memory, so don't free it.\n"},
  {(char*)"GetCellLists",                (PyCFunction)PyvtkKdTree_GetCellLists, 1,
   (char*)"V.GetCellLists(vtkIntArray, int, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellLists (vtkIntArray *regions, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\nV.GetCellLists(vtkIntArray, vtkDataSet, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellLists (vtkIntArray *regions, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\nV.GetCellLists(vtkIntArray, vtkIdList, vtkIdList) -> int\nC++: vtkIdType GetCellLists (vtkIntArray *regions, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);\n\n   \n   For a list of regions, get two cell lists.  The first lists\n   the IDs  all cells whose centroids lie in one of the regions.\n   The second lists the IDs of all cells that intersect the regions,\n   but whose centroid lies in a region not on the list.\n\n   The total number of cell IDs written to both lists is returned.\n   Either list pointer passed in can be NULL, and it will be ignored.\n   If there are multiple data sets, you must specify which data set\n   you wish cell IDs for.\n\n   The caller should delete these two lists when done.  This method\n   uses the cell lists created in CreateCellLists().\n   If the cell list for any of the requested regions does not\n   exist, then this method will call CreateCellLists() to create\n   cell lists for *every* region of the k-d tree.  You must remember \n   to DeleteCellLists() when done with all calls to this method, as \n   cell lists can require a great deal of memory.\n"},
  {(char*)"GetRegionContainingCell",                (PyCFunction)PyvtkKdTree_GetRegionContainingCell, 1,
   (char*)"V.GetRegionContainingCell(vtkDataSet, int) -> int\nC++: int GetRegionContainingCell (vtkDataSet *set, vtkIdType cellID);\nV.GetRegionContainingCell(int, int) -> int\nC++: int GetRegionContainingCell (int set, vtkIdType cellID);\nV.GetRegionContainingCell(int) -> int\nC++: int GetRegionContainingCell (vtkIdType cellID);\n\n    Get the id of the region containing the cell centroid.  If\n    no DataSet is specified, assume DataSet 0.  If you need the\n    region ID for every cell, use AllGetRegionContainingCell\n    instead.  It is more efficient.\n"},
  {(char*)"GetRegionContainingPoint",                (PyCFunction)PyvtkKdTree_GetRegionContainingPoint, 1,
   (char*)"V.GetRegionContainingPoint(float, float, float) -> int\nC++: int GetRegionContainingPoint (double x, double y, double z);\n\n    Get the id of the region containing the specified location.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkKdTree_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n Create the k-d tree decomposition of the cells of the data set\n or data sets.  Cells are assigned to k-d tree spatial regions\n based on the location of their centroids.\n"},
  {(char*)"ViewOrderAllRegionsInDirection",                (PyCFunction)PyvtkKdTree_ViewOrderAllRegionsInDirection, 1,
   (char*)"V.ViewOrderAllRegionsInDirection((float, float, float), vtkIntArray) -> int\nC++: int ViewOrderAllRegionsInDirection (const double directionOfProjection[3], vtkIntArray *orderedList);\n\n Given a direction of projection (typically obtained with\n vtkCamera::GetDirectionOfProjection()), this method, creates a list of the\n k-d tree region IDs in order from front to back with respect to that\n direction.  The number of ordered regions is returned.  Use this method to\n view order regions for cameras that use parallel projection.\n"},
  {(char*)"ViewOrderRegionsInDirection",                (PyCFunction)PyvtkKdTree_ViewOrderRegionsInDirection, 1,
   (char*)"V.ViewOrderRegionsInDirection(vtkIntArray, (float, float, float), vtkIntArray) -> int\nC++: int ViewOrderRegionsInDirection (vtkIntArray *regionIds, const double directionOfProjection[3], vtkIntArray *orderedList);\n\n Given a direction of projection and a list of k-d tree region IDs, this\n method, creates a list of the k-d tree region IDs in order from front to\n back with respect to that direction.  The number of ordered regions is\n returned.  Use this method to view order regions for cameras that use\n parallel projection.\n"},
  {(char*)"ViewOrderAllRegionsFromPosition",                (PyCFunction)PyvtkKdTree_ViewOrderAllRegionsFromPosition, 1,
   (char*)"V.ViewOrderAllRegionsFromPosition((float, float, float), vtkIntArray) -> int\nC++: int ViewOrderAllRegionsFromPosition (const double directionOfProjection[3], vtkIntArray *orderedList);\n\n Given a camera position (typically obtained with vtkCamera::GetPosition()),\n this method, creates a list of the k-d tree region IDs in order from front\n to back with respect to that direction.  The number of ordered regions is\n returned.  Use this method to view order regions for cameras that use\n perspective projection.\n"},
  {(char*)"ViewOrderRegionsFromPosition",                (PyCFunction)PyvtkKdTree_ViewOrderRegionsFromPosition, 1,
   (char*)"V.ViewOrderRegionsFromPosition(vtkIntArray, (float, float, float), vtkIntArray) -> int\nC++: int ViewOrderRegionsFromPosition (vtkIntArray *regionIds, const double directionOfProjection[3], vtkIntArray *orderedList);\n\n Given a camera position and a list of k-d tree region IDs, this method,\n creates a list of the k-d tree region IDs in order from front to back with\n respect to that direction.  The number of ordered regions is returned.  Use\n this method to view order regions for cameras that use perspective\n projection.\n"},
  {(char*)"BuildLocatorFromPoints",                (PyCFunction)PyvtkKdTree_BuildLocatorFromPoints, 1,
   (char*)"V.BuildLocatorFromPoints(vtkPointSet)\nC++: void BuildLocatorFromPoints (vtkPointSet *pointset);\nV.BuildLocatorFromPoints(vtkPoints)\nC++: void BuildLocatorFromPoints (vtkPoints *ptArray);\n\n This is a special purpose locator that builds a k-d tree to \n find duplicate and near-by points.  It builds the tree from \n one or more vtkPoints objects instead of from the cells of\n a vtkDataSet.  This build would normally be followed by\n BuildMapForDuplicatePoints, FindPoint, or FindClosestPoint.\n Since this will build a normal k-d tree, all the region intersection\n queries will still work, as will most other calls except those that\n have \"Cell\" in the name.\n\n This method works most efficiently when the point arrays are\n float arrays.\n"},
  {(char*)"BuildMapForDuplicatePoints",                (PyCFunction)PyvtkKdTree_BuildMapForDuplicatePoints, 1,
   (char*)"V.BuildMapForDuplicatePoints(float) -> vtkIdTypeArray\nC++: vtkIdTypeArray *BuildMapForDuplicatePoints (float tolerance);\n\n This call returns a mapping from the original point IDs supplied\n to BuildLocatorFromPoints to a subset of those IDs that is unique \n within the specified tolerance.  \n If points 2, 5, and 12 are the same, then \n IdMap[2] = IdMap[5] = IdMap[12] = 2 (or 5 or 12).\n\n \"original point IDs\" - For point IDs we start at 0 for the first\n point in the first vtkPoints object, and increase by 1 for subsequent\n points and subsequent vtkPoints objects.\n\n You must have called BuildLocatorFromPoints() before calling this.\n You are responsible for deleting the returned array.\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkKdTree_FindPoint, 1,
   (char*)"V.FindPoint(float, float, float) -> int\nC++: vtkIdType FindPoint (double x, double y, double z);\n\n Find the Id of the point that was previously supplied\n to BuildLocatorFromPoints().  Returns -1 if the point\n was not in the original array.\n"},
  {(char*)"GetPointsInRegion",                (PyCFunction)PyvtkKdTree_GetPointsInRegion, 1,
   (char*)"V.GetPointsInRegion(int) -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetPointsInRegion (int regionId);\n\n Get a list of the original IDs of all points in a region.  You\n must have called BuildLocatorFromPoints before calling this.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkKdTree_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: void FreeSearchStructure ();\n\n Delete the k-d tree data structure. Also delete any\n cell lists that were computed with CreateCellLists().\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkKdTree_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: void GenerateRepresentation (int level, vtkPolyData *pd);\n\n Create a polydata representation of the boundaries of\n the k-d tree regions.  If level equals GetLevel(), the\n leaf nodes are represented.\n"},
  {(char*)"GenerateRepresentationUsingDataBoundsOn",                (PyCFunction)PyvtkKdTree_GenerateRepresentationUsingDataBoundsOn, 1,
   (char*)"V.GenerateRepresentationUsingDataBoundsOn()\nC++: void GenerateRepresentationUsingDataBoundsOn ();\n\n    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n"},
  {(char*)"GenerateRepresentationUsingDataBoundsOff",                (PyCFunction)PyvtkKdTree_GenerateRepresentationUsingDataBoundsOff, 1,
   (char*)"V.GenerateRepresentationUsingDataBoundsOff()\nC++: void GenerateRepresentationUsingDataBoundsOff ();\n\n    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n"},
  {(char*)"SetGenerateRepresentationUsingDataBounds",                (PyCFunction)PyvtkKdTree_SetGenerateRepresentationUsingDataBounds, 1,
   (char*)"V.SetGenerateRepresentationUsingDataBounds(int)\nC++: void SetGenerateRepresentationUsingDataBounds (int );\n\n    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n"},
  {(char*)"GetGenerateRepresentationUsingDataBounds",                (PyCFunction)PyvtkKdTree_GetGenerateRepresentationUsingDataBounds, 1,
   (char*)"V.GetGenerateRepresentationUsingDataBounds() -> int\nC++: int GetGenerateRepresentationUsingDataBounds ();\n\n    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n"},
  {(char*)"NewGeometry",                (PyCFunction)PyvtkKdTree_NewGeometry, 1,
   (char*)"V.NewGeometry() -> int\nC++: virtual int NewGeometry ();\n\n    Return 1 if the geometry of the input data sets\n    has changed since the last time the k-d tree was built.\n"},
  {(char*)"InvalidateGeometry",                (PyCFunction)PyvtkKdTree_InvalidateGeometry, 1,
   (char*)"V.InvalidateGeometry()\nC++: virtual void InvalidateGeometry ();\n\n Forget about the last geometry used.  The next call to NewGeometry will\n return 1.  A new k-d tree will be built the next time BuildLocator is\n called.\n"},
  {(char*)"CopyTree",                (PyCFunction)PyvtkKdTree_CopyTree, 1,
   (char*)"V.CopyTree(vtkKdNode) -> vtkKdNode\nC++: static vtkKdNode *CopyTree (vtkKdNode *kd);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKdTreeDoc[] = {
  (char*)"vtkKdTree - a Kd-tree spatial decomposition of a set of points\n\n",
  "Super Class:\n\n vtkLocator\n\n",
  (char*)"     Given one or more vtkDataSets, create a load balancing\n     k-d tree decomposition of the points at the center of the cells.\n     Or, create a k-d tree point locator from a list of points.\n\n     This class can also generate a PolyData representation of\n     the boundaries of the spatial regions in the decomposition.\n\n     It can sort the regions with respect to a viewing direction,\n     and i",
  (char*)"t can decompose a list of regions into subsets, each\n     of which represent a convex spatial region (since many algorithms\n     require a convex region).  \n\n     If the points were derived from cells, vtkKdTree\n     can create a list of cell Ids for each region for each data set.  \n     Two lists are available - all cells with centroid in the region, \n     and all cells that intersect the region ",
  (char*)"but whose centroid lies \n     in another region.\n\n     For the purpose of removing duplicate points quickly from large\n     data sets, or for finding nearby points, we added another mode for \n     building the locator.  BuildLocatorFromPoints will build a k-d tree\n     from one or more vtkPoints objects.  This can be followed by\n     BuildMapForDuplicatePoints which returns a mapping from the orig",
  (char*)"inal\n     ids to a subset of the ids that is unique within a supplied\n     tolerance, or you can use FindPoint and FindClosestPoint to\n     locate points in the original set that the tree was built from.\n\n\n",
  "See Also:\n\n vtkLocator vtkCellLocator vtkPKdTree\n\n",
  NULL
};

static vtkObjectBase *vtkKdTreeStaticNew()
{
  return vtkKdTree::New();
}

PyObject *PyVTKClass_vtkKdTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkKdTreeStaticNew,
                        PyvtkKdTreeMethods,
                        (char*)"vtkKdTree",modulename,
                        (char**)vtkKdTreeDoc,
                        PyVTKClass_vtkLocatorNew(modulename));
}

