// python wrapper for vtkKdTreeSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkKdTreeSelector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdTreeSelectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdTreeSelectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkKdTreeSelector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  const char    *temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  char    *temp0;
  int      temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  vtkKdTreeSelector  *temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKdTreeSelector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKdTreeSelector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetKdTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  vtkKdTree  *temp0;
  PyObject *tempH0;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkKdTree *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdTree");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetKdTree(temp0);
      }
    else
      {
      op->SetKdTree(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetKdTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  vtkKdTree  *temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetKdTree();
      }
    else
      {
      temp20 = op->GetKdTree();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetSelectionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSelectionBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetSelectionBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSelectionBounds(temp0);
      }
    else
      {
      op->SetSelectionBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetSelectionBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  double  *temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetSelectionBounds();
      }
    else
      {
      temp20 = op->GetSelectionBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetSelectionFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  char    *temp0;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSelectionFieldName(temp0);
      }
    else
      {
      op->SetSelectionFieldName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetSelectionFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  char    *temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetSelectionFieldName();
      }
    else
      {
      temp20 = op->GetSelectionFieldName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetSelectionAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  int      temp0;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSelectionAttribute(temp0);
      }
    else
      {
      op->SetSelectionAttribute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetSelectionAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  int      temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetSelectionAttribute();
      }
    else
      {
      temp20 = op->GetSelectionAttribute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetSingleSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  bool   temp0;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSingleSelection(temp0);
      }
    else
      {
      op->SetSingleSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetSingleSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  bool   temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetSingleSelection();
      }
    else
      {
      temp20 = op->GetSingleSelection();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SingleSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SingleSelectionOn();
      }
    else
      {
      op->SingleSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SingleSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SingleSelectionOff();
      }
    else
      {
      op->SingleSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_SetSingleSelectionThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  double   temp0;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdTreeSelector::SetSingleSelectionThreshold(temp0);
      }
    else
      {
      op->SetSingleSelectionThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetSingleSelectionThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  double   temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetSingleSelectionThreshold();
      }
    else
      {
      temp20 = op->GetSingleSelectionThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdTreeSelector_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdTreeSelector *op;

  unsigned long     temp20;
  op = (vtkKdTreeSelector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdTreeSelector::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkKdTreeSelectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKdTreeSelector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKdTreeSelector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKdTreeSelector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdTreeSelector\nC++: vtkKdTreeSelector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKdTreeSelector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdTreeSelector\nC++: vtkKdTreeSelector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKdTree",                (PyCFunction)PyvtkKdTreeSelector_SetKdTree, 1,
   (char*)"V.SetKdTree(vtkKdTree)\nC++: void SetKdTree (vtkKdTree *tree);\n\n The kd-tree to use to find selected ids.\n The kd-tree must be initialized with the desired set of points.\n When this is set, the optional input is ignored.\n"},
  {(char*)"GetKdTree",                (PyCFunction)PyvtkKdTreeSelector_GetKdTree, 1,
   (char*)"V.GetKdTree() -> vtkKdTree\nC++: vtkKdTree *GetKdTree ();\n\n The kd-tree to use to find selected ids.\n The kd-tree must be initialized with the desired set of points.\n When this is set, the optional input is ignored.\n"},
  {(char*)"SetSelectionBounds",                (PyCFunction)PyvtkKdTreeSelector_SetSelectionBounds, 1,
   (char*)"V.SetSelectionBounds(float, float, float, float, float, float)\nC++: void SetSelectionBounds (double , double , double , double , double , double );\nV.SetSelectionBounds((float, float, float, float, float, float))\nC++: void SetSelectionBounds (double  a[6]);\n\n The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).\n To perform a search in 2D, use the bounds\n (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).\n"},
  {(char*)"GetSelectionBounds",                (PyCFunction)PyvtkKdTreeSelector_GetSelectionBounds, 1,
   (char*)"V.GetSelectionBounds() -> (float, float, float, float, float, float)\nC++: double  *GetSelectionBounds ();\n\n The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).\n To perform a search in 2D, use the bounds\n (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).\n"},
  {(char*)"SetSelectionFieldName",                (PyCFunction)PyvtkKdTreeSelector_SetSelectionFieldName, 1,
   (char*)"V.SetSelectionFieldName(string)\nC++: void SetSelectionFieldName (char *);\n\n The field name to use when generating the selection.\n If set, creates a VALUES selection.\n If not set (or is set to NULL), creates a INDICES selection.\n By default this is not set.\n"},
  {(char*)"GetSelectionFieldName",                (PyCFunction)PyvtkKdTreeSelector_GetSelectionFieldName, 1,
   (char*)"V.GetSelectionFieldName() -> string\nC++: char *GetSelectionFieldName ();\n\n The field name to use when generating the selection.\n If set, creates a VALUES selection.\n If not set (or is set to NULL), creates a INDICES selection.\n By default this is not set.\n"},
  {(char*)"SetSelectionAttribute",                (PyCFunction)PyvtkKdTreeSelector_SetSelectionAttribute, 1,
   (char*)"V.SetSelectionAttribute(int)\nC++: void SetSelectionAttribute (int );\n\n The field attribute to use when generating the selection.\n If set, creates a PEDIGREEIDS or GLOBALIDS selection.\n If not set (or is set to -1), creates a INDICES selection.\n By default this is not set.\n NOTE: This should be set a constant in vtkDataSetAttributes,\n not vtkSelection.\n"},
  {(char*)"GetSelectionAttribute",                (PyCFunction)PyvtkKdTreeSelector_GetSelectionAttribute, 1,
   (char*)"V.GetSelectionAttribute() -> int\nC++: int GetSelectionAttribute ();\n\n The field attribute to use when generating the selection.\n If set, creates a PEDIGREEIDS or GLOBALIDS selection.\n If not set (or is set to -1), creates a INDICES selection.\n By default this is not set.\n NOTE: This should be set a constant in vtkDataSetAttributes,\n not vtkSelection.\n"},
  {(char*)"SetSingleSelection",                (PyCFunction)PyvtkKdTreeSelector_SetSingleSelection, 1,
   (char*)"V.SetSingleSelection(bool)\nC++: void SetSingleSelection (bool );\n\n Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n"},
  {(char*)"GetSingleSelection",                (PyCFunction)PyvtkKdTreeSelector_GetSingleSelection, 1,
   (char*)"V.GetSingleSelection() -> bool\nC++: bool GetSingleSelection ();\n\n Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n"},
  {(char*)"SingleSelectionOn",                (PyCFunction)PyvtkKdTreeSelector_SingleSelectionOn, 1,
   (char*)"V.SingleSelectionOn()\nC++: void SingleSelectionOn ();\n\n Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n"},
  {(char*)"SingleSelectionOff",                (PyCFunction)PyvtkKdTreeSelector_SingleSelectionOff, 1,
   (char*)"V.SingleSelectionOff()\nC++: void SingleSelectionOff ();\n\n Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n"},
  {(char*)"SetSingleSelectionThreshold",                (PyCFunction)PyvtkKdTreeSelector_SetSingleSelectionThreshold, 1,
   (char*)"V.SetSingleSelectionThreshold(float)\nC++: void SetSingleSelectionThreshold (double );\n\n The threshold for the single selection.\n A single point is added to the selection if it is within\n this threshold from the bounds center.\n Default is 1.\n"},
  {(char*)"GetSingleSelectionThreshold",                (PyCFunction)PyvtkKdTreeSelector_GetSingleSelectionThreshold, 1,
   (char*)"V.GetSingleSelectionThreshold() -> float\nC++: double GetSingleSelectionThreshold ();\n\n The threshold for the single selection.\n A single point is added to the selection if it is within\n this threshold from the bounds center.\n Default is 1.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkKdTreeSelector_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKdTreeSelectorDoc[] = {
  (char*)"vtkKdTreeSelector - Selects point ids using a kd-tree.\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)" If SetKdTree is used, the filter ignores the input and selects based on that\n kd-tree.  If SetKdTree is not used, the filter builds a kd-tree using the\n input point set and uses that tree for selection.  The output is a\n vtkSelection containing the ids found in the kd-tree using the specified\n bounds.\n\n",
  NULL
};

static vtkObjectBase *vtkKdTreeSelectorStaticNew()
{
  return vtkKdTreeSelector::New();
}

PyObject *PyVTKClass_vtkKdTreeSelectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkKdTreeSelectorStaticNew,
                        PyvtkKdTreeSelectorMethods,
                        (char*)"vtkKdTreeSelector",modulename,
                        (char**)vtkKdTreeSelectorDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

