// tcl wrapper for vtkKdTreeSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTreeSelector.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkKdTreeSelectorNewCommand()
{
  vtkKdTreeSelector *temp = vtkKdTreeSelector::New();
  return static_cast<ClientData>(temp);
}

int vtkSelectionAlgorithmCppCommand(vtkSelectionAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKdTreeSelectorCppCommand(vtkKdTreeSelector *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKdTreeSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKdTreeSelectorCppCommand(static_cast<vtkKdTreeSelector *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKdTreeSelectorCppCommand(vtkKdTreeSelector *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKdTreeSelector",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkSelectionAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKdTreeSelector  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTreeSelector");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKdTreeSelector  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTreeSelector");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKdTreeSelector  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTreeSelector");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKdTree",argv[1]))&&(argc == 3))
    {
    vtkKdTree  *temp0;
    error = 0;

    temp0 = (vtkKdTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdTree"),interp,error));
    if (!error)
    {
    op->SetKdTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKdTree",argv[1]))&&(argc == 2))
    {
    vtkKdTree  *temp20;
    temp20 = (op)->GetKdTree();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTree");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetSelectionBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetSelectionBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectionBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionFieldName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSelectionFieldName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionFieldName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSelectionFieldName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSingleSelection",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetSingleSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSingleSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSingleSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SingleSelectionOn",argv[1]))&&(argc == 2))
    {
    op->SingleSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SingleSelectionOff",argv[1]))&&(argc == 2))
    {
    op->SingleSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSingleSelectionThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSingleSelectionThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSingleSelectionThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSingleSelectionThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkKdTreeSelectorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKdTreeSelector:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetKdTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKdTree\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionFieldName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionFieldName\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionAttribute\n",NULL);
    Tcl_AppendResult(interp,"  SetSingleSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSingleSelection\n",NULL);
    Tcl_AppendResult(interp,"  SingleSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  SingleSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSingleSelectionThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSingleSelectionThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetKdTree" );
    Tcl_DStringAppendElement ( &dString, "GetKdTree" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBounds" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBounds" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionBounds" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionFieldName" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionFieldName" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetSingleSelection" );
    Tcl_DStringAppendElement ( &dString, "GetSingleSelection" );
    Tcl_DStringAppendElement ( &dString, "SingleSelectionOn" );
    Tcl_DStringAppendElement ( &dString, "SingleSelectionOff" );
    Tcl_DStringAppendElement ( &dString, "SetSingleSelectionThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetSingleSelectionThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkSelectionAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkKdTreeSelector *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKdTree */
    if ( strcmp ( argv[2], "SetKdTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKdTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKdTree */
    Tcl_DStringAppendElement ( &dString, " The kd-tree to use to find selected ids.\n The kd-tree must be initialized with the desired set of points.\n When this is set, the optional input is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKdTree (vtkKdTree *tree);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetKdTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKdTree */
    if ( strcmp ( argv[2], "GetKdTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKdTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKdTree */
    Tcl_DStringAppendElement ( &dString, " The kd-tree to use to find selected ids.\n The kd-tree must be initialized with the desired set of points.\n When this is set, the optional input is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree *GetKdTree ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetKdTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionBounds */
    if ( strcmp ( argv[2], "SetSelectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionBounds */
    Tcl_DStringAppendElement ( &dString, " The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).\n To perform a search in 2D, use the bounds\n (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionBounds (double , double , double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSelectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionBounds */
    if ( strcmp ( argv[2], "SetSelectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionBounds */
    Tcl_DStringAppendElement ( &dString, " The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).\n To perform a search in 2D, use the bounds\n (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionBounds (double  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSelectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionBounds */
    if ( strcmp ( argv[2], "GetSelectionBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionBounds */
    Tcl_DStringAppendElement ( &dString, " The bounds of the form (xmin,xmax,ymin,ymax,zmin,zmax).\n To perform a search in 2D, use the bounds\n (xmin,xmax,ymin,ymax,VTK_DOUBLE_MIN,VTK_DOUBLE_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetSelectionBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetSelectionBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionFieldName */
    if ( strcmp ( argv[2], "SetSelectionFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionFieldName */
    Tcl_DStringAppendElement ( &dString, " The field name to use when generating the selection.\n If set, creates a VALUES selection.\n If not set (or is set to NULL), creates a INDICES selection.\n By default this is not set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionFieldName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSelectionFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionFieldName */
    if ( strcmp ( argv[2], "GetSelectionFieldName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionFieldName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionFieldName */
    Tcl_DStringAppendElement ( &dString, " The field name to use when generating the selection.\n If set, creates a VALUES selection.\n If not set (or is set to NULL), creates a INDICES selection.\n By default this is not set.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetSelectionFieldName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetSelectionFieldName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionAttribute */
    if ( strcmp ( argv[2], "SetSelectionAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionAttribute */
    Tcl_DStringAppendElement ( &dString, " The field attribute to use when generating the selection.\n If set, creates a PEDIGREEIDS or GLOBALIDS selection.\n If not set (or is set to -1), creates a INDICES selection.\n By default this is not set.\n NOTE: This should be set a constant in vtkDataSetAttributes,\n not vtkSelection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionAttribute (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSelectionAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionAttribute */
    if ( strcmp ( argv[2], "GetSelectionAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionAttribute */
    Tcl_DStringAppendElement ( &dString, " The field attribute to use when generating the selection.\n If set, creates a PEDIGREEIDS or GLOBALIDS selection.\n If not set (or is set to -1), creates a INDICES selection.\n By default this is not set.\n NOTE: This should be set a constant in vtkDataSetAttributes,\n not vtkSelection.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionAttribute ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetSelectionAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSingleSelection */
    if ( strcmp ( argv[2], "SetSingleSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleSelection */
    Tcl_DStringAppendElement ( &dString, " Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSingleSelection (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSingleSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSingleSelection */
    if ( strcmp ( argv[2], "GetSingleSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleSelection */
    Tcl_DStringAppendElement ( &dString, " Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSingleSelection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetSingleSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SingleSelectionOn */
    if ( strcmp ( argv[2], "SingleSelectionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleSelectionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleSelectionOn */
    Tcl_DStringAppendElement ( &dString, " Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SingleSelectionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SingleSelectionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SingleSelectionOff */
    if ( strcmp ( argv[2], "SingleSelectionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleSelectionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleSelectionOff */
    Tcl_DStringAppendElement ( &dString, " Whether to only allow up to one value in the result.\n The item selected is closest to the center of the bounds,\n if there are any points within the selection threshold.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SingleSelectionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SingleSelectionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSingleSelectionThreshold */
    if ( strcmp ( argv[2], "SetSingleSelectionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleSelectionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleSelectionThreshold */
    Tcl_DStringAppendElement ( &dString, " The threshold for the single selection.\n A single point is added to the selection if it is within\n this threshold from the bounds center.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSingleSelectionThreshold (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for SetSingleSelectionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSingleSelectionThreshold */
    if ( strcmp ( argv[2], "GetSingleSelectionThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleSelectionThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleSelectionThreshold */
    Tcl_DStringAppendElement ( &dString, " The threshold for the single selection.\n A single point is added to the selection if it is within\n this threshold from the bounds center.\n Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSingleSelectionThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetSingleSelectionThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTreeSelector" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkSelectionAlgorithmCppCommand(static_cast<vtkSelectionAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
