// python wrapper for vtkLevelIdScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLevelIdScalars.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLevelIdScalarsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLevelIdScalarsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(char *); }

static PyObject *PyvtkLevelIdScalars_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLevelIdScalars *op;

  const char    *temp20;
  op = (vtkLevelIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLevelIdScalars::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLevelIdScalars_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLevelIdScalars *op;

  char    *temp0;
  int      temp20;
  op = (vtkLevelIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLevelIdScalars::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLevelIdScalars_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLevelIdScalars *op;

  vtkLevelIdScalars  *temp20;
  op = (vtkLevelIdScalars *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLevelIdScalars::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLevelIdScalars_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLevelIdScalars  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLevelIdScalars::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLevelIdScalarsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLevelIdScalars_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLevelIdScalars_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLevelIdScalars_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLevelIdScalars\nC++: vtkLevelIdScalars *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLevelIdScalars_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLevelIdScalars\nC++: vtkLevelIdScalars *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLevelIdScalarsDoc[] = {
  (char*)"vtkLevelIdScalars - generate scalars from levels.\n\n",
  "Super Class:\n\n vtkHierarchicalBoxDataSetAlgorithm\n\n",
  (char*)" vtkLevelIdScalars is a filter that generates scalars using the level number\n for each level. Note that all datasets within a level get the same scalar.\n The new scalars array is named \\c LevelIdScalars.\n\n",
  NULL
};

static vtkObjectBase *vtkLevelIdScalarsStaticNew()
{
  return vtkLevelIdScalars::New();
}

PyObject *PyVTKClass_vtkLevelIdScalarsNew(char *modulename)
{
  return PyVTKClass_New(&vtkLevelIdScalarsStaticNew,
                        PyvtkLevelIdScalarsMethods,
                        (char*)"vtkLevelIdScalars",modulename,
                        (char**)vtkLevelIdScalarsDoc,
                        PyVTKClass_vtkHierarchicalBoxDataSetAlgorithmNew(modulename));
}

