// python wrapper for vtkLineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLineSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLineSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLineSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkLineSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  const char    *temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  vtkLineSource  *temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLineSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLineSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLineSource_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineSource::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineSource::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double  *temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineSource::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineSource::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  double  *temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  int      temp0;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineSource::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  int      temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  int      temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineSource_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineSource *op;

  int      temp20;
  op = (vtkLineSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineSource::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLineSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLineSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLineSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLineSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLineSource\nC++: vtkLineSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLineSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLineSource\nC++: vtkLineSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkLineSource_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double , double , double );\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double  a[3]);\n\n Set position of first end point.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkLineSource_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double  *GetPoint1 ();\n\n Set position of first end point.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkLineSource_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double , double , double );\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double  a[3]);\n\n Set position of other end point.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkLineSource_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double  *GetPoint2 ();\n\n Set position of other end point.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkLineSource_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Divide line into resolution number of pieces.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkLineSource_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Divide line into resolution number of pieces.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkLineSource_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Divide line into resolution number of pieces.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkLineSource_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Divide line into resolution number of pieces.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLineSourceDoc[] = {
  (char*)"vtkLineSource - create a line defined by two end points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkLineSource is a source object that creates a polyline defined by\n two endpoints. The number of segments composing the polyline is\n controlled by setting the object resolution.\n\n",
  NULL
};

static vtkObjectBase *vtkLineSourceStaticNew()
{
  return vtkLineSource::New();
}

PyObject *PyVTKClass_vtkLineSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkLineSourceStaticNew,
                        PyvtkLineSourceMethods,
                        (char*)"vtkLineSource",modulename,
                        (char**)vtkLineSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

