// tcl wrapper for vtkLinearExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLinearExtrusionFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLinearExtrusionFilterNewCommand()
{
  vtkLinearExtrusionFilter *temp = vtkLinearExtrusionFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLinearExtrusionFilterCppCommand(vtkLinearExtrusionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLinearExtrusionFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLinearExtrusionFilterCppCommand(static_cast<vtkLinearExtrusionFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLinearExtrusionFilterCppCommand(vtkLinearExtrusionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLinearExtrusionFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLinearExtrusionFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLinearExtrusionFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLinearExtrusionFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLinearExtrusionFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLinearExtrusionFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLinearExtrusionFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetExtrusionType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtrusionType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtrusionTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtrusionTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtrusionTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtrusionTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtrusionType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtrusionType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtrusionTypeToVectorExtrusion",argv[1]))&&(argc == 2))
    {
    op->SetExtrusionTypeToVectorExtrusion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtrusionTypeToNormalExtrusion",argv[1]))&&(argc == 2))
    {
    op->SetExtrusionTypeToNormalExtrusion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtrusionTypeToPointExtrusion",argv[1]))&&(argc == 2))
    {
    op->SetExtrusionTypeToPointExtrusion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CappingOn",argv[1]))&&(argc == 2))
    {
    op->CappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CappingOff",argv[1]))&&(argc == 2))
    {
    op->CappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetVector(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVector",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVector();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExtrusionPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetExtrusionPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtrusionPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetExtrusionPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtrusionPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetExtrusionPoint();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLinearExtrusionFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLinearExtrusionFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtrusionTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtrusionTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtrusionType\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionTypeToVectorExtrusion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionTypeToNormalExtrusion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionTypeToPointExtrusion\n",NULL);
    Tcl_AppendResult(interp,"  SetCapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapping\n",NULL);
    Tcl_AppendResult(interp,"  CappingOn\n",NULL);
    Tcl_AppendResult(interp,"  CappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVector\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtrusionPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtrusionPoint\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionType" );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionType" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToVectorExtrusion" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToNormalExtrusion" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToPointExtrusion" );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionPoint" );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionPoint" );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionPoint" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create object with normal extrusion type, capping on, scale factor=1.0,\n vector (0,0,1), and extrusion point (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLinearExtrusionFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionType */
    if ( strcmp ( argv[2], "SetExtrusionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtrusionTypeMinValue */
    if ( strcmp ( argv[2], "GetExtrusionTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtrusionTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtrusionTypeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetExtrusionTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtrusionTypeMaxValue */
    if ( strcmp ( argv[2], "GetExtrusionTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtrusionTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtrusionTypeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetExtrusionTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtrusionType */
    if ( strcmp ( argv[2], "GetExtrusionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtrusionType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtrusionType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetExtrusionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionTypeToVectorExtrusion */
    if ( strcmp ( argv[2], "SetExtrusionTypeToVectorExtrusion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToVectorExtrusion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionTypeToVectorExtrusion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionTypeToVectorExtrusion ();this SetExtrusionType VTK_VECTOR_EXTRUSION " );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionTypeToVectorExtrusion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionTypeToNormalExtrusion */
    if ( strcmp ( argv[2], "SetExtrusionTypeToNormalExtrusion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToNormalExtrusion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionTypeToNormalExtrusion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionTypeToNormalExtrusion ();this SetExtrusionType VTK_NORMAL_EXTRUSION " );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionTypeToNormalExtrusion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionTypeToPointExtrusion */
    if ( strcmp ( argv[2], "SetExtrusionTypeToPointExtrusion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionTypeToPointExtrusion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionTypeToPointExtrusion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of extrusion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionTypeToPointExtrusion ();this SetExtrusionType VTK_POINT_EXTRUSION " );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionTypeToPointExtrusion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCapping */
    if ( strcmp ( argv[2], "SetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCapping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCapping */
    if ( strcmp ( argv[2], "GetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCapping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOn */
    if ( strcmp ( argv[2], "CappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for CappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOff */
    if ( strcmp ( argv[2], "CappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the capping of the skirt.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for CappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion scale factor,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion scale factor,\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion vector. Only needs to be set if VectorExtrusion is\n turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVector (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion vector. Only needs to be set if VectorExtrusion is\n turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVector (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVector */
    if ( strcmp ( argv[2], "GetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion vector. Only needs to be set if VectorExtrusion is\n turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetVector ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionPoint */
    if ( strcmp ( argv[2], "SetExtrusionPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion point. Only needs to be set if PointExtrusion is\n turned on. This is the point towards which extrusion occurs.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionPoint (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtrusionPoint */
    if ( strcmp ( argv[2], "SetExtrusionPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtrusionPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtrusionPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion point. Only needs to be set if PointExtrusion is\n turned on. This is the point towards which extrusion occurs.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtrusionPoint (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for SetExtrusionPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtrusionPoint */
    if ( strcmp ( argv[2], "GetExtrusionPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtrusionPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtrusionPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get extrusion point. Only needs to be set if PointExtrusion is\n turned on. This is the point towards which extrusion occurs.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetExtrusionPoint ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLinearExtrusionFilter" );
    /* Closing for GetExtrusionPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
