// python wrapper for vtkLoopSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLoopSubdivisionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLoopSubdivisionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLoopSubdivisionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkApproximatingSubdivisionFilterNew(char *); }

static PyObject *PyvtkLoopSubdivisionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLoopSubdivisionFilter *op;

  const char    *temp20;
  op = (vtkLoopSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLoopSubdivisionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLoopSubdivisionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLoopSubdivisionFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkLoopSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLoopSubdivisionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLoopSubdivisionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLoopSubdivisionFilter *op;

  vtkLoopSubdivisionFilter  *temp20;
  op = (vtkLoopSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLoopSubdivisionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLoopSubdivisionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLoopSubdivisionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLoopSubdivisionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLoopSubdivisionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLoopSubdivisionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLoopSubdivisionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLoopSubdivisionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLoopSubdivisionFilter\nC++: vtkLoopSubdivisionFilter *NewInstance ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLoopSubdivisionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLoopSubdivisionFilter\nC++: vtkLoopSubdivisionFilter *SafeDownCast (vtkObject* o);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLoopSubdivisionFilterDoc[] = {
  (char*)"vtkLoopSubdivisionFilter - generate a subdivision surface using the Loop Scheme\n\n",
  "Super Class:\n\n vtkApproximatingSubdivisionFilter\n\n",
  (char*)" vtkLoopSubdivisionFilter is an approximating subdivision scheme that\n creates four new triangles for each triangle in the mesh. The user can\n specify the NumberOfSubdivisions. Loop's subdivision scheme is\n described in: Loop, C., \"Smooth Subdivision surfaces based on\n triangles,\", Masters Thesis, University of Utah, August 1987.\n For a nice summary of the technique see, Hoppe, H., et. al,\n \"Piece",
  (char*)"wise Smooth Surface Reconstruction,:, Proceedings of Siggraph 94\n (Orlando, Florida, July 24-29, 1994). In COmputer Graphics\n Proceedings, Annual COnference Series, 1994, ACM SIGGRAPH,\n pp. 295-302.\n <P>\n The filter only operates on triangles. Users should use the\n vtkTriangleFilter to triangulate meshes that contain polygons or\n triangle strips.\n <P>\n The filter approximates point data using the ",
  (char*)"same scheme. New\n triangles create at a subdivision step will have the cell data of\n their parent cell.\n\n",
  "See Also:\n\n vtkApproximatingSubdivisionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkLoopSubdivisionFilterStaticNew()
{
  return vtkLoopSubdivisionFilter::New();
}

PyObject *PyVTKClass_vtkLoopSubdivisionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkLoopSubdivisionFilterStaticNew,
                        PyvtkLoopSubdivisionFilterMethods,
                        (char*)"vtkLoopSubdivisionFilter",modulename,
                        (char**)vtkLoopSubdivisionFilterDoc,
                        PyVTKClass_vtkApproximatingSubdivisionFilterNew(modulename));
}

