// python wrapper for vtkMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMarchingCubes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMarchingCubesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMarchingCubesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMarchingCubes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  const char    *temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  char    *temp0;
  int      temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  vtkMarchingCubes  *temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMarchingCubes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMarchingCubes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  double   temp1;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  double   temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  double temp1[2];
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  unsigned long     temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetComputeGradients(temp0);
      }
    else
      {
      op->SetComputeGradients(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetComputeGradients();
      }
    else
      {
      temp20 = op->GetComputeGradients();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeGradientsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeGradientsOn();
      }
    else
      {
      op->ComputeGradientsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeGradientsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeGradientsOff();
      }
    else
      {
      op->ComputeGradientsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp0;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  int      temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkMarchingCubes_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  vtkPointLocator  *temp20;
  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingCubes::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingCubes_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingCubes::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMarchingCubesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMarchingCubes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMarchingCubes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMarchingCubes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMarchingCubes\nC++: vtkMarchingCubes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMarchingCubes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMarchingCubes\nC++: vtkMarchingCubes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkMarchingCubes_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkMarchingCubes_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkMarchingCubes_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkMarchingCubes_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkMarchingCubes_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMarchingCubes_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkMarchingCubes_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkMarchingCubes_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkMarchingCubes_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkMarchingCubes_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeGradients",                (PyCFunction)PyvtkMarchingCubes_SetComputeGradients, 1,
   (char*)"V.SetComputeGradients(int)\nC++: void SetComputeGradients (int );\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeGradients",                (PyCFunction)PyvtkMarchingCubes_GetComputeGradients, 1,
   (char*)"V.GetComputeGradients() -> int\nC++: int GetComputeGradients ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOn",                (PyCFunction)PyvtkMarchingCubes_ComputeGradientsOn, 1,
   (char*)"V.ComputeGradientsOn()\nC++: void ComputeGradientsOn ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOff",                (PyCFunction)PyvtkMarchingCubes_ComputeGradientsOff, 1,
   (char*)"V.ComputeGradientsOff()\nC++: void ComputeGradientsOff ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkMarchingCubes_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Set/Get the computation of scalars.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkMarchingCubes_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkMarchingCubes_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkMarchingCubes_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkMarchingCubes_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Overide the default locator.  Useful for changing the number of\n bins for performance or specifying a more aggressive locator.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkMarchingCubes_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Overide the default locator.  Useful for changing the number of\n bins for performance or specifying a more aggressive locator.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkMarchingCubes_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is\n specified. The locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMarchingCubesDoc[] = {
  (char*)"vtkMarchingCubes - generate isosurface(s) from volume\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMarchingCubes is a filter that takes as input a volume (e.g., 3D\n structured point set) and generates on output one or more isosurfaces.\n One or more contour values must be specified to generate the isosurfaces.\n Alternatively, you can specify a min/max scalar range and the number of\n contours to generate a series of evenly spaced contour values.\n\n",
  "Caveats:\n\n This filter is specialized to volumes. If you are interested in \n contouring other types of data, use the general vtkContourFilter. If you\n want to contour an image (i.e., a volume slice), use vtkMarchingSquares.\n\n",
  "See Also:\n\n vtkContourFilter vtkSliceCubes vtkMarchingSquares vtkDividingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkMarchingCubesStaticNew()
{
  return vtkMarchingCubes::New();
}

PyObject *PyVTKClass_vtkMarchingCubesNew(char *modulename)
{
  return PyVTKClass_New(&vtkMarchingCubesStaticNew,
                        PyvtkMarchingCubesMethods,
                        (char*)"vtkMarchingCubes",modulename,
                        (char**)vtkMarchingCubesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

