// python wrapper for vtkMarchingSquares object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMarchingSquares.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMarchingSquaresNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMarchingSquaresNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMarchingSquares_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  const char    *temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  char    *temp0;
  int      temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  vtkMarchingSquares  *temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMarchingSquares  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMarchingSquares::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMarchingSquares_SetImageRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int    temp0[6];
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::SetImageRange(temp0);
      }
    else
      {
      op->SetImageRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::SetImageRange(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetImageRange(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GetImageRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int     *temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetImageRange();
      }
    else
      {
      temp20 = op->GetImageRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  double   temp1;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  double   temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  double temp1[2];
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  unsigned long     temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkMarchingSquares_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  vtkPointLocator  *temp20;
  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMarchingSquares::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMarchingSquares_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMarchingSquares *op;

  op = (vtkMarchingSquares *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMarchingSquares::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMarchingSquaresMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMarchingSquares_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMarchingSquares_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMarchingSquares_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMarchingSquares\nC++: vtkMarchingSquares *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMarchingSquares_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMarchingSquares\nC++: vtkMarchingSquares *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetImageRange",                (PyCFunction)PyvtkMarchingSquares_SetImageRange, 1,
   (char*)"V.SetImageRange((int, int, int, int, int, int))\nC++: void SetImageRange (int  [6]);\nV.SetImageRange(int, int, int, int, int, int)\nC++: void SetImageRange (int imin, int imax, int jmin, int jmax, int kmin, int kmax);\n\n Set/Get the i-j-k index range which define a plane on which to generate \n contour lines. Using this ivar it is possible to input a 3D volume\n directly and then generate contour lines on one of the i-j-k planes, or \n a portion of a plane.\n"},
  {(char*)"GetImageRange",                (PyCFunction)PyvtkMarchingSquares_GetImageRange, 1,
   (char*)"V.GetImageRange() -> (int, int, int, int, int, int)\nC++: int  *GetImageRange ();\n\n Set/Get the i-j-k index range which define a plane on which to generate \n contour lines. Using this ivar it is possible to input a 3D volume\n directly and then generate contour lines on one of the i-j-k planes, or \n a portion of a plane.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkMarchingSquares_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Methods to set contour values\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkMarchingSquares_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Methods to set contour values\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkMarchingSquares_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Methods to set contour values\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkMarchingSquares_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Methods to set contour values\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkMarchingSquares_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Methods to set contour values\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMarchingSquares_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Because we delegate to vtkContourValues\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkMarchingSquares_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkMarchingSquares_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkMarchingSquares_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. \n The locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMarchingSquaresDoc[] = {
  (char*)"vtkMarchingSquares - generate isoline(s) from structured points set\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMarchingSquares is a filter that takes as input a structured points set\n and generates on output one or more isolines.  One or more contour values \n must be specified to generate the isolines.  Alternatively, you can specify \n a min/max scalar range and the number of contours to generate a series of \n evenly spaced contour values. \n\n To generate contour lines the input data must be of topologi",
  (char*)"cal dimension 2 \n (i.e., an image). If not, you can use the ImageRange ivar to select an\n image plane from an input volume. This avoids having to extract a plane first\n (using vtkExtractSubVolume).  The filter deals with this by first\n trying to use the input data directly, and if not a 2D image, then uses the \n ImageRange ivar to reduce it to an image.\n\n",
  "Caveats:\n\n This filter is specialized to images. If you are interested in \n contouring other types of data, use the general vtkContourFilter.\n\n",
  "See Also:\n\n vtkContourFilter vtkMarchingCubes vtkSliceCubes vtkDividingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkMarchingSquaresStaticNew()
{
  return vtkMarchingSquares::New();
}

PyObject *PyVTKClass_vtkMarchingSquaresNew(char *modulename)
{
  return PyVTKClass_New(&vtkMarchingSquaresStaticNew,
                        PyvtkMarchingSquaresMethods,
                        (char*)"vtkMarchingSquares",modulename,
                        (char**)vtkMarchingSquaresDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

