// python wrapper for vtkMaskFields object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMaskFields.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMaskFieldsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMaskFieldsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMaskFields_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  const char    *temp20;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskFields::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  char    *temp0;
  int      temp20;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskFields::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  vtkMaskFields  *temp20;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskFields::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMaskFields  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMaskFields::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyFieldOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  int      temp0;
  char    *temp1;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldOn(temp0,temp1);
      }
    else
      {
      op->CopyFieldOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldOn(temp0,temp1);
      }
    else
      {
      op->CopyFieldOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyFieldOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  int      temp0;
  char    *temp1;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldOff(temp0,temp1);
      }
    else
      {
      op->CopyFieldOff(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldOff(temp0,temp1);
      }
    else
      {
      op->CopyFieldOff(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAttributeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  int      temp0;
  int      temp1;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributeOn(temp0,temp1);
      }
    else
      {
      op->CopyAttributeOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributeOn(temp0,temp1);
      }
    else
      {
      op->CopyAttributeOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAttributeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  int      temp0;
  int      temp1;
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributeOff(temp0,temp1);
      }
    else
      {
      op->CopyAttributeOff(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributeOff(temp0,temp1);
      }
    else
      {
      op->CopyAttributeOff(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyFieldsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldsOff();
      }
    else
      {
      op->CopyFieldsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAttributesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributesOff();
      }
    else
      {
      op->CopyAttributesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyFieldsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyFieldsOn();
      }
    else
      {
      op->CopyFieldsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAttributesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAttributesOn();
      }
    else
      {
      op->CopyAttributesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAllOn();
      }
    else
      {
      op->CopyAllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskFields_CopyAllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskFields *op;

  op = (vtkMaskFields *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskFields::CopyAllOff();
      }
    else
      {
      op->CopyAllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMaskFieldsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMaskFields_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMaskFields_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMaskFields_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMaskFields\nC++: vtkMaskFields *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMaskFields_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMaskFields\nC++: vtkMaskFields *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CopyFieldOn",                (PyCFunction)PyvtkMaskFields_CopyFieldOn, 1,
   (char*)"V.CopyFieldOn(int, string)\nC++: void CopyFieldOn (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name \nV.CopyFieldOn(string, string)\nC++: void CopyFieldOn (const char *fieldLoc, const char *name);\n\n Turn on/off the copying of the field or specified by name.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n A field name and a location must be specified. For example:\n @verbatim\n maskFields->CopyFieldOff(vtkMaskFields::CELL_DATA, \"foo\");\n @endverbatim\n causes the field \"foo\" on the input cell data to not get copied\n to the output.\n"},
  {(char*)"CopyFieldOff",                (PyCFunction)PyvtkMaskFields_CopyFieldOff, 1,
   (char*)"V.CopyFieldOff(int, string)\nC++: void CopyFieldOff (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name \nV.CopyFieldOff(string, string)\nC++: void CopyFieldOff (const char *fieldLoc, const char *name);\n\n Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n An attribute type and a location must be specified. For example:\n @verbatim\n maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA, vtkDataSetAttributes::SCALARS);\n @endverbatim\n causes the scalars on the input point data to not get copied\n to the output.\n"},
  {(char*)"CopyAttributeOn",                (PyCFunction)PyvtkMaskFields_CopyAttributeOn, 1,
   (char*)"V.CopyAttributeOn(int, int)\nC++: void CopyAttributeOn (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType \nV.CopyAttributeOn(string, string)\nC++: void CopyAttributeOn (const char *attributeLoc, const char *attributeType);\n\n Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n An attribute type and a location must be specified. For example:\n @verbatim\n maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA, vtkDataSetAttributes::SCALARS);\n @endverbatim\n causes the scalars on the input point data to not get copied\n to the output.\n"},
  {(char*)"CopyAttributeOff",                (PyCFunction)PyvtkMaskFields_CopyAttributeOff, 1,
   (char*)"V.CopyAttributeOff(int, int)\nC++: void CopyAttributeOff (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType \nV.CopyAttributeOff(string, string)\nC++: void CopyAttributeOff (const char *attributeLoc, const char *attributeType);\n\n Convenience methods which operate on all field data or \n attribute data.  More specific than CopyAllOn or CopyAllOff\n"},
  {(char*)"CopyFieldsOff",                (PyCFunction)PyvtkMaskFields_CopyFieldsOff, 1,
   (char*)"V.CopyFieldsOff()\nC++: void CopyFieldsOff ();this CopyFields \n\n Convenience methods which operate on all field data or \n attribute data.  More specific than CopyAllOn or CopyAllOff\n"},
  {(char*)"CopyAttributesOff",                (PyCFunction)PyvtkMaskFields_CopyAttributesOff, 1,
   (char*)"V.CopyAttributesOff()\nC++: void CopyAttributesOff ();this CopyAttributes \n\n"},
  {(char*)"CopyFieldsOn",                (PyCFunction)PyvtkMaskFields_CopyFieldsOn, 1,
   (char*)"V.CopyFieldsOn()\nC++: void CopyFieldsOn ();this CopyFields \n\n"},
  {(char*)"CopyAttributesOn",                (PyCFunction)PyvtkMaskFields_CopyAttributesOn, 1,
   (char*)"V.CopyAttributesOn()\nC++: void CopyAttributesOn ();this CopyAttributes \n\n Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n"},
  {(char*)"CopyAllOn",                (PyCFunction)PyvtkMaskFields_CopyAllOn, 1,
   (char*)"V.CopyAllOn()\nC++: virtual void CopyAllOn ();\n\n Turn on copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOff",                (PyCFunction)PyvtkMaskFields_CopyAllOff, 1,
   (char*)"V.CopyAllOff()\nC++: virtual void CopyAllOff ();\n\n Turn off copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMaskFieldsDoc[] = {
  (char*)"vtkMaskFields - Allow control of which fields get passed\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMaskFields is used to mark which fields in the input dataset\n get copied to the output.  The output will contain only those fields\n marked as on by the filter.\n\n",
  "See Also:\n\n vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter\n vtkDataSetAttributes vtkDataArray vtkRearrangeFields\n vtkSplitField vtkMergeFields vtkAssignAttribute\n\n",
  NULL
};

static vtkObjectBase *vtkMaskFieldsStaticNew()
{
  return vtkMaskFields::New();
}

PyObject *PyVTKClass_vtkMaskFieldsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMaskFieldsStaticNew,
                        PyvtkMaskFieldsMethods,
                        (char*)"vtkMaskFields",modulename,
                        (char**)vtkMaskFieldsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

