// tcl wrapper for vtkMaskFields object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMaskFields.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMaskFieldsNewCommand()
{
  vtkMaskFields *temp = vtkMaskFields::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMaskFieldsCppCommand(vtkMaskFields *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMaskFieldsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMaskFieldsCppCommand(static_cast<vtkMaskFields *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMaskFieldsCppCommand(vtkMaskFields *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMaskFields",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMaskFields  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskFields");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMaskFields  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskFields");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMaskFields  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskFields");
    return TCL_OK;
    }
  if ((!strcmp("CopyFieldOn",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->CopyFieldOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFieldOff",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->CopyFieldOff(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAttributeOn",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CopyAttributeOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAttributeOff",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CopyAttributeOff(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFieldsOff",argv[1]))&&(argc == 2))
    {
    op->CopyFieldsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAttributesOff",argv[1]))&&(argc == 2))
    {
    op->CopyAttributesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyFieldsOn",argv[1]))&&(argc == 2))
    {
    op->CopyFieldsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAttributesOn",argv[1]))&&(argc == 2))
    {
    op->CopyAttributesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAttributeOn",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->CopyAttributeOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAttributeOff",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->CopyAttributeOff(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFieldOn",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->CopyFieldOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFieldOff",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->CopyFieldOff(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAllOn",argv[1]))&&(argc == 2))
    {
    op->CopyAllOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAllOff",argv[1]))&&(argc == 2))
    {
    op->CopyAllOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMaskFieldsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMaskFields:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldOff\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributeOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributeOff\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldsOff\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributesOff\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributesOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributeOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyAttributeOff\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyFieldOff\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOn" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOff" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldsOff" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributesOff" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldsOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributesOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOff" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOn" );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOff" );
    Tcl_DStringAppendElement ( &dString, "CopyAllOn" );
    Tcl_DStringAppendElement ( &dString, "CopyAllOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create a new vtkMaskFields.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMaskFields *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldOn */
    if ( strcmp ( argv[2], "CopyFieldOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of the field or specified by name.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n A field name and a location must be specified. For example:\n @verbatim\n maskFields->CopyFieldOff(vtkMaskFields::CELL_DATA, \"foo\");\n @endverbati ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldOn (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldOff */
    if ( strcmp ( argv[2], "CopyFieldOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n An attribute type and a location must be specified. For example:\n @verbatim\n maskFields->CopyAttributeOff(vtkMa ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldOff (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributeOn */
    if ( strcmp ( argv[2], "CopyAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributeOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n An attribute type and a location must be specified. For example:\n @verbatim\n maskFields->CopyAttributeOff(vtkMa ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributeOn (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributeOff */
    if ( strcmp ( argv[2], "CopyAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributeOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods which operate on all field data or \n attribute data.  More specific than CopyAllOn or CopyAllOff\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributeOff (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldsOff */
    if ( strcmp ( argv[2], "CopyFieldsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldsOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods which operate on all field data or \n attribute data.  More specific than CopyAllOn or CopyAllOff\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldsOff ();this CopyFields " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributesOff */
    if ( strcmp ( argv[2], "CopyAttributesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributesOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributesOff ();this CopyAttributes " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldsOn */
    if ( strcmp ( argv[2], "CopyFieldsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldsOn ();this CopyFields " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributesOn */
    if ( strcmp ( argv[2], "CopyAttributesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributesOn */
    Tcl_DStringAppendElement ( &dString, " Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributesOn ();this CopyAttributes " );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributeOn */
    if ( strcmp ( argv[2], "CopyAttributeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributeOn */
    Tcl_DStringAppendElement ( &dString, " Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributeOn (const char *attributeLoc, const char *attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAttributeOff */
    if ( strcmp ( argv[2], "CopyAttributeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAttributeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAttributeOff */
    Tcl_DStringAppendElement ( &dString, " Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAttributeOff (const char *attributeLoc, const char *attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAttributeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldOn */
    if ( strcmp ( argv[2], "CopyFieldOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldOn */
    Tcl_DStringAppendElement ( &dString, " Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldOn (const char *fieldLoc, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFieldOff */
    if ( strcmp ( argv[2], "CopyFieldOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFieldOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFieldOff */
    Tcl_DStringAppendElement ( &dString, " Helper methods used by other language bindings. Allows the caller to\n specify arguments as strings instead of enums.\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFieldOff (const char *fieldLoc, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyFieldOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllOn */
    if ( strcmp ( argv[2], "CopyAllOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllOn */
    Tcl_DStringAppendElement ( &dString, " Turn on copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyAllOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAllOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllOff */
    if ( strcmp ( argv[2], "CopyAllOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllOff */
    Tcl_DStringAppendElement ( &dString, " Turn off copying of all data.\n During the copying/passing, the following rules are followed for each\n array:\n 1. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 2.\n 2. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyAllOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskFields" );
    /* Closing for CopyAllOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
