// python wrapper for vtkMaskPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMaskPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMaskPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMaskPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMaskPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  const char    *temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkMaskPoints  *temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMaskPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMaskPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetOnRatio(temp0);
      }
    else
      {
      op->SetOnRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOnRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOnRatioMinValue();
      }
    else
      {
      temp20 = op->GetOnRatioMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOnRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOnRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOnRatioMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOnRatio();
      }
    else
      {
      temp20 = op->GetOnRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetMaximumNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetMaximumNumberOfPoints(temp0);
      }
    else
      {
      op->SetMaximumNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetMaximumNumberOfPointsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetMaximumNumberOfPointsMinValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPointsMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetMaximumNumberOfPointsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetMaximumNumberOfPointsMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPointsMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetMaximumNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetMaximumNumberOfPoints();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  vtkIdType   temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetRandomMode(temp0);
      }
    else
      {
      op->SetRandomMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetRandomMode();
      }
    else
      {
      temp20 = op->GetRandomMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_RandomModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::RandomModeOn();
      }
    else
      {
      op->RandomModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_RandomModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::RandomModeOff();
      }
    else
      {
      op->RandomModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetGenerateVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetGenerateVertices(temp0);
      }
    else
      {
      op->SetGenerateVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetGenerateVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetGenerateVertices();
      }
    else
      {
      temp20 = op->GetGenerateVertices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GenerateVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::GenerateVerticesOn();
      }
    else
      {
      op->GenerateVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GenerateVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::GenerateVerticesOff();
      }
    else
      {
      op->GenerateVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SetSingleVertexPerCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp0;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SetSingleVertexPerCell(temp0);
      }
    else
      {
      op->SetSingleVertexPerCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_GetSingleVertexPerCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  int      temp20;
  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPoints::GetSingleVertexPerCell();
      }
    else
      {
      temp20 = op->GetSingleVertexPerCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SingleVertexPerCellOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SingleVertexPerCellOn();
      }
    else
      {
      op->SingleVertexPerCellOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPoints_SingleVertexPerCellOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPoints *op;

  op = (vtkMaskPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPoints::SingleVertexPerCellOff();
      }
    else
      {
      op->SingleVertexPerCellOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMaskPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMaskPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMaskPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMaskPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMaskPoints\nC++: vtkMaskPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMaskPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMaskPoints\nC++: vtkMaskPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOnRatio",                (PyCFunction)PyvtkMaskPoints_SetOnRatio, 1,
   (char*)"V.SetOnRatio(int)\nC++: void SetOnRatio (int );\n\n Turn on every nth point.\n"},
  {(char*)"GetOnRatioMinValue",                (PyCFunction)PyvtkMaskPoints_GetOnRatioMinValue, 1,
   (char*)"V.GetOnRatioMinValue() -> int\nC++: int GetOnRatioMinValue ();\n\n Turn on every nth point.\n"},
  {(char*)"GetOnRatioMaxValue",                (PyCFunction)PyvtkMaskPoints_GetOnRatioMaxValue, 1,
   (char*)"V.GetOnRatioMaxValue() -> int\nC++: int GetOnRatioMaxValue ();\n\n Turn on every nth point.\n"},
  {(char*)"GetOnRatio",                (PyCFunction)PyvtkMaskPoints_GetOnRatio, 1,
   (char*)"V.GetOnRatio() -> int\nC++: int GetOnRatio ();\n\n Turn on every nth point.\n"},
  {(char*)"SetMaximumNumberOfPoints",                (PyCFunction)PyvtkMaskPoints_SetMaximumNumberOfPoints, 1,
   (char*)"V.SetMaximumNumberOfPoints(int)\nC++: void SetMaximumNumberOfPoints (vtkIdType );\n\n Limit the number of points that can be passed through.\n"},
  {(char*)"GetMaximumNumberOfPointsMinValue",                (PyCFunction)PyvtkMaskPoints_GetMaximumNumberOfPointsMinValue, 1,
   (char*)"V.GetMaximumNumberOfPointsMinValue() -> int\nC++: vtkIdType GetMaximumNumberOfPointsMinValue ();\n\n Limit the number of points that can be passed through.\n"},
  {(char*)"GetMaximumNumberOfPointsMaxValue",                (PyCFunction)PyvtkMaskPoints_GetMaximumNumberOfPointsMaxValue, 1,
   (char*)"V.GetMaximumNumberOfPointsMaxValue() -> int\nC++: vtkIdType GetMaximumNumberOfPointsMaxValue ();\n\n Limit the number of points that can be passed through.\n"},
  {(char*)"GetMaximumNumberOfPoints",                (PyCFunction)PyvtkMaskPoints_GetMaximumNumberOfPoints, 1,
   (char*)"V.GetMaximumNumberOfPoints() -> int\nC++: vtkIdType GetMaximumNumberOfPoints ();\n\n Limit the number of points that can be passed through.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkMaskPoints_SetOffset, 1,
   (char*)"V.SetOffset(int)\nC++: void SetOffset (vtkIdType );\n\n Start with this point.\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkMaskPoints_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> int\nC++: vtkIdType GetOffsetMinValue ();\n\n Start with this point.\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkMaskPoints_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> int\nC++: vtkIdType GetOffsetMaxValue ();\n\n Start with this point.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkMaskPoints_GetOffset, 1,
   (char*)"V.GetOffset() -> int\nC++: vtkIdType GetOffset ();\n\n Start with this point.\n"},
  {(char*)"SetRandomMode",                (PyCFunction)PyvtkMaskPoints_SetRandomMode, 1,
   (char*)"V.SetRandomMode(int)\nC++: void SetRandomMode (int );\n\n Special flag causes randomization of point selection. If this mode is on,\n statistically every nth point (i.e., OnRatio) will be displayed.\n"},
  {(char*)"GetRandomMode",                (PyCFunction)PyvtkMaskPoints_GetRandomMode, 1,
   (char*)"V.GetRandomMode() -> int\nC++: int GetRandomMode ();\n\n Special flag causes randomization of point selection. If this mode is on,\n statistically every nth point (i.e., OnRatio) will be displayed.\n"},
  {(char*)"RandomModeOn",                (PyCFunction)PyvtkMaskPoints_RandomModeOn, 1,
   (char*)"V.RandomModeOn()\nC++: void RandomModeOn ();\n\n Special flag causes randomization of point selection. If this mode is on,\n statistically every nth point (i.e., OnRatio) will be displayed.\n"},
  {(char*)"RandomModeOff",                (PyCFunction)PyvtkMaskPoints_RandomModeOff, 1,
   (char*)"V.RandomModeOff()\nC++: void RandomModeOff ();\n\n Special flag causes randomization of point selection. If this mode is on,\n statistically every nth point (i.e., OnRatio) will be displayed.\n"},
  {(char*)"SetGenerateVertices",                (PyCFunction)PyvtkMaskPoints_SetGenerateVertices, 1,
   (char*)"V.SetGenerateVertices(int)\nC++: void SetGenerateVertices (int );\n\n Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n"},
  {(char*)"GetGenerateVertices",                (PyCFunction)PyvtkMaskPoints_GetGenerateVertices, 1,
   (char*)"V.GetGenerateVertices() -> int\nC++: int GetGenerateVertices ();\n\n Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n"},
  {(char*)"GenerateVerticesOn",                (PyCFunction)PyvtkMaskPoints_GenerateVerticesOn, 1,
   (char*)"V.GenerateVerticesOn()\nC++: void GenerateVerticesOn ();\n\n Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n"},
  {(char*)"GenerateVerticesOff",                (PyCFunction)PyvtkMaskPoints_GenerateVerticesOff, 1,
   (char*)"V.GenerateVerticesOff()\nC++: void GenerateVerticesOff ();\n\n Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n"},
  {(char*)"SetSingleVertexPerCell",                (PyCFunction)PyvtkMaskPoints_SetSingleVertexPerCell, 1,
   (char*)"V.SetSingleVertexPerCell(int)\nC++: void SetSingleVertexPerCell (int );\n\n When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have a single\n vertex per cell, enable this flag.\n"},
  {(char*)"GetSingleVertexPerCell",                (PyCFunction)PyvtkMaskPoints_GetSingleVertexPerCell, 1,
   (char*)"V.GetSingleVertexPerCell() -> int\nC++: int GetSingleVertexPerCell ();\n\n When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have a single\n vertex per cell, enable this flag.\n"},
  {(char*)"SingleVertexPerCellOn",                (PyCFunction)PyvtkMaskPoints_SingleVertexPerCellOn, 1,
   (char*)"V.SingleVertexPerCellOn()\nC++: void SingleVertexPerCellOn ();\n\n When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have a single\n vertex per cell, enable this flag.\n"},
  {(char*)"SingleVertexPerCellOff",                (PyCFunction)PyvtkMaskPoints_SingleVertexPerCellOff, 1,
   (char*)"V.SingleVertexPerCellOff()\nC++: void SingleVertexPerCellOff ();\n\n When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have a single\n vertex per cell, enable this flag.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMaskPointsDoc[] = {
  (char*)"vtkMaskPoints - selectively filter points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMaskPoints is a filter that passes through points and point attributes \n from input dataset. (Other geometry is not passed through.) It is \n possible to mask every nth point, and to specify an initial offset\n to begin masking from. A special random mode feature enables random \n selection of points. The filter can also generate vertices (topological\n primitives) as well as points. This is usefu",
  (char*)"l because vertices are\n rendered while points are not.\n\n",
  NULL
};

static vtkObjectBase *vtkMaskPointsStaticNew()
{
  return vtkMaskPoints::New();
}

PyObject *PyVTKClass_vtkMaskPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMaskPointsStaticNew,
                        PyvtkMaskPointsMethods,
                        (char*)"vtkMaskPoints",modulename,
                        (char**)vtkMaskPointsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

