// python wrapper for vtkMaskPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMaskPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMaskPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMaskPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMaskPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  const char    *temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  vtkMaskPolyData  *temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMaskPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMaskPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMaskPolyData_SetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  int      temp0;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPolyData::SetOnRatio(temp0);
      }
    else
      {
      op->SetOnRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOnRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  int      temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOnRatioMinValue();
      }
    else
      {
      temp20 = op->GetOnRatioMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOnRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  int      temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOnRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOnRatioMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  int      temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOnRatio();
      }
    else
      {
      temp20 = op->GetOnRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  vtkIdType   temp0;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMaskPolyData::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  vtkIdType   temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  vtkIdType   temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMaskPolyData_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMaskPolyData *op;

  vtkIdType   temp20;
  op = (vtkMaskPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMaskPolyData::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMaskPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMaskPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMaskPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMaskPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMaskPolyData\nC++: vtkMaskPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMaskPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMaskPolyData\nC++: vtkMaskPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOnRatio",                (PyCFunction)PyvtkMaskPolyData_SetOnRatio, 1,
   (char*)"V.SetOnRatio(int)\nC++: void SetOnRatio (int );\n\n Turn on every nth entity (cell).\n"},
  {(char*)"GetOnRatioMinValue",                (PyCFunction)PyvtkMaskPolyData_GetOnRatioMinValue, 1,
   (char*)"V.GetOnRatioMinValue() -> int\nC++: int GetOnRatioMinValue ();\n\n Turn on every nth entity (cell).\n"},
  {(char*)"GetOnRatioMaxValue",                (PyCFunction)PyvtkMaskPolyData_GetOnRatioMaxValue, 1,
   (char*)"V.GetOnRatioMaxValue() -> int\nC++: int GetOnRatioMaxValue ();\n\n Turn on every nth entity (cell).\n"},
  {(char*)"GetOnRatio",                (PyCFunction)PyvtkMaskPolyData_GetOnRatio, 1,
   (char*)"V.GetOnRatio() -> int\nC++: int GetOnRatio ();\n\n Turn on every nth entity (cell).\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkMaskPolyData_SetOffset, 1,
   (char*)"V.SetOffset(int)\nC++: void SetOffset (vtkIdType );\n\n Start with this entity (cell).\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkMaskPolyData_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> int\nC++: vtkIdType GetOffsetMinValue ();\n\n Start with this entity (cell).\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkMaskPolyData_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> int\nC++: vtkIdType GetOffsetMaxValue ();\n\n Start with this entity (cell).\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkMaskPolyData_GetOffset, 1,
   (char*)"V.GetOffset() -> int\nC++: vtkIdType GetOffset ();\n\n Start with this entity (cell).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMaskPolyDataDoc[] = {
  (char*)"vtkMaskPolyData - sample subset of input polygonal data cells\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMaskPolyData is a filter that sub-samples the cells of input polygonal\n data. The user specifies every nth item, with an initial offset to begin\n sampling. \n\n",
  "See Also:\n\n vtkMaskPoints\n\n",
  NULL
};

static vtkObjectBase *vtkMaskPolyDataStaticNew()
{
  return vtkMaskPolyData::New();
}

PyObject *PyVTKClass_vtkMaskPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkMaskPolyDataStaticNew,
                        PyvtkMaskPolyDataMethods,
                        (char*)"vtkMaskPolyData",modulename,
                        (char**)vtkMaskPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

