// python wrapper for vtkMassProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMassProperties.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMassPropertiesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMassPropertiesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMassProperties_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  const char    *temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  char    *temp0;
  int      temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  vtkMassProperties  *temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMassProperties  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMassProperties::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMassProperties_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetVolumeProjected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetVolumeProjected();
      }
    else
      {
      temp20 = op->GetVolumeProjected();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetVolumeX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetVolumeX();
      }
    else
      {
      temp20 = op->GetVolumeX();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetVolumeY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetVolumeY();
      }
    else
      {
      temp20 = op->GetVolumeY();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetVolumeZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetVolumeZ();
      }
    else
      {
      temp20 = op->GetVolumeZ();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetKx(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetKx();
      }
    else
      {
      temp20 = op->GetKx();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetKy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetKy();
      }
    else
      {
      temp20 = op->GetKy();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetKz(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetKz();
      }
    else
      {
      temp20 = op->GetKz();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetSurfaceArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetSurfaceArea();
      }
    else
      {
      temp20 = op->GetSurfaceArea();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetMinCellArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetMinCellArea();
      }
    else
      {
      temp20 = op->GetMinCellArea();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetMaxCellArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetMaxCellArea();
      }
    else
      {
      temp20 = op->GetMaxCellArea();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMassProperties_GetNormalizedShapeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMassProperties *op;

  double   temp20;
  op = (vtkMassProperties *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMassProperties::GetNormalizedShapeIndex();
      }
    else
      {
      temp20 = op->GetNormalizedShapeIndex();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMassPropertiesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMassProperties_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMassProperties_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMassProperties_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMassProperties\nC++: vtkMassProperties *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMassProperties_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMassProperties\nC++: vtkMassProperties *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkMassProperties_GetVolume, 1,
   (char*)"V.GetVolume() -> float\nC++: double GetVolume ();this Update return this Volume \n\n Compute and return the projected volume.\n Typically you should compare this volume to the value returned by GetVolume\n if you get an error (GetVolume()-GetVolumeProjected())*10000 that is greater\n than GetVolume() this should identify a problem:\n * Either the polydata is not closed\n * Or the polydata contains triangle that are flipped\n"},
  {(char*)"GetVolumeProjected",                (PyCFunction)PyvtkMassProperties_GetVolumeProjected, 1,
   (char*)"V.GetVolumeProjected() -> float\nC++: double GetVolumeProjected ();this Update return this VolumeProjected \n\n Compute and return the volume projected on to each axis aligned plane.\n"},
  {(char*)"GetVolumeX",                (PyCFunction)PyvtkMassProperties_GetVolumeX, 1,
   (char*)"V.GetVolumeX() -> float\nC++: double GetVolumeX ();this Update return this VolumeX \n\n Compute and return the volume projected on to each axis aligned plane.\n"},
  {(char*)"GetVolumeY",                (PyCFunction)PyvtkMassProperties_GetVolumeY, 1,
   (char*)"V.GetVolumeY() -> float\nC++: double GetVolumeY ();this Update return this VolumeY \n\n Compute and return the volume projected on to each axis aligned plane.\n"},
  {(char*)"GetVolumeZ",                (PyCFunction)PyvtkMassProperties_GetVolumeZ, 1,
   (char*)"V.GetVolumeZ() -> float\nC++: double GetVolumeZ ();this Update return this VolumeZ \n\n Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n"},
  {(char*)"GetKx",                (PyCFunction)PyvtkMassProperties_GetKx, 1,
   (char*)"V.GetKx() -> float\nC++: double GetKx ();this Update return this Kx \n\n Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n"},
  {(char*)"GetKy",                (PyCFunction)PyvtkMassProperties_GetKy, 1,
   (char*)"V.GetKy() -> float\nC++: double GetKy ();this Update return this Ky \n\n Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n"},
  {(char*)"GetKz",                (PyCFunction)PyvtkMassProperties_GetKz, 1,
   (char*)"V.GetKz() -> float\nC++: double GetKz ();this Update return this Kz \n\n Compute and return the area.\n"},
  {(char*)"GetSurfaceArea",                (PyCFunction)PyvtkMassProperties_GetSurfaceArea, 1,
   (char*)"V.GetSurfaceArea() -> float\nC++: double GetSurfaceArea ();this Update return this SurfaceArea \n\n Compute and return the min cell area.\n"},
  {(char*)"GetMinCellArea",                (PyCFunction)PyvtkMassProperties_GetMinCellArea, 1,
   (char*)"V.GetMinCellArea() -> float\nC++: double GetMinCellArea ();this Update return this MinCellArea \n\n Compute and return the max cell area.\n"},
  {(char*)"GetMaxCellArea",                (PyCFunction)PyvtkMassProperties_GetMaxCellArea, 1,
   (char*)"V.GetMaxCellArea() -> float\nC++: double GetMaxCellArea ();this Update return this MaxCellArea \n\n Compute and return the normalized shape index. This characterizes the\n deviation of the shape of an object from a sphere. A sphere's NSI\n is one. This number is always >= 1.0.\n"},
  {(char*)"GetNormalizedShapeIndex",                (PyCFunction)PyvtkMassProperties_GetNormalizedShapeIndex, 1,
   (char*)"V.GetNormalizedShapeIndex() -> float\nC++: double GetNormalizedShapeIndex ();this Update return this NormalizedShapeIndex \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMassPropertiesDoc[] = {
  (char*)"vtkMassProperties - estimate volume, area, shape index of triangle mesh\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMassProperties estimates the volume, the surface area, and the\n normalized shape index of a triangle mesh.  The algorithm\n implemented here is based on the discrete form of the divergence\n theorem.  The general assumption here is that the model is of\n closed surface.  For more details see the following reference\n (Alyassin A.M. et al, \"Evaluation of new algorithms for the\n interactive measurem",
  (char*)"ent of surface area and volume\", Med Phys 21(6)\n 1994.).\n\n",
  "Caveats:\n\n Currently only triangles are processed. Use vtkTriangleFilter to\n convert any strips or polygons to triangles.\n\n",
  "See Also:\n\n vtkTriangleFilter\n\n",
  NULL
};

static vtkObjectBase *vtkMassPropertiesStaticNew()
{
  return vtkMassProperties::New();
}

PyObject *PyVTKClass_vtkMassPropertiesNew(char *modulename)
{
  return PyVTKClass_New(&vtkMassPropertiesStaticNew,
                        PyvtkMassPropertiesMethods,
                        (char*)"vtkMassProperties",modulename,
                        (char**)vtkMassPropertiesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

