// tcl wrapper for vtkMassProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMassProperties.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMassPropertiesNewCommand()
{
  vtkMassProperties *temp = vtkMassProperties::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMassPropertiesCppCommand(vtkMassProperties *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMassPropertiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMassPropertiesCppCommand(static_cast<vtkMassProperties *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMassPropertiesCppCommand(vtkMassProperties *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMassProperties",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMassProperties  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMassProperties");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMassProperties  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMassProperties");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMassProperties  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMassProperties");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolume();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeProjected",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeProjected();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeX",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeX();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeY",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeY();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumeZ",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeZ();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKx",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKx();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKy",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKy();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKz",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKz();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSurfaceArea",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSurfaceArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinCellArea",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinCellArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellArea",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxCellArea();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalizedShapeIndex",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNormalizedShapeIndex();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMassPropertiesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMassProperties:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeProjected\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeX\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeY\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeZ\n",NULL);
    Tcl_AppendResult(interp,"  GetKx\n",NULL);
    Tcl_AppendResult(interp,"  GetKy\n",NULL);
    Tcl_AppendResult(interp,"  GetKz\n",NULL);
    Tcl_AppendResult(interp,"  GetSurfaceArea\n",NULL);
    Tcl_AppendResult(interp,"  GetMinCellArea\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellArea\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizedShapeIndex\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeProjected" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeX" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeY" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeZ" );
    Tcl_DStringAppendElement ( &dString, "GetKx" );
    Tcl_DStringAppendElement ( &dString, "GetKy" );
    Tcl_DStringAppendElement ( &dString, "GetKz" );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArea" );
    Tcl_DStringAppendElement ( &dString, "GetMinCellArea" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellArea" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedShapeIndex" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Constructs with initial values of zero.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMassProperties *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolume */
    if ( strcmp ( argv[2], "GetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolume */
    Tcl_DStringAppendElement ( &dString, " Compute and return the projected volume.\n Typically you should compare this volume to the value returned by GetVolume\n if you get an error (GetVolume()-GetVolumeProjected())*10000 that is greater\n than GetVolume() this should identify a problem:\n * Either the polydata is not closed\n * Or the polydata contains triangle that are flipped\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolume ();this Update return this Volume " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeProjected */
    if ( strcmp ( argv[2], "GetVolumeProjected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeProjected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeProjected */
    Tcl_DStringAppendElement ( &dString, " Compute and return the volume projected on to each axis aligned plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeProjected ();this Update return this VolumeProjected " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetVolumeProjected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeX */
    if ( strcmp ( argv[2], "GetVolumeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeX */
    Tcl_DStringAppendElement ( &dString, " Compute and return the volume projected on to each axis aligned plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeX ();this Update return this VolumeX " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetVolumeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeY */
    if ( strcmp ( argv[2], "GetVolumeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeY */
    Tcl_DStringAppendElement ( &dString, " Compute and return the volume projected on to each axis aligned plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeY ();this Update return this VolumeY " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetVolumeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeZ */
    if ( strcmp ( argv[2], "GetVolumeZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeZ */
    Tcl_DStringAppendElement ( &dString, " Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeZ ();this Update return this VolumeZ " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetVolumeZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKx */
    if ( strcmp ( argv[2], "GetKx" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKx" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKx */
    Tcl_DStringAppendElement ( &dString, " Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKx ();this Update return this Kx " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetKx */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKy */
    if ( strcmp ( argv[2], "GetKy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKy */
    Tcl_DStringAppendElement ( &dString, " Compute and return the weighting factors for the maximum unit\n normal component (MUNC).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKy ();this Update return this Ky " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetKy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKz */
    if ( strcmp ( argv[2], "GetKz" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKz" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKz */
    Tcl_DStringAppendElement ( &dString, " Compute and return the area.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetKz ();this Update return this Kz " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetKz */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSurfaceArea */
    if ( strcmp ( argv[2], "GetSurfaceArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSurfaceArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSurfaceArea */
    Tcl_DStringAppendElement ( &dString, " Compute and return the min cell area.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSurfaceArea ();this Update return this SurfaceArea " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetSurfaceArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinCellArea */
    if ( strcmp ( argv[2], "GetMinCellArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinCellArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinCellArea */
    Tcl_DStringAppendElement ( &dString, " Compute and return the max cell area.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinCellArea ();this Update return this MinCellArea " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetMinCellArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellArea */
    if ( strcmp ( argv[2], "GetMaxCellArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellArea */
    Tcl_DStringAppendElement ( &dString, " Compute and return the normalized shape index. This characterizes the\n deviation of the shape of an object from a sphere. A sphere's NSI\n is one. This number is always >= 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxCellArea ();this Update return this MaxCellArea " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetMaxCellArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizedShapeIndex */
    if ( strcmp ( argv[2], "GetNormalizedShapeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizedShapeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizedShapeIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetNormalizedShapeIndex ();this Update return this NormalizedShapeIndex " );
    Tcl_DStringAppendElement ( &dString, "vtkMassProperties" );
    /* Closing for GetNormalizedShapeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
