// python wrapper for vtkMergeCells object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergeCells.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeCellsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeCellsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMergeCells_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  const char    *temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkMergeCells  *temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeCells  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeCells::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeCells_SetUnstructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetUnstructuredGrid(temp0);
      }
    else
      {
      op->SetUnstructuredGrid(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMergeCells_GetUnstructuredGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetUnstructuredGrid();
      }
    else
      {
      temp20 = op->GetUnstructuredGrid();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetTotalNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkIdType   temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetTotalNumberOfCells(temp0);
      }
    else
      {
      op->SetTotalNumberOfCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetTotalNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkIdType   temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetTotalNumberOfCells();
      }
    else
      {
      temp20 = op->GetTotalNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetTotalNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkIdType   temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetTotalNumberOfPoints(temp0);
      }
    else
      {
      op->SetTotalNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetTotalNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkIdType   temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetTotalNumberOfPoints();
      }
    else
      {
      temp20 = op->GetTotalNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetUseGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetUseGlobalIds(temp0);
      }
    else
      {
      op->SetUseGlobalIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetUseGlobalIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetUseGlobalIds();
      }
    else
      {
      temp20 = op->GetUseGlobalIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetPointMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  float    temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetPointMergeTolerance(temp0);
      }
    else
      {
      op->SetPointMergeTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetPointMergeToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  float    temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetPointMergeToleranceMinValue();
      }
    else
      {
      temp20 = op->GetPointMergeToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetPointMergeToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  float    temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetPointMergeToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetPointMergeToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetPointMergeTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  float    temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetPointMergeTolerance();
      }
    else
      {
      temp20 = op->GetPointMergeTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetUseGlobalCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetUseGlobalCellIds(temp0);
      }
    else
      {
      op->SetUseGlobalCellIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetUseGlobalCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetUseGlobalCellIds();
      }
    else
      {
      temp20 = op->GetUseGlobalCellIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetMergeDuplicatePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetMergeDuplicatePoints(temp0);
      }
    else
      {
      op->SetMergeDuplicatePoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetMergeDuplicatePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetMergeDuplicatePoints();
      }
    else
      {
      temp20 = op->GetMergeDuplicatePoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_MergeDuplicatePointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::MergeDuplicatePointsOn();
      }
    else
      {
      op->MergeDuplicatePointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_MergeDuplicatePointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::MergeDuplicatePointsOff();
      }
    else
      {
      op->MergeDuplicatePointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_SetTotalNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp0;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::SetTotalNumberOfDataSets(temp0);
      }
    else
      {
      op->SetTotalNumberOfDataSets(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_GetTotalNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::GetTotalNumberOfDataSets();
      }
    else
      {
      temp20 = op->GetTotalNumberOfDataSets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeCells_MergeDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeCells::MergeDataSet(temp0);
      }
    else
      {
      temp20 = op->MergeDataSet(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkMergeCells_Finish(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeCells *op;

  op = (vtkMergeCells *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeCells::Finish();
      }
    else
      {
      op->Finish();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeCellsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeCells_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeCells_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeCells_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeCells\nC++: vtkMergeCells *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeCells_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeCells\nC++: vtkMergeCells *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUnstructuredGrid",                (PyCFunction)PyvtkMergeCells_SetUnstructuredGrid, 1,
   (char*)"V.SetUnstructuredGrid(vtkUnstructuredGrid)\nC++: virtual void SetUnstructuredGrid (vtkUnstructuredGrid *);\n\n"},
  {(char*)"GetUnstructuredGrid",                (PyCFunction)PyvtkMergeCells_GetUnstructuredGrid, 1,
   (char*)"V.GetUnstructuredGrid() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGrid ();\n\n"},
  {(char*)"SetTotalNumberOfCells",                (PyCFunction)PyvtkMergeCells_SetTotalNumberOfCells, 1,
   (char*)"V.SetTotalNumberOfCells(int)\nC++: void SetTotalNumberOfCells (vtkIdType );\n\n"},
  {(char*)"GetTotalNumberOfCells",                (PyCFunction)PyvtkMergeCells_GetTotalNumberOfCells, 1,
   (char*)"V.GetTotalNumberOfCells() -> int\nC++: vtkIdType GetTotalNumberOfCells ();\n\n"},
  {(char*)"SetTotalNumberOfPoints",                (PyCFunction)PyvtkMergeCells_SetTotalNumberOfPoints, 1,
   (char*)"V.SetTotalNumberOfPoints(int)\nC++: void SetTotalNumberOfPoints (vtkIdType );\n\n"},
  {(char*)"GetTotalNumberOfPoints",                (PyCFunction)PyvtkMergeCells_GetTotalNumberOfPoints, 1,
   (char*)"V.GetTotalNumberOfPoints() -> int\nC++: vtkIdType GetTotalNumberOfPoints ();\n\n"},
  {(char*)"SetUseGlobalIds",                (PyCFunction)PyvtkMergeCells_SetUseGlobalIds, 1,
   (char*)"V.SetUseGlobalIds(int)\nC++: void SetUseGlobalIds (int );\n\n"},
  {(char*)"GetUseGlobalIds",                (PyCFunction)PyvtkMergeCells_GetUseGlobalIds, 1,
   (char*)"V.GetUseGlobalIds() -> int\nC++: int GetUseGlobalIds ();\n\n"},
  {(char*)"SetPointMergeTolerance",                (PyCFunction)PyvtkMergeCells_SetPointMergeTolerance, 1,
   (char*)"V.SetPointMergeTolerance(float)\nC++: void SetPointMergeTolerance (float );\n\n"},
  {(char*)"GetPointMergeToleranceMinValue",                (PyCFunction)PyvtkMergeCells_GetPointMergeToleranceMinValue, 1,
   (char*)"V.GetPointMergeToleranceMinValue() -> float\nC++: float GetPointMergeToleranceMinValue ();\n\n"},
  {(char*)"GetPointMergeToleranceMaxValue",                (PyCFunction)PyvtkMergeCells_GetPointMergeToleranceMaxValue, 1,
   (char*)"V.GetPointMergeToleranceMaxValue() -> float\nC++: float GetPointMergeToleranceMaxValue ();\n\n"},
  {(char*)"GetPointMergeTolerance",                (PyCFunction)PyvtkMergeCells_GetPointMergeTolerance, 1,
   (char*)"V.GetPointMergeTolerance() -> float\nC++: float GetPointMergeTolerance ();\n\n"},
  {(char*)"SetUseGlobalCellIds",                (PyCFunction)PyvtkMergeCells_SetUseGlobalCellIds, 1,
   (char*)"V.SetUseGlobalCellIds(int)\nC++: void SetUseGlobalCellIds (int );\n\n"},
  {(char*)"GetUseGlobalCellIds",                (PyCFunction)PyvtkMergeCells_GetUseGlobalCellIds, 1,
   (char*)"V.GetUseGlobalCellIds() -> int\nC++: int GetUseGlobalCellIds ();\n\n"},
  {(char*)"SetMergeDuplicatePoints",                (PyCFunction)PyvtkMergeCells_SetMergeDuplicatePoints, 1,
   (char*)"V.SetMergeDuplicatePoints(int)\nC++: void SetMergeDuplicatePoints (int );\n\n"},
  {(char*)"GetMergeDuplicatePoints",                (PyCFunction)PyvtkMergeCells_GetMergeDuplicatePoints, 1,
   (char*)"V.GetMergeDuplicatePoints() -> int\nC++: int GetMergeDuplicatePoints ();\n\n"},
  {(char*)"MergeDuplicatePointsOn",                (PyCFunction)PyvtkMergeCells_MergeDuplicatePointsOn, 1,
   (char*)"V.MergeDuplicatePointsOn()\nC++: void MergeDuplicatePointsOn ();\n\n"},
  {(char*)"MergeDuplicatePointsOff",                (PyCFunction)PyvtkMergeCells_MergeDuplicatePointsOff, 1,
   (char*)"V.MergeDuplicatePointsOff()\nC++: void MergeDuplicatePointsOff ();\n\n"},
  {(char*)"SetTotalNumberOfDataSets",                (PyCFunction)PyvtkMergeCells_SetTotalNumberOfDataSets, 1,
   (char*)"V.SetTotalNumberOfDataSets(int)\nC++: void SetTotalNumberOfDataSets (int );\n\n"},
  {(char*)"GetTotalNumberOfDataSets",                (PyCFunction)PyvtkMergeCells_GetTotalNumberOfDataSets, 1,
   (char*)"V.GetTotalNumberOfDataSets() -> int\nC++: int GetTotalNumberOfDataSets ();\n\n"},
  {(char*)"MergeDataSet",                (PyCFunction)PyvtkMergeCells_MergeDataSet, 1,
   (char*)"V.MergeDataSet(vtkDataSet) -> int\nC++: int MergeDataSet (vtkDataSet *set);\n\n"},
  {(char*)"Finish",                (PyCFunction)PyvtkMergeCells_Finish, 1,
   (char*)"V.Finish()\nC++: void Finish ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeCellsDoc[] = {
  (char*)"vtkMergeCells - merges any number of vtkDataSets back into a single\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"    Designed to work with distributed vtkDataSets, this class will take\n    vtkDataSets and merge them back into a single vtkUnstructuredGrid.\n\n    The vtkPoints object of the unstructured grid will have data type\n    VTK_FLOAT, regardless of the data type of the points of the\n    input vtkDataSets.  If this is a problem, someone must let me know.\n\n    It is assumed the different DataSets have the",
  (char*)" same field arrays.  If\n    the name of a global point ID array is provided, this class will\n    refrain from including duplicate points in the merged Ugrid.  This\n    class differs from vtkAppendFilter in these ways: (1) it uses less\n    memory than that class (which uses memory equal to twice the size\n    of the final Ugrid) but requires that you know the size of the\n    final Ugrid in advance (",
  (char*)"2) this class assumes the individual DataSets have\n    the same field arrays, while vtkAppendFilter intersects the field\n    arrays (3) this class knows duplicate points may be appearing in\n    the DataSets and can filter those out, (4) this class is not a filter.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeCellsStaticNew()
{
  return vtkMergeCells::New();
}

PyObject *PyVTKClass_vtkMergeCellsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeCellsStaticNew,
                        PyvtkMergeCellsMethods,
                        (char*)"vtkMergeCells",modulename,
                        (char**)vtkMergeCellsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

