// python wrapper for vtkMergeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMergeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMergeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  const char    *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkMergeFilter  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetGeometry(temp0);
      }
    else
      {
      op->SetGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetGeometry();
      }
    else
      {
      temp20 = op->GetGeometry();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetGeometryConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetGeometryConnection(temp0);
      }
    else
      {
      op->SetGeometryConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetScalars(temp0);
      }
    else
      {
      op->SetScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetScalars();
      }
    else
      {
      temp20 = op->GetScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetScalarsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetScalarsConnection(temp0);
      }
    else
      {
      op->SetScalarsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetVectors(temp0);
      }
    else
      {
      op->SetVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetVectors();
      }
    else
      {
      temp20 = op->GetVectors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetVectorsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetVectorsConnection(temp0);
      }
    else
      {
      op->SetVectorsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetNormals(temp0);
      }
    else
      {
      op->SetNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetNormals();
      }
    else
      {
      temp20 = op->GetNormals();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetNormalsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetNormalsConnection(temp0);
      }
    else
      {
      op->SetNormalsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetTCoords(temp0);
      }
    else
      {
      op->SetTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetTCoords();
      }
    else
      {
      temp20 = op->GetTCoords();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetTCoordsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetTCoordsConnection(temp0);
      }
    else
      {
      op->SetTCoordsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetTensors(temp0);
      }
    else
      {
      op->SetTensors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkMergeFilter_GetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkDataSet  *temp20;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFilter::GetTensors();
      }
    else
      {
      temp20 = op->GetTensors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFilter_SetTensorsConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::SetTensorsConnection(temp0);
      }
    else
      {
      op->SetTensorsConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkMergeFilter_AddField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFilter *op;

  char    *temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  op = (vtkMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"zO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFilter::AddField(temp0,temp1);
      }
    else
      {
      op->AddField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkMergeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeFilter\nC++: vtkMergeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeFilter\nC++: vtkMergeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGeometry",                (PyCFunction)PyvtkMergeFilter_SetGeometry, 1,
   (char*)"V.SetGeometry(vtkDataSet)\nC++: void SetGeometry (vtkDataSet *input);this SetInput input \n\n Specify object from which to extract geometry information.\n Old style. Use SetGeometryConnection() instead.\n"},
  {(char*)"GetGeometry",                (PyCFunction)PyvtkMergeFilter_GetGeometry, 1,
   (char*)"V.GetGeometry() -> vtkDataSet\nC++: vtkDataSet *GetGeometry ();\n\n Specify object from which to extract geometry information.\n Old style. Use SetGeometryConnection() instead.\n"},
  {(char*)"SetGeometryConnection",                (PyCFunction)PyvtkMergeFilter_SetGeometryConnection, 1,
   (char*)"V.SetGeometryConnection(vtkAlgorithmOutput)\nC++: void SetGeometryConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Specify object from which to extract scalar information.\n Old style. Use SetScalarsConnection() instead.\n"},
  {(char*)"SetScalars",                (PyCFunction)PyvtkMergeFilter_SetScalars, 1,
   (char*)"V.SetScalars(vtkDataSet)\nC++: void SetScalars (vtkDataSet *);\n\n Specify object from which to extract scalar information.\n Old style. Use SetScalarsConnection() instead.\n"},
  {(char*)"GetScalars",                (PyCFunction)PyvtkMergeFilter_GetScalars, 1,
   (char*)"V.GetScalars() -> vtkDataSet\nC++: vtkDataSet *GetScalars ();\n\n Specify object from which to extract scalar information.\n Old style. Use SetScalarsConnection() instead.\n"},
  {(char*)"SetScalarsConnection",                (PyCFunction)PyvtkMergeFilter_SetScalarsConnection, 1,
   (char*)"V.SetScalarsConnection(vtkAlgorithmOutput)\nC++: void SetScalarsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set / get the object from which to extract vector information.\n Old style. Use SetVectorsConnection() instead.\n"},
  {(char*)"SetVectors",                (PyCFunction)PyvtkMergeFilter_SetVectors, 1,
   (char*)"V.SetVectors(vtkDataSet)\nC++: void SetVectors (vtkDataSet *);\n\n Set / get the object from which to extract vector information.\n Old style. Use SetVectorsConnection() instead.\n"},
  {(char*)"GetVectors",                (PyCFunction)PyvtkMergeFilter_GetVectors, 1,
   (char*)"V.GetVectors() -> vtkDataSet\nC++: vtkDataSet *GetVectors ();\n\n Set / get the object from which to extract vector information.\n Old style. Use SetVectorsConnection() instead.\n"},
  {(char*)"SetVectorsConnection",                (PyCFunction)PyvtkMergeFilter_SetVectorsConnection, 1,
   (char*)"V.SetVectorsConnection(vtkAlgorithmOutput)\nC++: void SetVectorsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set / get the object from which to extract normal information.\n Old style. Use SetNormalsConnection() instead.\n"},
  {(char*)"SetNormals",                (PyCFunction)PyvtkMergeFilter_SetNormals, 1,
   (char*)"V.SetNormals(vtkDataSet)\nC++: void SetNormals (vtkDataSet *);\n\n Set / get the object from which to extract normal information.\n Old style. Use SetNormalsConnection() instead.\n"},
  {(char*)"GetNormals",                (PyCFunction)PyvtkMergeFilter_GetNormals, 1,
   (char*)"V.GetNormals() -> vtkDataSet\nC++: vtkDataSet *GetNormals ();\n\n Set / get the object from which to extract normal information.\n Old style. Use SetNormalsConnection() instead.\n"},
  {(char*)"SetNormalsConnection",                (PyCFunction)PyvtkMergeFilter_SetNormalsConnection, 1,
   (char*)"V.SetNormalsConnection(vtkAlgorithmOutput)\nC++: void SetNormalsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set / get the object from which to extract texture coordinates\n information.\n Old style. Use SetTCoordsConnection() instead.\n"},
  {(char*)"SetTCoords",                (PyCFunction)PyvtkMergeFilter_SetTCoords, 1,
   (char*)"V.SetTCoords(vtkDataSet)\nC++: void SetTCoords (vtkDataSet *);\n\n Set / get the object from which to extract texture coordinates\n information.\n Old style. Use SetTCoordsConnection() instead.\n"},
  {(char*)"GetTCoords",                (PyCFunction)PyvtkMergeFilter_GetTCoords, 1,
   (char*)"V.GetTCoords() -> vtkDataSet\nC++: vtkDataSet *GetTCoords ();\n\n Set / get the object from which to extract texture coordinates\n information.\n Old style. Use SetTCoordsConnection() instead.\n"},
  {(char*)"SetTCoordsConnection",                (PyCFunction)PyvtkMergeFilter_SetTCoordsConnection, 1,
   (char*)"V.SetTCoordsConnection(vtkAlgorithmOutput)\nC++: void SetTCoordsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set / get the object from which to extract tensor data.\n Old style. Use SetTensorsConnection() instead.\n"},
  {(char*)"SetTensors",                (PyCFunction)PyvtkMergeFilter_SetTensors, 1,
   (char*)"V.SetTensors(vtkDataSet)\nC++: void SetTensors (vtkDataSet *);\n\n Set / get the object from which to extract tensor data.\n Old style. Use SetTensorsConnection() instead.\n"},
  {(char*)"GetTensors",                (PyCFunction)PyvtkMergeFilter_GetTensors, 1,
   (char*)"V.GetTensors() -> vtkDataSet\nC++: vtkDataSet *GetTensors ();\n\n Set / get the object from which to extract tensor data.\n Old style. Use SetTensorsConnection() instead.\n"},
  {(char*)"SetTensorsConnection",                (PyCFunction)PyvtkMergeFilter_SetTensorsConnection, 1,
   (char*)"V.SetTensorsConnection(vtkAlgorithmOutput)\nC++: void SetTensorsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput \n\n Set the object from which to extract a field and the name\n of the field. Note that this does not create pipeline\n connectivity.\n"},
  {(char*)"AddField",                (PyCFunction)PyvtkMergeFilter_AddField, 1,
   (char*)"V.AddField(string, vtkDataSet)\nC++: void AddField (const char *name, vtkDataSet *input);\n\n Set the object from which to extract a field and the name\n of the field. Note that this does not create pipeline\n connectivity.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeFilterDoc[] = {
  (char*)"vtkMergeFilter - extract separate components of data from different datasets\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMergeFilter is a filter that extracts separate components of data from\n different datasets and merges them into a single dataset. The output from\n this filter is of the same type as the input (i.e., vtkDataSet.) It treats \n both cell and point data set attributes.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeFilterStaticNew()
{
  return vtkMergeFilter::New();
}

PyObject *PyVTKClass_vtkMergeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeFilterStaticNew,
                        PyvtkMergeFilterMethods,
                        (char*)"vtkMergeFilter",modulename,
                        (char**)vtkMergeFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

