// tcl wrapper for vtkModelMetadata object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModelMetadata.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkModelMetadataNewCommand()
{
  vtkModelMetadata *temp = vtkModelMetadata::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkModelMetadataCppCommand(vtkModelMetadata *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkModelMetadataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkModelMetadataCppCommand(static_cast<vtkModelMetadata *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkModelMetadataCppCommand(vtkModelMetadata *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkModelMetadata",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkModelMetadata  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("PrintGlobalInformation",argv[1]))&&(argc == 2))
    {
    op->PrintGlobalInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintLocalInformation",argv[1]))&&(argc == 2))
    {
    op->PrintLocalInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInformationLine",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddInformationLine(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddQARecord",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    op->AddQARecord(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStepIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfBlocks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfBlocks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfNodeSets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfNodeSets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfSideSets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSideSets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllVariablesDefinedInAllBlocks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllVariablesDefinedInAllBlocks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllVariablesDefinedInAllBlocksOn",argv[1]))&&(argc == 2))
    {
    op->AllVariablesDefinedInAllBlocksOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllVariablesDefinedInAllBlocksOff",argv[1]))&&(argc == 2))
    {
    op->AllVariablesDefinedInAllBlocksOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ElementVariableIsDefinedInBlock",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ElementVariableIsDefinedInBlock(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindOriginalElementVariableName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindOriginalElementVariableName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("FindOriginalNodeVariableName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindOriginalNodeVariableName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("HasMetadata",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasMetadata(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveMetadata",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->RemoveMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->Pack(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Unpack",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Unpack(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridElementVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridElementVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridElementVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridNodeVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridNodeVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridNodeVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergeModelMetadata",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkModelMetadata"),interp,error));
    if (!error)
    {
    temp20 = (op)->MergeModelMetadata(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergeGlobalInformation",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkModelMetadata"),interp,error));
    if (!error)
    {
    temp20 = (op)->MergeGlobalInformation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractModelMetadata",argv[1]))&&(argc == 4))
    {
    vtkIdTypeArray  *temp0;
    vtkDataSet  *temp1;
    vtkModelMetadata  *temp20;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    temp20 = (op)->ExtractModelMetadata(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractGlobalMetadata",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->ExtractGlobalMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("FreeAllGlobalData",argv[1]))&&(argc == 2))
    {
    op->FreeAllGlobalData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeAllLocalData",argv[1]))&&(argc == 2))
    {
    op->FreeAllLocalData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeBlockDependentData",argv[1]))&&(argc == 2))
    {
    op->FreeBlockDependentData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeOriginalElementVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeOriginalElementVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeOriginalNodeVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeOriginalNodeVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedElementVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeUsedElementVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedNodeVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeUsedNodeVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedElementVariables",argv[1]))&&(argc == 2))
    {
    op->FreeUsedElementVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedNodeVariables",argv[1]))&&(argc == 2))
    {
    op->FreeUsedNodeVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBlockLocalIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBlockLocalIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkModelMetadataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkModelMetadata:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  PrintGlobalInformation\n",NULL);
    Tcl_AppendResult(interp,"  PrintLocalInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInformationLine\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddQARecord\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBlocks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfNodeSets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSideSets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllVariablesDefinedInAllBlocks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AllVariablesDefinedInAllBlocksOn\n",NULL);
    Tcl_AppendResult(interp,"  AllVariablesDefinedInAllBlocksOff\n",NULL);
    Tcl_AppendResult(interp,"  ElementVariableIsDefinedInBlock\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindOriginalElementVariableName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindOriginalNodeVariableName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pack\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Unpack\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridElementVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridElementVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridNodeVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridNodeVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergeModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergeGlobalInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExtractModelMetadata\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ExtractGlobalMetadata\n",NULL);
    Tcl_AppendResult(interp,"  FreeAllGlobalData\n",NULL);
    Tcl_AppendResult(interp,"  FreeAllLocalData\n",NULL);
    Tcl_AppendResult(interp,"  FreeBlockDependentData\n",NULL);
    Tcl_AppendResult(interp,"  FreeOriginalElementVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeOriginalNodeVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedElementVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedNodeVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedElementVariables\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedNodeVariables\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockLocalIndex\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "PrintGlobalInformation" );
    Tcl_DStringAppendElement ( &dString, "PrintLocalInformation" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "AddInformationLine" );
    Tcl_DStringAppendElement ( &dString, "AddQARecord" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepIndex" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBlocks" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfNodeSets" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSideSets" );
    Tcl_DStringAppendElement ( &dString, "SetAllVariablesDefinedInAllBlocks" );
    Tcl_DStringAppendElement ( &dString, "AllVariablesDefinedInAllBlocksOn" );
    Tcl_DStringAppendElement ( &dString, "AllVariablesDefinedInAllBlocksOff" );
    Tcl_DStringAppendElement ( &dString, "ElementVariableIsDefinedInBlock" );
    Tcl_DStringAppendElement ( &dString, "FindOriginalElementVariableName" );
    Tcl_DStringAppendElement ( &dString, "FindOriginalNodeVariableName" );
    Tcl_DStringAppendElement ( &dString, "HasMetadata" );
    Tcl_DStringAppendElement ( &dString, "RemoveMetadata" );
    Tcl_DStringAppendElement ( &dString, "Pack" );
    Tcl_DStringAppendElement ( &dString, "Unpack" );
    Tcl_DStringAppendElement ( &dString, "AddUGridElementVariable" );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridElementVariable" );
    Tcl_DStringAppendElement ( &dString, "AddUGridNodeVariable" );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridNodeVariable" );
    Tcl_DStringAppendElement ( &dString, "MergeModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "MergeGlobalInformation" );
    Tcl_DStringAppendElement ( &dString, "ExtractModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "ExtractGlobalMetadata" );
    Tcl_DStringAppendElement ( &dString, "FreeAllGlobalData" );
    Tcl_DStringAppendElement ( &dString, "FreeAllLocalData" );
    Tcl_DStringAppendElement ( &dString, "FreeBlockDependentData" );
    Tcl_DStringAppendElement ( &dString, "FreeOriginalElementVariableNames" );
    Tcl_DStringAppendElement ( &dString, "FreeOriginalNodeVariableNames" );
    Tcl_DStringAppendElement ( &dString, "FreeUsedElementVariableNames" );
    Tcl_DStringAppendElement ( &dString, "FreeUsedNodeVariableNames" );
    Tcl_DStringAppendElement ( &dString, "FreeUsedElementVariables" );
    Tcl_DStringAppendElement ( &dString, "FreeUsedNodeVariables" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "GetBlockLocalIndex" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkModelMetadata *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintGlobalInformation */
    if ( strcmp ( argv[2], "PrintGlobalInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintGlobalInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintGlobalInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrintGlobalInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for PrintGlobalInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintLocalInformation */
    if ( strcmp ( argv[2], "PrintLocalInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintLocalInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintLocalInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrintLocalInformation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for PrintLocalInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, "   The title of the dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInformationLine */
    if ( strcmp ( argv[2], "AddInformationLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInformationLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInformationLine */
    Tcl_DStringAppendElement ( &dString, "   Add an information line. \n" );
    Tcl_DStringAppendElement ( &dString, "void AddInformationLine (char *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AddInformationLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddQARecord */
    if ( strcmp ( argv[2], "AddQARecord" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddQARecord" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddQARecord */
    Tcl_DStringAppendElement ( &dString, "   Add a QA record.  They fields are:\n    The code name\n    The code version number\n    The date (MM/DD/YY or NULL for today)\n    The time (HH:MM:SS or NULL for right now)\n" );
    Tcl_DStringAppendElement ( &dString, "void AddQARecord (char *name, char *version, char *date, char *time);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AddQARecord */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepIndex */
    if ( strcmp ( argv[2], "SetTimeStepIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepIndex */
    Tcl_DStringAppendElement ( &dString, "    Set the index of the time step represented by the results\n    data in the file attached to this ModelMetadata object.  Time\n    step indices start at 0 in this file, they start at 1 in\n    an Exodus file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepIndex (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetTimeStepIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfBlocks */
    if ( strcmp ( argv[2], "SetNumberOfBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfBlocks */
    Tcl_DStringAppendElement ( &dString, "   The number of blocks in the file.  Set this before setting\n   any of the block arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfBlocks (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetNumberOfBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfNodeSets */
    if ( strcmp ( argv[2], "SetNumberOfNodeSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfNodeSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfNodeSets */
    Tcl_DStringAppendElement ( &dString, "   The number of node sets in the file.  Set this value before\n   setting the various node set arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfNodeSets (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetNumberOfNodeSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSideSets */
    if ( strcmp ( argv[2], "SetNumberOfSideSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSideSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSideSets */
    Tcl_DStringAppendElement ( &dString, "   Set or get the number of side sets.  Set this value before\n   setting any of the other side set arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSideSets (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetNumberOfSideSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllVariablesDefinedInAllBlocks */
    if ( strcmp ( argv[2], "SetAllVariablesDefinedInAllBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllVariablesDefinedInAllBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllVariablesDefinedInAllBlocks */
    Tcl_DStringAppendElement ( &dString, "   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllVariablesDefinedInAllBlocks (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for SetAllVariablesDefinedInAllBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllVariablesDefinedInAllBlocksOn */
    if ( strcmp ( argv[2], "AllVariablesDefinedInAllBlocksOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllVariablesDefinedInAllBlocksOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllVariablesDefinedInAllBlocksOn */
    Tcl_DStringAppendElement ( &dString, "   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllVariablesDefinedInAllBlocksOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AllVariablesDefinedInAllBlocksOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllVariablesDefinedInAllBlocksOff */
    if ( strcmp ( argv[2], "AllVariablesDefinedInAllBlocksOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllVariablesDefinedInAllBlocksOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllVariablesDefinedInAllBlocksOff */
    Tcl_DStringAppendElement ( &dString, "   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllVariablesDefinedInAllBlocksOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AllVariablesDefinedInAllBlocksOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ElementVariableIsDefinedInBlock */
    if ( strcmp ( argv[2], "ElementVariableIsDefinedInBlock" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ElementVariableIsDefinedInBlock" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ElementVariableIsDefinedInBlock */
    Tcl_DStringAppendElement ( &dString, "   If the element variable named is defined for the block Id\n   provided (in the element variable truth table) return a\n   1, otherwise return a 0.  If the variable name or block Id\n   are unrecognized, the default value of 1 is returned.\n   (This is an \"original\" variable name, from the file,\n   not a name created for the vtkUnstructuredGrid.  Use\n   FindOriginal*VariableName to map between the two.)\n" );
    Tcl_DStringAppendElement ( &dString, "int ElementVariableIsDefinedInBlock (char *varname, int blockId);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for ElementVariableIsDefinedInBlock */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindOriginalElementVariableName */
    if ( strcmp ( argv[2], "FindOriginalElementVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindOriginalElementVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindOriginalElementVariableName */
    Tcl_DStringAppendElement ( &dString, "   Given the name of an element variable the vtkUnstructuredGrid\n   described by this ModelMetadata, and a component number, give \n   the name of the scalar array in the original\n   file that turned into that component when the file was\n   read into VTK.\n" );
    Tcl_DStringAppendElement ( &dString, "char *FindOriginalElementVariableName (const char *name, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FindOriginalElementVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindOriginalNodeVariableName */
    if ( strcmp ( argv[2], "FindOriginalNodeVariableName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindOriginalNodeVariableName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindOriginalNodeVariableName */
    Tcl_DStringAppendElement ( &dString, "   Given the name of an node variable the vtkUnstructuredGrid\n   described by this ModelMetadata, and a component number, give \n   the name of the scalar array in the original\n   file that turned into that component when the file was\n   read into VTK.\n" );
    Tcl_DStringAppendElement ( &dString, "char *FindOriginalNodeVariableName (const char *name, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FindOriginalNodeVariableName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasMetadata */
    if ( strcmp ( argv[2], "HasMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasMetadata */
    Tcl_DStringAppendElement ( &dString, "   Static function that returns 1 if the vtkUnstructuredGrid\n   has metadata packed into it's field arrays, and 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "static int HasMetadata (vtkDataSet *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for HasMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveMetadata */
    if ( strcmp ( argv[2], "RemoveMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveMetadata */
    Tcl_DStringAppendElement ( &dString, "   Static function that removes the packed metadata arrays\n   from a dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "static void RemoveMetadata (vtkDataSet *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for RemoveMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pack */
    if ( strcmp ( argv[2], "Pack" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pack" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pack */
    Tcl_DStringAppendElement ( &dString, "   Pack this object's metadata into a field array of a dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "void Pack (vtkDataSet *ugrid);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for Pack */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Unpack */
    if ( strcmp ( argv[2], "Unpack" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Unpack" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Unpack */
    Tcl_DStringAppendElement ( &dString, "   Unpack the metadata stored in a dataset,\n   and initialize this object with it.  Return 1 if there's\n   no metadata packed into the grid, 0 if OK.\n   If deleteIt is ON, then delete the grid's packed data after\n   unpacking it into the object.\n" );
    Tcl_DStringAppendElement ( &dString, "int Unpack (vtkDataSet *ugrid, int deleteIt);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for Unpack */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUGridElementVariable */
    if ( strcmp ( argv[2], "AddUGridElementVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUGridElementVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUGridElementVariable */
    Tcl_DStringAppendElement ( &dString, "   In order to write Exodus files from vtkUnstructuredGrid\n   objects that were read from Exodus files, we need to know\n   the mapping from variable names in the UGrid to variable\n   names in the Exodus file.  (The Exodus reader combines\n   scalar variables with similar names into vectors in the\n   UGrid.)  When building the UGrid to which this\n   ModelMetadata refers, add each element and node variable\n   name with this call, including the name of original variable\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AddUGridElementVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveUGridElementVariable */
    if ( strcmp ( argv[2], "RemoveUGridElementVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridElementVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveUGridElementVariable */
    Tcl_DStringAppendElement ( &dString, "   In order to write Exodus files from vtkUnstructuredGrid\n   objects that were read from Exodus files, we need to know\n   the mapping from variable names in the UGrid to variable\n   names in the Exodus file.  (The Exodus reader combines\n   scalar variables with similar names into vectors in the\n   UGrid.)  When building the UGrid to which this\n   ModelMetadata refers, add each element and node variable\n   name with this call, including the name of original variable\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int RemoveUGridElementVariable (char *ugridVarName);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for RemoveUGridElementVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUGridNodeVariable */
    if ( strcmp ( argv[2], "AddUGridNodeVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUGridNodeVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUGridNodeVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for AddUGridNodeVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveUGridNodeVariable */
    if ( strcmp ( argv[2], "RemoveUGridNodeVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridNodeVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveUGridNodeVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int RemoveUGridNodeVariable (char *ugridVarName);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for RemoveUGridNodeVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeModelMetadata */
    if ( strcmp ( argv[2], "MergeModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   In VTK we take vtkUnstructuredGrids and perform\n   operations on them, including subsetting and merging\n   grids.  We need to modify the metadata object \n   when this happens.  MergeModelMetadata merges the supplied\n   model (both global and local metadata) into this model.  \n   The models must be from the same file set.\n\n   MergeModelMetadata assumes that no element in one metadata\n   object appears in the other.  (It doesn't test for duplicate\n   elements when  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int MergeModelMetadata (const vtkModelMetadata *em);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for MergeModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeGlobalInformation */
    if ( strcmp ( argv[2], "MergeGlobalInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeGlobalInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeGlobalInformation */
    Tcl_DStringAppendElement ( &dString, "   The metadata is divided into global metadata and local\n   metadata.  MergeGlobalInformation merges just the\n   global metadata of the supplied object into the\n   global metadata of this object.\n" );
    Tcl_DStringAppendElement ( &dString, "int MergeGlobalInformation (const vtkModelMetadata *em);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for MergeGlobalInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractModelMetadata */
    if ( strcmp ( argv[2], "ExtractModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   Create and return a new metadata object which contains\n   the information for the subset of global cell IDs provided.\n   We need the grid containing the cells so we can find point\n   Ids as well, and also the name of the global cell ID array\n   and the name of the global point ID array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata *ExtractModelMetadata (vtkIdTypeArray *globalCellIdList, vtkDataSet *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for ExtractModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractGlobalMetadata */
    if ( strcmp ( argv[2], "ExtractGlobalMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractGlobalMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractGlobalMetadata */
    Tcl_DStringAppendElement ( &dString, "   Create and return a new metadata object containing only the\n   global metadata of this metadata object.  \n" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata *ExtractGlobalMetadata ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for ExtractGlobalMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeAllGlobalData */
    if ( strcmp ( argv[2], "FreeAllGlobalData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeAllGlobalData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeAllGlobalData */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeAllGlobalData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeAllGlobalData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeAllLocalData */
    if ( strcmp ( argv[2], "FreeAllLocalData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeAllLocalData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeAllLocalData */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeAllLocalData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeAllLocalData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeBlockDependentData */
    if ( strcmp ( argv[2], "FreeBlockDependentData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeBlockDependentData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeBlockDependentData */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeBlockDependentData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeBlockDependentData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeOriginalElementVariableNames */
    if ( strcmp ( argv[2], "FreeOriginalElementVariableNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeOriginalElementVariableNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeOriginalElementVariableNames */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeOriginalElementVariableNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeOriginalElementVariableNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeOriginalNodeVariableNames */
    if ( strcmp ( argv[2], "FreeOriginalNodeVariableNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeOriginalNodeVariableNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeOriginalNodeVariableNames */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeOriginalNodeVariableNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeOriginalNodeVariableNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeUsedElementVariableNames */
    if ( strcmp ( argv[2], "FreeUsedElementVariableNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeUsedElementVariableNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeUsedElementVariableNames */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeUsedElementVariableNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeUsedElementVariableNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeUsedNodeVariableNames */
    if ( strcmp ( argv[2], "FreeUsedNodeVariableNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeUsedNodeVariableNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeUsedNodeVariableNames */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeUsedNodeVariableNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeUsedNodeVariableNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeUsedElementVariables */
    if ( strcmp ( argv[2], "FreeUsedElementVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeUsedElementVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeUsedElementVariables */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeUsedElementVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeUsedElementVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeUsedNodeVariables */
    if ( strcmp ( argv[2], "FreeUsedNodeVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeUsedNodeVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeUsedNodeVariables */
    Tcl_DStringAppendElement ( &dString, "   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeUsedNodeVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for FreeUsedNodeVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, "   Set the object back to it's initial state\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockLocalIndex */
    if ( strcmp ( argv[2], "GetBlockLocalIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockLocalIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockLocalIndex */
    Tcl_DStringAppendElement ( &dString, "   Block information is stored in arrays.  This method returns\n   the array index for a given block ID.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockLocalIndex (int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    /* Closing for GetBlockLocalIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
