// python wrapper for vtkMultiBlockDataGroupFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiBlockDataGroupFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiBlockDataGroupFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataGroupFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMultiBlockDataGroupFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataGroupFilter *op;

  const char    *temp20;
  op = (vtkMultiBlockDataGroupFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataGroupFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataGroupFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataGroupFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiBlockDataGroupFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataGroupFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataGroupFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataGroupFilter *op;

  vtkMultiBlockDataGroupFilter  *temp20;
  op = (vtkMultiBlockDataGroupFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockDataGroupFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockDataGroupFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiBlockDataGroupFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiBlockDataGroupFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiBlockDataGroupFilter_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockDataGroupFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkMultiBlockDataGroupFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataGroupFilter::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkMultiBlockDataGroupFilter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkMultiBlockDataGroupFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockDataGroupFilter::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkMultiBlockDataGroupFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiBlockDataGroupFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiBlockDataGroupFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiBlockDataGroupFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiBlockDataGroupFilter\nC++: vtkMultiBlockDataGroupFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiBlockDataGroupFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiBlockDataGroupFilter\nC++: vtkMultiBlockDataGroupFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkMultiBlockDataGroupFilter_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiBlockDataGroupFilterDoc[] = {
  (char*)"vtkMultiBlockDataGroupFilter - collects multiple inputs into one multi-group dataset\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkMultiBlockDataGroupFilter is an M to 1 filter that merges multiple\n input into one multi-group dataset. It will assign each input to\n one group of the multi-group dataset and will assign each update piece\n as a sub-block. For example, if there are two inputs and four update\n pieces, the output contains two groups with four datasets each.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiBlockDataGroupFilterStaticNew()
{
  return vtkMultiBlockDataGroupFilter::New();
}

PyObject *PyVTKClass_vtkMultiBlockDataGroupFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiBlockDataGroupFilterStaticNew,
                        PyvtkMultiBlockDataGroupFilterMethods,
                        (char*)"vtkMultiBlockDataGroupFilter",modulename,
                        (char**)vtkMultiBlockDataGroupFilterDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

