// python wrapper for vtkMultiBlockMergeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiBlockMergeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiBlockMergeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiBlockMergeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMultiBlockMergeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockMergeFilter *op;

  const char    *temp20;
  op = (vtkMultiBlockMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockMergeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockMergeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockMergeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiBlockMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockMergeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockMergeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockMergeFilter *op;

  vtkMultiBlockMergeFilter  *temp20;
  op = (vtkMultiBlockMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockMergeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockMergeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiBlockMergeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiBlockMergeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiBlockMergeFilter_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockMergeFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkMultiBlockMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockMergeFilter::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkMultiBlockMergeFilter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkMultiBlockMergeFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockMergeFilter::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkMultiBlockMergeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiBlockMergeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiBlockMergeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiBlockMergeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiBlockMergeFilter\nC++: vtkMultiBlockMergeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiBlockMergeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiBlockMergeFilter\nC++: vtkMultiBlockMergeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkMultiBlockMergeFilter_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiBlockMergeFilterDoc[] = {
  (char*)"vtkMultiBlockMergeFilter - merges multiblock inputs into a single multiblock output\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkMultiBlockMergeFilter is an M to 1 filter similar to \n vtkMultiBlockDataGroupFilter. However where as that class creates N groups \n in the output for N inputs, this creates 1 group in the output with N \n datasets inside it. In actuality if the inputs have M blocks, this will \n produce M blocks, each of which has N datasets. Inside the merged group, \n the i'th data set comes from the i'th data ",
  (char*)"set in the i'th input.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiBlockMergeFilterStaticNew()
{
  return vtkMultiBlockMergeFilter::New();
}

PyObject *PyVTKClass_vtkMultiBlockMergeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiBlockMergeFilterStaticNew,
                        PyvtkMultiBlockMergeFilterMethods,
                        (char*)"vtkMultiBlockMergeFilter",modulename,
                        (char**)vtkMultiBlockMergeFilterDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

