// python wrapper for vtkMultiThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMultiThreshold.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiThresholdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiThresholdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMultiThreshold_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  const char    *temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  char    *temp0;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  vtkMultiThreshold  *temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiThreshold  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiThreshold::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiThreshold_AddIntervalSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  char    *temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"ddiiizii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      temp20 = op->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  PyErr_Clear();
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"ddiiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      temp20 = op->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_AddLowpassIntervalSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"dizii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddLowpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AddLowpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_AddHighpassIntervalSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"dizii", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddHighpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AddHighpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_AddBandpassIntervalSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"ddizii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddBandpassIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->AddBandpassIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_AddNotchIntervalSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"ddizii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::AddNotchIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->AddNotchIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_OutputSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  int      temp0;
  int      temp20;
  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiThreshold::OutputSet(temp0);
      }
    else
      {
      temp20 = op->OutputSet(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiThreshold_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiThreshold *op;

  op = (vtkMultiThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiThreshold::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMultiThresholdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiThreshold_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiThreshold_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiThreshold_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiThreshold\nC++: vtkMultiThreshold *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiThreshold_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiThreshold\nC++: vtkMultiThreshold *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddIntervalSet",                (PyCFunction)PyvtkMultiThreshold_AddIntervalSet, 1,
   (char*)"V.AddIntervalSet(float, float, int, int, int, string, int, int) -> int\nC++: int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, const char *arrayName, int component, int allScalars);\nV.AddIntervalSet(float, float, int, int, int, int, int, int) -> int\nC++: int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, int attribType, int component, int allScalars);\n\n Add a mesh subset to be computed by thresholding an attribute of the input mesh.\n The subset can then be added to an output mesh with OuputSet() or combined with other sets using AddBooleanSet.\n If you wish to include all cells with values below some number \\a a, call\n with xmin set to vtkMath::NegInf() and xmax set to \\a a.\n Similarly, if you wish to include all cells with values above some number \\a a,\n call with xmin set to \\a a and xmax set to vtkMath::Inf().\n When specifying Inf() or NegInf() for an endpoint, it does not matter whether\n you specify and open or closed endpoint.\n \n When creating intervals, any integers can be used for the IDs of output meshes.\n All that matters is that the same ID be used if intervals should output to the same mesh.\n The outputs are ordered with ascending IDs in output block 0.\n\n It is possible to specify an invalid interval, in which case these routines will return -1.\n Invalid intervals occur when\n - an arr ...\n [Truncated]\n"},
  {(char*)"AddLowpassIntervalSet",                (PyCFunction)PyvtkMultiThreshold_AddLowpassIntervalSet, 1,
   (char*)"V.AddLowpassIntervalSet(float, int, string, int, int) -> int\nC++: int AddLowpassIntervalSet (double xmax, int assoc, const char *arrayName, int component, int allScalars);\n\n These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n"},
  {(char*)"AddHighpassIntervalSet",                (PyCFunction)PyvtkMultiThreshold_AddHighpassIntervalSet, 1,
   (char*)"V.AddHighpassIntervalSet(float, int, string, int, int) -> int\nC++: int AddHighpassIntervalSet (double xmin, int assoc, const char *arrayName, int component, int allScalars);\n\n These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n"},
  {(char*)"AddBandpassIntervalSet",                (PyCFunction)PyvtkMultiThreshold_AddBandpassIntervalSet, 1,
   (char*)"V.AddBandpassIntervalSet(float, float, int, string, int, int) -> int\nC++: int AddBandpassIntervalSet (double xmin, double xmax, int assoc, const char *arrayName, int component, int allScalars);\n\n These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n"},
  {(char*)"AddNotchIntervalSet",                (PyCFunction)PyvtkMultiThreshold_AddNotchIntervalSet, 1,
   (char*)"V.AddNotchIntervalSet(float, float, int, string, int, int) -> int\nC++: int AddNotchIntervalSet (double xlo, double xhi, int assoc, const char *arrayName, int component, int allScalars);\n\n These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n"},
  {(char*)"OutputSet",                (PyCFunction)PyvtkMultiThreshold_OutputSet, 1,
   (char*)"V.OutputSet(int) -> int\nC++: int OutputSet (int setId);\n\n Create an output mesh containing a boolean or interval subset of the input mesh.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkMultiThreshold_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Remove all the intervals currently defined.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiThresholdDoc[] = {
  (char*)"vtkMultiThreshold - Threshold cells within multiple intervals\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" This filter can be substituted for a chain of several vtkThreshold filters\n and can also perform more sophisticated subsetting operations.\n It generates a vtkMultiBlockDataSet as its output.\n This multiblock dataset contains a vtkUnstructuredGrid for each thresholded\n subset you request.\n A thresholded subset can be a set defined by an interval over a\n point or cell attribute of the mesh; these s",
  (char*)"ubsets are called IntervalSets.\n A thresholded subset can also be a boolean combination of one or more IntervalSets;\n these subsets are called BooleanSets.\n BooleanSets allow complex logic since their output\n can depend on multiple intervals over multiple variables\n defined on the input mesh.\n This is useful because it eliminates the need for thresholding several\n times and then appending the resu",
  (char*)"lts, as can be required with vtkThreshold\n when one wants to remove some range of values (e.g., a notch filter).\n Cells are not repeated when they belong to more than one interval unless\n those intervals have different output grids.\n\n Another advantage this filter provides over vtkThreshold is the ability\n to threshold on non-scalar (i.e., vector, tensor, etc.) attributes without\n first computing ",
  (char*)"an array containing some norm of the desired attribute.\n vtkMultiThreshold provides \\f$L_1\\f$, \\f$L_2\\f$, and \\f$L_{\\infty}\\f$ norms.\n\n This filter makes a distinction between intermediate subsets and\n subsets that will be output to a grid.\n Each intermediate subset you create with AddIntervalSet or\n AddBooleanSet is given a unique integer identifier (via the return\n values of these member functio",
  (char*)"ns).\n If you wish for a given set to be output, you must call\n OutputSet and pass it one of these identifiers.\n The return of OutputSet is the integer index of the output set\n in the multiblock dataset created by this filter.\n\n For example, if an input mesh defined three attributes T, P, and s, one might\n wish to find cells that satisfy \"T < 320 [K] && ( P > 101 [kPa] || s < 0.1 [kJ/kg/K] )\".\n To ",
  (char*)"accomplish this with a vtkMultiThreshold filter,\n <pre>\n vtkMultiThreshold* thr;\n int intervalSets[3];\n\n intervalSets[0] = thr->AddIntervalSet( vtkMath::NegInf(), 320., vtkMultiThreshold::CLOSED, vtkMultiThreshold::OPEN,\n     vtkDataObject::FIELD_ASSOCIATION_POINTS, \"T\", 0, 1 );\n intervalSets[1] = thr->AddIntervalSet( 101., vtkMath::Inf(), vtkMultiThreshold::OPEN, vtkMultiThreshold::CLOSED,\n     v",
  (char*)"tkDataObject::FIELD_ASSOCIATION_CELLS, \"P\", 0, 1 );\n intervalSets[2] = thr->AddIntervalSet( vtkMath::NegInf(), 0.1, vtkMultiThreshold::CLOSED, vtkMultiThreshold::OPEN,\n     vtkDataObject::FIELD_ASSOCIATION_POINTS, \"s\", 0, 1 );\n\n int intermediate = thr->AddBooleanSet( vtkMultiThreshold::OR, 2, &intervalSets[1] );\n\n int intersection[2];\n intersection[0] = intervalSets[0];\n intersection[1] = intermed",
  (char*)"iate;\n int outputSet = thr->AddBooleanSet( vtkMultiThreshold::AND, 2, intersection );\n\n int outputGridIndex = thr->OutputSet( outputSet );\n thr->Update();\n </pre>\n The result of this filter will be a multiblock dataset that contains a single child with the desired cells.\n If we had also called <code>thr->OutputSet( intervalSets[0] );</code>, there would be two child meshes and\n one would contain a",
  (char*)"ll cells with T < 320 [K].\n In that case, the output can be represented by this graph\n \\dot\n digraph MultiThreshold {\n   set0 [shape=rect,style=filled,label=\"point T(0) in [-Inf,320[\"]\n   set1 [shape=rect,label=\"cell P(0) in ]101,Inf]\"]\n   set2 [shape=rect,label=\"point s(0) in [-Inf,0.1[\"]\n   set3 [shape=rect,label=\"OR\"]\n   set4 [shape=rect,style=filled,label=\"AND\"]\n   set0 -> set4\n   set1 -> set3",
  (char*)"\n   set2 -> set3\n   set3 -> set4\n }\n \\enddot\n The filled rectangles represent sets that are output.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiThresholdStaticNew()
{
  return vtkMultiThreshold::New();
}

PyObject *PyVTKClass_vtkMultiThresholdNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiThresholdStaticNew,
                        PyvtkMultiThresholdMethods,
                        (char*)"vtkMultiThreshold",modulename,
                        (char**)vtkMultiThresholdDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

