// tcl wrapper for vtkMultiThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiThreshold.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMultiThresholdNewCommand()
{
  vtkMultiThreshold *temp = vtkMultiThreshold::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMultiThresholdCppCommand(vtkMultiThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMultiThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMultiThresholdCppCommand(static_cast<vtkMultiThreshold *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMultiThresholdCppCommand(vtkMultiThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMultiThreshold",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMultiThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMultiThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMultiThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiThreshold");
    return TCL_OK;
    }
  if ((!strcmp("AddIntervalSet",argv[1]))&&(argc == 10))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    char    *temp5;
    int      temp6;
    int      temp7;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = argv[7];
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    if (!error)
    {
    temp20 = (op)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIntervalSet",argv[1]))&&(argc == 10))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    int      temp7;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    if (!error)
    {
    temp20 = (op)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLowpassIntervalSet",argv[1]))&&(argc == 7))
    {
    double   temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->AddLowpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHighpassIntervalSet",argv[1]))&&(argc == 7))
    {
    double   temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->AddHighpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddBandpassIntervalSet",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    char    *temp3;
    int      temp4;
    int      temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->AddBandpassIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNotchIntervalSet",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    char    *temp3;
    int      temp4;
    int      temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->AddNotchIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("OutputSet",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->OutputSet(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMultiThresholdCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMultiThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddIntervalSet\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddIntervalSet\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLowpassIntervalSet\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddHighpassIntervalSet\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddBandpassIntervalSet\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  AddNotchIntervalSet\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  OutputSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "AddIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "AddLowpassIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "AddHighpassIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "AddBandpassIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "AddNotchIntervalSet" );
    Tcl_DStringAppendElement ( &dString, "OutputSet" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiThreshold *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIntervalSet */
    if ( strcmp ( argv[2], "AddIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIntervalSet */
    Tcl_DStringAppendElement ( &dString, " Add a mesh subset to be computed by thresholding an attribute of the input mesh.\n The subset can then be added to an output mesh with OuputSet() or combined with other sets using AddBooleanSet.\n If you wish to include all cells with values below some number \\a a, call\n with xmin set to vtkMath::NegInf() and xmax set to \\a a.\n Similarly, if you wish to include all cells with values above some number \\a a,\n call with xmin set to \\a a and xmax set to vtkMath::Inf().\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, const char *arrayName, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIntervalSet */
    if ( strcmp ( argv[2], "AddIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIntervalSet */
    Tcl_DStringAppendElement ( &dString, " Add a mesh subset to be computed by thresholding an attribute of the input mesh.\n The subset can then be added to an output mesh with OuputSet() or combined with other sets using AddBooleanSet.\n If you wish to include all cells with values below some number \\a a, call\n with xmin set to vtkMath::NegInf() and xmax set to \\a a.\n Similarly, if you wish to include all cells with values above some number \\a a,\n call with xmin set to \\a a and xmax set to vtkMath::Inf().\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, int attribType, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLowpassIntervalSet */
    if ( strcmp ( argv[2], "AddLowpassIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLowpassIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLowpassIntervalSet */
    Tcl_DStringAppendElement ( &dString, " These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n" );
    Tcl_DStringAppendElement ( &dString, "int AddLowpassIntervalSet (double xmax, int assoc, const char *arrayName, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddLowpassIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddHighpassIntervalSet */
    if ( strcmp ( argv[2], "AddHighpassIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddHighpassIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddHighpassIntervalSet */
    Tcl_DStringAppendElement ( &dString, " These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n" );
    Tcl_DStringAppendElement ( &dString, "int AddHighpassIntervalSet (double xmin, int assoc, const char *arrayName, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddHighpassIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddBandpassIntervalSet */
    if ( strcmp ( argv[2], "AddBandpassIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddBandpassIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddBandpassIntervalSet */
    Tcl_DStringAppendElement ( &dString, " These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n" );
    Tcl_DStringAppendElement ( &dString, "int AddBandpassIntervalSet (double xmin, double xmax, int assoc, const char *arrayName, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddBandpassIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNotchIntervalSet */
    if ( strcmp ( argv[2], "AddNotchIntervalSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNotchIntervalSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNotchIntervalSet */
    Tcl_DStringAppendElement ( &dString, " These convenience members make it easy to insert closed intervals.\n The \"notch\" interval is accomplished by creating a bandpass interval and applying a NAND operation.\n In this case, the set ID returned in the NAND operation set ID.\n Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly\n one value (since the intervals created by these routines are closed).\n" );
    Tcl_DStringAppendElement ( &dString, "int AddNotchIntervalSet (double xlo, double xhi, int assoc, const char *arrayName, int component, int allScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for AddNotchIntervalSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputSet */
    if ( strcmp ( argv[2], "OutputSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputSet */
    Tcl_DStringAppendElement ( &dString, " Create an output mesh containing a boolean or interval subset of the input mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int OutputSet (int setId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for OutputSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Remove all the intervals currently defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiThreshold" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
