// python wrapper for vtkOBBTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOBBTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOBBTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOBBTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellLocatorNew(char *); }

static PyObject *PyvtkOBBTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  const char    *temp20;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  char    *temp0;
  int      temp20;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  vtkOBBTree  *temp20;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOBBTree  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOBBTree::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOBBTree_ComputeOBB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double temp5[3];
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)(ddd)(ddd)(ddd)(ddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp5 + 0, temp5 + 1, temp5 + 2);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOBBTree::ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,5,temp5,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double temp5[3];
  PyErr_Clear();
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)(ddd)(ddd)(ddd)(ddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp5 + 0, temp5 + 1, temp5 + 2);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOBBTree::ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,5,temp5,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOBBTree_InsideOrOutside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  double temp0[3];
  int      temp20;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBTree::InsideOrOutside(temp0);
      }
    else
      {
      temp20 = op->InsideOrOutside(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_IntersectWithLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  double temp0[3];
  double temp1[3];
  vtkPoints  *temp2;
  PyObject *tempH2;
  vtkIdList  *temp3;
  PyObject *tempH3;
  int      temp20;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)OO", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2, &tempH3);
  if (op)
    {
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkIdList");
    if (!temp3 && tempH3 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBTree::IntersectWithLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->IntersectWithLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkOBBTree_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOBBTree::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOBBTree::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBTree_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBTree *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  op = (vtkOBBTree *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkOBBTree::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}

static PyMethodDef PyvtkOBBTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOBBTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOBBTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOBBTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOBBTree\nC++: vtkOBBTree *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOBBTree_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOBBTree\nC++: vtkOBBTree *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ComputeOBB",                (PyCFunction)PyvtkOBBTree_ComputeOBB, 1,
   (char*)"V.ComputeOBB(vtkPoints, (float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: void ComputeOBB (vtkPoints *pts, double corner[3], double max[3], double mid[3], double min[3], double size[3]);\nV.ComputeOBB(vtkDataSet, (float, float, float), (float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: void ComputeOBB (vtkDataSet *input, double corner[3], double max[3], double mid[3], double min[3], double size[3]);\n\n Compute an OBB from the list of points given. Return the corner point\n and the three axes defining the orientation of the OBB. Also return\n a sorted list of relative \"sizes\" of axes for comparison purposes.\n"},
  {(char*)"InsideOrOutside",                (PyCFunction)PyvtkOBBTree_InsideOrOutside, 1,
   (char*)"V.InsideOrOutside((float, float, float)) -> int\nC++: int InsideOrOutside (const double point[3]);\n\n Determine whether a point is inside or outside the data used to build\n this OBB tree.  The data must be a closed surface vtkPolyData data set.\n The return value is +1 if outside, -1 if inside, and 0 if undecided.\n"},
  {(char*)"IntersectWithLine",                (PyCFunction)PyvtkOBBTree_IntersectWithLine, 1,
   (char*)"V.IntersectWithLine((float, float, float), (float, float, float), vtkPoints, vtkIdList) -> int\nC++: int IntersectWithLine (const double a0[3], const double a1[3], vtkPoints *points, vtkIdList *cellIds);\n\n Take the passed line segment and intersect it with the data set.\n This method assumes that the data set is a vtkPolyData that describes\n a closed surface, and the intersection points that are returned in\n 'points' alternate between entrance points and exit points.\n The return value of the function is 0 if no intersections were found,\n -1 if point 'a0' lies inside the closed surface, or +1 if point 'a0'\n lies outside the closed surface.\n Either 'points' or 'cellIds' can be set to NULL if you don't want\n to receive that information.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkOBBTree_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: void FreeSearchStructure ();\n\n Satisfy locator's abstract interface, see vtkLocator.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkOBBTree_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n Satisfy locator's abstract interface, see vtkLocator.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkOBBTree_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: void GenerateRepresentation (int level, vtkPolyData *pd);\n\n Create polygonal representation for OBB tree at specified level. If\n level < 0, then the leaf OBB nodes will be gathered. The aspect ratio (ar)\n and line diameter (d) are used to control the building of the\n representation. If a OBB node edge ratio's are greater than ar, then the\n dimension of the OBB is collapsed (OBB->plane->line). A \"line\" OBB will be\n represented either as two crossed polygons, or as a line, depending on\n the relative diameter of the OBB compared to the diameter (d).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOBBTreeDoc[] = {
  (char*)"vtkOBBTree - generate oriented bounding box (OBB) tree\n\n",
  "Super Class:\n\n vtkCellLocator\n\n",
  (char*)" vtkOBBTree is an object to generate oriented bounding box (OBB) trees.\n An oriented bounding box is a bounding box that does not necessarily line \n up along coordinate axes. The OBB tree is a hierarchical tree structure \n of such boxes, where deeper levels of OBB confine smaller regions of space.\n\n To build the OBB, a recursive, top-down process is used. First, the root OBB\n is constructed by fin",
  (char*)"ding the mean and covariance matrix of the cells (and\n their points) that define the dataset. The eigenvectors of the covariance\n matrix are extracted, giving a set of three orthogonal vectors that define \n the tightest-fitting OBB. To create the two children OBB's, a split plane \n is found that (approximately) divides the number cells in half. These are \n then assigned to the children OBB's. This",
  (char*)" process then continues until\n the MaxLevel ivar limits the recursion, or no split plane can be found.\n\n A good reference for OBB-trees is Gottschalk & Manocha in Proceedings of \n Siggraph `96.\n\n",
  "Caveats:\n\n Since this algorithms works from a list of cells, the OBB tree will only \n bound the \"geometry\" attached to the cells if the convex hull of the \n cells bounds the geometry.\n\n Long, skinny cells (i.e., cells with poor aspect ratio) may cause \n unsatisfactory results. This is due to the fact that this is a top-down\n implementation of the OBB tree, requiring that one or more complete cells\n are contained in each OBB. This requirement makes it hard to find good \n spli ...\n [Truncated]\n\n",
  "See Also:\n\n vtkLocator vtkCellLocator vtkPointLocator\n\n",
  NULL
};

static vtkObjectBase *vtkOBBTreeStaticNew()
{
  return vtkOBBTree::New();
}

PyObject *PyVTKClass_vtkOBBTreeNew(char *modulename)
{
  return PyVTKClass_New(&vtkOBBTreeStaticNew,
                        PyvtkOBBTreeMethods,
                        (char*)"vtkOBBTree",modulename,
                        (char**)vtkOBBTreeDoc,
                        PyVTKClass_vtkCellLocatorNew(modulename));
}

