// python wrapper for vtkPlaneSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlaneSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaneSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaneSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPlaneSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  const char    *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  vtkPlaneSource  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlaneSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlaneSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetXResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  int      temp0;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetXResolution(temp0);
      }
    else
      {
      op->SetXResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetXResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  int      temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetXResolution();
      }
    else
      {
      temp20 = op->GetXResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetYResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  int      temp0;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetYResolution(temp0);
      }
    else
      {
      op->SetYResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetYResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  int      temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetYResolution();
      }
    else
      {
      temp20 = op->GetYResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  int      temp0;
  int      temp1;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetResolution(temp0,temp1);
      }
    else
      {
      op->SetResolution(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double  *temp20;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneSource::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneSource_Push(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneSource *op;

  double   temp0;
  op = (vtkPlaneSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneSource::Push(temp0);
      }
    else
      {
      op->Push(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaneSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlaneSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlaneSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlaneSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlaneSource\nC++: vtkPlaneSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlaneSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlaneSource\nC++: vtkPlaneSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXResolution",                (PyCFunction)PyvtkPlaneSource_SetXResolution, 1,
   (char*)"V.SetXResolution(int)\nC++: void SetXResolution (int );\n\n Specify the resolution of the plane along the first axes.\n"},
  {(char*)"GetXResolution",                (PyCFunction)PyvtkPlaneSource_GetXResolution, 1,
   (char*)"V.GetXResolution() -> int\nC++: int GetXResolution ();\n\n Specify the resolution of the plane along the first axes.\n"},
  {(char*)"SetYResolution",                (PyCFunction)PyvtkPlaneSource_SetYResolution, 1,
   (char*)"V.SetYResolution(int)\nC++: void SetYResolution (int );\n\n Specify the resolution of the plane along the second axes.\n"},
  {(char*)"GetYResolution",                (PyCFunction)PyvtkPlaneSource_GetYResolution, 1,
   (char*)"V.GetYResolution() -> int\nC++: int GetYResolution ();\n\n Specify the resolution of the plane along the second axes.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkPlaneSource_SetResolution, 1,
   (char*)"V.SetResolution(int, int)\nC++: void SetResolution (const int xR, const int yR);\n\n Set the number of x-y subdivisions in the plane.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkPlaneSource_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Specify a point defining the origin of the plane.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkPlaneSource_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Specify a point defining the origin of the plane.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkPlaneSource_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double x, double y, double z);\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double pnt[3]);\n\n Specify a point defining the first axis of the plane.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkPlaneSource_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double  *GetPoint1 ();\n\n Specify a point defining the first axis of the plane.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkPlaneSource_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double x, double y, double z);\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double pnt[3]);\n\n Specify a point defining the second axis of the plane.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkPlaneSource_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double  *GetPoint2 ();\n\n Specify a point defining the second axis of the plane.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkPlaneSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double x, double y, double z);\nV.SetCenter((float, float, float))\nC++: void SetCenter (double center[3]);\n\n Set/Get the center of the plane. Works in conjunction with the plane \n normal to position the plane. Don't use this method to define the plane.\n Instead, use it to move the plane to a new center point.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkPlaneSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get the center of the plane. Works in conjunction with the plane \n normal to position the plane. Don't use this method to define the plane.\n Instead, use it to move the plane to a new center point.\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkPlaneSource_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double nx, double ny, double nz);\nV.SetNormal((float, float, float))\nC++: void SetNormal (double n[3]);\n\n Set/Get the plane normal. Works in conjunction with the plane center to\n orient the plane. Don't use this method to define the plane. Instead, use\n it to rotate the plane around the current center point.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkPlaneSource_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Set/Get the plane normal. Works in conjunction with the plane center to\n orient the plane. Don't use this method to define the plane. Instead, use\n it to rotate the plane around the current center point.\n"},
  {(char*)"Push",                (PyCFunction)PyvtkPlaneSource_Push, 1,
   (char*)"V.Push(float)\nC++: void Push (double distance);\n\n Translate the plane in the direction of the normal by the\n distance specified.  Negative values move the plane in the\n opposite direction.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaneSourceDoc[] = {
  (char*)"vtkPlaneSource - create an array of quadrilaterals located in a plane\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPlaneSource creates an m x n array of quadrilaterals arranged as\n a regular tiling in a plane. The plane is defined by specifying an\n origin point, and then two other points that, together with the\n origin, define two axes for the plane. These axes do not have to be\n orthogonal - so you can create a parallelogram. (The axes must not\n be parallel.) By default, the plane is centered at the origi",
  (char*)"n and\n perpendicular to the z-axis, with width and height of length 1. The\n resolution of the plane (i.e., number of subdivisions) is\n controlled by the ivars XResolution and YResolution.\n\n There are three convenience methods that allow you to easily move the\n plane.  The first, SetNormal(), allows you to specify the plane\n normal. The effect of this method is to rotate the plane around the center",
  (char*)"\n of the plane, aligning the plane normal with the specified normal. The\n rotation is about the axis defined by the cross product of the current\n normal with the new normal. The second, SetCenter(), translates the center\n of the plane to the specified center point. The third method, Push(),\n allows you to translate the plane along the plane normal by the distance\n specified. (Negative Push values ",
  (char*)"translate the plane in the negative\n normal direction.)  Note that the SetNormal(), SetCenter() and Push()\n methods modify the Origin, Point1, and/or Point2 instance variables.\n\n",
  "Caveats:\n\n The normal to the plane will point in the direction of the cross product\n of the first axis (Origin->Point1) with the second (Origin->Point2). This\n also affects the normals to the generated polygons.\n\n",
  NULL
};

static vtkObjectBase *vtkPlaneSourceStaticNew()
{
  return vtkPlaneSource::New();
}

PyObject *PyVTKClass_vtkPlaneSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaneSourceStaticNew,
                        PyvtkPlaneSourceMethods,
                        (char*)"vtkPlaneSource",modulename,
                        (char**)vtkPlaneSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

