// tcl wrapper for vtkPlatonicSolidSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlatonicSolidSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPlatonicSolidSourceNewCommand()
{
  vtkPlatonicSolidSource *temp = vtkPlatonicSolidSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlatonicSolidSourceCppCommand(vtkPlatonicSolidSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPlatonicSolidSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPlatonicSolidSourceCppCommand(static_cast<vtkPlatonicSolidSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlatonicSolidSourceCppCommand(vtkPlatonicSolidSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPlatonicSolidSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPlatonicSolidSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlatonicSolidSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPlatonicSolidSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlatonicSolidSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPlatonicSolidSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlatonicSolidSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSolidType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSolidType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSolidTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSolidTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSolidTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSolidTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSolidType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSolidType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSolidTypeToTetrahedron",argv[1]))&&(argc == 2))
    {
    op->SetSolidTypeToTetrahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSolidTypeToCube",argv[1]))&&(argc == 2))
    {
    op->SetSolidTypeToCube();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSolidTypeToOctahedron",argv[1]))&&(argc == 2))
    {
    op->SetSolidTypeToOctahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSolidTypeToIcosahedron",argv[1]))&&(argc == 2))
    {
    op->SetSolidTypeToIcosahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSolidTypeToDodecahedron",argv[1]))&&(argc == 2))
    {
    op->SetSolidTypeToDodecahedron();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPlatonicSolidSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlatonicSolidSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidType\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidTypeToTetrahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidTypeToCube\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidTypeToOctahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidTypeToIcosahedron\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidTypeToDodecahedron\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSolidType" );
    Tcl_DStringAppendElement ( &dString, "GetSolidTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSolidTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSolidType" );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToTetrahedron" );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToCube" );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToOctahedron" );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToIcosahedron" );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToDodecahedron" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlatonicSolidSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidType */
    if ( strcmp ( argv[2], "SetSolidType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidTypeMinValue */
    if ( strcmp ( argv[2], "GetSolidTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSolidTypeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for GetSolidTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidTypeMaxValue */
    if ( strcmp ( argv[2], "GetSolidTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSolidTypeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for GetSolidTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidType */
    if ( strcmp ( argv[2], "GetSolidType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSolidType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for GetSolidType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidTypeToTetrahedron */
    if ( strcmp ( argv[2], "SetSolidTypeToTetrahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToTetrahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidTypeToTetrahedron */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidTypeToTetrahedron ();this SetSolidType VTK_SOLID_TETRAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidTypeToTetrahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidTypeToCube */
    if ( strcmp ( argv[2], "SetSolidTypeToCube" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToCube" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidTypeToCube */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidTypeToCube ();this SetSolidType VTK_SOLID_CUBE " );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidTypeToCube */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidTypeToOctahedron */
    if ( strcmp ( argv[2], "SetSolidTypeToOctahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToOctahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidTypeToOctahedron */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidTypeToOctahedron ();this SetSolidType VTK_SOLID_OCTAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidTypeToOctahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidTypeToIcosahedron */
    if ( strcmp ( argv[2], "SetSolidTypeToIcosahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToIcosahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidTypeToIcosahedron */
    Tcl_DStringAppendElement ( &dString, " Specify the type of PlatonicSolid solid to create.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidTypeToIcosahedron ();this SetSolidType VTK_SOLID_ICOSAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidTypeToIcosahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidTypeToDodecahedron */
    if ( strcmp ( argv[2], "SetSolidTypeToDodecahedron" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidTypeToDodecahedron" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidTypeToDodecahedron */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSolidTypeToDodecahedron ();this SetSolidType VTK_SOLID_DODECAHEDRON " );
    Tcl_DStringAppendElement ( &dString, "vtkPlatonicSolidSource" );
    /* Closing for SetSolidTypeToDodecahedron */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
