// python wrapper for vtkPointDataToCellData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointDataToCellData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointDataToCellDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointDataToCellDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkPointDataToCellData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  const char    *temp20;
  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointDataToCellData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointDataToCellData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  vtkPointDataToCellData  *temp20;
  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointDataToCellData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointDataToCellData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointDataToCellData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_SetPassPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  int      temp0;
  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointDataToCellData::SetPassPointData(temp0);
      }
    else
      {
      op->SetPassPointData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_GetPassPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  int      temp20;
  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointDataToCellData::GetPassPointData();
      }
    else
      {
      temp20 = op->GetPassPointData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_PassPointDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointDataToCellData::PassPointDataOn();
      }
    else
      {
      op->PassPointDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointDataToCellData_PassPointDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointDataToCellData *op;

  op = (vtkPointDataToCellData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointDataToCellData::PassPointDataOff();
      }
    else
      {
      op->PassPointDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointDataToCellDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointDataToCellData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointDataToCellData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointDataToCellData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointDataToCellData\nC++: vtkPointDataToCellData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointDataToCellData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointDataToCellData\nC++: vtkPointDataToCellData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPassPointData",                (PyCFunction)PyvtkPointDataToCellData_SetPassPointData, 1,
   (char*)"V.SetPassPointData(int)\nC++: void SetPassPointData (int );\n\n Control whether the input point data is to be passed to the output. If\n on, then the input point data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"GetPassPointData",                (PyCFunction)PyvtkPointDataToCellData_GetPassPointData, 1,
   (char*)"V.GetPassPointData() -> int\nC++: int GetPassPointData ();\n\n Control whether the input point data is to be passed to the output. If\n on, then the input point data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"PassPointDataOn",                (PyCFunction)PyvtkPointDataToCellData_PassPointDataOn, 1,
   (char*)"V.PassPointDataOn()\nC++: void PassPointDataOn ();\n\n Control whether the input point data is to be passed to the output. If\n on, then the input point data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"PassPointDataOff",                (PyCFunction)PyvtkPointDataToCellData_PassPointDataOff, 1,
   (char*)"V.PassPointDataOff()\nC++: void PassPointDataOff ();\n\n Control whether the input point data is to be passed to the output. If\n on, then the input point data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointDataToCellDataDoc[] = {
  (char*)"vtkPointDataToCellData - map point data to cell data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkPointDataToCellData is a filter that transforms point data (i.e., data\n specified per point) into cell data (i.e., data specified per cell).\n The method of transformation is based on averaging the data\n values of all points defining a particular cell. Optionally, the input point\n data can be passed through to the output as well.\n\n",
  "Caveats:\n\n This filter is an abstract filter, that is, the output is an abstract type\n (i.e., vtkDataSet). Use the convenience methods (e.g.,\n GetPolyDataOutput(), GetStructuredPointsOutput(), etc.) to get the type\n of output you want.\n\n",
  "See Also:\n\n vtkPointData vtkCellData vtkCellDataToPointData\n\n",
  NULL
};

static vtkObjectBase *vtkPointDataToCellDataStaticNew()
{
  return vtkPointDataToCellData::New();
}

PyObject *PyVTKClass_vtkPointDataToCellDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointDataToCellDataStaticNew,
                        PyvtkPointDataToCellDataMethods,
                        (char*)"vtkPointDataToCellData",modulename,
                        (char**)vtkPointDataToCellDataDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

