// python wrapper for vtkPointsProjectedHull object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointsProjectedHull.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointsProjectedHullNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointsProjectedHullNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointsNew(char *); }

static PyObject *PyvtkPointsProjectedHull_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  const char    *temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  vtkPointsProjectedHull  *temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointsProjectedHull  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointsProjectedHull::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_RectangleIntersectionX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionX(temp0);
      }
    else
      {
      temp20 = op->RectangleIntersectionX(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionX(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionX(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionX(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionX(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_RectangleIntersectionY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionY(temp0);
      }
    else
      {
      temp20 = op->RectangleIntersectionY(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionY(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionY(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionY(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionY(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_RectangleIntersectionZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionZ(temp0);
      }
    else
      {
      temp20 = op->RectangleIntersectionZ(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"ffff", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::RectangleIntersectionZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->RectangleIntersectionZ(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_GetSizeCCWHullX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::GetSizeCCWHullX();
      }
    else
      {
      temp20 = op->GetSizeCCWHullX();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_GetSizeCCWHullY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::GetSizeCCWHullY();
      }
    else
      {
      temp20 = op->GetSizeCCWHullY();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_GetSizeCCWHullZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  int      temp20;
  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointsProjectedHull::GetSizeCCWHullZ();
      }
    else
      {
      temp20 = op->GetSizeCCWHullZ();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointsProjectedHull::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointsProjectedHull::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointsProjectedHull_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointsProjectedHull *op;

  op = (vtkPointsProjectedHull *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointsProjectedHull::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointsProjectedHullMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointsProjectedHull_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointsProjectedHull_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointsProjectedHull_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointsProjectedHull\nC++: vtkPointsProjectedHull *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointsProjectedHull_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointsProjectedHull\nC++: vtkPointsProjectedHull *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RectangleIntersectionX",                (PyCFunction)PyvtkPointsProjectedHull_RectangleIntersectionX, 1,
   (char*)"V.RectangleIntersectionX(vtkPoints) -> int\nC++: int RectangleIntersectionX (vtkPoints *R);\nV.RectangleIntersectionX(float, float, float, float) -> int\nC++: int RectangleIntersectionX (float ymin, float ymax, float zmin, float zmax);\nV.RectangleIntersectionX(float, float, float, float) -> int\nC++: int RectangleIntersectionX (double ymin, double ymax, double zmin, double zmax);\n\n"},
  {(char*)"RectangleIntersectionY",                (PyCFunction)PyvtkPointsProjectedHull_RectangleIntersectionY, 1,
   (char*)"V.RectangleIntersectionY(vtkPoints) -> int\nC++: int RectangleIntersectionY (vtkPoints *R);\nV.RectangleIntersectionY(float, float, float, float) -> int\nC++: int RectangleIntersectionY (float zmin, float zmax, float xmin, float xmax);\nV.RectangleIntersectionY(float, float, float, float) -> int\nC++: int RectangleIntersectionY (double zmin, double zmax, double xmin, double xmax);\n\n"},
  {(char*)"RectangleIntersectionZ",                (PyCFunction)PyvtkPointsProjectedHull_RectangleIntersectionZ, 1,
   (char*)"V.RectangleIntersectionZ(vtkPoints) -> int\nC++: int RectangleIntersectionZ (vtkPoints *R);\nV.RectangleIntersectionZ(float, float, float, float) -> int\nC++: int RectangleIntersectionZ (float xmin, float xmax, float ymin, float ymax);\nV.RectangleIntersectionZ(float, float, float, float) -> int\nC++: int RectangleIntersectionZ (double xmin, double xmax, double ymin, double ymax);\n\n"},
  {(char*)"GetSizeCCWHullX",                (PyCFunction)PyvtkPointsProjectedHull_GetSizeCCWHullX, 1,
   (char*)"V.GetSizeCCWHullX() -> int\nC++: int GetSizeCCWHullX ();\n\n"},
  {(char*)"GetSizeCCWHullY",                (PyCFunction)PyvtkPointsProjectedHull_GetSizeCCWHullY, 1,
   (char*)"V.GetSizeCCWHullY() -> int\nC++: int GetSizeCCWHullY ();\n\n"},
  {(char*)"GetSizeCCWHullZ",                (PyCFunction)PyvtkPointsProjectedHull_GetSizeCCWHullZ, 1,
   (char*)"V.GetSizeCCWHullZ() -> int\nC++: int GetSizeCCWHullZ ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPointsProjectedHull_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkPointsProjectedHull_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();this Initialize \n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkPointsProjectedHull_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointsProjectedHullDoc[] = {
  (char*)"vtkPointsProjectedHull - the convex hull of the orthogonal \n\n",
  "Super Class:\n\n vtkPoints\n\n",
  (char*)"    a subclass of vtkPoints, it maintains the counter clockwise \n    convex hull of the points (projected orthogonally in the \n    three coordinate directions) and has a method to\n    test for intersection of that hull with an axis aligned\n    rectangle.  This is used for intersection tests of 3D volumes.\n\n",
  NULL
};

static vtkObjectBase *vtkPointsProjectedHullStaticNew()
{
  return vtkPointsProjectedHull::New();
}

PyObject *PyVTKClass_vtkPointsProjectedHullNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointsProjectedHullStaticNew,
                        PyvtkPointsProjectedHullMethods,
                        (char*)"vtkPointsProjectedHull",modulename,
                        (char**)vtkPointsProjectedHullDoc,
                        PyVTKClass_vtkPointsNew(modulename));
}

