// python wrapper for vtkPolyDataNormals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataNormals.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataNormalsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataNormalsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPolyDataNormals_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  const char    *temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  vtkPolyDataNormals  *temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataNormals  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataNormals::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  double   temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetFeatureAngle(temp0);
      }
    else
      {
      op->SetFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetFeatureAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  double   temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetFeatureAngleMinValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetFeatureAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  double   temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetFeatureAngleMaxValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  double   temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetFeatureAngle();
      }
    else
      {
      temp20 = op->GetFeatureAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetSplitting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetSplitting(temp0);
      }
    else
      {
      op->SetSplitting(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetSplitting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetSplitting();
      }
    else
      {
      temp20 = op->GetSplitting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SplittingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SplittingOn();
      }
    else
      {
      op->SplittingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SplittingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SplittingOff();
      }
    else
      {
      op->SplittingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetConsistency(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetConsistency(temp0);
      }
    else
      {
      op->SetConsistency(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetConsistency(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetConsistency();
      }
    else
      {
      temp20 = op->GetConsistency();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ConsistencyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ConsistencyOn();
      }
    else
      {
      op->ConsistencyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ConsistencyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ConsistencyOff();
      }
    else
      {
      op->ConsistencyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetAutoOrientNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetAutoOrientNormals(temp0);
      }
    else
      {
      op->SetAutoOrientNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetAutoOrientNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetAutoOrientNormals();
      }
    else
      {
      temp20 = op->GetAutoOrientNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_AutoOrientNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::AutoOrientNormalsOn();
      }
    else
      {
      op->AutoOrientNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_AutoOrientNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::AutoOrientNormalsOff();
      }
    else
      {
      op->AutoOrientNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetComputePointNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetComputePointNormals(temp0);
      }
    else
      {
      op->SetComputePointNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetComputePointNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetComputePointNormals();
      }
    else
      {
      temp20 = op->GetComputePointNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ComputePointNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ComputePointNormalsOn();
      }
    else
      {
      op->ComputePointNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ComputePointNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ComputePointNormalsOff();
      }
    else
      {
      op->ComputePointNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetComputeCellNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetComputeCellNormals(temp0);
      }
    else
      {
      op->SetComputeCellNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetComputeCellNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetComputeCellNormals();
      }
    else
      {
      temp20 = op->GetComputeCellNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ComputeCellNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ComputeCellNormalsOn();
      }
    else
      {
      op->ComputeCellNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_ComputeCellNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::ComputeCellNormalsOff();
      }
    else
      {
      op->ComputeCellNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetFlipNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetFlipNormals(temp0);
      }
    else
      {
      op->SetFlipNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetFlipNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetFlipNormals();
      }
    else
      {
      temp20 = op->GetFlipNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_FlipNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::FlipNormalsOn();
      }
    else
      {
      op->FlipNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_FlipNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::FlipNormalsOff();
      }
    else
      {
      op->FlipNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_SetNonManifoldTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp0;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::SetNonManifoldTraversal(temp0);
      }
    else
      {
      op->SetNonManifoldTraversal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_GetNonManifoldTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  int      temp20;
  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataNormals::GetNonManifoldTraversal();
      }
    else
      {
      temp20 = op->GetNonManifoldTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_NonManifoldTraversalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::NonManifoldTraversalOn();
      }
    else
      {
      op->NonManifoldTraversalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataNormals_NonManifoldTraversalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataNormals *op;

  op = (vtkPolyDataNormals *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataNormals::NonManifoldTraversalOff();
      }
    else
      {
      op->NonManifoldTraversalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataNormalsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataNormals_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataNormals_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataNormals_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataNormals\nC++: vtkPolyDataNormals *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataNormals_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataNormals\nC++: vtkPolyDataNormals *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFeatureAngle",                (PyCFunction)PyvtkPolyDataNormals_SetFeatureAngle, 1,
   (char*)"V.SetFeatureAngle(float)\nC++: void SetFeatureAngle (double );\n\n Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n"},
  {(char*)"GetFeatureAngleMinValue",                (PyCFunction)PyvtkPolyDataNormals_GetFeatureAngleMinValue, 1,
   (char*)"V.GetFeatureAngleMinValue() -> float\nC++: double GetFeatureAngleMinValue ();\n\n Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n"},
  {(char*)"GetFeatureAngleMaxValue",                (PyCFunction)PyvtkPolyDataNormals_GetFeatureAngleMaxValue, 1,
   (char*)"V.GetFeatureAngleMaxValue() -> float\nC++: double GetFeatureAngleMaxValue ();\n\n Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n"},
  {(char*)"GetFeatureAngle",                (PyCFunction)PyvtkPolyDataNormals_GetFeatureAngle, 1,
   (char*)"V.GetFeatureAngle() -> float\nC++: double GetFeatureAngle ();\n\n Specify the angle that defines a sharp edge. If the difference in\n angle across neighboring polygons is greater than this value, the\n shared edge is considered \"sharp\".\n"},
  {(char*)"SetSplitting",                (PyCFunction)PyvtkPolyDataNormals_SetSplitting, 1,
   (char*)"V.SetSplitting(int)\nC++: void SetSplitting (int );\n\n Turn on/off the splitting of sharp edges.\n"},
  {(char*)"GetSplitting",                (PyCFunction)PyvtkPolyDataNormals_GetSplitting, 1,
   (char*)"V.GetSplitting() -> int\nC++: int GetSplitting ();\n\n Turn on/off the splitting of sharp edges.\n"},
  {(char*)"SplittingOn",                (PyCFunction)PyvtkPolyDataNormals_SplittingOn, 1,
   (char*)"V.SplittingOn()\nC++: void SplittingOn ();\n\n Turn on/off the splitting of sharp edges.\n"},
  {(char*)"SplittingOff",                (PyCFunction)PyvtkPolyDataNormals_SplittingOff, 1,
   (char*)"V.SplittingOff()\nC++: void SplittingOff ();\n\n Turn on/off the splitting of sharp edges.\n"},
  {(char*)"SetConsistency",                (PyCFunction)PyvtkPolyDataNormals_SetConsistency, 1,
   (char*)"V.SetConsistency(int)\nC++: void SetConsistency (int );\n\n Turn on/off the enforcement of consistent polygon ordering.\n"},
  {(char*)"GetConsistency",                (PyCFunction)PyvtkPolyDataNormals_GetConsistency, 1,
   (char*)"V.GetConsistency() -> int\nC++: int GetConsistency ();\n\n Turn on/off the enforcement of consistent polygon ordering.\n"},
  {(char*)"ConsistencyOn",                (PyCFunction)PyvtkPolyDataNormals_ConsistencyOn, 1,
   (char*)"V.ConsistencyOn()\nC++: void ConsistencyOn ();\n\n Turn on/off the enforcement of consistent polygon ordering.\n"},
  {(char*)"ConsistencyOff",                (PyCFunction)PyvtkPolyDataNormals_ConsistencyOff, 1,
   (char*)"V.ConsistencyOff()\nC++: void ConsistencyOff ();\n\n Turn on/off the enforcement of consistent polygon ordering.\n"},
  {(char*)"SetAutoOrientNormals",                (PyCFunction)PyvtkPolyDataNormals_SetAutoOrientNormals, 1,
   (char*)"V.SetAutoOrientNormals(int)\nC++: void SetAutoOrientNormals (int );\n\n Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the \n FlipNormals flag. However, this flag can work with the FlipNormals \n flag, and if both are set, all the normals in the output will \n point \"inward\".\n"},
  {(char*)"GetAutoOrientNormals",                (PyCFunction)PyvtkPolyDataNormals_GetAutoOrientNormals, 1,
   (char*)"V.GetAutoOrientNormals() -> int\nC++: int GetAutoOrientNormals ();\n\n Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the \n FlipNormals flag. However, this flag can work with the FlipNormals \n flag, and if both are set, all the normals in the output will \n point \"inward\".\n"},
  {(char*)"AutoOrientNormalsOn",                (PyCFunction)PyvtkPolyDataNormals_AutoOrientNormalsOn, 1,
   (char*)"V.AutoOrientNormalsOn()\nC++: void AutoOrientNormalsOn ();\n\n Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the \n FlipNormals flag. However, this flag can work with the FlipNormals \n flag, and if both are set, all the normals in the output will \n point \"inward\".\n"},
  {(char*)"AutoOrientNormalsOff",                (PyCFunction)PyvtkPolyDataNormals_AutoOrientNormalsOff, 1,
   (char*)"V.AutoOrientNormalsOff()\nC++: void AutoOrientNormalsOff ();\n\n Turn on/off the automatic determination of correct normal\n orientation. NOTE: This assumes a completely closed surface\n (i.e. no boundary edges) and no non-manifold edges. If these\n constraints do not hold, all bets are off. This option adds some\n computational complexity, and is useful if you don't want to have\n to inspect the rendered image to determine whether to turn on the \n FlipNormals flag. However, this flag can work with the FlipNormals \n flag, and if both are set, all the normals in the output will \n point \"inward\".\n"},
  {(char*)"SetComputePointNormals",                (PyCFunction)PyvtkPolyDataNormals_SetComputePointNormals, 1,
   (char*)"V.SetComputePointNormals(int)\nC++: void SetComputePointNormals (int );\n\n Turn on/off the computation of point normals.\n"},
  {(char*)"GetComputePointNormals",                (PyCFunction)PyvtkPolyDataNormals_GetComputePointNormals, 1,
   (char*)"V.GetComputePointNormals() -> int\nC++: int GetComputePointNormals ();\n\n Turn on/off the computation of point normals.\n"},
  {(char*)"ComputePointNormalsOn",                (PyCFunction)PyvtkPolyDataNormals_ComputePointNormalsOn, 1,
   (char*)"V.ComputePointNormalsOn()\nC++: void ComputePointNormalsOn ();\n\n Turn on/off the computation of point normals.\n"},
  {(char*)"ComputePointNormalsOff",                (PyCFunction)PyvtkPolyDataNormals_ComputePointNormalsOff, 1,
   (char*)"V.ComputePointNormalsOff()\nC++: void ComputePointNormalsOff ();\n\n Turn on/off the computation of point normals.\n"},
  {(char*)"SetComputeCellNormals",                (PyCFunction)PyvtkPolyDataNormals_SetComputeCellNormals, 1,
   (char*)"V.SetComputeCellNormals(int)\nC++: void SetComputeCellNormals (int );\n\n Turn on/off the computation of cell normals.\n"},
  {(char*)"GetComputeCellNormals",                (PyCFunction)PyvtkPolyDataNormals_GetComputeCellNormals, 1,
   (char*)"V.GetComputeCellNormals() -> int\nC++: int GetComputeCellNormals ();\n\n Turn on/off the computation of cell normals.\n"},
  {(char*)"ComputeCellNormalsOn",                (PyCFunction)PyvtkPolyDataNormals_ComputeCellNormalsOn, 1,
   (char*)"V.ComputeCellNormalsOn()\nC++: void ComputeCellNormalsOn ();\n\n Turn on/off the computation of cell normals.\n"},
  {(char*)"ComputeCellNormalsOff",                (PyCFunction)PyvtkPolyDataNormals_ComputeCellNormalsOff, 1,
   (char*)"V.ComputeCellNormalsOff()\nC++: void ComputeCellNormalsOff ();\n\n Turn on/off the computation of cell normals.\n"},
  {(char*)"SetFlipNormals",                (PyCFunction)PyvtkPolyDataNormals_SetFlipNormals, 1,
   (char*)"V.SetFlipNormals(int)\nC++: void SetFlipNormals (int );\n\n Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n"},
  {(char*)"GetFlipNormals",                (PyCFunction)PyvtkPolyDataNormals_GetFlipNormals, 1,
   (char*)"V.GetFlipNormals() -> int\nC++: int GetFlipNormals ();\n\n Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n"},
  {(char*)"FlipNormalsOn",                (PyCFunction)PyvtkPolyDataNormals_FlipNormalsOn, 1,
   (char*)"V.FlipNormalsOn()\nC++: void FlipNormalsOn ();\n\n Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n"},
  {(char*)"FlipNormalsOff",                (PyCFunction)PyvtkPolyDataNormals_FlipNormalsOff, 1,
   (char*)"V.FlipNormalsOff()\nC++: void FlipNormalsOff ();\n\n Turn on/off the global flipping of normal orientation. Flipping\n reverves the meaning of front and back for Frontface and Backface\n culling in vtkProperty.  Flipping modifies both the normal\n direction and the order of a cell's points.\n"},
  {(char*)"SetNonManifoldTraversal",                (PyCFunction)PyvtkPolyDataNormals_SetNonManifoldTraversal, 1,
   (char*)"V.SetNonManifoldTraversal(int)\nC++: void SetNonManifoldTraversal (int );\n\n Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n"},
  {(char*)"GetNonManifoldTraversal",                (PyCFunction)PyvtkPolyDataNormals_GetNonManifoldTraversal, 1,
   (char*)"V.GetNonManifoldTraversal() -> int\nC++: int GetNonManifoldTraversal ();\n\n Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n"},
  {(char*)"NonManifoldTraversalOn",                (PyCFunction)PyvtkPolyDataNormals_NonManifoldTraversalOn, 1,
   (char*)"V.NonManifoldTraversalOn()\nC++: void NonManifoldTraversalOn ();\n\n Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n"},
  {(char*)"NonManifoldTraversalOff",                (PyCFunction)PyvtkPolyDataNormals_NonManifoldTraversalOff, 1,
   (char*)"V.NonManifoldTraversalOff()\nC++: void NonManifoldTraversalOff ();\n\n Turn on/off traversal across non-manifold edges. This will prevent\n problems where the consistency of polygonal ordering is corrupted due\n to topological loops.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataNormalsDoc[] = {
  (char*)"vtkPolyDataNormals - compute normals for polygonal mesh\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPolyDataNormals is a filter that computes point normals for a polygonal \n mesh. The filter can reorder polygons to insure consistent orientation\n across polygon neighbors. Sharp edges can be split and points duplicated\n with separate normals to give crisp (rendered) surface definition. It is\n also possible to globally flip the normal orientation.\n\n The algorithm works by determining normals fo",
  (char*)"r each polygon and then\n averaging them at shared points. When sharp edges are present, the edges\n are split and new points generated to prevent blurry edges (due to \n Gouraud shading).\n\n",
  "Caveats:\n\n Normals are computed only for polygons and triangle strips. Normals are\n not computed for lines or vertices.\n\n Triangle strips are broken up into triangle polygons. You may want to \n restrip the triangles.\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataNormalsStaticNew()
{
  return vtkPolyDataNormals::New();
}

PyObject *PyVTKClass_vtkPolyDataNormalsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataNormalsStaticNew,
                        PyvtkPolyDataNormalsMethods,
                        (char*)"vtkPolyDataNormals",modulename,
                        (char**)vtkPolyDataNormalsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

