// python wrapper for vtkPolyDataPointSampler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataPointSampler.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataPointSamplerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataPointSamplerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPolyDataPointSampler_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  const char    *temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  vtkPolyDataPointSampler  *temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataPointSampler  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataPointSampler::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  double   temp0;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::SetDistance(temp0);
      }
    else
      {
      op->SetDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  double   temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetDistanceMinValue();
      }
    else
      {
      temp20 = op->GetDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  double   temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  double   temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetDistance();
      }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetGenerateVertexPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetGenerateVertexPoints();
      }
    else
      {
      temp20 = op->GetGenerateVertexPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SetGenerateVertexPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp0;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::SetGenerateVertexPoints(temp0);
      }
    else
      {
      op->SetGenerateVertexPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateVertexPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateVertexPointsOn();
      }
    else
      {
      op->GenerateVertexPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateVertexPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateVertexPointsOff();
      }
    else
      {
      op->GenerateVertexPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetGenerateEdgePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetGenerateEdgePoints();
      }
    else
      {
      temp20 = op->GetGenerateEdgePoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SetGenerateEdgePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp0;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::SetGenerateEdgePoints(temp0);
      }
    else
      {
      op->SetGenerateEdgePoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateEdgePointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateEdgePointsOn();
      }
    else
      {
      op->GenerateEdgePointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateEdgePointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateEdgePointsOff();
      }
    else
      {
      op->GenerateEdgePointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetGenerateInteriorPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetGenerateInteriorPoints();
      }
    else
      {
      temp20 = op->GetGenerateInteriorPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SetGenerateInteriorPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp0;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::SetGenerateInteriorPoints(temp0);
      }
    else
      {
      op->SetGenerateInteriorPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateInteriorPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateInteriorPointsOn();
      }
    else
      {
      op->GenerateInteriorPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateInteriorPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateInteriorPointsOff();
      }
    else
      {
      op->GenerateInteriorPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GetGenerateVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp20;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointSampler::GetGenerateVertices();
      }
    else
      {
      temp20 = op->GetGenerateVertices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_SetGenerateVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  int      temp0;
  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::SetGenerateVertices(temp0);
      }
    else
      {
      op->SetGenerateVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateVerticesOn();
      }
    else
      {
      op->GenerateVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointSampler_GenerateVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointSampler::GenerateVerticesOff();
      }
    else
      {
      op->GenerateVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataPointSamplerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataPointSampler_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros for type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataPointSampler_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros for type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataPointSampler_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataPointSampler\nC++: vtkPolyDataPointSampler *NewInstance ();\n\n Standard macros for type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataPointSampler_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataPointSampler\nC++: vtkPolyDataPointSampler *SafeDownCast (vtkObject* o);\n\n Standard macros for type information and printing.\n"},
  {(char*)"SetDistance",                (PyCFunction)PyvtkPolyDataPointSampler_SetDistance, 1,
   (char*)"V.SetDistance(float)\nC++: void SetDistance (double );\n\n Set/Get the approximate distance between points. This is an absolute\n distance measure.\n"},
  {(char*)"GetDistanceMinValue",                (PyCFunction)PyvtkPolyDataPointSampler_GetDistanceMinValue, 1,
   (char*)"V.GetDistanceMinValue() -> float\nC++: double GetDistanceMinValue ();\n\n Set/Get the approximate distance between points. This is an absolute\n distance measure.\n"},
  {(char*)"GetDistanceMaxValue",                (PyCFunction)PyvtkPolyDataPointSampler_GetDistanceMaxValue, 1,
   (char*)"V.GetDistanceMaxValue() -> float\nC++: double GetDistanceMaxValue ();\n\n Set/Get the approximate distance between points. This is an absolute\n distance measure.\n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkPolyDataPointSampler_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: double GetDistance ();\n\n Set/Get the approximate distance between points. This is an absolute\n distance measure.\n"},
  {(char*)"GetGenerateVertexPoints",                (PyCFunction)PyvtkPolyDataPointSampler_GetGenerateVertexPoints, 1,
   (char*)"V.GetGenerateVertexPoints() -> int\nC++: int GetGenerateVertexPoints ();\n\n Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n"},
  {(char*)"SetGenerateVertexPoints",                (PyCFunction)PyvtkPolyDataPointSampler_SetGenerateVertexPoints, 1,
   (char*)"V.SetGenerateVertexPoints(int)\nC++: void SetGenerateVertexPoints (int );\n\n Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n"},
  {(char*)"GenerateVertexPointsOn",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateVertexPointsOn, 1,
   (char*)"V.GenerateVertexPointsOn()\nC++: void GenerateVertexPointsOn ();\n\n Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n"},
  {(char*)"GenerateVertexPointsOff",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateVertexPointsOff, 1,
   (char*)"V.GenerateVertexPointsOff()\nC++: void GenerateVertexPointsOff ();\n\n Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n"},
  {(char*)"GetGenerateEdgePoints",                (PyCFunction)PyvtkPolyDataPointSampler_GetGenerateEdgePoints, 1,
   (char*)"V.GetGenerateEdgePoints() -> int\nC++: int GetGenerateEdgePoints ();\n\n Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n"},
  {(char*)"SetGenerateEdgePoints",                (PyCFunction)PyvtkPolyDataPointSampler_SetGenerateEdgePoints, 1,
   (char*)"V.SetGenerateEdgePoints(int)\nC++: void SetGenerateEdgePoints (int );\n\n Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n"},
  {(char*)"GenerateEdgePointsOn",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateEdgePointsOn, 1,
   (char*)"V.GenerateEdgePointsOn()\nC++: void GenerateEdgePointsOn ();\n\n Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n"},
  {(char*)"GenerateEdgePointsOff",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateEdgePointsOff, 1,
   (char*)"V.GenerateEdgePointsOff()\nC++: void GenerateEdgePointsOff ();\n\n Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n"},
  {(char*)"GetGenerateInteriorPoints",                (PyCFunction)PyvtkPolyDataPointSampler_GetGenerateInteriorPoints, 1,
   (char*)"V.GetGenerateInteriorPoints() -> int\nC++: int GetGenerateInteriorPoints ();\n\n Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n"},
  {(char*)"SetGenerateInteriorPoints",                (PyCFunction)PyvtkPolyDataPointSampler_SetGenerateInteriorPoints, 1,
   (char*)"V.SetGenerateInteriorPoints(int)\nC++: void SetGenerateInteriorPoints (int );\n\n Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n"},
  {(char*)"GenerateInteriorPointsOn",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateInteriorPointsOn, 1,
   (char*)"V.GenerateInteriorPointsOn()\nC++: void GenerateInteriorPointsOn ();\n\n Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n"},
  {(char*)"GenerateInteriorPointsOff",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateInteriorPointsOff, 1,
   (char*)"V.GenerateInteriorPointsOff()\nC++: void GenerateInteriorPointsOff ();\n\n Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n"},
  {(char*)"GetGenerateVertices",                (PyCFunction)PyvtkPolyDataPointSampler_GetGenerateVertices, 1,
   (char*)"V.GetGenerateVertices() -> int\nC++: int GetGenerateVertices ();\n\n Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n"},
  {(char*)"SetGenerateVertices",                (PyCFunction)PyvtkPolyDataPointSampler_SetGenerateVertices, 1,
   (char*)"V.SetGenerateVertices(int)\nC++: void SetGenerateVertices (int );\n\n Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n"},
  {(char*)"GenerateVerticesOn",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateVerticesOn, 1,
   (char*)"V.GenerateVerticesOn()\nC++: void GenerateVerticesOn ();\n\n Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n"},
  {(char*)"GenerateVerticesOff",                (PyCFunction)PyvtkPolyDataPointSampler_GenerateVerticesOff, 1,
   (char*)"V.GenerateVerticesOff()\nC++: void GenerateVerticesOff ();\n\n Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataPointSamplerDoc[] = {
  (char*)"vtkPolyDataPointSampler - generate points from vtkPolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPolyDataPointSampler generates points from input vtkPolyData. The\n points are placed approximately a specified distance apart.\n\n This filter functions as follows. First, it regurgitates all input points,\n then samples all lines, plus edges associated with the input polygons and\n triangle strips to produce edge points. Finally, the interiors of polygons\n and triangle strips are subsampled to pr",
  (char*)"oduce points.  All of these\n functiona can be enabled or disabled separately. Note that this algorithm\n only approximately generates points the specified distance apart. \n Generally the point density is finer than requested.\n\n\n",
  "Caveats:\n\n Point generation can be useful in a variety of applications. For example,\n generating seed points for glyphing or streamline generation. Another\n useful application is generating points for implicit modeling. In many\n cases implicit models can be more efficiently generated from points than\n from polygons or other primitives.\n\n",
  "See Also:\n\n vtkImplicitModeller\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataPointSamplerStaticNew()
{
  return vtkPolyDataPointSampler::New();
}

PyObject *PyVTKClass_vtkPolyDataPointSamplerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataPointSamplerStaticNew,
                        PyvtkPolyDataPointSamplerMethods,
                        (char*)"vtkPolyDataPointSampler",modulename,
                        (char**)vtkPolyDataPointSamplerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

