// tcl wrapper for vtkPolyDataPointSampler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataPointSampler.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolyDataPointSamplerNewCommand()
{
  vtkPolyDataPointSampler *temp = vtkPolyDataPointSampler::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataPointSamplerCppCommand(vtkPolyDataPointSampler *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolyDataPointSamplerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolyDataPointSamplerCppCommand(static_cast<vtkPolyDataPointSampler *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataPointSamplerCppCommand(vtkPolyDataPointSampler *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolyDataPointSampler",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolyDataPointSampler  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataPointSampler");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolyDataPointSampler  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataPointSampler");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolyDataPointSampler  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataPointSampler");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateVertexPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateVertexPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateVertexPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateVertexPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateVertexPointsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVertexPointsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateEdgePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateEdgePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateEdgePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateEdgePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateEdgePointsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgePointsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgePointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateInteriorPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateInteriorPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateInteriorPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateInteriorPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateInteriorPointsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateInteriorPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateInteriorPointsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateInteriorPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateVertices",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateVertices",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateVerticesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVerticesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolyDataPointSamplerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyDataPointSampler:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateVertexPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateVertexPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateEdgePoints\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateEdgePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePointsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgePointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateInteriorPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateInteriorPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateInteriorPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateInteriorPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateVertices\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVerticesOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexPoints" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexPoints" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPointsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePoints" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePointsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateInteriorPoints" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateInteriorPoints" );
    Tcl_DStringAppendElement ( &dString, "GenerateInteriorPointsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateInteriorPointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolyDataPointSampler *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard macros for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard macros for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard macros for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard macros for type information and printing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistance */
    if ( strcmp ( argv[2], "SetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the approximate distance between points. This is an absolute\n distance measure.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceMinValue */
    if ( strcmp ( argv[2], "GetDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the approximate distance between points. This is an absolute\n distance measure.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceMaxValue */
    if ( strcmp ( argv[2], "GetDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the approximate distance between points. This is an absolute\n distance measure.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistance */
    if ( strcmp ( argv[2], "GetDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the approximate distance between points. This is an absolute\n distance measure.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateVertexPoints */
    if ( strcmp ( argv[2], "GetGenerateVertexPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertexPoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateVertexPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetGenerateVertexPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateVertexPoints */
    if ( strcmp ( argv[2], "SetGenerateVertexPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertexPoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateVertexPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SetGenerateVertexPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexPointsOn */
    if ( strcmp ( argv[2], "GenerateVertexPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexPointsOn */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexPointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateVertexPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexPointsOff */
    if ( strcmp ( argv[2], "GenerateVertexPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexPointsOff */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertex points should\n be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexPointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateVertexPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateEdgePoints */
    if ( strcmp ( argv[2], "GetGenerateEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateEdgePoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetGenerateEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateEdgePoints */
    if ( strcmp ( argv[2], "SetGenerateEdgePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateEdgePoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateEdgePoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SetGenerateEdgePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePointsOn */
    if ( strcmp ( argv[2], "GenerateEdgePointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePointsOn */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateEdgePointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgePointsOff */
    if ( strcmp ( argv[2], "GenerateEdgePointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgePointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgePointsOff */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell edges should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgePointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateEdgePointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateInteriorPoints */
    if ( strcmp ( argv[2], "GetGenerateInteriorPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateInteriorPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateInteriorPoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateInteriorPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetGenerateInteriorPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateInteriorPoints */
    if ( strcmp ( argv[2], "SetGenerateInteriorPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateInteriorPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateInteriorPoints */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateInteriorPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SetGenerateInteriorPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateInteriorPointsOn */
    if ( strcmp ( argv[2], "GenerateInteriorPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateInteriorPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateInteriorPointsOn */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateInteriorPointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateInteriorPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateInteriorPointsOff */
    if ( strcmp ( argv[2], "GenerateInteriorPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateInteriorPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateInteriorPointsOff */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell interiors should\n be sampled to produce output points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateInteriorPointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateInteriorPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateVertices */
    if ( strcmp ( argv[2], "GetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateVertices */
    if ( strcmp ( argv[2], "SetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateVertices (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for SetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVerticesOn */
    if ( strcmp ( argv[2], "GenerateVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVerticesOff */
    if ( strcmp ( argv[2], "GenerateVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Specify/retrieve a boolean flag indicating whether cell vertices should\n be generated. Cell vertices are useful if you actually want to display\n the points (that is, for each point generated, a vertex is generated).\n Recall that VTK only renders vertices and not points.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataPointSampler" );
    /* Closing for GenerateVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
