// python wrapper for vtkPolyDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataStreamer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataStreamerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataStreamerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPolyDataStreamer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  const char    *temp20;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataStreamer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataStreamer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  vtkPolyDataStreamer  *temp20;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataStreamer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataStreamer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataStreamer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_SetNumberOfStreamDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  int      temp0;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataStreamer::SetNumberOfStreamDivisions(temp0);
      }
    else
      {
      op->SetNumberOfStreamDivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_GetNumberOfStreamDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  int      temp20;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataStreamer::GetNumberOfStreamDivisions();
      }
    else
      {
      temp20 = op->GetNumberOfStreamDivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_SetColorByPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  int      temp0;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataStreamer::SetColorByPiece(temp0);
      }
    else
      {
      op->SetColorByPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_GetColorByPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  int      temp20;
  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataStreamer::GetColorByPiece();
      }
    else
      {
      temp20 = op->GetColorByPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_ColorByPieceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataStreamer::ColorByPieceOn();
      }
    else
      {
      op->ColorByPieceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataStreamer_ColorByPieceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataStreamer *op;

  op = (vtkPolyDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataStreamer::ColorByPieceOff();
      }
    else
      {
      op->ColorByPieceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataStreamerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataStreamer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataStreamer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataStreamer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataStreamer\nC++: vtkPolyDataStreamer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataStreamer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataStreamer\nC++: vtkPolyDataStreamer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfStreamDivisions",                (PyCFunction)PyvtkPolyDataStreamer_SetNumberOfStreamDivisions, 1,
   (char*)"V.SetNumberOfStreamDivisions(int)\nC++: void SetNumberOfStreamDivisions (int num);\n\n Set the number of pieces to divide the problem into.\n"},
  {(char*)"GetNumberOfStreamDivisions",                (PyCFunction)PyvtkPolyDataStreamer_GetNumberOfStreamDivisions, 1,
   (char*)"V.GetNumberOfStreamDivisions() -> int\nC++: int GetNumberOfStreamDivisions ();\n\n Set the number of pieces to divide the problem into.\n"},
  {(char*)"SetColorByPiece",                (PyCFunction)PyvtkPolyDataStreamer_SetColorByPiece, 1,
   (char*)"V.SetColorByPiece(int)\nC++: void SetColorByPiece (int );\n\n By default, this option is off.  When it is on, cell scalars are generated\n based on which piece they are in.\n"},
  {(char*)"GetColorByPiece",                (PyCFunction)PyvtkPolyDataStreamer_GetColorByPiece, 1,
   (char*)"V.GetColorByPiece() -> int\nC++: int GetColorByPiece ();\n\n By default, this option is off.  When it is on, cell scalars are generated\n based on which piece they are in.\n"},
  {(char*)"ColorByPieceOn",                (PyCFunction)PyvtkPolyDataStreamer_ColorByPieceOn, 1,
   (char*)"V.ColorByPieceOn()\nC++: void ColorByPieceOn ();\n\n By default, this option is off.  When it is on, cell scalars are generated\n based on which piece they are in.\n"},
  {(char*)"ColorByPieceOff",                (PyCFunction)PyvtkPolyDataStreamer_ColorByPieceOff, 1,
   (char*)"V.ColorByPieceOff()\nC++: void ColorByPieceOff ();\n\n By default, this option is off.  When it is on, cell scalars are generated\n based on which piece they are in.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataStreamerDoc[] = {
  (char*)"vtkPolyDataStreamer - Stream appends input pieces to the output.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPolyDataStreamer initiates streaming by requesting pieces from its \n single input it appends these pieces it to the requested output.\n Note that since vtkPolyDataStreamer uses an append filter, all the\n polygons generated have to be kept in memory before rendering. If\n these do not fit in the memory, it is possible to make the vtkPolyDataMapper\n stream. Since the mapper will render each piece ",
  (char*)"separately, all the\n polygons do not have to stored in memory.\n .SECTION Note\n The output may be slightly different if the pipeline does not handle \n ghost cells properly (i.e. you might see seames between the pieces).\n\n",
  "See Also:\n\n vtkAppendFilter\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataStreamerStaticNew()
{
  return vtkPolyDataStreamer::New();
}

PyObject *PyVTKClass_vtkPolyDataStreamerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataStreamerStaticNew,
                        PyvtkPolyDataStreamerMethods,
                        (char*)"vtkPolyDataStreamer",modulename,
                        (char**)vtkPolyDataStreamerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

