// python wrapper for vtkProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProbeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProbeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProbeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProbeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  const char    *temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  vtkProbeFilter  *temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProbeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProbeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProbeFilter_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProbeFilter_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  vtkDataObject  *temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkProbeFilter_SetSpatialMatch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  int      temp0;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SetSpatialMatch(temp0);
      }
    else
      {
      op->SetSpatialMatch(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_GetSpatialMatch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  int      temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::GetSpatialMatch();
      }
    else
      {
      temp20 = op->GetSpatialMatch();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_SpatialMatchOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SpatialMatchOn();
      }
    else
      {
      op->SpatialMatchOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_SpatialMatchOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SpatialMatchOff();
      }
    else
      {
      op->SpatialMatchOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_GetValidPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  vtkIdTypeArray  *temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::GetValidPoints();
      }
    else
      {
      temp20 = op->GetValidPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_SetValidPointMaskArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  char    *temp0;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProbeFilter::SetValidPointMaskArrayName(temp0);
      }
    else
      {
      op->SetValidPointMaskArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeFilter_GetValidPointMaskArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeFilter *op;

  char    *temp20;
  op = (vtkProbeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeFilter::GetValidPointMaskArrayName();
      }
    else
      {
      temp20 = op->GetValidPointMaskArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProbeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProbeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProbeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProbeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProbeFilter\nC++: vtkProbeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProbeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProbeFilter\nC++: vtkProbeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkProbeFilter_SetSource, 1,
   (char*)"V.SetSource(vtkDataObject)\nC++: void SetSource (vtkDataObject *source);\n\n Specify the point locations used to probe input. Any geometry\n can be used. Old style. Do not use unless for backwards compatibility.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkProbeFilter_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataObject\nC++: vtkDataObject *GetSource ();\n\n Specify the point locations used to probe input. Any geometry\n can be used. Old style. Do not use unless for backwards compatibility.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkProbeFilter_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);\n\n Specify the point locations used to probe input. Any geometry\n can be used. New style. Equivalent to SetInputConnection(1, algOutput).\n"},
  {(char*)"SetSpatialMatch",                (PyCFunction)PyvtkProbeFilter_SetSpatialMatch, 1,
   (char*)"V.SetSpatialMatch(int)\nC++: void SetSpatialMatch (int );\n\n This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update by the user, then only n of m needs to\n be requested of the source. \n"},
  {(char*)"GetSpatialMatch",                (PyCFunction)PyvtkProbeFilter_GetSpatialMatch, 1,
   (char*)"V.GetSpatialMatch() -> int\nC++: int GetSpatialMatch ();\n\n This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update by the user, then only n of m needs to\n be requested of the source. \n"},
  {(char*)"SpatialMatchOn",                (PyCFunction)PyvtkProbeFilter_SpatialMatchOn, 1,
   (char*)"V.SpatialMatchOn()\nC++: void SpatialMatchOn ();\n\n This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update by the user, then only n of m needs to\n be requested of the source. \n"},
  {(char*)"SpatialMatchOff",                (PyCFunction)PyvtkProbeFilter_SpatialMatchOff, 1,
   (char*)"V.SpatialMatchOff()\nC++: void SpatialMatchOff ();\n\n This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update by the user, then only n of m needs to\n be requested of the source. \n"},
  {(char*)"GetValidPoints",                (PyCFunction)PyvtkProbeFilter_GetValidPoints, 1,
   (char*)"V.GetValidPoints() -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetValidPoints ();\n\n Get the list of point ids in the output that contain attribute data\n interpolated from the source.\n"},
  {(char*)"SetValidPointMaskArrayName",                (PyCFunction)PyvtkProbeFilter_SetValidPointMaskArrayName, 1,
   (char*)"V.SetValidPointMaskArrayName(string)\nC++: void SetValidPointMaskArrayName (char *);\n\n Returns the name of the char array added to the output with values 1 for\n valid points and 0 for invalid points.\n Set to \"vtkValidPointMask\" by default.\n"},
  {(char*)"GetValidPointMaskArrayName",                (PyCFunction)PyvtkProbeFilter_GetValidPointMaskArrayName, 1,
   (char*)"V.GetValidPointMaskArrayName() -> string\nC++: char *GetValidPointMaskArrayName ();\n\n Returns the name of the char array added to the output with values 1 for\n valid points and 0 for invalid points.\n Set to \"vtkValidPointMask\" by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProbeFilterDoc[] = {
  (char*)"vtkProbeFilter - sample data values at specified point locations\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProbeFilter is a filter that computes point attributes (e.g., scalars,\n vectors, etc.) at specified point positions. The filter has two inputs:\n the Input and Source. The Input geometric structure is passed through the\n filter. The point attributes are computed at the Input point positions\n by interpolating into the source data. For example, we can compute data\n values on a plane (plane specif",
  (char*)"ied as Input) from a volume (Source).\n The cell data of the source data is copied to the output based on in\n which source cell each input point is. If an array of the same name exists\n both in source's point and cell data, only the one from the point data is\n probed.\n\n This filter can be used to resample data, or convert one dataset form into\n another. For example, an unstructured grid (vtkUnstruc",
  (char*)"turedGrid) can be\n probed with a volume (three-dimensional vtkImageData), and then volume\n rendering techniques can be used to visualize the results. Another example:\n a line or curve can be used to probe data to produce x-y plots along\n that line or curve.\n\n",
  NULL
};

static vtkObjectBase *vtkProbeFilterStaticNew()
{
  return vtkProbeFilter::New();
}

PyObject *PyVTKClass_vtkProbeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkProbeFilterStaticNew,
                        PyvtkProbeFilterMethods,
                        (char*)"vtkProbeFilter",modulename,
                        (char**)vtkProbeFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

