// tcl wrapper for vtkProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProbeFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkProbeFilterNewCommand()
{
  vtkProbeFilter *temp = vtkProbeFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProbeFilterCppCommand(vtkProbeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkProbeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProbeFilterCppCommand(static_cast<vtkProbeFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProbeFilterCppCommand(vtkProbeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProbeFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProbeFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProbeFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProbeFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProbeFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProbeFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProbeFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpatialMatch",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSpatialMatch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpatialMatch",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSpatialMatch();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SpatialMatchOn",argv[1]))&&(argc == 2))
    {
    op->SpatialMatchOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SpatialMatchOff",argv[1]))&&(argc == 2))
    {
    op->SpatialMatchOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetValidPoints",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetValidPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("SetValidPointMaskArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetValidPointMaskArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValidPointMaskArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetValidPointMaskArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkProbeFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProbeFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSpatialMatch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpatialMatch\n",NULL);
    Tcl_AppendResult(interp,"  SpatialMatchOn\n",NULL);
    Tcl_AppendResult(interp,"  SpatialMatchOff\n",NULL);
    Tcl_AppendResult(interp,"  GetValidPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetValidPointMaskArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValidPointMaskArrayName\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSpatialMatch" );
    Tcl_DStringAppendElement ( &dString, "GetSpatialMatch" );
    Tcl_DStringAppendElement ( &dString, "SpatialMatchOn" );
    Tcl_DStringAppendElement ( &dString, "SpatialMatchOff" );
    Tcl_DStringAppendElement ( &dString, "GetValidPoints" );
    Tcl_DStringAppendElement ( &dString, "SetValidPointMaskArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetValidPointMaskArrayName" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkProbeFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the point locations used to probe input. Any geometry\n can be used. Old style. Do not use unless for backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource (vtkDataObject *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the point locations used to probe input. Any geometry\n can be used. Old style. Do not use unless for backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *GetSource ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify the point locations used to probe input. Any geometry\n can be used. New style. Equivalent to SetInputConnection(1, algOutput).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection (vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpatialMatch */
    if ( strcmp ( argv[2], "SetSpatialMatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpatialMatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpatialMatch */
    Tcl_DStringAppendElement ( &dString, " This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpatialMatch (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SetSpatialMatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpatialMatch */
    if ( strcmp ( argv[2], "GetSpatialMatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpatialMatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpatialMatch */
    Tcl_DStringAppendElement ( &dString, " This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSpatialMatch ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for GetSpatialMatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpatialMatchOn */
    if ( strcmp ( argv[2], "SpatialMatchOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpatialMatchOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpatialMatchOn */
    Tcl_DStringAppendElement ( &dString, " This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SpatialMatchOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SpatialMatchOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpatialMatchOff */
    if ( strcmp ( argv[2], "SpatialMatchOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpatialMatchOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpatialMatchOff */
    Tcl_DStringAppendElement ( &dString, " This flag is used only when a piece is requested to update.  By default\n the flag is off.  Because no spatial correspondence between input pieces\n and source pieces is known, all of the source has to be requested no\n matter what piece of the output is requested.  When there is a spatial \n correspondence, the user/application can set this flag.  This hint allows\n the breakup of the probe operation to be much more efficient.  When piece\n m of n is requested for update b ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SpatialMatchOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SpatialMatchOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValidPoints */
    if ( strcmp ( argv[2], "GetValidPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValidPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValidPoints */
    Tcl_DStringAppendElement ( &dString, " Get the list of point ids in the output that contain attribute data\n interpolated from the source.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetValidPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for GetValidPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValidPointMaskArrayName */
    if ( strcmp ( argv[2], "SetValidPointMaskArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValidPointMaskArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValidPointMaskArrayName */
    Tcl_DStringAppendElement ( &dString, " Returns the name of the char array added to the output with values 1 for\n valid points and 0 for invalid points.\n Set to \"vtkValidPointMask\" by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValidPointMaskArrayName (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for SetValidPointMaskArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValidPointMaskArrayName */
    if ( strcmp ( argv[2], "GetValidPointMaskArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValidPointMaskArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValidPointMaskArrayName */
    Tcl_DStringAppendElement ( &dString, " Returns the name of the char array added to the output with values 1 for\n valid points and 0 for invalid points.\n Set to \"vtkValidPointMask\" by default.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetValidPointMaskArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkProbeFilter" );
    /* Closing for GetValidPointMaskArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
