// python wrapper for vtkProbeSelectedLocations object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProbeSelectedLocations.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProbeSelectedLocationsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProbeSelectedLocationsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractSelectionBaseNew(char *); }

static PyObject *PyvtkProbeSelectedLocations_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeSelectedLocations *op;

  const char    *temp20;
  op = (vtkProbeSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeSelectedLocations::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeSelectedLocations_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeSelectedLocations *op;

  char    *temp0;
  int      temp20;
  op = (vtkProbeSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeSelectedLocations::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeSelectedLocations_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProbeSelectedLocations *op;

  vtkProbeSelectedLocations  *temp20;
  op = (vtkProbeSelectedLocations *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProbeSelectedLocations::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProbeSelectedLocations_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProbeSelectedLocations  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProbeSelectedLocations::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkProbeSelectedLocationsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProbeSelectedLocations_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProbeSelectedLocations_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProbeSelectedLocations_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProbeSelectedLocations\nC++: vtkProbeSelectedLocations *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProbeSelectedLocations_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProbeSelectedLocations\nC++: vtkProbeSelectedLocations *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProbeSelectedLocationsDoc[] = {
  (char*)"vtkProbeSelectedLocations - similar to vtkExtractSelectedLocations\n\n",
  "Super Class:\n\n vtkExtractSelectionBase\n\n",
  (char*)" vtkProbeSelectedLocations is similar to vtkExtractSelectedLocations except\n that it interpolates the point attributes at the probe location. This is\n equivalent to the vtkProbeFilter except that the probe locations are provided\n by a vtkSelection. The FieldType of the input vtkSelection is immaterial and\n is ignored. The ContentType of the input vtkSelection must be\n vtkSelection::LOCATIONS.\n\n",
  NULL
};

static vtkObjectBase *vtkProbeSelectedLocationsStaticNew()
{
  return vtkProbeSelectedLocations::New();
}

PyObject *PyVTKClass_vtkProbeSelectedLocationsNew(char *modulename)
{
  return PyVTKClass_New(&vtkProbeSelectedLocationsStaticNew,
                        PyvtkProbeSelectedLocationsMethods,
                        (char*)"vtkProbeSelectedLocations",modulename,
                        (char**)vtkProbeSelectedLocationsDoc,
                        PyVTKClass_vtkExtractSelectionBaseNew(modulename));
}

