// python wrapper for vtkProgrammableAttributeDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProgrammableAttributeDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProgrammableAttributeDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProgrammableAttributeDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProgrammableAttributeDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  const char    *temp20;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableAttributeDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableAttributeDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  vtkProgrammableAttributeDataFilter  *temp20;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableAttributeDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProgrammableAttributeDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProgrammableAttributeDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableAttributeDataFilter::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableAttributeDataFilter::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_GetInputList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  vtkDataSetCollection  *temp20;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableAttributeDataFilter::GetInputList();
      }
    else
      {
      temp20 = op->GetInputList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableAttributeDataFilter_SetExecuteMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableAttributeDataFilter *op;

  PyObject *temp0;
  op = (vtkProgrammableAttributeDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetExecuteMethod in vtkProgrammableAttributeDataFilter was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableAttributeDataFilter::SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkProgrammableAttributeDataFilter::SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProgrammableAttributeDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProgrammableAttributeDataFilter\nC++: vtkProgrammableAttributeDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProgrammableAttributeDataFilter\nC++: vtkProgrammableAttributeDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_AddInput, 1,
   (char*)"V.AddInput(vtkDataSet)\nC++: void AddInput (vtkDataSet *in);\n\n Add a dataset to the list of data to process.\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkDataSet)\nC++: void RemoveInput (vtkDataSet *in);\n\n Remove a dataset from the list of data to process.\n"},
  {(char*)"GetInputList",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_GetInputList, 1,
   (char*)"V.GetInputList() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetInputList ();return this InputList \n\n Return the list of inputs.\n"},
  {(char*)"SetExecuteMethod",                (PyCFunction)PyvtkProgrammableAttributeDataFilter_SetExecuteMethod, 1,
   (char*)"V.SetExecuteMethod(function)\nC++: void SetExecuteMethod (void (*func)(void *) , void *arg);\n\n Specify the function to use to operate on the point attribute data. Note\n that the function takes a single (void *) argument.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProgrammableAttributeDataFilterDoc[] = {
  (char*)"vtkProgrammableAttributeDataFilter - manipulate attribute (cell and point) data via a user-specified function\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProgrammableAttributeDataFilter is a filter that allows you to write a\n custom procedure to manipulate attribute data - either point or cell\n data. For example, you could generate scalars based on a complex formula;\n convert vectors to normals; compute scalar values as a function of\n vectors, texture coords, and/or any other point data attribute; and so\n on. The filter takes multiple inputs (i",
  (char*)"nput plus an auxiliary input list),\n so you can write procedures that combine several dataset point\n attributes. Note that the output of the filter is the same type\n (topology/geometry) as the input.\n\n The filter works as follows. It operates like any other filter (i.e.,\n checking and managing modified and execution times, processing Update()\n and Execute() methods, managing release of data, etc.)",
  (char*)", but the difference\n is that the Execute() method simply invokes a user-specified function with\n an optional (void *) argument (typically the \"this\" pointer in C++). It is\n also possible to specify a function to delete the argument via\n ExecuteMethodArgDelete().\n\n To use the filter, you write a procedure to process the input datasets,\n process the data, and generate output data. Typically, this m",
  (char*)"eans grabbing\n the input point or cell data (using GetInput() and maybe GetInputList()),\n operating on it (creating new point and cell attributes such as scalars,\n vectors, etc.), and then setting the point and/or cell attributes in the\n output dataset (you'll need to use GetOutput() to access the output).\n (Note: besides C++, it is possible to do the same thing in Tcl, Java, or\n other languages t",
  (char*)"hat wrap the C++ core.) Remember, proper filter protocol\n requires that you don't modify the input data - you create new output data\n from the input.\n\n\n",
  "Caveats:\n\n This filter operates on any combination of the filter input plus a list of\n additional inputs (at a minimum you must set the filter input via\n SetInput()).  It is up to you check whether the input is valid, and to\n insure that the output is valid. Also, you have to write the control\n structure for the traversal and operation on the point and cell attribute\n data.\n\n By default the output point and cell data will be copied through from the\n input point data (using ref ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkProgrammableAttributeDataFilterStaticNew()
{
  return vtkProgrammableAttributeDataFilter::New();
}

PyObject *PyVTKClass_vtkProgrammableAttributeDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkProgrammableAttributeDataFilterStaticNew,
                        PyvtkProgrammableAttributeDataFilterMethods,
                        (char*)"vtkProgrammableAttributeDataFilter",modulename,
                        (char**)vtkProgrammableAttributeDataFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

