// python wrapper for vtkProgrammableDataObjectSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProgrammableDataObjectSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProgrammableDataObjectSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProgrammableDataObjectSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkProgrammableDataObjectSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableDataObjectSource *op;

  const char    *temp20;
  op = (vtkProgrammableDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableDataObjectSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableDataObjectSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableDataObjectSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkProgrammableDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableDataObjectSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableDataObjectSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableDataObjectSource *op;

  vtkProgrammableDataObjectSource  *temp20;
  op = (vtkProgrammableDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableDataObjectSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableDataObjectSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProgrammableDataObjectSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProgrammableDataObjectSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProgrammableDataObjectSource_SetExecuteMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableDataObjectSource *op;

  PyObject *temp0;
  op = (vtkProgrammableDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetExecuteMethod in vtkProgrammableDataObjectSource was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableDataObjectSource::SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkProgrammableDataObjectSource::SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProgrammableDataObjectSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProgrammableDataObjectSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProgrammableDataObjectSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProgrammableDataObjectSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProgrammableDataObjectSource\nC++: vtkProgrammableDataObjectSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProgrammableDataObjectSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProgrammableDataObjectSource\nC++: vtkProgrammableDataObjectSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetExecuteMethod",                (PyCFunction)PyvtkProgrammableDataObjectSource_SetExecuteMethod, 1,
   (char*)"V.SetExecuteMethod(function)\nC++: void SetExecuteMethod (void (*func)(void *) , void *arg);\n\n Specify the function to use to generate the output data object. Note\n that the function takes a single (void *) argument.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProgrammableDataObjectSourceDoc[] = {
  (char*)"vtkProgrammableDataObjectSource - generate source data object via a user-specified function\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkProgrammableDataObjectSource is a source object that is programmable by\n the user. The output of the filter is a data object (vtkDataObject) which\n represents data via an instance of field data. To use this object, you\n must specify a function that creates the output.  \n\n Example use of this filter includes reading tabular data and encoding it\n as vtkFieldData. You can then use filters like vt",
  (char*)"kDataObjectToDataSetFilter\n to convert the data object to a dataset and then visualize it.  Another\n important use of this class is that it allows users of interpreters (e.g.,\n Tcl or Java) the ability to write source objects without having to\n recompile C++ code or generate new libraries.\n \n\n",
  "See Also:\n\n vtkProgrammableFilter vtkProgrammableAttributeDataFilter\n vtkProgrammableSource vtkDataObjectToDataSetFilter\n\n",
  NULL
};

static vtkObjectBase *vtkProgrammableDataObjectSourceStaticNew()
{
  return vtkProgrammableDataObjectSource::New();
}

PyObject *PyVTKClass_vtkProgrammableDataObjectSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkProgrammableDataObjectSourceStaticNew,
                        PyvtkProgrammableDataObjectSourceMethods,
                        (char*)"vtkProgrammableDataObjectSource",modulename,
                        (char**)vtkProgrammableDataObjectSourceDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

