// python wrapper for vtkProgrammableGlyphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProgrammableGlyphFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProgrammableGlyphFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProgrammableGlyphFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkProgrammableGlyphFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  const char    *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  vtkProgrammableGlyphFilter  *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProgrammableGlyphFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProgrammableGlyphFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableGlyphFilter::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  vtkPolyData  *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SetGlyphMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  PyObject *temp0;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetGlyphMethod in vtkProgrammableGlyphFilter was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableGlyphFilter::SetGlyphMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkProgrammableGlyphFilter::SetGlyphMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetGlyphMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetGlyphMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetPointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  vtkIdType   temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetPointId();
      }
    else
      {
      temp20 = op->GetPointId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  double  *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetPoint();
      }
    else
      {
      temp20 = op->GetPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  vtkPointData  *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetPointData();
      }
    else
      {
      temp20 = op->GetPointData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  int      temp0;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableGlyphFilter::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  int      temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SetColorModeToColorByInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableGlyphFilter::SetColorModeToColorByInput();
      }
    else
      {
      op->SetColorModeToColorByInput();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_SetColorModeToColorBySource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableGlyphFilter::SetColorModeToColorBySource();
      }
    else
      {
      op->SetColorModeToColorBySource();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableGlyphFilter_GetColorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableGlyphFilter *op;

  const char    *temp20;
  op = (vtkProgrammableGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableGlyphFilter::GetColorModeAsString();
      }
    else
      {
      temp20 = op->GetColorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProgrammableGlyphFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProgrammableGlyphFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProgrammableGlyphFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProgrammableGlyphFilter\nC++: vtkProgrammableGlyphFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProgrammableGlyphFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProgrammableGlyphFilter\nC++: vtkProgrammableGlyphFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkProgrammableGlyphFilter_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *source);\n\n Set/Get the source to use for this glyph. \n Note: you can change the source during execution of this filter.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetSource, 1,
   (char*)"V.GetSource() -> vtkPolyData\nC++: vtkPolyData *GetSource ();\n\n Set/Get the source to use for this glyph. \n Note: you can change the source during execution of this filter.\n"},
  {(char*)"SetGlyphMethod",                (PyCFunction)PyvtkProgrammableGlyphFilter_SetGlyphMethod, 1,
   (char*)"V.SetGlyphMethod(function)\nC++: void SetGlyphMethod (void (*func)(void *) , void *arg);\n\n Specify function to be called for each input point.\n"},
  {(char*)"GetPointId",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetPointId, 1,
   (char*)"V.GetPointId() -> int\nC++: vtkIdType GetPointId ();\n\n Get the current point id during processing. Value only valid during the\n Execute() method of this filter. (Meant to be called by the GlyphMethod().)\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetPoint, 1,
   (char*)"V.GetPoint() -> (float, float, float)\nC++: double  *GetPoint ();\n\n Get the current point coordinates during processing. Value only valid during the\n Execute() method of this filter. (Meant to be called by the GlyphMethod().)\n"},
  {(char*)"GetPointData",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetPointData, 1,
   (char*)"V.GetPointData() -> vtkPointData\nC++: vtkPointData *GetPointData ();\n\n Get the set of point data attributes for the input. A convenience to the\n programmer to be used in the GlyphMethod(). Only valid during the Execute()\n method of this filter.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkProgrammableGlyphFilter_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Either color by the input or source scalar data.\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Either color by the input or source scalar data.\n"},
  {(char*)"SetColorModeToColorByInput",                (PyCFunction)PyvtkProgrammableGlyphFilter_SetColorModeToColorByInput, 1,
   (char*)"V.SetColorModeToColorByInput()\nC++: void SetColorModeToColorByInput ();this SetColorMode VTK_COLOR_BY_INPUT \n\n Either color by the input or source scalar data.\n"},
  {(char*)"SetColorModeToColorBySource",                (PyCFunction)PyvtkProgrammableGlyphFilter_SetColorModeToColorBySource, 1,
   (char*)"V.SetColorModeToColorBySource()\nC++: void SetColorModeToColorBySource ();this SetColorMode VTK_COLOR_BY_SOURCE \n\n Either color by the input or source scalar data.\n"},
  {(char*)"GetColorModeAsString",                (PyCFunction)PyvtkProgrammableGlyphFilter_GetColorModeAsString, 1,
   (char*)"V.GetColorModeAsString() -> string\nC++: const char *GetColorModeAsString ();\n\n Either color by the input or source scalar data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProgrammableGlyphFilterDoc[] = {
  (char*)"vtkProgrammableGlyphFilter - control the generation and placement of glyphs at input points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkProgrammableGlyphFilter is a filter that allows you to place a glyph at\n each input point in the dataset. In addition, the filter is programmable\n which means the user has control over the generation of the glyph. The\n glyphs can be controlled via the point data attributes (e.g., scalars,\n vectors, etc.) or any other information in the input dataset.\n\n This is the way the filter works. You mus",
  (char*)"t define an input dataset which\n at a minimum contains points with associated attribute values. Also, the\n Source instance variable must be set which is of type vtkPolyData. Then,\n for each point in the input, the PointId is set to the current point id,\n and a user-defined function is called (i.e., GlyphMethod). In this method\n you can manipulate the Source data (including changing to a different\n",
  (char*)" Source object). After the GlyphMethod is called,\n vtkProgrammableGlyphFilter will invoke an Update() on its Source object,\n and then copy its data to the output of the\n vtkProgrammableGlyphFilter. Therefore the output of this filter is of type\n vtkPolyData.\n\n Another option to this filter is the way you color the glyphs. You can use\n the scalar data from the input or the source. The instance vari",
  (char*)"able\n ColorMode controls this behavior.\n\n",
  "Caveats:\n\n This filter operates on point data attributes. If you want to use cell\n data attributes, use a filter like vtkCellCenters to generate points at\n the centers of cells, and then use these points.\n\n Note that the data attributes (cell and point) are passed to the output of\n this filter from the Source object. This works well as long as you are not\n changing the class of the Source object during execution. However, if the\n class of the Source object changes, then the pot ...\n [Truncated]\n\n",
  "See Also:\n\n vtkGlyph3D vtkTensorGlyph vtkCellCenters\n\n",
  NULL
};

static vtkObjectBase *vtkProgrammableGlyphFilterStaticNew()
{
  return vtkProgrammableGlyphFilter::New();
}

PyObject *PyVTKClass_vtkProgrammableGlyphFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkProgrammableGlyphFilterStaticNew,
                        PyvtkProgrammableGlyphFilterMethods,
                        (char*)"vtkProgrammableGlyphFilter",modulename,
                        (char**)vtkProgrammableGlyphFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

