// python wrapper for vtkProgrammableSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProgrammableSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProgrammableSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProgrammableSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProgrammableSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  const char    *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkProgrammableSource  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProgrammableSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProgrammableSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProgrammableSource_SetExecuteMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  PyObject *temp0;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0);
  if (op)
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetExecuteMethod in vtkProgrammableSource was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableSource::SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkProgrammableSource::SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_GetPolyDataOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkPolyData  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetPolyDataOutput();
      }
    else
      {
      temp20 = op->GetPolyDataOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_GetStructuredPointsOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkStructuredPoints  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetStructuredPointsOutput();
      }
    else
      {
      temp20 = op->GetStructuredPointsOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_GetStructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkStructuredGrid  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetStructuredGridOutput();
      }
    else
      {
      temp20 = op->GetStructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_GetUnstructuredGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkUnstructuredGrid  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetUnstructuredGridOutput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableSource_GetRectilinearGridOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableSource *op;

  vtkRectilinearGrid  *temp20;
  op = (vtkProgrammableSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableSource::GetRectilinearGridOutput();
      }
    else
      {
      temp20 = op->GetRectilinearGridOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProgrammableSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProgrammableSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProgrammableSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProgrammableSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProgrammableSource\nC++: vtkProgrammableSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProgrammableSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProgrammableSource\nC++: vtkProgrammableSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetExecuteMethod",                (PyCFunction)PyvtkProgrammableSource_SetExecuteMethod, 1,
   (char*)"V.SetExecuteMethod(function)\nC++: void SetExecuteMethod (void (*func)(void *) , void *arg);\n\n Specify the function to use to generate the source data. Note\n that the function takes a single (void *) argument.\n"},
  {(char*)"GetPolyDataOutput",                (PyCFunction)PyvtkProgrammableSource_GetPolyDataOutput, 1,
   (char*)"V.GetPolyDataOutput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataOutput ();\n\n Get the output as a concrete type. This method is typically used by the\n writer of the source function to get the output as a particular type\n (i.e., it essentially does type casting). It is the users responsibility\n to know the correct type of the output data.\n"},
  {(char*)"GetStructuredPointsOutput",                (PyCFunction)PyvtkProgrammableSource_GetStructuredPointsOutput, 1,
   (char*)"V.GetStructuredPointsOutput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetStructuredPointsOutput ();\n\n Get the output as a concrete type.\n"},
  {(char*)"GetStructuredGridOutput",                (PyCFunction)PyvtkProgrammableSource_GetStructuredGridOutput, 1,
   (char*)"V.GetStructuredGridOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridOutput ();\n\n Get the output as a concrete type.\n"},
  {(char*)"GetUnstructuredGridOutput",                (PyCFunction)PyvtkProgrammableSource_GetUnstructuredGridOutput, 1,
   (char*)"V.GetUnstructuredGridOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridOutput ();\n\n Get the output as a concrete type.\n"},
  {(char*)"GetRectilinearGridOutput",                (PyCFunction)PyvtkProgrammableSource_GetRectilinearGridOutput, 1,
   (char*)"V.GetRectilinearGridOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetRectilinearGridOutput ();\n\n Get the output as a concrete type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProgrammableSourceDoc[] = {
  (char*)"vtkProgrammableSource - generate source dataset via a user-specified function\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProgrammableSource is a source object that is programmable by the\n user. To use this object, you must specify a function that creates the\n output.  It is possible to generate an output dataset of any (concrete) \n type; it is up to the function to properly initialize and define the \n output. Typically, you use one of the methods to get a concrete output \n type (e.g., GetPolyDataOutput() or GetS",
  (char*)"tructuredPointsOutput()), and \n then manipulate the output in the user-specified function.\n\n Example use of this include writing a function to read a data file or\n interface to another system. (You might want to do this in favor of\n deriving a new class.) Another important use of this class is that it\n allows users of interpreters (e.g., Tcl or Java) the ability to write\n source objects without ha",
  (char*)"ving to recompile C++ code or generate new\n libraries.\n\n",
  "See Also:\n\n vtkProgrammableFilter vtkProgrammableAttributeDataFilter\n vtkProgrammableDataObjectSource\n\n",
  NULL
};

static vtkObjectBase *vtkProgrammableSourceStaticNew()
{
  return vtkProgrammableSource::New();
}

PyObject *PyVTKClass_vtkProgrammableSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkProgrammableSourceStaticNew,
                        PyvtkProgrammableSourceMethods,
                        (char*)"vtkProgrammableSource",modulename,
                        (char**)vtkProgrammableSourceDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

