// python wrapper for vtkProjectedTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProjectedTexture.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProjectedTextureNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProjectedTextureNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProjectedTexture_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  const char    *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  char    *temp0;
  int      temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  vtkProjectedTexture  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProjectedTexture  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProjectedTexture::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[3];
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetFocalPoint(temp0);
      }
    else
      {
      op->SetFocalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetFocalPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetFocalPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetFocalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetFocalPoint();
      }
    else
      {
      temp20 = op->GetFocalPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetCameraMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  int      temp0;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetCameraMode(temp0);
      }
    else
      {
      op->SetCameraMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetCameraMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  int      temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetCameraMode();
      }
    else
      {
      temp20 = op->GetCameraMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetCameraModeToPinhole(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetCameraModeToPinhole();
      }
    else
      {
      op->SetCameraModeToPinhole();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetCameraModeToTwoMirror(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetCameraModeToTwoMirror();
      }
    else
      {
      op->SetCameraModeToTwoMirror();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetMirrorSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetMirrorSeparation(temp0);
      }
    else
      {
      op->SetMirrorSeparation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetMirrorSeparation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetMirrorSeparation();
      }
    else
      {
      temp20 = op->GetMirrorSeparation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetUp(temp0,temp1,temp2);
      }
    else
      {
      op->SetUp(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetUp(temp0);
      }
    else
      {
      op->SetUp(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetUp();
      }
    else
      {
      temp20 = op->GetUp();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetAspectRatio(temp0,temp1,temp2);
      }
    else
      {
      op->SetAspectRatio(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetAspectRatio(temp0);
      }
    else
      {
      op->SetAspectRatio(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetAspectRatio();
      }
    else
      {
      temp20 = op->GetAspectRatio();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetSRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetSRange(temp0,temp1);
      }
    else
      {
      op->SetSRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetSRange(temp0);
      }
    else
      {
      op->SetSRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetSRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetSRange();
      }
    else
      {
      temp20 = op->GetSRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_SetTRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double   temp0;
  double   temp1;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetTRange(temp0,temp1);
      }
    else
      {
      op->SetTRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTexture::SetTRange(temp0);
      }
    else
      {
      op->SetTRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTexture_GetTRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTexture *op;

  double  *temp20;
  op = (vtkProjectedTexture *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTexture::GetTRange();
      }
    else
      {
      temp20 = op->GetTRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProjectedTextureMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProjectedTexture_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProjectedTexture_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProjectedTexture_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProjectedTexture\nC++: vtkProjectedTexture *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProjectedTexture_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProjectedTexture\nC++: vtkProjectedTexture *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkProjectedTexture_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Set/Get the position of the focus of the projector.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkProjectedTexture_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get the position of the focus of the projector.\n"},
  {(char*)"SetFocalPoint",                (PyCFunction)PyvtkProjectedTexture_SetFocalPoint, 1,
   (char*)"V.SetFocalPoint((float, float, float))\nC++: void SetFocalPoint (double focalPoint[3]);\nV.SetFocalPoint(float, float, float)\nC++: void SetFocalPoint (double x, double y, double z);\n\n Set/Get the focal point of the projector (a point that lies along\n the center axis of the projector's frustum).\n"},
  {(char*)"GetFocalPoint",                (PyCFunction)PyvtkProjectedTexture_GetFocalPoint, 1,
   (char*)"V.GetFocalPoint() -> (float, float, float)\nC++: double  *GetFocalPoint ();\n\n Set/Get the focal point of the projector (a point that lies along\n the center axis of the projector's frustum).\n"},
  {(char*)"SetCameraMode",                (PyCFunction)PyvtkProjectedTexture_SetCameraMode, 1,
   (char*)"V.SetCameraMode(int)\nC++: void SetCameraMode (int );\n\n Set/Get the camera mode of the projection -- pinhole projection or\n two mirror projection.\n"},
  {(char*)"GetCameraMode",                (PyCFunction)PyvtkProjectedTexture_GetCameraMode, 1,
   (char*)"V.GetCameraMode() -> int\nC++: int GetCameraMode ();\n\n Set/Get the camera mode of the projection -- pinhole projection or\n two mirror projection.\n"},
  {(char*)"SetCameraModeToPinhole",                (PyCFunction)PyvtkProjectedTexture_SetCameraModeToPinhole, 1,
   (char*)"V.SetCameraModeToPinhole()\nC++: void SetCameraModeToPinhole ();this SetCameraMode VTK_PROJECTED_TEXTURE_USE_PINHOLE \n\n Set/Get the camera mode of the projection -- pinhole projection or\n two mirror projection.\n"},
  {(char*)"SetCameraModeToTwoMirror",                (PyCFunction)PyvtkProjectedTexture_SetCameraModeToTwoMirror, 1,
   (char*)"V.SetCameraModeToTwoMirror()\nC++: void SetCameraModeToTwoMirror ();this SetCameraMode VTK_PROJECTED_TEXTURE_USE_TWO_MIRRORS \n\n Set/Get the mirror separation for the two mirror system.\n"},
  {(char*)"SetMirrorSeparation",                (PyCFunction)PyvtkProjectedTexture_SetMirrorSeparation, 1,
   (char*)"V.SetMirrorSeparation(float)\nC++: void SetMirrorSeparation (double );\n\n Set/Get the mirror separation for the two mirror system.\n"},
  {(char*)"GetMirrorSeparation",                (PyCFunction)PyvtkProjectedTexture_GetMirrorSeparation, 1,
   (char*)"V.GetMirrorSeparation() -> float\nC++: double GetMirrorSeparation ();\n\n Set/Get the mirror separation for the two mirror system.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkProjectedTexture_GetOrientation, 1,
   (char*)"V.GetOrientation() -> (float, float, float)\nC++: double  *GetOrientation ();\n\n Get the normalized orientation vector of the projector.\n"},
  {(char*)"SetUp",                (PyCFunction)PyvtkProjectedTexture_SetUp, 1,
   (char*)"V.SetUp(float, float, float)\nC++: void SetUp (double , double , double );\nV.SetUp((float, float, float))\nC++: void SetUp (double  a[3]);\n\n"},
  {(char*)"GetUp",                (PyCFunction)PyvtkProjectedTexture_GetUp, 1,
   (char*)"V.GetUp() -> (float, float, float)\nC++: double  *GetUp ();\n\n"},
  {(char*)"SetAspectRatio",                (PyCFunction)PyvtkProjectedTexture_SetAspectRatio, 1,
   (char*)"V.SetAspectRatio(float, float, float)\nC++: void SetAspectRatio (double , double , double );\nV.SetAspectRatio((float, float, float))\nC++: void SetAspectRatio (double  a[3]);\n\n"},
  {(char*)"GetAspectRatio",                (PyCFunction)PyvtkProjectedTexture_GetAspectRatio, 1,
   (char*)"V.GetAspectRatio() -> (float, float, float)\nC++: double  *GetAspectRatio ();\n\n"},
  {(char*)"SetSRange",                (PyCFunction)PyvtkProjectedTexture_SetSRange, 1,
   (char*)"V.SetSRange(float, float)\nC++: void SetSRange (double , double );\nV.SetSRange((float, float))\nC++: void SetSRange (double  a[2]);\n\n Specify s-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"GetSRange",                (PyCFunction)PyvtkProjectedTexture_GetSRange, 1,
   (char*)"V.GetSRange() -> (float, float)\nC++: double  *GetSRange ();\n\n Specify s-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"SetTRange",                (PyCFunction)PyvtkProjectedTexture_SetTRange, 1,
   (char*)"V.SetTRange(float, float)\nC++: void SetTRange (double , double );\nV.SetTRange((float, float))\nC++: void SetTRange (double  a[2]);\n\n Specify t-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"GetTRange",                (PyCFunction)PyvtkProjectedTexture_GetTRange, 1,
   (char*)"V.GetTRange() -> (float, float)\nC++: double  *GetTRange ();\n\n Specify t-coordinate range for texture s-t coordinate pair.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProjectedTextureDoc[] = {
  (char*)"vtkProjectedTexture - assign texture coordinates for a projected texture\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProjectedTexture assigns texture coordinates to a dataset as if\n the texture was projected from a slide projected located somewhere in the\n scene.  Methods are provided to position the projector and aim it at a \n location, to set the width of the projector's frustum, and to set the\n range of texture coordinates assigned to the dataset.  \n\n Objects in the scene that appear behind the projector ",
  (char*)"are also assigned\n texture coordinates; the projected image is left-right and top-bottom \n flipped, much as a lens' focus flips the rays of light that pass through\n it.  A warning is issued if a point in the dataset falls at the focus\n of the projector.\n\n",
  NULL
};

static vtkObjectBase *vtkProjectedTextureStaticNew()
{
  return vtkProjectedTexture::New();
}

PyObject *PyVTKClass_vtkProjectedTextureNew(char *modulename)
{
  return PyVTKClass_New(&vtkProjectedTextureStaticNew,
                        PyvtkProjectedTextureMethods,
                        (char*)"vtkProjectedTexture",modulename,
                        (char**)vtkProjectedTextureDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

