// tcl wrapper for vtkQuadricClustering object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadricClustering.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkQuadricClusteringNewCommand()
{
  vtkQuadricClustering *temp = vtkQuadricClustering::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkQuadricClusteringCppCommand(vtkQuadricClustering *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkQuadricClusteringCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkQuadricClusteringCppCommand(static_cast<vtkQuadricClustering *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkQuadricClusteringCppCommand(vtkQuadricClustering *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkQuadricClustering",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkQuadricClustering  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricClustering");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkQuadricClustering  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricClustering");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkQuadricClustering  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricClustering");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfXDivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfXDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfYDivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfYDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfZDivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfZDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfXDivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXDivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfYDivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYDivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfZDivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfZDivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfDivisions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetNumberOfDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfDivisions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetNumberOfDivisions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfDivisions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNumberOfDivisions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfDivisions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetNumberOfDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoAdjustNumberOfDivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustNumberOfDivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustNumberOfDivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustNumberOfDivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustNumberOfDivisionsOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustNumberOfDivisionsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustNumberOfDivisionsOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustNumberOfDivisionsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDivisionOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDivisionOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDivisionOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDivisionOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDivisionOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDivisionOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDivisionSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDivisionSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDivisionSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDivisionSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDivisionSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDivisionSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseInputPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseInputPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseInputPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseInputPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseInputPointsOn",argv[1]))&&(argc == 2))
    {
    op->UseInputPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseInputPointsOff",argv[1]))&&(argc == 2))
    {
    op->UseInputPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseFeatureEdges",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseFeatureEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseFeatureEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseFeatureEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseFeatureEdgesOn",argv[1]))&&(argc == 2))
    {
    op->UseFeatureEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseFeatureEdgesOff",argv[1]))&&(argc == 2))
    {
    op->UseFeatureEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureEdges",argv[1]))&&(argc == 2))
    {
    vtkFeatureEdges  *temp20;
    temp20 = (op)->GetFeatureEdges();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFeatureEdges");
    return TCL_OK;
    }
  if ((!strcmp("SetUseFeaturePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseFeaturePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseFeaturePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseFeaturePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseFeaturePointsOn",argv[1]))&&(argc == 2))
    {
    op->UseFeaturePointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseFeaturePointsOff",argv[1]))&&(argc == 2))
    {
    op->UseFeaturePointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFeaturePointsAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeaturePointsAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeaturePointsAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeaturePointsAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeaturePointsAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeaturePointsAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeaturePointsAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeaturePointsAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseInternalTriangles",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseInternalTriangles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseInternalTriangles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseInternalTriangles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseInternalTrianglesOn",argv[1]))&&(argc == 2))
    {
    op->UseInternalTrianglesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseInternalTrianglesOff",argv[1]))&&(argc == 2))
    {
    op->UseInternalTrianglesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartAppend",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->StartAppend(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->Append(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndAppend",argv[1]))&&(argc == 2))
    {
    op->EndAppend();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyCellData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyCellData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyCellData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyCellData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyCellDataOn",argv[1]))&&(argc == 2))
    {
    op->CopyCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyCellDataOff",argv[1]))&&(argc == 2))
    {
    op->CopyCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPreventDuplicateCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreventDuplicateCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreventDuplicateCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreventDuplicateCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreventDuplicateCellsOn",argv[1]))&&(argc == 2))
    {
    op->PreventDuplicateCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreventDuplicateCellsOff",argv[1]))&&(argc == 2))
    {
    op->PreventDuplicateCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkQuadricClusteringCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkQuadricClustering:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfXDivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfYDivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfZDivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXDivisions\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYDivisions\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfZDivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfDivisions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfDivisions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDivisions\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDivisions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustNumberOfDivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustNumberOfDivisions\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustNumberOfDivisionsOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustNumberOfDivisionsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDivisionOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDivisionOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDivisionOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetDivisionSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDivisionSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDivisionSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetUseInputPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseInputPoints\n",NULL);
    Tcl_AppendResult(interp,"  UseInputPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseInputPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseFeatureEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseFeatureEdges\n",NULL);
    Tcl_AppendResult(interp,"  UseFeatureEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseFeatureEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureEdges\n",NULL);
    Tcl_AppendResult(interp,"  SetUseFeaturePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseFeaturePoints\n",NULL);
    Tcl_AppendResult(interp,"  UseFeaturePointsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseFeaturePointsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFeaturePointsAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeaturePointsAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeaturePointsAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeaturePointsAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetUseInternalTriangles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseInternalTriangles\n",NULL);
    Tcl_AppendResult(interp,"  UseInternalTrianglesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseInternalTrianglesOff\n",NULL);
    Tcl_AppendResult(interp,"  StartAppend\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EndAppend\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyCellData\n",NULL);
    Tcl_AppendResult(interp,"  CopyCellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyCellDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPreventDuplicateCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreventDuplicateCells\n",NULL);
    Tcl_AppendResult(interp,"  PreventDuplicateCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  PreventDuplicateCellsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfZDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfZDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustNumberOfDivisions" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustNumberOfDivisionsOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustNumberOfDivisionsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDivisionOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDivisionOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDivisionOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDivisionSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDivisionSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDivisionSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetUseInputPoints" );
    Tcl_DStringAppendElement ( &dString, "GetUseInputPoints" );
    Tcl_DStringAppendElement ( &dString, "UseInputPointsOn" );
    Tcl_DStringAppendElement ( &dString, "UseInputPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseFeatureEdges" );
    Tcl_DStringAppendElement ( &dString, "GetUseFeatureEdges" );
    Tcl_DStringAppendElement ( &dString, "UseFeatureEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "UseFeatureEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdges" );
    Tcl_DStringAppendElement ( &dString, "SetUseFeaturePoints" );
    Tcl_DStringAppendElement ( &dString, "GetUseFeaturePoints" );
    Tcl_DStringAppendElement ( &dString, "UseFeaturePointsOn" );
    Tcl_DStringAppendElement ( &dString, "UseFeaturePointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeaturePointsAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngle" );
    Tcl_DStringAppendElement ( &dString, "SetUseInternalTriangles" );
    Tcl_DStringAppendElement ( &dString, "GetUseInternalTriangles" );
    Tcl_DStringAppendElement ( &dString, "UseInternalTrianglesOn" );
    Tcl_DStringAppendElement ( &dString, "UseInternalTrianglesOff" );
    Tcl_DStringAppendElement ( &dString, "StartAppend" );
    Tcl_DStringAppendElement ( &dString, "Append" );
    Tcl_DStringAppendElement ( &dString, "EndAppend" );
    Tcl_DStringAppendElement ( &dString, "SetCopyCellData" );
    Tcl_DStringAppendElement ( &dString, "GetCopyCellData" );
    Tcl_DStringAppendElement ( &dString, "CopyCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "CopyCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "SetPreventDuplicateCells" );
    Tcl_DStringAppendElement ( &dString, "GetPreventDuplicateCells" );
    Tcl_DStringAppendElement ( &dString, "PreventDuplicateCellsOn" );
    Tcl_DStringAppendElement ( &dString, "PreventDuplicateCellsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard instantition, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard instantition, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard instantition, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard instantition, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard instantition, type and print methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkQuadricClustering *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfXDivisions */
    if ( strcmp ( argv[2], "SetNumberOfXDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfXDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfXDivisions (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetNumberOfXDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfYDivisions */
    if ( strcmp ( argv[2], "SetNumberOfYDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfYDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfYDivisions (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetNumberOfYDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfZDivisions */
    if ( strcmp ( argv[2], "SetNumberOfZDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfZDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfZDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfZDivisions (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetNumberOfZDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfXDivisions */
    if ( strcmp ( argv[2], "GetNumberOfXDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfXDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfXDivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetNumberOfXDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfYDivisions */
    if ( strcmp ( argv[2], "GetNumberOfYDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfYDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfYDivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetNumberOfYDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfZDivisions */
    if ( strcmp ( argv[2], "GetNumberOfZDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfZDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfZDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfZDivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetNumberOfZDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfDivisions */
    if ( strcmp ( argv[2], "SetNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfDivisions (int div\\[3\\]);this SetNumberOfDivisions div div div " );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfDivisions */
    if ( strcmp ( argv[2], "SetNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfDivisions (int div0, int div1, int div2);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDivisions */
    if ( strcmp ( argv[2], "GetNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetNumberOfDivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDivisions */
    if ( strcmp ( argv[2], "GetNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of divisions along each axis for the spatial bins.\n The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*\n NumberOfZDivisions.  The filter may choose to ignore large numbers of\n divisions if the input has few points and AutoAdjustNumberOfDivisions\n is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetNumberOfDivisions (int div\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustNumberOfDivisions */
    if ( strcmp ( argv[2], "SetAutoAdjustNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Enable automatic adjustment of number of divisions. If off, the number\n of divisions specified by the user is always used (as long as it is valid).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustNumberOfDivisions (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetAutoAdjustNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustNumberOfDivisions */
    if ( strcmp ( argv[2], "GetAutoAdjustNumberOfDivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustNumberOfDivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustNumberOfDivisions */
    Tcl_DStringAppendElement ( &dString, " Enable automatic adjustment of number of divisions. If off, the number\n of divisions specified by the user is always used (as long as it is valid).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustNumberOfDivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetAutoAdjustNumberOfDivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustNumberOfDivisionsOn */
    if ( strcmp ( argv[2], "AutoAdjustNumberOfDivisionsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustNumberOfDivisionsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustNumberOfDivisionsOn */
    Tcl_DStringAppendElement ( &dString, " Enable automatic adjustment of number of divisions. If off, the number\n of divisions specified by the user is always used (as long as it is valid).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustNumberOfDivisionsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for AutoAdjustNumberOfDivisionsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustNumberOfDivisionsOff */
    if ( strcmp ( argv[2], "AutoAdjustNumberOfDivisionsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustNumberOfDivisionsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustNumberOfDivisionsOff */
    Tcl_DStringAppendElement ( &dString, " Enable automatic adjustment of number of divisions. If off, the number\n of divisions specified by the user is always used (as long as it is valid).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustNumberOfDivisionsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for AutoAdjustNumberOfDivisionsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDivisionOrigin */
    if ( strcmp ( argv[2], "SetDivisionOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisionOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisionOrigin */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisionOrigin (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetDivisionOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDivisionOrigin */
    if ( strcmp ( argv[2], "SetDivisionOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisionOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisionOrigin */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisionOrigin (double o\\[3\\]);this SetDivisionOrigin o o o " );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetDivisionOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDivisionOrigin */
    if ( strcmp ( argv[2], "GetDivisionOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDivisionOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDivisionOrigin */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDivisionOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetDivisionOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDivisionSpacing */
    if ( strcmp ( argv[2], "SetDivisionSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisionSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisionSpacing */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisionSpacing (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetDivisionSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDivisionSpacing */
    if ( strcmp ( argv[2], "SetDivisionSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDivisionSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDivisionSpacing */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDivisionSpacing (double s\\[3\\]);this SetDivisionSpacing s s s " );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetDivisionSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDivisionSpacing */
    if ( strcmp ( argv[2], "GetDivisionSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDivisionSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDivisionSpacing */
    Tcl_DStringAppendElement ( &dString, " This is an alternative way to set up the bins.  If you are trying to match\n boundaries between pieces, then you should use these methods rather than\n SetNumberOfDivisions. To use these methods, specify the origin and spacing\n of the spatial binning.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDivisionSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetDivisionSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseInputPoints */
    if ( strcmp ( argv[2], "SetUseInputPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseInputPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseInputPoints */
    Tcl_DStringAppendElement ( &dString, " Normally the point that minimizes the quadric error function is used as\n the output of the bin.  When this flag is on, the bin point is forced to\n be one of the points from the input (the one with the smallest\n error). This option does not work (i.e., input points cannot be used)\n when the append methods (StartAppend(), Append(), EndAppend()) are being\n called directly.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseInputPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetUseInputPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseInputPoints */
    if ( strcmp ( argv[2], "GetUseInputPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseInputPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseInputPoints */
    Tcl_DStringAppendElement ( &dString, " Normally the point that minimizes the quadric error function is used as\n the output of the bin.  When this flag is on, the bin point is forced to\n be one of the points from the input (the one with the smallest\n error). This option does not work (i.e., input points cannot be used)\n when the append methods (StartAppend(), Append(), EndAppend()) are being\n called directly.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseInputPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetUseInputPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInputPointsOn */
    if ( strcmp ( argv[2], "UseInputPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInputPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInputPointsOn */
    Tcl_DStringAppendElement ( &dString, " Normally the point that minimizes the quadric error function is used as\n the output of the bin.  When this flag is on, the bin point is forced to\n be one of the points from the input (the one with the smallest\n error). This option does not work (i.e., input points cannot be used)\n when the append methods (StartAppend(), Append(), EndAppend()) are being\n called directly.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInputPointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseInputPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInputPointsOff */
    if ( strcmp ( argv[2], "UseInputPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInputPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInputPointsOff */
    Tcl_DStringAppendElement ( &dString, " Normally the point that minimizes the quadric error function is used as\n the output of the bin.  When this flag is on, the bin point is forced to\n be one of the points from the input (the one with the smallest\n error). This option does not work (i.e., input points cannot be used)\n when the append methods (StartAppend(), Append(), EndAppend()) are being\n called directly.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInputPointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseInputPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseFeatureEdges */
    if ( strcmp ( argv[2], "SetUseFeatureEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseFeatureEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseFeatureEdges */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  When \"UseFeatureEdges\" is on, then\n quadrics are computed for boundary edges/feature edges.  They influence\n the quadrics (position of points), but not the mesh.  Which features to\n use can be controlled by the filter \"FeatureEdges\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseFeatureEdges (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetUseFeatureEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseFeatureEdges */
    if ( strcmp ( argv[2], "GetUseFeatureEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseFeatureEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseFeatureEdges */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  When \"UseFeatureEdges\" is on, then\n quadrics are computed for boundary edges/feature edges.  They influence\n the quadrics (position of points), but not the mesh.  Which features to\n use can be controlled by the filter \"FeatureEdges\".\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseFeatureEdges ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetUseFeatureEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFeatureEdgesOn */
    if ( strcmp ( argv[2], "UseFeatureEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFeatureEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFeatureEdgesOn */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  When \"UseFeatureEdges\" is on, then\n quadrics are computed for boundary edges/feature edges.  They influence\n the quadrics (position of points), but not the mesh.  Which features to\n use can be controlled by the filter \"FeatureEdges\".\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFeatureEdgesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseFeatureEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFeatureEdgesOff */
    if ( strcmp ( argv[2], "UseFeatureEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFeatureEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFeatureEdgesOff */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  When \"UseFeatureEdges\" is on, then\n quadrics are computed for boundary edges/feature edges.  They influence\n the quadrics (position of points), but not the mesh.  Which features to\n use can be controlled by the filter \"FeatureEdges\".\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFeatureEdgesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseFeatureEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureEdges */
    if ( strcmp ( argv[2], "GetFeatureEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureEdges */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  It only has an effect when\n \"UseFeatureEdges\" is also on.  When \"UseFeaturePoints\" is on, then\n quadrics are computed for boundary / feature points used in the boundary\n / feature edges.  They influence the quadrics (position of points), but\n not the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFeatureEdges *GetFeatureEdges ();return this FeatureEdges " );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetFeatureEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseFeaturePoints */
    if ( strcmp ( argv[2], "SetUseFeaturePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseFeaturePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseFeaturePoints */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  It only has an effect when\n \"UseFeatureEdges\" is also on.  When \"UseFeaturePoints\" is on, then\n quadrics are computed for boundary / feature points used in the boundary\n / feature edges.  They influence the quadrics (position of points), but\n not the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseFeaturePoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetUseFeaturePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseFeaturePoints */
    if ( strcmp ( argv[2], "GetUseFeaturePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseFeaturePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseFeaturePoints */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  It only has an effect when\n \"UseFeatureEdges\" is also on.  When \"UseFeaturePoints\" is on, then\n quadrics are computed for boundary / feature points used in the boundary\n / feature edges.  They influence the quadrics (position of points), but\n not the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseFeaturePoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetUseFeaturePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFeaturePointsOn */
    if ( strcmp ( argv[2], "UseFeaturePointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFeaturePointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFeaturePointsOn */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  It only has an effect when\n \"UseFeatureEdges\" is also on.  When \"UseFeaturePoints\" is on, then\n quadrics are computed for boundary / feature points used in the boundary\n / feature edges.  They influence the quadrics (position of points), but\n not the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFeaturePointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseFeaturePointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseFeaturePointsOff */
    if ( strcmp ( argv[2], "UseFeaturePointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseFeaturePointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseFeaturePointsOff */
    Tcl_DStringAppendElement ( &dString, " By default, this flag is off.  It only has an effect when\n \"UseFeatureEdges\" is also on.  When \"UseFeaturePoints\" is on, then\n quadrics are computed for boundary / feature points used in the boundary\n / feature edges.  They influence the quadrics (position of points), but\n not the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseFeaturePointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseFeaturePointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeaturePointsAngle */
    if ( strcmp ( argv[2], "SetFeaturePointsAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeaturePointsAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeaturePointsAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the angle to use in determining whether a point on a boundary /\n feature edge is a feature point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeaturePointsAngle (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetFeaturePointsAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeaturePointsAngleMinValue */
    if ( strcmp ( argv[2], "GetFeaturePointsAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeaturePointsAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the angle to use in determining whether a point on a boundary /\n feature edge is a feature point.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeaturePointsAngleMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetFeaturePointsAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeaturePointsAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeaturePointsAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeaturePointsAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the angle to use in determining whether a point on a boundary /\n feature edge is a feature point.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeaturePointsAngleMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetFeaturePointsAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeaturePointsAngle */
    if ( strcmp ( argv[2], "GetFeaturePointsAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeaturePointsAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeaturePointsAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the angle to use in determining whether a point on a boundary /\n feature edge is a feature point.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeaturePointsAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetFeaturePointsAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseInternalTriangles */
    if ( strcmp ( argv[2], "SetUseInternalTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseInternalTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseInternalTriangles */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (and it is on by default), then triangles that are \n completely contained in a bin are added to the bin quadrics.  When the\n the flag is off the filter operates faster, but the surface may not be\n as well behaved.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseInternalTriangles (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetUseInternalTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseInternalTriangles */
    if ( strcmp ( argv[2], "GetUseInternalTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseInternalTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseInternalTriangles */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (and it is on by default), then triangles that are \n completely contained in a bin are added to the bin quadrics.  When the\n the flag is off the filter operates faster, but the surface may not be\n as well behaved.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseInternalTriangles ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetUseInternalTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInternalTrianglesOn */
    if ( strcmp ( argv[2], "UseInternalTrianglesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInternalTrianglesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInternalTrianglesOn */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (and it is on by default), then triangles that are \n completely contained in a bin are added to the bin quadrics.  When the\n the flag is off the filter operates faster, but the surface may not be\n as well behaved.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInternalTrianglesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseInternalTrianglesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseInternalTrianglesOff */
    if ( strcmp ( argv[2], "UseInternalTrianglesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseInternalTrianglesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseInternalTrianglesOff */
    Tcl_DStringAppendElement ( &dString, " When this flag is on (and it is on by default), then triangles that are \n completely contained in a bin are added to the bin quadrics.  When the\n the flag is off the filter operates faster, but the surface may not be\n as well behaved.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseInternalTrianglesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for UseInternalTrianglesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartAppend */
    if ( strcmp ( argv[2], "StartAppend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartAppend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartAppend */
    Tcl_DStringAppendElement ( &dString, " These methods provide an alternative way of executing the filter.\n PolyData can be added to the result in pieces (append).\n In this mode, the user must specify the bounds of the entire model\n as an argument to the \"StartAppend\" method.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartAppend (double x0, double x1, double y0, double y1, double z0, double z1);double b b x0 b x1 b y0 b y1 b z0 b z1 this StartAppend b " );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for StartAppend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Append */
    if ( strcmp ( argv[2], "Append" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Append" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Append */
    Tcl_DStringAppendElement ( &dString, " These methods provide an alternative way of executing the filter.\n PolyData can be added to the result in pieces (append).\n In this mode, the user must specify the bounds of the entire model\n as an argument to the \"StartAppend\" method.\n" );
    Tcl_DStringAppendElement ( &dString, "void Append (vtkPolyData *piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for Append */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndAppend */
    if ( strcmp ( argv[2], "EndAppend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndAppend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndAppend */
    Tcl_DStringAppendElement ( &dString, " These methods provide an alternative way of executing the filter.\n PolyData can be added to the result in pieces (append).\n In this mode, the user must specify the bounds of the entire model\n as an argument to the \"StartAppend\" method.\n" );
    Tcl_DStringAppendElement ( &dString, "void EndAppend ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for EndAppend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCopyCellData */
    if ( strcmp ( argv[2], "SetCopyCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCopyCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCopyCellData */
    Tcl_DStringAppendElement ( &dString, " This flag makes the filter copy cell data from input to output \n (the best it can).  It uses input cells that trigger the addition\n of output cells (no averaging).  This is off by default, and does\n not work when append is being called explicitely (non-pipeline usage).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCopyCellData (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetCopyCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCopyCellData */
    if ( strcmp ( argv[2], "GetCopyCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCopyCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCopyCellData */
    Tcl_DStringAppendElement ( &dString, " This flag makes the filter copy cell data from input to output \n (the best it can).  It uses input cells that trigger the addition\n of output cells (no averaging).  This is off by default, and does\n not work when append is being called explicitely (non-pipeline usage).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCopyCellData ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetCopyCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyCellDataOn */
    if ( strcmp ( argv[2], "CopyCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyCellDataOn */
    Tcl_DStringAppendElement ( &dString, " This flag makes the filter copy cell data from input to output \n (the best it can).  It uses input cells that trigger the addition\n of output cells (no averaging).  This is off by default, and does\n not work when append is being called explicitely (non-pipeline usage).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyCellDataOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for CopyCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyCellDataOff */
    if ( strcmp ( argv[2], "CopyCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyCellDataOff */
    Tcl_DStringAppendElement ( &dString, " This flag makes the filter copy cell data from input to output \n (the best it can).  It uses input cells that trigger the addition\n of output cells (no averaging).  This is off by default, and does\n not work when append is being called explicitely (non-pipeline usage).\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyCellDataOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for CopyCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreventDuplicateCells */
    if ( strcmp ( argv[2], "SetPreventDuplicateCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreventDuplicateCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreventDuplicateCells */
    Tcl_DStringAppendElement ( &dString, " Specify a boolean indicating whether to remove duplicate cells\n (i.e. triangles).  This is a little slower, and takes more memory, but\n in some cases can reduce the number of cells produced by an order of\n magnitude. By default, this flag is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreventDuplicateCells (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for SetPreventDuplicateCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreventDuplicateCells */
    if ( strcmp ( argv[2], "GetPreventDuplicateCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreventDuplicateCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreventDuplicateCells */
    Tcl_DStringAppendElement ( &dString, " Specify a boolean indicating whether to remove duplicate cells\n (i.e. triangles).  This is a little slower, and takes more memory, but\n in some cases can reduce the number of cells produced by an order of\n magnitude. By default, this flag is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreventDuplicateCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for GetPreventDuplicateCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreventDuplicateCellsOn */
    if ( strcmp ( argv[2], "PreventDuplicateCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreventDuplicateCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreventDuplicateCellsOn */
    Tcl_DStringAppendElement ( &dString, " Specify a boolean indicating whether to remove duplicate cells\n (i.e. triangles).  This is a little slower, and takes more memory, but\n in some cases can reduce the number of cells produced by an order of\n magnitude. By default, this flag is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreventDuplicateCellsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for PreventDuplicateCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreventDuplicateCellsOff */
    if ( strcmp ( argv[2], "PreventDuplicateCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreventDuplicateCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreventDuplicateCellsOff */
    Tcl_DStringAppendElement ( &dString, " Specify a boolean indicating whether to remove duplicate cells\n (i.e. triangles).  This is a little slower, and takes more memory, but\n in some cases can reduce the number of cells produced by an order of\n magnitude. By default, this flag is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreventDuplicateCellsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    /* Closing for PreventDuplicateCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
