// tcl wrapper for vtkRectilinearGridToTetrahedra object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGridToTetrahedra.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRectilinearGridToTetrahedraNewCommand()
{
  vtkRectilinearGridToTetrahedra *temp = vtkRectilinearGridToTetrahedra::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRectilinearGridToTetrahedraCppCommand(vtkRectilinearGridToTetrahedra *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRectilinearGridToTetrahedraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRectilinearGridToTetrahedraCppCommand(static_cast<vtkRectilinearGridToTetrahedra *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRectilinearGridToTetrahedraCppCommand(vtkRectilinearGridToTetrahedra *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRectilinearGridToTetrahedra",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGridToTetrahedra  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectilinearGridToTetrahedra");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRectilinearGridToTetrahedra  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectilinearGridToTetrahedra");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGridToTetrahedra  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRectilinearGridToTetrahedra");
    return TCL_OK;
    }
  if ((!strcmp("SetTetraPerCellTo5",argv[1]))&&(argc == 2))
    {
    op->SetTetraPerCellTo5();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetraPerCellTo6",argv[1]))&&(argc == 2))
    {
    op->SetTetraPerCellTo6();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetraPerCellTo12",argv[1]))&&(argc == 2))
    {
    op->SetTetraPerCellTo12();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetraPerCellTo5And12",argv[1]))&&(argc == 2))
    {
    op->SetTetraPerCellTo5And12();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetraPerCell",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTetraPerCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTetraPerCell",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTetraPerCell();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRememberVoxelId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRememberVoxelId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRememberVoxelId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRememberVoxelId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RememberVoxelIdOn",argv[1]))&&(argc == 2))
    {
    op->RememberVoxelIdOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RememberVoxelIdOff",argv[1]))&&(argc == 2))
    {
    op->RememberVoxelIdOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 9))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (!error)
    {
    op->SetInput(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRectilinearGridToTetrahedraCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRectilinearGridToTetrahedra:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTetraPerCellTo5\n",NULL);
    Tcl_AppendResult(interp,"  SetTetraPerCellTo6\n",NULL);
    Tcl_AppendResult(interp,"  SetTetraPerCellTo12\n",NULL);
    Tcl_AppendResult(interp,"  SetTetraPerCellTo5And12\n",NULL);
    Tcl_AppendResult(interp,"  SetTetraPerCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTetraPerCell\n",NULL);
    Tcl_AppendResult(interp,"  SetRememberVoxelId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRememberVoxelId\n",NULL);
    Tcl_AppendResult(interp,"  RememberVoxelIdOn\n",NULL);
    Tcl_AppendResult(interp,"  RememberVoxelIdOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 7 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo5" );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo6" );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo12" );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo5And12" );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCell" );
    Tcl_DStringAppendElement ( &dString, "GetTetraPerCell" );
    Tcl_DStringAppendElement ( &dString, "SetRememberVoxelId" );
    Tcl_DStringAppendElement ( &dString, "GetRememberVoxelId" );
    Tcl_DStringAppendElement ( &dString, "RememberVoxelIdOn" );
    Tcl_DStringAppendElement ( &dString, "RememberVoxelIdOff" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Form 5 Tetrahedra per cube. Do not RememberVoxelId.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRectilinearGridToTetrahedra *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetraPerCellTo5 */
    if ( strcmp ( argv[2], "SetTetraPerCellTo5" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo5" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetraPerCellTo5 */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetraPerCellTo5 ();SetTetraPerCell VTK_VOXEL_TO_5_TET " );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetTetraPerCellTo5 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetraPerCellTo6 */
    if ( strcmp ( argv[2], "SetTetraPerCellTo6" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo6" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetraPerCellTo6 */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetraPerCellTo6 ();SetTetraPerCell VTK_VOXEL_TO_6_TET " );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetTetraPerCellTo6 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetraPerCellTo12 */
    if ( strcmp ( argv[2], "SetTetraPerCellTo12" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo12" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetraPerCellTo12 */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetraPerCellTo12 ();SetTetraPerCell VTK_VOXEL_TO_12_TET " );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetTetraPerCellTo12 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetraPerCellTo5And12 */
    if ( strcmp ( argv[2], "SetTetraPerCellTo5And12" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCellTo5And12" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetraPerCellTo5And12 */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetraPerCellTo5And12 ();SetTetraPerCell VTK_VOXEL_TO_5_AND_12_TET " );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetTetraPerCellTo5And12 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetraPerCell */
    if ( strcmp ( argv[2], "SetTetraPerCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetraPerCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetraPerCell */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetraPerCell (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetTetraPerCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTetraPerCell */
    if ( strcmp ( argv[2], "GetTetraPerCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTetraPerCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTetraPerCell */
    Tcl_DStringAppendElement ( &dString, " Set the method to divide each cell (voxel) in the RectilinearGrid\n into tetrahedra.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTetraPerCell ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for GetTetraPerCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRememberVoxelId */
    if ( strcmp ( argv[2], "SetRememberVoxelId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRememberVoxelId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRememberVoxelId */
    Tcl_DStringAppendElement ( &dString, " Should the tetrahedra have scalar data\n indicating which Voxel they came from in the vtkRectilinearGrid?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRememberVoxelId (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetRememberVoxelId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRememberVoxelId */
    if ( strcmp ( argv[2], "GetRememberVoxelId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRememberVoxelId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRememberVoxelId */
    Tcl_DStringAppendElement ( &dString, " Should the tetrahedra have scalar data\n indicating which Voxel they came from in the vtkRectilinearGrid?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRememberVoxelId ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for GetRememberVoxelId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RememberVoxelIdOn */
    if ( strcmp ( argv[2], "RememberVoxelIdOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RememberVoxelIdOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RememberVoxelIdOn */
    Tcl_DStringAppendElement ( &dString, " Should the tetrahedra have scalar data\n indicating which Voxel they came from in the vtkRectilinearGrid?\n" );
    Tcl_DStringAppendElement ( &dString, "void RememberVoxelIdOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for RememberVoxelIdOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RememberVoxelIdOff */
    if ( strcmp ( argv[2], "RememberVoxelIdOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RememberVoxelIdOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RememberVoxelIdOff */
    Tcl_DStringAppendElement ( &dString, " Should the tetrahedra have scalar data\n indicating which Voxel they came from in the vtkRectilinearGrid?\n" );
    Tcl_DStringAppendElement ( &dString, "void RememberVoxelIdOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for RememberVoxelIdOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " This version of the function for the wrappers\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (const double ExtentX, const double ExtentY, const double ExtentZ, const double SpacingX, const double SpacingY, const double SpacingZ, const double tol);" );
    Tcl_DStringAppendElement ( &dString, "vtkRectilinearGridToTetrahedra" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
