// python wrapper for vtkReflectionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkReflectionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkReflectionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkReflectionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkReflectionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  const char    *temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  vtkReflectionFilter  *temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkReflectionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkReflectionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp0;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlane(temp0);
      }
    else
      {
      op->SetPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_GetPlaneMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetPlaneMinValue();
      }
    else
      {
      temp20 = op->GetPlaneMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_GetPlaneMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetPlaneMaxValue();
      }
    else
      {
      temp20 = op->GetPlaneMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_GetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetPlane();
      }
    else
      {
      temp20 = op->GetPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToX();
      }
    else
      {
      op->SetPlaneToX();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToY();
      }
    else
      {
      op->SetPlaneToY();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToZ();
      }
    else
      {
      op->SetPlaneToZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToXMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToXMin();
      }
    else
      {
      op->SetPlaneToXMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToYMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToYMin();
      }
    else
      {
      op->SetPlaneToYMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToZMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToZMin();
      }
    else
      {
      op->SetPlaneToZMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToXMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToXMax();
      }
    else
      {
      op->SetPlaneToXMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToYMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToYMax();
      }
    else
      {
      op->SetPlaneToYMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetPlaneToZMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetPlaneToZMax();
      }
    else
      {
      op->SetPlaneToZMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  double   temp0;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  double   temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_SetCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp0;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::SetCopyInput(temp0);
      }
    else
      {
      op->SetCopyInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_GetCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  int      temp20;
  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReflectionFilter::GetCopyInput();
      }
    else
      {
      temp20 = op->GetCopyInput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_CopyInputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::CopyInputOn();
      }
    else
      {
      op->CopyInputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReflectionFilter_CopyInputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReflectionFilter *op;

  op = (vtkReflectionFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReflectionFilter::CopyInputOff();
      }
    else
      {
      op->CopyInputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkReflectionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkReflectionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkReflectionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkReflectionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkReflectionFilter\nC++: vtkReflectionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkReflectionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkReflectionFilter\nC++: vtkReflectionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPlane",                (PyCFunction)PyvtkReflectionFilter_SetPlane, 1,
   (char*)"V.SetPlane(int)\nC++: void SetPlane (int );\n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"GetPlaneMinValue",                (PyCFunction)PyvtkReflectionFilter_GetPlaneMinValue, 1,
   (char*)"V.GetPlaneMinValue() -> int\nC++: int GetPlaneMinValue ();\n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"GetPlaneMaxValue",                (PyCFunction)PyvtkReflectionFilter_GetPlaneMaxValue, 1,
   (char*)"V.GetPlaneMaxValue() -> int\nC++: int GetPlaneMaxValue ();\n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"GetPlane",                (PyCFunction)PyvtkReflectionFilter_GetPlane, 1,
   (char*)"V.GetPlane() -> int\nC++: int GetPlane ();\n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToX",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToX, 1,
   (char*)"V.SetPlaneToX()\nC++: void SetPlaneToX ();this SetPlane USE_X \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToY",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToY, 1,
   (char*)"V.SetPlaneToY()\nC++: void SetPlaneToY ();this SetPlane USE_Y \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToZ",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToZ, 1,
   (char*)"V.SetPlaneToZ()\nC++: void SetPlaneToZ ();this SetPlane USE_Z \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToXMin",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToXMin, 1,
   (char*)"V.SetPlaneToXMin()\nC++: void SetPlaneToXMin ();this SetPlane USE_X_MIN \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToYMin",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToYMin, 1,
   (char*)"V.SetPlaneToYMin()\nC++: void SetPlaneToYMin ();this SetPlane USE_Y_MIN \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToZMin",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToZMin, 1,
   (char*)"V.SetPlaneToZMin()\nC++: void SetPlaneToZMin ();this SetPlane USE_Z_MIN \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToXMax",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToXMax, 1,
   (char*)"V.SetPlaneToXMax()\nC++: void SetPlaneToXMax ();this SetPlane USE_X_MAX \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToYMax",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToYMax, 1,
   (char*)"V.SetPlaneToYMax()\nC++: void SetPlaneToYMax ();this SetPlane USE_Y_MAX \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetPlaneToZMax",                (PyCFunction)PyvtkReflectionFilter_SetPlaneToZMax, 1,
   (char*)"V.SetPlaneToZMax()\nC++: void SetPlaneToZMax ();this SetPlane USE_Z_MAX \n\n Set the normal of the plane to use as mirror.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkReflectionFilter_SetCenter, 1,
   (char*)"V.SetCenter(float)\nC++: void SetCenter (double );\n\n If the reflection plane is set to X, Y or Z, this variable\n is use to set the position of the plane.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkReflectionFilter_GetCenter, 1,
   (char*)"V.GetCenter() -> float\nC++: double GetCenter ();\n\n If the reflection plane is set to X, Y or Z, this variable\n is use to set the position of the plane.\n"},
  {(char*)"SetCopyInput",                (PyCFunction)PyvtkReflectionFilter_SetCopyInput, 1,
   (char*)"V.SetCopyInput(int)\nC++: void SetCopyInput (int );\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the reflection.\n"},
  {(char*)"GetCopyInput",                (PyCFunction)PyvtkReflectionFilter_GetCopyInput, 1,
   (char*)"V.GetCopyInput() -> int\nC++: int GetCopyInput ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the reflection.\n"},
  {(char*)"CopyInputOn",                (PyCFunction)PyvtkReflectionFilter_CopyInputOn, 1,
   (char*)"V.CopyInputOn()\nC++: void CopyInputOn ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the reflection.\n"},
  {(char*)"CopyInputOff",                (PyCFunction)PyvtkReflectionFilter_CopyInputOff, 1,
   (char*)"V.CopyInputOff()\nC++: void CopyInputOff ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the reflection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkReflectionFilterDoc[] = {
  (char*)"vtkReflectionFilter - reflects a data set across a plane\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" The vtkReflectionFilter reflects a data set across one of the\n planes formed by the data set's bounding box.\n Since it converts data sets into unstructured grids, it is not effeicient\n for structured data sets.\n\n",
  NULL
};

static vtkObjectBase *vtkReflectionFilterStaticNew()
{
  return vtkReflectionFilter::New();
}

PyObject *PyVTKClass_vtkReflectionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkReflectionFilterStaticNew,
                        PyvtkReflectionFilterMethods,
                        (char*)"vtkReflectionFilter",modulename,
                        (char**)vtkReflectionFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

