// python wrapper for vtkRegularPolygonSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRegularPolygonSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRegularPolygonSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRegularPolygonSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkRegularPolygonSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  const char    *temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  vtkRegularPolygonSource  *temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRegularPolygonSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRegularPolygonSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp0;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetNumberOfSides(temp0);
      }
    else
      {
      op->SetNumberOfSides(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetNumberOfSidesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetNumberOfSidesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetNumberOfSidesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetNumberOfSidesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetNumberOfSides();
      }
    else
      {
      temp20 = op->GetNumberOfSides();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double  *temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double  *temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double   temp0;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  double   temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetGeneratePolygon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp0;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetGeneratePolygon(temp0);
      }
    else
      {
      op->SetGeneratePolygon(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetGeneratePolygon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetGeneratePolygon();
      }
    else
      {
      temp20 = op->GetGeneratePolygon();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GeneratePolygonOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::GeneratePolygonOn();
      }
    else
      {
      op->GeneratePolygonOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GeneratePolygonOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::GeneratePolygonOff();
      }
    else
      {
      op->GeneratePolygonOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_SetGeneratePolyline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp0;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::SetGeneratePolyline(temp0);
      }
    else
      {
      op->SetGeneratePolyline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GetGeneratePolyline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  int      temp20;
  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRegularPolygonSource::GetGeneratePolyline();
      }
    else
      {
      temp20 = op->GetGeneratePolyline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GeneratePolylineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::GeneratePolylineOn();
      }
    else
      {
      op->GeneratePolylineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRegularPolygonSource_GeneratePolylineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRegularPolygonSource *op;

  op = (vtkRegularPolygonSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRegularPolygonSource::GeneratePolylineOff();
      }
    else
      {
      op->GeneratePolylineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRegularPolygonSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRegularPolygonSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instantiation, obtaining type and printing instance values.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRegularPolygonSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instantiation, obtaining type and printing instance values.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRegularPolygonSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRegularPolygonSource\nC++: vtkRegularPolygonSource *NewInstance ();\n\n Standard methods for instantiation, obtaining type and printing instance values.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRegularPolygonSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRegularPolygonSource\nC++: vtkRegularPolygonSource *SafeDownCast (vtkObject* o);\n\n Standard methods for instantiation, obtaining type and printing instance values.\n"},
  {(char*)"SetNumberOfSides",                (PyCFunction)PyvtkRegularPolygonSource_SetNumberOfSides, 1,
   (char*)"V.SetNumberOfSides(int)\nC++: void SetNumberOfSides (int );\n\n Set/Get the number of sides of the polygon. By default, the number of sides\n is set to six.\n"},
  {(char*)"GetNumberOfSidesMinValue",                (PyCFunction)PyvtkRegularPolygonSource_GetNumberOfSidesMinValue, 1,
   (char*)"V.GetNumberOfSidesMinValue() -> int\nC++: int GetNumberOfSidesMinValue ();\n\n Set/Get the number of sides of the polygon. By default, the number of sides\n is set to six.\n"},
  {(char*)"GetNumberOfSidesMaxValue",                (PyCFunction)PyvtkRegularPolygonSource_GetNumberOfSidesMaxValue, 1,
   (char*)"V.GetNumberOfSidesMaxValue() -> int\nC++: int GetNumberOfSidesMaxValue ();\n\n Set/Get the number of sides of the polygon. By default, the number of sides\n is set to six.\n"},
  {(char*)"GetNumberOfSides",                (PyCFunction)PyvtkRegularPolygonSource_GetNumberOfSides, 1,
   (char*)"V.GetNumberOfSides() -> int\nC++: int GetNumberOfSides ();\n\n Set/Get the number of sides of the polygon. By default, the number of sides\n is set to six.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkRegularPolygonSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get the center of the polygon. By default, the center is set at the\n origin (0,0,0).\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkRegularPolygonSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get the center of the polygon. By default, the center is set at the\n origin (0,0,0).\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkRegularPolygonSource_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double , double , double );\nV.SetNormal((float, float, float))\nC++: void SetNormal (double  a[3]);\n\n Set/Get the normal to the polygon. The ordering of the polygon will be\n counter-clockwise around the normal (i.e., using the right-hand rule).\n By default, the normal is set to (0,0,1).\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkRegularPolygonSource_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Set/Get the normal to the polygon. The ordering of the polygon will be\n counter-clockwise around the normal (i.e., using the right-hand rule).\n By default, the normal is set to (0,0,1).\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkRegularPolygonSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set/Get the radius of the polygon. By default, the radius is set to 0.5.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkRegularPolygonSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set/Get the radius of the polygon. By default, the radius is set to 0.5.\n"},
  {(char*)"SetGeneratePolygon",                (PyCFunction)PyvtkRegularPolygonSource_SetGeneratePolygon, 1,
   (char*)"V.SetGeneratePolygon(int)\nC++: void SetGeneratePolygon (int );\n\n Control whether a polygon is produced. By default, GeneratePolygon is enabled.\n"},
  {(char*)"GetGeneratePolygon",                (PyCFunction)PyvtkRegularPolygonSource_GetGeneratePolygon, 1,
   (char*)"V.GetGeneratePolygon() -> int\nC++: int GetGeneratePolygon ();\n\n Control whether a polygon is produced. By default, GeneratePolygon is enabled.\n"},
  {(char*)"GeneratePolygonOn",                (PyCFunction)PyvtkRegularPolygonSource_GeneratePolygonOn, 1,
   (char*)"V.GeneratePolygonOn()\nC++: void GeneratePolygonOn ();\n\n Control whether a polygon is produced. By default, GeneratePolygon is enabled.\n"},
  {(char*)"GeneratePolygonOff",                (PyCFunction)PyvtkRegularPolygonSource_GeneratePolygonOff, 1,
   (char*)"V.GeneratePolygonOff()\nC++: void GeneratePolygonOff ();\n\n Control whether a polygon is produced. By default, GeneratePolygon is enabled.\n"},
  {(char*)"SetGeneratePolyline",                (PyCFunction)PyvtkRegularPolygonSource_SetGeneratePolyline, 1,
   (char*)"V.SetGeneratePolyline(int)\nC++: void SetGeneratePolyline (int );\n\n Control whether a polyline is produced. By default, GeneratePolyline is enabled.\n"},
  {(char*)"GetGeneratePolyline",                (PyCFunction)PyvtkRegularPolygonSource_GetGeneratePolyline, 1,
   (char*)"V.GetGeneratePolyline() -> int\nC++: int GetGeneratePolyline ();\n\n Control whether a polyline is produced. By default, GeneratePolyline is enabled.\n"},
  {(char*)"GeneratePolylineOn",                (PyCFunction)PyvtkRegularPolygonSource_GeneratePolylineOn, 1,
   (char*)"V.GeneratePolylineOn()\nC++: void GeneratePolylineOn ();\n\n Control whether a polyline is produced. By default, GeneratePolyline is enabled.\n"},
  {(char*)"GeneratePolylineOff",                (PyCFunction)PyvtkRegularPolygonSource_GeneratePolylineOff, 1,
   (char*)"V.GeneratePolylineOff()\nC++: void GeneratePolylineOff ();\n\n Control whether a polyline is produced. By default, GeneratePolyline is enabled.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRegularPolygonSourceDoc[] = {
  (char*)"vtkRegularPolygonSource - create a regular, n-sided polygon and/or polyline\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkRegularPolygonSource is a source object that creates a single n-sided polygon and/or \n polyline. The polygon is centered at a specified point, orthogonal to\n a specified normal, and with a circumscribing radius set by the user. The user can\n also specify the number of sides of the polygon ranging from [3,N].\n\n This object can be used for seeding streamlines or defining regions for clipping/cut",
  (char*)"ting.\n\n",
  NULL
};

static vtkObjectBase *vtkRegularPolygonSourceStaticNew()
{
  return vtkRegularPolygonSource::New();
}

PyObject *PyVTKClass_vtkRegularPolygonSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkRegularPolygonSourceStaticNew,
                        PyvtkRegularPolygonSourceMethods,
                        (char*)"vtkRegularPolygonSource",modulename,
                        (char**)vtkRegularPolygonSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

