// python wrapper for vtkReverseSense object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkReverseSense.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkReverseSenseNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkReverseSenseNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkReverseSense_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  const char    *temp20;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReverseSense::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  char    *temp0;
  int      temp20;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReverseSense::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  vtkReverseSense  *temp20;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReverseSense::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkReverseSense  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkReverseSense::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkReverseSense_SetReverseCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  int      temp0;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::SetReverseCells(temp0);
      }
    else
      {
      op->SetReverseCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_GetReverseCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  int      temp20;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReverseSense::GetReverseCells();
      }
    else
      {
      temp20 = op->GetReverseCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_ReverseCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::ReverseCellsOn();
      }
    else
      {
      op->ReverseCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_ReverseCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::ReverseCellsOff();
      }
    else
      {
      op->ReverseCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_SetReverseNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  int      temp0;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::SetReverseNormals(temp0);
      }
    else
      {
      op->SetReverseNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_GetReverseNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  int      temp20;
  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkReverseSense::GetReverseNormals();
      }
    else
      {
      temp20 = op->GetReverseNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_ReverseNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::ReverseNormalsOn();
      }
    else
      {
      op->ReverseNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkReverseSense_ReverseNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkReverseSense *op;

  op = (vtkReverseSense *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkReverseSense::ReverseNormalsOff();
      }
    else
      {
      op->ReverseNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkReverseSenseMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkReverseSense_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkReverseSense_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkReverseSense_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkReverseSense\nC++: vtkReverseSense *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkReverseSense_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkReverseSense\nC++: vtkReverseSense *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetReverseCells",                (PyCFunction)PyvtkReverseSense_SetReverseCells, 1,
   (char*)"V.SetReverseCells(int)\nC++: void SetReverseCells (int );\n\n Flag controls whether to reverse cell ordering.\n"},
  {(char*)"GetReverseCells",                (PyCFunction)PyvtkReverseSense_GetReverseCells, 1,
   (char*)"V.GetReverseCells() -> int\nC++: int GetReverseCells ();\n\n Flag controls whether to reverse cell ordering.\n"},
  {(char*)"ReverseCellsOn",                (PyCFunction)PyvtkReverseSense_ReverseCellsOn, 1,
   (char*)"V.ReverseCellsOn()\nC++: void ReverseCellsOn ();\n\n Flag controls whether to reverse cell ordering.\n"},
  {(char*)"ReverseCellsOff",                (PyCFunction)PyvtkReverseSense_ReverseCellsOff, 1,
   (char*)"V.ReverseCellsOff()\nC++: void ReverseCellsOff ();\n\n Flag controls whether to reverse cell ordering.\n"},
  {(char*)"SetReverseNormals",                (PyCFunction)PyvtkReverseSense_SetReverseNormals, 1,
   (char*)"V.SetReverseNormals(int)\nC++: void SetReverseNormals (int );\n\n Flag controls whether to reverse normal orientation.\n"},
  {(char*)"GetReverseNormals",                (PyCFunction)PyvtkReverseSense_GetReverseNormals, 1,
   (char*)"V.GetReverseNormals() -> int\nC++: int GetReverseNormals ();\n\n Flag controls whether to reverse normal orientation.\n"},
  {(char*)"ReverseNormalsOn",                (PyCFunction)PyvtkReverseSense_ReverseNormalsOn, 1,
   (char*)"V.ReverseNormalsOn()\nC++: void ReverseNormalsOn ();\n\n Flag controls whether to reverse normal orientation.\n"},
  {(char*)"ReverseNormalsOff",                (PyCFunction)PyvtkReverseSense_ReverseNormalsOff, 1,
   (char*)"V.ReverseNormalsOff()\nC++: void ReverseNormalsOff ();\n\n Flag controls whether to reverse normal orientation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkReverseSenseDoc[] = {
  (char*)"vtkReverseSense - reverse the ordering of polygonal cells and/or vertex normals\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" \n vtkReverseSense is a filter that reverses the order of polygonal cells\n and/or reverses the direction of point and cell normals. Two flags are\n used to control these operations. Cell reversal means reversing the order\n of indices in the cell connectivity list. Normal reversal means\n multiplying the normal vector by -1 (both point and cell normals, \n if present).\n\n",
  "Caveats:\n\n Normals can be operated on only if they are present in the data.\n\n",
  NULL
};

static vtkObjectBase *vtkReverseSenseStaticNew()
{
  return vtkReverseSense::New();
}

PyObject *PyVTKClass_vtkReverseSenseNew(char *modulename)
{
  return PyVTKClass_New(&vtkReverseSenseStaticNew,
                        PyvtkReverseSenseMethods,
                        (char*)"vtkReverseSense",modulename,
                        (char**)vtkReverseSenseDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

