// tcl wrapper for vtkRibbonFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRibbonFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRibbonFilterNewCommand()
{
  vtkRibbonFilter *temp = vtkRibbonFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRibbonFilterCppCommand(vtkRibbonFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRibbonFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRibbonFilterCppCommand(static_cast<vtkRibbonFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRibbonFilterCppCommand(vtkRibbonFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRibbonFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRibbonFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRibbonFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRibbonFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRibbonFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRibbonFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRibbonFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVaryWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVaryWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVaryWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VaryWidthOn",argv[1]))&&(argc == 2))
    {
    op->VaryWidthOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VaryWidthOff",argv[1]))&&(argc == 2))
    {
    op->VaryWidthOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidthFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWidthFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidthFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWidthFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseDefaultNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDefaultNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseDefaultNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOn",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOff",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateTCoordsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToOff",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToNormalizedLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToNormalizedLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseScalars",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGenerateTCoordsAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextureLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRibbonFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRibbonFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVaryWidth\n",NULL);
    Tcl_AppendResult(interp,"  VaryWidthOn\n",NULL);
    Tcl_AppendResult(interp,"  VaryWidthOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWidthFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidthFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDefaultNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToNormalizedLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLength\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "SetAngle" );
    Tcl_DStringAppendElement ( &dString, "GetAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    Tcl_DStringAppendElement ( &dString, "SetVaryWidth" );
    Tcl_DStringAppendElement ( &dString, "GetVaryWidth" );
    Tcl_DStringAppendElement ( &dString, "VaryWidthOn" );
    Tcl_DStringAppendElement ( &dString, "VaryWidthOff" );
    Tcl_DStringAppendElement ( &dString, "SetWidthFactor" );
    Tcl_DStringAppendElement ( &dString, "GetWidthFactor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct ribbon so that width is 0.1, the width does \n not vary with scalar values, and the width factor is 2.0.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRibbonFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidth */
    if ( strcmp ( argv[2], "SetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidth */
    Tcl_DStringAppendElement ( &dString, " Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMinValue */
    if ( strcmp ( argv[2], "GetWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthMaxValue */
    if ( strcmp ( argv[2], "GetWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngle */
    if ( strcmp ( argv[2], "SetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngle */
    Tcl_DStringAppendElement ( &dString, " Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngle (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleMinValue */
    if ( strcmp ( argv[2], "GetAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleMaxValue */
    if ( strcmp ( argv[2], "GetAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngle */
    if ( strcmp ( argv[2], "GetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngle */
    Tcl_DStringAppendElement ( &dString, " Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryWidth */
    if ( strcmp ( argv[2], "SetVaryWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryWidth */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of ribbon width with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryWidth (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetVaryWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVaryWidth */
    if ( strcmp ( argv[2], "GetVaryWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVaryWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVaryWidth */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of ribbon width with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVaryWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetVaryWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VaryWidthOn */
    if ( strcmp ( argv[2], "VaryWidthOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VaryWidthOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VaryWidthOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of ribbon width with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void VaryWidthOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for VaryWidthOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VaryWidthOff */
    if ( strcmp ( argv[2], "VaryWidthOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VaryWidthOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VaryWidthOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of ribbon width with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void VaryWidthOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for VaryWidthOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidthFactor */
    if ( strcmp ( argv[2], "SetWidthFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidthFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidthFactor */
    Tcl_DStringAppendElement ( &dString, " Set the maximum ribbon width in terms of a multiple of the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidthFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetWidthFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidthFactor */
    if ( strcmp ( argv[2], "GetWidthFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidthFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidthFactor */
    Tcl_DStringAppendElement ( &dString, " Set the maximum ribbon width in terms of a multiple of the minimum width.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWidthFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetWidthFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultNormal */
    if ( strcmp ( argv[2], "GetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDefaultNormal */
    if ( strcmp ( argv[2], "SetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDefaultNormal (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDefaultNormal */
    if ( strcmp ( argv[2], "GetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOn */
    if ( strcmp ( argv[2], "UseDefaultNormalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOn */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for UseDefaultNormalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOff */
    if ( strcmp ( argv[2], "UseDefaultNormalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOff */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for UseDefaultNormalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoords */
    if ( strcmp ( argv[2], "SetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMinValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMinValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetGenerateTCoordsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMaxValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetGenerateTCoordsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoords */
    if ( strcmp ( argv[2], "GetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToOff */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToOff */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF " );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetGenerateTCoordsToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToNormalizedLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToNormalizedLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToNormalizedLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetGenerateTCoordsToNormalizedLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetGenerateTCoordsToUseLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseScalars */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseScalars */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS " );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetGenerateTCoordsToUseScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsAsString */
    if ( strcmp ( argv[2], "GetGenerateTCoordsAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsAsString */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetGenerateTCoordsAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetGenerateTCoordsAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureLength */
    if ( strcmp ( argv[2], "SetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for SetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMinValue */
    if ( strcmp ( argv[2], "GetTextureLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetTextureLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMaxValue */
    if ( strcmp ( argv[2], "GetTextureLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetTextureLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLength */
    if ( strcmp ( argv[2], "GetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkRibbonFilter" );
    /* Closing for GetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
