// python wrapper for vtkRotationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRotationFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRotationFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRotationFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkRotationFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  const char    *temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  vtkRotationFilter  *temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRotationFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRotationFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp0;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetAxis(temp0);
      }
    else
      {
      op->SetAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetAxisMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetAxisMinValue();
      }
    else
      {
      temp20 = op->GetAxisMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetAxisMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetAxisMaxValue();
      }
    else
      {
      temp20 = op->GetAxisMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetAxis();
      }
    else
      {
      temp20 = op->GetAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetAxisToX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetAxisToX();
      }
    else
      {
      op->SetAxisToX();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetAxisToY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetAxisToY();
      }
    else
      {
      op->SetAxisToY();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetAxisToZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetAxisToZ();
      }
    else
      {
      op->SetAxisToZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  double   temp0;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  double   temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  double  *temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetNumberOfCopies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp0;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetNumberOfCopies(temp0);
      }
    else
      {
      op->SetNumberOfCopies(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetNumberOfCopies(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetNumberOfCopies();
      }
    else
      {
      temp20 = op->GetNumberOfCopies();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_SetCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp0;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::SetCopyInput(temp0);
      }
    else
      {
      op->SetCopyInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_GetCopyInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  int      temp20;
  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationFilter::GetCopyInput();
      }
    else
      {
      temp20 = op->GetCopyInput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_CopyInputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::CopyInputOn();
      }
    else
      {
      op->CopyInputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationFilter_CopyInputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationFilter *op;

  op = (vtkRotationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationFilter::CopyInputOff();
      }
    else
      {
      op->CopyInputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRotationFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRotationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRotationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRotationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRotationFilter\nC++: vtkRotationFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRotationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRotationFilter\nC++: vtkRotationFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAxis",                (PyCFunction)PyvtkRotationFilter_SetAxis, 1,
   (char*)"V.SetAxis(int)\nC++: void SetAxis (int );\n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"GetAxisMinValue",                (PyCFunction)PyvtkRotationFilter_GetAxisMinValue, 1,
   (char*)"V.GetAxisMinValue() -> int\nC++: int GetAxisMinValue ();\n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"GetAxisMaxValue",                (PyCFunction)PyvtkRotationFilter_GetAxisMaxValue, 1,
   (char*)"V.GetAxisMaxValue() -> int\nC++: int GetAxisMaxValue ();\n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"GetAxis",                (PyCFunction)PyvtkRotationFilter_GetAxis, 1,
   (char*)"V.GetAxis() -> int\nC++: int GetAxis ();\n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"SetAxisToX",                (PyCFunction)PyvtkRotationFilter_SetAxisToX, 1,
   (char*)"V.SetAxisToX()\nC++: void SetAxisToX ();this SetAxis USE_X \n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"SetAxisToY",                (PyCFunction)PyvtkRotationFilter_SetAxisToY, 1,
   (char*)"V.SetAxisToY()\nC++: void SetAxisToY ();this SetAxis USE_Y \n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"SetAxisToZ",                (PyCFunction)PyvtkRotationFilter_SetAxisToZ, 1,
   (char*)"V.SetAxisToZ()\nC++: void SetAxisToZ ();this SetAxis USE_Z \n\n Set the axis of rotation to use. It is set by default to Z.\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkRotationFilter_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double );\n\n Set the rotation angle to use.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkRotationFilter_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n Set the rotation angle to use.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkRotationFilter_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the rotation center coordinates.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkRotationFilter_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the rotation center coordinates.\n"},
  {(char*)"SetNumberOfCopies",                (PyCFunction)PyvtkRotationFilter_SetNumberOfCopies, 1,
   (char*)"V.SetNumberOfCopies(int)\nC++: void SetNumberOfCopies (int );\n\n Set the number of copies to create. The source will be rotated N times\n and a new polydata copy of the original created at each angular position\n All copies will be appended to form a single output\n"},
  {(char*)"GetNumberOfCopies",                (PyCFunction)PyvtkRotationFilter_GetNumberOfCopies, 1,
   (char*)"V.GetNumberOfCopies() -> int\nC++: int GetNumberOfCopies ();\n\n Set the number of copies to create. The source will be rotated N times\n and a new polydata copy of the original created at each angular position\n All copies will be appended to form a single output\n"},
  {(char*)"SetCopyInput",                (PyCFunction)PyvtkRotationFilter_SetCopyInput, 1,
   (char*)"V.SetCopyInput(int)\nC++: void SetCopyInput (int );\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the rotation.\n"},
  {(char*)"GetCopyInput",                (PyCFunction)PyvtkRotationFilter_GetCopyInput, 1,
   (char*)"V.GetCopyInput() -> int\nC++: int GetCopyInput ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the rotation.\n"},
  {(char*)"CopyInputOn",                (PyCFunction)PyvtkRotationFilter_CopyInputOn, 1,
   (char*)"V.CopyInputOn()\nC++: void CopyInputOn ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the rotation.\n"},
  {(char*)"CopyInputOff",                (PyCFunction)PyvtkRotationFilter_CopyInputOff, 1,
   (char*)"V.CopyInputOff()\nC++: void CopyInputOff ();\n\n If on (the default), copy the input geometry to the output. If off,\n the output will only contain the rotation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRotationFilterDoc[] = {
  (char*)"vtkRotationFilter - Duplicates a data set by rotation about an axis\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" The vtkRotationFilter duplicates a data set by rotation about one of the\n 3 axis of the dataset's reference.\n Since it converts data sets into unstructured grids, it is not efficient\n for structured data sets.\n\n .SECTION Thanks\n Theophane Foggia of The Swiss National Supercomputing Centre (CSCS)\n for creating and contributing this filter\n\n",
  NULL
};

static vtkObjectBase *vtkRotationFilterStaticNew()
{
  return vtkRotationFilter::New();
}

PyObject *PyVTKClass_vtkRotationFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRotationFilterStaticNew,
                        PyvtkRotationFilterMethods,
                        (char*)"vtkRotationFilter",modulename,
                        (char**)vtkRotationFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

