// python wrapper for vtkSelectEnclosedPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectEnclosedPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectEnclosedPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectEnclosedPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkSelectEnclosedPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  const char    *temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkSelectEnclosedPoints  *temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectEnclosedPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectEnclosedPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SetSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::SetSurface(temp0);
      }
    else
      {
      op->SetSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SetSurfaceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::SetSurfaceConnection(temp0);
      }
    else
      {
      op->SetSurfaceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkPolyData  *temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetSurface();
      }
    else
      {
      temp20 = op->GetSurface();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkInformationVector  *temp0;
  PyObject *tempH0;
  vtkPolyData  *temp20;
  PyErr_Clear();
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationVector");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetSurface(temp0);
      }
    else
      {
      temp20 = op->GetSurface(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  int      temp0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  int      temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SetCheckSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  int      temp0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::SetCheckSurface(temp0);
      }
    else
      {
      op->SetCheckSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_CheckSurfaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::CheckSurfaceOn();
      }
    else
      {
      op->CheckSurfaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_CheckSurfaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::CheckSurfaceOff();
      }
    else
      {
      op->CheckSurfaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetCheckSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  int      temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetCheckSurface();
      }
    else
      {
      temp20 = op->GetCheckSurface();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_IsInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::IsInside(temp0);
      }
    else
      {
      temp20 = op->IsInside(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double   temp0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double   temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double   temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double   temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_IsInsideSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::IsInsideSurface(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsInsideSurface(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  double temp0[3];
  int      temp20;
  PyErr_Clear();
  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectEnclosedPoints::IsInsideSurface(temp0);
      }
    else
      {
      temp20 = op->IsInsideSurface(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectEnclosedPoints_Complete(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectEnclosedPoints::Complete();
      }
    else
      {
      op->Complete();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectEnclosedPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectEnclosedPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectEnclosedPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectEnclosedPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectEnclosedPoints\nC++: vtkSelectEnclosedPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectEnclosedPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectEnclosedPoints\nC++: vtkSelectEnclosedPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSurface",                (PyCFunction)PyvtkSelectEnclosedPoints_SetSurface, 1,
   (char*)"V.SetSurface(vtkPolyData)\nC++: void SetSurface (vtkPolyData *pd);\n\n Set the surface to be used to test for containment. Two methods are \n provided: one directly for vtkPolyData, and one for the output of a\n filter.\n"},
  {(char*)"SetSurfaceConnection",                (PyCFunction)PyvtkSelectEnclosedPoints_SetSurfaceConnection, 1,
   (char*)"V.SetSurfaceConnection(vtkAlgorithmOutput)\nC++: void SetSurfaceConnection (vtkAlgorithmOutput *algOutput);\n\n Set the surface to be used to test for containment. Two methods are \n provided: one directly for vtkPolyData, and one for the output of a\n filter.\n"},
  {(char*)"GetSurface",                (PyCFunction)PyvtkSelectEnclosedPoints_GetSurface, 1,
   (char*)"V.GetSurface() -> vtkPolyData\nC++: vtkPolyData *GetSurface ();\nV.GetSurface(vtkInformationVector) -> vtkPolyData\nC++: vtkPolyData *GetSurface (vtkInformationVector *sourceInfo);\n\n Return a pointer to the enclosing surface.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkSelectEnclosedPoints_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n By default, points inside the surface are marked inside or sent to\n the output. If InsideOut is on, then the points outside the surface\n are marked inside.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkSelectEnclosedPoints_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n By default, points inside the surface are marked inside or sent to\n the output. If InsideOut is on, then the points outside the surface\n are marked inside.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkSelectEnclosedPoints_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n By default, points inside the surface are marked inside or sent to\n the output. If InsideOut is on, then the points outside the surface\n are marked inside.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkSelectEnclosedPoints_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n By default, points inside the surface are marked inside or sent to\n the output. If InsideOut is on, then the points outside the surface\n are marked inside.\n"},
  {(char*)"SetCheckSurface",                (PyCFunction)PyvtkSelectEnclosedPoints_SetCheckSurface, 1,
   (char*)"V.SetCheckSurface(int)\nC++: void SetCheckSurface (int );\n\n Specify whether to check the surface for closure. If on, then the\n algorithm first checks to see if the surface is closed and manifold.\n"},
  {(char*)"CheckSurfaceOn",                (PyCFunction)PyvtkSelectEnclosedPoints_CheckSurfaceOn, 1,
   (char*)"V.CheckSurfaceOn()\nC++: void CheckSurfaceOn ();\n\n Specify whether to check the surface for closure. If on, then the\n algorithm first checks to see if the surface is closed and manifold.\n"},
  {(char*)"CheckSurfaceOff",                (PyCFunction)PyvtkSelectEnclosedPoints_CheckSurfaceOff, 1,
   (char*)"V.CheckSurfaceOff()\nC++: void CheckSurfaceOff ();\n\n Specify whether to check the surface for closure. If on, then the\n algorithm first checks to see if the surface is closed and manifold.\n"},
  {(char*)"GetCheckSurface",                (PyCFunction)PyvtkSelectEnclosedPoints_GetCheckSurface, 1,
   (char*)"V.GetCheckSurface() -> int\nC++: int GetCheckSurface ();\n\n Specify whether to check the surface for closure. If on, then the\n algorithm first checks to see if the surface is closed and manifold.\n"},
  {(char*)"IsInside",                (PyCFunction)PyvtkSelectEnclosedPoints_IsInside, 1,
   (char*)"V.IsInside(int) -> int\nC++: int IsInside (vtkIdType inputPtId);\n\n Query an input point id as to whether it is inside or outside. Note that\n the result requires that the filter execute first.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkSelectEnclosedPoints_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify the tolerance on the intersection. The tolerance is expressed\n as a fraction of the bounding box of the enclosing surface.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkSelectEnclosedPoints_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Specify the tolerance on the intersection. The tolerance is expressed\n as a fraction of the bounding box of the enclosing surface.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkSelectEnclosedPoints_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Specify the tolerance on the intersection. The tolerance is expressed\n as a fraction of the bounding box of the enclosing surface.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkSelectEnclosedPoints_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify the tolerance on the intersection. The tolerance is expressed\n as a fraction of the bounding box of the enclosing surface.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSelectEnclosedPoints_Initialize, 1,
   (char*)"V.Initialize(vtkPolyData)\nC++: void Initialize (vtkPolyData *surface);\n\n This is a backdoor that can be used to test many points for containment.\n First initialize the instance, then repeated calls to IsInsideSurface()\n can be used without rebuilding the search structures. The complete\n method releases memory.\n"},
  {(char*)"IsInsideSurface",                (PyCFunction)PyvtkSelectEnclosedPoints_IsInsideSurface, 1,
   (char*)"V.IsInsideSurface(float, float, float) -> int\nC++: int IsInsideSurface (double x, double y, double z);\nV.IsInsideSurface((float, float, float)) -> int\nC++: int IsInsideSurface (double x[3]);\n\n This is a backdoor that can be used to test many points for containment.\n First initialize the instance, then repeated calls to IsInsideSurface()\n can be used without rebuilding the search structures. The complete\n method releases memory.\n"},
  {(char*)"Complete",                (PyCFunction)PyvtkSelectEnclosedPoints_Complete, 1,
   (char*)"V.Complete()\nC++: void Complete ();\n\n This is a backdoor that can be used to test many points for containment.\n First initialize the instance, then repeated calls to IsInsideSurface()\n can be used without rebuilding the search structures. The complete\n method releases memory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectEnclosedPointsDoc[] = {
  (char*)"vtkSelectEnclosedPoints - mark points as to whether they are inside a closed surface\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkSelectEnclosedPoints is a filter that evaluates all the input points to\n determine whether they are in an enclosed surface. The filter produces a\n (0,1) mask (in the form of a vtkDataArray) that indicates whether points \n are outside (mask value=0) or inside (mask value=1) a provided surface.\n (The name of the output vtkDataArray is \"SelectedPointsArray\".)\n\n After running the filter, it is pos",
  (char*)"sible to query it as to whether a point \n is inside/outside by invoking the IsInside(ptId) method.\n\n",
  "Caveats:\n\n The filter assumes that the surface is closed and manifold. A boolean flag\n can be set to force the filter to first check whether this is true. If false,\n all points will be marked outside. Note that if this check is not performed\n and the surface is not closed, the results are undefined.\n\n This filter produces and output data array, but does not modify the input \n dataset. If you wish to extract cells or poinrs, various threshold filters\n are available (i.e., thresh ...\n [Truncated]\n\n",
  "See Also:\n\n vtkMaskPoints\n\n",
  NULL
};

static vtkObjectBase *vtkSelectEnclosedPointsStaticNew()
{
  return vtkSelectEnclosedPoints::New();
}

PyObject *PyVTKClass_vtkSelectEnclosedPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectEnclosedPointsStaticNew,
                        PyvtkSelectEnclosedPointsMethods,
                        (char*)"vtkSelectEnclosedPoints",modulename,
                        (char**)vtkSelectEnclosedPointsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

