// python wrapper for vtkSelectPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSelectPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  const char    *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  vtkSelectPolyData  *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetGenerateSelectionScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp0;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetGenerateSelectionScalars(temp0);
      }
    else
      {
      op->SetGenerateSelectionScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetGenerateSelectionScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetGenerateSelectionScalars();
      }
    else
      {
      temp20 = op->GetGenerateSelectionScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GenerateSelectionScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::GenerateSelectionScalarsOn();
      }
    else
      {
      op->GenerateSelectionScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GenerateSelectionScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::GenerateSelectionScalarsOff();
      }
    else
      {
      op->GenerateSelectionScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp0;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetLoop(temp0);
      }
    else
      {
      op->SetLoop(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetLoop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  vtkPoints  *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetLoop();
      }
    else
      {
      temp20 = op->GetLoop();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp0;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetSelectionMode(temp0);
      }
    else
      {
      op->SetSelectionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetSelectionModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetSelectionModeMinValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetSelectionModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetSelectionModeMaxValue();
      }
    else
      {
      temp20 = op->GetSelectionModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetSelectionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetSelectionMode();
      }
    else
      {
      temp20 = op->GetSelectionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetSelectionModeToSmallestRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetSelectionModeToSmallestRegion();
      }
    else
      {
      op->SetSelectionModeToSmallestRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetSelectionModeToLargestRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetSelectionModeToLargestRegion();
      }
    else
      {
      op->SetSelectionModeToLargestRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetSelectionModeToClosestPointRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetSelectionModeToClosestPointRegion();
      }
    else
      {
      op->SetSelectionModeToClosestPointRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetSelectionModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  const char    *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetSelectionModeAsString();
      }
    else
      {
      temp20 = op->GetSelectionModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_SetGenerateUnselectedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp0;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::SetGenerateUnselectedOutput(temp0);
      }
    else
      {
      op->SetGenerateUnselectedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetGenerateUnselectedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  int      temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetGenerateUnselectedOutput();
      }
    else
      {
      temp20 = op->GetGenerateUnselectedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GenerateUnselectedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::GenerateUnselectedOutputOn();
      }
    else
      {
      op->GenerateUnselectedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GenerateUnselectedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectPolyData::GenerateUnselectedOutputOff();
      }
    else
      {
      op->GenerateUnselectedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetUnselectedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  vtkPolyData  *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetUnselectedOutput();
      }
    else
      {
      temp20 = op->GetUnselectedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetSelectionEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  vtkPolyData  *temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetSelectionEdges();
      }
    else
      {
      temp20 = op->GetSelectionEdges();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectPolyData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectPolyData *op;

  unsigned long     temp20;
  op = (vtkSelectPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectPolyData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectPolyData\nC++: vtkSelectPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectPolyData\nC++: vtkSelectPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGenerateSelectionScalars",                (PyCFunction)PyvtkSelectPolyData_SetGenerateSelectionScalars, 1,
   (char*)"V.SetGenerateSelectionScalars(int)\nC++: void SetGenerateSelectionScalars (int );\n\n Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n"},
  {(char*)"GetGenerateSelectionScalars",                (PyCFunction)PyvtkSelectPolyData_GetGenerateSelectionScalars, 1,
   (char*)"V.GetGenerateSelectionScalars() -> int\nC++: int GetGenerateSelectionScalars ();\n\n Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n"},
  {(char*)"GenerateSelectionScalarsOn",                (PyCFunction)PyvtkSelectPolyData_GenerateSelectionScalarsOn, 1,
   (char*)"V.GenerateSelectionScalarsOn()\nC++: void GenerateSelectionScalarsOn ();\n\n Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n"},
  {(char*)"GenerateSelectionScalarsOff",                (PyCFunction)PyvtkSelectPolyData_GenerateSelectionScalarsOff, 1,
   (char*)"V.GenerateSelectionScalarsOff()\nC++: void GenerateSelectionScalarsOff ();\n\n Set/Get the flag to control behavior of the filter. If\n GenerateSelectionScalars is on, then the output of the filter\n is the same as the input, except that scalars are generated.\n If off, the filter outputs the cells laying inside the loop, and\n does not generate scalars.\n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkSelectPolyData_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkSelectPolyData_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkSelectPolyData_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkSelectPolyData_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, the mesh within the loop is\n extracted. When on, the mesh outside the loop is extracted.\n"},
  {(char*)"SetLoop",                (PyCFunction)PyvtkSelectPolyData_SetLoop, 1,
   (char*)"V.SetLoop(vtkPoints)\nC++: virtual void SetLoop (vtkPoints *);\n\n Set/Get the array of point coordinates defining the loop. There must\n be at least three points used to define a loop.\n"},
  {(char*)"GetLoop",                (PyCFunction)PyvtkSelectPolyData_GetLoop, 1,
   (char*)"V.GetLoop() -> vtkPoints\nC++: vtkPoints *GetLoop ();\n\n Set/Get the array of point coordinates defining the loop. There must\n be at least three points used to define a loop.\n"},
  {(char*)"SetSelectionMode",                (PyCFunction)PyvtkSelectPolyData_SetSelectionMode, 1,
   (char*)"V.SetSelectionMode(int)\nC++: void SetSelectionMode (int );\n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"GetSelectionModeMinValue",                (PyCFunction)PyvtkSelectPolyData_GetSelectionModeMinValue, 1,
   (char*)"V.GetSelectionModeMinValue() -> int\nC++: int GetSelectionModeMinValue ();\n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"GetSelectionModeMaxValue",                (PyCFunction)PyvtkSelectPolyData_GetSelectionModeMaxValue, 1,
   (char*)"V.GetSelectionModeMaxValue() -> int\nC++: int GetSelectionModeMaxValue ();\n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"GetSelectionMode",                (PyCFunction)PyvtkSelectPolyData_GetSelectionMode, 1,
   (char*)"V.GetSelectionMode() -> int\nC++: int GetSelectionMode ();\n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"SetSelectionModeToSmallestRegion",                (PyCFunction)PyvtkSelectPolyData_SetSelectionModeToSmallestRegion, 1,
   (char*)"V.SetSelectionModeToSmallestRegion()\nC++: void SetSelectionModeToSmallestRegion ();this SetSelectionMode VTK_INSIDE_SMALLEST_REGION \n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"SetSelectionModeToLargestRegion",                (PyCFunction)PyvtkSelectPolyData_SetSelectionModeToLargestRegion, 1,
   (char*)"V.SetSelectionModeToLargestRegion()\nC++: void SetSelectionModeToLargestRegion ();this SetSelectionMode VTK_INSIDE_LARGEST_REGION \n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"SetSelectionModeToClosestPointRegion",                (PyCFunction)PyvtkSelectPolyData_SetSelectionModeToClosestPointRegion, 1,
   (char*)"V.SetSelectionModeToClosestPointRegion()\nC++: void SetSelectionModeToClosestPointRegion ();this SetSelectionMode VTK_INSIDE_CLOSEST_POINT_REGION \n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"GetSelectionModeAsString",                (PyCFunction)PyvtkSelectPolyData_GetSelectionModeAsString, 1,
   (char*)"V.GetSelectionModeAsString() -> string\nC++: const char *GetSelectionModeAsString ();\n\n Control how inside/outside of loop is defined.\n"},
  {(char*)"SetGenerateUnselectedOutput",                (PyCFunction)PyvtkSelectPolyData_SetGenerateUnselectedOutput, 1,
   (char*)"V.SetGenerateUnselectedOutput(int)\nC++: void SetGenerateUnselectedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n"},
  {(char*)"GetGenerateUnselectedOutput",                (PyCFunction)PyvtkSelectPolyData_GetGenerateUnselectedOutput, 1,
   (char*)"V.GetGenerateUnselectedOutput() -> int\nC++: int GetGenerateUnselectedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n"},
  {(char*)"GenerateUnselectedOutputOn",                (PyCFunction)PyvtkSelectPolyData_GenerateUnselectedOutputOn, 1,
   (char*)"V.GenerateUnselectedOutputOn()\nC++: void GenerateUnselectedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n"},
  {(char*)"GenerateUnselectedOutputOff",                (PyCFunction)PyvtkSelectPolyData_GenerateUnselectedOutputOff, 1,
   (char*)"V.GenerateUnselectedOutputOff()\nC++: void GenerateUnselectedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's not been selected.\n"},
  {(char*)"GetUnselectedOutput",                (PyCFunction)PyvtkSelectPolyData_GetUnselectedOutput, 1,
   (char*)"V.GetUnselectedOutput() -> vtkPolyData\nC++: vtkPolyData *GetUnselectedOutput ();\n\n Return output that hasn't been selected (if GenreateUnselectedOutput is\n enabled).\n"},
  {(char*)"GetSelectionEdges",                (PyCFunction)PyvtkSelectPolyData_GetSelectionEdges, 1,
   (char*)"V.GetSelectionEdges() -> vtkPolyData\nC++: vtkPolyData *GetSelectionEdges ();\n\n Return the (mesh) edges of the selection region.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSelectPolyData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectPolyDataDoc[] = {
  (char*)"vtkSelectPolyData - select portion of polygonal mesh; generate selection scalars\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSelectPolyData is a filter that selects polygonal data based on\n defining a \"loop\" and indicating the region inside of the loop. The\n mesh within the loop consists of complete cells (the cells are not\n cut). Alternatively, this filter can be used to generate scalars.\n These scalar values, which are a distance measure to the loop, can\n be used to clip, contour. or extract data (i.e., anything t",
  (char*)"hat an\n implicit function can do). \n\n The loop is defined by an array of x-y-z point coordinates.\n (Coordinates should be in the same coordinate space as the input\n polygonal data.) The loop can be concave and non-planar, but not\n self-intersecting. The input to the filter is a polygonal mesh\n (only surface primitives such as triangle strips and polygons); the\n output is either a) a portion of the",
  (char*)" original mesh laying within\n the selection loop (GenerateSelectionScalarsOff); or b) the same\n polygonal mesh with the addition of scalar values\n (GenerateSelectionScalarsOn).\n\n The algorithm works as follows. For each point coordinate in the\n loop, the closest point in the mesh is found. The result is a loop\n of closest point ids from the mesh. Then, the edges in the mesh\n connecting the closest",
  (char*)" points (and laying along the lines forming\n the loop) are found. A greedy edge tracking procedure is used as\n follows. At the current point, the mesh edge oriented in the\n direction of and whose end point is closest to the line is\n chosen. The edge is followed to the new end point, and the\n procedure is repeated. This process continues until the entire loop\n has been created. \n \n To determine wha",
  (char*)"t portion of the mesh is inside and outside of the\n loop, three options are possible. 1) the smallest connected region,\n 2) the largest connected region, and 3) the connected region\n closest to a user specified point. (Set the ivar SelectionMode.)\n \n Once the loop is computed as above, the GenerateSelectionScalars\n controls the output of the filter. If on, then scalar values are\n generated based o",
  (char*)"n distance to the loop lines. Otherwise, the cells\n laying inside the selection loop are output. By default, the mesh\n lying within the loop is output; however, if InsideOut is on, then\n the portion of the mesh lying outside of the loop is output.\n\n The filter can be configured to generate the unselected portions of\n the mesh as output by setting GenerateUnselectedOutput. Use the\n method GetUnsele",
  (char*)"ctedOutput to access this output. (Note: this flag\n is pertinent only when GenerateSelectionScalars is off.)\n\n",
  "Caveats:\n\n Make sure that the points you pick are on a connected surface. If\n not, then the filter will generate an empty or partial result. Also,\n self-intersecting loops will generate unpredictable results.\n\n During processing of the data, non-triangular cells are converted to\n triangles if GenerateSelectionScalars is off.\n\n",
  "See Also:\n\n vtkImplicitSelectionLoop\n\n",
  NULL
};

static vtkObjectBase *vtkSelectPolyDataStaticNew()
{
  return vtkSelectPolyData::New();
}

PyObject *PyVTKClass_vtkSelectPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectPolyDataStaticNew,
                        PyvtkSelectPolyDataMethods,
                        (char*)"vtkSelectPolyData",modulename,
                        (char**)vtkSelectPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

