// python wrapper for vtkSelectionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSelectionSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectionSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectionSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(char *); }

static PyObject *PyvtkSelectionSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  const char    *temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  vtkSelectionSource  *temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSelectionSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSelectionSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSelectionSource_AddID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::AddID(temp0,temp1);
      }
    else
      {
      op->AddID(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_AddLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::AddLocation(temp0,temp1,temp2);
      }
    else
      {
      op->AddLocation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_AddThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  double   temp0;
  double   temp1;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::AddThreshold(temp0,temp1);
      }
    else
      {
      op->AddThreshold(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_AddBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  vtkIdType   temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::AddBlock(temp0);
      }
    else
      {
      op->AddBlock(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_RemoveAllIDs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::RemoveAllIDs();
      }
    else
      {
      op->RemoveAllIDs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_RemoveAllThresholds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::RemoveAllThresholds();
      }
    else
      {
      op->RemoveAllThresholds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_RemoveAllLocations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::RemoveAllLocations();
      }
    else
      {
      op->RemoveAllLocations();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_RemoveAllBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::RemoveAllBlocks();
      }
    else
      {
      op->RemoveAllBlocks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetContentType(temp0);
      }
    else
      {
      op->SetContentType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetContentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetContentType();
      }
    else
      {
      temp20 = op->GetContentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetFieldType(temp0);
      }
    else
      {
      op->SetFieldType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetFieldType();
      }
    else
      {
      temp20 = op->GetFieldType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetContainingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetContainingCells(temp0);
      }
    else
      {
      op->SetContainingCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetContainingCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetContainingCells();
      }
    else
      {
      temp20 = op->GetContainingCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetInverse(temp0);
      }
    else
      {
      op->SetInverse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetInverse();
      }
    else
      {
      temp20 = op->GetInverse();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  char    *temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  char    *temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetCompositeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetCompositeIndex(temp0);
      }
    else
      {
      op->SetCompositeIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetCompositeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetCompositeIndex();
      }
    else
      {
      temp20 = op->GetCompositeIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetHierarchicalLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetHierarchicalLevel(temp0);
      }
    else
      {
      op->SetHierarchicalLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetHierarchicalLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetHierarchicalLevel();
      }
    else
      {
      temp20 = op->GetHierarchicalLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_SetHierarchicalIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp0;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSelectionSource::SetHierarchicalIndex(temp0);
      }
    else
      {
      op->SetHierarchicalIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSelectionSource_GetHierarchicalIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSelectionSource *op;

  int      temp20;
  op = (vtkSelectionSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSelectionSource::GetHierarchicalIndex();
      }
    else
      {
      temp20 = op->GetHierarchicalIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSelectionSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSelectionSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSelectionSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSelectionSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectionSource\nC++: vtkSelectionSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSelectionSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectionSource\nC++: vtkSelectionSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddID",                (PyCFunction)PyvtkSelectionSource_AddID, 1,
   (char*)"V.AddID(int, int)\nC++: void AddID (vtkIdType piece, vtkIdType id);\n\n Add a (piece, id) to the selection set. The source will generate\n only the ids for which piece == UPDATE_PIECE_NUMBER.\n If piece == -1, the id applies to all pieces.\n"},
  {(char*)"AddLocation",                (PyCFunction)PyvtkSelectionSource_AddLocation, 1,
   (char*)"V.AddLocation(float, float, float)\nC++: void AddLocation (double x, double y, double z);\n\n Add a point in world space to probe at.\n"},
  {(char*)"AddThreshold",                (PyCFunction)PyvtkSelectionSource_AddThreshold, 1,
   (char*)"V.AddThreshold(float, float)\nC++: void AddThreshold (double min, double max);\n\n Add a value range to threshold within.\n"},
  {(char*)"AddBlock",                (PyCFunction)PyvtkSelectionSource_AddBlock, 1,
   (char*)"V.AddBlock(int)\nC++: void AddBlock (vtkIdType blockno);\n\n Add the flat-index/composite index for a block.\n"},
  {(char*)"RemoveAllIDs",                (PyCFunction)PyvtkSelectionSource_RemoveAllIDs, 1,
   (char*)"V.RemoveAllIDs()\nC++: void RemoveAllIDs ();\n\n Removes all IDs.\n"},
  {(char*)"RemoveAllThresholds",                (PyCFunction)PyvtkSelectionSource_RemoveAllThresholds, 1,
   (char*)"V.RemoveAllThresholds()\nC++: void RemoveAllThresholds ();\n\n Remove all thresholds added with AddThreshold.\n"},
  {(char*)"RemoveAllLocations",                (PyCFunction)PyvtkSelectionSource_RemoveAllLocations, 1,
   (char*)"V.RemoveAllLocations()\nC++: void RemoveAllLocations ();\n\n Remove all locations added with AddLocation.\n"},
  {(char*)"RemoveAllBlocks",                (PyCFunction)PyvtkSelectionSource_RemoveAllBlocks, 1,
   (char*)"V.RemoveAllBlocks()\nC++: void RemoveAllBlocks ();\n\n Remove all blocks added with AddBlock.\n"},
  {(char*)"SetContentType",                (PyCFunction)PyvtkSelectionSource_SetContentType, 1,
   (char*)"V.SetContentType(int)\nC++: void SetContentType (int );\n\n Set the content type for the generated selection.\n Possible values are as defined by \n vtkSelection::SelectionContent.\n"},
  {(char*)"GetContentType",                (PyCFunction)PyvtkSelectionSource_GetContentType, 1,
   (char*)"V.GetContentType() -> int\nC++: int GetContentType ();\n\n Set the content type for the generated selection.\n Possible values are as defined by \n vtkSelection::SelectionContent.\n"},
  {(char*)"SetFieldType",                (PyCFunction)PyvtkSelectionSource_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType (int );\n\n Set the field type for the generated selection.\n Possible values are as defined by\n vtkSelection::SelectionField.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkSelectionSource_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType ();\n\n Set the field type for the generated selection.\n Possible values are as defined by\n vtkSelection::SelectionField.\n"},
  {(char*)"SetContainingCells",                (PyCFunction)PyvtkSelectionSource_SetContainingCells, 1,
   (char*)"V.SetContainingCells(int)\nC++: void SetContainingCells (int );\n\n When extracting by points, extract the cells that contain the \n passing points.\n"},
  {(char*)"GetContainingCells",                (PyCFunction)PyvtkSelectionSource_GetContainingCells, 1,
   (char*)"V.GetContainingCells() -> int\nC++: int GetContainingCells ();\n\n When extracting by points, extract the cells that contain the \n passing points.\n"},
  {(char*)"SetInverse",                (PyCFunction)PyvtkSelectionSource_SetInverse, 1,
   (char*)"V.SetInverse(int)\nC++: void SetInverse (int );\n\n Determines whether the selection describes what to include or exclude. \n Default is 0, meaning include.\n"},
  {(char*)"GetInverse",                (PyCFunction)PyvtkSelectionSource_GetInverse, 1,
   (char*)"V.GetInverse() -> int\nC++: int GetInverse ();\n\n Determines whether the selection describes what to include or exclude. \n Default is 0, meaning include.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkSelectionSource_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName (char *);\n\n Access to the name of the selection's subset description array.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkSelectionSource_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();\n\n Access to the name of the selection's subset description array.\n"},
  {(char*)"SetCompositeIndex",                (PyCFunction)PyvtkSelectionSource_SetCompositeIndex, 1,
   (char*)"V.SetCompositeIndex(int)\nC++: void SetCompositeIndex (int );\n\n If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.\n"},
  {(char*)"GetCompositeIndex",                (PyCFunction)PyvtkSelectionSource_GetCompositeIndex, 1,
   (char*)"V.GetCompositeIndex() -> int\nC++: int GetCompositeIndex ();\n\n If CompositeIndex < 0 then COMPOSITE_INDEX() is not added to the output.\n"},
  {(char*)"SetHierarchicalLevel",                (PyCFunction)PyvtkSelectionSource_SetHierarchicalLevel, 1,
   (char*)"V.SetHierarchicalLevel(int)\nC++: void SetHierarchicalLevel (int );\n\n If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n"},
  {(char*)"GetHierarchicalLevel",                (PyCFunction)PyvtkSelectionSource_GetHierarchicalLevel, 1,
   (char*)"V.GetHierarchicalLevel() -> int\nC++: int GetHierarchicalLevel ();\n\n If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n"},
  {(char*)"SetHierarchicalIndex",                (PyCFunction)PyvtkSelectionSource_SetHierarchicalIndex, 1,
   (char*)"V.SetHierarchicalIndex(int)\nC++: void SetHierarchicalIndex (int );\n\n If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n"},
  {(char*)"GetHierarchicalIndex",                (PyCFunction)PyvtkSelectionSource_GetHierarchicalIndex, 1,
   (char*)"V.GetHierarchicalIndex() -> int\nC++: int GetHierarchicalIndex ();\n\n If HierarchicalLevel or HierarchicalIndex < 0 , then HIERARCHICAL_LEVEL()\n and HIERARCHICAL_INDEX() keys are not added to the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSelectionSourceDoc[] = {
  (char*)"vtkSelectionSource - Generate selection from given set of ids\n\n",
  "Super Class:\n\n vtkSelectionAlgorithm\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkSelectionSourceStaticNew()
{
  return vtkSelectionSource::New();
}

PyObject *PyVTKClass_vtkSelectionSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSelectionSourceStaticNew,
                        PyvtkSelectionSourceMethods,
                        (char*)"vtkSelectionSource",modulename,
                        (char**)vtkSelectionSourceDoc,
                        PyVTKClass_vtkSelectionAlgorithmNew(modulename));
}

