// python wrapper for vtkShrinkPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkShrinkPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShrinkPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShrinkPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkShrinkPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  const char    *temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  char    *temp0;
  int      temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  vtkShrinkPolyData  *temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShrinkPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShrinkPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_SetShrinkFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  double   temp0;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShrinkPolyData::SetShrinkFactor(temp0);
      }
    else
      {
      op->SetShrinkFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_GetShrinkFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  double   temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::GetShrinkFactorMinValue();
      }
    else
      {
      temp20 = op->GetShrinkFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_GetShrinkFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  double   temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::GetShrinkFactorMaxValue();
      }
    else
      {
      temp20 = op->GetShrinkFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkPolyData_GetShrinkFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkPolyData *op;

  double   temp20;
  op = (vtkShrinkPolyData *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkPolyData::GetShrinkFactor();
      }
    else
      {
      temp20 = op->GetShrinkFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShrinkPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShrinkPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShrinkPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShrinkPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShrinkPolyData\nC++: vtkShrinkPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShrinkPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShrinkPolyData\nC++: vtkShrinkPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShrinkFactor",                (PyCFunction)PyvtkShrinkPolyData_SetShrinkFactor, 1,
   (char*)"V.SetShrinkFactor(float)\nC++: void SetShrinkFactor (double );\n\n Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactorMinValue",                (PyCFunction)PyvtkShrinkPolyData_GetShrinkFactorMinValue, 1,
   (char*)"V.GetShrinkFactorMinValue() -> float\nC++: double GetShrinkFactorMinValue ();\n\n Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactorMaxValue",                (PyCFunction)PyvtkShrinkPolyData_GetShrinkFactorMaxValue, 1,
   (char*)"V.GetShrinkFactorMaxValue() -> float\nC++: double GetShrinkFactorMaxValue ();\n\n Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactor",                (PyCFunction)PyvtkShrinkPolyData_GetShrinkFactor, 1,
   (char*)"V.GetShrinkFactor() -> float\nC++: double GetShrinkFactor ();\n\n Get the fraction of shrink for each cell.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShrinkPolyDataDoc[] = {
  (char*)"vtkShrinkPolyData - shrink cells composing PolyData\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkShrinkPolyData shrinks cells composing a polygonal dataset (e.g., \n vertices, lines, polygons, and triangle strips) towards their centroid. \n The centroid of a cell is computed as the average position of the\n cell points. Shrinking results in disconnecting the cells from\n one another. The output dataset type of this filter is polygonal data.\n\n During execution the filter passes its input cell ",
  (char*)"data to its\n output. Point data attributes are copied to the points created during the\n shrinking process.\n\n",
  "Caveats:\n\n It is possible to turn cells inside out or cause self intersection\n in special cases.\n Users should use the vtkTriangleFilter to triangulate meshes that \n contain triangle strips.\n\n",
  "See Also:\n\n vtkShrinkFilter\n\n",
  NULL
};

static vtkObjectBase *vtkShrinkPolyDataStaticNew()
{
  return vtkShrinkPolyData::New();
}

PyObject *PyVTKClass_vtkShrinkPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkShrinkPolyDataStaticNew,
                        PyvtkShrinkPolyDataMethods,
                        (char*)"vtkShrinkPolyData",modulename,
                        (char**)vtkShrinkPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

