// python wrapper for vtkSmoothPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSmoothPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSmoothPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSmoothPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSmoothPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  const char    *temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  vtkSmoothPolyDataFilter  *temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSmoothPolyDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSmoothPolyDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetConvergence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetConvergence(temp0);
      }
    else
      {
      op->SetConvergence(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetConvergenceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetConvergenceMinValue();
      }
    else
      {
      temp20 = op->GetConvergenceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetConvergenceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetConvergenceMaxValue();
      }
    else
      {
      temp20 = op->GetConvergenceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetConvergence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetConvergence();
      }
    else
      {
      temp20 = op->GetConvergence();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetRelaxationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetRelaxationFactor(temp0);
      }
    else
      {
      op->SetRelaxationFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetRelaxationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetRelaxationFactor();
      }
    else
      {
      temp20 = op->GetRelaxationFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetFeatureEdgeSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetFeatureEdgeSmoothing(temp0);
      }
    else
      {
      op->SetFeatureEdgeSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetFeatureEdgeSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetFeatureEdgeSmoothing();
      }
    else
      {
      temp20 = op->GetFeatureEdgeSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_FeatureEdgeSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::FeatureEdgeSmoothingOn();
      }
    else
      {
      op->FeatureEdgeSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_FeatureEdgeSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::FeatureEdgeSmoothingOff();
      }
    else
      {
      op->FeatureEdgeSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetFeatureAngle(temp0);
      }
    else
      {
      op->SetFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetFeatureAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetFeatureAngleMinValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetFeatureAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetFeatureAngleMaxValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetFeatureAngle();
      }
    else
      {
      temp20 = op->GetFeatureAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetEdgeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetEdgeAngle(temp0);
      }
    else
      {
      op->SetEdgeAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetEdgeAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetEdgeAngleMinValue();
      }
    else
      {
      temp20 = op->GetEdgeAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetEdgeAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetEdgeAngleMaxValue();
      }
    else
      {
      temp20 = op->GetEdgeAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetEdgeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  double   temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetEdgeAngle();
      }
    else
      {
      temp20 = op->GetEdgeAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetBoundarySmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetBoundarySmoothing(temp0);
      }
    else
      {
      op->SetBoundarySmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetBoundarySmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetBoundarySmoothing();
      }
    else
      {
      temp20 = op->GetBoundarySmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_BoundarySmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::BoundarySmoothingOn();
      }
    else
      {
      op->BoundarySmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_BoundarySmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::BoundarySmoothingOff();
      }
    else
      {
      op->BoundarySmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetGenerateErrorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetGenerateErrorScalars(temp0);
      }
    else
      {
      op->SetGenerateErrorScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetGenerateErrorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetGenerateErrorScalars();
      }
    else
      {
      temp20 = op->GetGenerateErrorScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GenerateErrorScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::GenerateErrorScalarsOn();
      }
    else
      {
      op->GenerateErrorScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GenerateErrorScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::GenerateErrorScalarsOff();
      }
    else
      {
      op->GenerateErrorScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetGenerateErrorVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetGenerateErrorVectors(temp0);
      }
    else
      {
      op->SetGenerateErrorVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetGenerateErrorVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  int      temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetGenerateErrorVectors();
      }
    else
      {
      temp20 = op->GetGenerateErrorVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GenerateErrorVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::GenerateErrorVectorsOn();
      }
    else
      {
      op->GenerateErrorVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GenerateErrorVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::GenerateErrorVectorsOff();
      }
    else
      {
      op->GenerateErrorVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkSmoothPolyDataFilter::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkSmoothPolyDataFilter_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSmoothPolyDataFilter *op;

  vtkPolyData  *temp20;
  op = (vtkSmoothPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSmoothPolyDataFilter::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSmoothPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSmoothPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSmoothPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSmoothPolyDataFilter\nC++: vtkSmoothPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSmoothPolyDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSmoothPolyDataFilter\nC++: vtkSmoothPolyDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetConvergence",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetConvergence, 1,
   (char*)"V.SetConvergence(float)\nC++: void SetConvergence (double );\n\n Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n"},
  {(char*)"GetConvergenceMinValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetConvergenceMinValue, 1,
   (char*)"V.GetConvergenceMinValue() -> float\nC++: double GetConvergenceMinValue ();\n\n Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n"},
  {(char*)"GetConvergenceMaxValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetConvergenceMaxValue, 1,
   (char*)"V.GetConvergenceMaxValue() -> float\nC++: double GetConvergenceMaxValue ();\n\n Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n"},
  {(char*)"GetConvergence",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetConvergence, 1,
   (char*)"V.GetConvergence() -> float\nC++: double GetConvergence ();\n\n Specify a convergence criterion for the iteration\n process. Smaller numbers result in more smoothing iterations.\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int );\n\n Specify the number of iterations for Laplacian smoothing,\n"},
  {(char*)"GetNumberOfIterationsMinValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetNumberOfIterationsMinValue, 1,
   (char*)"V.GetNumberOfIterationsMinValue() -> int\nC++: int GetNumberOfIterationsMinValue ();\n\n Specify the number of iterations for Laplacian smoothing,\n"},
  {(char*)"GetNumberOfIterationsMaxValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetNumberOfIterationsMaxValue, 1,
   (char*)"V.GetNumberOfIterationsMaxValue() -> int\nC++: int GetNumberOfIterationsMaxValue ();\n\n Specify the number of iterations for Laplacian smoothing,\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Specify the number of iterations for Laplacian smoothing,\n"},
  {(char*)"SetRelaxationFactor",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetRelaxationFactor, 1,
   (char*)"V.SetRelaxationFactor(float)\nC++: void SetRelaxationFactor (double );\n\n Specify the relaxation factor for Laplacian smoothing. As in all\n iterative methods, the stability of the process is sensitive to\n this parameter. In general, small relaxation factors and large\n numbers of iterations are more stable than larger relaxation\n factors and smaller numbers of iterations.\n"},
  {(char*)"GetRelaxationFactor",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetRelaxationFactor, 1,
   (char*)"V.GetRelaxationFactor() -> float\nC++: double GetRelaxationFactor ();\n\n Specify the relaxation factor for Laplacian smoothing. As in all\n iterative methods, the stability of the process is sensitive to\n this parameter. In general, small relaxation factors and large\n numbers of iterations are more stable than larger relaxation\n factors and smaller numbers of iterations.\n"},
  {(char*)"SetFeatureEdgeSmoothing",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetFeatureEdgeSmoothing, 1,
   (char*)"V.SetFeatureEdgeSmoothing(int)\nC++: void SetFeatureEdgeSmoothing (int );\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"GetFeatureEdgeSmoothing",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetFeatureEdgeSmoothing, 1,
   (char*)"V.GetFeatureEdgeSmoothing() -> int\nC++: int GetFeatureEdgeSmoothing ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"FeatureEdgeSmoothingOn",                (PyCFunction)PyvtkSmoothPolyDataFilter_FeatureEdgeSmoothingOn, 1,
   (char*)"V.FeatureEdgeSmoothingOn()\nC++: void FeatureEdgeSmoothingOn ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"FeatureEdgeSmoothingOff",                (PyCFunction)PyvtkSmoothPolyDataFilter_FeatureEdgeSmoothingOff, 1,
   (char*)"V.FeatureEdgeSmoothingOff()\nC++: void FeatureEdgeSmoothingOff ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"SetFeatureAngle",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetFeatureAngle, 1,
   (char*)"V.SetFeatureAngle(float)\nC++: void SetFeatureAngle (double );\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngleMinValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetFeatureAngleMinValue, 1,
   (char*)"V.GetFeatureAngleMinValue() -> float\nC++: double GetFeatureAngleMinValue ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngleMaxValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetFeatureAngleMaxValue, 1,
   (char*)"V.GetFeatureAngleMaxValue() -> float\nC++: double GetFeatureAngleMaxValue ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngle",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetFeatureAngle, 1,
   (char*)"V.GetFeatureAngle() -> float\nC++: double GetFeatureAngle ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"SetEdgeAngle",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetEdgeAngle, 1,
   (char*)"V.SetEdgeAngle(float)\nC++: void SetEdgeAngle (double );\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngleMinValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetEdgeAngleMinValue, 1,
   (char*)"V.GetEdgeAngleMinValue() -> float\nC++: double GetEdgeAngleMinValue ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngleMaxValue",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetEdgeAngleMaxValue, 1,
   (char*)"V.GetEdgeAngleMaxValue() -> float\nC++: double GetEdgeAngleMaxValue ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngle",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetEdgeAngle, 1,
   (char*)"V.GetEdgeAngle() -> float\nC++: double GetEdgeAngle ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"SetBoundarySmoothing",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetBoundarySmoothing, 1,
   (char*)"V.SetBoundarySmoothing(int)\nC++: void SetBoundarySmoothing (int );\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"GetBoundarySmoothing",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetBoundarySmoothing, 1,
   (char*)"V.GetBoundarySmoothing() -> int\nC++: int GetBoundarySmoothing ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"BoundarySmoothingOn",                (PyCFunction)PyvtkSmoothPolyDataFilter_BoundarySmoothingOn, 1,
   (char*)"V.BoundarySmoothingOn()\nC++: void BoundarySmoothingOn ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"BoundarySmoothingOff",                (PyCFunction)PyvtkSmoothPolyDataFilter_BoundarySmoothingOff, 1,
   (char*)"V.BoundarySmoothingOff()\nC++: void BoundarySmoothingOff ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"SetGenerateErrorScalars",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetGenerateErrorScalars, 1,
   (char*)"V.SetGenerateErrorScalars(int)\nC++: void SetGenerateErrorScalars (int );\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GetGenerateErrorScalars",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetGenerateErrorScalars, 1,
   (char*)"V.GetGenerateErrorScalars() -> int\nC++: int GetGenerateErrorScalars ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GenerateErrorScalarsOn",                (PyCFunction)PyvtkSmoothPolyDataFilter_GenerateErrorScalarsOn, 1,
   (char*)"V.GenerateErrorScalarsOn()\nC++: void GenerateErrorScalarsOn ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GenerateErrorScalarsOff",                (PyCFunction)PyvtkSmoothPolyDataFilter_GenerateErrorScalarsOff, 1,
   (char*)"V.GenerateErrorScalarsOff()\nC++: void GenerateErrorScalarsOff ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"SetGenerateErrorVectors",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetGenerateErrorVectors, 1,
   (char*)"V.SetGenerateErrorVectors(int)\nC++: void SetGenerateErrorVectors (int );\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GetGenerateErrorVectors",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetGenerateErrorVectors, 1,
   (char*)"V.GetGenerateErrorVectors() -> int\nC++: int GetGenerateErrorVectors ();\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GenerateErrorVectorsOn",                (PyCFunction)PyvtkSmoothPolyDataFilter_GenerateErrorVectorsOn, 1,
   (char*)"V.GenerateErrorVectorsOn()\nC++: void GenerateErrorVectorsOn ();\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GenerateErrorVectorsOff",                (PyCFunction)PyvtkSmoothPolyDataFilter_GenerateErrorVectorsOff, 1,
   (char*)"V.GenerateErrorVectorsOff()\nC++: void GenerateErrorVectorsOff ();\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkSmoothPolyDataFilter_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *source);\n\n Specify the source object which is used to constrain smoothing. The \n source defines a surface that the input (as it is smoothed) is \n constrained to lie upon.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkSmoothPolyDataFilter_GetSource, 1,
   (char*)"V.GetSource() -> vtkPolyData\nC++: vtkPolyData *GetSource ();\n\n Specify the source object which is used to constrain smoothing. The \n source defines a surface that the input (as it is smoothed) is \n constrained to lie upon.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSmoothPolyDataFilterDoc[] = {
  (char*)"vtkSmoothPolyDataFilter - adjust point positions using Laplacian smoothing\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSmoothPolyDataFilter is a filter that adjusts point coordinates using \n Laplacian smoothing. The effect is to \"relax\" the mesh, making the cells \n better shaped and the vertices more evenly distributed. Note that this\n filter operates on the lines, polygons, and triangle strips composing an\n instance of vtkPolyData. Vertex or poly-vertex cells are never modified.\n \n The algorithm proceeds as f",
  (char*)"ollows. For each vertex v, a topological and\n geometric analysis is performed to determine which vertices are connected\n to v, and which cells are connected to v. Then, a connectivity array is\n constructed for each vertex. (The connectivity array is a list of lists\n of vertices that directly attach to each vertex.) Next, an iteration\n phase begins over all vertices. For each vertex v, the coordina",
  (char*)"tes of v\n are modified according to an average of the connected vertices.  (A\n relaxation factor is available to control the amount of displacement of\n v).  The process repeats for each vertex. This pass over the list of\n vertices is a single iteration. Many iterations (generally around 20 or\n so) are repeated until the desired result is obtained.\n \n There are some special instance variables used ",
  (char*)"to control the execution\n of this filter. (These ivars basically control what vertices can be\n smoothed, and the creation of the connectivity array.) The\n BoundarySmoothing ivar enables/disables the smoothing operation on\n vertices that are on the \"boundary\" of the mesh. A boundary vertex is one\n that is surrounded by a semi-cycle of polygons (or used by a single\n line).\n \n Another important ivar ",
  (char*)"is FeatureEdgeSmoothing. If this ivar is\n enabled, then interior vertices are classified as either \"simple\",\n \"interior edge\", or \"fixed\", and smoothed differently. (Interior\n vertices are manifold vertices surrounded by a cycle of polygons; or used\n by two line cells.) The classification is based on the number of feature \n edges attached to v. A feature edge occurs when the angle between the two\n",
  (char*)" surface normals of a polygon sharing an edge is greater than the\n FeatureAngle ivar. Then, vertices used by no feature edges are classified\n \"simple\", vertices used by exactly two feature edges are classified\n \"interior edge\", and all others are \"fixed\" vertices.\n\n Once the classification is known, the vertices are smoothed\n differently. Corner (i.e., fixed) vertices are not smoothed at all. \n Si",
  (char*)"mple vertices are smoothed as before (i.e., average of connected \n vertex coordinates). Interior edge vertices are smoothed only along \n their two connected edges, and only if the angle between the edges \n is less than the EdgeAngle ivar.\n\n The total smoothing can be controlled by using two ivars. The \n NumberOfIterations is a cap on the maximum number of smoothing passes.\n The Convergence ivar is",
  (char*)" a limit on the maximum point motion. If the \n maximum motion during an iteration is less than Convergence, then the \n smoothing process terminates. (Convergence is expressed as a fraction of \n the diagonal of the bounding box.)\n\n There are two instance variables that control the generation of error\n data. If the ivar GenerateErrorScalars is on, then a scalar value indicating\n the distance of each",
  (char*)" vertex from its original position is computed. If the\n ivar GenerateErrorVectors is on, then a vector representing change in \n position is computed.\n\n Optionally you can further control the smoothing process by defining a\n second input: the Source. If defined, the input mesh is constrained to\n lie on the surface defined by the Source ivar.\n\n\n",
  "Caveats:\n\n \n The Laplacian operation reduces high frequency information in the geometry\n of the mesh. With excessive smoothing important details may be lost, and\n the surface may shrink towards the centroid. Enabling FeatureEdgeSmoothing\n helps reduce this effect, but cannot entirely eliminate it. You may also\n wish to try vtkWindowedSincPolyDataFilter. It does a better job of \n minimizing shrinkage.\n\n\n",
  "See Also:\n\n vtkWindowedSincPolyDataFilter vtkDecimate vtkDecimatePro\n\n",
  NULL
};

static vtkObjectBase *vtkSmoothPolyDataFilterStaticNew()
{
  return vtkSmoothPolyDataFilter::New();
}

PyObject *PyVTKClass_vtkSmoothPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSmoothPolyDataFilterStaticNew,
                        PyvtkSmoothPolyDataFilterMethods,
                        (char*)"vtkSmoothPolyDataFilter",modulename,
                        (char**)vtkSmoothPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

