// python wrapper for vtkSpatialRepresentationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSpatialRepresentationFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSpatialRepresentationFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSpatialRepresentationFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkSpatialRepresentationFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  const char    *temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkSpatialRepresentationFilter  *temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSpatialRepresentationFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSpatialRepresentationFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_SetSpatialRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkLocator  *temp0;
  PyObject *tempH0;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLocator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpatialRepresentationFilter::SetSpatialRepresentation(temp0);
      }
    else
      {
      op->SetSpatialRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_GetSpatialRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkLocator  *temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetSpatialRepresentation();
      }
    else
      {
      temp20 = op->GetSpatialRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  int      temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  int      temp0;
  vtkPolyData  *temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkPolyData  *temp20;
  PyErr_Clear();
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_ResetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpatialRepresentationFilter::ResetOutput();
      }
    else
      {
      op->ResetOutput();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpatialRepresentationFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkSpatialRepresentationFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpatialRepresentationFilter *op;

  vtkDataSet  *temp20;
  op = (vtkSpatialRepresentationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpatialRepresentationFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSpatialRepresentationFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpatialRepresentationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpatialRepresentationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpatialRepresentationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpatialRepresentationFilter\nC++: vtkSpatialRepresentationFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSpatialRepresentationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSpatialRepresentationFilter\nC++: vtkSpatialRepresentationFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSpatialRepresentation",                (PyCFunction)PyvtkSpatialRepresentationFilter_SetSpatialRepresentation, 1,
   (char*)"V.SetSpatialRepresentation(vtkLocator)\nC++: virtual void SetSpatialRepresentation (vtkLocator *);\n\n Set/Get the locator that will be used to generate the representation.\n"},
  {(char*)"GetSpatialRepresentation",                (PyCFunction)PyvtkSpatialRepresentationFilter_GetSpatialRepresentation, 1,
   (char*)"V.GetSpatialRepresentation() -> vtkLocator\nC++: vtkLocator *GetSpatialRepresentation ();\n\n Set/Get the locator that will be used to generate the representation.\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkSpatialRepresentationFilter_GetLevel, 1,
   (char*)"V.GetLevel() -> int\nC++: int GetLevel ();\n\n Get the maximum number of outputs actually available.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkSpatialRepresentationFilter_GetOutput, 1,
   (char*)"V.GetOutput(int) -> vtkPolyData\nC++: vtkPolyData *GetOutput (int level);\nV.GetOutput() -> vtkPolyData\nC++: vtkPolyData *GetOutput ();\n\n A special form of the GetOutput() method that returns multiple outputs.\n"},
  {(char*)"ResetOutput",                (PyCFunction)PyvtkSpatialRepresentationFilter_ResetOutput, 1,
   (char*)"V.ResetOutput()\nC++: void ResetOutput ();\n\n Reset requested output levels\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkSpatialRepresentationFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkSpatialRepresentationFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSpatialRepresentationFilterDoc[] = {
  (char*)"vtkSpatialRepresentationFilter - generate polygonal model of spatial search object (i.e., a vtkLocator)\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkSpatialRepresentationFilter generates an polygonal representation of a\n spatial search (vtkLocator) object. The representation varies depending\n upon the nature of the spatial search object. For example, the\n representation for vtkOBBTree is a collection of oriented bounding\n boxes. Ths input to this filter is a dataset of any type, and the output\n is polygonal data. You must also specify the ",
  (char*)"spatial search object to\n use.\n\n Generally spatial search objects are used for collision detection and\n other geometric operations, but in this filter one or more levels of\n spatial searchers can be generated to form a geometric approximation to\n the input data. This is a form of data simplification, generally used to\n accelerate the rendering process. Or, this filter can be used as a\n debugging/ ",
  (char*)"visualization aid for spatial search objects.\n \n This filter can generate one or more output vtkPolyData corresponding to\n different levels in the spatial search tree. The output data is retrieved \n using the GetOutput(id) method, where id ranges from 0 (root level) \n to Level. Note that the output for level \"id\" is not computed unless a \n GetOutput(id) method is issued. Thus, if you desire three ",
  (char*)"levels of output \n (say 2,4,7), you would have to invoke GetOutput(2), GetOutput(4), and \n GetOutput(7). (Also note that the Level ivar is computed automatically \n depending on the size and nature of the input data.) There is also \n another GetOutput() method that takes no parameters. This method returns \n the leafs of the spatial search tree, which may be at different levels.\n\n",
  "Caveats:\n\n You can specify the number of levels of to generate with the MaxLevels\n ivar. However, when the spatial search tree is built, this number of levels \n may not actually be generated. The actual number available can be found in \n the Levels ivar. Note that the value of Levels may change after filter\n execution.\n\n",
  "See Also:\n\n vtkLocator vtkPointLocator vtkCellLocator vtkOBBTree \n\n",
  NULL
};

static vtkObjectBase *vtkSpatialRepresentationFilterStaticNew()
{
  return vtkSpatialRepresentationFilter::New();
}

PyObject *PyVTKClass_vtkSpatialRepresentationFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSpatialRepresentationFilterStaticNew,
                        PyvtkSpatialRepresentationFilterMethods,
                        (char*)"vtkSpatialRepresentationFilter",modulename,
                        (char**)vtkSpatialRepresentationFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

