// tcl wrapper for vtkSpherePuzzleArrows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpherePuzzleArrows.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSpherePuzzleArrowsNewCommand()
{
  vtkSpherePuzzleArrows *temp = vtkSpherePuzzleArrows::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSpherePuzzleArrowsCppCommand(vtkSpherePuzzleArrows *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSpherePuzzleArrowsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSpherePuzzleArrowsCppCommand(static_cast<vtkSpherePuzzleArrows *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSpherePuzzleArrowsCppCommand(vtkSpherePuzzleArrows *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSpherePuzzleArrows",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSpherePuzzleArrows  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSpherePuzzleArrows  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSpherePuzzleArrows  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
  if ((!strcmp("SetPermutation",argv[1]))&&(argc == 34))
    {
    int    temp0[32];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp0[6] = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp0[7] = tempi;
    if (Tcl_GetInt(interp,argv[10],&tempi) != TCL_OK) error = 1;
    temp0[8] = tempi;
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp0[9] = tempi;
    if (Tcl_GetInt(interp,argv[12],&tempi) != TCL_OK) error = 1;
    temp0[10] = tempi;
    if (Tcl_GetInt(interp,argv[13],&tempi) != TCL_OK) error = 1;
    temp0[11] = tempi;
    if (Tcl_GetInt(interp,argv[14],&tempi) != TCL_OK) error = 1;
    temp0[12] = tempi;
    if (Tcl_GetInt(interp,argv[15],&tempi) != TCL_OK) error = 1;
    temp0[13] = tempi;
    if (Tcl_GetInt(interp,argv[16],&tempi) != TCL_OK) error = 1;
    temp0[14] = tempi;
    if (Tcl_GetInt(interp,argv[17],&tempi) != TCL_OK) error = 1;
    temp0[15] = tempi;
    if (Tcl_GetInt(interp,argv[18],&tempi) != TCL_OK) error = 1;
    temp0[16] = tempi;
    if (Tcl_GetInt(interp,argv[19],&tempi) != TCL_OK) error = 1;
    temp0[17] = tempi;
    if (Tcl_GetInt(interp,argv[20],&tempi) != TCL_OK) error = 1;
    temp0[18] = tempi;
    if (Tcl_GetInt(interp,argv[21],&tempi) != TCL_OK) error = 1;
    temp0[19] = tempi;
    if (Tcl_GetInt(interp,argv[22],&tempi) != TCL_OK) error = 1;
    temp0[20] = tempi;
    if (Tcl_GetInt(interp,argv[23],&tempi) != TCL_OK) error = 1;
    temp0[21] = tempi;
    if (Tcl_GetInt(interp,argv[24],&tempi) != TCL_OK) error = 1;
    temp0[22] = tempi;
    if (Tcl_GetInt(interp,argv[25],&tempi) != TCL_OK) error = 1;
    temp0[23] = tempi;
    if (Tcl_GetInt(interp,argv[26],&tempi) != TCL_OK) error = 1;
    temp0[24] = tempi;
    if (Tcl_GetInt(interp,argv[27],&tempi) != TCL_OK) error = 1;
    temp0[25] = tempi;
    if (Tcl_GetInt(interp,argv[28],&tempi) != TCL_OK) error = 1;
    temp0[26] = tempi;
    if (Tcl_GetInt(interp,argv[29],&tempi) != TCL_OK) error = 1;
    temp0[27] = tempi;
    if (Tcl_GetInt(interp,argv[30],&tempi) != TCL_OK) error = 1;
    temp0[28] = tempi;
    if (Tcl_GetInt(interp,argv[31],&tempi) != TCL_OK) error = 1;
    temp0[29] = tempi;
    if (Tcl_GetInt(interp,argv[32],&tempi) != TCL_OK) error = 1;
    temp0[30] = tempi;
    if (Tcl_GetInt(interp,argv[33],&tempi) != TCL_OK) error = 1;
    temp0[31] = tempi;
    if (!error)
    {
    op->SetPermutation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPermutation",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPermutation();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14],temp20[15],temp20[16],temp20[17],temp20[18],temp20[19],temp20[20],temp20[21],temp20[22],temp20[23],temp20[24],temp20[25],temp20[26],temp20[27],temp20[28],temp20[29],temp20[30],temp20[31]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPermutationComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPermutationComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPermutation",argv[1]))&&(argc == 3))
    {
    vtkSpherePuzzle  *temp0;
    error = 0;

    temp0 = (vtkSpherePuzzle *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSpherePuzzle"),interp,error));
    if (!error)
    {
    op->SetPermutation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSpherePuzzleArrowsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSpherePuzzleArrows:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutation\t with 32 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPermutation\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutationComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutation\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetPermutation" );
    Tcl_DStringAppendElement ( &dString, "GetPermutation" );
    Tcl_DStringAppendElement ( &dString, "SetPermutationComponent" );
    Tcl_DStringAppendElement ( &dString, "SetPermutation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSpherePuzzleArrows *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPermutation */
    if ( strcmp ( argv[2], "SetPermutation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPermutation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPermutation */
    Tcl_DStringAppendElement ( &dString, " Permutation is an array of puzzle piece ids.\n Arrows will be generated for any id that does not contain itself.\n Permutation\\[3\\] = 3 will produce no arrow.\n Permutation\\[3\\] = 10 will draw an arrow from location 3 to 10.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPermutation (int  \\[32\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for SetPermutation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPermutation */
    if ( strcmp ( argv[2], "GetPermutation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPermutation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPermutation */
    Tcl_DStringAppendElement ( &dString, " Permutation is an array of puzzle piece ids.\n Arrows will be generated for any id that does not contain itself.\n Permutation\\[3\\] = 3 will produce no arrow.\n Permutation\\[3\\] = 10 will draw an arrow from location 3 to 10.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetPermutation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for GetPermutation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPermutationComponent */
    if ( strcmp ( argv[2], "SetPermutationComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPermutationComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPermutationComponent */
    Tcl_DStringAppendElement ( &dString, " Permutation is an array of puzzle piece ids.\n Arrows will be generated for any id that does not contain itself.\n Permutation\\[3\\] = 3 will produce no arrow.\n Permutation\\[3\\] = 10 will draw an arrow from location 3 to 10.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPermutationComponent (int comp, int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for SetPermutationComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPermutation */
    if ( strcmp ( argv[2], "SetPermutation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPermutation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzle" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPermutation */
    Tcl_DStringAppendElement ( &dString, " Permutation is an array of puzzle piece ids.\n Arrows will be generated for any id that does not contain itself.\n Permutation\\[3\\] = 3 will produce no arrow.\n Permutation\\[3\\] = 10 will draw an arrow from location 3 to 10.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPermutation (vtkSpherePuzzle *puz);" );
    Tcl_DStringAppendElement ( &dString, "vtkSpherePuzzleArrows" );
    /* Closing for SetPermutation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
