// python wrapper for vtkSpherePuzzle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSpherePuzzle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSpherePuzzleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSpherePuzzleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSpherePuzzle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  const char    *temp20;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  char    *temp0;
  int      temp20;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  vtkSpherePuzzle  *temp20;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSpherePuzzle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSpherePuzzle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzle::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_MoveHorizontal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzle::MoveHorizontal(temp0,temp1,temp2);
      }
    else
      {
      op->MoveHorizontal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_MoveVertical(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzle::MoveVertical(temp0,temp1,temp2);
      }
    else
      {
      op->MoveVertical(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_SetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzle::SetPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzle_MovePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzle *op;

  int      temp0;
  op = (vtkSpherePuzzle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzle::MovePoint(temp0);
      }
    else
      {
      op->MovePoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSpherePuzzleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpherePuzzle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpherePuzzle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpherePuzzle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpherePuzzle\nC++: vtkSpherePuzzle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSpherePuzzle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSpherePuzzle\nC++: vtkSpherePuzzle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkSpherePuzzle_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reset the state of this puzzle back to its original state.\n"},
  {(char*)"MoveHorizontal",                (PyCFunction)PyvtkSpherePuzzle_MoveHorizontal, 1,
   (char*)"V.MoveHorizontal(int, int, int)\nC++: void MoveHorizontal (int section, int percentage, int rightFlag);\n\n Move the top/bottom half one segment either direction.\n"},
  {(char*)"MoveVertical",                (PyCFunction)PyvtkSpherePuzzle_MoveVertical, 1,
   (char*)"V.MoveVertical(int, int, int)\nC++: void MoveVertical (int section, int percentage, int rightFlag);\n\n Rotate vertical half of sphere along one of the longitude lines.\n"},
  {(char*)"SetPoint",                (PyCFunction)PyvtkSpherePuzzle_SetPoint, 1,
   (char*)"V.SetPoint(float, float, float) -> int\nC++: int SetPoint (double x, double y, double z);\n\n SetPoint will be called as the mouse moves over the screen.\n The output will change to indicate the pending move.\n SetPoint returns zero if move is not activated by point.\n Otherwise it encodes the move into a unique integer so that\n the caller can determine if the move state has changed.\n This will answer the question, \"Should I render.\"\n"},
  {(char*)"MovePoint",                (PyCFunction)PyvtkSpherePuzzle_MovePoint, 1,
   (char*)"V.MovePoint(int)\nC++: void MovePoint (int percentage);\n\n Move actually implements the pending move. When percentage\n is 100, the pending move becomes inactive, and SetPoint\n will have to be called again to setup another move.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSpherePuzzleDoc[] = {
  (char*)"vtkSpherePuzzle - create a polygonal sphere centered at the origin\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSpherePuzzle creates \n\n",
  NULL
};

static vtkObjectBase *vtkSpherePuzzleStaticNew()
{
  return vtkSpherePuzzle::New();
}

PyObject *PyVTKClass_vtkSpherePuzzleNew(char *modulename)
{
  return PyVTKClass_New(&vtkSpherePuzzleStaticNew,
                        PyvtkSpherePuzzleMethods,
                        (char*)"vtkSpherePuzzle",modulename,
                        (char**)vtkSpherePuzzleDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

