// python wrapper for vtkSplineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSplineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSplineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  const char    *temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  vtkSplineFilter  *temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetMaximumNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetMaximumNumberOfSubdivisionsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetMaximumNumberOfSubdivisionsMinValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSubdivisionsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetMaximumNumberOfSubdivisionsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetMaximumNumberOfSubdivisionsMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSubdivisionsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetMaximumNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetSubdivide(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetSubdivide(temp0);
      }
    else
      {
      op->SetSubdivide(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetSubdivideMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetSubdivideMinValue();
      }
    else
      {
      temp20 = op->GetSubdivideMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetSubdivideMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetSubdivideMaxValue();
      }
    else
      {
      temp20 = op->GetSubdivideMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetSubdivide(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetSubdivide();
      }
    else
      {
      temp20 = op->GetSubdivide();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetSubdivideToSpecified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetSubdivideToSpecified();
      }
    else
      {
      op->SetSubdivideToSpecified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetSubdivideToLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetSubdivideToLength();
      }
    else
      {
      op->SetSubdivideToLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetSubdivideAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  const char    *temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetSubdivideAsString();
      }
    else
      {
      temp20 = op->GetSubdivideAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetNumberOfSubdivisionsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetNumberOfSubdivisionsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisionsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetNumberOfSubdivisionsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetNumberOfSubdivisionsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisionsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetLength(temp0);
      }
    else
      {
      op->SetLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetLengthMinValue();
      }
    else
      {
      temp20 = op->GetLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetLengthMaxValue();
      }
    else
      {
      temp20 = op->GetLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetSpline(temp0);
      }
    else
      {
      op->SetSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  vtkSpline  *temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetSpline();
      }
    else
      {
      temp20 = op->GetSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetGenerateTCoords(temp0);
      }
    else
      {
      op->SetGenerateTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetGenerateTCoordsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetGenerateTCoordsMinValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetGenerateTCoordsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetGenerateTCoordsMaxValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  int      temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetGenerateTCoords();
      }
    else
      {
      temp20 = op->GetGenerateTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetGenerateTCoordsToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetGenerateTCoordsToOff();
      }
    else
      {
      op->SetGenerateTCoordsToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetGenerateTCoordsToNormalizedLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetGenerateTCoordsToNormalizedLength();
      }
    else
      {
      op->SetGenerateTCoordsToNormalizedLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetGenerateTCoordsToUseLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetGenerateTCoordsToUseLength();
      }
    else
      {
      op->SetGenerateTCoordsToUseLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetGenerateTCoordsToUseScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetGenerateTCoordsToUseScalars();
      }
    else
      {
      op->SetGenerateTCoordsToUseScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetGenerateTCoordsAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  const char    *temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetGenerateTCoordsAsString();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_SetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp0;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineFilter::SetTextureLength(temp0);
      }
    else
      {
      op->SetTextureLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetTextureLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetTextureLengthMinValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetTextureLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetTextureLengthMaxValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineFilter_GetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineFilter *op;

  double   temp20;
  op = (vtkSplineFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineFilter::GetTextureLength();
      }
    else
      {
      temp20 = op->GetTextureLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplineFilter\nC++: vtkSplineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplineFilter\nC++: vtkSplineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkSplineFilter_SetMaximumNumberOfSubdivisions, 1,
   (char*)"V.SetMaximumNumberOfSubdivisions(int)\nC++: void SetMaximumNumberOfSubdivisions (int );\n\n Set the maximum number of subdivisions that are created for each\n polyline.\n"},
  {(char*)"GetMaximumNumberOfSubdivisionsMinValue",                (PyCFunction)PyvtkSplineFilter_GetMaximumNumberOfSubdivisionsMinValue, 1,
   (char*)"V.GetMaximumNumberOfSubdivisionsMinValue() -> int\nC++: int GetMaximumNumberOfSubdivisionsMinValue ();\n\n Set the maximum number of subdivisions that are created for each\n polyline.\n"},
  {(char*)"GetMaximumNumberOfSubdivisionsMaxValue",                (PyCFunction)PyvtkSplineFilter_GetMaximumNumberOfSubdivisionsMaxValue, 1,
   (char*)"V.GetMaximumNumberOfSubdivisionsMaxValue() -> int\nC++: int GetMaximumNumberOfSubdivisionsMaxValue ();\n\n Set the maximum number of subdivisions that are created for each\n polyline.\n"},
  {(char*)"GetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkSplineFilter_GetMaximumNumberOfSubdivisions, 1,
   (char*)"V.GetMaximumNumberOfSubdivisions() -> int\nC++: int GetMaximumNumberOfSubdivisions ();\n\n Set the maximum number of subdivisions that are created for each\n polyline.\n"},
  {(char*)"SetSubdivide",                (PyCFunction)PyvtkSplineFilter_SetSubdivide, 1,
   (char*)"V.SetSubdivide(int)\nC++: void SetSubdivide (int );\n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"GetSubdivideMinValue",                (PyCFunction)PyvtkSplineFilter_GetSubdivideMinValue, 1,
   (char*)"V.GetSubdivideMinValue() -> int\nC++: int GetSubdivideMinValue ();\n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"GetSubdivideMaxValue",                (PyCFunction)PyvtkSplineFilter_GetSubdivideMaxValue, 1,
   (char*)"V.GetSubdivideMaxValue() -> int\nC++: int GetSubdivideMaxValue ();\n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"GetSubdivide",                (PyCFunction)PyvtkSplineFilter_GetSubdivide, 1,
   (char*)"V.GetSubdivide() -> int\nC++: int GetSubdivide ();\n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"SetSubdivideToSpecified",                (PyCFunction)PyvtkSplineFilter_SetSubdivideToSpecified, 1,
   (char*)"V.SetSubdivideToSpecified()\nC++: void SetSubdivideToSpecified ();this SetSubdivide VTK_SUBDIVIDE_SPECIFIED \n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"SetSubdivideToLength",                (PyCFunction)PyvtkSplineFilter_SetSubdivideToLength, 1,
   (char*)"V.SetSubdivideToLength()\nC++: void SetSubdivideToLength ();this SetSubdivide VTK_SUBDIVIDE_LENGTH \n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"GetSubdivideAsString",                (PyCFunction)PyvtkSplineFilter_GetSubdivideAsString, 1,
   (char*)"V.GetSubdivideAsString() -> string\nC++: const char *GetSubdivideAsString ();\n\n Specify how the number of subdivisions is determined.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkSplineFilter_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: void SetNumberOfSubdivisions (int );\n\n Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n"},
  {(char*)"GetNumberOfSubdivisionsMinValue",                (PyCFunction)PyvtkSplineFilter_GetNumberOfSubdivisionsMinValue, 1,
   (char*)"V.GetNumberOfSubdivisionsMinValue() -> int\nC++: int GetNumberOfSubdivisionsMinValue ();\n\n Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n"},
  {(char*)"GetNumberOfSubdivisionsMaxValue",                (PyCFunction)PyvtkSplineFilter_GetNumberOfSubdivisionsMaxValue, 1,
   (char*)"V.GetNumberOfSubdivisionsMaxValue() -> int\nC++: int GetNumberOfSubdivisionsMaxValue ();\n\n Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkSplineFilter_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: int GetNumberOfSubdivisions ();\n\n Set the number of subdivisions that are created for the\n polyline. This method only has effect if Subdivisions is set\n to SetSubdivisionsToSpecify().\n"},
  {(char*)"SetLength",                (PyCFunction)PyvtkSplineFilter_SetLength, 1,
   (char*)"V.SetLength(float)\nC++: void SetLength (double );\n\n Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n"},
  {(char*)"GetLengthMinValue",                (PyCFunction)PyvtkSplineFilter_GetLengthMinValue, 1,
   (char*)"V.GetLengthMinValue() -> float\nC++: double GetLengthMinValue ();\n\n Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n"},
  {(char*)"GetLengthMaxValue",                (PyCFunction)PyvtkSplineFilter_GetLengthMaxValue, 1,
   (char*)"V.GetLengthMaxValue() -> float\nC++: double GetLengthMaxValue ();\n\n Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkSplineFilter_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: double GetLength ();\n\n Control the number of subdivisions that are created for the\n polyline based on an absolute length. The length of the spline\n is divided by this length to determine the number of subdivisions.\n"},
  {(char*)"SetSpline",                (PyCFunction)PyvtkSplineFilter_SetSpline, 1,
   (char*)"V.SetSpline(vtkSpline)\nC++: virtual void SetSpline (vtkSpline *);\n\n Specify an instance of vtkSpline to use to perform the interpolation.\n"},
  {(char*)"GetSpline",                (PyCFunction)PyvtkSplineFilter_GetSpline, 1,
   (char*)"V.GetSpline() -> vtkSpline\nC++: vtkSpline *GetSpline ();\n\n Specify an instance of vtkSpline to use to perform the interpolation.\n"},
  {(char*)"SetGenerateTCoords",                (PyCFunction)PyvtkSplineFilter_SetGenerateTCoords, 1,
   (char*)"V.SetGenerateTCoords(int)\nC++: void SetGenerateTCoords (int );\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"GetGenerateTCoordsMinValue",                (PyCFunction)PyvtkSplineFilter_GetGenerateTCoordsMinValue, 1,
   (char*)"V.GetGenerateTCoordsMinValue() -> int\nC++: int GetGenerateTCoordsMinValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"GetGenerateTCoordsMaxValue",                (PyCFunction)PyvtkSplineFilter_GetGenerateTCoordsMaxValue, 1,
   (char*)"V.GetGenerateTCoordsMaxValue() -> int\nC++: int GetGenerateTCoordsMaxValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"GetGenerateTCoords",                (PyCFunction)PyvtkSplineFilter_GetGenerateTCoords, 1,
   (char*)"V.GetGenerateTCoords() -> int\nC++: int GetGenerateTCoords ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"SetGenerateTCoordsToOff",                (PyCFunction)PyvtkSplineFilter_SetGenerateTCoordsToOff, 1,
   (char*)"V.SetGenerateTCoordsToOff()\nC++: void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"SetGenerateTCoordsToNormalizedLength",                (PyCFunction)PyvtkSplineFilter_SetGenerateTCoordsToNormalizedLength, 1,
   (char*)"V.SetGenerateTCoordsToNormalizedLength()\nC++: void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"SetGenerateTCoordsToUseLength",                (PyCFunction)PyvtkSplineFilter_SetGenerateTCoordsToUseLength, 1,
   (char*)"V.SetGenerateTCoordsToUseLength()\nC++: void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"SetGenerateTCoordsToUseScalars",                (PyCFunction)PyvtkSplineFilter_SetGenerateTCoordsToUseScalars, 1,
   (char*)"V.SetGenerateTCoordsToUseScalars()\nC++: void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"GetGenerateTCoordsAsString",                (PyCFunction)PyvtkSplineFilter_GetGenerateTCoordsAsString, 1,
   (char*)"V.GetGenerateTCoordsAsString() -> string\nC++: const char *GetGenerateTCoordsAsString ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the output polyline. The texture coordinates\n can be generated in three ways: a normalized (0,1) generation;\n based on the length (divided by the texture length); and by using\n the input scalar values.\n"},
  {(char*)"SetTextureLength",                (PyCFunction)PyvtkSplineFilter_SetTextureLength, 1,
   (char*)"V.SetTextureLength(float)\nC++: void SetTextureLength (double );\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMinValue",                (PyCFunction)PyvtkSplineFilter_GetTextureLengthMinValue, 1,
   (char*)"V.GetTextureLengthMinValue() -> float\nC++: double GetTextureLengthMinValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMaxValue",                (PyCFunction)PyvtkSplineFilter_GetTextureLengthMaxValue, 1,
   (char*)"V.GetTextureLengthMaxValue() -> float\nC++: double GetTextureLengthMaxValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLength",                (PyCFunction)PyvtkSplineFilter_GetTextureLength, 1,
   (char*)"V.GetTextureLength() -> float\nC++: double GetTextureLength ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineFilterDoc[] = {
  (char*)"vtkSplineFilter - generate uniformly subdivided polylines from a set of input polyline using a vtkSpline\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSplineFilter is a filter that generates an output polylines from an\n input set of polylines. The polylines are uniformly subdivided and produced\n with the help of a vtkSpline class that the user can specify (by default a\n vtkCardinalSpline is used). The number of subdivisions of the line can be\n controlled in several ways. The user can either specify the number of\n subdivisions or a length of ",
  (char*)"each subdivision can be provided (and the\n class will figure out how many subdivisions is required over the whole\n polyline). The maximum number of subdivisions can also be set.\n\n The output of this filter is a polyline per input polyline (or line). New\n points and texture coordinates are created. Point data is interpolated and\n cell data passed on. Any polylines with less than two points, or who ",
  (char*)"have\n coincident points, are ignored.\n\n",
  "See Also:\n\n vtkRibbonFilter vtkTubeFilter\n\n",
  NULL
};

static vtkObjectBase *vtkSplineFilterStaticNew()
{
  return vtkSplineFilter::New();
}

PyObject *PyVTKClass_vtkSplineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplineFilterStaticNew,
                        PyvtkSplineFilterMethods,
                        (char*)"vtkSplineFilter",modulename,
                        (char**)vtkSplineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

