// python wrapper for vtkStreamLine object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamLine.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamLineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamLineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamerNew(char *); }

static PyObject *PyvtkStreamLine_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  const char    *temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  vtkStreamLine  *temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamLine  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamLine::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamLine_SetStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  double   temp0;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamLine::SetStepLength(temp0);
      }
    else
      {
      op->SetStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_GetStepLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  double   temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::GetStepLengthMinValue();
      }
    else
      {
      temp20 = op->GetStepLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_GetStepLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  double   temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::GetStepLengthMaxValue();
      }
    else
      {
      temp20 = op->GetStepLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamLine_GetStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamLine *op;

  double   temp20;
  op = (vtkStreamLine *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamLine::GetStepLength();
      }
    else
      {
      temp20 = op->GetStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamLineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamLine_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamLine_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamLine_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamLine\nC++: vtkStreamLine *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamLine_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamLine\nC++: vtkStreamLine *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStepLength",                (PyCFunction)PyvtkStreamLine_SetStepLength, 1,
   (char*)"V.SetStepLength(float)\nC++: void SetStepLength (double );\n\n Specify the length of a line segment. The length is expressed in terms of\n elapsed time. Smaller values result in smoother appearing streamlines, but\n greater numbers of line primitives.\n"},
  {(char*)"GetStepLengthMinValue",                (PyCFunction)PyvtkStreamLine_GetStepLengthMinValue, 1,
   (char*)"V.GetStepLengthMinValue() -> float\nC++: double GetStepLengthMinValue ();\n\n Specify the length of a line segment. The length is expressed in terms of\n elapsed time. Smaller values result in smoother appearing streamlines, but\n greater numbers of line primitives.\n"},
  {(char*)"GetStepLengthMaxValue",                (PyCFunction)PyvtkStreamLine_GetStepLengthMaxValue, 1,
   (char*)"V.GetStepLengthMaxValue() -> float\nC++: double GetStepLengthMaxValue ();\n\n Specify the length of a line segment. The length is expressed in terms of\n elapsed time. Smaller values result in smoother appearing streamlines, but\n greater numbers of line primitives.\n"},
  {(char*)"GetStepLength",                (PyCFunction)PyvtkStreamLine_GetStepLength, 1,
   (char*)"V.GetStepLength() -> float\nC++: double GetStepLength ();\n\n Specify the length of a line segment. The length is expressed in terms of\n elapsed time. Smaller values result in smoother appearing streamlines, but\n greater numbers of line primitives.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamLineDoc[] = {
  (char*)"vtkStreamLine - generate streamline in arbitrary dataset\n\n",
  "Super Class:\n\n vtkStreamer\n\n",
  (char*)" vtkStreamLine is a filter that generates a streamline for an arbitrary \n dataset. A streamline is a line that is everywhere tangent to the vector\n field. Scalar values also are calculated along the streamline and can be \n used to color the line. Streamlines are calculated by integrating from\n a starting point through the vector field. Integration can be performed\n forward in time (see where the l",
  (char*)"ine goes), backward in time (see where the\n line came from), or in both directions. It also is possible to compute\n vorticity along the streamline. Vorticity is the projection (i.e., dot\n product) of the flow rotation on the velocity vector, i.e., the rotation\n of flow around the streamline.\n\n vtkStreamLine defines the instance variable StepLength. This parameter \n controls the time increment used",
  (char*)" to generate individual points along\n the streamline(s). Smaller values result in more line \n primitives but smoother streamlines. The StepLength instance variable is \n defined in terms of time (i.e., the distance that the particle travels in\n the specified time period). Thus, the line segments will be smaller in areas\n of low velocity and larger in regions of high velocity. (NOTE: This is\n differ",
  (char*)"ent than the IntegrationStepLength defined by the superclass\n vtkStreamer. IntegrationStepLength is used to control integration step \n size and is expressed as a fraction of the cell length.) The StepLength\n instance variable is important because subclasses of vtkStreamLine (e.g.,\n vtkDashedStreamLine) depend on this value to build their representation.\n\n",
  "See Also:\n\n vtkStreamer vtkDashedStreamLine vtkStreamPoints\n\n",
  NULL
};

static vtkObjectBase *vtkStreamLineStaticNew()
{
  return vtkStreamLine::New();
}

PyObject *PyVTKClass_vtkStreamLineNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamLineStaticNew,
                        PyvtkStreamLineMethods,
                        (char*)"vtkStreamLine",modulename,
                        (char**)vtkStreamLineDoc,
                        PyVTKClass_vtkStreamerNew(modulename));
}

