// python wrapper for vtkStreamPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamerNew(char *); }

static PyObject *PyvtkStreamPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  const char    *temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  vtkStreamPoints  *temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamPoints_SetTimeIncrement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  double   temp0;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamPoints::SetTimeIncrement(temp0);
      }
    else
      {
      op->SetTimeIncrement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_GetTimeIncrementMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  double   temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::GetTimeIncrementMinValue();
      }
    else
      {
      temp20 = op->GetTimeIncrementMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_GetTimeIncrementMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  double   temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::GetTimeIncrementMaxValue();
      }
    else
      {
      temp20 = op->GetTimeIncrementMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamPoints_GetTimeIncrement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamPoints *op;

  double   temp20;
  op = (vtkStreamPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamPoints::GetTimeIncrement();
      }
    else
      {
      temp20 = op->GetTimeIncrement();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamPoints\nC++: vtkStreamPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamPoints\nC++: vtkStreamPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTimeIncrement",                (PyCFunction)PyvtkStreamPoints_SetTimeIncrement, 1,
   (char*)"V.SetTimeIncrement(float)\nC++: void SetTimeIncrement (double );\n\n Specify the separation of points in terms of absolute time.\n"},
  {(char*)"GetTimeIncrementMinValue",                (PyCFunction)PyvtkStreamPoints_GetTimeIncrementMinValue, 1,
   (char*)"V.GetTimeIncrementMinValue() -> float\nC++: double GetTimeIncrementMinValue ();\n\n Specify the separation of points in terms of absolute time.\n"},
  {(char*)"GetTimeIncrementMaxValue",                (PyCFunction)PyvtkStreamPoints_GetTimeIncrementMaxValue, 1,
   (char*)"V.GetTimeIncrementMaxValue() -> float\nC++: double GetTimeIncrementMaxValue ();\n\n Specify the separation of points in terms of absolute time.\n"},
  {(char*)"GetTimeIncrement",                (PyCFunction)PyvtkStreamPoints_GetTimeIncrement, 1,
   (char*)"V.GetTimeIncrement() -> float\nC++: double GetTimeIncrement ();\n\n Specify the separation of points in terms of absolute time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamPointsDoc[] = {
  (char*)"vtkStreamPoints - generate points along streamer separated by constant time increment\n\n",
  "Super Class:\n\n vtkStreamer\n\n",
  (char*)" vtkStreamPoints is a filter that generates points along a streamer.\n The points are separated by a constant time increment. The resulting visual\n effect (especially when coupled with vtkGlyph3D) is an indication of \n particle speed.\n\n",
  "See Also:\n\n vtkStreamer vtkStreamLine vtkDashedStreamLine\n\n",
  NULL
};

static vtkObjectBase *vtkStreamPointsStaticNew()
{
  return vtkStreamPoints::New();
}

PyObject *PyVTKClass_vtkStreamPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamPointsStaticNew,
                        PyvtkStreamPointsMethods,
                        (char*)"vtkStreamPoints",modulename,
                        (char**)vtkStreamPointsDoc,
                        PyVTKClass_vtkStreamerNew(modulename));
}

