// python wrapper for vtkStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStreamer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  const char    *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkStreamer  *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetStartLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetStartLocation(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartLocation(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  PyErr_Clear();
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"iiddd", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetStartLocation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double temp0[3];
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetStartPosition(temp0);
      }
    else
      {
      op->SetStartPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetStartPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double  *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetStartPosition();
      }
    else
      {
      temp20 = op->GetStartPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkStreamer_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkDataSet  *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetMaximumPropagationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetMaximumPropagationTime(temp0);
      }
    else
      {
      op->SetMaximumPropagationTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetMaximumPropagationTimeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetMaximumPropagationTimeMinValue();
      }
    else
      {
      temp20 = op->GetMaximumPropagationTimeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetMaximumPropagationTimeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetMaximumPropagationTimeMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumPropagationTimeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetMaximumPropagationTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetMaximumPropagationTime();
      }
    else
      {
      temp20 = op->GetMaximumPropagationTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrationDirection(temp0);
      }
    else
      {
      op->SetIntegrationDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationDirectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationDirectionMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationDirectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationDirectionMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationDirection();
      }
    else
      {
      temp20 = op->GetIntegrationDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrationDirectionToForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrationDirectionToForward();
      }
    else
      {
      op->SetIntegrationDirectionToForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrationDirectionToBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrationDirectionToBackward();
      }
    else
      {
      op->SetIntegrationDirectionToBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrationDirectionToIntegrateBothDirections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrationDirectionToIntegrateBothDirections();
      }
    else
      {
      op->SetIntegrationDirectionToIntegrateBothDirections();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationDirectionAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  const char    *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationDirectionAsString();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrationStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrationStepLength(temp0);
      }
    else
      {
      op->SetIntegrationStepLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationStepLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationStepLengthMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationStepLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationStepLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationStepLengthMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationStepLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrationStepLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrationStepLength();
      }
    else
      {
      temp20 = op->GetIntegrationStepLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetSpeedScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetSpeedScalars(temp0);
      }
    else
      {
      op->SetSpeedScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetSpeedScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetSpeedScalars();
      }
    else
      {
      temp20 = op->GetSpeedScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SpeedScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SpeedScalarsOn();
      }
    else
      {
      op->SpeedScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SpeedScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SpeedScalarsOff();
      }
    else
      {
      op->SpeedScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetOrientationScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetOrientationScalars(temp0);
      }
    else
      {
      op->SetOrientationScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetOrientationScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetOrientationScalars();
      }
    else
      {
      temp20 = op->GetOrientationScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_OrientationScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::OrientationScalarsOn();
      }
    else
      {
      op->OrientationScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_OrientationScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::OrientationScalarsOff();
      }
    else
      {
      op->OrientationScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetTerminalSpeed(temp0);
      }
    else
      {
      op->SetTerminalSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetTerminalSpeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetTerminalSpeedMinValue();
      }
    else
      {
      temp20 = op->GetTerminalSpeedMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetTerminalSpeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetTerminalSpeedMaxValue();
      }
    else
      {
      temp20 = op->GetTerminalSpeedMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetTerminalSpeed();
      }
    else
      {
      temp20 = op->GetTerminalSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetVorticity(temp0);
      }
    else
      {
      op->SetVorticity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetVorticity();
      }
    else
      {
      temp20 = op->GetVorticity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_VorticityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::VorticityOn();
      }
    else
      {
      op->VorticityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_VorticityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::VorticityOff();
      }
    else
      {
      op->VorticityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  int      temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetSavePointInterval(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetSavePointInterval(temp0);
      }
    else
      {
      op->SetSavePointInterval(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_GetSavePointInterval(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  double   temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetSavePointInterval();
      }
    else
      {
      temp20 = op->GetSavePointInterval();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamer_SetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkInitialValueProblemSolver  *temp0;
  PyObject *tempH0;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInitialValueProblemSolver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInitialValueProblemSolver");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamer::SetIntegrator(temp0);
      }
    else
      {
      op->SetIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkStreamer_GetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamer *op;

  vtkInitialValueProblemSolver  *temp20;
  op = (vtkStreamer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamer::GetIntegrator();
      }
    else
      {
      temp20 = op->GetIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamer\nC++: vtkStreamer *NewInstance ();\n\n"},
  {(char*)"SetStartLocation",                (PyCFunction)PyvtkStreamer_SetStartLocation, 1,
   (char*)"V.SetStartLocation(int, int, (float, float, float))\nC++: void SetStartLocation (vtkIdType cellId, int subId, double pcoords[3]);\nV.SetStartLocation(int, int, float, float, float)\nC++: void SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t);\n\n Specify the start of the streamline in the cell coordinate system. That\n is, cellId and subId (if composite cell), and parametric coordinates.\n"},
  {(char*)"SetStartPosition",                (PyCFunction)PyvtkStreamer_SetStartPosition, 1,
   (char*)"V.SetStartPosition((float, float, float))\nC++: void SetStartPosition (double x[3]);\nV.SetStartPosition(float, float, float)\nC++: void SetStartPosition (double x, double y, double z);\n\n Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n"},
  {(char*)"GetStartPosition",                (PyCFunction)PyvtkStreamer_GetStartPosition, 1,
   (char*)"V.GetStartPosition() -> (float, float, float)\nC++: double *GetStartPosition ();\n\n Get the start position in global x-y-z coordinates.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkStreamer_SetSource, 1,
   (char*)"V.SetSource(vtkDataSet)\nC++: void SetSource (vtkDataSet *source);\n\n Specify the source object used to generate starting points.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkStreamer_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataSet\nC++: vtkDataSet *GetSource ();\n\n Specify the source object used to generate starting points.\n"},
  {(char*)"SetMaximumPropagationTime",                (PyCFunction)PyvtkStreamer_SetMaximumPropagationTime, 1,
   (char*)"V.SetMaximumPropagationTime(float)\nC++: void SetMaximumPropagationTime (double );\n\n Specify the maximum length of the Streamer expressed in elapsed time.\n"},
  {(char*)"GetMaximumPropagationTimeMinValue",                (PyCFunction)PyvtkStreamer_GetMaximumPropagationTimeMinValue, 1,
   (char*)"V.GetMaximumPropagationTimeMinValue() -> float\nC++: double GetMaximumPropagationTimeMinValue ();\n\n Specify the maximum length of the Streamer expressed in elapsed time.\n"},
  {(char*)"GetMaximumPropagationTimeMaxValue",                (PyCFunction)PyvtkStreamer_GetMaximumPropagationTimeMaxValue, 1,
   (char*)"V.GetMaximumPropagationTimeMaxValue() -> float\nC++: double GetMaximumPropagationTimeMaxValue ();\n\n Specify the maximum length of the Streamer expressed in elapsed time.\n"},
  {(char*)"GetMaximumPropagationTime",                (PyCFunction)PyvtkStreamer_GetMaximumPropagationTime, 1,
   (char*)"V.GetMaximumPropagationTime() -> float\nC++: double GetMaximumPropagationTime ();\n\n Specify the maximum length of the Streamer expressed in elapsed time.\n"},
  {(char*)"SetIntegrationDirection",                (PyCFunction)PyvtkStreamer_SetIntegrationDirection, 1,
   (char*)"V.SetIntegrationDirection(int)\nC++: void SetIntegrationDirection (int );\n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"GetIntegrationDirectionMinValue",                (PyCFunction)PyvtkStreamer_GetIntegrationDirectionMinValue, 1,
   (char*)"V.GetIntegrationDirectionMinValue() -> int\nC++: int GetIntegrationDirectionMinValue ();\n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"GetIntegrationDirectionMaxValue",                (PyCFunction)PyvtkStreamer_GetIntegrationDirectionMaxValue, 1,
   (char*)"V.GetIntegrationDirectionMaxValue() -> int\nC++: int GetIntegrationDirectionMaxValue ();\n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"GetIntegrationDirection",                (PyCFunction)PyvtkStreamer_GetIntegrationDirection, 1,
   (char*)"V.GetIntegrationDirection() -> int\nC++: int GetIntegrationDirection ();\n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"SetIntegrationDirectionToForward",                (PyCFunction)PyvtkStreamer_SetIntegrationDirectionToForward, 1,
   (char*)"V.SetIntegrationDirectionToForward()\nC++: void SetIntegrationDirectionToForward ();this SetIntegrationDirection VTK_INTEGRATE_FORWARD \n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"SetIntegrationDirectionToBackward",                (PyCFunction)PyvtkStreamer_SetIntegrationDirectionToBackward, 1,
   (char*)"V.SetIntegrationDirectionToBackward()\nC++: void SetIntegrationDirectionToBackward ();this SetIntegrationDirection VTK_INTEGRATE_BACKWARD \n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"SetIntegrationDirectionToIntegrateBothDirections",                (PyCFunction)PyvtkStreamer_SetIntegrationDirectionToIntegrateBothDirections, 1,
   (char*)"V.SetIntegrationDirectionToIntegrateBothDirections()\nC++: void SetIntegrationDirectionToIntegrateBothDirections ();this SetIntegrationDirection VTK_INTEGRATE_BOTH_DIRECTIONS \n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"GetIntegrationDirectionAsString",                (PyCFunction)PyvtkStreamer_GetIntegrationDirectionAsString, 1,
   (char*)"V.GetIntegrationDirectionAsString() -> string\nC++: const char *GetIntegrationDirectionAsString ();\n\n Specify the direction in which to integrate the Streamer.\n"},
  {(char*)"SetIntegrationStepLength",                (PyCFunction)PyvtkStreamer_SetIntegrationStepLength, 1,
   (char*)"V.SetIntegrationStepLength(float)\nC++: void SetIntegrationStepLength (double );\n\n Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n"},
  {(char*)"GetIntegrationStepLengthMinValue",                (PyCFunction)PyvtkStreamer_GetIntegrationStepLengthMinValue, 1,
   (char*)"V.GetIntegrationStepLengthMinValue() -> float\nC++: double GetIntegrationStepLengthMinValue ();\n\n Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n"},
  {(char*)"GetIntegrationStepLengthMaxValue",                (PyCFunction)PyvtkStreamer_GetIntegrationStepLengthMaxValue, 1,
   (char*)"V.GetIntegrationStepLengthMaxValue() -> float\nC++: double GetIntegrationStepLengthMaxValue ();\n\n Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n"},
  {(char*)"GetIntegrationStepLength",                (PyCFunction)PyvtkStreamer_GetIntegrationStepLength, 1,
   (char*)"V.GetIntegrationStepLength() -> float\nC++: double GetIntegrationStepLength ();\n\n Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n"},
  {(char*)"SetSpeedScalars",                (PyCFunction)PyvtkStreamer_SetSpeedScalars, 1,
   (char*)"V.SetSpeedScalars(int)\nC++: void SetSpeedScalars (int );\n\n Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n"},
  {(char*)"GetSpeedScalars",                (PyCFunction)PyvtkStreamer_GetSpeedScalars, 1,
   (char*)"V.GetSpeedScalars() -> int\nC++: int GetSpeedScalars ();\n\n Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n"},
  {(char*)"SpeedScalarsOn",                (PyCFunction)PyvtkStreamer_SpeedScalarsOn, 1,
   (char*)"V.SpeedScalarsOn()\nC++: void SpeedScalarsOn ();\n\n Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n"},
  {(char*)"SpeedScalarsOff",                (PyCFunction)PyvtkStreamer_SpeedScalarsOff, 1,
   (char*)"V.SpeedScalarsOff()\nC++: void SpeedScalarsOff ();\n\n Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n"},
  {(char*)"SetOrientationScalars",                (PyCFunction)PyvtkStreamer_SetOrientationScalars, 1,
   (char*)"V.SetOrientationScalars(int)\nC++: void SetOrientationScalars (int );\n\n Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n"},
  {(char*)"GetOrientationScalars",                (PyCFunction)PyvtkStreamer_GetOrientationScalars, 1,
   (char*)"V.GetOrientationScalars() -> int\nC++: int GetOrientationScalars ();\n\n Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n"},
  {(char*)"OrientationScalarsOn",                (PyCFunction)PyvtkStreamer_OrientationScalarsOn, 1,
   (char*)"V.OrientationScalarsOn()\nC++: void OrientationScalarsOn ();\n\n Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n"},
  {(char*)"OrientationScalarsOff",                (PyCFunction)PyvtkStreamer_OrientationScalarsOff, 1,
   (char*)"V.OrientationScalarsOff()\nC++: void OrientationScalarsOff ();\n\n Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n"},
  {(char*)"SetTerminalSpeed",                (PyCFunction)PyvtkStreamer_SetTerminalSpeed, 1,
   (char*)"V.SetTerminalSpeed(float)\nC++: void SetTerminalSpeed (double );\n\n Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n"},
  {(char*)"GetTerminalSpeedMinValue",                (PyCFunction)PyvtkStreamer_GetTerminalSpeedMinValue, 1,
   (char*)"V.GetTerminalSpeedMinValue() -> float\nC++: double GetTerminalSpeedMinValue ();\n\n Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n"},
  {(char*)"GetTerminalSpeedMaxValue",                (PyCFunction)PyvtkStreamer_GetTerminalSpeedMaxValue, 1,
   (char*)"V.GetTerminalSpeedMaxValue() -> float\nC++: double GetTerminalSpeedMaxValue ();\n\n Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n"},
  {(char*)"GetTerminalSpeed",                (PyCFunction)PyvtkStreamer_GetTerminalSpeed, 1,
   (char*)"V.GetTerminalSpeed() -> float\nC++: double GetTerminalSpeed ();\n\n Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n"},
  {(char*)"SetVorticity",                (PyCFunction)PyvtkStreamer_SetVorticity, 1,
   (char*)"V.SetVorticity(int)\nC++: void SetVorticity (int );\n\n Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n"},
  {(char*)"GetVorticity",                (PyCFunction)PyvtkStreamer_GetVorticity, 1,
   (char*)"V.GetVorticity() -> int\nC++: int GetVorticity ();\n\n Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n"},
  {(char*)"VorticityOn",                (PyCFunction)PyvtkStreamer_VorticityOn, 1,
   (char*)"V.VorticityOn()\nC++: void VorticityOn ();\n\n Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n"},
  {(char*)"VorticityOff",                (PyCFunction)PyvtkStreamer_VorticityOff, 1,
   (char*)"V.VorticityOff()\nC++: void VorticityOff ();\n\n Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkStreamer_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkStreamer_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n"},
  {(char*)"SetSavePointInterval",                (PyCFunction)PyvtkStreamer_SetSavePointInterval, 1,
   (char*)"V.SetSavePointInterval(float)\nC++: void SetSavePointInterval (double );\n\n"},
  {(char*)"GetSavePointInterval",                (PyCFunction)PyvtkStreamer_GetSavePointInterval, 1,
   (char*)"V.GetSavePointInterval() -> float\nC++: double GetSavePointInterval ();\n\n"},
  {(char*)"SetIntegrator",                (PyCFunction)PyvtkStreamer_SetIntegrator, 1,
   (char*)"V.SetIntegrator(vtkInitialValueProblemSolver)\nC++: void SetIntegrator (vtkInitialValueProblemSolver *);\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance by each thread/process in the\n process of integration (prototype pattern). The default is \n 2nd order Runge Kutta.\n"},
  {(char*)"GetIntegrator",                (PyCFunction)PyvtkStreamer_GetIntegrator, 1,
   (char*)"V.GetIntegrator() -> vtkInitialValueProblemSolver\nC++: vtkInitialValueProblemSolver *GetIntegrator ();\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance by each thread/process in the\n process of integration (prototype pattern). The default is \n 2nd order Runge Kutta.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamerDoc[] = {
  (char*)"vtkStreamer - abstract object implements integration of massless particle through vector field\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkStreamer is a filter that integrates a massless particle through a vector\n field. The integration is performed using second order Runge-Kutta method. \n vtkStreamer often serves as a base class for other classes that perform \n numerical integration through a vector field (e.g., vtkStreamLine).\n\n Note that vtkStreamer can integrate both forward and backward in time,\n or in both directions. The l",
  (char*)"ength of the streamer is controlled by \n specifying an elapsed time. (The elapsed time is the time each particle \n travels.) Otherwise, the integration terminates after exiting the dataset or\n if the particle speed is reduced to a value less than the terminal speed.\n\n vtkStreamer integrates through any type of dataset. As a result, if the \n dataset contains 2D cells such as polygons or triangles, ",
  (char*)"the integration is\n constrained to lie on the surface defined by the 2D cells.\n\n The starting point of streamers may be defined in three different ways.\n Starting from global x-y-z \"position\" allows you to start a single streamer\n at a specified x-y-z coordinate. Starting from \"location\" allows you to \n start at a specified cell, subId, and parametric coordinate. Finally, you \n may specify a sourc",
  (char*)"e object to start multiple streamers. If you start \n streamers using a source object, for each point in the source that is \n inside the dataset a streamer is created.\n\n vtkStreamer implements the integration process in the Integrate() method.\n Because vtkStreamer does not implement the Execute() method that its \n superclass (i.e., Filter) requires, it is an abstract class. Its subclasses\n implemen",
  (char*)"t the execute method and use the Integrate() method, and then build\n their own representation of the integration path (i.e., lines, dashed \n lines, points, etc.).\n\n",
  "See Also:\n\n vtkStreamLine vtkDashedStreamLine vtkStreamPoints\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStreamerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStreamerMethods,
                        (char*)"vtkStreamer",modulename,
                        (char**)vtkStreamerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

