// tcl wrapper for vtkStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamerCppCommand(vtkStreamer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamerCppCommand(static_cast<vtkStreamer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamerCppCommand(vtkStreamer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamer");
    return TCL_OK;
    }
  if ((!strcmp("SetStartLocation",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    int      temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumPropagationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumPropagationTimeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationTimeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagationTimeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationTimeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagationTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationDirectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToForward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBackward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToIntegrateBothDirections",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToIntegrateBothDirections();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIntegrationDirectionAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationStepLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetIntegrationStepLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationStepLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationStepLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationStepLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationStepLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpeedScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSpeedScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpeedScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSpeedScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SpeedScalarsOn",argv[1]))&&(argc == 2))
    {
    op->SpeedScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SpeedScalarsOff",argv[1]))&&(argc == 2))
    {
    op->SpeedScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientationScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OrientationScalarsOn",argv[1]))&&(argc == 2))
    {
    op->OrientationScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OrientationScalarsOff",argv[1]))&&(argc == 2))
    {
    op->OrientationScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminalSpeed",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminalSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminalSpeedMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeedMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTerminalSpeedMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeedMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTerminalSpeed",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeed();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVorticity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVorticity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VorticityOn",argv[1]))&&(argc == 2))
    {
    op->VorticityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VorticityOff",argv[1]))&&(argc == 2))
    {
    op->VorticityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSavePointInterval",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSavePointInterval(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSavePointInterval",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSavePointInterval();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInitialValueProblemSolver"),interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInitialValueProblemSolver");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStreamerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetStartLocation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationTimeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationTimeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationTime\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToForward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToIntegrateBothDirections\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationStepLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationStepLength\n",NULL);
    Tcl_AppendResult(interp,"  SetSpeedScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpeedScalars\n",NULL);
    Tcl_AppendResult(interp,"  SpeedScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  SpeedScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationScalars\n",NULL);
    Tcl_AppendResult(interp,"  OrientationScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  OrientationScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminalSpeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeedMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeedMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeed\n",NULL);
    Tcl_AppendResult(interp,"  SetVorticity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVorticity\n",NULL);
    Tcl_AppendResult(interp,"  VorticityOn\n",NULL);
    Tcl_AppendResult(interp,"  VorticityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetSavePointInterval\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSavePointInterval\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetStartLocation" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationTime" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTimeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTimeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTime" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToIntegrateBothDirections" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionAsString" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepLength" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLength" );
    Tcl_DStringAppendElement ( &dString, "SetSpeedScalars" );
    Tcl_DStringAppendElement ( &dString, "GetSpeedScalars" );
    Tcl_DStringAppendElement ( &dString, "SpeedScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "SpeedScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationScalars" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationScalars" );
    Tcl_DStringAppendElement ( &dString, "OrientationScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "OrientationScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeedMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeedMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    Tcl_DStringAppendElement ( &dString, "SetVorticity" );
    Tcl_DStringAppendElement ( &dString, "GetVorticity" );
    Tcl_DStringAppendElement ( &dString, "VorticityOn" );
    Tcl_DStringAppendElement ( &dString, "VorticityOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "SetSavePointInterval" );
    Tcl_DStringAppendElement ( &dString, "GetSavePointInterval" );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartLocation */
    if ( strcmp ( argv[2], "SetStartLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartLocation */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the streamline in the cell coordinate system. That\n is, cellId and subId (if composite cell), and parametric coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetStartLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartPosition */
    if ( strcmp ( argv[2], "SetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartPosition (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartPosition */
    if ( strcmp ( argv[2], "GetStartPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartPosition */
    Tcl_DStringAppendElement ( &dString, " Get the start position in global x-y-z coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetStartPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetStartPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource (vtkDataSet *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source object used to generate starting points.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetSource ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumPropagationTime */
    if ( strcmp ( argv[2], "SetMaximumPropagationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumPropagationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumPropagationTime */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the Streamer expressed in elapsed time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumPropagationTime (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetMaximumPropagationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationTimeMinValue */
    if ( strcmp ( argv[2], "GetMaximumPropagationTimeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTimeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationTimeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the Streamer expressed in elapsed time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationTimeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetMaximumPropagationTimeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationTimeMaxValue */
    if ( strcmp ( argv[2], "GetMaximumPropagationTimeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTimeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationTimeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the Streamer expressed in elapsed time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationTimeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetMaximumPropagationTimeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumPropagationTime */
    if ( strcmp ( argv[2], "GetMaximumPropagationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumPropagationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumPropagationTime */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum length of the Streamer expressed in elapsed time.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumPropagationTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetMaximumPropagationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirection */
    if ( strcmp ( argv[2], "SetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirection (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMinValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationDirectionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationDirectionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirectionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationDirectionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirection */
    if ( strcmp ( argv[2], "GetIntegrationDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntegrationDirection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToForward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToForward */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToForward ();this SetIntegrationDirection VTK_INTEGRATE_FORWARD " );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrationDirectionToForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToBackward */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToBackward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToBackward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToBackward */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToBackward ();this SetIntegrationDirection VTK_INTEGRATE_BACKWARD " );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrationDirectionToBackward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationDirectionToIntegrateBothDirections */
    if ( strcmp ( argv[2], "SetIntegrationDirectionToIntegrateBothDirections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationDirectionToIntegrateBothDirections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationDirectionToIntegrateBothDirections */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationDirectionToIntegrateBothDirections ();this SetIntegrationDirection VTK_INTEGRATE_BOTH_DIRECTIONS " );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrationDirectionToIntegrateBothDirections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationDirectionAsString */
    if ( strcmp ( argv[2], "GetIntegrationDirectionAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationDirectionAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationDirectionAsString */
    Tcl_DStringAppendElement ( &dString, " Specify the direction in which to integrate the Streamer.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetIntegrationDirectionAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationDirectionAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrationStepLength */
    if ( strcmp ( argv[2], "SetIntegrationStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrationStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrationStepLength */
    Tcl_DStringAppendElement ( &dString, " Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrationStepLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrationStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLengthMinValue */
    if ( strcmp ( argv[2], "GetIntegrationStepLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationStepLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLengthMaxValue */
    if ( strcmp ( argv[2], "GetIntegrationStepLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationStepLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrationStepLength */
    if ( strcmp ( argv[2], "GetIntegrationStepLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrationStepLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrationStepLength */
    Tcl_DStringAppendElement ( &dString, " Specify a nominal integration step size (expressed as a fraction of\n the size of each cell). This value can be larger than 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetIntegrationStepLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrationStepLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpeedScalars */
    if ( strcmp ( argv[2], "SetSpeedScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpeedScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpeedScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSpeedScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetSpeedScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpeedScalars */
    if ( strcmp ( argv[2], "GetSpeedScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpeedScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpeedScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSpeedScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetSpeedScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpeedScalarsOn */
    if ( strcmp ( argv[2], "SpeedScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpeedScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpeedScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SpeedScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SpeedScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpeedScalarsOff */
    if ( strcmp ( argv[2], "SpeedScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpeedScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpeedScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from velocity magnitude. If off,\n and input dataset has scalars, input dataset scalars are used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SpeedScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SpeedScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationScalars */
    if ( strcmp ( argv[2], "SetOrientationScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetOrientationScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationScalars */
    if ( strcmp ( argv[2], "GetOrientationScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetOrientationScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientationScalarsOn */
    if ( strcmp ( argv[2], "OrientationScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientationScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientationScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientationScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for OrientationScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OrientationScalarsOff */
    if ( strcmp ( argv[2], "OrientationScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OrientationScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OrientationScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the creation of scalar data from vorticity information. \n The scalar information is currently the orientation value \"theta\"\n used in rotating stream tubes. If off, and input dataset has scalars,\n then input dataset scalars are used, unless SpeedScalars is also on.\n SpeedScalars takes precedence over OrientationScalars.\n" );
    Tcl_DStringAppendElement ( &dString, "void OrientationScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for OrientationScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTerminalSpeed */
    if ( strcmp ( argv[2], "SetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTerminalSpeed (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalSpeedMinValue */
    if ( strcmp ( argv[2], "GetTerminalSpeedMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeedMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeedMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalSpeedMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetTerminalSpeedMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalSpeedMaxValue */
    if ( strcmp ( argv[2], "GetTerminalSpeedMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeedMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeedMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalSpeedMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetTerminalSpeedMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTerminalSpeed */
    if ( strcmp ( argv[2], "GetTerminalSpeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTerminalSpeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTerminalSpeed */
    Tcl_DStringAppendElement ( &dString, " Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal \n speed is speed at which streamer will terminate propagation.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTerminalSpeed ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetTerminalSpeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVorticity */
    if ( strcmp ( argv[2], "SetVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVorticity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVorticity (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVorticity */
    if ( strcmp ( argv[2], "GetVorticity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVorticity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVorticity */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVorticity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetVorticity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VorticityOn */
    if ( strcmp ( argv[2], "VorticityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VorticityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VorticityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void VorticityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for VorticityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VorticityOff */
    if ( strcmp ( argv[2], "VorticityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VorticityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VorticityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the computation of vorticity. Vorticity is an indication of\n the rotation of the flow. In combination with vtkStreamLine and \n vtkTubeFilter can be used to create rotated tubes. \n If vorticity is turned on, in the output, the velocity vectors \n are replaced by vorticity vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void VorticityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for VorticityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSavePointInterval */
    if ( strcmp ( argv[2], "SetSavePointInterval" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSavePointInterval" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSavePointInterval */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSavePointInterval (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetSavePointInterval */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSavePointInterval */
    if ( strcmp ( argv[2], "GetSavePointInterval" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSavePointInterval" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSavePointInterval */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetSavePointInterval ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetSavePointInterval */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntegrator */
    if ( strcmp ( argv[2], "SetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance by each thread/process in the\n process of integration (prototype pattern). The default is \n 2nd order Runge Kutta.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntegrator (vtkInitialValueProblemSolver *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for SetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntegrator */
    if ( strcmp ( argv[2], "GetIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance by each thread/process in the\n process of integration (prototype pattern). The default is \n 2nd order Runge Kutta.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInitialValueProblemSolver *GetIntegrator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamer" );
    /* Closing for GetIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
