// python wrapper for vtkStreamingTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStreamingTessellator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamingTessellatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamingTessellatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkStreamingTessellator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  const char    *temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  char    *temp0;
  int      temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  vtkStreamingTessellator  *temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamingTessellator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamingTessellator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SetPrivateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  void    *temp0;
  int      size0;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetPrivateData in vtkStreamingTessellator was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetPrivateData in vtkStreamingTessellator was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::SetPrivateData(temp0);
      }
    else
      {
      op->SetPrivateData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetPrivateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  void    *temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetPrivateData();
      }
    else
      {
      temp20 = op->GetPrivateData();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SetSubdivisionAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  vtkEdgeSubdivisionCriterion  *temp0;
  PyObject *tempH0;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeSubdivisionCriterion *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeSubdivisionCriterion");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::SetSubdivisionAlgorithm(temp0);
      }
    else
      {
      op->SetSubdivisionAlgorithm(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetSubdivisionAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  vtkEdgeSubdivisionCriterion  *temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetSubdivisionAlgorithm();
      }
    else
      {
      temp20 = op->GetSubdivisionAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SetEmbeddingDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  int      temp1;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::SetEmbeddingDimension(temp0,temp1);
      }
    else
      {
      op->SetEmbeddingDimension(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetEmbeddingDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  int      temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetEmbeddingDimension(temp0);
      }
    else
      {
      temp20 = op->GetEmbeddingDimension(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SetFieldSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  int      temp1;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::SetFieldSize(temp0,temp1);
      }
    else
      {
      op->SetFieldSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetFieldSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  int      temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetFieldSize(temp0);
      }
    else
      {
      temp20 = op->GetFieldSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_SetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::SetMaximumNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetMaximumNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_ResetCounts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamingTessellator::ResetCounts();
      }
    else
      {
      op->ResetCounts();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetCaseCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  vtkIdType   temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetCaseCount(temp0);
      }
    else
      {
      temp20 = op->GetCaseCount(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamingTessellator_GetSubcaseCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamingTessellator *op;

  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  op = (vtkStreamingTessellator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamingTessellator::GetSubcaseCount(temp0,temp1);
      }
    else
      {
      temp20 = op->GetSubcaseCount(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStreamingTessellatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamingTessellator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamingTessellator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamingTessellator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamingTessellator\nC++: vtkStreamingTessellator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamingTessellator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamingTessellator\nC++: vtkStreamingTessellator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPrivateData",                (PyCFunction)PyvtkStreamingTessellator_SetPrivateData, 1,
   (char*)"V.SetPrivateData(string)\nC++: virtual void SetPrivateData (void *Private);\n\n Get/Set a void pointer passed to the triangle and edge output functions.\n"},
  {(char*)"GetPrivateData",                (PyCFunction)PyvtkStreamingTessellator_GetPrivateData, 1,
   (char*)"V.GetPrivateData() -> string\nC++: virtual void *GetPrivateData () const;\n\n Get/Set a void pointer passed to the triangle and edge output functions.\n"},
  {(char*)"SetSubdivisionAlgorithm",                (PyCFunction)PyvtkStreamingTessellator_SetSubdivisionAlgorithm, 1,
   (char*)"V.SetSubdivisionAlgorithm(vtkEdgeSubdivisionCriterion)\nC++: virtual void SetSubdivisionAlgorithm (vtkEdgeSubdivisionCriterion *);\n\n Get/Set the algorithm used to determine whether an edge should be\n subdivided or left as-is. This is used once for each call to\n AdaptivelySample1Facet (which is recursive and will call itself\n resulting in additional edges to be checked) or three times for\n each call to AdaptivelySample2Facet (also recursive).\n"},
  {(char*)"GetSubdivisionAlgorithm",                (PyCFunction)PyvtkStreamingTessellator_GetSubdivisionAlgorithm, 1,
   (char*)"V.GetSubdivisionAlgorithm() -> vtkEdgeSubdivisionCriterion\nC++: virtual vtkEdgeSubdivisionCriterion *GetSubdivisionAlgorithm ();\n\n Get/Set the algorithm used to determine whether an edge should be\n subdivided or left as-is. This is used once for each call to\n AdaptivelySample1Facet (which is recursive and will call itself\n resulting in additional edges to be checked) or three times for\n each call to AdaptivelySample2Facet (also recursive).\n"},
  {(char*)"SetEmbeddingDimension",                (PyCFunction)PyvtkStreamingTessellator_SetEmbeddingDimension, 1,
   (char*)"V.SetEmbeddingDimension(int, int)\nC++: virtual void SetEmbeddingDimension (int k, int d);\n\n Get/Set the number of parameter-space coordinates associated with each input and output point.\n The default is \\a k for \\a k -facets. You may\n specify a different dimension, \\a d, for each type of \\a k -facet to be processed.\n For example, \\p SetEmbeddingDimension( \\p 2, \\p 3 ) would associate \\a r, \\a s, and\n \\a t coordinates with each input and output point generated by \\p AdaptivelySample2Facet\n but does not say anything about input or output points generated by\n \\p AdaptivelySample1Facet. \n Call \\p SetEmbeddingDimension( \\p -1, \\a d ) to specify the same dimension for\n all possible \\a k values.\n \\a d may not exceed 8, as that would be plain silly.\n"},
  {(char*)"GetEmbeddingDimension",                (PyCFunction)PyvtkStreamingTessellator_GetEmbeddingDimension, 1,
   (char*)"V.GetEmbeddingDimension(int) -> int\nC++: int GetEmbeddingDimension (int k) const;\n\n Get/Set the number of parameter-space coordinates associated with each input and output point.\n The default is \\a k for \\a k -facets. You may\n specify a different dimension, \\a d, for each type of \\a k -facet to be processed.\n For example, \\p SetEmbeddingDimension( \\p 2, \\p 3 ) would associate \\a r, \\a s, and\n \\a t coordinates with each input and output point generated by \\p AdaptivelySample2Facet\n but does not say anything about input or output points generated by\n \\p AdaptivelySample1Facet. \n Call \\p SetEmbeddingDimension( \\p -1, \\a d ) to specify the same dimension for\n all possible \\a k values.\n \\a d may not exceed 8, as that would be plain silly.\n"},
  {(char*)"SetFieldSize",                (PyCFunction)PyvtkStreamingTessellator_SetFieldSize, 1,
   (char*)"V.SetFieldSize(int, int)\nC++: virtual void SetFieldSize (int k, int s);\n\n Get/Set the number of field value coordinates associated with each input and output point.\n The default is 0; no field values are interpolated.\n You may specify a different size, \\a s, for each type of \\a k -facet to be processed.\n For example, \\p SetFieldSize( \\p 2, \\p 3 ) would associate 3 field value coordinates\n with each input and output point of an \\p AdaptivelySample2Facet call,\n but does not say anything about input or output points of \\p AdaptivelySample1Facet. \n Call \\p SetFieldSize( \\p -1, \\a s ) to specify the same dimension for all possible \\a k values.\n \\a s may not exceed vtkStreamingTessellator::MaxFieldSize.\n This is a compile-time constant that defaults to 18, which is large enough for\n a scalar, vector, tensor, normal, and texture coordinate to be included at each point.\n\n Normally, you will not call \\a SetFieldSize() directly; instead, subclasses of\n vtkEdgeSubdivisionCriterion, such as vtkShoeMeshSubdivisionAlgorithm,  ...\n [Truncated]\n"},
  {(char*)"GetFieldSize",                (PyCFunction)PyvtkStreamingTessellator_GetFieldSize, 1,
   (char*)"V.GetFieldSize(int) -> int\nC++: int GetFieldSize (int k) const;\n\n Get/Set the number of field value coordinates associated with each input and output point.\n The default is 0; no field values are interpolated.\n You may specify a different size, \\a s, for each type of \\a k -facet to be processed.\n For example, \\p SetFieldSize( \\p 2, \\p 3 ) would associate 3 field value coordinates\n with each input and output point of an \\p AdaptivelySample2Facet call,\n but does not say anything about input or output points of \\p AdaptivelySample1Facet. \n Call \\p SetFieldSize( \\p -1, \\a s ) to specify the same dimension for all possible \\a k values.\n \\a s may not exceed vtkStreamingTessellator::MaxFieldSize.\n This is a compile-time constant that defaults to 18, which is large enough for\n a scalar, vector, tensor, normal, and texture coordinate to be included at each point.\n\n Normally, you will not call \\a SetFieldSize() directly; instead, subclasses of\n vtkEdgeSubdivisionCriterion, such as vtkShoeMeshSubdivisionAlgorithm,  ...\n [Truncated]\n"},
  {(char*)"SetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkStreamingTessellator_SetMaximumNumberOfSubdivisions, 1,
   (char*)"V.SetMaximumNumberOfSubdivisions(int)\nC++: virtual void SetMaximumNumberOfSubdivisions (int num_subdiv_in);\n\n Get/Set the maximum number of subdivisions that may occur.\n"},
  {(char*)"GetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkStreamingTessellator_GetMaximumNumberOfSubdivisions, 1,
   (char*)"V.GetMaximumNumberOfSubdivisions() -> int\nC++: int GetMaximumNumberOfSubdivisions ();\n\n Get/Set the maximum number of subdivisions that may occur.\n"},
  {(char*)"ResetCounts",                (PyCFunction)PyvtkStreamingTessellator_ResetCounts, 1,
   (char*)"V.ResetCounts()\nC++: void ResetCounts ();for int i i i this CaseCounts i for int j j j this SubcaseCounts i j \n\n Reset/access the histogram of subdivision cases encountered.\n The histogram may be used to examine coverage during testing as well as characterizing the\n tessellation algorithm's performance.\n You should call ResetCounts() once, at the beginning of a stream of tetrahedra.\n It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.\n\n These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.\n By default, PARAVIEW_DEBUG_TESSELLATOR is not defined, and your code will be fast and efficient. Really!\n"},
  {(char*)"GetCaseCount",                (PyCFunction)PyvtkStreamingTessellator_GetCaseCount, 1,
   (char*)"V.GetCaseCount(int) -> int\nC++: vtkIdType GetCaseCount (int c);return this CaseCounts c void c return \n\n Reset/access the histogram of subdivision cases encountered.\n The histogram may be used to examine coverage during testing as well as characterizing the\n tessellation algorithm's performance.\n You should call ResetCounts() once, at the beginning of a stream of tetrahedra.\n It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.\n\n These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.\n By default, PARAVIEW_DEBUG_TESSELLATOR is not defined, and your code will be fast and efficient. Really!\n"},
  {(char*)"GetSubcaseCount",                (PyCFunction)PyvtkStreamingTessellator_GetSubcaseCount, 1,
   (char*)"V.GetSubcaseCount(int, int) -> int\nC++: vtkIdType GetSubcaseCount (int casenum, int sub);return this SubcaseCounts casenum sub void casenum void sub return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamingTessellatorDoc[] = {
  (char*)"vtkStreamingTessellator - An algorithm that refines an initial simplicial tessellation using edge subdivision\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is a simple algorithm that takes a single starting simplex -- a\n tetrahedron, triangle, or line segment -- and calls a function you\n pass it with (possibly many times) tetrahedra, triangles, or lines\n adaptively sampled from the one you specified. It\n uses an algorithm you specify to control the level of adaptivity.\n\n This class does not create vtkUnstructuredGrid output because it is\n",
  (char*)" intended for use in mappers as well as filters. Instead, it\n calls the registered function with simplices as they are\n created.\n\n The subdivision algorithm should change the vertex\n coordinates (it must change both geometric and, if desired, parametric\n coordinates) of the midpoint. These coordinates need not be\n changed unless the EvaluateEdge() member returns true.\n The vtkStreamingTessellator ",
  (char*)"itself has no way of creating\n a more accurate midpoint vertex.\n\n Here's how to use this class:\n - Call AdaptivelySample1Facet, AdaptivelySample2Facet, or\n   AdaptivelySample3Facet, with an edge, triangle, or\n   tetrahedron you want tessellated.\n - The adaptive tessellator classifies each edge by passing\n   the midpoint values to the vtkEdgeSubdivisionCriterion.\n - After each edge is classified, t",
  (char*)"he tessellator subdivides\n   edges as required until the subdivision criterion is\n   satisfied or the maximum subdivision depth has been\n   reached.\n - Edges, triangles, or tetrahedra connecting the vertices\n   generated by the subdivision algorithm are processed by\n   calling the user-defined callback functions (set with \n   SetTetrahedronCallback(), SetTriangleCallback(),\n   or SetEdgeCallback()",
  (char*)" ).\n\n .SECTION Warning\n Note that the vertices passed to AdaptivelySample3Facet, AdaptivelySample2Facet,\n or AdaptivelySample1Facet must be at least 6, 5, or 4 entries long, respectively!\n This is because the &lt;r,s,t&gt;, &lt;r,s&gt;, or &lt;r&gt;\n parametric coordinates of the vertices are maintained as the\n facet is subdivided. This information is often\n required by the subdivision algorithm i",
  (char*)"n order to compute\n an error metric. You may change the number of parametric coordinates\n associated with each vertex using vtkStreamingTessellator::SetEmbeddingDimension().\n\n .SECTION Interpolating Field Values\n If you wish, you may also use \\p vtkStreamingTessellator to interpolate field\n values at newly created vertices. Interpolated field values are stored just beyond\n the parametric coordinat",
  (char*)"es associated with a vertex. They will always be \\p double\n values; it does not make sense to interpolate a boolean or string value and your\n output and subdivision subroutines may always cast to a \\p float or use \\p floor() to\n truncate an interpolated value to an integer.\n\n\n",
  "See Also:\n\n vtkEdgeSubdivisionCriterion\n\n",
  NULL
};

static vtkObjectBase *vtkStreamingTessellatorStaticNew()
{
  return vtkStreamingTessellator::New();
}

PyObject *PyVTKClass_vtkStreamingTessellatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamingTessellatorStaticNew,
                        PyvtkStreamingTessellatorMethods,
                        (char*)"vtkStreamingTessellator",modulename,
                        (char**)vtkStreamingTessellatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

