// python wrapper for vtkStripper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStripper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStripperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStripperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStripper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  const char    *temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  char    *temp0;
  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  vtkStripper  *temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStripper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStripper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStripper_SetMaximumLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp0;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::SetMaximumLength(temp0);
      }
    else
      {
      op->SetMaximumLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetMaximumLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetMaximumLengthMinValue();
      }
    else
      {
      temp20 = op->GetMaximumLengthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetMaximumLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetMaximumLengthMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumLengthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetMaximumLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetMaximumLength();
      }
    else
      {
      temp20 = op->GetMaximumLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassCellDataAsFieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassCellDataAsFieldDataOn();
      }
    else
      {
      op->PassCellDataAsFieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassCellDataAsFieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassCellDataAsFieldDataOff();
      }
    else
      {
      op->PassCellDataAsFieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_SetPassCellDataAsFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp0;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::SetPassCellDataAsFieldData(temp0);
      }
    else
      {
      op->SetPassCellDataAsFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetPassCellDataAsFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetPassCellDataAsFieldData();
      }
    else
      {
      temp20 = op->GetPassCellDataAsFieldData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_SetPassThroughCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp0;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::SetPassThroughCellIds(temp0);
      }
    else
      {
      op->SetPassThroughCellIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetPassThroughCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetPassThroughCellIds();
      }
    else
      {
      temp20 = op->GetPassThroughCellIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassThroughCellIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassThroughCellIdsOn();
      }
    else
      {
      op->PassThroughCellIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassThroughCellIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassThroughCellIdsOff();
      }
    else
      {
      op->PassThroughCellIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_SetPassThroughPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp0;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::SetPassThroughPointIds(temp0);
      }
    else
      {
      op->SetPassThroughPointIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_GetPassThroughPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  int      temp20;
  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStripper::GetPassThroughPointIds();
      }
    else
      {
      temp20 = op->GetPassThroughPointIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassThroughPointIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassThroughPointIdsOn();
      }
    else
      {
      op->PassThroughPointIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStripper_PassThroughPointIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStripper *op;

  op = (vtkStripper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStripper::PassThroughPointIdsOff();
      }
    else
      {
      op->PassThroughPointIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStripperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStripper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStripper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStripper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStripper\nC++: vtkStripper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStripper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStripper\nC++: vtkStripper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximumLength",                (PyCFunction)PyvtkStripper_SetMaximumLength, 1,
   (char*)"V.SetMaximumLength(int)\nC++: void SetMaximumLength (int );\n\n Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n"},
  {(char*)"GetMaximumLengthMinValue",                (PyCFunction)PyvtkStripper_GetMaximumLengthMinValue, 1,
   (char*)"V.GetMaximumLengthMinValue() -> int\nC++: int GetMaximumLengthMinValue ();\n\n Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n"},
  {(char*)"GetMaximumLengthMaxValue",                (PyCFunction)PyvtkStripper_GetMaximumLengthMaxValue, 1,
   (char*)"V.GetMaximumLengthMaxValue() -> int\nC++: int GetMaximumLengthMaxValue ();\n\n Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n"},
  {(char*)"GetMaximumLength",                (PyCFunction)PyvtkStripper_GetMaximumLength, 1,
   (char*)"V.GetMaximumLength() -> int\nC++: int GetMaximumLength ();\n\n Specify the maximum number of triangles in a triangle strip,\n and/or the maximum number of lines in a poly-line.\n"},
  {(char*)"PassCellDataAsFieldDataOn",                (PyCFunction)PyvtkStripper_PassCellDataAsFieldDataOn, 1,
   (char*)"V.PassCellDataAsFieldDataOn()\nC++: void PassCellDataAsFieldDataOn ();\n\n Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n"},
  {(char*)"PassCellDataAsFieldDataOff",                (PyCFunction)PyvtkStripper_PassCellDataAsFieldDataOff, 1,
   (char*)"V.PassCellDataAsFieldDataOff()\nC++: void PassCellDataAsFieldDataOff ();\n\n Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n"},
  {(char*)"SetPassCellDataAsFieldData",                (PyCFunction)PyvtkStripper_SetPassCellDataAsFieldData, 1,
   (char*)"V.SetPassCellDataAsFieldData(int)\nC++: void SetPassCellDataAsFieldData (int );\n\n Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n"},
  {(char*)"GetPassCellDataAsFieldData",                (PyCFunction)PyvtkStripper_GetPassCellDataAsFieldData, 1,
   (char*)"V.GetPassCellDataAsFieldData() -> int\nC++: int GetPassCellDataAsFieldData ();\n\n Enable/Disable passing of the CellData in the input to\n the output as FieldData. Note the field data is tranformed.\n"},
  {(char*)"SetPassThroughCellIds",                (PyCFunction)PyvtkStripper_SetPassThroughCellIds, 1,
   (char*)"V.SetPassThroughCellIds(int)\nC++: void SetPassThroughCellIds (int );\n\n If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"GetPassThroughCellIds",                (PyCFunction)PyvtkStripper_GetPassThroughCellIds, 1,
   (char*)"V.GetPassThroughCellIds() -> int\nC++: int GetPassThroughCellIds ();\n\n If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"PassThroughCellIdsOn",                (PyCFunction)PyvtkStripper_PassThroughCellIdsOn, 1,
   (char*)"V.PassThroughCellIdsOn()\nC++: void PassThroughCellIdsOn ();\n\n If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"PassThroughCellIdsOff",                (PyCFunction)PyvtkStripper_PassThroughCellIdsOff, 1,
   (char*)"V.PassThroughCellIdsOff()\nC++: void PassThroughCellIdsOff ();\n\n If on, the output polygonal dataset will have a celldata array that \n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"SetPassThroughPointIds",                (PyCFunction)PyvtkStripper_SetPassThroughPointIds, 1,
   (char*)"V.SetPassThroughPointIds(int)\nC++: void SetPassThroughPointIds (int );\n\n If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"GetPassThroughPointIds",                (PyCFunction)PyvtkStripper_GetPassThroughPointIds, 1,
   (char*)"V.GetPassThroughPointIds() -> int\nC++: int GetPassThroughPointIds ();\n\n If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"PassThroughPointIdsOn",                (PyCFunction)PyvtkStripper_PassThroughPointIdsOn, 1,
   (char*)"V.PassThroughPointIdsOn()\nC++: void PassThroughPointIdsOn ();\n\n If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n"},
  {(char*)"PassThroughPointIdsOff",                (PyCFunction)PyvtkStripper_PassThroughPointIdsOff, 1,
   (char*)"V.PassThroughPointIdsOff()\nC++: void PassThroughPointIdsOff ();\n\n If on, the output polygonal dataset will have a pointdata array that \n holds the point index of the original vertex that produced each output\n vertex. This is useful for picking. The default is off to conserve \n memory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStripperDoc[] = {
  (char*)"vtkStripper - create triangle strips and/or poly-lines\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  "Caveats:\n\n If triangle strips or poly-lines exist in the input data they will\n be passed through to the output data. This filter will only construct\n triangle strips if triangle polygons are available; and will only \n construct poly-lines if lines are available.\n\n",
  "See Also:\n\n vtkTriangleFilter\n\n",
  NULL
};

static vtkObjectBase *vtkStripperStaticNew()
{
  return vtkStripper::New();
}

PyObject *PyVTKClass_vtkStripperNew(char *modulename)
{
  return PyVTKClass_New(&vtkStripperStaticNew,
                        PyvtkStripperMethods,
                        (char*)"vtkStripper",modulename,
                        (char**)vtkStripperDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

