// python wrapper for vtkStructuredGridGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkStructuredGridGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStructuredGridGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  const char    *temp20;
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  vtkStructuredGridGeometryFilter  *temp20;
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredGridGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredGridGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredGridGeometryFilter_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  int     *temp20;
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridGeometryFilter::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridGeometryFilter_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridGeometryFilter::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStructuredGridGeometryFilter *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkStructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridGeometryFilter::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredGridGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridGeometryFilter\nC++: vtkStructuredGridGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredGridGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredGridGeometryFilter\nC++: vtkStructuredGridGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkStructuredGridGeometryFilter_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Get the extent in topological coordinate range (imin,imax, jmin,jmax,\n kmin,kmax).\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkStructuredGridGeometryFilter_SetExtent, 1,
   (char*)"V.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax);\nV.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\n\n Specify (imin,imax, jmin,jmax, kmin,kmax) indices.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridGeometryFilterDoc[] = {
  (char*)"vtkStructuredGridGeometryFilter - extract geometry for structured grid\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkStructuredGridGeometryFilter is a filter that extracts geometry from a\n structured grid. By specifying appropriate i-j-k indices, it is possible\n to extract a point, a curve, a surface, or a \"volume\". Depending upon the\n type of data, the curve and surface may be curved or planar. (The volume\n is actually a (n x m x o) region of points.)\n\n The extent specification is zero-offset. That is, the ",
  (char*)"first k-plane in\n a 50x50x50 structured grid is given by (0,49, 0,49, 0,0).\n\n The output of this filter is affected by the structured grid blanking.\n If blanking is on, and a blanking array defined, then those cells \n attached to blanked points are not output. (Blanking is a property of\n the input vtkStructuredGrid.)\n\n",
  "Caveats:\n\n If you don't know the dimensions of the input dataset, you can use a large\n number to specify extent (the number will be clamped appropriately). For \n example, if the dataset dimensions are 50x50x50, and you want a the fifth \n k-plane, you can use the extents (0,100, 0,100, 4,4). The 100 will \n automatically be clamped to 49.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkExtractGrid vtkStructuredGrid\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredGridGeometryFilterStaticNew()
{
  return vtkStructuredGridGeometryFilter::New();
}

PyObject *PyVTKClass_vtkStructuredGridGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredGridGeometryFilterStaticNew,
                        PyvtkStructuredGridGeometryFilterMethods,
                        (char*)"vtkStructuredGridGeometryFilter",modulename,
                        (char**)vtkStructuredGridGeometryFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

