// python wrapper for vtkSubdivideTetra object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSubdivideTetra.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSubdivideTetraNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSubdivideTetraNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkSubdivideTetra_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubdivideTetra *op;

  const char    *temp20;
  op = (vtkSubdivideTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubdivideTetra::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSubdivideTetra_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubdivideTetra *op;

  char    *temp0;
  int      temp20;
  op = (vtkSubdivideTetra *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubdivideTetra::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubdivideTetra_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubdivideTetra *op;

  vtkSubdivideTetra  *temp20;
  op = (vtkSubdivideTetra *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubdivideTetra::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubdivideTetra_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSubdivideTetra  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSubdivideTetra::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSubdivideTetraMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSubdivideTetra_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSubdivideTetra_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSubdivideTetra_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSubdivideTetra\nC++: vtkSubdivideTetra *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSubdivideTetra_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSubdivideTetra\nC++: vtkSubdivideTetra *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSubdivideTetraDoc[] = {
  (char*)"vtkSubdivideTetra - subdivide one tetrahedron into twelve for every tetra\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" This filter subdivides tetrahedra in an unstructured grid into twelve tetrahedra.\n\n",
  NULL
};

static vtkObjectBase *vtkSubdivideTetraStaticNew()
{
  return vtkSubdivideTetra::New();
}

PyObject *PyVTKClass_vtkSubdivideTetraNew(char *modulename)
{
  return PyVTKClass_New(&vtkSubdivideTetraStaticNew,
                        PyvtkSubdivideTetraMethods,
                        (char*)"vtkSubdivideTetra",modulename,
                        (char**)vtkSubdivideTetraDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

