// python wrapper for vtkSynchronizedTemplates2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSynchronizedTemplates2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSynchronizedTemplates2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSynchronizedTemplates2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSynchronizedTemplates2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  const char    *temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  vtkSynchronizedTemplates2D  *temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSynchronizedTemplates2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSynchronizedTemplates2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  unsigned long     temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  double   temp1;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  double   temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  double temp1[2];
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_SetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates2D::SetArrayComponent(temp0);
      }
    else
      {
      op->SetArrayComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates2D_GetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates2D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates2D::GetArrayComponent();
      }
    else
      {
      temp20 = op->GetArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSynchronizedTemplates2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSynchronizedTemplates2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSynchronizedTemplates2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSynchronizedTemplates2D\nC++: vtkSynchronizedTemplates2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSynchronizedTemplates2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSynchronizedTemplates2D\nC++: vtkSynchronizedTemplates2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Because we delegate to vtkContourValues\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkSynchronizedTemplates2D_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);this ContourValues SetValue i value \n\n Get the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);return this ContourValues GetValue i \n\n Get a pointer to an array of contour values. There will be\n GetNumberOfContours() values in the list.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkSynchronizedTemplates2D_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number \n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();return this ContourValues GetNumberOfContours \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkSynchronizedTemplates2D_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range \nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkSynchronizedTemplates2D_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Option to set the point scalars of the output.  The scalars will be the \n iso value of course.  By default this flag is on.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Option to set the point scalars of the output.  The scalars will be the \n iso value of course.  By default this flag is on.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkSynchronizedTemplates2D_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Option to set the point scalars of the output.  The scalars will be the \n iso value of course.  By default this flag is on.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkSynchronizedTemplates2D_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Option to set the point scalars of the output.  The scalars will be the \n iso value of course.  By default this flag is on.\n"},
  {(char*)"SetArrayComponent",                (PyCFunction)PyvtkSynchronizedTemplates2D_SetArrayComponent, 1,
   (char*)"V.SetArrayComponent(int)\nC++: void SetArrayComponent (int );\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n"},
  {(char*)"GetArrayComponent",                (PyCFunction)PyvtkSynchronizedTemplates2D_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent ();\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSynchronizedTemplates2DDoc[] = {
  (char*)"vtkSynchronizedTemplates2D - generate isoline(s) from a structured points set\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSynchronizedTemplates2D is a 2D implementation of the synchronized \n template algorithm. Note that vtkContourFilter will automatically\n use this class when appropriate.\n\n",
  "Caveats:\n\n This filter is specialized to 2D images.\n\n",
  "See Also:\n\n vtkContourFilter vtkSynchronizedTemplates3D\n\n",
  NULL
};

static vtkObjectBase *vtkSynchronizedTemplates2DStaticNew()
{
  return vtkSynchronizedTemplates2D::New();
}

PyObject *PyVTKClass_vtkSynchronizedTemplates2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkSynchronizedTemplates2DStaticNew,
                        PyvtkSynchronizedTemplates2DMethods,
                        (char*)"vtkSynchronizedTemplates2D",modulename,
                        (char**)vtkSynchronizedTemplates2DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

