// python wrapper for vtkSynchronizedTemplates3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSynchronizedTemplates3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSynchronizedTemplates3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSynchronizedTemplates3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSynchronizedTemplates3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  const char    *temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  vtkSynchronizedTemplates3D  *temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSynchronizedTemplates3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSynchronizedTemplates3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  unsigned long     temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetComputeGradients(temp0);
      }
    else
      {
      op->SetComputeGradients(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetComputeGradients();
      }
    else
      {
      temp20 = op->GetComputeGradients();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeGradientsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeGradientsOn();
      }
    else
      {
      op->ComputeGradientsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeGradientsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeGradientsOff();
      }
    else
      {
      op->ComputeGradientsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  double   temp1;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  double   temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  double temp1[2];
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetExecuteExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int     *temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetExecuteExtent();
      }
    else
      {
      temp20 = op->GetExecuteExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  unsigned long     temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetInputMemoryLimit(temp0);
      }
    else
      {
      op->SetInputMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  unsigned long     temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetInputMemoryLimit();
      }
    else
      {
      temp20 = op->GetInputMemoryLimit();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_SetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp0;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSynchronizedTemplates3D::SetArrayComponent(temp0);
      }
    else
      {
      op->SetArrayComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSynchronizedTemplates3D_GetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSynchronizedTemplates3D *op;

  int      temp20;
  op = (vtkSynchronizedTemplates3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSynchronizedTemplates3D::GetArrayComponent();
      }
    else
      {
      temp20 = op->GetArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSynchronizedTemplates3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSynchronizedTemplates3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSynchronizedTemplates3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSynchronizedTemplates3D\nC++: vtkSynchronizedTemplates3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSynchronizedTemplates3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSynchronizedTemplates3D\nC++: vtkSynchronizedTemplates3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Because we delegate to vtkContourValues\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. Normal computation is fairly\n expensive in both time and storage. If the output data will be\n processed by filters that modify topology or geometry, it may be\n wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeGradients",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetComputeGradients, 1,
   (char*)"V.SetComputeGradients(int)\nC++: void SetComputeGradients (int );\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeGradients",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetComputeGradients, 1,
   (char*)"V.GetComputeGradients() -> int\nC++: int GetComputeGradients ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOn",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeGradientsOn, 1,
   (char*)"V.ComputeGradientsOn()\nC++: void ComputeGradientsOn ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOff",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeGradientsOff, 1,
   (char*)"V.ComputeGradientsOff()\nC++: void ComputeGradientsOff ();\n\n Set/Get the computation of gradients. Gradient computation is\n fairly expensive in both time and storage. Note that if\n ComputeNormals is on, gradients will have to be calculated, but\n will not be stored in the output dataset.  If the output data\n will be processed by filters that modify topology or geometry, it\n may be wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Set/Get the computation of scalars.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkSynchronizedTemplates3D_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);this ContourValues SetValue i value \n\n Get the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);return this ContourValues GetValue i \n\n Get a pointer to an array of contour values. There will be\n GetNumberOfContours() values in the list.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number \n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();return this ContourValues GetNumberOfContours \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkSynchronizedTemplates3D_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range \nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GetExecuteExtent",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetExecuteExtent, 1,
   (char*)"V.GetExecuteExtent() -> (int, int, int, int, int, int)\nC++: int *GetExecuteExtent ();return this ExecuteExtent \n\n Needed by templated functions.\n"},
  {(char*)"SetInputMemoryLimit",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetInputMemoryLimit, 1,
   (char*)"V.SetInputMemoryLimit(int)\nC++: void SetInputMemoryLimit (unsigned long limit);\n\n Determines the chunk size fro streaming.  This filter will act like a\n collector: ask for many input pieces, but generate one output.  Limit is\n in KBytes\n"},
  {(char*)"GetInputMemoryLimit",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetInputMemoryLimit, 1,
   (char*)"V.GetInputMemoryLimit() -> int\nC++: unsigned long GetInputMemoryLimit ();\n\n Determines the chunk size fro streaming.  This filter will act like a\n collector: ask for many input pieces, but generate one output.  Limit is\n in KBytes\n"},
  {(char*)"SetArrayComponent",                (PyCFunction)PyvtkSynchronizedTemplates3D_SetArrayComponent, 1,
   (char*)"V.SetArrayComponent(int)\nC++: void SetArrayComponent (int );\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n"},
  {(char*)"GetArrayComponent",                (PyCFunction)PyvtkSynchronizedTemplates3D_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent ();\n\n Set/get which component of the scalar array to contour on; defaults to 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSynchronizedTemplates3DDoc[] = {
  (char*)"vtkSynchronizedTemplates3D - generate isosurface from structured points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSynchronizedTemplates3D is a 3D implementation of the synchronized \n template algorithm. Note that vtkContourFilter will automatically\n use this class when appropriate.\n\n",
  "Caveats:\n\n This filter is specialized to 3D images (aka volumes).\n\n",
  "See Also:\n\n vtkContourFilter vtkSynchronizedTemplates2D\n\n",
  NULL
};

static vtkObjectBase *vtkSynchronizedTemplates3DStaticNew()
{
  return vtkSynchronizedTemplates3D::New();
}

PyObject *PyVTKClass_vtkSynchronizedTemplates3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkSynchronizedTemplates3DStaticNew,
                        PyvtkSynchronizedTemplates3DMethods,
                        (char*)"vtkSynchronizedTemplates3D",modulename,
                        (char**)vtkSynchronizedTemplates3DDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

