// python wrapper for vtkTensorGlyph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTensorGlyph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTensorGlyphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTensorGlyphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTensorGlyph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  const char    *temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  char    *temp0;
  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  vtkTensorGlyph  *temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTensorGlyph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTensorGlyph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  vtkPolyData  *temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetSourceConnection(temp0,temp1);
      }
    else
      {
      op->SetSourceConnection(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetScaling(temp0);
      }
    else
      {
      op->SetScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetScaling();
      }
    else
      {
      temp20 = op->GetScaling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ScalingOn();
      }
    else
      {
      op->ScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ScalingOff();
      }
    else
      {
      op->ScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetThreeGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetThreeGlyphs(temp0);
      }
    else
      {
      op->SetThreeGlyphs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetThreeGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetThreeGlyphs();
      }
    else
      {
      temp20 = op->GetThreeGlyphs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ThreeGlyphsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ThreeGlyphsOn();
      }
    else
      {
      op->ThreeGlyphsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ThreeGlyphsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ThreeGlyphsOff();
      }
    else
      {
      op->ThreeGlyphsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetSymmetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetSymmetric(temp0);
      }
    else
      {
      op->SetSymmetric(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetSymmetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetSymmetric();
      }
    else
      {
      temp20 = op->GetSymmetric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SymmetricOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SymmetricOn();
      }
    else
      {
      op->SymmetricOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SymmetricOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SymmetricOff();
      }
    else
      {
      op->SymmetricOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetLength(temp0);
      }
    else
      {
      op->SetLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetExtractEigenvalues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetExtractEigenvalues(temp0);
      }
    else
      {
      op->SetExtractEigenvalues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ExtractEigenvaluesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ExtractEigenvaluesOn();
      }
    else
      {
      op->ExtractEigenvaluesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ExtractEigenvaluesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ExtractEigenvaluesOff();
      }
    else
      {
      op->ExtractEigenvaluesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetExtractEigenvalues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetExtractEigenvalues();
      }
    else
      {
      temp20 = op->GetExtractEigenvalues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetColorGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetColorGlyphs(temp0);
      }
    else
      {
      op->SetColorGlyphs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetColorGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetColorGlyphs();
      }
    else
      {
      temp20 = op->GetColorGlyphs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ColorGlyphsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ColorGlyphsOn();
      }
    else
      {
      op->ColorGlyphsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ColorGlyphsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ColorGlyphsOff();
      }
    else
      {
      op->ColorGlyphsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetColorModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetColorModeMinValue();
      }
    else
      {
      temp20 = op->GetColorModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetColorModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetColorModeMaxValue();
      }
    else
      {
      temp20 = op->GetColorModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetColorModeToScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetColorModeToScalars();
      }
    else
      {
      op->SetColorModeToScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetColorModeToEigenvalues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetColorModeToEigenvalues();
      }
    else
      {
      op->SetColorModeToEigenvalues();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetClampScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetClampScaling(temp0);
      }
    else
      {
      op->SetClampScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetClampScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  int      temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetClampScaling();
      }
    else
      {
      temp20 = op->GetClampScaling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ClampScalingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ClampScalingOn();
      }
    else
      {
      op->ClampScalingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_ClampScalingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::ClampScalingOff();
      }
    else
      {
      op->ClampScalingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_SetMaxScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp0;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorGlyph::SetMaxScaleFactor(temp0);
      }
    else
      {
      op->SetMaxScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorGlyph_GetMaxScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorGlyph *op;

  double   temp20;
  op = (vtkTensorGlyph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorGlyph::GetMaxScaleFactor();
      }
    else
      {
      temp20 = op->GetMaxScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTensorGlyphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTensorGlyph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTensorGlyph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTensorGlyph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTensorGlyph\nC++: vtkTensorGlyph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTensorGlyph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTensorGlyph\nC++: vtkTensorGlyph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkTensorGlyph_SetSource, 1,
   (char*)"V.SetSource(vtkPolyData)\nC++: void SetSource (vtkPolyData *source);\n\n Specify the geometry to copy to each point. Old style. See\n SetSourceConnection.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkTensorGlyph_GetSource, 1,
   (char*)"V.GetSource() -> vtkPolyData\nC++: vtkPolyData *GetSource ();\n\n Specify the geometry to copy to each point. Old style. See\n SetSourceConnection.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkTensorGlyph_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(int, vtkAlgorithmOutput)\nC++: void SetSourceConnection (int id, vtkAlgorithmOutput *algOutput);\nV.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);this SetSourceConnection algOutput \n\n Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n"},
  {(char*)"SetScaling",                (PyCFunction)PyvtkTensorGlyph_SetScaling, 1,
   (char*)"V.SetScaling(int)\nC++: void SetScaling (int );\n\n Turn on/off scaling of glyph with eigenvalues.\n"},
  {(char*)"GetScaling",                (PyCFunction)PyvtkTensorGlyph_GetScaling, 1,
   (char*)"V.GetScaling() -> int\nC++: int GetScaling ();\n\n Turn on/off scaling of glyph with eigenvalues.\n"},
  {(char*)"ScalingOn",                (PyCFunction)PyvtkTensorGlyph_ScalingOn, 1,
   (char*)"V.ScalingOn()\nC++: void ScalingOn ();\n\n Turn on/off scaling of glyph with eigenvalues.\n"},
  {(char*)"ScalingOff",                (PyCFunction)PyvtkTensorGlyph_ScalingOff, 1,
   (char*)"V.ScalingOff()\nC++: void ScalingOff ();\n\n Turn on/off scaling of glyph with eigenvalues.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkTensorGlyph_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Specify scale factor to scale object by. (Scale factor always affects\n output even if scaling is off.)\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkTensorGlyph_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Specify scale factor to scale object by. (Scale factor always affects\n output even if scaling is off.)\n"},
  {(char*)"SetThreeGlyphs",                (PyCFunction)PyvtkTensorGlyph_SetThreeGlyphs, 1,
   (char*)"V.SetThreeGlyphs(int)\nC++: void SetThreeGlyphs (int );\n\n Turn on/off drawing three glyphs\n"},
  {(char*)"GetThreeGlyphs",                (PyCFunction)PyvtkTensorGlyph_GetThreeGlyphs, 1,
   (char*)"V.GetThreeGlyphs() -> int\nC++: int GetThreeGlyphs ();\n\n Turn on/off drawing three glyphs\n"},
  {(char*)"ThreeGlyphsOn",                (PyCFunction)PyvtkTensorGlyph_ThreeGlyphsOn, 1,
   (char*)"V.ThreeGlyphsOn()\nC++: void ThreeGlyphsOn ();\n\n Turn on/off drawing three glyphs\n"},
  {(char*)"ThreeGlyphsOff",                (PyCFunction)PyvtkTensorGlyph_ThreeGlyphsOff, 1,
   (char*)"V.ThreeGlyphsOff()\nC++: void ThreeGlyphsOff ();\n\n Turn on/off drawing three glyphs\n"},
  {(char*)"SetSymmetric",                (PyCFunction)PyvtkTensorGlyph_SetSymmetric, 1,
   (char*)"V.SetSymmetric(int)\nC++: void SetSymmetric (int );\n\n Turn on/off drawing a mirror of each glyph\n"},
  {(char*)"GetSymmetric",                (PyCFunction)PyvtkTensorGlyph_GetSymmetric, 1,
   (char*)"V.GetSymmetric() -> int\nC++: int GetSymmetric ();\n\n Turn on/off drawing a mirror of each glyph\n"},
  {(char*)"SymmetricOn",                (PyCFunction)PyvtkTensorGlyph_SymmetricOn, 1,
   (char*)"V.SymmetricOn()\nC++: void SymmetricOn ();\n\n Turn on/off drawing a mirror of each glyph\n"},
  {(char*)"SymmetricOff",                (PyCFunction)PyvtkTensorGlyph_SymmetricOff, 1,
   (char*)"V.SymmetricOff()\nC++: void SymmetricOff ();\n\n Turn on/off drawing a mirror of each glyph\n"},
  {(char*)"SetLength",                (PyCFunction)PyvtkTensorGlyph_SetLength, 1,
   (char*)"V.SetLength(float)\nC++: void SetLength (double );\n\n Set/Get the distance, along x, from the origin to the end of the \n source glyph. It is used to draw the symmetric glyphs.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkTensorGlyph_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: double GetLength ();\n\n Set/Get the distance, along x, from the origin to the end of the \n source glyph. It is used to draw the symmetric glyphs.\n"},
  {(char*)"SetExtractEigenvalues",                (PyCFunction)PyvtkTensorGlyph_SetExtractEigenvalues, 1,
   (char*)"V.SetExtractEigenvalues(int)\nC++: void SetExtractEigenvalues (int );\n\n Turn on/off extraction of eigenvalues from tensor.\n"},
  {(char*)"ExtractEigenvaluesOn",                (PyCFunction)PyvtkTensorGlyph_ExtractEigenvaluesOn, 1,
   (char*)"V.ExtractEigenvaluesOn()\nC++: void ExtractEigenvaluesOn ();\n\n Turn on/off extraction of eigenvalues from tensor.\n"},
  {(char*)"ExtractEigenvaluesOff",                (PyCFunction)PyvtkTensorGlyph_ExtractEigenvaluesOff, 1,
   (char*)"V.ExtractEigenvaluesOff()\nC++: void ExtractEigenvaluesOff ();\n\n Turn on/off extraction of eigenvalues from tensor.\n"},
  {(char*)"GetExtractEigenvalues",                (PyCFunction)PyvtkTensorGlyph_GetExtractEigenvalues, 1,
   (char*)"V.GetExtractEigenvalues() -> int\nC++: int GetExtractEigenvalues ();\n\n Turn on/off extraction of eigenvalues from tensor.\n"},
  {(char*)"SetColorGlyphs",                (PyCFunction)PyvtkTensorGlyph_SetColorGlyphs, 1,
   (char*)"V.SetColorGlyphs(int)\nC++: void SetColorGlyphs (int );\n\n Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n"},
  {(char*)"GetColorGlyphs",                (PyCFunction)PyvtkTensorGlyph_GetColorGlyphs, 1,
   (char*)"V.GetColorGlyphs() -> int\nC++: int GetColorGlyphs ();\n\n Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n"},
  {(char*)"ColorGlyphsOn",                (PyCFunction)PyvtkTensorGlyph_ColorGlyphsOn, 1,
   (char*)"V.ColorGlyphsOn()\nC++: void ColorGlyphsOn ();\n\n Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n"},
  {(char*)"ColorGlyphsOff",                (PyCFunction)PyvtkTensorGlyph_ColorGlyphsOff, 1,
   (char*)"V.ColorGlyphsOff()\nC++: void ColorGlyphsOff ();\n\n Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkTensorGlyph_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"GetColorModeMinValue",                (PyCFunction)PyvtkTensorGlyph_GetColorModeMinValue, 1,
   (char*)"V.GetColorModeMinValue() -> int\nC++: int GetColorModeMinValue ();\n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"GetColorModeMaxValue",                (PyCFunction)PyvtkTensorGlyph_GetColorModeMaxValue, 1,
   (char*)"V.GetColorModeMaxValue() -> int\nC++: int GetColorModeMaxValue ();\n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkTensorGlyph_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"SetColorModeToScalars",                (PyCFunction)PyvtkTensorGlyph_SetColorModeToScalars, 1,
   (char*)"V.SetColorModeToScalars()\nC++: void SetColorModeToScalars ();this SetColorMode COLOR_BY_SCALARS \n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"SetColorModeToEigenvalues",                (PyCFunction)PyvtkTensorGlyph_SetColorModeToEigenvalues, 1,
   (char*)"V.SetColorModeToEigenvalues()\nC++: void SetColorModeToEigenvalues ();this SetColorMode COLOR_BY_EIGENVALUES \n\n Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n"},
  {(char*)"SetClampScaling",                (PyCFunction)PyvtkTensorGlyph_SetClampScaling, 1,
   (char*)"V.SetClampScaling(int)\nC++: void SetClampScaling (int );\n\n Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n"},
  {(char*)"GetClampScaling",                (PyCFunction)PyvtkTensorGlyph_GetClampScaling, 1,
   (char*)"V.GetClampScaling() -> int\nC++: int GetClampScaling ();\n\n Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n"},
  {(char*)"ClampScalingOn",                (PyCFunction)PyvtkTensorGlyph_ClampScalingOn, 1,
   (char*)"V.ClampScalingOn()\nC++: void ClampScalingOn ();\n\n Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n"},
  {(char*)"ClampScalingOff",                (PyCFunction)PyvtkTensorGlyph_ClampScalingOff, 1,
   (char*)"V.ClampScalingOff()\nC++: void ClampScalingOff ();\n\n Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n"},
  {(char*)"SetMaxScaleFactor",                (PyCFunction)PyvtkTensorGlyph_SetMaxScaleFactor, 1,
   (char*)"V.SetMaxScaleFactor(float)\nC++: void SetMaxScaleFactor (double );\n\n Set/Get the maximum allowable scale factor. This value is compared to the\n combination of the scale factor times the eigenvalue. If less, the scale\n factor is reset to the MaxScaleFactor. The boolean ClampScaling has to \n be \"on\" for this to work.\n"},
  {(char*)"GetMaxScaleFactor",                (PyCFunction)PyvtkTensorGlyph_GetMaxScaleFactor, 1,
   (char*)"V.GetMaxScaleFactor() -> float\nC++: double GetMaxScaleFactor ();\n\n Set/Get the maximum allowable scale factor. This value is compared to the\n combination of the scale factor times the eigenvalue. If less, the scale\n factor is reset to the MaxScaleFactor. The boolean ClampScaling has to \n be \"on\" for this to work.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTensorGlyphDoc[] = {
  (char*)"vtkTensorGlyph - scale and orient glyph(s) according to tensor eigenvalues and eigenvectors\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTensorGlyph is a filter that copies a geometric representation\n (specified as polygonal data) to every input point. The geometric\n representation, or glyph, can be scaled and/or rotated according to\n the tensor at the input point. Scaling and rotation is controlled\n by the eigenvalues/eigenvectors of the tensor as follows. For each\n tensor, the eigenvalues (and associated eigenvectors) are sor",
  (char*)"ted to\n determine the major, medium, and minor eigenvalues/eigenvectors.\n\n If the boolean variable ThreeGlyphs is not set the major eigenvalue \n scales the glyph in the x-direction, the medium in the y-direction, \n and the minor in the  z-direction. Then, the glyph is rotated so \n that the glyph's local x-axis lies along the major eigenvector, \n y-axis along the medium eigenvector, and z-axis alon",
  (char*)"g the minor. \n\n If the boolean variable ThreeGlyphs is set three glyphs are produced, \n each of them oriented along an eigenvector and scaled according to the \n corresponding eigenvector.\n\n If the boolean variable Symmetric is set each glyph is mirrored (2 or 6 \n glyphs will be produced)\n\n The x-axis of the source glyph will correspond to the eigenvector \n on output. Point (0,0,0) in the source wi",
  (char*)"ll be placed in the data point.\n Variable Length will normally correspond to the distance from the \n origin to the tip of the source glyph along the x-axis, \n but can be changed to produce other results when Symmetric is on,\n e.g. glyphs that do not touch or that overlap.\n\n Please note that when Symmetric is false it will generally be better \n to place the source glyph from (-0.5,0,0) to (0.5,0,0)",
  (char*)", i.e. centred\n at the origin. When symmetric is true the placement from (0,0,0) to\n (1,0,0) will generally be more convenient.\n\n A scale factor is provided to control the amount of scaling. Also, you \n can turn off scaling completely if desired. The boolean variable \n ClampScaling controls the maximum scaling (in conjunction with\n MaxScaleFactor.) This is useful in certain applications where \n si",
  (char*)"ngularities or large order of magnitude differences exist in \n the eigenvalues.\n\n If the boolean variable ColorGlyphs is set to true the glyphs are\n colored.  The glyphs can be colored using the input scalars\n (SetColorModeToScalars), which is the default, or colored using the\n eigenvalues (SetColorModeToEigenvalues).\n\n Another instance variable, ExtractEigenvalues, has been provided to\n control e",
  (char*)"xtraction of eigenvalues/eigenvectors. If this boolean is\n false, then eigenvalues/eigenvectors are not extracted, and the\n columns of the tensor are taken as the eigenvectors (the norm of\n column, always positive, is the eigenvalue).  This allows\n additional capability over the vtkGlyph3D object. That is, the\n glyph can be oriented in three directions instead of one.\n\n",
  "See Also:\n\n vtkGlyph3D vtkPointLoad vtkHyperStreamline\n\n",
  NULL
};

static vtkObjectBase *vtkTensorGlyphStaticNew()
{
  return vtkTensorGlyph::New();
}

PyObject *PyVTKClass_vtkTensorGlyphNew(char *modulename)
{
  return PyVTKClass_New(&vtkTensorGlyphStaticNew,
                        PyvtkTensorGlyphMethods,
                        (char*)"vtkTensorGlyph",modulename,
                        (char**)vtkTensorGlyphDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

