// tcl wrapper for vtkTensorGlyph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTensorGlyph.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTensorGlyphNewCommand()
{
  vtkTensorGlyph *temp = vtkTensorGlyph::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTensorGlyphCppCommand(vtkTensorGlyph *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTensorGlyphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTensorGlyphCppCommand(static_cast<vtkTensorGlyph *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTensorGlyphCppCommand(vtkTensorGlyph *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTensorGlyph",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTensorGlyph  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTensorGlyph");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTensorGlyph  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTensorGlyph");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTensorGlyph  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTensorGlyph");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThreeGlyphs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThreeGlyphs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThreeGlyphs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThreeGlyphs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThreeGlyphsOn",argv[1]))&&(argc == 2))
    {
    op->ThreeGlyphsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThreeGlyphsOff",argv[1]))&&(argc == 2))
    {
    op->ThreeGlyphsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSymmetric",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSymmetric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSymmetric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSymmetric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SymmetricOn",argv[1]))&&(argc == 2))
    {
    op->SymmetricOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SymmetricOff",argv[1]))&&(argc == 2))
    {
    op->SymmetricOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractEigenvalues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractEigenvalues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractEigenvaluesOn",argv[1]))&&(argc == 2))
    {
    op->ExtractEigenvaluesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractEigenvaluesOff",argv[1]))&&(argc == 2))
    {
    op->ExtractEigenvaluesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractEigenvalues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractEigenvalues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorGlyphs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorGlyphs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorGlyphs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorGlyphs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorGlyphsOn",argv[1]))&&(argc == 2))
    {
    op->ColorGlyphsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorGlyphsOff",argv[1]))&&(argc == 2))
    {
    op->ColorGlyphsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToScalars",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToEigenvalues",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToEigenvalues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClampScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampScalingOn",argv[1]))&&(argc == 2))
    {
    op->ClampScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampScalingOff",argv[1]))&&(argc == 2))
    {
    op->ClampScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTensorGlyphCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTensorGlyph:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetThreeGlyphs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThreeGlyphs\n",NULL);
    Tcl_AppendResult(interp,"  ThreeGlyphsOn\n",NULL);
    Tcl_AppendResult(interp,"  ThreeGlyphsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSymmetric\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSymmetric\n",NULL);
    Tcl_AppendResult(interp,"  SymmetricOn\n",NULL);
    Tcl_AppendResult(interp,"  SymmetricOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLength\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractEigenvalues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExtractEigenvaluesOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractEigenvaluesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractEigenvalues\n",NULL);
    Tcl_AppendResult(interp,"  SetColorGlyphs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorGlyphs\n",NULL);
    Tcl_AppendResult(interp,"  ColorGlyphsOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorGlyphsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToEigenvalues\n",NULL);
    Tcl_AppendResult(interp,"  SetClampScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampScaling\n",NULL);
    Tcl_AppendResult(interp,"  ClampScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxScaleFactor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetThreeGlyphs" );
    Tcl_DStringAppendElement ( &dString, "GetThreeGlyphs" );
    Tcl_DStringAppendElement ( &dString, "ThreeGlyphsOn" );
    Tcl_DStringAppendElement ( &dString, "ThreeGlyphsOff" );
    Tcl_DStringAppendElement ( &dString, "SetSymmetric" );
    Tcl_DStringAppendElement ( &dString, "GetSymmetric" );
    Tcl_DStringAppendElement ( &dString, "SymmetricOn" );
    Tcl_DStringAppendElement ( &dString, "SymmetricOff" );
    Tcl_DStringAppendElement ( &dString, "SetLength" );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    Tcl_DStringAppendElement ( &dString, "SetExtractEigenvalues" );
    Tcl_DStringAppendElement ( &dString, "ExtractEigenvaluesOn" );
    Tcl_DStringAppendElement ( &dString, "ExtractEigenvaluesOff" );
    Tcl_DStringAppendElement ( &dString, "GetExtractEigenvalues" );
    Tcl_DStringAppendElement ( &dString, "SetColorGlyphs" );
    Tcl_DStringAppendElement ( &dString, "GetColorGlyphs" );
    Tcl_DStringAppendElement ( &dString, "ColorGlyphsOn" );
    Tcl_DStringAppendElement ( &dString, "ColorGlyphsOff" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToScalars" );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToEigenvalues" );
    Tcl_DStringAppendElement ( &dString, "SetClampScaling" );
    Tcl_DStringAppendElement ( &dString, "GetClampScaling" );
    Tcl_DStringAppendElement ( &dString, "ClampScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ClampScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaxScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetMaxScaleFactor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTensorGlyph *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the geometry to copy to each point. Old style. See\n SetSourceConnection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource (vtkPolyData *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the geometry to copy to each point. Old style. See\n SetSourceConnection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetSource ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Specify a source object at a specified table location. New style.\n Source connection is stored in port 1. This method is equivalent\n to SetInputConnection(1, id, outputPort).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection (int id, vtkAlgorithmOutput *algOutput);" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSourceConnection */
    if ( strcmp ( argv[2], "SetSourceConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSourceConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSourceConnection */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of glyph with eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSourceConnection (vtkAlgorithmOutput *algOutput);this SetSourceConnection algOutput " );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetSourceConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaling */
    if ( strcmp ( argv[2], "SetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of glyph with eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaling */
    if ( strcmp ( argv[2], "GetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of glyph with eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOn */
    if ( strcmp ( argv[2], "ScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of glyph with eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOff */
    if ( strcmp ( argv[2], "ScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scaling of glyph with eigenvalues.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleFactor */
    if ( strcmp ( argv[2], "SetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by. (Scale factor always affects\n output even if scaling is off.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleFactor */
    if ( strcmp ( argv[2], "GetScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Specify scale factor to scale object by. (Scale factor always affects\n output even if scaling is off.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThreeGlyphs */
    if ( strcmp ( argv[2], "SetThreeGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThreeGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThreeGlyphs */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing three glyphs\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThreeGlyphs (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetThreeGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThreeGlyphs */
    if ( strcmp ( argv[2], "GetThreeGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThreeGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThreeGlyphs */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing three glyphs\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThreeGlyphs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetThreeGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeGlyphsOn */
    if ( strcmp ( argv[2], "ThreeGlyphsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeGlyphsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeGlyphsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing three glyphs\n" );
    Tcl_DStringAppendElement ( &dString, "void ThreeGlyphsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ThreeGlyphsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThreeGlyphsOff */
    if ( strcmp ( argv[2], "ThreeGlyphsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThreeGlyphsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThreeGlyphsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing three glyphs\n" );
    Tcl_DStringAppendElement ( &dString, "void ThreeGlyphsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ThreeGlyphsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSymmetric */
    if ( strcmp ( argv[2], "SetSymmetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSymmetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSymmetric */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing a mirror of each glyph\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSymmetric (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetSymmetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSymmetric */
    if ( strcmp ( argv[2], "GetSymmetric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSymmetric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSymmetric */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing a mirror of each glyph\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSymmetric ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetSymmetric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SymmetricOn */
    if ( strcmp ( argv[2], "SymmetricOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SymmetricOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SymmetricOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing a mirror of each glyph\n" );
    Tcl_DStringAppendElement ( &dString, "void SymmetricOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SymmetricOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SymmetricOff */
    if ( strcmp ( argv[2], "SymmetricOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SymmetricOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SymmetricOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off drawing a mirror of each glyph\n" );
    Tcl_DStringAppendElement ( &dString, "void SymmetricOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SymmetricOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLength */
    if ( strcmp ( argv[2], "SetLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance, along x, from the origin to the end of the \n source glyph. It is used to draw the symmetric glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength */
    if ( strcmp ( argv[2], "GetLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance, along x, from the origin to the end of the \n source glyph. It is used to draw the symmetric glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtractEigenvalues */
    if ( strcmp ( argv[2], "SetExtractEigenvalues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtractEigenvalues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtractEigenvalues */
    Tcl_DStringAppendElement ( &dString, " Turn on/off extraction of eigenvalues from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtractEigenvalues (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetExtractEigenvalues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractEigenvaluesOn */
    if ( strcmp ( argv[2], "ExtractEigenvaluesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractEigenvaluesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractEigenvaluesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off extraction of eigenvalues from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractEigenvaluesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ExtractEigenvaluesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractEigenvaluesOff */
    if ( strcmp ( argv[2], "ExtractEigenvaluesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractEigenvaluesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractEigenvaluesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off extraction of eigenvalues from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtractEigenvaluesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ExtractEigenvaluesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtractEigenvalues */
    if ( strcmp ( argv[2], "GetExtractEigenvalues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtractEigenvalues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtractEigenvalues */
    Tcl_DStringAppendElement ( &dString, " Turn on/off extraction of eigenvalues from tensor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtractEigenvalues ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetExtractEigenvalues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorGlyphs */
    if ( strcmp ( argv[2], "SetColorGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorGlyphs */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorGlyphs (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetColorGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorGlyphs */
    if ( strcmp ( argv[2], "GetColorGlyphs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorGlyphs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorGlyphs */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorGlyphs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetColorGlyphs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGlyphsOn */
    if ( strcmp ( argv[2], "ColorGlyphsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGlyphsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGlyphsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorGlyphsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ColorGlyphsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGlyphsOff */
    if ( strcmp ( argv[2], "ColorGlyphsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGlyphsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGlyphsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coloring of glyph with input scalar data or\n eigenvalues. If false, or input scalar data not present, then the\n scalars from the source object are passed through the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorGlyphsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ColorGlyphsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeMinValue */
    if ( strcmp ( argv[2], "GetColorModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetColorModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorModeMaxValue */
    if ( strcmp ( argv[2], "GetColorModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetColorModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToScalars */
    if ( strcmp ( argv[2], "SetColorModeToScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToScalars */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToScalars ();this SetColorMode COLOR_BY_SCALARS " );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetColorModeToScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorModeToEigenvalues */
    if ( strcmp ( argv[2], "SetColorModeToEigenvalues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorModeToEigenvalues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorModeToEigenvalues */
    Tcl_DStringAppendElement ( &dString, " Set the color mode to be used for the glyphs.  This can be set to\n use the input scalars (default) or to use the eigenvalues at the\n point.  If ThreeGlyphs is set and the eigenvalues are chosen for\n coloring then each glyph is colored by the corresponding\n eigenvalue and if not set the color corresponding to the largest\n eigenvalue is chosen.  The recognized values are:\n COLOR_BY_SCALARS = 0 (default)\n COLOR_BY_EIGENVALUES = 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorModeToEigenvalues ();this SetColorMode COLOR_BY_EIGENVALUES " );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetColorModeToEigenvalues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClampScaling */
    if ( strcmp ( argv[2], "SetClampScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClampScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClampScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetClampScaling (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetClampScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClampScaling */
    if ( strcmp ( argv[2], "GetClampScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClampScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClampScaling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClampScaling ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetClampScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampScalingOn */
    if ( strcmp ( argv[2], "ClampScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampScalingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampScalingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ClampScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClampScalingOff */
    if ( strcmp ( argv[2], "ClampScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClampScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClampScalingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off scalar clamping. If scalar clamping is on, the ivar\n MaxScaleFactor is used to control the maximum scale factor. (This is\n useful to prevent uncontrolled scaling near singularities.)\n" );
    Tcl_DStringAppendElement ( &dString, "void ClampScalingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for ClampScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxScaleFactor */
    if ( strcmp ( argv[2], "SetMaxScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum allowable scale factor. This value is compared to the\n combination of the scale factor times the eigenvalue. If less, the scale\n factor is reset to the MaxScaleFactor. The boolean ClampScaling has to \n be \"on\" for this to work.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for SetMaxScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxScaleFactor */
    if ( strcmp ( argv[2], "GetMaxScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum allowable scale factor. This value is compared to the\n combination of the scale factor times the eigenvalue. If less, the scale\n factor is reset to the MaxScaleFactor. The boolean ClampScaling has to \n be \"on\" for this to work.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTensorGlyph" );
    /* Closing for GetMaxScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
