// python wrapper for vtkTessellatorFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTessellatorFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTessellatorFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTessellatorFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkTessellatorFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  const char    *temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  vtkTessellatorFilter  *temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTessellatorFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTessellatorFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetTessellator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  vtkStreamingTessellator  *temp0;
  PyObject *tempH0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStreamingTessellator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStreamingTessellator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetTessellator(temp0);
      }
    else
      {
      op->SetTessellator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetTessellator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  vtkStreamingTessellator  *temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetTessellator();
      }
    else
      {
      temp20 = op->GetTessellator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetSubdivider(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  vtkDataSetEdgeSubdivisionCriterion  *temp0;
  PyObject *tempH0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSetEdgeSubdivisionCriterion *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetEdgeSubdivisionCriterion");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetSubdivider(temp0);
      }
    else
      {
      op->SetSubdivider(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetSubdivider(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  vtkDataSetEdgeSubdivisionCriterion  *temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetSubdivider();
      }
    else
      {
      temp20 = op->GetSubdivider();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  unsigned long     temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetOutputDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetOutputDimension(temp0);
      }
    else
      {
      op->SetOutputDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetOutputDimensionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetOutputDimensionMinValue();
      }
    else
      {
      temp20 = op->GetOutputDimensionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetOutputDimensionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetOutputDimensionMaxValue();
      }
    else
      {
      temp20 = op->GetOutputDimensionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetOutputDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetOutputDimension();
      }
    else
      {
      temp20 = op->GetOutputDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetMaximumNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetMaximumNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetMaximumNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetChordError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  double   temp0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetChordError(temp0);
      }
    else
      {
      op->SetChordError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetChordError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  double   temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetChordError();
      }
    else
      {
      temp20 = op->GetChordError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_ResetFieldCriteria(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::ResetFieldCriteria();
      }
    else
      {
      op->ResetFieldCriteria();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetFieldCriterion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp0;
  double   temp1;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetFieldCriterion(temp0,temp1);
      }
    else
      {
      op->SetFieldCriterion(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_GetMergePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp20;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTessellatorFilter::GetMergePoints();
      }
    else
      {
      temp20 = op->GetMergePoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_SetMergePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  int      temp0;
  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::SetMergePoints(temp0);
      }
    else
      {
      op->SetMergePoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_MergePointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::MergePointsOn();
      }
    else
      {
      op->MergePointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTessellatorFilter_MergePointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTessellatorFilter *op;

  op = (vtkTessellatorFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTessellatorFilter::MergePointsOff();
      }
    else
      {
      op->MergePointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTessellatorFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTessellatorFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTessellatorFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTessellatorFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTessellatorFilter\nC++: vtkTessellatorFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTessellatorFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTessellatorFilter\nC++: vtkTessellatorFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTessellator",                (PyCFunction)PyvtkTessellatorFilter_SetTessellator, 1,
   (char*)"V.SetTessellator(vtkStreamingTessellator)\nC++: virtual void SetTessellator (vtkStreamingTessellator *);\n\n"},
  {(char*)"GetTessellator",                (PyCFunction)PyvtkTessellatorFilter_GetTessellator, 1,
   (char*)"V.GetTessellator() -> vtkStreamingTessellator\nC++: vtkStreamingTessellator *GetTessellator ();\n\n"},
  {(char*)"SetSubdivider",                (PyCFunction)PyvtkTessellatorFilter_SetSubdivider, 1,
   (char*)"V.SetSubdivider(vtkDataSetEdgeSubdivisionCriterion)\nC++: virtual void SetSubdivider (vtkDataSetEdgeSubdivisionCriterion *);\n\n"},
  {(char*)"GetSubdivider",                (PyCFunction)PyvtkTessellatorFilter_GetSubdivider, 1,
   (char*)"V.GetSubdivider() -> vtkDataSetEdgeSubdivisionCriterion\nC++: vtkDataSetEdgeSubdivisionCriterion *GetSubdivider ();\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTessellatorFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n"},
  {(char*)"SetOutputDimension",                (PyCFunction)PyvtkTessellatorFilter_SetOutputDimension, 1,
   (char*)"V.SetOutputDimension(int)\nC++: void SetOutputDimension (int );\n\n Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n"},
  {(char*)"GetOutputDimensionMinValue",                (PyCFunction)PyvtkTessellatorFilter_GetOutputDimensionMinValue, 1,
   (char*)"V.GetOutputDimensionMinValue() -> int\nC++: int GetOutputDimensionMinValue ();\n\n Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n"},
  {(char*)"GetOutputDimensionMaxValue",                (PyCFunction)PyvtkTessellatorFilter_GetOutputDimensionMaxValue, 1,
   (char*)"V.GetOutputDimensionMaxValue() -> int\nC++: int GetOutputDimensionMaxValue ();\n\n Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n"},
  {(char*)"GetOutputDimension",                (PyCFunction)PyvtkTessellatorFilter_GetOutputDimension, 1,
   (char*)"V.GetOutputDimension() -> int\nC++: int GetOutputDimension ();\n\n Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n"},
  {(char*)"SetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkTessellatorFilter_SetMaximumNumberOfSubdivisions, 1,
   (char*)"V.SetMaximumNumberOfSubdivisions(int)\nC++: virtual void SetMaximumNumberOfSubdivisions (int num_subdiv_in);\n\n These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n"},
  {(char*)"GetMaximumNumberOfSubdivisions",                (PyCFunction)PyvtkTessellatorFilter_GetMaximumNumberOfSubdivisions, 1,
   (char*)"V.GetMaximumNumberOfSubdivisions() -> int\nC++: int GetMaximumNumberOfSubdivisions ();\n\n These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n"},
  {(char*)"SetChordError",                (PyCFunction)PyvtkTessellatorFilter_SetChordError, 1,
   (char*)"V.SetChordError(float)\nC++: virtual void SetChordError (double ce);\n\n These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n"},
  {(char*)"GetChordError",                (PyCFunction)PyvtkTessellatorFilter_GetChordError, 1,
   (char*)"V.GetChordError() -> float\nC++: double GetChordError ();\n\n These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n"},
  {(char*)"ResetFieldCriteria",                (PyCFunction)PyvtkTessellatorFilter_ResetFieldCriteria, 1,
   (char*)"V.ResetFieldCriteria()\nC++: virtual void ResetFieldCriteria ();\n\n These methods are for the ParaView client.\n"},
  {(char*)"SetFieldCriterion",                (PyCFunction)PyvtkTessellatorFilter_SetFieldCriterion, 1,
   (char*)"V.SetFieldCriterion(int, float)\nC++: virtual void SetFieldCriterion (int field, double chord);\n\n These methods are for the ParaView client.\n"},
  {(char*)"GetMergePoints",                (PyCFunction)PyvtkTessellatorFilter_GetMergePoints, 1,
   (char*)"V.GetMergePoints() -> int\nC++: int GetMergePoints ();\n\n The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n"},
  {(char*)"SetMergePoints",                (PyCFunction)PyvtkTessellatorFilter_SetMergePoints, 1,
   (char*)"V.SetMergePoints(int)\nC++: void SetMergePoints (int );\n\n The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n"},
  {(char*)"MergePointsOn",                (PyCFunction)PyvtkTessellatorFilter_MergePointsOn, 1,
   (char*)"V.MergePointsOn()\nC++: void MergePointsOn ();\n\n The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n"},
  {(char*)"MergePointsOff",                (PyCFunction)PyvtkTessellatorFilter_MergePointsOff, 1,
   (char*)"V.MergePointsOff()\nC++: void MergePointsOff ();\n\n The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTessellatorFilterDoc[] = {
  (char*)"vtkTessellatorFilter - approximate nonlinear FEM elements with simplices\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" This class approximates nonlinear FEM elements with linear simplices.\n\n <b>Warning</b>: This class is temporary and will go away at some point\n after ParaView 1.4.0.\n\n This filter rifles through all the cells in an input vtkDataSet. It\n tesselates each cell and uses the vtkStreamingTessellator and\n vtkDataSetEdgeSubdivisionCriterion classes to generate simplices that\n approximate the nonlinear me",
  (char*)"sh using some approximation metric (encoded\n in the particular vtkDataSetEdgeSubdivisionCriterion::EvaluateEdge\n implementation). The simplices are placed into the filter's output\n vtkDataSet object by the callback routines AddATetrahedron,\n AddATriangle, and AddALine, which are registered with the triangulator.\n\n The output mesh will have geometry and any fields specified as\n attributes in the in",
  (char*)"put mesh's point data.  The attribute's copy flags\n are honored, except for normals.\n\n .SECTION Internals\n\n The filter's main member function is RequestData(). This function first\n calls SetupOutput() which allocates arrays and some temporary variables\n for the primitive callbacks (OutputTriangle and OutputLine which are\n called by AddATriangle and AddALine, respectively).  Each cell is given\n an ",
  (char*)"initial tesselation, which results in one or more calls to\n OutputTetrahedron, OutputTriangle or OutputLine to add elements to the\n OutputMesh. Finally, Teardown() is called to free the filter's working\n space.\n\n\n",
  "See Also:\n\n vtkDataSetToUnstructuredGridFilter vtkDataSet vtkStreamingTessellator\n vtkDataSetEdgeSubdivisionCriterion\n\n",
  NULL
};

static vtkObjectBase *vtkTessellatorFilterStaticNew()
{
  return vtkTessellatorFilter::New();
}

PyObject *PyVTKClass_vtkTessellatorFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTessellatorFilterStaticNew,
                        PyvtkTessellatorFilterMethods,
                        (char*)"vtkTessellatorFilter",modulename,
                        (char**)vtkTessellatorFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

