// tcl wrapper for vtkTessellatorFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTessellatorFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTessellatorFilterNewCommand()
{
  vtkTessellatorFilter *temp = vtkTessellatorFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTessellatorFilterCppCommand(vtkTessellatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTessellatorFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTessellatorFilterCppCommand(static_cast<vtkTessellatorFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTessellatorFilterCppCommand(vtkTessellatorFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTessellatorFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTessellatorFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTessellatorFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTessellatorFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTessellatorFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTessellatorFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTessellatorFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetTessellator",argv[1]))&&(argc == 3))
    {
    vtkStreamingTessellator  *temp0;
    error = 0;

    temp0 = (vtkStreamingTessellator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStreamingTessellator"),interp,error));
    if (!error)
    {
    op->SetTessellator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTessellator",argv[1]))&&(argc == 2))
    {
    vtkStreamingTessellator  *temp20;
    temp20 = (op)->GetTessellator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStreamingTessellator");
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivider",argv[1]))&&(argc == 3))
    {
    vtkDataSetEdgeSubdivisionCriterion  *temp0;
    error = 0;

    temp0 = (vtkDataSetEdgeSubdivisionCriterion *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSetEdgeSubdivisionCriterion"),interp,error));
    if (!error)
    {
    op->SetSubdivider(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubdivider",argv[1]))&&(argc == 2))
    {
    vtkDataSetEdgeSubdivisionCriterion  *temp20;
    temp20 = (op)->GetSubdivider();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetEdgeSubdivisionCriterion");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputDimension",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputDimension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputDimensionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputDimensionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputDimensionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputDimensionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChordError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetChordError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChordError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetChordError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetFieldCriteria",argv[1]))&&(argc == 2))
    {
    op->ResetFieldCriteria();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldCriterion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetFieldCriterion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMergePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMergePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMergePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergePointsOn",argv[1]))&&(argc == 2))
    {
    op->MergePointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MergePointsOff",argv[1]))&&(argc == 2))
    {
    op->MergePointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTessellatorFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTessellatorFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTessellator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTessellator\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivider\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivider\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDimensionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDimensionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetChordError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChordError\n",NULL);
    Tcl_AppendResult(interp,"  ResetFieldCriteria\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldCriterion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMergePoints\n",NULL);
    Tcl_AppendResult(interp,"  SetMergePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergePointsOn\n",NULL);
    Tcl_AppendResult(interp,"  MergePointsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTessellator" );
    Tcl_DStringAppendElement ( &dString, "GetTessellator" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivider" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivider" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimension" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimension" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    Tcl_DStringAppendElement ( &dString, "SetChordError" );
    Tcl_DStringAppendElement ( &dString, "GetChordError" );
    Tcl_DStringAppendElement ( &dString, "ResetFieldCriteria" );
    Tcl_DStringAppendElement ( &dString, "SetFieldCriterion" );
    Tcl_DStringAppendElement ( &dString, "GetMergePoints" );
    Tcl_DStringAppendElement ( &dString, "SetMergePoints" );
    Tcl_DStringAppendElement ( &dString, "MergePointsOn" );
    Tcl_DStringAppendElement ( &dString, "MergePointsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTessellatorFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTessellator */
    if ( strcmp ( argv[2], "SetTessellator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTessellator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTessellator */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTessellator (vtkStreamingTessellator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetTessellator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTessellator */
    if ( strcmp ( argv[2], "GetTessellator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTessellator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTessellator */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStreamingTessellator *GetTessellator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetTessellator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivider */
    if ( strcmp ( argv[2], "SetSubdivider" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivider" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivider */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubdivider (vtkDataSetEdgeSubdivisionCriterion *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetSubdivider */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivider */
    if ( strcmp ( argv[2], "GetSubdivider" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivider" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivider */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetEdgeSubdivisionCriterion *GetSubdivider ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetSubdivider */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputDimension */
    if ( strcmp ( argv[2], "SetOutputDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputDimension */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputDimension (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetOutputDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDimensionMinValue */
    if ( strcmp ( argv[2], "GetOutputDimensionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDimensionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputDimensionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetOutputDimensionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDimensionMaxValue */
    if ( strcmp ( argv[2], "GetOutputDimensionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimensionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDimensionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputDimensionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetOutputDimensionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputDimension */
    if ( strcmp ( argv[2], "GetOutputDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputDimension */
    Tcl_DStringAppendElement ( &dString, " Set the dimension of the output tessellation.\n Cells in dimensions higher than the given value will have\n their boundaries of dimension \\a OutputDimension tessellated.\n For example, if \\a OutputDimension is 2, a hexahedron's\n quadrilateral faces would be tessellated rather than its\n interior.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputDimension ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetOutputDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "SetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfSubdivisions (int num_subdiv_in);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfSubdivisions */
    if ( strcmp ( argv[2], "GetMaximumNumberOfSubdivisions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfSubdivisions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfSubdivisions */
    Tcl_DStringAppendElement ( &dString, " These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfSubdivisions ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetMaximumNumberOfSubdivisions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetChordError */
    if ( strcmp ( argv[2], "SetChordError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetChordError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetChordError */
    Tcl_DStringAppendElement ( &dString, " These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetChordError (double ce);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetChordError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetChordError */
    if ( strcmp ( argv[2], "GetChordError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetChordError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetChordError */
    Tcl_DStringAppendElement ( &dString, " These are convenience routines for setting properties maintained by the\n tessellator and subdivider. They are implemented here for ParaView's\n sake.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetChordError ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetChordError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetFieldCriteria */
    if ( strcmp ( argv[2], "ResetFieldCriteria" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetFieldCriteria" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetFieldCriteria */
    Tcl_DStringAppendElement ( &dString, " These methods are for the ParaView client.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetFieldCriteria ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for ResetFieldCriteria */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldCriterion */
    if ( strcmp ( argv[2], "SetFieldCriterion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldCriterion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldCriterion */
    Tcl_DStringAppendElement ( &dString, " These methods are for the ParaView client.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldCriterion (int field, double chord);" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetFieldCriterion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergePoints */
    if ( strcmp ( argv[2], "GetMergePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergePoints */
    Tcl_DStringAppendElement ( &dString, " The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMergePoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for GetMergePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMergePoints */
    if ( strcmp ( argv[2], "SetMergePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMergePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMergePoints */
    Tcl_DStringAppendElement ( &dString, " The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMergePoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for SetMergePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergePointsOn */
    if ( strcmp ( argv[2], "MergePointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergePointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergePointsOn */
    Tcl_DStringAppendElement ( &dString, " The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergePointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for MergePointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergePointsOff */
    if ( strcmp ( argv[2], "MergePointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergePointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergePointsOff */
    Tcl_DStringAppendElement ( &dString, " The adaptive tessellation will output vertices that are not shared\n among cells, even where they should be. This can be corrected to\n some extents with a vtkMergeFilter.\n By default, the filter is off and vertices will not be shared.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergePointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTessellatorFilter" );
    /* Closing for MergePointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
