// python wrapper for vtkTextSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTextSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  const char    *temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  vtkTextSource  *temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextSource_SetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  char    *temp0;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetText(temp0);
      }
    else
      {
      op->SetText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_GetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  char    *temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::GetText();
      }
    else
      {
      temp20 = op->GetText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_SetBacking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  int      temp0;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetBacking(temp0);
      }
    else
      {
      op->SetBacking(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_GetBacking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  int      temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::GetBacking();
      }
    else
      {
      temp20 = op->GetBacking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_BackingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::BackingOn();
      }
    else
      {
      op->BackingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_BackingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::BackingOff();
      }
    else
      {
      op->BackingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_SetForegroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetForegroundColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetForegroundColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetForegroundColor(temp0);
      }
    else
      {
      op->SetForegroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_GetForegroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double  *temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::GetForegroundColor();
      }
    else
      {
      temp20 = op->GetForegroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_SetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetBackgroundColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackgroundColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextSource::SetBackgroundColor(temp0);
      }
    else
      {
      op->SetBackgroundColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextSource_GetBackgroundColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextSource *op;

  double  *temp20;
  op = (vtkTextSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextSource::GetBackgroundColor();
      }
    else
      {
      temp20 = op->GetBackgroundColor();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextSource\nC++: vtkTextSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextSource\nC++: vtkTextSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetText",                (PyCFunction)PyvtkTextSource_SetText, 1,
   (char*)"V.SetText(string)\nC++: void SetText (char *);\n\n Set/Get the text to be drawn.\n"},
  {(char*)"GetText",                (PyCFunction)PyvtkTextSource_GetText, 1,
   (char*)"V.GetText() -> string\nC++: char *GetText ();\n\n Set/Get the text to be drawn.\n"},
  {(char*)"SetBacking",                (PyCFunction)PyvtkTextSource_SetBacking, 1,
   (char*)"V.SetBacking(int)\nC++: void SetBacking (int );\n\n Controls whether or not a background is drawn with the text.\n"},
  {(char*)"GetBacking",                (PyCFunction)PyvtkTextSource_GetBacking, 1,
   (char*)"V.GetBacking() -> int\nC++: int GetBacking ();\n\n Controls whether or not a background is drawn with the text.\n"},
  {(char*)"BackingOn",                (PyCFunction)PyvtkTextSource_BackingOn, 1,
   (char*)"V.BackingOn()\nC++: void BackingOn ();\n\n Controls whether or not a background is drawn with the text.\n"},
  {(char*)"BackingOff",                (PyCFunction)PyvtkTextSource_BackingOff, 1,
   (char*)"V.BackingOff()\nC++: void BackingOff ();\n\n Controls whether or not a background is drawn with the text.\n"},
  {(char*)"SetForegroundColor",                (PyCFunction)PyvtkTextSource_SetForegroundColor, 1,
   (char*)"V.SetForegroundColor(float, float, float)\nC++: void SetForegroundColor (double , double , double );\nV.SetForegroundColor((float, float, float))\nC++: void SetForegroundColor (double  a[3]);\n\n Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.\n"},
  {(char*)"GetForegroundColor",                (PyCFunction)PyvtkTextSource_GetForegroundColor, 1,
   (char*)"V.GetForegroundColor() -> (float, float, float)\nC++: double  *GetForegroundColor ();\n\n Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.\n"},
  {(char*)"SetBackgroundColor",                (PyCFunction)PyvtkTextSource_SetBackgroundColor, 1,
   (char*)"V.SetBackgroundColor(float, float, float)\nC++: void SetBackgroundColor (double , double , double );\nV.SetBackgroundColor((float, float, float))\nC++: void SetBackgroundColor (double  a[3]);\n\n Set/Get the background color. Default is black (0,0,0). Alpha is always 1.\n"},
  {(char*)"GetBackgroundColor",                (PyCFunction)PyvtkTextSource_GetBackgroundColor, 1,
   (char*)"V.GetBackgroundColor() -> (float, float, float)\nC++: double  *GetBackgroundColor ();\n\n Set/Get the background color. Default is black (0,0,0). Alpha is always 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextSourceDoc[] = {
  (char*)"vtkTextSource - create polygonal text\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTextSource converts a text string into polygons.  This way you can \n insert text into your renderings. It uses the 9x15 font from X Windows.\n You can specify if you want the background to be drawn or not. The\n characters are formed by scan converting the raster font into\n quadrilaterals. Colors are assigned to the letters using scalar data.\n To set the color of the characters with the source's",
  (char*)" actor property, set\n BackingOff on the text source and ScalarVisibilityOff on the associated\n vtkPolyDataMapper. Then, the color can be set using the associated actor's\n property.\n\n vtkVectorText generates higher quality polygonal representations of\n characters.\n\n",
  "See Also:\n\n vtkVectorText\n\n",
  NULL
};

static vtkObjectBase *vtkTextSourceStaticNew()
{
  return vtkTextSource::New();
}

PyObject *PyVTKClass_vtkTextSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextSourceStaticNew,
                        PyvtkTextSourceMethods,
                        (char*)"vtkTextSource",modulename,
                        (char**)vtkTextSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

