// python wrapper for vtkTextureMapToCylinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextureMapToCylinder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextureMapToCylinderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextureMapToCylinderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTextureMapToCylinder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  const char    *temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  vtkTextureMapToCylinder  *temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextureMapToCylinder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextureMapToCylinder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double  *temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  double  *temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_SetAutomaticCylinderGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  int      temp0;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetAutomaticCylinderGeneration(temp0);
      }
    else
      {
      op->SetAutomaticCylinderGeneration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_GetAutomaticCylinderGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  int      temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::GetAutomaticCylinderGeneration();
      }
    else
      {
      temp20 = op->GetAutomaticCylinderGeneration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_AutomaticCylinderGenerationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::AutomaticCylinderGenerationOn();
      }
    else
      {
      op->AutomaticCylinderGenerationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_AutomaticCylinderGenerationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::AutomaticCylinderGenerationOff();
      }
    else
      {
      op->AutomaticCylinderGenerationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_SetPreventSeam(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  int      temp0;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::SetPreventSeam(temp0);
      }
    else
      {
      op->SetPreventSeam(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_GetPreventSeam(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  int      temp20;
  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToCylinder::GetPreventSeam();
      }
    else
      {
      temp20 = op->GetPreventSeam();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_PreventSeamOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::PreventSeamOn();
      }
    else
      {
      op->PreventSeamOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToCylinder_PreventSeamOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToCylinder::PreventSeamOff();
      }
    else
      {
      op->PreventSeamOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextureMapToCylinderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextureMapToCylinder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextureMapToCylinder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextureMapToCylinder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextureMapToCylinder\nC++: vtkTextureMapToCylinder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextureMapToCylinder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextureMapToCylinder\nC++: vtkTextureMapToCylinder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkTextureMapToCylinder_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double , double , double );\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double  a[3]);\n\n Specify the first point defining the cylinder axis,\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkTextureMapToCylinder_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double  *GetPoint1 ();\n\n Specify the first point defining the cylinder axis,\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkTextureMapToCylinder_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double , double , double );\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double  a[3]);\n\n Specify the second point defining the cylinder axis,\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkTextureMapToCylinder_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double  *GetPoint2 ();\n\n Specify the second point defining the cylinder axis,\n"},
  {(char*)"SetAutomaticCylinderGeneration",                (PyCFunction)PyvtkTextureMapToCylinder_SetAutomaticCylinderGeneration, 1,
   (char*)"V.SetAutomaticCylinderGeneration(int)\nC++: void SetAutomaticCylinderGeneration (int );\n\n Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n"},
  {(char*)"GetAutomaticCylinderGeneration",                (PyCFunction)PyvtkTextureMapToCylinder_GetAutomaticCylinderGeneration, 1,
   (char*)"V.GetAutomaticCylinderGeneration() -> int\nC++: int GetAutomaticCylinderGeneration ();\n\n Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n"},
  {(char*)"AutomaticCylinderGenerationOn",                (PyCFunction)PyvtkTextureMapToCylinder_AutomaticCylinderGenerationOn, 1,
   (char*)"V.AutomaticCylinderGenerationOn()\nC++: void AutomaticCylinderGenerationOn ();\n\n Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n"},
  {(char*)"AutomaticCylinderGenerationOff",                (PyCFunction)PyvtkTextureMapToCylinder_AutomaticCylinderGenerationOff, 1,
   (char*)"V.AutomaticCylinderGenerationOff()\nC++: void AutomaticCylinderGenerationOff ();\n\n Turn on/off automatic cylinder generation. This means it automatically\n finds the cylinder center and axis.\n"},
  {(char*)"SetPreventSeam",                (PyCFunction)PyvtkTextureMapToCylinder_SetPreventSeam, 1,
   (char*)"V.SetPreventSeam(int)\nC++: void SetPreventSeam (int );\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n"},
  {(char*)"GetPreventSeam",                (PyCFunction)PyvtkTextureMapToCylinder_GetPreventSeam, 1,
   (char*)"V.GetPreventSeam() -> int\nC++: int GetPreventSeam ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n"},
  {(char*)"PreventSeamOn",                (PyCFunction)PyvtkTextureMapToCylinder_PreventSeamOn, 1,
   (char*)"V.PreventSeamOn()\nC++: void PreventSeamOn ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n"},
  {(char*)"PreventSeamOff",                (PyCFunction)PyvtkTextureMapToCylinder_PreventSeamOff, 1,
   (char*)"V.PreventSeamOff()\nC++: void PreventSeamOff ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n angle variation from 0->180 and 180->0. Otherwise, the s-coordinate\n ranges from 0->1 from 0->360 degrees.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextureMapToCylinderDoc[] = {
  (char*)"vtkTextureMapToCylinder - generate texture coordinates by mapping points to cylinder\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkTextureMapToCylinder is a filter that generates 2D texture coordinates\n by mapping input dataset points onto a cylinder. The cylinder can either be\n user specified or generated automatically. (The cylinder is generated \n automatically by computing the axis of the cylinder.)  Note that the\n generated texture coordinates for the s-coordinate ranges from (0-1) \n (corresponding to angle of 0->360 ",
  (char*)"around axis), while the mapping of \n the t-coordinate is controlled by the projection of points along the axis.\n\n To specify a cylinder manually, you must provide two points that\n define the axis of the cylinder. The length of the axis will affect the\n t-coordinates.\n \n A special ivar controls how the s-coordinate is generated. If PreventSeam\n is set to true, the s-texture varies from 0->1 and the",
  (char*)"n 1->0 (corresponding\n to angles of 0->180 and 180->360).\n\n",
  "Caveats:\n\n Since the resulting texture s-coordinate will lie between (0,1), and the\n origin of the texture coordinates is not user-controllable, you may want\n to use the class vtkTransformTexture to linearly scale and shift the origin\n of the texture coordinates.\n\n",
  "See Also:\n\n vtkTextureMapToPlane vtkTextureMapToSphere vtkTextureMapToBox\n vtkTransformTexture vtkThresholdTextureCoords\n\n",
  NULL
};

static vtkObjectBase *vtkTextureMapToCylinderStaticNew()
{
  return vtkTextureMapToCylinder::New();
}

PyObject *PyVTKClass_vtkTextureMapToCylinderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextureMapToCylinderStaticNew,
                        PyvtkTextureMapToCylinderMethods,
                        (char*)"vtkTextureMapToCylinder",modulename,
                        (char**)vtkTextureMapToCylinderDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

