// python wrapper for vtkTextureMapToPlane object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextureMapToPlane.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextureMapToPlaneNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextureMapToPlaneNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTextureMapToPlane_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  const char    *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  vtkTextureMapToPlane  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextureMapToPlane  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextureMapToPlane::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetSRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetSRange(temp0,temp1);
      }
    else
      {
      op->SetSRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetSRange(temp0);
      }
    else
      {
      op->SetSRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetSRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetSRange();
      }
    else
      {
      temp20 = op->GetSRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetTRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double   temp0;
  double   temp1;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetTRange(temp0,temp1);
      }
    else
      {
      op->SetTRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetTRange(temp0);
      }
    else
      {
      op->SetTRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetTRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  double  *temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetTRange();
      }
    else
      {
      temp20 = op->GetTRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_SetAutomaticPlaneGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  int      temp0;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::SetAutomaticPlaneGeneration(temp0);
      }
    else
      {
      op->SetAutomaticPlaneGeneration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_GetAutomaticPlaneGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  int      temp20;
  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToPlane::GetAutomaticPlaneGeneration();
      }
    else
      {
      temp20 = op->GetAutomaticPlaneGeneration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_AutomaticPlaneGenerationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::AutomaticPlaneGenerationOn();
      }
    else
      {
      op->AutomaticPlaneGenerationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToPlane_AutomaticPlaneGenerationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToPlane *op;

  op = (vtkTextureMapToPlane *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToPlane::AutomaticPlaneGenerationOff();
      }
    else
      {
      op->AutomaticPlaneGenerationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextureMapToPlaneMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextureMapToPlane_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextureMapToPlane_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextureMapToPlane_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextureMapToPlane\nC++: vtkTextureMapToPlane *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextureMapToPlane_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextureMapToPlane\nC++: vtkTextureMapToPlane *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkTextureMapToPlane_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Specify a point defining the origin of the plane. Used in conjunction with\n the Point1 and Point2 ivars to specify a map plane.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkTextureMapToPlane_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Specify a point defining the origin of the plane. Used in conjunction with\n the Point1 and Point2 ivars to specify a map plane.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkTextureMapToPlane_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double , double , double );\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double  a[3]);\n\n Specify a point defining the first axis of the plane.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkTextureMapToPlane_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double  *GetPoint1 ();\n\n Specify a point defining the first axis of the plane.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkTextureMapToPlane_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double , double , double );\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double  a[3]);\n\n Specify a point defining the second axis of the plane.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkTextureMapToPlane_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double  *GetPoint2 ();\n\n Specify a point defining the second axis of the plane.\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkTextureMapToPlane_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double , double , double );\nV.SetNormal((float, float, float))\nC++: void SetNormal (double  a[3]);\n\n Specify plane normal. An alternative way to specify a map plane. Using\n this method, the object will scale the resulting texture coordinate\n between the SRange and TRange specified.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkTextureMapToPlane_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Specify plane normal. An alternative way to specify a map plane. Using\n this method, the object will scale the resulting texture coordinate\n between the SRange and TRange specified.\n"},
  {(char*)"SetSRange",                (PyCFunction)PyvtkTextureMapToPlane_SetSRange, 1,
   (char*)"V.SetSRange(float, float)\nC++: void SetSRange (double , double );\nV.SetSRange((float, float))\nC++: void SetSRange (double  a[2]);\n\n Specify s-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"GetSRange",                (PyCFunction)PyvtkTextureMapToPlane_GetSRange, 1,
   (char*)"V.GetSRange() -> (float, float)\nC++: double  *GetSRange ();\n\n Specify s-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"SetTRange",                (PyCFunction)PyvtkTextureMapToPlane_SetTRange, 1,
   (char*)"V.SetTRange(float, float)\nC++: void SetTRange (double , double );\nV.SetTRange((float, float))\nC++: void SetTRange (double  a[2]);\n\n Specify t-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"GetTRange",                (PyCFunction)PyvtkTextureMapToPlane_GetTRange, 1,
   (char*)"V.GetTRange() -> (float, float)\nC++: double  *GetTRange ();\n\n Specify t-coordinate range for texture s-t coordinate pair.\n"},
  {(char*)"SetAutomaticPlaneGeneration",                (PyCFunction)PyvtkTextureMapToPlane_SetAutomaticPlaneGeneration, 1,
   (char*)"V.SetAutomaticPlaneGeneration(int)\nC++: void SetAutomaticPlaneGeneration (int );\n\n Turn on/off automatic plane generation.\n"},
  {(char*)"GetAutomaticPlaneGeneration",                (PyCFunction)PyvtkTextureMapToPlane_GetAutomaticPlaneGeneration, 1,
   (char*)"V.GetAutomaticPlaneGeneration() -> int\nC++: int GetAutomaticPlaneGeneration ();\n\n Turn on/off automatic plane generation.\n"},
  {(char*)"AutomaticPlaneGenerationOn",                (PyCFunction)PyvtkTextureMapToPlane_AutomaticPlaneGenerationOn, 1,
   (char*)"V.AutomaticPlaneGenerationOn()\nC++: void AutomaticPlaneGenerationOn ();\n\n Turn on/off automatic plane generation.\n"},
  {(char*)"AutomaticPlaneGenerationOff",                (PyCFunction)PyvtkTextureMapToPlane_AutomaticPlaneGenerationOff, 1,
   (char*)"V.AutomaticPlaneGenerationOff()\nC++: void AutomaticPlaneGenerationOff ();\n\n Turn on/off automatic plane generation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextureMapToPlaneDoc[] = {
  (char*)"vtkTextureMapToPlane - generate texture coordinates by mapping points to plane\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkTextureMapToPlane is a filter that generates 2D texture coordinates\n by mapping input dataset points onto a plane. The plane can either be\n user specified or generated automatically. (A least squares method is\n used to generate the plane automatically.)\n\n There are two ways you can specify the plane. The first is to provide a\n plane normal. In this case the points are projected to a plane, and",
  (char*)" the\n points are then mapped into the user specified s-t coordinate range. For\n more control, you can specify a plane with three points: an origin and two\n points defining the two axes of the plane. (This is compatible with the\n vtkPlaneSource.) Using the second method, the SRange and TRange vectors\n are ignored, since the presumption is that the user does not want to scale\n the texture coordinate",
  (char*)"s; and you can adjust the origin and axes points to\n achieve the texture coordinate scaling you need. Note also that using the\n three point method the axes do not have to be orthogonal.\n\n",
  "See Also:\n\n vtkTextureMapToBox vtkPlaneSource vtkTextureMapToCylinder\n vtkTextureMapToSphere vtkThresholdTextureCoords\n\n",
  NULL
};

static vtkObjectBase *vtkTextureMapToPlaneStaticNew()
{
  return vtkTextureMapToPlane::New();
}

PyObject *PyVTKClass_vtkTextureMapToPlaneNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextureMapToPlaneStaticNew,
                        PyvtkTextureMapToPlaneMethods,
                        (char*)"vtkTextureMapToPlane",modulename,
                        (char**)vtkTextureMapToPlaneDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

