// python wrapper for vtkTextureMapToSphere object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextureMapToSphere.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextureMapToSphereNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextureMapToSphereNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTextureMapToSphere_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  const char    *temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  vtkTextureMapToSphere  *temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextureMapToSphere  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextureMapToSphere::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  double  *temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_SetAutomaticSphereGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  int      temp0;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::SetAutomaticSphereGeneration(temp0);
      }
    else
      {
      op->SetAutomaticSphereGeneration(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_GetAutomaticSphereGeneration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  int      temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::GetAutomaticSphereGeneration();
      }
    else
      {
      temp20 = op->GetAutomaticSphereGeneration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_AutomaticSphereGenerationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::AutomaticSphereGenerationOn();
      }
    else
      {
      op->AutomaticSphereGenerationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_AutomaticSphereGenerationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::AutomaticSphereGenerationOff();
      }
    else
      {
      op->AutomaticSphereGenerationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_SetPreventSeam(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  int      temp0;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::SetPreventSeam(temp0);
      }
    else
      {
      op->SetPreventSeam(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_GetPreventSeam(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  int      temp20;
  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextureMapToSphere::GetPreventSeam();
      }
    else
      {
      temp20 = op->GetPreventSeam();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_PreventSeamOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::PreventSeamOn();
      }
    else
      {
      op->PreventSeamOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextureMapToSphere_PreventSeamOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextureMapToSphere::PreventSeamOff();
      }
    else
      {
      op->PreventSeamOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextureMapToSphereMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextureMapToSphere_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextureMapToSphere_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextureMapToSphere_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextureMapToSphere\nC++: vtkTextureMapToSphere *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextureMapToSphere_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextureMapToSphere\nC++: vtkTextureMapToSphere *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkTextureMapToSphere_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Specify a point defining the center of the sphere.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkTextureMapToSphere_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Specify a point defining the center of the sphere.\n"},
  {(char*)"SetAutomaticSphereGeneration",                (PyCFunction)PyvtkTextureMapToSphere_SetAutomaticSphereGeneration, 1,
   (char*)"V.SetAutomaticSphereGeneration(int)\nC++: void SetAutomaticSphereGeneration (int );\n\n Turn on/off automatic sphere generation. This means it automatically\n finds the sphere center.\n"},
  {(char*)"GetAutomaticSphereGeneration",                (PyCFunction)PyvtkTextureMapToSphere_GetAutomaticSphereGeneration, 1,
   (char*)"V.GetAutomaticSphereGeneration() -> int\nC++: int GetAutomaticSphereGeneration ();\n\n Turn on/off automatic sphere generation. This means it automatically\n finds the sphere center.\n"},
  {(char*)"AutomaticSphereGenerationOn",                (PyCFunction)PyvtkTextureMapToSphere_AutomaticSphereGenerationOn, 1,
   (char*)"V.AutomaticSphereGenerationOn()\nC++: void AutomaticSphereGenerationOn ();\n\n Turn on/off automatic sphere generation. This means it automatically\n finds the sphere center.\n"},
  {(char*)"AutomaticSphereGenerationOff",                (PyCFunction)PyvtkTextureMapToSphere_AutomaticSphereGenerationOff, 1,
   (char*)"V.AutomaticSphereGenerationOff()\nC++: void AutomaticSphereGenerationOff ();\n\n Turn on/off automatic sphere generation. This means it automatically\n finds the sphere center.\n"},
  {(char*)"SetPreventSeam",                (PyCFunction)PyvtkTextureMapToSphere_SetPreventSeam, 1,
   (char*)"V.SetPreventSeam(int)\nC++: void SetPreventSeam (int );\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n theta angle variation between 0->180 and 180->0 degrees. Otherwise, the\n s-coordinate ranges from 0->1 between 0->360 degrees.\n"},
  {(char*)"GetPreventSeam",                (PyCFunction)PyvtkTextureMapToSphere_GetPreventSeam, 1,
   (char*)"V.GetPreventSeam() -> int\nC++: int GetPreventSeam ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n theta angle variation between 0->180 and 180->0 degrees. Otherwise, the\n s-coordinate ranges from 0->1 between 0->360 degrees.\n"},
  {(char*)"PreventSeamOn",                (PyCFunction)PyvtkTextureMapToSphere_PreventSeamOn, 1,
   (char*)"V.PreventSeamOn()\nC++: void PreventSeamOn ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n theta angle variation between 0->180 and 180->0 degrees. Otherwise, the\n s-coordinate ranges from 0->1 between 0->360 degrees.\n"},
  {(char*)"PreventSeamOff",                (PyCFunction)PyvtkTextureMapToSphere_PreventSeamOff, 1,
   (char*)"V.PreventSeamOff()\nC++: void PreventSeamOff ();\n\n Control how the texture coordinates are generated. If PreventSeam is\n set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the\n theta angle variation between 0->180 and 180->0 degrees. Otherwise, the\n s-coordinate ranges from 0->1 between 0->360 degrees.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextureMapToSphereDoc[] = {
  (char*)"vtkTextureMapToSphere - generate texture coordinates by mapping points to sphere\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkTextureMapToSphere is a filter that generates 2D texture coordinates by\n mapping input dataset points onto a sphere. The sphere can either be user\n specified or generated automatically. (The sphere is generated\n automatically by computing the center (i.e., averaged coordinates) of the\n sphere.)  Note that the generated texture coordinates range between\n (0,1). The s-coordinate lies in the angu",
  (char*)"lar direction around the z-axis,\n measured counter-clockwise from the x-axis. The t-coordinate lies in the\n angular direction measured down from the north pole towards the south\n pole.\n\n A special ivar controls how the s-coordinate is generated. If PreventSeam\n is set to true, the s-texture varies from 0->1 and then 1->0 (corresponding\n to angles of 0->180 and 180->360).\n\n",
  "Caveats:\n\n The resulting texture coordinates will lie between (0,1), and the texture\n coordinates are determined with respect to the modeler's x-y-z coordinate\n system. Use the class vtkTransformTextureCoords to linearly scale and\n shift the origin of the texture coordinates (if necessary).\n\n",
  "See Also:\n\n vtkTextureMapToPlane vtkTextureMapToCylinder vtkTextureMapToBox\n vtkTransformTexture vtkThresholdTextureCoords\n\n",
  NULL
};

static vtkObjectBase *vtkTextureMapToSphereStaticNew()
{
  return vtkTextureMapToSphere::New();
}

PyObject *PyVTKClass_vtkTextureMapToSphereNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextureMapToSphereStaticNew,
                        PyvtkTextureMapToSphereMethods,
                        (char*)"vtkTextureMapToSphere",modulename,
                        (char**)vtkTextureMapToSphereDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

