// python wrapper for vtkThresholdPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkThresholdPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThresholdPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThresholdPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkThresholdPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  const char    *temp20;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  char    *temp0;
  int      temp20;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  vtkThresholdPoints  *temp20;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThresholdPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThresholdPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThresholdPoints_ThresholdByLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp0;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdPoints::ThresholdByLower(temp0);
      }
    else
      {
      op->ThresholdByLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_ThresholdByUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp0;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdPoints::ThresholdByUpper(temp0);
      }
    else
      {
      op->ThresholdByUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_ThresholdBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp0;
  double   temp1;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdPoints::ThresholdBetween(temp0,temp1);
      }
    else
      {
      op->ThresholdBetween(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_SetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp0;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdPoints::SetUpperThreshold(temp0);
      }
    else
      {
      op->SetUpperThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp20;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdPoints::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_SetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp0;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdPoints::SetLowerThreshold(temp0);
      }
    else
      {
      op->SetLowerThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdPoints_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdPoints *op;

  double   temp20;
  op = (vtkThresholdPoints *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdPoints::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThresholdPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThresholdPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThresholdPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThresholdPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThresholdPoints\nC++: vtkThresholdPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThresholdPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThresholdPoints\nC++: vtkThresholdPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ThresholdByLower",                (PyCFunction)PyvtkThresholdPoints_ThresholdByLower, 1,
   (char*)"V.ThresholdByLower(float)\nC++: void ThresholdByLower (double lower);\n\n Criterion is cells whose scalars are less or equal to lower threshold.\n"},
  {(char*)"ThresholdByUpper",                (PyCFunction)PyvtkThresholdPoints_ThresholdByUpper, 1,
   (char*)"V.ThresholdByUpper(float)\nC++: void ThresholdByUpper (double upper);\n\n Criterion is cells whose scalars are greater or equal to upper threshold.\n"},
  {(char*)"ThresholdBetween",                (PyCFunction)PyvtkThresholdPoints_ThresholdBetween, 1,
   (char*)"V.ThresholdBetween(float, float)\nC++: void ThresholdBetween (double lower, double upper);\n\n Criterion is cells whose scalars are between lower and upper thresholds\n (inclusive of the end values).\n"},
  {(char*)"SetUpperThreshold",                (PyCFunction)PyvtkThresholdPoints_SetUpperThreshold, 1,
   (char*)"V.SetUpperThreshold(float)\nC++: void SetUpperThreshold (double );\n\n Set/Get the upper threshold.\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkThresholdPoints_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: double GetUpperThreshold ();\n\n Set/Get the upper threshold.\n"},
  {(char*)"SetLowerThreshold",                (PyCFunction)PyvtkThresholdPoints_SetLowerThreshold, 1,
   (char*)"V.SetLowerThreshold(float)\nC++: void SetLowerThreshold (double );\n\n Set/Get the lower threshold.\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkThresholdPoints_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: double GetLowerThreshold ();\n\n Set/Get the lower threshold.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThresholdPointsDoc[] = {
  (char*)"vtkThresholdPoints - extracts points whose scalar value satisfies threshold criterion\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkThresholdPoints is a filter that extracts points from a dataset that \n satisfy a threshold criterion. The criterion can take three forms:\n 1) greater than a particular value; 2) less than a particular value; or\n 3) between a particular value. The output of the filter is polygonal data.\n\n",
  "See Also:\n\n vtkThreshold\n\n",
  NULL
};

static vtkObjectBase *vtkThresholdPointsStaticNew()
{
  return vtkThresholdPoints::New();
}

PyObject *PyVTKClass_vtkThresholdPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkThresholdPointsStaticNew,
                        PyvtkThresholdPointsMethods,
                        (char*)"vtkThresholdPoints",modulename,
                        (char**)vtkThresholdPointsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

