// tcl wrapper for vtkThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreshold.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkThresholdNewCommand()
{
  vtkThreshold *temp = vtkThreshold::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkThresholdCppCommand(vtkThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkThresholdCppCommand(static_cast<vtkThreshold *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkThresholdCppCommand(vtkThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkThreshold",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreshold");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByLower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByLower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByUpper",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByUpper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdBetween",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->ThresholdBetween(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUpperThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowerThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowerThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAttributeModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComponentMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseSelected",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseSelected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseAll",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseAll();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseAny",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseAny();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetComponentModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllScalarsOn",argv[1]))&&(argc == 2))
    {
    op->AllScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllScalarsOff",argv[1]))&&(argc == 2))
    {
    op->AllScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointsDataTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetPointsDataTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointsDataTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetPointsDataTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointsDataType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointsDataType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointsDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointsDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkThresholdCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByLower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByUpper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdBetween\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentMode\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseSelected\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseAll\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseAny\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetAllScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllScalars\n",NULL);
    Tcl_AppendResult(interp,"  AllScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointsDataTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetPointsDataTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetPointsDataType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointsDataType\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetComponentMode" );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetComponentMode" );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseSelected" );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseAll" );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseAny" );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedComponent" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponent" );
    Tcl_DStringAppendElement ( &dString, "SetAllScalars" );
    Tcl_DStringAppendElement ( &dString, "GetAllScalars" );
    Tcl_DStringAppendElement ( &dString, "AllScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "AllScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataType" );
    Tcl_DStringAppendElement ( &dString, "GetPointsDataType" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkThreshold *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByLower */
    if ( strcmp ( argv[2], "ThresholdByLower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByLower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByLower */
    Tcl_DStringAppendElement ( &dString, " Criterion is cells whose scalars are less or equal to lower threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByLower (double lower);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for ThresholdByLower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdByUpper */
    if ( strcmp ( argv[2], "ThresholdByUpper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdByUpper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdByUpper */
    Tcl_DStringAppendElement ( &dString, " Criterion is cells whose scalars are greater or equal to upper threshold.\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdByUpper (double upper);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for ThresholdByUpper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ThresholdBetween */
    if ( strcmp ( argv[2], "ThresholdBetween" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ThresholdBetween" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ThresholdBetween */
    Tcl_DStringAppendElement ( &dString, " Criterion is cells whose scalars are between lower and upper thresholds\n (inclusive of the end values).\n" );
    Tcl_DStringAppendElement ( &dString, "void ThresholdBetween (double lower, double upper);" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for ThresholdBetween */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpperThreshold */
    if ( strcmp ( argv[2], "GetUpperThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpperThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpperThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetUpperThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetUpperThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowerThreshold */
    if ( strcmp ( argv[2], "GetLowerThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowerThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowerThreshold */
    Tcl_DStringAppendElement ( &dString, " Get the Upper and Lower thresholds.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLowerThreshold ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetLowerThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeMode */
    if ( strcmp ( argv[2], "SetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeMode */
    if ( strcmp ( argv[2], "GetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToDefault */
    if ( strcmp ( argv[2], "SetAttributeModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetAttributeModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUsePointData */
    if ( strcmp ( argv[2], "SetAttributeModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetAttributeModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUseCellData */
    if ( strcmp ( argv[2], "SetAttributeModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetAttributeModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeModeAsString */
    if ( strcmp ( argv[2], "GetAttributeModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttributeModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetAttributeModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentMode */
    if ( strcmp ( argv[2], "SetComponentMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentMode */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetComponentMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentModeMinValue */
    if ( strcmp ( argv[2], "GetComponentModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponentModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetComponentModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentModeMaxValue */
    if ( strcmp ( argv[2], "GetComponentModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponentModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetComponentModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentMode */
    if ( strcmp ( argv[2], "GetComponentMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentMode */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponentMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetComponentMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentModeToUseSelected */
    if ( strcmp ( argv[2], "SetComponentModeToUseSelected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseSelected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentModeToUseSelected */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentModeToUseSelected ();this SetComponentMode VTK_COMPONENT_MODE_USE_SELECTED " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetComponentModeToUseSelected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentModeToUseAll */
    if ( strcmp ( argv[2], "SetComponentModeToUseAll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseAll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentModeToUseAll */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentModeToUseAll ();this SetComponentMode VTK_COMPONENT_MODE_USE_ALL " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetComponentModeToUseAll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentModeToUseAny */
    if ( strcmp ( argv[2], "SetComponentModeToUseAny" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentModeToUseAny" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentModeToUseAny */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentModeToUseAny ();this SetComponentMode VTK_COMPONENT_MODE_USE_ANY " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetComponentModeToUseAny */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentModeAsString */
    if ( strcmp ( argv[2], "GetComponentModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetComponentModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetComponentModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedComponent */
    if ( strcmp ( argv[2], "SetSelectedComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedComponent */
    Tcl_DStringAppendElement ( &dString, " When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedComponent (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetSelectedComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedComponentMinValue */
    if ( strcmp ( argv[2], "GetSelectedComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedComponentMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetSelectedComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedComponentMaxValue */
    if ( strcmp ( argv[2], "GetSelectedComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedComponentMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetSelectedComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedComponent */
    if ( strcmp ( argv[2], "GetSelectedComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedComponent */
    Tcl_DStringAppendElement ( &dString, " When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectedComponent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetSelectedComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllScalars */
    if ( strcmp ( argv[2], "SetAllScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllScalars */
    Tcl_DStringAppendElement ( &dString, " If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetAllScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllScalars */
    if ( strcmp ( argv[2], "GetAllScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllScalars */
    Tcl_DStringAppendElement ( &dString, " If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetAllScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllScalarsOn */
    if ( strcmp ( argv[2], "AllScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllScalarsOn */
    Tcl_DStringAppendElement ( &dString, " If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for AllScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllScalarsOff */
    if ( strcmp ( argv[2], "AllScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllScalarsOff */
    Tcl_DStringAppendElement ( &dString, " If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for AllScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointsDataTypeToDouble */
    if ( strcmp ( argv[2], "SetPointsDataTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointsDataTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the data type of the output points (See the data types defined in \n vtkType.h). The default data type is float.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointsDataTypeToDouble ();this SetPointsDataType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetPointsDataTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointsDataTypeToFloat */
    if ( strcmp ( argv[2], "SetPointsDataTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointsDataTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the data type of the output points (See the data types defined in \n vtkType.h). The default data type is float.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointsDataTypeToFloat ();this SetPointsDataType VTK_FLOAT " );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetPointsDataTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointsDataType */
    if ( strcmp ( argv[2], "SetPointsDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointsDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointsDataType */
    Tcl_DStringAppendElement ( &dString, " Set the data type of the output points (See the data types defined in \n vtkType.h). The default data type is float.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointsDataType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for SetPointsDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointsDataType */
    if ( strcmp ( argv[2], "GetPointsDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointsDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointsDataType */
    Tcl_DStringAppendElement ( &dString, " Set the data type of the output points (See the data types defined in \n vtkType.h). The default data type is float.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointsDataType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkThreshold" );
    /* Closing for GetPointsDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
