// python wrapper for vtkTimeSourceExample object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTimeSourceExample.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTimeSourceExampleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTimeSourceExampleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkTimeSourceExample_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  const char    *temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  char    *temp0;
  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  vtkTimeSourceExample  *temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTimeSourceExample  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTimeSourceExample::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_SetAnalytic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp0;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::SetAnalytic(temp0);
      }
    else
      {
      op->SetAnalytic(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetAnalyticMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetAnalyticMinValue();
      }
    else
      {
      temp20 = op->GetAnalyticMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetAnalyticMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetAnalyticMaxValue();
      }
    else
      {
      temp20 = op->GetAnalyticMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetAnalytic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetAnalytic();
      }
    else
      {
      temp20 = op->GetAnalytic();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_AnalyticOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::AnalyticOn();
      }
    else
      {
      op->AnalyticOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_AnalyticOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::AnalyticOff();
      }
    else
      {
      op->AnalyticOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_SetXAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  double   temp0;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::SetXAmplitude(temp0);
      }
    else
      {
      op->SetXAmplitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetXAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  double   temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetXAmplitude();
      }
    else
      {
      temp20 = op->GetXAmplitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_SetYAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  double   temp0;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::SetYAmplitude(temp0);
      }
    else
      {
      op->SetYAmplitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetYAmplitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  double   temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetYAmplitude();
      }
    else
      {
      temp20 = op->GetYAmplitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_SetGrowing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp0;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::SetGrowing(temp0);
      }
    else
      {
      op->SetGrowing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetGrowingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetGrowingMinValue();
      }
    else
      {
      temp20 = op->GetGrowingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetGrowingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetGrowingMaxValue();
      }
    else
      {
      temp20 = op->GetGrowingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GetGrowing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  int      temp20;
  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimeSourceExample::GetGrowing();
      }
    else
      {
      temp20 = op->GetGrowing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GrowingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::GrowingOn();
      }
    else
      {
      op->GrowingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimeSourceExample_GrowingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimeSourceExample::GrowingOff();
      }
    else
      {
      op->GrowingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTimeSourceExampleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTimeSourceExample_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTimeSourceExample_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTimeSourceExample_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTimeSourceExample\nC++: vtkTimeSourceExample *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTimeSourceExample_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTimeSourceExample\nC++: vtkTimeSourceExample *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAnalytic",                (PyCFunction)PyvtkTimeSourceExample_SetAnalytic, 1,
   (char*)"V.SetAnalytic(int)\nC++: void SetAnalytic (int );\n\n"},
  {(char*)"GetAnalyticMinValue",                (PyCFunction)PyvtkTimeSourceExample_GetAnalyticMinValue, 1,
   (char*)"V.GetAnalyticMinValue() -> int\nC++: int GetAnalyticMinValue ();\n\n"},
  {(char*)"GetAnalyticMaxValue",                (PyCFunction)PyvtkTimeSourceExample_GetAnalyticMaxValue, 1,
   (char*)"V.GetAnalyticMaxValue() -> int\nC++: int GetAnalyticMaxValue ();\n\n"},
  {(char*)"GetAnalytic",                (PyCFunction)PyvtkTimeSourceExample_GetAnalytic, 1,
   (char*)"V.GetAnalytic() -> int\nC++: int GetAnalytic ();\n\n"},
  {(char*)"AnalyticOn",                (PyCFunction)PyvtkTimeSourceExample_AnalyticOn, 1,
   (char*)"V.AnalyticOn()\nC++: void AnalyticOn ();\n\n"},
  {(char*)"AnalyticOff",                (PyCFunction)PyvtkTimeSourceExample_AnalyticOff, 1,
   (char*)"V.AnalyticOff()\nC++: void AnalyticOff ();\n\n"},
  {(char*)"SetXAmplitude",                (PyCFunction)PyvtkTimeSourceExample_SetXAmplitude, 1,
   (char*)"V.SetXAmplitude(float)\nC++: void SetXAmplitude (double );\n\n"},
  {(char*)"GetXAmplitude",                (PyCFunction)PyvtkTimeSourceExample_GetXAmplitude, 1,
   (char*)"V.GetXAmplitude() -> float\nC++: double GetXAmplitude ();\n\n"},
  {(char*)"SetYAmplitude",                (PyCFunction)PyvtkTimeSourceExample_SetYAmplitude, 1,
   (char*)"V.SetYAmplitude(float)\nC++: void SetYAmplitude (double );\n\n"},
  {(char*)"GetYAmplitude",                (PyCFunction)PyvtkTimeSourceExample_GetYAmplitude, 1,
   (char*)"V.GetYAmplitude() -> float\nC++: double GetYAmplitude ();\n\n"},
  {(char*)"SetGrowing",                (PyCFunction)PyvtkTimeSourceExample_SetGrowing, 1,
   (char*)"V.SetGrowing(int)\nC++: void SetGrowing (int );\n\n"},
  {(char*)"GetGrowingMinValue",                (PyCFunction)PyvtkTimeSourceExample_GetGrowingMinValue, 1,
   (char*)"V.GetGrowingMinValue() -> int\nC++: int GetGrowingMinValue ();\n\n"},
  {(char*)"GetGrowingMaxValue",                (PyCFunction)PyvtkTimeSourceExample_GetGrowingMaxValue, 1,
   (char*)"V.GetGrowingMaxValue() -> int\nC++: int GetGrowingMaxValue ();\n\n"},
  {(char*)"GetGrowing",                (PyCFunction)PyvtkTimeSourceExample_GetGrowing, 1,
   (char*)"V.GetGrowing() -> int\nC++: int GetGrowing ();\n\n"},
  {(char*)"GrowingOn",                (PyCFunction)PyvtkTimeSourceExample_GrowingOn, 1,
   (char*)"V.GrowingOn()\nC++: void GrowingOn ();\n\n"},
  {(char*)"GrowingOff",                (PyCFunction)PyvtkTimeSourceExample_GrowingOff, 1,
   (char*)"V.GrowingOff()\nC++: void GrowingOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTimeSourceExampleDoc[] = {
  (char*)"vtkTimeSource - creates a simple time varying data set.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" Creates a small easily understood time varying data set for testing.\n The output is a vtkImageData in which the point and cell values vary\n over time in a sin wave. The analytic ivar controls whether the output \n corresponds to a step function over time or is continuous.\n The X and Y Amplitude ivars make the output move in the X and Y directions \n over time. The Growing ivar makes the number of c",
  (char*)"ells in the output grow \n and then shrink over time.\n\n",
  NULL
};

static vtkObjectBase *vtkTimeSourceExampleStaticNew()
{
  return vtkTimeSourceExample::New();
}

PyObject *PyVTKClass_vtkTimeSourceExampleNew(char *modulename)
{
  return PyVTKClass_New(&vtkTimeSourceExampleStaticNew,
                        PyvtkTimeSourceExampleMethods,
                        (char*)"vtkTimeSourceExample",modulename,
                        (char**)vtkTimeSourceExampleDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

