// python wrapper for vtkTransformCoordinateSystems object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransformCoordinateSystems.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformCoordinateSystemsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformCoordinateSystemsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkTransformCoordinateSystems_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  const char    *temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  vtkTransformCoordinateSystems  *temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformCoordinateSystems  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformCoordinateSystems::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetInputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  int      temp0;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetInputCoordinateSystem(temp0);
      }
    else
      {
      op->SetInputCoordinateSystem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_GetInputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  int      temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::GetInputCoordinateSystem();
      }
    else
      {
      temp20 = op->GetInputCoordinateSystem();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetInputCoordinateSystemToDisplay();
      }
    else
      {
      op->SetInputCoordinateSystemToDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetInputCoordinateSystemToViewport();
      }
    else
      {
      op->SetInputCoordinateSystemToViewport();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetInputCoordinateSystemToWorld();
      }
    else
      {
      op->SetInputCoordinateSystemToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  int      temp0;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetOutputCoordinateSystem(temp0);
      }
    else
      {
      op->SetOutputCoordinateSystem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_GetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  int      temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::GetOutputCoordinateSystem();
      }
    else
      {
      temp20 = op->GetOutputCoordinateSystem();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetOutputCoordinateSystemToDisplay();
      }
    else
      {
      op->SetOutputCoordinateSystemToDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetOutputCoordinateSystemToViewport();
      }
    else
      {
      op->SetOutputCoordinateSystemToViewport();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetOutputCoordinateSystemToWorld();
      }
    else
      {
      op->SetOutputCoordinateSystemToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  unsigned long     temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformCoordinateSystems::SetViewport(temp0);
      }
    else
      {
      op->SetViewport(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkTransformCoordinateSystems_GetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformCoordinateSystems *op;

  vtkViewport  *temp20;
  op = (vtkTransformCoordinateSystems *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformCoordinateSystems::GetViewport();
      }
    else
      {
      temp20 = op->GetViewport();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformCoordinateSystemsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformCoordinateSystems_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformCoordinateSystems_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformCoordinateSystems_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformCoordinateSystems\nC++: vtkTransformCoordinateSystems *NewInstance ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformCoordinateSystems_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformCoordinateSystems\nC++: vtkTransformCoordinateSystems *SafeDownCast (vtkObject* o);\n\n Standard methods for type information and printing.\n"},
  {(char*)"SetInputCoordinateSystem",                (PyCFunction)PyvtkTransformCoordinateSystems_SetInputCoordinateSystem, 1,
   (char*)"V.SetInputCoordinateSystem(int)\nC++: void SetInputCoordinateSystem (int );\n\n Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n"},
  {(char*)"GetInputCoordinateSystem",                (PyCFunction)PyvtkTransformCoordinateSystems_GetInputCoordinateSystem, 1,
   (char*)"V.GetInputCoordinateSystem() -> int\nC++: int GetInputCoordinateSystem ();\n\n Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n"},
  {(char*)"SetInputCoordinateSystemToDisplay",                (PyCFunction)PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToDisplay, 1,
   (char*)"V.SetInputCoordinateSystemToDisplay()\nC++: void SetInputCoordinateSystemToDisplay ();this SetInputCoordinateSystem VTK_DISPLAY \n\n Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n"},
  {(char*)"SetInputCoordinateSystemToViewport",                (PyCFunction)PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToViewport, 1,
   (char*)"V.SetInputCoordinateSystemToViewport()\nC++: void SetInputCoordinateSystemToViewport ();this SetInputCoordinateSystem VTK_VIEWPORT \n\n Set/get the coordinate system in which the input is specified.\n The current options are World, Viewport, and Display. By default the\n input coordinate system is World.\n"},
  {(char*)"SetInputCoordinateSystemToWorld",                (PyCFunction)PyvtkTransformCoordinateSystems_SetInputCoordinateSystemToWorld, 1,
   (char*)"V.SetInputCoordinateSystemToWorld()\nC++: void SetInputCoordinateSystemToWorld ();this SetInputCoordinateSystem VTK_WORLD \n\n Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n"},
  {(char*)"SetOutputCoordinateSystem",                (PyCFunction)PyvtkTransformCoordinateSystems_SetOutputCoordinateSystem, 1,
   (char*)"V.SetOutputCoordinateSystem(int)\nC++: void SetOutputCoordinateSystem (int );\n\n Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n"},
  {(char*)"GetOutputCoordinateSystem",                (PyCFunction)PyvtkTransformCoordinateSystems_GetOutputCoordinateSystem, 1,
   (char*)"V.GetOutputCoordinateSystem() -> int\nC++: int GetOutputCoordinateSystem ();\n\n Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n"},
  {(char*)"SetOutputCoordinateSystemToDisplay",                (PyCFunction)PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToDisplay, 1,
   (char*)"V.SetOutputCoordinateSystemToDisplay()\nC++: void SetOutputCoordinateSystemToDisplay ();this SetOutputCoordinateSystem VTK_DISPLAY \n\n Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n"},
  {(char*)"SetOutputCoordinateSystemToViewport",                (PyCFunction)PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToViewport, 1,
   (char*)"V.SetOutputCoordinateSystemToViewport()\nC++: void SetOutputCoordinateSystemToViewport ();this SetOutputCoordinateSystem VTK_VIEWPORT \n\n Set/get the coordinate system to which to transform the output.\n The current options are World, Viewport, and Display. By default the\n output coordinate system is Display.\n"},
  {(char*)"SetOutputCoordinateSystemToWorld",                (PyCFunction)PyvtkTransformCoordinateSystems_SetOutputCoordinateSystemToWorld, 1,
   (char*)"V.SetOutputCoordinateSystemToWorld()\nC++: void SetOutputCoordinateSystemToWorld ();this SetOutputCoordinateSystem VTK_WORLD \n\n Return the MTime also considering the instance of vtkCoordinate.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransformCoordinateSystems_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the instance of vtkCoordinate.\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkTransformCoordinateSystems_SetViewport, 1,
   (char*)"V.SetViewport(vtkViewport)\nC++: void SetViewport (vtkViewport *viewport);\n\n In order for successful coordinate transformation to occur, an\n instance of vtkViewport (e.g., a VTK renderer) must be specified.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n"},
  {(char*)"GetViewport",                (PyCFunction)PyvtkTransformCoordinateSystems_GetViewport, 1,
   (char*)"V.GetViewport() -> vtkViewport\nC++: vtkViewport *GetViewport ();\n\n In order for successful coordinate transformation to occur, an\n instance of vtkViewport (e.g., a VTK renderer) must be specified.\n NOTE: this is a raw pointer, not a weak pointer not a reference counted\n object to avoid reference cycle loop between rendering classes and filter\n classes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformCoordinateSystemsDoc[] = {
  (char*)"vtkTransformCoordinateSystems - transform points into different coordinate systems\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" This filter transforms points from one coordinate system to another. The user\n must specify the coordinate systems in which the input and output are\n specified. The user must also specify the VTK viewport (i.e., renderer) in\n which the transformation occurs.\n\n\n",
  "See Also:\n\n vtkCoordinate vtkTransformFilter vtkTransformPolyData vtkPolyDataMapper2D\n\n",
  NULL
};

static vtkObjectBase *vtkTransformCoordinateSystemsStaticNew()
{
  return vtkTransformCoordinateSystems::New();
}

PyObject *PyVTKClass_vtkTransformCoordinateSystemsNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformCoordinateSystemsStaticNew,
                        PyvtkTransformCoordinateSystemsMethods,
                        (char*)"vtkTransformCoordinateSystems",modulename,
                        (char**)vtkTransformCoordinateSystemsDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

