// python wrapper for vtkTransformPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransformPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTransformPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  const char    *temp20;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  vtkTransformPolyDataFilter  *temp20;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformPolyDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformPolyDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  unsigned long     temp20;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformPolyDataFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformPolyDataFilter::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTransformPolyDataFilter_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformPolyDataFilter *op;

  vtkAbstractTransform  *temp20;
  op = (vtkTransformPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformPolyDataFilter::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformPolyDataFilter\nC++: vtkTransformPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformPolyDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformPolyDataFilter\nC++: vtkTransformPolyDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransformPolyDataFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the transform.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkTransformPolyDataFilter_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *);\n\n Specify the transform object used to transform points.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkTransformPolyDataFilter_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n Specify the transform object used to transform points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformPolyDataFilterDoc[] = {
  (char*)"vtkTransformPolyDataFilter - transform points and associated normals and vectors for polygonal dataset\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTransformPolyDataFilter is a filter to transform point\n coordinates and associated point and cell normals and\n vectors. Other point and cell data is passed through the filter\n unchanged. This filter is specialized for polygonal data. See\n vtkTransformFilter for more general data.\n\n An alternative method of transformation is to use vtkActor's methods\n to scale, rotate, and translate objects. Th",
  (char*)"e difference between the\n two methods is that vtkActor's transformation simply effects where\n objects are rendered (via the graphics pipeline), whereas\n vtkTransformPolyDataFilter actually modifies point coordinates in the \n visualization pipeline. This is necessary for some objects \n (e.g., vtkProbeFilter) that require point coordinates as input.\n\n",
  "See Also:\n\n vtkTransform vtkTransformFilter vtkActor\n\n",
  NULL
};

static vtkObjectBase *vtkTransformPolyDataFilterStaticNew()
{
  return vtkTransformPolyDataFilter::New();
}

PyObject *PyVTKClass_vtkTransformPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformPolyDataFilterStaticNew,
                        PyvtkTransformPolyDataFilterMethods,
                        (char*)"vtkTransformPolyDataFilter",modulename,
                        (char**)vtkTransformPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

