// python wrapper for vtkTransformTextureCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransformTextureCoords.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformTextureCoordsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformTextureCoordsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTransformTextureCoords_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  const char    *temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  vtkTransformTextureCoords  *temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformTextureCoords  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformTextureCoords::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double  *temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_AddPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::AddPosition(temp0,temp1,temp2);
      }
    else
      {
      op->AddPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::AddPosition(temp0);
      }
    else
      {
      op->AddPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double  *temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  double  *temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetFlipR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp0;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetFlipR(temp0);
      }
    else
      {
      op->SetFlipR(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetFlipR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetFlipR();
      }
    else
      {
      temp20 = op->GetFlipR();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipROn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipROn();
      }
    else
      {
      op->FlipROn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipROff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipROff();
      }
    else
      {
      op->FlipROff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetFlipS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp0;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetFlipS(temp0);
      }
    else
      {
      op->SetFlipS(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetFlipS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetFlipS();
      }
    else
      {
      temp20 = op->GetFlipS();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipSOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipSOn();
      }
    else
      {
      op->FlipSOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipSOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipSOff();
      }
    else
      {
      op->FlipSOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_SetFlipT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp0;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::SetFlipT(temp0);
      }
    else
      {
      op->SetFlipT(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_GetFlipT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  int      temp20;
  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformTextureCoords::GetFlipT();
      }
    else
      {
      temp20 = op->GetFlipT();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipTOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipTOn();
      }
    else
      {
      op->FlipTOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformTextureCoords_FlipTOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformTextureCoords *op;

  op = (vtkTransformTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformTextureCoords::FlipTOff();
      }
    else
      {
      op->FlipTOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformTextureCoordsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformTextureCoords_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformTextureCoords_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformTextureCoords_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformTextureCoords\nC++: vtkTransformTextureCoords *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformTextureCoords_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformTextureCoords\nC++: vtkTransformTextureCoords *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkTransformTextureCoords_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Set/Get the position of the texture map. Setting the position translates\n the texture map by the amount specified. \n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkTransformTextureCoords_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get the position of the texture map. Setting the position translates\n the texture map by the amount specified. \n"},
  {(char*)"AddPosition",                (PyCFunction)PyvtkTransformTextureCoords_AddPosition, 1,
   (char*)"V.AddPosition(float, float, float)\nC++: void AddPosition (double deltaR, double deltaS, double deltaT);\nV.AddPosition((float, float, float))\nC++: void AddPosition (double deltaPosition[3]);\n\n Incrementally change the position of the texture map (i.e., does a\n translate or shift of the texture coordinates).\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkTransformTextureCoords_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Set/Get the scale of the texture map. Scaling in performed independently \n on the r, s and t axes.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkTransformTextureCoords_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Set/Get the scale of the texture map. Scaling in performed independently \n on the r, s and t axes.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkTransformTextureCoords_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set/Get the origin of the texture map. This is the point about which the\n texture map is flipped (e.g., rotated). Since a typical texture map ranges\n from (0,1) in the r-s-t coordinates, the default origin is set at \n (0.5,0.5,0.5).\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkTransformTextureCoords_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set/Get the origin of the texture map. This is the point about which the\n texture map is flipped (e.g., rotated). Since a typical texture map ranges\n from (0,1) in the r-s-t coordinates, the default origin is set at \n (0.5,0.5,0.5).\n"},
  {(char*)"SetFlipR",                (PyCFunction)PyvtkTransformTextureCoords_SetFlipR, 1,
   (char*)"V.SetFlipR(int)\nC++: void SetFlipR (int );\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"GetFlipR",                (PyCFunction)PyvtkTransformTextureCoords_GetFlipR, 1,
   (char*)"V.GetFlipR() -> int\nC++: int GetFlipR ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipROn",                (PyCFunction)PyvtkTransformTextureCoords_FlipROn, 1,
   (char*)"V.FlipROn()\nC++: void FlipROn ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipROff",                (PyCFunction)PyvtkTransformTextureCoords_FlipROff, 1,
   (char*)"V.FlipROff()\nC++: void FlipROff ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"SetFlipS",                (PyCFunction)PyvtkTransformTextureCoords_SetFlipS, 1,
   (char*)"V.SetFlipS(int)\nC++: void SetFlipS (int );\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"GetFlipS",                (PyCFunction)PyvtkTransformTextureCoords_GetFlipS, 1,
   (char*)"V.GetFlipS() -> int\nC++: int GetFlipS ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipSOn",                (PyCFunction)PyvtkTransformTextureCoords_FlipSOn, 1,
   (char*)"V.FlipSOn()\nC++: void FlipSOn ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipSOff",                (PyCFunction)PyvtkTransformTextureCoords_FlipSOff, 1,
   (char*)"V.FlipSOff()\nC++: void FlipSOff ();\n\n Boolean indicates whether the texture map should be flipped around the \n s-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"SetFlipT",                (PyCFunction)PyvtkTransformTextureCoords_SetFlipT, 1,
   (char*)"V.SetFlipT(int)\nC++: void SetFlipT (int );\n\n Boolean indicates whether the texture map should be flipped around the \n t-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"GetFlipT",                (PyCFunction)PyvtkTransformTextureCoords_GetFlipT, 1,
   (char*)"V.GetFlipT() -> int\nC++: int GetFlipT ();\n\n Boolean indicates whether the texture map should be flipped around the \n t-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipTOn",                (PyCFunction)PyvtkTransformTextureCoords_FlipTOn, 1,
   (char*)"V.FlipTOn()\nC++: void FlipTOn ();\n\n Boolean indicates whether the texture map should be flipped around the \n t-axis. Note that the flips occur around the texture origin.\n"},
  {(char*)"FlipTOff",                (PyCFunction)PyvtkTransformTextureCoords_FlipTOff, 1,
   (char*)"V.FlipTOff()\nC++: void FlipTOff ();\n\n Boolean indicates whether the texture map should be flipped around the \n t-axis. Note that the flips occur around the texture origin.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformTextureCoordsDoc[] = {
  (char*)"vtkTransformTextureCoords - transform (scale, rotate, translate) texture coordinates\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkTransformTextureCoords is a filter that operates on texture\n coordinates. It ingests any type of dataset, and outputs a dataset of the\n same type. The filter lets you scale, translate, and rotate texture\n coordinates. For example, by using the the Scale ivar, you can shift\n texture coordinates that range from (0->1) to range from (0->10) (useful\n for repeated patterns).\n \n The filter operates ",
  (char*)"on texture coordinates of dimension 1->3. The texture \n coordinates are referred to as r-s-t. If the texture map is two dimensional,\n the t-coordinate (and operations on the t-coordinate) are ignored.\n\n",
  "See Also:\n\n vtkTextureMapToPlane vtkTextureMapToBox vtkTextureMapToCylinder \n vtkTextureMapToSphere vtkThresholdTextureCoords vtkTexture\n\n",
  NULL
};

static vtkObjectBase *vtkTransformTextureCoordsStaticNew()
{
  return vtkTransformTextureCoords::New();
}

PyObject *PyVTKClass_vtkTransformTextureCoordsNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformTextureCoordsStaticNew,
                        PyvtkTransformTextureCoordsMethods,
                        (char*)"vtkTransformTextureCoords",modulename,
                        (char**)vtkTransformTextureCoordsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

