// python wrapper for vtkTriangleFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTriangleFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTriangleFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTriangleFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTriangleFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  const char    *temp20;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangleFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangleFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  vtkTriangleFilter  *temp20;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangleFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTriangleFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTriangleFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTriangleFilter_PassVertsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::PassVertsOn();
      }
    else
      {
      op->PassVertsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_PassVertsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::PassVertsOff();
      }
    else
      {
      op->PassVertsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_SetPassVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  int      temp0;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::SetPassVerts(temp0);
      }
    else
      {
      op->SetPassVerts(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_GetPassVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  int      temp20;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangleFilter::GetPassVerts();
      }
    else
      {
      temp20 = op->GetPassVerts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_PassLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::PassLinesOn();
      }
    else
      {
      op->PassLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_PassLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::PassLinesOff();
      }
    else
      {
      op->PassLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_SetPassLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  int      temp0;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangleFilter::SetPassLines(temp0);
      }
    else
      {
      op->SetPassLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangleFilter_GetPassLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangleFilter *op;

  int      temp20;
  op = (vtkTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangleFilter::GetPassLines();
      }
    else
      {
      temp20 = op->GetPassLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTriangleFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTriangleFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTriangleFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTriangleFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTriangleFilter\nC++: vtkTriangleFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTriangleFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTriangleFilter\nC++: vtkTriangleFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"PassVertsOn",                (PyCFunction)PyvtkTriangleFilter_PassVertsOn, 1,
   (char*)"V.PassVertsOn()\nC++: void PassVertsOn ();\n\n Turn on/off passing vertices through filter.\n"},
  {(char*)"PassVertsOff",                (PyCFunction)PyvtkTriangleFilter_PassVertsOff, 1,
   (char*)"V.PassVertsOff()\nC++: void PassVertsOff ();\n\n Turn on/off passing vertices through filter.\n"},
  {(char*)"SetPassVerts",                (PyCFunction)PyvtkTriangleFilter_SetPassVerts, 1,
   (char*)"V.SetPassVerts(int)\nC++: void SetPassVerts (int );\n\n Turn on/off passing vertices through filter.\n"},
  {(char*)"GetPassVerts",                (PyCFunction)PyvtkTriangleFilter_GetPassVerts, 1,
   (char*)"V.GetPassVerts() -> int\nC++: int GetPassVerts ();\n\n Turn on/off passing vertices through filter.\n"},
  {(char*)"PassLinesOn",                (PyCFunction)PyvtkTriangleFilter_PassLinesOn, 1,
   (char*)"V.PassLinesOn()\nC++: void PassLinesOn ();\n\n Turn on/off passing lines through filter.\n"},
  {(char*)"PassLinesOff",                (PyCFunction)PyvtkTriangleFilter_PassLinesOff, 1,
   (char*)"V.PassLinesOff()\nC++: void PassLinesOff ();\n\n Turn on/off passing lines through filter.\n"},
  {(char*)"SetPassLines",                (PyCFunction)PyvtkTriangleFilter_SetPassLines, 1,
   (char*)"V.SetPassLines(int)\nC++: void SetPassLines (int );\n\n Turn on/off passing lines through filter.\n"},
  {(char*)"GetPassLines",                (PyCFunction)PyvtkTriangleFilter_GetPassLines, 1,
   (char*)"V.GetPassLines() -> int\nC++: int GetPassLines ();\n\n Turn on/off passing lines through filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTriangleFilterDoc[] = {
  (char*)"vtkTriangleFilter - create triangle polygons from input polygons and triangle strips\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTriangleFilter generates triangles from input polygons and triangle \n strips. The filter also will pass through vertices and lines, if\n requested.\n\n",
  NULL
};

static vtkObjectBase *vtkTriangleFilterStaticNew()
{
  return vtkTriangleFilter::New();
}

PyObject *PyVTKClass_vtkTriangleFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTriangleFilterStaticNew,
                        PyvtkTriangleFilterMethods,
                        (char*)"vtkTriangleFilter",modulename,
                        (char**)vtkTriangleFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

