// python wrapper for vtkTriangularTCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTriangularTCoords.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTriangularTCoordsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTriangularTCoordsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTriangularTCoords_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTCoords *op;

  const char    *temp20;
  op = (vtkTriangularTCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTCoords::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTCoords_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTCoords *op;

  char    *temp0;
  int      temp20;
  op = (vtkTriangularTCoords *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTCoords::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTCoords_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTCoords *op;

  vtkTriangularTCoords  *temp20;
  op = (vtkTriangularTCoords *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTCoords::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTCoords_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTriangularTCoords  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTriangularTCoords::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTriangularTCoordsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTriangularTCoords_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTriangularTCoords_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTriangularTCoords_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTriangularTCoords\nC++: vtkTriangularTCoords *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTriangularTCoords_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTriangularTCoords\nC++: vtkTriangularTCoords *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTriangularTCoordsDoc[] = {
  (char*)"vtkTriangularTCoords - 2D texture coordinates based for triangles.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTriangularTCoords is a filter that generates texture coordinates\n for triangles. Texture coordinates for each triangle are:\n (0,0), (1,0) and (.5,sqrt(3)/2). This filter assumes that the triangle\n texture map is symmetric about the center of the triangle. Thus the order\n Of the texture coordinates is not important. The procedural texture\n in vtkTriangularTexture is designed with this symmetry.",
  (char*)" For more information\n see the paper \"Opacity-modulating Triangular Textures for Irregular \n Surfaces,\"  by Penny Rheingans, IEEE Visualization '96, pp. 219-225.\n\n",
  "See Also:\n\n vtkTriangularTexture vtkThresholdPoints vtkTextureMapToPlane \n vtkTextureMapToSphere vtkTextureMapToCylinder vtkTextureMapToBox\n\n",
  NULL
};

static vtkObjectBase *vtkTriangularTCoordsStaticNew()
{
  return vtkTriangularTCoords::New();
}

PyObject *PyVTKClass_vtkTriangularTCoordsNew(char *modulename)
{
  return PyVTKClass_New(&vtkTriangularTCoordsStaticNew,
                        PyvtkTriangularTCoordsMethods,
                        (char*)"vtkTriangularTCoords",modulename,
                        (char**)vtkTriangularTCoordsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

