// python wrapper for vtkTubeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTubeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTubeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTubeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTubeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  const char    *temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  vtkTubeFilter  *temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTubeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTubeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetVaryRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetVaryRadius(temp0);
      }
    else
      {
      op->SetVaryRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetVaryRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetVaryRadiusMinValue();
      }
    else
      {
      temp20 = op->GetVaryRadiusMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetVaryRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetVaryRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetVaryRadiusMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetVaryRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetVaryRadius();
      }
    else
      {
      temp20 = op->GetVaryRadius();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetVaryRadiusToVaryRadiusOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetVaryRadiusToVaryRadiusOff();
      }
    else
      {
      op->SetVaryRadiusToVaryRadiusOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetVaryRadiusToVaryRadiusByScalar();
      }
    else
      {
      op->SetVaryRadiusToVaryRadiusByScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetVaryRadiusToVaryRadiusByVector();
      }
    else
      {
      op->SetVaryRadiusToVaryRadiusByVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByAbsoluteScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetVaryRadiusToVaryRadiusByAbsoluteScalar();
      }
    else
      {
      op->SetVaryRadiusToVaryRadiusByAbsoluteScalar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetVaryRadiusAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  const char    *temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetVaryRadiusAsString();
      }
    else
      {
      temp20 = op->GetVaryRadiusAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetNumberOfSides(temp0);
      }
    else
      {
      op->SetNumberOfSides(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetNumberOfSidesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetNumberOfSidesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetNumberOfSidesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetNumberOfSidesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetNumberOfSides();
      }
    else
      {
      temp20 = op->GetNumberOfSides();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetRadiusFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetRadiusFactor(temp0);
      }
    else
      {
      op->SetRadiusFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetRadiusFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetRadiusFactor();
      }
    else
      {
      temp20 = op->GetRadiusFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetDefaultNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetDefaultNormal(temp0);
      }
    else
      {
      op->SetDefaultNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double  *temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetDefaultNormal();
      }
    else
      {
      temp20 = op->GetDefaultNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetUseDefaultNormal(temp0);
      }
    else
      {
      op->SetUseDefaultNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetUseDefaultNormal();
      }
    else
      {
      temp20 = op->GetUseDefaultNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_UseDefaultNormalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::UseDefaultNormalOn();
      }
    else
      {
      op->UseDefaultNormalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_UseDefaultNormalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::UseDefaultNormalOff();
      }
    else
      {
      op->UseDefaultNormalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetSidesShareVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetSidesShareVertices(temp0);
      }
    else
      {
      op->SetSidesShareVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetSidesShareVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetSidesShareVertices();
      }
    else
      {
      temp20 = op->GetSidesShareVertices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SidesShareVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SidesShareVerticesOn();
      }
    else
      {
      op->SidesShareVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SidesShareVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SidesShareVerticesOff();
      }
    else
      {
      op->SidesShareVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetOnRatio(temp0);
      }
    else
      {
      op->SetOnRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOnRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOnRatioMinValue();
      }
    else
      {
      temp20 = op->GetOnRatioMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOnRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOnRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOnRatioMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOnRatio();
      }
    else
      {
      temp20 = op->GetOnRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetGenerateTCoords(temp0);
      }
    else
      {
      op->SetGenerateTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetGenerateTCoordsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetGenerateTCoordsMinValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetGenerateTCoordsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetGenerateTCoordsMaxValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  int      temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetGenerateTCoords();
      }
    else
      {
      temp20 = op->GetGenerateTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetGenerateTCoordsToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetGenerateTCoordsToOff();
      }
    else
      {
      op->SetGenerateTCoordsToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetGenerateTCoordsToNormalizedLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetGenerateTCoordsToNormalizedLength();
      }
    else
      {
      op->SetGenerateTCoordsToNormalizedLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetGenerateTCoordsToUseLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetGenerateTCoordsToUseLength();
      }
    else
      {
      op->SetGenerateTCoordsToUseLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetGenerateTCoordsToUseScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetGenerateTCoordsToUseScalars();
      }
    else
      {
      op->SetGenerateTCoordsToUseScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetGenerateTCoordsAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  const char    *temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetGenerateTCoordsAsString();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_SetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp0;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTubeFilter::SetTextureLength(temp0);
      }
    else
      {
      op->SetTextureLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetTextureLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetTextureLengthMinValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetTextureLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetTextureLengthMaxValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTubeFilter_GetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTubeFilter *op;

  double   temp20;
  op = (vtkTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTubeFilter::GetTextureLength();
      }
    else
      {
      temp20 = op->GetTextureLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTubeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTubeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTubeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTubeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTubeFilter\nC++: vtkTubeFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTubeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTubeFilter\nC++: vtkTubeFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkTubeFilter_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set the minimum tube radius (minimum because the tube radius may vary).\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkTubeFilter_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set the minimum tube radius (minimum because the tube radius may vary).\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkTubeFilter_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set the minimum tube radius (minimum because the tube radius may vary).\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkTubeFilter_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set the minimum tube radius (minimum because the tube radius may vary).\n"},
  {(char*)"SetVaryRadius",                (PyCFunction)PyvtkTubeFilter_SetVaryRadius, 1,
   (char*)"V.SetVaryRadius(int)\nC++: void SetVaryRadius (int );\n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"GetVaryRadiusMinValue",                (PyCFunction)PyvtkTubeFilter_GetVaryRadiusMinValue, 1,
   (char*)"V.GetVaryRadiusMinValue() -> int\nC++: int GetVaryRadiusMinValue ();\n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"GetVaryRadiusMaxValue",                (PyCFunction)PyvtkTubeFilter_GetVaryRadiusMaxValue, 1,
   (char*)"V.GetVaryRadiusMaxValue() -> int\nC++: int GetVaryRadiusMaxValue ();\n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"GetVaryRadius",                (PyCFunction)PyvtkTubeFilter_GetVaryRadius, 1,
   (char*)"V.GetVaryRadius() -> int\nC++: int GetVaryRadius ();\n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"SetVaryRadiusToVaryRadiusOff",                (PyCFunction)PyvtkTubeFilter_SetVaryRadiusToVaryRadiusOff, 1,
   (char*)"V.SetVaryRadiusToVaryRadiusOff()\nC++: void SetVaryRadiusToVaryRadiusOff ();this SetVaryRadius VTK_VARY_RADIUS_OFF \n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"SetVaryRadiusToVaryRadiusByScalar",                (PyCFunction)PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByScalar, 1,
   (char*)"V.SetVaryRadiusToVaryRadiusByScalar()\nC++: void SetVaryRadiusToVaryRadiusByScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_SCALAR \n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"SetVaryRadiusToVaryRadiusByVector",                (PyCFunction)PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByVector, 1,
   (char*)"V.SetVaryRadiusToVaryRadiusByVector()\nC++: void SetVaryRadiusToVaryRadiusByVector ();this SetVaryRadius VTK_VARY_RADIUS_BY_VECTOR \n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"SetVaryRadiusToVaryRadiusByAbsoluteScalar",                (PyCFunction)PyvtkTubeFilter_SetVaryRadiusToVaryRadiusByAbsoluteScalar, 1,
   (char*)"V.SetVaryRadiusToVaryRadiusByAbsoluteScalar()\nC++: void SetVaryRadiusToVaryRadiusByAbsoluteScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_ABSOLUTE_SCALAR \n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"GetVaryRadiusAsString",                (PyCFunction)PyvtkTubeFilter_GetVaryRadiusAsString, 1,
   (char*)"V.GetVaryRadiusAsString() -> string\nC++: const char *GetVaryRadiusAsString ();\n\n Turn on/off the variation of tube radius with scalar value.\n"},
  {(char*)"SetNumberOfSides",                (PyCFunction)PyvtkTubeFilter_SetNumberOfSides, 1,
   (char*)"V.SetNumberOfSides(int)\nC++: void SetNumberOfSides (int );\n\n Set the number of sides for the tube. At a minimum, number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMinValue",                (PyCFunction)PyvtkTubeFilter_GetNumberOfSidesMinValue, 1,
   (char*)"V.GetNumberOfSidesMinValue() -> int\nC++: int GetNumberOfSidesMinValue ();\n\n Set the number of sides for the tube. At a minimum, number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMaxValue",                (PyCFunction)PyvtkTubeFilter_GetNumberOfSidesMaxValue, 1,
   (char*)"V.GetNumberOfSidesMaxValue() -> int\nC++: int GetNumberOfSidesMaxValue ();\n\n Set the number of sides for the tube. At a minimum, number of sides is 3.\n"},
  {(char*)"GetNumberOfSides",                (PyCFunction)PyvtkTubeFilter_GetNumberOfSides, 1,
   (char*)"V.GetNumberOfSides() -> int\nC++: int GetNumberOfSides ();\n\n Set the number of sides for the tube. At a minimum, number of sides is 3.\n"},
  {(char*)"SetRadiusFactor",                (PyCFunction)PyvtkTubeFilter_SetRadiusFactor, 1,
   (char*)"V.SetRadiusFactor(float)\nC++: void SetRadiusFactor (double );\n\n Set the maximum tube radius in terms of a multiple of the minimum radius.\n"},
  {(char*)"GetRadiusFactor",                (PyCFunction)PyvtkTubeFilter_GetRadiusFactor, 1,
   (char*)"V.GetRadiusFactor() -> float\nC++: double GetRadiusFactor ();\n\n Set the maximum tube radius in terms of a multiple of the minimum radius.\n"},
  {(char*)"SetDefaultNormal",                (PyCFunction)PyvtkTubeFilter_SetDefaultNormal, 1,
   (char*)"V.SetDefaultNormal(float, float, float)\nC++: void SetDefaultNormal (double , double , double );\nV.SetDefaultNormal((float, float, float))\nC++: void SetDefaultNormal (double  a[3]);\n\n Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n"},
  {(char*)"GetDefaultNormal",                (PyCFunction)PyvtkTubeFilter_GetDefaultNormal, 1,
   (char*)"V.GetDefaultNormal() -> (float, float, float)\nC++: double  *GetDefaultNormal ();\n\n Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n"},
  {(char*)"SetUseDefaultNormal",                (PyCFunction)PyvtkTubeFilter_SetUseDefaultNormal, 1,
   (char*)"V.SetUseDefaultNormal(int)\nC++: void SetUseDefaultNormal (int );\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"GetUseDefaultNormal",                (PyCFunction)PyvtkTubeFilter_GetUseDefaultNormal, 1,
   (char*)"V.GetUseDefaultNormal() -> int\nC++: int GetUseDefaultNormal ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"UseDefaultNormalOn",                (PyCFunction)PyvtkTubeFilter_UseDefaultNormalOn, 1,
   (char*)"V.UseDefaultNormalOn()\nC++: void UseDefaultNormalOn ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"UseDefaultNormalOff",                (PyCFunction)PyvtkTubeFilter_UseDefaultNormalOff, 1,
   (char*)"V.UseDefaultNormalOff()\nC++: void UseDefaultNormalOff ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"SetSidesShareVertices",                (PyCFunction)PyvtkTubeFilter_SetSidesShareVertices, 1,
   (char*)"V.SetSidesShareVertices(int)\nC++: void SetSidesShareVertices (int );\n\n Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n"},
  {(char*)"GetSidesShareVertices",                (PyCFunction)PyvtkTubeFilter_GetSidesShareVertices, 1,
   (char*)"V.GetSidesShareVertices() -> int\nC++: int GetSidesShareVertices ();\n\n Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n"},
  {(char*)"SidesShareVerticesOn",                (PyCFunction)PyvtkTubeFilter_SidesShareVerticesOn, 1,
   (char*)"V.SidesShareVerticesOn()\nC++: void SidesShareVerticesOn ();\n\n Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n"},
  {(char*)"SidesShareVerticesOff",                (PyCFunction)PyvtkTubeFilter_SidesShareVerticesOff, 1,
   (char*)"V.SidesShareVerticesOff()\nC++: void SidesShareVerticesOff ();\n\n Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkTubeFilter_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off whether to cap the ends with polygons.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkTubeFilter_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off whether to cap the ends with polygons.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkTubeFilter_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off whether to cap the ends with polygons.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkTubeFilter_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off whether to cap the ends with polygons.\n"},
  {(char*)"SetOnRatio",                (PyCFunction)PyvtkTubeFilter_SetOnRatio, 1,
   (char*)"V.SetOnRatio(int)\nC++: void SetOnRatio (int );\n\n Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n"},
  {(char*)"GetOnRatioMinValue",                (PyCFunction)PyvtkTubeFilter_GetOnRatioMinValue, 1,
   (char*)"V.GetOnRatioMinValue() -> int\nC++: int GetOnRatioMinValue ();\n\n Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n"},
  {(char*)"GetOnRatioMaxValue",                (PyCFunction)PyvtkTubeFilter_GetOnRatioMaxValue, 1,
   (char*)"V.GetOnRatioMaxValue() -> int\nC++: int GetOnRatioMaxValue ();\n\n Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n"},
  {(char*)"GetOnRatio",                (PyCFunction)PyvtkTubeFilter_GetOnRatio, 1,
   (char*)"V.GetOnRatio() -> int\nC++: int GetOnRatio ();\n\n Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkTubeFilter_SetOffset, 1,
   (char*)"V.SetOffset(int)\nC++: void SetOffset (int );\n\n Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkTubeFilter_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> int\nC++: int GetOffsetMinValue ();\n\n Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkTubeFilter_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> int\nC++: int GetOffsetMaxValue ();\n\n Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkTubeFilter_GetOffset, 1,
   (char*)"V.GetOffset() -> int\nC++: int GetOffset ();\n\n Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"SetGenerateTCoords",                (PyCFunction)PyvtkTubeFilter_SetGenerateTCoords, 1,
   (char*)"V.SetGenerateTCoords(int)\nC++: void SetGenerateTCoords (int );\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"GetGenerateTCoordsMinValue",                (PyCFunction)PyvtkTubeFilter_GetGenerateTCoordsMinValue, 1,
   (char*)"V.GetGenerateTCoordsMinValue() -> int\nC++: int GetGenerateTCoordsMinValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"GetGenerateTCoordsMaxValue",                (PyCFunction)PyvtkTubeFilter_GetGenerateTCoordsMaxValue, 1,
   (char*)"V.GetGenerateTCoordsMaxValue() -> int\nC++: int GetGenerateTCoordsMaxValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"GetGenerateTCoords",                (PyCFunction)PyvtkTubeFilter_GetGenerateTCoords, 1,
   (char*)"V.GetGenerateTCoords() -> int\nC++: int GetGenerateTCoords ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"SetGenerateTCoordsToOff",                (PyCFunction)PyvtkTubeFilter_SetGenerateTCoordsToOff, 1,
   (char*)"V.SetGenerateTCoordsToOff()\nC++: void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"SetGenerateTCoordsToNormalizedLength",                (PyCFunction)PyvtkTubeFilter_SetGenerateTCoordsToNormalizedLength, 1,
   (char*)"V.SetGenerateTCoordsToNormalizedLength()\nC++: void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"SetGenerateTCoordsToUseLength",                (PyCFunction)PyvtkTubeFilter_SetGenerateTCoordsToUseLength, 1,
   (char*)"V.SetGenerateTCoordsToUseLength()\nC++: void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"SetGenerateTCoordsToUseScalars",                (PyCFunction)PyvtkTubeFilter_SetGenerateTCoordsToUseScalars, 1,
   (char*)"V.SetGenerateTCoordsToUseScalars()\nC++: void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"GetGenerateTCoordsAsString",                (PyCFunction)PyvtkTubeFilter_GetGenerateTCoordsAsString, 1,
   (char*)"V.GetGenerateTCoordsAsString() -> string\nC++: const char *GetGenerateTCoordsAsString ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n"},
  {(char*)"SetTextureLength",                (PyCFunction)PyvtkTubeFilter_SetTextureLength, 1,
   (char*)"V.SetTextureLength(float)\nC++: void SetTextureLength (double );\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMinValue",                (PyCFunction)PyvtkTubeFilter_GetTextureLengthMinValue, 1,
   (char*)"V.GetTextureLengthMinValue() -> float\nC++: double GetTextureLengthMinValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMaxValue",                (PyCFunction)PyvtkTubeFilter_GetTextureLengthMaxValue, 1,
   (char*)"V.GetTextureLengthMaxValue() -> float\nC++: double GetTextureLengthMaxValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLength",                (PyCFunction)PyvtkTubeFilter_GetTextureLength, 1,
   (char*)"V.GetTextureLength() -> float\nC++: double GetTextureLength ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTubeFilterDoc[] = {
  (char*)"vtkTubeFilter - filter that generates tubes around lines\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTubeFilter is a filter that generates a tube around each input line. \n The tubes are made up of triangle strips and rotate around the tube with\n the rotation of the line normals. (If no normals are present, they are\n computed automatically.) The radius of the tube can be set to vary with \n scalar or vector value. If the radius varies with scalar value the radius\n is linearly adjusted. If the r",
  (char*)"adius varies with vector value, a mass\n flux preserving variation is used. The number of sides for the tube also \n can be specified. You can also specify which of the sides are visible. This\n is useful for generating interesting striping effects. Other options\n include the ability to cap the tube and generate texture coordinates.\n Texture coordinates can be used with an associated texture map to c",
  (char*)"reate\n interesting effects such as marking the tube with stripes corresponding\n to length or time.\n\n This filter is typically used to create thick or dramatic lines. Another\n common use is to combine this filter with vtkStreamLine to generate\n streamtubes.\n\n",
  "Caveats:\n\n The number of tube sides must be greater than 3. If you wish to use fewer\n sides (i.e., a ribbon), use vtkRibbonFilter.\n\n The input line must not have duplicate points, or normals at points that\n are parallel to the incoming/outgoing line segments. (Duplicate points\n can be removed with vtkCleanPolyData.) If a line does not meet this\n criteria, then that line is not tubed.\n\n",
  "See Also:\n\n vtkRibbonFilter vtkStreamLine\n\n",
  NULL
};

static vtkObjectBase *vtkTubeFilterStaticNew()
{
  return vtkTubeFilter::New();
}

PyObject *PyVTKClass_vtkTubeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTubeFilterStaticNew,
                        PyvtkTubeFilterMethods,
                        (char*)"vtkTubeFilter",modulename,
                        (char**)vtkTubeFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

