// tcl wrapper for vtkTubeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTubeFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTubeFilterNewCommand()
{
  vtkTubeFilter *temp = vtkTubeFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTubeFilterCppCommand(vtkTubeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTubeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTubeFilterCppCommand(static_cast<vtkTubeFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTubeFilterCppCommand(vtkTubeFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTubeFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTubeFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTubeFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTubeFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTubeFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTubeFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTubeFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryRadius",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVaryRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVaryRadiusMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVaryRadiusMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVaryRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVaryRadiusMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVaryRadius",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVaryRadius();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryRadiusToVaryRadiusOff",argv[1]))&&(argc == 2))
    {
    op->SetVaryRadiusToVaryRadiusOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryRadiusToVaryRadiusByScalar",argv[1]))&&(argc == 2))
    {
    op->SetVaryRadiusToVaryRadiusByScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryRadiusToVaryRadiusByVector",argv[1]))&&(argc == 2))
    {
    op->SetVaryRadiusToVaryRadiusByVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVaryRadiusToVaryRadiusByAbsoluteScalar",argv[1]))&&(argc == 2))
    {
    op->SetVaryRadiusToVaryRadiusByAbsoluteScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVaryRadiusAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVaryRadiusAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfSides",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSides(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSidesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSidesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSidesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSidesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSides",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSides();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadiusFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadiusFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseDefaultNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDefaultNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseDefaultNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOn",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOff",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSidesShareVertices",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSidesShareVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSidesShareVertices",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSidesShareVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SidesShareVerticesOn",argv[1]))&&(argc == 2))
    {
    op->SidesShareVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SidesShareVerticesOff",argv[1]))&&(argc == 2))
    {
    op->SidesShareVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CappingOn",argv[1]))&&(argc == 2))
    {
    op->CappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CappingOff",argv[1]))&&(argc == 2))
    {
    op->CappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOnRatio",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOnRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnRatioMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatioMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatio",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatio();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateTCoordsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoordsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToOff",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToNormalizedLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToNormalizedLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseLength",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTCoordsToUseScalars",argv[1]))&&(argc == 2))
    {
    op->SetGenerateTCoordsToUseScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateTCoordsAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGenerateTCoordsAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextureLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTubeFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTubeFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVaryRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVaryRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVaryRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryRadiusToVaryRadiusOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryRadiusToVaryRadiusByScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryRadiusToVaryRadiusByVector\n",NULL);
    Tcl_AppendResult(interp,"  SetVaryRadiusToVaryRadiusByAbsoluteScalar\n",NULL);
    Tcl_AppendResult(interp,"  GetVaryRadiusAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSides\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSidesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSidesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSides\n",NULL);
    Tcl_AppendResult(interp,"  SetRadiusFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDefaultNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSidesShareVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSidesShareVertices\n",NULL);
    Tcl_AppendResult(interp,"  SidesShareVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  SidesShareVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapping\n",NULL);
    Tcl_AppendResult(interp,"  CappingOn\n",NULL);
    Tcl_AppendResult(interp,"  CappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOnRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToNormalizedLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTCoordsToUseScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTCoordsAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureLength\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadius" );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadius" );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusOff" );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByScalar" );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByVector" );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByAbsoluteScalar" );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusAsString" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSides" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSides" );
    Tcl_DStringAppendElement ( &dString, "SetRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusFactor" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    Tcl_DStringAppendElement ( &dString, "SetSidesShareVertices" );
    Tcl_DStringAppendElement ( &dString, "GetSidesShareVertices" );
    Tcl_DStringAppendElement ( &dString, "SidesShareVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "SidesShareVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with radius 0.5, radius variation turned off, the\n number of sides set to 3, and radius factor of 10.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTubeFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set the minimum tube radius (minimum because the tube radius may vary).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the minimum tube radius (minimum because the tube radius may vary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the minimum tube radius (minimum because the tube radius may vary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set the minimum tube radius (minimum because the tube radius may vary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryRadius */
    if ( strcmp ( argv[2], "SetVaryRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryRadius */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryRadius (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetVaryRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVaryRadiusMinValue */
    if ( strcmp ( argv[2], "GetVaryRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVaryRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVaryRadiusMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetVaryRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVaryRadiusMaxValue */
    if ( strcmp ( argv[2], "GetVaryRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVaryRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVaryRadiusMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetVaryRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVaryRadius */
    if ( strcmp ( argv[2], "GetVaryRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVaryRadius */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVaryRadius ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetVaryRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryRadiusToVaryRadiusOff */
    if ( strcmp ( argv[2], "SetVaryRadiusToVaryRadiusOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryRadiusToVaryRadiusOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryRadiusToVaryRadiusOff ();this SetVaryRadius VTK_VARY_RADIUS_OFF " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetVaryRadiusToVaryRadiusOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryRadiusToVaryRadiusByScalar */
    if ( strcmp ( argv[2], "SetVaryRadiusToVaryRadiusByScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryRadiusToVaryRadiusByScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryRadiusToVaryRadiusByScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_SCALAR " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetVaryRadiusToVaryRadiusByScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryRadiusToVaryRadiusByVector */
    if ( strcmp ( argv[2], "SetVaryRadiusToVaryRadiusByVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryRadiusToVaryRadiusByVector */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryRadiusToVaryRadiusByVector ();this SetVaryRadius VTK_VARY_RADIUS_BY_VECTOR " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetVaryRadiusToVaryRadiusByVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVaryRadiusToVaryRadiusByAbsoluteScalar */
    if ( strcmp ( argv[2], "SetVaryRadiusToVaryRadiusByAbsoluteScalar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVaryRadiusToVaryRadiusByAbsoluteScalar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVaryRadiusToVaryRadiusByAbsoluteScalar */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVaryRadiusToVaryRadiusByAbsoluteScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_ABSOLUTE_SCALAR " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetVaryRadiusToVaryRadiusByAbsoluteScalar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVaryRadiusAsString */
    if ( strcmp ( argv[2], "GetVaryRadiusAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVaryRadiusAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVaryRadiusAsString */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the variation of tube radius with scalar value.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVaryRadiusAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetVaryRadiusAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSides */
    if ( strcmp ( argv[2], "SetNumberOfSides" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSides" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSides */
    Tcl_DStringAppendElement ( &dString, " Set the number of sides for the tube. At a minimum, number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSides (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetNumberOfSides */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSidesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfSidesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSidesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of sides for the tube. At a minimum, number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSidesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetNumberOfSidesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSidesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfSidesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSidesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSidesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of sides for the tube. At a minimum, number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSidesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetNumberOfSidesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSides */
    if ( strcmp ( argv[2], "GetNumberOfSides" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSides" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSides */
    Tcl_DStringAppendElement ( &dString, " Set the number of sides for the tube. At a minimum, number of sides is 3.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSides ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetNumberOfSides */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadiusFactor */
    if ( strcmp ( argv[2], "SetRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Set the maximum tube radius in terms of a multiple of the minimum radius.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadiusFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusFactor */
    if ( strcmp ( argv[2], "GetRadiusFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusFactor */
    Tcl_DStringAppendElement ( &dString, " Set the maximum tube radius in terms of a multiple of the minimum radius.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetRadiusFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultNormal */
    if ( strcmp ( argv[2], "GetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDefaultNormal */
    if ( strcmp ( argv[2], "SetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDefaultNormal (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDefaultNormal */
    if ( strcmp ( argv[2], "GetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOn */
    if ( strcmp ( argv[2], "UseDefaultNormalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOn */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for UseDefaultNormalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOff */
    if ( strcmp ( argv[2], "UseDefaultNormalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOff */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for UseDefaultNormalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSidesShareVertices */
    if ( strcmp ( argv[2], "SetSidesShareVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSidesShareVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSidesShareVertices */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSidesShareVertices (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetSidesShareVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSidesShareVertices */
    if ( strcmp ( argv[2], "GetSidesShareVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSidesShareVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSidesShareVertices */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSidesShareVertices ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetSidesShareVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SidesShareVerticesOn */
    if ( strcmp ( argv[2], "SidesShareVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SidesShareVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SidesShareVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SidesShareVerticesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SidesShareVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SidesShareVerticesOff */
    if ( strcmp ( argv[2], "SidesShareVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SidesShareVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SidesShareVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether tube sides should share vertices.\n This creates independent strips, with constant normals so the\n tube is always faceted in appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SidesShareVerticesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SidesShareVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCapping */
    if ( strcmp ( argv[2], "SetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to cap the ends with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCapping (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCapping */
    if ( strcmp ( argv[2], "GetCapping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCapping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCapping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to cap the ends with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCapping ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetCapping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOn */
    if ( strcmp ( argv[2], "CappingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to cap the ends with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for CappingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CappingOff */
    if ( strcmp ( argv[2], "CappingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CappingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CappingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to cap the ends with polygons.\n" );
    Tcl_DStringAppendElement ( &dString, "void CappingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for CappingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnRatio */
    if ( strcmp ( argv[2], "SetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOnRatio (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMinValue */
    if ( strcmp ( argv[2], "GetOnRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOnRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMaxValue */
    if ( strcmp ( argv[2], "GetOnRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOnRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatio */
    if ( strcmp ( argv[2], "GetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. If OnRatio is greater than 1,\n then every nth tube side is turned on, beginning with the Offset\n side.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMinValue */
    if ( strcmp ( argv[2], "GetOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMaxValue */
    if ( strcmp ( argv[2], "GetOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Control the striping of the tubes. The offset sets the\n first tube side that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoords */
    if ( strcmp ( argv[2], "SetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoords (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMinValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMinValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetGenerateTCoordsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsMaxValue */
    if ( strcmp ( argv[2], "GetGenerateTCoordsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoordsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetGenerateTCoordsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoords */
    if ( strcmp ( argv[2], "GetGenerateTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoords */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateTCoords ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetGenerateTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToOff */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToOff */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetGenerateTCoordsToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToNormalizedLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToNormalizedLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToNormalizedLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToNormalizedLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetGenerateTCoordsToNormalizedLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseLength */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseLength */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetGenerateTCoordsToUseLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateTCoordsToUseScalars */
    if ( strcmp ( argv[2], "SetGenerateTCoordsToUseScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateTCoordsToUseScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateTCoordsToUseScalars */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS " );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetGenerateTCoordsToUseScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateTCoordsAsString */
    if ( strcmp ( argv[2], "GetGenerateTCoordsAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateTCoordsAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateTCoordsAsString */
    Tcl_DStringAppendElement ( &dString, " Control whether and how texture coordinates are produced. This is\n useful for striping the tube with length textures, etc. If you\n use scalars to create the texture, the scalars are assumed to be\n monotonically increasing (or decreasing).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetGenerateTCoordsAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetGenerateTCoordsAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureLength */
    if ( strcmp ( argv[2], "SetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for SetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMinValue */
    if ( strcmp ( argv[2], "GetTextureLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetTextureLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLengthMaxValue */
    if ( strcmp ( argv[2], "GetTextureLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetTextureLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureLength */
    if ( strcmp ( argv[2], "GetTextureLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureLength */
    Tcl_DStringAppendElement ( &dString, " Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the \\[0,1)\n texture space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTubeFilter" );
    /* Closing for GetTextureLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
