// python wrapper for vtkUncertaintyTubeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUncertaintyTubeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUncertaintyTubeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUncertaintyTubeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkUncertaintyTubeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  const char    *temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  vtkUncertaintyTubeFilter  *temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUncertaintyTubeFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUncertaintyTubeFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_SetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  int      temp0;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUncertaintyTubeFilter::SetNumberOfSides(temp0);
      }
    else
      {
      op->SetNumberOfSides(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_GetNumberOfSidesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  int      temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::GetNumberOfSidesMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_GetNumberOfSidesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  int      temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::GetNumberOfSidesMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSidesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUncertaintyTubeFilter_GetNumberOfSides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUncertaintyTubeFilter *op;

  int      temp20;
  op = (vtkUncertaintyTubeFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUncertaintyTubeFilter::GetNumberOfSides();
      }
    else
      {
      temp20 = op->GetNumberOfSides();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUncertaintyTubeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUncertaintyTubeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for printing and obtaining type information for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUncertaintyTubeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for printing and obtaining type information for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUncertaintyTubeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUncertaintyTubeFilter\nC++: vtkUncertaintyTubeFilter *NewInstance ();\n\n Standard methods for printing and obtaining type information for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUncertaintyTubeFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUncertaintyTubeFilter\nC++: vtkUncertaintyTubeFilter *SafeDownCast (vtkObject* o);\n\n Standard methods for printing and obtaining type information for instances of this class.\n"},
  {(char*)"SetNumberOfSides",                (PyCFunction)PyvtkUncertaintyTubeFilter_SetNumberOfSides, 1,
   (char*)"V.SetNumberOfSides(int)\nC++: void SetNumberOfSides (int );\n\n Set / get the number of sides for the tube. At a minimum,\n the number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMinValue",                (PyCFunction)PyvtkUncertaintyTubeFilter_GetNumberOfSidesMinValue, 1,
   (char*)"V.GetNumberOfSidesMinValue() -> int\nC++: int GetNumberOfSidesMinValue ();\n\n Set / get the number of sides for the tube. At a minimum,\n the number of sides is 3.\n"},
  {(char*)"GetNumberOfSidesMaxValue",                (PyCFunction)PyvtkUncertaintyTubeFilter_GetNumberOfSidesMaxValue, 1,
   (char*)"V.GetNumberOfSidesMaxValue() -> int\nC++: int GetNumberOfSidesMaxValue ();\n\n Set / get the number of sides for the tube. At a minimum,\n the number of sides is 3.\n"},
  {(char*)"GetNumberOfSides",                (PyCFunction)PyvtkUncertaintyTubeFilter_GetNumberOfSides, 1,
   (char*)"V.GetNumberOfSides() -> int\nC++: int GetNumberOfSides ();\n\n Set / get the number of sides for the tube. At a minimum,\n the number of sides is 3.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUncertaintyTubeFilterDoc[] = {
  (char*)"vtkUncertaintyTubeFilter - generate uncertainty tubes along a polyline\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkUncertaintyTubeFilter is a filter that generates ellipsoidal (in cross\n section) tubes that follows a polyline. The input is a vtkPolyData with\n polylines that have associated vector point data. The vector data represents\n the uncertainty of the polyline in the x-y-z directions.\n\n\n",
  "Caveats:\n\n The vector uncertainty values define an axis-aligned ellipsoid at each\n polyline point. The uncertainty tubes can be envisioned as the\n interpolation of these ellipsoids between the points defining the \n polyline (or rather, the interpolation of the cross section of the\n ellipsoids alog the polyline).\n\n",
  "See Also:\n\n vtkTensorGlyph vtkStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkUncertaintyTubeFilterStaticNew()
{
  return vtkUncertaintyTubeFilter::New();
}

PyObject *PyVTKClass_vtkUncertaintyTubeFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkUncertaintyTubeFilterStaticNew,
                        PyvtkUncertaintyTubeFilterMethods,
                        (char*)"vtkUncertaintyTubeFilter",modulename,
                        (char**)vtkUncertaintyTubeFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

