// python wrapper for vtkUnstructuredGridGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnstructuredGridGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkUnstructuredGridGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  const char    *temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkUnstructuredGridGeometryFilter  *temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetPointClipping(temp0);
      }
    else
      {
      op->SetPointClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointClipping();
      }
    else
      {
      temp20 = op->GetPointClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_PointClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::PointClippingOn();
      }
    else
      {
      op->PointClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_PointClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::PointClippingOff();
      }
    else
      {
      op->PointClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetCellClipping(temp0);
      }
    else
      {
      op->SetCellClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellClipping();
      }
    else
      {
      temp20 = op->GetCellClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_CellClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::CellClippingOn();
      }
    else
      {
      op->CellClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_CellClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::CellClippingOff();
      }
    else
      {
      op->CellClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetExtentClipping(temp0);
      }
    else
      {
      op->SetExtentClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetExtentClipping();
      }
    else
      {
      temp20 = op->GetExtentClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_ExtentClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::ExtentClippingOn();
      }
    else
      {
      op->ExtentClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_ExtentClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::ExtentClippingOff();
      }
    else
      {
      op->ExtentClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetPointMinimum(temp0);
      }
    else
      {
      op->SetPointMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMinimumMinValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMinimum();
      }
    else
      {
      temp20 = op->GetPointMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetPointMaximum(temp0);
      }
    else
      {
      op->SetPointMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMaximumMinValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetPointMaximum();
      }
    else
      {
      temp20 = op->GetPointMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetCellMinimum(temp0);
      }
    else
      {
      op->SetCellMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMinimumMinValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMinimum();
      }
    else
      {
      temp20 = op->GetCellMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetCellMaximum(temp0);
      }
    else
      {
      op->SetCellMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMaximumMinValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkIdType   temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetCellMaximum();
      }
    else
      {
      temp20 = op->GetCellMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  int      temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  vtkPointLocator  *temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridGeometryFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridGeometryFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridGeometryFilter *op;

  unsigned long     temp20;
  op = (vtkUnstructuredGridGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridGeometryFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridGeometryFilter\nC++: vtkUnstructuredGridGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridGeometryFilter\nC++: vtkUnstructuredGridGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetPointClipping, 1,
   (char*)"V.SetPointClipping(int)\nC++: void SetPointClipping (int );\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"GetPointClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointClipping, 1,
   (char*)"V.GetPointClipping() -> int\nC++: int GetPointClipping ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOn",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_PointClippingOn, 1,
   (char*)"V.PointClippingOn()\nC++: void PointClippingOn ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOff",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_PointClippingOff, 1,
   (char*)"V.PointClippingOff()\nC++: void PointClippingOff ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"SetCellClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetCellClipping, 1,
   (char*)"V.SetCellClipping(int)\nC++: void SetCellClipping (int );\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"GetCellClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellClipping, 1,
   (char*)"V.GetCellClipping() -> int\nC++: int GetCellClipping ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOn",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_CellClippingOn, 1,
   (char*)"V.CellClippingOn()\nC++: void CellClippingOn ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOff",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_CellClippingOff, 1,
   (char*)"V.CellClippingOff()\nC++: void CellClippingOff ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"SetExtentClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetExtentClipping, 1,
   (char*)"V.SetExtentClipping(int)\nC++: void SetExtentClipping (int );\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"GetExtentClipping",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetExtentClipping, 1,
   (char*)"V.GetExtentClipping() -> int\nC++: int GetExtentClipping ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOn",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_ExtentClippingOn, 1,
   (char*)"V.ExtentClippingOn()\nC++: void ExtentClippingOn ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOff",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_ExtentClippingOff, 1,
   (char*)"V.ExtentClippingOff()\nC++: void ExtentClippingOff ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"SetPointMinimum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetPointMinimum, 1,
   (char*)"V.SetPointMinimum(int)\nC++: void SetPointMinimum (vtkIdType );\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMinValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMinimumMinValue, 1,
   (char*)"V.GetPointMinimumMinValue() -> int\nC++: vtkIdType GetPointMinimumMinValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMaxValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMinimumMaxValue, 1,
   (char*)"V.GetPointMinimumMaxValue() -> int\nC++: vtkIdType GetPointMinimumMaxValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMinimum, 1,
   (char*)"V.GetPointMinimum() -> int\nC++: vtkIdType GetPointMinimum ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"SetPointMaximum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetPointMaximum, 1,
   (char*)"V.SetPointMaximum(int)\nC++: void SetPointMaximum (vtkIdType );\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMinValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMaximumMinValue, 1,
   (char*)"V.GetPointMaximumMinValue() -> int\nC++: vtkIdType GetPointMaximumMinValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMaxValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMaximumMaxValue, 1,
   (char*)"V.GetPointMaximumMaxValue() -> int\nC++: vtkIdType GetPointMaximumMaxValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetPointMaximum, 1,
   (char*)"V.GetPointMaximum() -> int\nC++: vtkIdType GetPointMaximum ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"SetCellMinimum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetCellMinimum, 1,
   (char*)"V.SetCellMinimum(int)\nC++: void SetCellMinimum (vtkIdType );\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMinValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMinimumMinValue, 1,
   (char*)"V.GetCellMinimumMinValue() -> int\nC++: vtkIdType GetCellMinimumMinValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMaxValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMinimumMaxValue, 1,
   (char*)"V.GetCellMinimumMaxValue() -> int\nC++: vtkIdType GetCellMinimumMaxValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMinimum, 1,
   (char*)"V.GetCellMinimum() -> int\nC++: vtkIdType GetCellMinimum ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"SetCellMaximum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetCellMaximum, 1,
   (char*)"V.SetCellMaximum(int)\nC++: void SetCellMaximum (vtkIdType );\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMinValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMaximumMinValue, 1,
   (char*)"V.GetCellMaximumMinValue() -> int\nC++: vtkIdType GetCellMaximumMinValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMaxValue",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMaximumMaxValue, 1,
   (char*)"V.GetCellMaximumMaxValue() -> int\nC++: vtkIdType GetCellMaximumMaxValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximum",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetCellMaximum, 1,
   (char*)"V.GetCellMaximum() -> int\nC++: vtkIdType GetCellMaximum ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetExtent, 1,
   (char*)"V.SetExtent(float, float, float, float, float, float)\nC++: void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetExtent((float, float, float, float, float, float))\nC++: void SetExtent (double extent[6]);\n\n Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkUnstructuredGridGeometryFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridGeometryFilterDoc[] = {
  (char*)"vtkUnstructuredGridGeometryFilter - extract geometry from an unstructured grid\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkUnstructuredGridGeometryFilter is a filter that extracts\n geometry (and associated data) from an unstructured grid. It differs from\n vtkGeometryFilter by not tessellating higher order faces: 2D faces of\n quadratic 3D cells will be quadratic. A quadratic edge is extracted as a\n quadratic edge. For that purpose, the output of this filter is an\n unstructured grid, not a polydata.\n Also, the face ",
  (char*)"of a voxel is a pixel, not a quad.\n Geometry is obtained as follows: all 0D, 1D, and 2D cells are extracted.\n All 2D faces that are used by only one 3D cell (i.e., boundary faces) are\n extracted. It also is possible to specify conditions on point ids, cell ids,\n and on bounding box (referred to as \"Extent\") to control the extraction\n process.\n\n\n",
  "Caveats:\n\n When vtkUnstructuredGridGeometryFilter extracts cells (or boundaries of\n cells) it will (by default) merge duplicate vertices. This may cause\n problems in some cases. Turn merging off to prevent this from occurring.\n\n",
  "See Also:\n\n vtkGeometryFilter\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridGeometryFilterStaticNew()
{
  return vtkUnstructuredGridGeometryFilter::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridGeometryFilterStaticNew,
                        PyvtkUnstructuredGridGeometryFilterMethods,
                        (char*)"vtkUnstructuredGridGeometryFilter",modulename,
                        (char**)vtkUnstructuredGridGeometryFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

