// tcl wrapper for vtkVectorNorm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVectorNorm.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVectorNormNewCommand()
{
  vtkVectorNorm *temp = vtkVectorNorm::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVectorNormCppCommand(vtkVectorNorm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVectorNormCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVectorNormCppCommand(static_cast<vtkVectorNorm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVectorNormCppCommand(vtkVectorNorm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVectorNorm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVectorNorm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVectorNorm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVectorNorm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVectorNorm");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVectorNorm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVectorNorm");
    return TCL_OK;
    }
  if ((!strcmp("SetNormalize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeOn",argv[1]))&&(argc == 2))
    {
    op->NormalizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeOff",argv[1]))&&(argc == 2))
    {
    op->NormalizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAttributeModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVectorNormCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVectorNorm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalize\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeModeAsString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNormalize" );
    Tcl_DStringAppendElement ( &dString, "GetNormalize" );
    Tcl_DStringAppendElement ( &dString, "NormalizeOn" );
    Tcl_DStringAppendElement ( &dString, "NormalizeOff" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with normalize flag off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkVectorNorm *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalize */
    if ( strcmp ( argv[2], "SetNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalize */
    Tcl_DStringAppendElement ( &dString, " Specify whether to normalize scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SetNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalize */
    if ( strcmp ( argv[2], "GetNormalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalize */
    Tcl_DStringAppendElement ( &dString, " Specify whether to normalize scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for GetNormalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeOn */
    if ( strcmp ( argv[2], "NormalizeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to normalize scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for NormalizeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeOff */
    if ( strcmp ( argv[2], "NormalizeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to normalize scalar values.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for NormalizeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeMode */
    if ( strcmp ( argv[2], "SetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeMode */
    if ( strcmp ( argv[2], "GetAttributeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeMode */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for GetAttributeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToDefault */
    if ( strcmp ( argv[2], "SetAttributeModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT " );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SetAttributeModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUsePointData */
    if ( strcmp ( argv[2], "SetAttributeModeToUsePointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUsePointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUsePointData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SetAttributeModeToUsePointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeModeToUseCellData */
    if ( strcmp ( argv[2], "SetAttributeModeToUseCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeModeToUseCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeModeToUseCellData */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for SetAttributeModeToUseCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeModeAsString */
    if ( strcmp ( argv[2], "GetAttributeModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeModeAsString */
    Tcl_DStringAppendElement ( &dString, " Control how the filter works to generate scalar data from the\n input vector data. By default, (AttributeModeToDefault) the\n filter will generate the scalar norm for point and cell data (if\n vector data present in the input). Alternatively, you can\n explicitly set the filter to generate point data\n (AttributeModeToUsePointData) or cell data\n (AttributeModeToUseCellData).\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttributeModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVectorNorm" );
    /* Closing for GetAttributeModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
