// python wrapper for vtkVertexGlyphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVertexGlyphFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVertexGlyphFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVertexGlyphFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkVertexGlyphFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexGlyphFilter *op;

  const char    *temp20;
  op = (vtkVertexGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexGlyphFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexGlyphFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexGlyphFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkVertexGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexGlyphFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexGlyphFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVertexGlyphFilter *op;

  vtkVertexGlyphFilter  *temp20;
  op = (vtkVertexGlyphFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVertexGlyphFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVertexGlyphFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVertexGlyphFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVertexGlyphFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkVertexGlyphFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVertexGlyphFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVertexGlyphFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVertexGlyphFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVertexGlyphFilter\nC++: vtkVertexGlyphFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVertexGlyphFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVertexGlyphFilter\nC++: vtkVertexGlyphFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVertexGlyphFilterDoc[] = {
  (char*)"vtkVertexGlyphFilter - Make a vtkPolyData with a vertex on each point.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)"\n This filter throws away all of the cells in the input and replaces them with\n a vertex on each point.  The intended use of this filter is roughly\n equivalent to the vtkGlyph3D filter, except this filter is specifically for\n data that has many vertices, making the rendered result faster and less\n cluttered than the glyph filter.\n\n\n",
  NULL
};

static vtkObjectBase *vtkVertexGlyphFilterStaticNew()
{
  return vtkVertexGlyphFilter::New();
}

PyObject *PyVTKClass_vtkVertexGlyphFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkVertexGlyphFilterStaticNew,
                        PyvtkVertexGlyphFilterMethods,
                        (char*)"vtkVertexGlyphFilter",modulename,
                        (char**)vtkVertexGlyphFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

