// python wrapper for vtkWarpVector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWarpVector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWarpVectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWarpVectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkWarpVector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpVector *op;

  const char    *temp20;
  op = (vtkWarpVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpVector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpVector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpVector *op;

  char    *temp0;
  int      temp20;
  op = (vtkWarpVector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpVector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpVector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpVector *op;

  vtkWarpVector  *temp20;
  op = (vtkWarpVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpVector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpVector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWarpVector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWarpVector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWarpVector_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpVector *op;

  double   temp0;
  op = (vtkWarpVector *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpVector::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpVector_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpVector *op;

  double   temp20;
  op = (vtkWarpVector *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpVector::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWarpVectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWarpVector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWarpVector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWarpVector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWarpVector\nC++: vtkWarpVector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWarpVector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWarpVector\nC++: vtkWarpVector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkWarpVector_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Specify value to scale displacement.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkWarpVector_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Specify value to scale displacement.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWarpVectorDoc[] = {
  (char*)"vtkWarpVector - deform geometry with vector data\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" vtkWarpVector is a filter that modifies point coordinates by moving\n points along vector times the scale factor. Useful for showing flow\n profiles or mechanical deformation.\n\n The filter passes both its point data and cell data to its output.\n\n",
  NULL
};

static vtkObjectBase *vtkWarpVectorStaticNew()
{
  return vtkWarpVector::New();
}

PyObject *PyVTKClass_vtkWarpVectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkWarpVectorStaticNew,
                        PyvtkWarpVectorMethods,
                        (char*)"vtkWarpVector",modulename,
                        (char**)vtkWarpVectorDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

