// python wrapper for vtkWindowedSincPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWindowedSincPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWindowedSincPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWindowedSincPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkWindowedSincPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  const char    *temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  vtkWindowedSincPolyDataFilter  *temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWindowedSincPolyDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWindowedSincPolyDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetPassBand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetPassBand(temp0);
      }
    else
      {
      op->SetPassBand(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetPassBandMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetPassBandMinValue();
      }
    else
      {
      temp20 = op->GetPassBandMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetPassBandMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetPassBandMaxValue();
      }
    else
      {
      temp20 = op->GetPassBandMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetPassBand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetPassBand();
      }
    else
      {
      temp20 = op->GetPassBand();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetNormalizeCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetNormalizeCoordinates(temp0);
      }
    else
      {
      op->SetNormalizeCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetNormalizeCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetNormalizeCoordinates();
      }
    else
      {
      temp20 = op->GetNormalizeCoordinates();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_NormalizeCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::NormalizeCoordinatesOn();
      }
    else
      {
      op->NormalizeCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_NormalizeCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::NormalizeCoordinatesOff();
      }
    else
      {
      op->NormalizeCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetFeatureEdgeSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetFeatureEdgeSmoothing(temp0);
      }
    else
      {
      op->SetFeatureEdgeSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetFeatureEdgeSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetFeatureEdgeSmoothing();
      }
    else
      {
      temp20 = op->GetFeatureEdgeSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::FeatureEdgeSmoothingOn();
      }
    else
      {
      op->FeatureEdgeSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::FeatureEdgeSmoothingOff();
      }
    else
      {
      op->FeatureEdgeSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetFeatureAngle(temp0);
      }
    else
      {
      op->SetFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetFeatureAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetFeatureAngleMinValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetFeatureAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetFeatureAngleMaxValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetFeatureAngle();
      }
    else
      {
      temp20 = op->GetFeatureAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetEdgeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetEdgeAngle(temp0);
      }
    else
      {
      op->SetEdgeAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetEdgeAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetEdgeAngleMinValue();
      }
    else
      {
      temp20 = op->GetEdgeAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetEdgeAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetEdgeAngleMaxValue();
      }
    else
      {
      temp20 = op->GetEdgeAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetEdgeAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  double   temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetEdgeAngle();
      }
    else
      {
      temp20 = op->GetEdgeAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetBoundarySmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetBoundarySmoothing(temp0);
      }
    else
      {
      op->SetBoundarySmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetBoundarySmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetBoundarySmoothing();
      }
    else
      {
      temp20 = op->GetBoundarySmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_BoundarySmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::BoundarySmoothingOn();
      }
    else
      {
      op->BoundarySmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_BoundarySmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::BoundarySmoothingOff();
      }
    else
      {
      op->BoundarySmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetNonManifoldSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetNonManifoldSmoothing(temp0);
      }
    else
      {
      op->SetNonManifoldSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetNonManifoldSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetNonManifoldSmoothing();
      }
    else
      {
      temp20 = op->GetNonManifoldSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_NonManifoldSmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::NonManifoldSmoothingOn();
      }
    else
      {
      op->NonManifoldSmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_NonManifoldSmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::NonManifoldSmoothingOff();
      }
    else
      {
      op->NonManifoldSmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetGenerateErrorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetGenerateErrorScalars(temp0);
      }
    else
      {
      op->SetGenerateErrorScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetGenerateErrorScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetGenerateErrorScalars();
      }
    else
      {
      temp20 = op->GetGenerateErrorScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GenerateErrorScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::GenerateErrorScalarsOn();
      }
    else
      {
      op->GenerateErrorScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GenerateErrorScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::GenerateErrorScalarsOff();
      }
    else
      {
      op->GenerateErrorScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_SetGenerateErrorVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp0;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::SetGenerateErrorVectors(temp0);
      }
    else
      {
      op->SetGenerateErrorVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GetGenerateErrorVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  int      temp20;
  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWindowedSincPolyDataFilter::GetGenerateErrorVectors();
      }
    else
      {
      temp20 = op->GetGenerateErrorVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GenerateErrorVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::GenerateErrorVectorsOn();
      }
    else
      {
      op->GenerateErrorVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWindowedSincPolyDataFilter_GenerateErrorVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWindowedSincPolyDataFilter *op;

  op = (vtkWindowedSincPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWindowedSincPolyDataFilter::GenerateErrorVectorsOff();
      }
    else
      {
      op->GenerateErrorVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWindowedSincPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWindowedSincPolyDataFilter\nC++: vtkWindowedSincPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWindowedSincPolyDataFilter\nC++: vtkWindowedSincPolyDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int );\n\n Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n"},
  {(char*)"GetNumberOfIterationsMinValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetNumberOfIterationsMinValue, 1,
   (char*)"V.GetNumberOfIterationsMinValue() -> int\nC++: int GetNumberOfIterationsMinValue ();\n\n Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n"},
  {(char*)"GetNumberOfIterationsMaxValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetNumberOfIterationsMaxValue, 1,
   (char*)"V.GetNumberOfIterationsMaxValue() -> int\nC++: int GetNumberOfIterationsMaxValue ();\n\n Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n"},
  {(char*)"SetPassBand",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetPassBand, 1,
   (char*)"V.SetPassBand(float)\nC++: void SetPassBand (double );\n\n Set the passband value for the windowed sinc filter\n"},
  {(char*)"GetPassBandMinValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetPassBandMinValue, 1,
   (char*)"V.GetPassBandMinValue() -> float\nC++: double GetPassBandMinValue ();\n\n Set the passband value for the windowed sinc filter\n"},
  {(char*)"GetPassBandMaxValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetPassBandMaxValue, 1,
   (char*)"V.GetPassBandMaxValue() -> float\nC++: double GetPassBandMaxValue ();\n\n Set the passband value for the windowed sinc filter\n"},
  {(char*)"GetPassBand",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetPassBand, 1,
   (char*)"V.GetPassBand() -> float\nC++: double GetPassBand ();\n\n Set the passband value for the windowed sinc filter\n"},
  {(char*)"SetNormalizeCoordinates",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetNormalizeCoordinates, 1,
   (char*)"V.SetNormalizeCoordinates(int)\nC++: void SetNormalizeCoordinates (int );\n\n Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a [-1, 1] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n"},
  {(char*)"GetNormalizeCoordinates",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetNormalizeCoordinates, 1,
   (char*)"V.GetNormalizeCoordinates() -> int\nC++: int GetNormalizeCoordinates ();\n\n Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a [-1, 1] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n"},
  {(char*)"NormalizeCoordinatesOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_NormalizeCoordinatesOn, 1,
   (char*)"V.NormalizeCoordinatesOn()\nC++: void NormalizeCoordinatesOn ();\n\n Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a [-1, 1] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n"},
  {(char*)"NormalizeCoordinatesOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_NormalizeCoordinatesOff, 1,
   (char*)"V.NormalizeCoordinatesOff()\nC++: void NormalizeCoordinatesOff ();\n\n Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a [-1, 1] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n"},
  {(char*)"SetFeatureEdgeSmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetFeatureEdgeSmoothing, 1,
   (char*)"V.SetFeatureEdgeSmoothing(int)\nC++: void SetFeatureEdgeSmoothing (int );\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"GetFeatureEdgeSmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetFeatureEdgeSmoothing, 1,
   (char*)"V.GetFeatureEdgeSmoothing() -> int\nC++: int GetFeatureEdgeSmoothing ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"FeatureEdgeSmoothingOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOn, 1,
   (char*)"V.FeatureEdgeSmoothingOn()\nC++: void FeatureEdgeSmoothingOn ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"FeatureEdgeSmoothingOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_FeatureEdgeSmoothingOff, 1,
   (char*)"V.FeatureEdgeSmoothingOff()\nC++: void FeatureEdgeSmoothingOff ();\n\n Turn on/off smoothing along sharp interior edges.\n"},
  {(char*)"SetFeatureAngle",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetFeatureAngle, 1,
   (char*)"V.SetFeatureAngle(float)\nC++: void SetFeatureAngle (double );\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngleMinValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetFeatureAngleMinValue, 1,
   (char*)"V.GetFeatureAngleMinValue() -> float\nC++: double GetFeatureAngleMinValue ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngleMaxValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetFeatureAngleMaxValue, 1,
   (char*)"V.GetFeatureAngleMaxValue() -> float\nC++: double GetFeatureAngleMaxValue ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"GetFeatureAngle",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetFeatureAngle, 1,
   (char*)"V.GetFeatureAngle() -> float\nC++: double GetFeatureAngle ();\n\n Specify the feature angle for sharp edge identification.\n"},
  {(char*)"SetEdgeAngle",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetEdgeAngle, 1,
   (char*)"V.SetEdgeAngle(float)\nC++: void SetEdgeAngle (double );\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngleMinValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetEdgeAngleMinValue, 1,
   (char*)"V.GetEdgeAngleMinValue() -> float\nC++: double GetEdgeAngleMinValue ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngleMaxValue",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetEdgeAngleMaxValue, 1,
   (char*)"V.GetEdgeAngleMaxValue() -> float\nC++: double GetEdgeAngleMaxValue ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"GetEdgeAngle",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetEdgeAngle, 1,
   (char*)"V.GetEdgeAngle() -> float\nC++: double GetEdgeAngle ();\n\n Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n"},
  {(char*)"SetBoundarySmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetBoundarySmoothing, 1,
   (char*)"V.SetBoundarySmoothing(int)\nC++: void SetBoundarySmoothing (int );\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"GetBoundarySmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetBoundarySmoothing, 1,
   (char*)"V.GetBoundarySmoothing() -> int\nC++: int GetBoundarySmoothing ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"BoundarySmoothingOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_BoundarySmoothingOn, 1,
   (char*)"V.BoundarySmoothingOn()\nC++: void BoundarySmoothingOn ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"BoundarySmoothingOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_BoundarySmoothingOff, 1,
   (char*)"V.BoundarySmoothingOff()\nC++: void BoundarySmoothingOff ();\n\n Turn on/off the smoothing of vertices on the boundary of the mesh.\n"},
  {(char*)"SetNonManifoldSmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetNonManifoldSmoothing, 1,
   (char*)"V.SetNonManifoldSmoothing(int)\nC++: void SetNonManifoldSmoothing (int );\n\n Smooth non-manifold vertices.\n"},
  {(char*)"GetNonManifoldSmoothing",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetNonManifoldSmoothing, 1,
   (char*)"V.GetNonManifoldSmoothing() -> int\nC++: int GetNonManifoldSmoothing ();\n\n Smooth non-manifold vertices.\n"},
  {(char*)"NonManifoldSmoothingOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_NonManifoldSmoothingOn, 1,
   (char*)"V.NonManifoldSmoothingOn()\nC++: void NonManifoldSmoothingOn ();\n\n Smooth non-manifold vertices.\n"},
  {(char*)"NonManifoldSmoothingOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_NonManifoldSmoothingOff, 1,
   (char*)"V.NonManifoldSmoothingOff()\nC++: void NonManifoldSmoothingOff ();\n\n Smooth non-manifold vertices.\n"},
  {(char*)"SetGenerateErrorScalars",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetGenerateErrorScalars, 1,
   (char*)"V.SetGenerateErrorScalars(int)\nC++: void SetGenerateErrorScalars (int );\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GetGenerateErrorScalars",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetGenerateErrorScalars, 1,
   (char*)"V.GetGenerateErrorScalars() -> int\nC++: int GetGenerateErrorScalars ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GenerateErrorScalarsOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GenerateErrorScalarsOn, 1,
   (char*)"V.GenerateErrorScalarsOn()\nC++: void GenerateErrorScalarsOn ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"GenerateErrorScalarsOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GenerateErrorScalarsOff, 1,
   (char*)"V.GenerateErrorScalarsOff()\nC++: void GenerateErrorScalarsOff ();\n\n Turn on/off the generation of scalar distance values.\n"},
  {(char*)"SetGenerateErrorVectors",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_SetGenerateErrorVectors, 1,
   (char*)"V.SetGenerateErrorVectors(int)\nC++: void SetGenerateErrorVectors (int );\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GetGenerateErrorVectors",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GetGenerateErrorVectors, 1,
   (char*)"V.GetGenerateErrorVectors() -> int\nC++: int GetGenerateErrorVectors ();\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GenerateErrorVectorsOn",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GenerateErrorVectorsOn, 1,
   (char*)"V.GenerateErrorVectorsOn()\nC++: void GenerateErrorVectorsOn ();\n\n Turn on/off the generation of error vectors.\n"},
  {(char*)"GenerateErrorVectorsOff",                (PyCFunction)PyvtkWindowedSincPolyDataFilter_GenerateErrorVectorsOff, 1,
   (char*)"V.GenerateErrorVectorsOff()\nC++: void GenerateErrorVectorsOff ();\n\n Turn on/off the generation of error vectors.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWindowedSincPolyDataFilterDoc[] = {
  (char*)"vtkWindowedSincPolyDataFilter - adjust point positions using a windowed sinc function interpolation kernel\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkWindowedSincPolyDataFiler adjust point coordinate using a windowed\n sinc function interpolation kernel.  The effect is to \"relax\" the mesh,\n making the cells better shaped and the vertices more evenly distributed.\n Note that this filter operates the lines, polygons, and triangle strips\n composing an instance of vtkPolyData.  Vertex or poly-vertex cells are\n never modified.\n\n The algorithm proc",
  (char*)"eeds as follows. For each vertex v, a topological and\n geometric analysis is performed to determine which vertices are connected\n to v, and which cells are connected to v. Then, a connectivity array is\n constructed for each vertex. (The connectivity array is a list of lists\n of vertices that directly attach to each vertex.) Next, an iteration\n phase begins over all vertices. For each vertex v, the",
  (char*)" coordinates of v\n are modified using a windowed sinc function interpolation kernel.\n Taubin describes this methodology is the IBM tech report RC-20404\n (#90237, dated 3/12/96) \"Optimal Surface Smoothing as Filter Design\"\n G. Taubin, T. Zhang and G. Golub. (Zhang and Golub are at Stanford\n University).\n\n This report discusses using standard signal processing low-pass filters\n (in particular window",
  (char*)"ed sinc functions) to smooth polyhedra. The\n transfer functions of the low-pass filters are approximated by\n Chebyshev polynomials. This facilitates applying the filters in an\n iterative diffusion process (as opposed to a kernel convolution).  The\n more smoothing iterations applied, the higher the degree of polynomial\n approximating the low-pass filter transfer function. Each smoothing\n iteration,",
  (char*)" therefore, applies the next higher term of the Chebyshev\n filter approximation to the polyhedron. This decoupling of the filter\n into an iteratively applied polynomial is possible since the Chebyshev\n polynomials are orthogonal, i.e. increasing the order of the\n approximation to the filter transfer function does not alter the\n previously calculated coefficients for the low order terms. \n\n Note: C",
  (char*)"are must be taken to avoid smoothing with too few iterations.\n A Chebyshev approximation with too few terms is an poor approximation.\n The first few smoothing iterations represent a severe scaling and\n translation of the data.  Subsequent iterations cause the smoothed\n polyhedron to converge to the true location and scale of the object.\n We have attempted to protect against this by automatically a",
  (char*)"djusting\n the filter, effectively widening the pass band. This adjustment is only\n possible if the number of iterations is greater than 1.  Note that this\n sacrifices some degree of smoothing for model integrity. For those\n interested, the filter is adjusted by searching for a value sigma\n such that the actual pass band is k_pb + sigma and such that the\n filter transfer function evaluates to unity",
  (char*)" at k_pb, i.e. f(k_pb) = 1\n\n To improve the numerical stability of the solution and minimize the\n scaling the translation effects, the algorithm can translate and\n scale the position coordinates to within the unit cube [-1, 1],\n perform the smoothing, and translate and scale the position\n coordinates back to the original coordinate frame.  This mode is\n controlled with the NormalizeCoordinatesOn()",
  (char*)" /\n NormalizeCoordinatesOff() methods.  For legacy reasons, the default\n is NormalizeCoordinatesOff.\n\n This implementation is currently limited to using an interpolation\n kernel based on Hamming windows.  Other windows (such as Hann, Blackman,\n Kaiser, Lanczos, Gaussian, and exponential windows) could be used\n instead.\n\n There are some special instance variables used to control the execution\n of t",
  (char*)"his filter. (These ivars basically control what vertices can be\n smoothed, and the creation of the connectivity array.) The\n BoundarySmoothing ivar enables/disables the smoothing operation on\n vertices that are on the \"boundary\" of the mesh. A boundary vertex is one\n that is surrounded by a semi-cycle of polygons (or used by a single\n line).\n \n Another important ivar is FeatureEdgeSmoothing. If th",
  (char*)"is ivar is\n enabled, then interior vertices are classified as either \"simple\",\n \"interior edge\", or \"fixed\", and smoothed differently. (Interior\n vertices are manifold vertices surrounded by a cycle of polygons; or used\n by two line cells.) The classification is based on the number of feature \n edges attached to v. A feature edge occurs when the angle between the two\n surface normals of a polygon ",
  (char*)"sharing an edge is greater than the\n FeatureAngle ivar. Then, vertices used by no feature edges are classified\n \"simple\", vertices used by exactly two feature edges are classified\n \"interior edge\", and all others are \"fixed\" vertices.\n\n Once the classification is known, the vertices are smoothed\n differently. Corner (i.e., fixed) vertices are not smoothed at all. \n Simple vertices are smoothed as ",
  (char*)"before . Interior edge vertices are\n smoothed only along their two connected edges, and only if the angle\n between the edges is less than the EdgeAngle ivar.\n\n The total smoothing can be controlled by using two ivars. The \n NumberOfIterations determines the maximum number of smoothing passes.\n The NumberOfIterations corresponds to the degree of the polynomial that\n is used to approximate the windo",
  (char*)"wed sinc function. Ten or twenty\n iterations is all the is usually necessary. Contrast this with\n vtkSmoothPolyDataFilter which usually requires 100 to 200 smoothing\n iterations. vtkSmoothPolyDataFilter is also not an approximation to\n an ideal low-pass filter, which can cause the geometry to shrink as the\n amount of smoothing increases.\n\n The second ivar is the specification of the PassBand for t",
  (char*)"he windowed\n sinc filter.  By design, the PassBand is specified as a doubleing point\n number between 0 and 2.  Lower PassBand values produce more smoothing.\n A good default value for the PassBand is 0.1 (for those interested, the\n PassBand (and frequencies) for PolyData are based on the valence of the\n vertices, this limits all the frequency modes in a polyhedral mesh to\n between 0 and 2.)\n\n There",
  (char*)" are two instance variables that control the generation of error\n data. If the ivar GenerateErrorScalars is on, then a scalar value indicating\n the distance of each vertex from its original position is computed. If the\n ivar GenerateErrorVectors is on, then a vector representing change in \n position is computed.\n\n\n",
  "Caveats:\n\n The smoothing operation reduces high frequency information in the\n geometry of the mesh. With excessive smoothing important details may be\n lost. Enabling FeatureEdgeSmoothing helps reduce this effect, but cannot\n entirely eliminate it.\n\n\n",
  "See Also:\n\n vtkSmoothPolyDataFilter vtkDecimate vtkDecimatePro\n\n",
  NULL
};

static vtkObjectBase *vtkWindowedSincPolyDataFilterStaticNew()
{
  return vtkWindowedSincPolyDataFilter::New();
}

PyObject *PyVTKClass_vtkWindowedSincPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkWindowedSincPolyDataFilterStaticNew,
                        PyvtkWindowedSincPolyDataFilterMethods,
                        (char*)"vtkWindowedSincPolyDataFilter",modulename,
                        (char**)vtkWindowedSincPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

