// tcl wrapper for vtkWindowedSincPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindowedSincPolyDataFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkWindowedSincPolyDataFilterNewCommand()
{
  vtkWindowedSincPolyDataFilter *temp = vtkWindowedSincPolyDataFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWindowedSincPolyDataFilterCppCommand(vtkWindowedSincPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWindowedSincPolyDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWindowedSincPolyDataFilterCppCommand(static_cast<vtkWindowedSincPolyDataFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWindowedSincPolyDataFilterCppCommand(vtkWindowedSincPolyDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWindowedSincPolyDataFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWindowedSincPolyDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowedSincPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkWindowedSincPolyDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowedSincPolyDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkWindowedSincPolyDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindowedSincPolyDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIterationsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterationsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIterationsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterationsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassBand",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPassBand(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassBandMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPassBandMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPassBandMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPassBandMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPassBand",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPassBand();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizeCoordinates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalizeCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizeCoordinates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalizeCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->NormalizeCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->NormalizeCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureEdgeSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFeatureEdgeSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureEdgeSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFeatureEdgeSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FeatureEdgeSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->FeatureEdgeSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FeatureEdgeSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->FeatureEdgeSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEdgeAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEdgeAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundarySmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundarySmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundarySmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundarySmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundarySmoothingOn",argv[1]))&&(argc == 2))
    {
    op->BoundarySmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundarySmoothingOff",argv[1]))&&(argc == 2))
    {
    op->BoundarySmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNonManifoldSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonManifoldSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonManifoldSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonManifoldSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NonManifoldSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->NonManifoldSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NonManifoldSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->NonManifoldSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateErrorScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateErrorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateErrorScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateErrorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateErrorVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateErrorVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateErrorVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateErrorVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorVectorsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateErrorVectorsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateErrorVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkWindowedSincPolyDataFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWindowedSincPolyDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterationsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterationsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetPassBand\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassBandMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPassBandMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPassBand\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizeCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizeCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureEdgeSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureEdgeSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  FeatureEdgeSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  FeatureEdgeSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundarySmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundarySmoothing\n",NULL);
    Tcl_AppendResult(interp,"  BoundarySmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundarySmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNonManifoldSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonManifoldSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  NonManifoldSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  NonManifoldSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateErrorScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateErrorScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateErrorVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateErrorVectors\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateErrorVectorsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetPassBand" );
    Tcl_DStringAppendElement ( &dString, "GetPassBandMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPassBandMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPassBand" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeCoordinates" );
    Tcl_DStringAppendElement ( &dString, "NormalizeCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "NormalizeCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdgeSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdgeSmoothing" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeAngle" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBoundarySmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetBoundarySmoothing" );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldSmoothing" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "NonManifoldSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorVectors" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorVectors" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object with number of iterations 20; passband .1;\n feature edge smoothing turned off; feature \n angle 45 degrees; edge angle 15 degrees; and boundary smoothing turned \n on. Error scalars and vectors are not generated (by default). The \n convergence criterion is 0.0 of the bounding box diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkWindowedSincPolyDataFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfIterations */
    if ( strcmp ( argv[2], "SetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfIterations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterationsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfIterationsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterationsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterationsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetNumberOfIterationsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterationsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfIterationsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterationsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterationsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterationsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetNumberOfIterationsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterations */
    if ( strcmp ( argv[2], "GetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Specify the number of iterations (or degree of the polynomial\n approximating the windowed sinc function).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassBand */
    if ( strcmp ( argv[2], "SetPassBand" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassBand" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassBand */
    Tcl_DStringAppendElement ( &dString, " Set the passband value for the windowed sinc filter\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassBand (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetPassBand */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassBandMinValue */
    if ( strcmp ( argv[2], "GetPassBandMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassBandMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassBandMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the passband value for the windowed sinc filter\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPassBandMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetPassBandMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassBandMaxValue */
    if ( strcmp ( argv[2], "GetPassBandMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassBandMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassBandMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the passband value for the windowed sinc filter\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPassBandMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetPassBandMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassBand */
    if ( strcmp ( argv[2], "GetPassBand" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassBand" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassBand */
    Tcl_DStringAppendElement ( &dString, " Set the passband value for the windowed sinc filter\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPassBand ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetPassBand */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizeCoordinates */
    if ( strcmp ( argv[2], "SetNormalizeCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizeCoordinates */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a \\[-1, 1\\] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizeCoordinates (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetNormalizeCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizeCoordinates */
    if ( strcmp ( argv[2], "GetNormalizeCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizeCoordinates */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a \\[-1, 1\\] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalizeCoordinates ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetNormalizeCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeCoordinatesOn */
    if ( strcmp ( argv[2], "NormalizeCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a \\[-1, 1\\] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeCoordinatesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for NormalizeCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeCoordinatesOff */
    if ( strcmp ( argv[2], "NormalizeCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off coordinate normalization.  The positions can be\n translated and scaled such that they fit within a \\[-1, 1\\] prior\n to the smoothing computation. The default is off.  The numerical\n stability of the solution can be improved by turning\n normalization on.  If normalization is on, the coordinates will\n be rescaled to the original coordinate system after smoothing has\n completed.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeCoordinatesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for NormalizeCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureEdgeSmoothing */
    if ( strcmp ( argv[2], "SetFeatureEdgeSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureEdgeSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureEdgeSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureEdgeSmoothing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetFeatureEdgeSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureEdgeSmoothing */
    if ( strcmp ( argv[2], "GetFeatureEdgeSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureEdgeSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureEdgeSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFeatureEdgeSmoothing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetFeatureEdgeSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FeatureEdgeSmoothingOn */
    if ( strcmp ( argv[2], "FeatureEdgeSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgeSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void FeatureEdgeSmoothingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for FeatureEdgeSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FeatureEdgeSmoothingOff */
    if ( strcmp ( argv[2], "FeatureEdgeSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FeatureEdgeSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FeatureEdgeSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smoothing along sharp interior edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void FeatureEdgeSmoothingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for FeatureEdgeSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureAngle (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMinValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetFeatureAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetFeatureAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the feature angle for sharp edge identification.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeAngle */
    if ( strcmp ( argv[2], "SetEdgeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeAngle (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetEdgeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngleMinValue */
    if ( strcmp ( argv[2], "GetEdgeAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngleMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetEdgeAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngleMaxValue */
    if ( strcmp ( argv[2], "GetEdgeAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngleMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetEdgeAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeAngle */
    if ( strcmp ( argv[2], "GetEdgeAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the edge angle to control smoothing along edges (either interior\n or boundary).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEdgeAngle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetEdgeAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundarySmoothing */
    if ( strcmp ( argv[2], "SetBoundarySmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundarySmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundarySmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundarySmoothing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetBoundarySmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundarySmoothing */
    if ( strcmp ( argv[2], "GetBoundarySmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundarySmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundarySmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundarySmoothing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetBoundarySmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundarySmoothingOn */
    if ( strcmp ( argv[2], "BoundarySmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundarySmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundarySmoothingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for BoundarySmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundarySmoothingOff */
    if ( strcmp ( argv[2], "BoundarySmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundarySmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundarySmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the smoothing of vertices on the boundary of the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundarySmoothingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for BoundarySmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonManifoldSmoothing */
    if ( strcmp ( argv[2], "SetNonManifoldSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonManifoldSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonManifoldSmoothing */
    Tcl_DStringAppendElement ( &dString, " Smooth non-manifold vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNonManifoldSmoothing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetNonManifoldSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNonManifoldSmoothing */
    if ( strcmp ( argv[2], "GetNonManifoldSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonManifoldSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonManifoldSmoothing */
    Tcl_DStringAppendElement ( &dString, " Smooth non-manifold vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNonManifoldSmoothing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetNonManifoldSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NonManifoldSmoothingOn */
    if ( strcmp ( argv[2], "NonManifoldSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Smooth non-manifold vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void NonManifoldSmoothingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for NonManifoldSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NonManifoldSmoothingOff */
    if ( strcmp ( argv[2], "NonManifoldSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NonManifoldSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NonManifoldSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Smooth non-manifold vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void NonManifoldSmoothingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for NonManifoldSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateErrorScalars */
    if ( strcmp ( argv[2], "SetGenerateErrorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateErrorScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateErrorScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetGenerateErrorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateErrorScalars */
    if ( strcmp ( argv[2], "GetGenerateErrorScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateErrorScalars */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateErrorScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetGenerateErrorScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorScalarsOn */
    if ( strcmp ( argv[2], "GenerateErrorScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GenerateErrorScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorScalarsOff */
    if ( strcmp ( argv[2], "GenerateErrorScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of scalar distance values.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GenerateErrorScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateErrorVectors */
    if ( strcmp ( argv[2], "SetGenerateErrorVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateErrorVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateErrorVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateErrorVectors (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for SetGenerateErrorVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateErrorVectors */
    if ( strcmp ( argv[2], "GetGenerateErrorVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateErrorVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateErrorVectors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateErrorVectors ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GetGenerateErrorVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorVectorsOn */
    if ( strcmp ( argv[2], "GenerateErrorVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorVectorsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GenerateErrorVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateErrorVectorsOff */
    if ( strcmp ( argv[2], "GenerateErrorVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateErrorVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateErrorVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the generation of error vectors.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateErrorVectorsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWindowedSincPolyDataFilter" );
    /* Closing for GenerateErrorVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
