// python wrapper for vtk3DSImporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtk3DSImporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtk3DSImporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtk3DSImporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImporterNew(char *); }

static PyObject *Pyvtk3DSImporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  const char    *temp20;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DSImporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  char    *temp0;
  int      temp20;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DSImporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  vtk3DSImporter  *temp20;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DSImporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtk3DSImporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtk3DSImporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *Pyvtk3DSImporter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  char    *temp0;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DSImporter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  char    *temp20;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DSImporter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  int      temp0;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DSImporter::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  int      temp20;
  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DSImporter::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DSImporter::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DSImporter_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DSImporter *op;

  op = (vtk3DSImporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DSImporter::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef Pyvtk3DSImporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)Pyvtk3DSImporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)Pyvtk3DSImporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)Pyvtk3DSImporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtk3DSImporter\nC++: vtk3DSImporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)Pyvtk3DSImporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtk3DSImporter\nC++: vtk3DSImporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)Pyvtk3DSImporter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)Pyvtk3DSImporter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the file to read.\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)Pyvtk3DSImporter_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. If on, imported geometry will\n be run through vtkPolyDataNormals.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)Pyvtk3DSImporter_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. If on, imported geometry will\n be run through vtkPolyDataNormals.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)Pyvtk3DSImporter_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. If on, imported geometry will\n be run through vtkPolyDataNormals.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)Pyvtk3DSImporter_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. If on, imported geometry will\n be run through vtkPolyDataNormals.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtk3DSImporterDoc[] = {
  (char*)"vtk3DSImporter - imports 3D Studio files.\n\n",
  "Super Class:\n\n vtkImporter\n\n",
  (char*)" vtk3DSImporter imports 3D Studio files into vtk.\n\n",
  "See Also:\n\n vtkImporter\n\n",
  NULL
};

static vtkObjectBase *vtk3DSImporterStaticNew()
{
  return vtk3DSImporter::New();
}

PyObject *PyVTKClass_vtk3DSImporterNew(char *modulename)
{
  return PyVTKClass_New(&vtk3DSImporterStaticNew,
                        Pyvtk3DSImporterMethods,
                        (char*)"vtk3DSImporter",modulename,
                        (char**)vtk3DSImporterDoc,
                        PyVTKClass_vtkImporterNew(modulename));
}

