// python wrapper for vtkAnnotatedCubeActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAnnotatedCubeActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAnnotatedCubeActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAnnotatedCubeActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkAnnotatedCubeActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  const char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkAnnotatedCubeActor  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAnnotatedCubeActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAnnotatedCubeActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double temp0[6];
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  unsigned long     temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetFaceTextScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetFaceTextScale(temp0);
      }
    else
      {
      op->SetFaceTextScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetFaceTextScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetFaceTextScale();
      }
    else
      {
      temp20 = op->GetFaceTextScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetXPlusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetXPlusFaceProperty();
      }
    else
      {
      temp20 = op->GetXPlusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetXMinusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetXMinusFaceProperty();
      }
    else
      {
      temp20 = op->GetXMinusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetYPlusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetYPlusFaceProperty();
      }
    else
      {
      temp20 = op->GetYPlusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetYMinusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetYMinusFaceProperty();
      }
    else
      {
      temp20 = op->GetYMinusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetZPlusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetZPlusFaceProperty();
      }
    else
      {
      temp20 = op->GetZPlusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetZMinusFaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetZMinusFaceProperty();
      }
    else
      {
      temp20 = op->GetZMinusFaceProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetCubeProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetCubeProperty();
      }
    else
      {
      temp20 = op->GetCubeProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetTextEdgesProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkProperty  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetTextEdgesProperty();
      }
    else
      {
      temp20 = op->GetTextEdgesProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetXPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetXPlusFaceText(temp0);
      }
    else
      {
      op->SetXPlusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetXPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetXPlusFaceText();
      }
    else
      {
      temp20 = op->GetXPlusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetXMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetXMinusFaceText(temp0);
      }
    else
      {
      op->SetXMinusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetXMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetXMinusFaceText();
      }
    else
      {
      temp20 = op->GetXMinusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetYPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetYPlusFaceText(temp0);
      }
    else
      {
      op->SetYPlusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetYPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetYPlusFaceText();
      }
    else
      {
      temp20 = op->GetYPlusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetYMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetYMinusFaceText(temp0);
      }
    else
      {
      op->SetYMinusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetYMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetYMinusFaceText();
      }
    else
      {
      temp20 = op->GetYMinusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetZPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetZPlusFaceText(temp0);
      }
    else
      {
      op->SetZPlusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetZPlusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetZPlusFaceText();
      }
    else
      {
      temp20 = op->GetZPlusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetZMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetZMinusFaceText(temp0);
      }
    else
      {
      op->SetZMinusFaceText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetZMinusFaceText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  char    *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetZMinusFaceText();
      }
    else
      {
      temp20 = op->GetZMinusFaceText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetTextEdgesVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetTextEdgesVisibility(temp0);
      }
    else
      {
      op->SetTextEdgesVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetTextEdgesVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetTextEdgesVisibility();
      }
    else
      {
      temp20 = op->GetTextEdgesVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetCubeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetCubeVisibility(temp0);
      }
    else
      {
      op->SetCubeVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetCubeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetCubeVisibility();
      }
    else
      {
      temp20 = op->GetCubeVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetFaceTextVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetFaceTextVisibility(temp0);
      }
    else
      {
      op->SetFaceTextVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetFaceTextVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  int      temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetFaceTextVisibility();
      }
    else
      {
      temp20 = op->GetFaceTextVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetXFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetXFaceTextRotation(temp0);
      }
    else
      {
      op->SetXFaceTextRotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetXFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetXFaceTextRotation();
      }
    else
      {
      temp20 = op->GetXFaceTextRotation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetYFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetYFaceTextRotation(temp0);
      }
    else
      {
      op->SetYFaceTextRotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetYFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetYFaceTextRotation();
      }
    else
      {
      temp20 = op->GetYFaceTextRotation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_SetZFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp0;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAnnotatedCubeActor::SetZFaceTextRotation(temp0);
      }
    else
      {
      op->SetZFaceTextRotation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetZFaceTextRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  double   temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetZFaceTextRotation();
      }
    else
      {
      temp20 = op->GetZFaceTextRotation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAnnotatedCubeActor_GetAssembly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAnnotatedCubeActor *op;

  vtkAssembly  *temp20;
  op = (vtkAnnotatedCubeActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAnnotatedCubeActor::GetAssembly();
      }
    else
      {
      temp20 = op->GetAssembly();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAnnotatedCubeActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAnnotatedCubeActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAnnotatedCubeActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAnnotatedCubeActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAnnotatedCubeActor\nC++: vtkAnnotatedCubeActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAnnotatedCubeActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAnnotatedCubeActor\nC++: vtkAnnotatedCubeActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkAnnotatedCubeActor_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAnnotatedCubeActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAnnotatedCubeActor_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAnnotatedCubeActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAnnotatedCubeActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an axes actor. Overloads the virtual vtkProp method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAnnotatedCubeActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAnnotatedCubeActor_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds[6]) is available from the superclass.)\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAnnotatedCubeActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {(char*)"SetFaceTextScale",                (PyCFunction)PyvtkAnnotatedCubeActor_SetFaceTextScale, 1,
   (char*)"V.SetFaceTextScale(float)\nC++: void SetFaceTextScale (double );\n\n Set/Get the scale factor for the face text\n"},
  {(char*)"GetFaceTextScale",                (PyCFunction)PyvtkAnnotatedCubeActor_GetFaceTextScale, 1,
   (char*)"V.GetFaceTextScale() -> float\nC++: double GetFaceTextScale ();\n\n Set/Get the scale factor for the face text\n"},
  {(char*)"GetXPlusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetXPlusFaceProperty, 1,
   (char*)"V.GetXPlusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetXPlusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetXMinusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetXMinusFaceProperty, 1,
   (char*)"V.GetXMinusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetXMinusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetYPlusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetYPlusFaceProperty, 1,
   (char*)"V.GetYPlusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetYPlusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetYMinusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetYMinusFaceProperty, 1,
   (char*)"V.GetYMinusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetYMinusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetZPlusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetZPlusFaceProperty, 1,
   (char*)"V.GetZPlusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetZPlusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetZMinusFaceProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetZMinusFaceProperty, 1,
   (char*)"V.GetZMinusFaceProperty() -> vtkProperty\nC++: vtkProperty *GetZMinusFaceProperty ();\n\n Get the individual face text properties.\n"},
  {(char*)"GetCubeProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetCubeProperty, 1,
   (char*)"V.GetCubeProperty() -> vtkProperty\nC++: vtkProperty *GetCubeProperty ();\n\n Get the cube properties.\n"},
  {(char*)"GetTextEdgesProperty",                (PyCFunction)PyvtkAnnotatedCubeActor_GetTextEdgesProperty, 1,
   (char*)"V.GetTextEdgesProperty() -> vtkProperty\nC++: vtkProperty *GetTextEdgesProperty ();\n\n Get the text edges properties.\n"},
  {(char*)"SetXPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetXPlusFaceText, 1,
   (char*)"V.SetXPlusFaceText(string)\nC++: void SetXPlusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetXPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetXPlusFaceText, 1,
   (char*)"V.GetXPlusFaceText() -> string\nC++: char *GetXPlusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetXMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetXMinusFaceText, 1,
   (char*)"V.SetXMinusFaceText(string)\nC++: void SetXMinusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetXMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetXMinusFaceText, 1,
   (char*)"V.GetXMinusFaceText() -> string\nC++: char *GetXMinusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetYPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetYPlusFaceText, 1,
   (char*)"V.SetYPlusFaceText(string)\nC++: void SetYPlusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetYPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetYPlusFaceText, 1,
   (char*)"V.GetYPlusFaceText() -> string\nC++: char *GetYPlusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetYMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetYMinusFaceText, 1,
   (char*)"V.SetYMinusFaceText(string)\nC++: void SetYMinusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetYMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetYMinusFaceText, 1,
   (char*)"V.GetYMinusFaceText() -> string\nC++: char *GetYMinusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetZPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetZPlusFaceText, 1,
   (char*)"V.SetZPlusFaceText(string)\nC++: void SetZPlusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetZPlusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetZPlusFaceText, 1,
   (char*)"V.GetZPlusFaceText() -> string\nC++: char *GetZPlusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetZMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_SetZMinusFaceText, 1,
   (char*)"V.SetZMinusFaceText(string)\nC++: void SetZMinusFaceText (char *);\n\n Set/get the face text.\n"},
  {(char*)"GetZMinusFaceText",                (PyCFunction)PyvtkAnnotatedCubeActor_GetZMinusFaceText, 1,
   (char*)"V.GetZMinusFaceText() -> string\nC++: char *GetZMinusFaceText ();\n\n Set/get the face text.\n"},
  {(char*)"SetTextEdgesVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_SetTextEdgesVisibility, 1,
   (char*)"V.SetTextEdgesVisibility(int)\nC++: void SetTextEdgesVisibility (int );\n\n Enable/disable drawing the vector text edges.\n"},
  {(char*)"GetTextEdgesVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_GetTextEdgesVisibility, 1,
   (char*)"V.GetTextEdgesVisibility() -> int\nC++: int GetTextEdgesVisibility ();\n\n Enable/disable drawing the vector text edges.\n"},
  {(char*)"SetCubeVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_SetCubeVisibility, 1,
   (char*)"V.SetCubeVisibility(int)\nC++: void SetCubeVisibility (int );\n\n Enable/disable drawing the cube.\n"},
  {(char*)"GetCubeVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_GetCubeVisibility, 1,
   (char*)"V.GetCubeVisibility() -> int\nC++: int GetCubeVisibility ();\n\n Enable/disable drawing the cube.\n"},
  {(char*)"SetFaceTextVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_SetFaceTextVisibility, 1,
   (char*)"V.SetFaceTextVisibility(int)\nC++: void SetFaceTextVisibility (int );\n\n Enable/disable drawing the vector text.\n"},
  {(char*)"GetFaceTextVisibility",                (PyCFunction)PyvtkAnnotatedCubeActor_GetFaceTextVisibility, 1,
   (char*)"V.GetFaceTextVisibility() -> int\nC++: int GetFaceTextVisibility ();\n\n Enable/disable drawing the vector text.\n"},
  {(char*)"SetXFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_SetXFaceTextRotation, 1,
   (char*)"V.SetXFaceTextRotation(float)\nC++: void SetXFaceTextRotation (double );\n\n Augment individual face text orientations.\n"},
  {(char*)"GetXFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_GetXFaceTextRotation, 1,
   (char*)"V.GetXFaceTextRotation() -> float\nC++: double GetXFaceTextRotation ();\n\n Augment individual face text orientations.\n"},
  {(char*)"SetYFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_SetYFaceTextRotation, 1,
   (char*)"V.SetYFaceTextRotation(float)\nC++: void SetYFaceTextRotation (double );\n\n Augment individual face text orientations.\n"},
  {(char*)"GetYFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_GetYFaceTextRotation, 1,
   (char*)"V.GetYFaceTextRotation() -> float\nC++: double GetYFaceTextRotation ();\n\n Augment individual face text orientations.\n"},
  {(char*)"SetZFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_SetZFaceTextRotation, 1,
   (char*)"V.SetZFaceTextRotation(float)\nC++: void SetZFaceTextRotation (double );\n\n Augment individual face text orientations.\n"},
  {(char*)"GetZFaceTextRotation",                (PyCFunction)PyvtkAnnotatedCubeActor_GetZFaceTextRotation, 1,
   (char*)"V.GetZFaceTextRotation() -> float\nC++: double GetZFaceTextRotation ();\n\n Augment individual face text orientations.\n"},
  {(char*)"GetAssembly",                (PyCFunction)PyvtkAnnotatedCubeActor_GetAssembly, 1,
   (char*)"V.GetAssembly() -> vtkAssembly\nC++: vtkAssembly *GetAssembly ();return this Assembly \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAnnotatedCubeActorDoc[] = {
  (char*)"vtkAnnotatedCubeActor - a 3D cube with face labels\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkAnnotatedCubeActor is a hybrid 3D actor used to represent an anatomical\n orientation marker in a scene.  The class consists of a 3D unit cube centered\n on the origin with each face labelled in correspondance to a particular\n coordinate direction.  For example, with Cartesian directions, the user\n defined text labels could be: +X, -X, +Y, -Y, +Z, -Z, while for anatomical\n directions: A, P, L, R",
  (char*)", S, I.  Text is automatically centered on each cube\n face and is not restriceted to single characters. In addition to or in\n replace of a solid text label representation, the outline edges of the labels\n can be displayed.  The individual properties of the cube, face labels\n and text outlines can be manipulated as can their visibility.\n\n",
  "Caveats:\n\n vtkAnnotatedCubeActor is primarily intended for use with\n vtkOrientationMarkerWidget. The cube face text is generated by vtkVectorText\n and therefore the font attributes are restricted.\n\n",
  "See Also:\n\n vtkAxesActor vtkOrientationMarkerWidget vtkVectorText\n\n",
  NULL
};

static vtkObjectBase *vtkAnnotatedCubeActorStaticNew()
{
  return vtkAnnotatedCubeActor::New();
}

PyObject *PyVTKClass_vtkAnnotatedCubeActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkAnnotatedCubeActorStaticNew,
                        PyvtkAnnotatedCubeActorMethods,
                        (char*)"vtkAnnotatedCubeActor",modulename,
                        (char**)vtkAnnotatedCubeActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

