// tcl wrapper for vtkArcPlotter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArcPlotter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkArcPlotterNewCommand()
{
  vtkArcPlotter *temp = vtkArcPlotter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArcPlotterCppCommand(vtkArcPlotter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkArcPlotterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkArcPlotterCppCommand(static_cast<vtkArcPlotter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArcPlotterCppCommand(vtkArcPlotter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkArcPlotter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkArcPlotter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArcPlotter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkArcPlotter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArcPlotter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkArcPlotter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArcPlotter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetPlotMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotScalars",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotVectors",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotVectors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotNormals",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotNormals();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotTCoords",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotTCoords();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotTensors",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotTensors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotModeToPlotFieldData",argv[1]))&&(argc == 2))
    {
    op->SetPlotModeToPlotFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadiusMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadiusMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadiusMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffsetMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffsetMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffsetMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseDefaultNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDefaultNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseDefaultNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOn",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDefaultNormalOff",argv[1]))&&(argc == 2))
    {
    op->UseDefaultNormalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultNormal",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormal",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetDefaultNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDataArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFieldDataArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataArrayMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldDataArrayMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFieldDataArrayMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldDataArrayMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFieldDataArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFieldDataArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkArcPlotterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArcPlotter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotMode\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotNormals\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotTensors\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotModeToPlotFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadiusMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDefaultNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDefaultNormalOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDataArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataArrayMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataArrayMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataArray\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetPlotMode" );
    Tcl_DStringAppendElement ( &dString, "GetPlotMode" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotScalars" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotVectors" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotNormals" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotTCoords" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotTensors" );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotFieldData" );
    Tcl_DStringAppendElement ( &dString, "SetPlotComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPlotComponent" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataArray" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArrayMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArrayMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArray" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate with no default camera and plot mode set to\n VTK_SCALARS.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkArcPlotter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera used to orient the plot along the arc. If no camera\n is specified, then the orientation of the plot is arbitrary.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera (vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera used to orient the plot along the arc. If no camera\n is specified, then the orientation of the plot is arbitrary.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotMode */
    if ( strcmp ( argv[2], "SetPlotMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotMode */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotMode */
    if ( strcmp ( argv[2], "GetPlotMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotMode */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetPlotMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotScalars */
    if ( strcmp ( argv[2], "SetPlotModeToPlotScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotScalars */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotScalars ();this SetPlotMode VTK_PLOT_SCALARS " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotVectors */
    if ( strcmp ( argv[2], "SetPlotModeToPlotVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotVectors */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotVectors ();this SetPlotMode VTK_PLOT_VECTORS " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotNormals */
    if ( strcmp ( argv[2], "SetPlotModeToPlotNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotNormals */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotNormals ();this SetPlotMode VTK_PLOT_NORMALS " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotTCoords */
    if ( strcmp ( argv[2], "SetPlotModeToPlotTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotTCoords */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotTCoords ();this SetPlotMode VTK_PLOT_TCOORDS " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotTensors */
    if ( strcmp ( argv[2], "SetPlotModeToPlotTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotTensors */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotTensors ();this SetPlotMode VTK_PLOT_TENSORS " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotModeToPlotFieldData */
    if ( strcmp ( argv[2], "SetPlotModeToPlotFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotModeToPlotFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotModeToPlotFieldData */
    Tcl_DStringAppendElement ( &dString, " Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotModeToPlotFieldData ();this SetPlotMode VTK_PLOT_FIELD_DATA " );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotModeToPlotFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotComponent */
    if ( strcmp ( argv[2], "SetPlotComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotComponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the component number to plot if the data has more than one \n component. If the value of the plot component is == (-1), then all\n the components will be plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotComponent (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetPlotComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotComponent */
    if ( strcmp ( argv[2], "GetPlotComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotComponent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the component number to plot if the data has more than one \n component. If the value of the plot component is == (-1), then all\n the components will be plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotComponent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetPlotComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the \"median\" value of the first plotted component.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMinValue */
    if ( strcmp ( argv[2], "GetRadiusMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the \"median\" value of the first plotted component.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetRadiusMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadiusMaxValue */
    if ( strcmp ( argv[2], "GetRadiusMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadiusMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadiusMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the \"median\" value of the first plotted component.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadiusMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetRadiusMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set the radius of the \"median\" value of the first plotted component.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeight */
    if ( strcmp ( argv[2], "SetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeight */
    Tcl_DStringAppendElement ( &dString, " Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeight (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMinValue */
    if ( strcmp ( argv[2], "GetHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightMaxValue */
    if ( strcmp ( argv[2], "GetHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMinValue */
    if ( strcmp ( argv[2], "GetOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMaxValue */
    if ( strcmp ( argv[2], "GetOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDefaultNormal */
    if ( strcmp ( argv[2], "SetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDefaultNormal (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDefaultNormal */
    if ( strcmp ( argv[2], "GetUseDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetUseDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOn */
    if ( strcmp ( argv[2], "UseDefaultNormalOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOn */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for UseDefaultNormalOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDefaultNormalOff */
    if ( strcmp ( argv[2], "UseDefaultNormalOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDefaultNormalOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDefaultNormalOff */
    Tcl_DStringAppendElement ( &dString, " Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDefaultNormalOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for UseDefaultNormalOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if you do not wish automatic normal\n calculation. The arc plot will be generated using this normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (float , float , float );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultNormal */
    if ( strcmp ( argv[2], "SetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if you do not wish automatic normal\n calculation. The arc plot will be generated using this normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultNormal (float  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultNormal */
    if ( strcmp ( argv[2], "GetDefaultNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultNormal */
    Tcl_DStringAppendElement ( &dString, " Set the default normal to use if you do not wish automatic normal\n calculation. The arc plot will be generated using this normal.\n" );
    Tcl_DStringAppendElement ( &dString, "float  *GetDefaultNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetDefaultNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDataArray */
    if ( strcmp ( argv[2], "SetFieldDataArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDataArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDataArray */
    Tcl_DStringAppendElement ( &dString, " Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDataArray (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for SetFieldDataArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataArrayMinValue */
    if ( strcmp ( argv[2], "GetFieldDataArrayMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArrayMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataArrayMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldDataArrayMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetFieldDataArrayMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataArrayMaxValue */
    if ( strcmp ( argv[2], "GetFieldDataArrayMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArrayMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataArrayMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldDataArrayMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetFieldDataArrayMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDataArray */
    if ( strcmp ( argv[2], "GetFieldDataArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDataArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDataArray */
    Tcl_DStringAppendElement ( &dString, " Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFieldDataArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetFieldDataArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " New GetMTime because of camera dependency.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkArcPlotter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
