// python wrapper for vtkAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAxesActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAxesActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAxesActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkAxesActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  const char    *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkAxesActor  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAxesActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAxesActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAxesActor_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAxesActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAxesActor_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAxesActor_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAxesActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAxesActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkAxesActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double temp0[6];
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  unsigned long     temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetRedrawMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  unsigned long     temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetRedrawMTime();
      }
    else
      {
      temp20 = op->GetRedrawMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetTotalLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double temp0[3];
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTotalLength(temp0);
      }
    else
      {
      op->SetTotalLength(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTotalLength(temp0,temp1,temp2);
      }
    else
      {
      op->SetTotalLength(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetTotalLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetTotalLength();
      }
    else
      {
      temp20 = op->GetTotalLength();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetNormalizedShaftLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double temp0[3];
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedShaftLength(temp0);
      }
    else
      {
      op->SetNormalizedShaftLength(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedShaftLength(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormalizedShaftLength(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetNormalizedShaftLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetNormalizedShaftLength();
      }
    else
      {
      temp20 = op->GetNormalizedShaftLength();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetNormalizedTipLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double temp0[3];
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedTipLength(temp0);
      }
    else
      {
      op->SetNormalizedTipLength(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedTipLength(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormalizedTipLength(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetNormalizedTipLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetNormalizedTipLength();
      }
    else
      {
      temp20 = op->GetNormalizedTipLength();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetNormalizedLabelPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double temp0[3];
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedLabelPosition(temp0);
      }
    else
      {
      op->SetNormalizedLabelPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetNormalizedLabelPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormalizedLabelPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetNormalizedLabelPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetNormalizedLabelPosition();
      }
    else
      {
      temp20 = op->GetNormalizedLabelPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetConeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetConeResolution(temp0);
      }
    else
      {
      op->SetConeResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeResolutionMinValue();
      }
    else
      {
      temp20 = op->GetConeResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetConeResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeResolution();
      }
    else
      {
      temp20 = op->GetConeResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetSphereResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetSphereResolution(temp0);
      }
    else
      {
      op->SetSphereResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereResolutionMinValue();
      }
    else
      {
      temp20 = op->GetSphereResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetSphereResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereResolution();
      }
    else
      {
      temp20 = op->GetSphereResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetCylinderResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetCylinderResolution(temp0);
      }
    else
      {
      op->SetCylinderResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderResolutionMinValue();
      }
    else
      {
      temp20 = op->GetCylinderResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetCylinderResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderResolution();
      }
    else
      {
      temp20 = op->GetCylinderResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetConeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetConeRadius(temp0);
      }
    else
      {
      op->SetConeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeRadiusMinValue();
      }
    else
      {
      temp20 = op->GetConeRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetConeRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetConeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetConeRadius();
      }
    else
      {
      temp20 = op->GetConeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetSphereRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetSphereRadius(temp0);
      }
    else
      {
      op->SetSphereRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereRadiusMinValue();
      }
    else
      {
      temp20 = op->GetSphereRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetSphereRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetSphereRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetSphereRadius();
      }
    else
      {
      temp20 = op->GetSphereRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetCylinderRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetCylinderRadius(temp0);
      }
    else
      {
      op->SetCylinderRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderRadiusMinValue();
      }
    else
      {
      temp20 = op->GetCylinderRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetCylinderRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetCylinderRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  double   temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetCylinderRadius();
      }
    else
      {
      temp20 = op->GetCylinderRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetShaftType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetShaftType(temp0);
      }
    else
      {
      op->SetShaftType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetShaftTypeToCylinder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetShaftTypeToCylinder();
      }
    else
      {
      op->SetShaftTypeToCylinder();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetShaftTypeToLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetShaftTypeToLine();
      }
    else
      {
      op->SetShaftTypeToLine();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetShaftTypeToUserDefined(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetShaftTypeToUserDefined();
      }
    else
      {
      op->SetShaftTypeToUserDefined();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetShaftType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetShaftType();
      }
    else
      {
      temp20 = op->GetShaftType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetTipType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTipType(temp0);
      }
    else
      {
      op->SetTipType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetTipTypeToCone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTipTypeToCone();
      }
    else
      {
      op->SetTipTypeToCone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetTipTypeToSphere(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTipTypeToSphere();
      }
    else
      {
      op->SetTipTypeToSphere();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetTipTypeToUserDefined(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetTipTypeToUserDefined();
      }
    else
      {
      op->SetTipTypeToUserDefined();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetTipType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetTipType();
      }
    else
      {
      temp20 = op->GetTipType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetUserDefinedTip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetUserDefinedTip(temp0);
      }
    else
      {
      op->SetUserDefinedTip(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkAxesActor_GetUserDefinedTip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkPolyData  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetUserDefinedTip();
      }
    else
      {
      temp20 = op->GetUserDefinedTip();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetUserDefinedShaft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break63;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetUserDefinedShaft(temp0);
      }
    else
      {
      op->SetUserDefinedShaft(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break63:
  return NULL;
}


static PyObject *PyvtkAxesActor_GetUserDefinedShaft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkPolyData  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetUserDefinedShaft();
      }
    else
      {
      temp20 = op->GetUserDefinedShaft();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetXAxisTipProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetXAxisTipProperty();
      }
    else
      {
      temp20 = op->GetXAxisTipProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetYAxisTipProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetYAxisTipProperty();
      }
    else
      {
      temp20 = op->GetYAxisTipProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetZAxisTipProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetZAxisTipProperty();
      }
    else
      {
      temp20 = op->GetZAxisTipProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetXAxisShaftProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetXAxisShaftProperty();
      }
    else
      {
      temp20 = op->GetXAxisShaftProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetYAxisShaftProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetYAxisShaftProperty();
      }
    else
      {
      temp20 = op->GetYAxisShaftProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetZAxisShaftProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkProperty  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetZAxisShaftProperty();
      }
    else
      {
      temp20 = op->GetZAxisShaftProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetXAxisCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetXAxisCaptionActor2D();
      }
    else
      {
      temp20 = op->GetXAxisCaptionActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetYAxisCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetYAxisCaptionActor2D();
      }
    else
      {
      temp20 = op->GetYAxisCaptionActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetZAxisCaptionActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetZAxisCaptionActor2D();
      }
    else
      {
      temp20 = op->GetZAxisCaptionActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetXAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetXAxisLabelText(temp0);
      }
    else
      {
      op->SetXAxisLabelText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetXAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetXAxisLabelText();
      }
    else
      {
      temp20 = op->GetXAxisLabelText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetYAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetYAxisLabelText(temp0);
      }
    else
      {
      op->SetYAxisLabelText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetYAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetYAxisLabelText();
      }
    else
      {
      temp20 = op->GetYAxisLabelText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetZAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetZAxisLabelText(temp0);
      }
    else
      {
      op->SetZAxisLabelText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetZAxisLabelText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  char    *temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetZAxisLabelText();
      }
    else
      {
      temp20 = op->GetZAxisLabelText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_SetAxisLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp0;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::SetAxisLabels(temp0);
      }
    else
      {
      op->SetAxisLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_GetAxisLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  int      temp20;
  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxesActor::GetAxisLabels();
      }
    else
      {
      temp20 = op->GetAxisLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_AxisLabelsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::AxisLabelsOn();
      }
    else
      {
      op->AxisLabelsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxesActor_AxisLabelsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxesActor *op;

  op = (vtkAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxesActor::AxisLabelsOff();
      }
    else
      {
      op->AxisLabelsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAxesActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAxesActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAxesActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAxesActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAxesActor\nC++: vtkAxesActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAxesActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAxesActor\nC++: vtkAxesActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkAxesActor_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAxesActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAxesActor_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkAxesActor_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkAxesActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAxesActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an axes actor. Overloads the virtual vtkProp method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAxesActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAxesActor_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The\n method GetBounds(double bounds[6]) is available from the superclass.)\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAxesActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the actors mtime plus consider its properties and texture if set.\n"},
  {(char*)"GetRedrawMTime",                (PyCFunction)PyvtkAxesActor_GetRedrawMTime, 1,
   (char*)"V.GetRedrawMTime() -> int\nC++: virtual unsigned long GetRedrawMTime ();\n\n Return the mtime of anything that would cause the rendered image to \n appear differently. Usually this involves checking the mtime of the \n prop plus anything else it depends on such as properties, textures\n etc.\n"},
  {(char*)"SetTotalLength",                (PyCFunction)PyvtkAxesActor_SetTotalLength, 1,
   (char*)"V.SetTotalLength((float, float, float))\nC++: void SetTotalLength (double v[3]);this SetTotalLength v v v \nV.SetTotalLength(float, float, float)\nC++: void SetTotalLength (double x, double y, double z);\n\n Set the total length of the axes in 3 dimensions.\n"},
  {(char*)"GetTotalLength",                (PyCFunction)PyvtkAxesActor_GetTotalLength, 1,
   (char*)"V.GetTotalLength() -> (float, float, float)\nC++: double  *GetTotalLength ();\n\n Set the total length of the axes in 3 dimensions.\n"},
  {(char*)"SetNormalizedShaftLength",                (PyCFunction)PyvtkAxesActor_SetNormalizedShaftLength, 1,
   (char*)"V.SetNormalizedShaftLength((float, float, float))\nC++: void SetNormalizedShaftLength (double v[3]);this SetNormalizedShaftLength v v v \nV.SetNormalizedShaftLength(float, float, float)\nC++: void SetNormalizedShaftLength (double x, double y, double z);\n\n Set the normalized (0-1) length of the shaft.\n"},
  {(char*)"GetNormalizedShaftLength",                (PyCFunction)PyvtkAxesActor_GetNormalizedShaftLength, 1,
   (char*)"V.GetNormalizedShaftLength() -> (float, float, float)\nC++: double  *GetNormalizedShaftLength ();\n\n Set the normalized (0-1) length of the shaft.\n"},
  {(char*)"SetNormalizedTipLength",                (PyCFunction)PyvtkAxesActor_SetNormalizedTipLength, 1,
   (char*)"V.SetNormalizedTipLength((float, float, float))\nC++: void SetNormalizedTipLength (double v[3]);this SetNormalizedTipLength v v v \nV.SetNormalizedTipLength(float, float, float)\nC++: void SetNormalizedTipLength (double x, double y, double z);\n\n Set the normalized (0-1) length of the tip.  Normally, this would be\n 1 - the normalized length of the shaft.\n"},
  {(char*)"GetNormalizedTipLength",                (PyCFunction)PyvtkAxesActor_GetNormalizedTipLength, 1,
   (char*)"V.GetNormalizedTipLength() -> (float, float, float)\nC++: double  *GetNormalizedTipLength ();\n\n Set the normalized (0-1) length of the tip.  Normally, this would be\n 1 - the normalized length of the shaft.\n"},
  {(char*)"SetNormalizedLabelPosition",                (PyCFunction)PyvtkAxesActor_SetNormalizedLabelPosition, 1,
   (char*)"V.SetNormalizedLabelPosition((float, float, float))\nC++: void SetNormalizedLabelPosition (double v[3]);this SetNormalizedLabelPosition v v v \nV.SetNormalizedLabelPosition(float, float, float)\nC++: void SetNormalizedLabelPosition (double x, double y, double z);\n\n Set the normalized (0-1) position of the label along the length of\n the shaft.  A value > 1 is permissible.\n"},
  {(char*)"GetNormalizedLabelPosition",                (PyCFunction)PyvtkAxesActor_GetNormalizedLabelPosition, 1,
   (char*)"V.GetNormalizedLabelPosition() -> (float, float, float)\nC++: double  *GetNormalizedLabelPosition ();\n\n Set the normalized (0-1) position of the label along the length of\n the shaft.  A value > 1 is permissible.\n"},
  {(char*)"SetConeResolution",                (PyCFunction)PyvtkAxesActor_SetConeResolution, 1,
   (char*)"V.SetConeResolution(int)\nC++: void SetConeResolution (int );\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetConeResolutionMinValue",                (PyCFunction)PyvtkAxesActor_GetConeResolutionMinValue, 1,
   (char*)"V.GetConeResolutionMinValue() -> int\nC++: int GetConeResolutionMinValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetConeResolutionMaxValue",                (PyCFunction)PyvtkAxesActor_GetConeResolutionMaxValue, 1,
   (char*)"V.GetConeResolutionMaxValue() -> int\nC++: int GetConeResolutionMaxValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetConeResolution",                (PyCFunction)PyvtkAxesActor_GetConeResolution, 1,
   (char*)"V.GetConeResolution() -> int\nC++: int GetConeResolution ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"SetSphereResolution",                (PyCFunction)PyvtkAxesActor_SetSphereResolution, 1,
   (char*)"V.SetSphereResolution(int)\nC++: void SetSphereResolution (int );\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetSphereResolutionMinValue",                (PyCFunction)PyvtkAxesActor_GetSphereResolutionMinValue, 1,
   (char*)"V.GetSphereResolutionMinValue() -> int\nC++: int GetSphereResolutionMinValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetSphereResolutionMaxValue",                (PyCFunction)PyvtkAxesActor_GetSphereResolutionMaxValue, 1,
   (char*)"V.GetSphereResolutionMaxValue() -> int\nC++: int GetSphereResolutionMaxValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetSphereResolution",                (PyCFunction)PyvtkAxesActor_GetSphereResolution, 1,
   (char*)"V.GetSphereResolution() -> int\nC++: int GetSphereResolution ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"SetCylinderResolution",                (PyCFunction)PyvtkAxesActor_SetCylinderResolution, 1,
   (char*)"V.SetCylinderResolution(int)\nC++: void SetCylinderResolution (int );\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderResolutionMinValue",                (PyCFunction)PyvtkAxesActor_GetCylinderResolutionMinValue, 1,
   (char*)"V.GetCylinderResolutionMinValue() -> int\nC++: int GetCylinderResolutionMinValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderResolutionMaxValue",                (PyCFunction)PyvtkAxesActor_GetCylinderResolutionMaxValue, 1,
   (char*)"V.GetCylinderResolutionMaxValue() -> int\nC++: int GetCylinderResolutionMaxValue ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderResolution",                (PyCFunction)PyvtkAxesActor_GetCylinderResolution, 1,
   (char*)"V.GetCylinderResolution() -> int\nC++: int GetCylinderResolution ();\n\n Set/get the resolution of the pieces of the axes actor.\n"},
  {(char*)"SetConeRadius",                (PyCFunction)PyvtkAxesActor_SetConeRadius, 1,
   (char*)"V.SetConeRadius(float)\nC++: void SetConeRadius (double );\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetConeRadiusMinValue",                (PyCFunction)PyvtkAxesActor_GetConeRadiusMinValue, 1,
   (char*)"V.GetConeRadiusMinValue() -> float\nC++: double GetConeRadiusMinValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetConeRadiusMaxValue",                (PyCFunction)PyvtkAxesActor_GetConeRadiusMaxValue, 1,
   (char*)"V.GetConeRadiusMaxValue() -> float\nC++: double GetConeRadiusMaxValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetConeRadius",                (PyCFunction)PyvtkAxesActor_GetConeRadius, 1,
   (char*)"V.GetConeRadius() -> float\nC++: double GetConeRadius ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"SetSphereRadius",                (PyCFunction)PyvtkAxesActor_SetSphereRadius, 1,
   (char*)"V.SetSphereRadius(float)\nC++: void SetSphereRadius (double );\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetSphereRadiusMinValue",                (PyCFunction)PyvtkAxesActor_GetSphereRadiusMinValue, 1,
   (char*)"V.GetSphereRadiusMinValue() -> float\nC++: double GetSphereRadiusMinValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetSphereRadiusMaxValue",                (PyCFunction)PyvtkAxesActor_GetSphereRadiusMaxValue, 1,
   (char*)"V.GetSphereRadiusMaxValue() -> float\nC++: double GetSphereRadiusMaxValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetSphereRadius",                (PyCFunction)PyvtkAxesActor_GetSphereRadius, 1,
   (char*)"V.GetSphereRadius() -> float\nC++: double GetSphereRadius ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"SetCylinderRadius",                (PyCFunction)PyvtkAxesActor_SetCylinderRadius, 1,
   (char*)"V.SetCylinderRadius(float)\nC++: void SetCylinderRadius (double );\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderRadiusMinValue",                (PyCFunction)PyvtkAxesActor_GetCylinderRadiusMinValue, 1,
   (char*)"V.GetCylinderRadiusMinValue() -> float\nC++: double GetCylinderRadiusMinValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderRadiusMaxValue",                (PyCFunction)PyvtkAxesActor_GetCylinderRadiusMaxValue, 1,
   (char*)"V.GetCylinderRadiusMaxValue() -> float\nC++: double GetCylinderRadiusMaxValue ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"GetCylinderRadius",                (PyCFunction)PyvtkAxesActor_GetCylinderRadius, 1,
   (char*)"V.GetCylinderRadius() -> float\nC++: double GetCylinderRadius ();\n\n Set/get the radius of the pieces of the axes actor.\n"},
  {(char*)"SetShaftType",                (PyCFunction)PyvtkAxesActor_SetShaftType, 1,
   (char*)"V.SetShaftType(int)\nC++: void SetShaftType (int type);\n\n Set the type of the shaft to a cylinder, line, or user defined geometry.\n"},
  {(char*)"SetShaftTypeToCylinder",                (PyCFunction)PyvtkAxesActor_SetShaftTypeToCylinder, 1,
   (char*)"V.SetShaftTypeToCylinder()\nC++: void SetShaftTypeToCylinder ();this SetShaftType vtkAxesActor CYLINDER_SHAFT \n\n Set the type of the shaft to a cylinder, line, or user defined geometry.\n"},
  {(char*)"SetShaftTypeToLine",                (PyCFunction)PyvtkAxesActor_SetShaftTypeToLine, 1,
   (char*)"V.SetShaftTypeToLine()\nC++: void SetShaftTypeToLine ();this SetShaftType vtkAxesActor LINE_SHAFT \n\n Set the type of the shaft to a cylinder, line, or user defined geometry.\n"},
  {(char*)"SetShaftTypeToUserDefined",                (PyCFunction)PyvtkAxesActor_SetShaftTypeToUserDefined, 1,
   (char*)"V.SetShaftTypeToUserDefined()\nC++: void SetShaftTypeToUserDefined ();this SetShaftType vtkAxesActor USER_DEFINED_SHAFT \n\n Set the type of the shaft to a cylinder, line, or user defined geometry.\n"},
  {(char*)"GetShaftType",                (PyCFunction)PyvtkAxesActor_GetShaftType, 1,
   (char*)"V.GetShaftType() -> int\nC++: int GetShaftType ();\n\n Set the type of the shaft to a cylinder, line, or user defined geometry.\n"},
  {(char*)"SetTipType",                (PyCFunction)PyvtkAxesActor_SetTipType, 1,
   (char*)"V.SetTipType(int)\nC++: void SetTipType (int type);\n\n Set the type of the tip to a cone, sphere, or user defined geometry.\n"},
  {(char*)"SetTipTypeToCone",                (PyCFunction)PyvtkAxesActor_SetTipTypeToCone, 1,
   (char*)"V.SetTipTypeToCone()\nC++: void SetTipTypeToCone ();this SetTipType vtkAxesActor CONE_TIP \n\n Set the type of the tip to a cone, sphere, or user defined geometry.\n"},
  {(char*)"SetTipTypeToSphere",                (PyCFunction)PyvtkAxesActor_SetTipTypeToSphere, 1,
   (char*)"V.SetTipTypeToSphere()\nC++: void SetTipTypeToSphere ();this SetTipType vtkAxesActor SPHERE_TIP \n\n Set the type of the tip to a cone, sphere, or user defined geometry.\n"},
  {(char*)"SetTipTypeToUserDefined",                (PyCFunction)PyvtkAxesActor_SetTipTypeToUserDefined, 1,
   (char*)"V.SetTipTypeToUserDefined()\nC++: void SetTipTypeToUserDefined ();this SetTipType vtkAxesActor USER_DEFINED_TIP \n\n Set the type of the tip to a cone, sphere, or user defined geometry.\n"},
  {(char*)"GetTipType",                (PyCFunction)PyvtkAxesActor_GetTipType, 1,
   (char*)"V.GetTipType() -> int\nC++: int GetTipType ();\n\n Set the type of the tip to a cone, sphere, or user defined geometry.\n"},
  {(char*)"SetUserDefinedTip",                (PyCFunction)PyvtkAxesActor_SetUserDefinedTip, 1,
   (char*)"V.SetUserDefinedTip(vtkPolyData)\nC++: void SetUserDefinedTip (vtkPolyData *);\n\n Set the user defined tip polydata.\n"},
  {(char*)"GetUserDefinedTip",                (PyCFunction)PyvtkAxesActor_GetUserDefinedTip, 1,
   (char*)"V.GetUserDefinedTip() -> vtkPolyData\nC++: vtkPolyData *GetUserDefinedTip ();\n\n Set the user defined tip polydata.\n"},
  {(char*)"SetUserDefinedShaft",                (PyCFunction)PyvtkAxesActor_SetUserDefinedShaft, 1,
   (char*)"V.SetUserDefinedShaft(vtkPolyData)\nC++: void SetUserDefinedShaft (vtkPolyData *);\n\n Set the user defined shaft polydata.\n"},
  {(char*)"GetUserDefinedShaft",                (PyCFunction)PyvtkAxesActor_GetUserDefinedShaft, 1,
   (char*)"V.GetUserDefinedShaft() -> vtkPolyData\nC++: vtkPolyData *GetUserDefinedShaft ();\n\n Set the user defined shaft polydata.\n"},
  {(char*)"GetXAxisTipProperty",                (PyCFunction)PyvtkAxesActor_GetXAxisTipProperty, 1,
   (char*)"V.GetXAxisTipProperty() -> vtkProperty\nC++: vtkProperty *GetXAxisTipProperty ();\n\n Get the tip properties.\n"},
  {(char*)"GetYAxisTipProperty",                (PyCFunction)PyvtkAxesActor_GetYAxisTipProperty, 1,
   (char*)"V.GetYAxisTipProperty() -> vtkProperty\nC++: vtkProperty *GetYAxisTipProperty ();\n\n Get the tip properties.\n"},
  {(char*)"GetZAxisTipProperty",                (PyCFunction)PyvtkAxesActor_GetZAxisTipProperty, 1,
   (char*)"V.GetZAxisTipProperty() -> vtkProperty\nC++: vtkProperty *GetZAxisTipProperty ();\n\n Get the tip properties.\n"},
  {(char*)"GetXAxisShaftProperty",                (PyCFunction)PyvtkAxesActor_GetXAxisShaftProperty, 1,
   (char*)"V.GetXAxisShaftProperty() -> vtkProperty\nC++: vtkProperty *GetXAxisShaftProperty ();\n\n Get the shaft properties.\n"},
  {(char*)"GetYAxisShaftProperty",                (PyCFunction)PyvtkAxesActor_GetYAxisShaftProperty, 1,
   (char*)"V.GetYAxisShaftProperty() -> vtkProperty\nC++: vtkProperty *GetYAxisShaftProperty ();\n\n Get the shaft properties.\n"},
  {(char*)"GetZAxisShaftProperty",                (PyCFunction)PyvtkAxesActor_GetZAxisShaftProperty, 1,
   (char*)"V.GetZAxisShaftProperty() -> vtkProperty\nC++: vtkProperty *GetZAxisShaftProperty ();\n\n Get the shaft properties.\n"},
  {(char*)"GetXAxisCaptionActor2D",                (PyCFunction)PyvtkAxesActor_GetXAxisCaptionActor2D, 1,
   (char*)"V.GetXAxisCaptionActor2D() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *GetXAxisCaptionActor2D ();return this XAxisLabel \n\n Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n"},
  {(char*)"GetYAxisCaptionActor2D",                (PyCFunction)PyvtkAxesActor_GetYAxisCaptionActor2D, 1,
   (char*)"V.GetYAxisCaptionActor2D() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *GetYAxisCaptionActor2D ();return this YAxisLabel \n\n Retrieve handles to the X, Y and Z axis (so that you can set their text\n properties for example)\n"},
  {(char*)"GetZAxisCaptionActor2D",                (PyCFunction)PyvtkAxesActor_GetZAxisCaptionActor2D, 1,
   (char*)"V.GetZAxisCaptionActor2D() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *GetZAxisCaptionActor2D ();return this ZAxisLabel \n\n Set/get the label text.\n"},
  {(char*)"SetXAxisLabelText",                (PyCFunction)PyvtkAxesActor_SetXAxisLabelText, 1,
   (char*)"V.SetXAxisLabelText(string)\nC++: void SetXAxisLabelText (char *);\n\n Set/get the label text.\n"},
  {(char*)"GetXAxisLabelText",                (PyCFunction)PyvtkAxesActor_GetXAxisLabelText, 1,
   (char*)"V.GetXAxisLabelText() -> string\nC++: char *GetXAxisLabelText ();\n\n Set/get the label text.\n"},
  {(char*)"SetYAxisLabelText",                (PyCFunction)PyvtkAxesActor_SetYAxisLabelText, 1,
   (char*)"V.SetYAxisLabelText(string)\nC++: void SetYAxisLabelText (char *);\n\n Set/get the label text.\n"},
  {(char*)"GetYAxisLabelText",                (PyCFunction)PyvtkAxesActor_GetYAxisLabelText, 1,
   (char*)"V.GetYAxisLabelText() -> string\nC++: char *GetYAxisLabelText ();\n\n Set/get the label text.\n"},
  {(char*)"SetZAxisLabelText",                (PyCFunction)PyvtkAxesActor_SetZAxisLabelText, 1,
   (char*)"V.SetZAxisLabelText(string)\nC++: void SetZAxisLabelText (char *);\n\n Set/get the label text.\n"},
  {(char*)"GetZAxisLabelText",                (PyCFunction)PyvtkAxesActor_GetZAxisLabelText, 1,
   (char*)"V.GetZAxisLabelText() -> string\nC++: char *GetZAxisLabelText ();\n\n Set/get the label text.\n"},
  {(char*)"SetAxisLabels",                (PyCFunction)PyvtkAxesActor_SetAxisLabels, 1,
   (char*)"V.SetAxisLabels(int)\nC++: void SetAxisLabels (int );\n\n Enable/disable drawing the axis labels.\n"},
  {(char*)"GetAxisLabels",                (PyCFunction)PyvtkAxesActor_GetAxisLabels, 1,
   (char*)"V.GetAxisLabels() -> int\nC++: int GetAxisLabels ();\n\n Enable/disable drawing the axis labels.\n"},
  {(char*)"AxisLabelsOn",                (PyCFunction)PyvtkAxesActor_AxisLabelsOn, 1,
   (char*)"V.AxisLabelsOn()\nC++: void AxisLabelsOn ();\n\n Enable/disable drawing the axis labels.\n"},
  {(char*)"AxisLabelsOff",                (PyCFunction)PyvtkAxesActor_AxisLabelsOff, 1,
   (char*)"V.AxisLabelsOff()\nC++: void AxisLabelsOff ();\n\n Enable/disable drawing the axis labels.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAxesActorDoc[] = {
  (char*)"vtkAxesActor - a 3D axes representation\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkAxesActor is a hybrid 2D/3D actor used to represent 3D axes in a scene.\n The user can define the geometry to use for the shaft or the tip, and the\n user can set the text for the three axes. The text will appear to follow the\n camera since it is implemented by means of vtkCaptionActor2D.  All of the\n functionality of the underlying vtkCaptionActor2D objects are accessable so\n that, for instance",
  (char*)", the font attributes of the axes text can be manipulated\n through vtkTextProperty. Since this class inherits from vtkProp3D, one can\n apply a user transform to the underlying geometry and the positioning of the\n labels. For example, a rotation transform could be used to generate a\n left-handed axes representation.\n\n",
  "Caveats:\n\n vtkAxesActor is primarily intended for use with vtkOrientationMarkerWidget.\n The bounds of this actor are calculated as though the geometry of the axes\n were symmetric: that is, although only positive axes are visible, bounds\n are calculated as though negative axes are present too.  This is done\n intentionally to implement functionality of the camera update mechanism\n in vtkOrientationMarkerWidget.\n\n",
  "See Also:\n\n vtkAnnotatedCubeActor vtkOrientationMarkerWidget vtkCaptionActor2D\n vtkTextProperty\n\n",
  NULL
};

static vtkObjectBase *vtkAxesActorStaticNew()
{
  return vtkAxesActor::New();
}

PyObject *PyVTKClass_vtkAxesActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkAxesActorStaticNew,
                        PyvtkAxesActorMethods,
                        (char*)"vtkAxesActor",modulename,
                        (char**)vtkAxesActorDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

