// python wrapper for vtkAxisActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAxisActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAxisActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAxisActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }

static PyObject *PyvtkAxisActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  const char    *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkAxisActor  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAxisActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAxisActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAxisActor_GetPoint1Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkCoordinate  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetPoint1Coordinate();
      }
    else
      {
      temp20 = op->GetPoint1Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double temp0[3];
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetPoint2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkCoordinate  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetPoint2Coordinate();
      }
    else
      {
      temp20 = op->GetPoint2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double temp0[3];
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  double   temp1;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double temp0[6];
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  char    *temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  char    *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetMinorTicksVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetMinorTicksVisible(temp0);
      }
    else
      {
      op->SetMinorTicksVisible(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetMinorTicksVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetMinorTicksVisible();
      }
    else
      {
      temp20 = op->GetMinorTicksVisible();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_MinorTicksVisibleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::MinorTicksVisibleOn();
      }
    else
      {
      op->MinorTicksVisibleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_MinorTicksVisibleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::MinorTicksVisibleOff();
      }
    else
      {
      op->MinorTicksVisibleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  char    *temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  char    *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetMajorTickSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetMajorTickSize(temp0);
      }
    else
      {
      op->SetMajorTickSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetMajorTickSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetMajorTickSize();
      }
    else
      {
      temp20 = op->GetMajorTickSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetMinorTickSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetMinorTickSize(temp0);
      }
    else
      {
      op->SetMinorTickSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetMinorTickSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetMinorTickSize();
      }
    else
      {
      temp20 = op->GetMinorTickSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTickLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTickLocation(temp0);
      }
    else
      {
      op->SetTickLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTickLocationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTickLocationMinValue();
      }
    else
      {
      temp20 = op->GetTickLocationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTickLocationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTickLocationMaxValue();
      }
    else
      {
      temp20 = op->GetTickLocationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTickLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTickLocation();
      }
    else
      {
      temp20 = op->GetTickLocation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTickLocationToInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTickLocationToInside();
      }
    else
      {
      op->SetTickLocationToInside();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTickLocationToOutside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTickLocationToOutside();
      }
    else
      {
      op->SetTickLocationToOutside();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTickLocationToBoth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTickLocationToBoth();
      }
    else
      {
      op->SetTickLocationToBoth();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisVisibility(temp0);
      }
    else
      {
      op->SetAxisVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisVisibility();
      }
    else
      {
      temp20 = op->GetAxisVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_AxisVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::AxisVisibilityOn();
      }
    else
      {
      op->AxisVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_AxisVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::AxisVisibilityOff();
      }
    else
      {
      op->AxisVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTickVisibility(temp0);
      }
    else
      {
      op->SetTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTickVisibility();
      }
    else
      {
      temp20 = op->GetTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_TickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::TickVisibilityOn();
      }
    else
      {
      op->TickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_TickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::TickVisibilityOff();
      }
    else
      {
      op->TickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTitleVisibility(temp0);
      }
    else
      {
      op->SetTitleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetTitleVisibility();
      }
    else
      {
      temp20 = op->GetTitleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_TitleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::TitleVisibilityOn();
      }
    else
      {
      op->TitleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_TitleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::TitleVisibilityOff();
      }
    else
      {
      op->TitleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetDrawGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetDrawGridlines(temp0);
      }
    else
      {
      op->SetDrawGridlines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetDrawGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetDrawGridlines();
      }
    else
      {
      temp20 = op->GetDrawGridlines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_DrawGridlinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::DrawGridlinesOn();
      }
    else
      {
      op->DrawGridlinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_DrawGridlinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::DrawGridlinesOff();
      }
    else
      {
      op->DrawGridlinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetGridlineXLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetGridlineXLength(temp0);
      }
    else
      {
      op->SetGridlineXLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetGridlineXLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetGridlineXLength();
      }
    else
      {
      temp20 = op->GetGridlineXLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetGridlineYLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetGridlineYLength(temp0);
      }
    else
      {
      op->SetGridlineYLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetGridlineYLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetGridlineYLength();
      }
    else
      {
      temp20 = op->GetGridlineYLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetGridlineZLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetGridlineZLength(temp0);
      }
    else
      {
      op->SetGridlineZLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetGridlineZLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetGridlineZLength();
      }
    else
      {
      temp20 = op->GetGridlineZLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisType(temp0);
      }
    else
      {
      op->SetAxisType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisTypeMinValue();
      }
    else
      {
      temp20 = op->GetAxisTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisTypeMaxValue();
      }
    else
      {
      temp20 = op->GetAxisTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisType();
      }
    else
      {
      temp20 = op->GetAxisType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisTypeToX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisTypeToX();
      }
    else
      {
      op->SetAxisTypeToX();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisTypeToY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisTypeToY();
      }
    else
      {
      op->SetAxisTypeToY();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisTypeToZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisTypeToZ();
      }
    else
      {
      op->SetAxisTypeToZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisPosition(temp0);
      }
    else
      {
      op->SetAxisPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisPositionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisPositionMinValue();
      }
    else
      {
      temp20 = op->GetAxisPositionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisPositionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisPositionMaxValue();
      }
    else
      {
      temp20 = op->GetAxisPositionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetAxisPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetAxisPosition();
      }
    else
      {
      temp20 = op->GetAxisPosition();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisPositionToMinMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisPositionToMinMin();
      }
    else
      {
      op->SetAxisPositionToMinMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisPositionToMinMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisPositionToMinMax();
      }
    else
      {
      op->SetAxisPositionToMinMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisPositionToMaxMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisPositionToMaxMax();
      }
    else
      {
      op->SetAxisPositionToMaxMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetAxisPositionToMaxMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetAxisPositionToMaxMin();
      }
    else
      {
      op->SetAxisPositionToMaxMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break76;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break76:
  return NULL;
}


static PyObject *PyvtkAxisActor_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkCamera  *temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkAxisActor_RenderTranslucentGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break79;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::RenderTranslucentGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break79:
  return NULL;
}


static PyObject *PyvtkAxisActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break80:
  return NULL;
}


static PyObject *PyvtkAxisActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkAxisActor_SetLabelScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetLabelScale(temp0);
      }
    else
      {
      op->SetLabelScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetTitleScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetTitleScale(temp0);
      }
    else
      {
      op->SetTitleScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetMinorStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetMinorStart(temp0);
      }
    else
      {
      op->SetMinorStart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetMinorStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetMinorStart();
      }
    else
      {
      temp20 = op->GetMinorStart();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetMajorStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetMajorStart(temp0);
      }
    else
      {
      op->SetMajorStart(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetMajorStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetMajorStart();
      }
    else
      {
      temp20 = op->GetMajorStart();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetDeltaMinor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetDeltaMinor(temp0);
      }
    else
      {
      op->SetDeltaMinor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetDeltaMinor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetDeltaMinor();
      }
    else
      {
      temp20 = op->GetDeltaMinor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_SetDeltaMajor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp0;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::SetDeltaMajor(temp0);
      }
    else
      {
      op->SetDeltaMajor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_GetDeltaMajor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  double   temp20;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor::GetDeltaMajor();
      }
    else
      {
      temp20 = op->GetDeltaMajor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor_BuildAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  bool   temp1;
  op = (vtkAxisActor *)PyArg_VTKParseTuple(self, args, (char*)"Ob", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break92;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor::BuildAxis(temp0,temp1);
      }
    else
      {
      op->BuildAxis(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break92:
  return NULL;
}

static PyMethodDef PyvtkAxisActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAxisActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAxisActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAxisActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAxisActor\nC++: vtkAxisActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAxisActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAxisActor\nC++: vtkAxisActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetPoint1Coordinate",                (PyCFunction)PyvtkAxisActor_GetPoint1Coordinate, 1,
   (char*)"V.GetPoint1Coordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetPoint1Coordinate ();\n\n Specify the position of the first point defining the axis.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkAxisActor_SetPoint1, 1,
   (char*)"V.SetPoint1((float, float, float))\nC++: virtual void SetPoint1 (double x[3]);this SetPoint1 x x x \nV.SetPoint1(float, float, float)\nC++: virtual void SetPoint1 (double x, double y, double z);\n\n Specify the position of the first point defining the axis.\n"},
  {(char*)"GetPoint2Coordinate",                (PyCFunction)PyvtkAxisActor_GetPoint2Coordinate, 1,
   (char*)"V.GetPoint2Coordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetPoint2Coordinate ();\n\n Specify the position of the second point defining the axis.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkAxisActor_SetPoint2, 1,
   (char*)"V.SetPoint2((float, float, float))\nC++: virtual void SetPoint2 (double x[3]);this SetPoint2 x x x \nV.SetPoint2(float, float, float)\nC++: virtual void SetPoint2 (double x, double y, double z);\n\n Specify the position of the second point defining the axis.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkAxisActor_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: void SetRange (double , double );\nV.SetRange((float, float))\nC++: void SetRange (double  a[2]);\n\n Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkAxisActor_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkAxisActor_SetBounds, 1,
   (char*)"V.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double bounds[6]);\n\n Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAxisActor_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds (void );\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\n\n Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkAxisActor_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Set/Get the format with which to print the labels on the axis.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkAxisActor_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Set/Get the format with which to print the labels on the axis.\n"},
  {(char*)"SetMinorTicksVisible",                (PyCFunction)PyvtkAxisActor_SetMinorTicksVisible, 1,
   (char*)"V.SetMinorTicksVisible(int)\nC++: void SetMinorTicksVisible (int );\n\n Set/Get the flag that controls whether the minor ticks are visible. \n"},
  {(char*)"GetMinorTicksVisible",                (PyCFunction)PyvtkAxisActor_GetMinorTicksVisible, 1,
   (char*)"V.GetMinorTicksVisible() -> int\nC++: int GetMinorTicksVisible ();\n\n Set/Get the flag that controls whether the minor ticks are visible. \n"},
  {(char*)"MinorTicksVisibleOn",                (PyCFunction)PyvtkAxisActor_MinorTicksVisibleOn, 1,
   (char*)"V.MinorTicksVisibleOn()\nC++: void MinorTicksVisibleOn ();\n\n Set/Get the flag that controls whether the minor ticks are visible. \n"},
  {(char*)"MinorTicksVisibleOff",                (PyCFunction)PyvtkAxisActor_MinorTicksVisibleOff, 1,
   (char*)"V.MinorTicksVisibleOff()\nC++: void MinorTicksVisibleOff ();\n\n Set/Get the flag that controls whether the minor ticks are visible. \n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkAxisActor_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (const char *t);\n\n Set/Get the title of the axis actor,\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkAxisActor_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Set/Get the title of the axis actor,\n"},
  {(char*)"SetMajorTickSize",                (PyCFunction)PyvtkAxisActor_SetMajorTickSize, 1,
   (char*)"V.SetMajorTickSize(float)\nC++: void SetMajorTickSize (double );\n\n Set/Get the size of the major tick marks \n"},
  {(char*)"GetMajorTickSize",                (PyCFunction)PyvtkAxisActor_GetMajorTickSize, 1,
   (char*)"V.GetMajorTickSize() -> float\nC++: double GetMajorTickSize ();\n\n Set/Get the size of the major tick marks \n"},
  {(char*)"SetMinorTickSize",                (PyCFunction)PyvtkAxisActor_SetMinorTickSize, 1,
   (char*)"V.SetMinorTickSize(float)\nC++: void SetMinorTickSize (double );\n\n Set/Get the size of the major tick marks \n"},
  {(char*)"GetMinorTickSize",                (PyCFunction)PyvtkAxisActor_GetMinorTickSize, 1,
   (char*)"V.GetMinorTickSize() -> float\nC++: double GetMinorTickSize ();\n\n Set/Get the size of the major tick marks \n"},
  {(char*)"SetTickLocation",                (PyCFunction)PyvtkAxisActor_SetTickLocation, 1,
   (char*)"V.SetTickLocation(int)\nC++: void SetTickLocation (int );\n\n Set/Get the location of the ticks.\n"},
  {(char*)"GetTickLocationMinValue",                (PyCFunction)PyvtkAxisActor_GetTickLocationMinValue, 1,
   (char*)"V.GetTickLocationMinValue() -> int\nC++: int GetTickLocationMinValue ();\n\n Set/Get the location of the ticks.\n"},
  {(char*)"GetTickLocationMaxValue",                (PyCFunction)PyvtkAxisActor_GetTickLocationMaxValue, 1,
   (char*)"V.GetTickLocationMaxValue() -> int\nC++: int GetTickLocationMaxValue ();\n\n Set/Get the location of the ticks.\n"},
  {(char*)"GetTickLocation",                (PyCFunction)PyvtkAxisActor_GetTickLocation, 1,
   (char*)"V.GetTickLocation() -> int\nC++: int GetTickLocation ();\n\n Set/Get the location of the ticks.\n"},
  {(char*)"SetTickLocationToInside",                (PyCFunction)PyvtkAxisActor_SetTickLocationToInside, 1,
   (char*)"V.SetTickLocationToInside()\nC++: void SetTickLocationToInside (void );this SetTickLocation VTK_TICKS_INSIDE \n\n"},
  {(char*)"SetTickLocationToOutside",                (PyCFunction)PyvtkAxisActor_SetTickLocationToOutside, 1,
   (char*)"V.SetTickLocationToOutside()\nC++: void SetTickLocationToOutside (void );this SetTickLocation VTK_TICKS_OUTSIDE \n\n"},
  {(char*)"SetTickLocationToBoth",                (PyCFunction)PyvtkAxisActor_SetTickLocationToBoth, 1,
   (char*)"V.SetTickLocationToBoth()\nC++: void SetTickLocationToBoth (void );this SetTickLocation VTK_TICKS_BOTH \n\n"},
  {(char*)"SetAxisVisibility",                (PyCFunction)PyvtkAxisActor_SetAxisVisibility, 1,
   (char*)"V.SetAxisVisibility(int)\nC++: void SetAxisVisibility (int );\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"GetAxisVisibility",                (PyCFunction)PyvtkAxisActor_GetAxisVisibility, 1,
   (char*)"V.GetAxisVisibility() -> int\nC++: int GetAxisVisibility ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"AxisVisibilityOn",                (PyCFunction)PyvtkAxisActor_AxisVisibilityOn, 1,
   (char*)"V.AxisVisibilityOn()\nC++: void AxisVisibilityOn ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"AxisVisibilityOff",                (PyCFunction)PyvtkAxisActor_AxisVisibilityOff, 1,
   (char*)"V.AxisVisibilityOff()\nC++: void AxisVisibilityOff ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"SetTickVisibility",                (PyCFunction)PyvtkAxisActor_SetTickVisibility, 1,
   (char*)"V.SetTickVisibility(int)\nC++: void SetTickVisibility (int );\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"GetTickVisibility",                (PyCFunction)PyvtkAxisActor_GetTickVisibility, 1,
   (char*)"V.GetTickVisibility() -> int\nC++: int GetTickVisibility ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"TickVisibilityOn",                (PyCFunction)PyvtkAxisActor_TickVisibilityOn, 1,
   (char*)"V.TickVisibilityOn()\nC++: void TickVisibilityOn ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"TickVisibilityOff",                (PyCFunction)PyvtkAxisActor_TickVisibilityOff, 1,
   (char*)"V.TickVisibilityOff()\nC++: void TickVisibilityOff ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkAxisActor_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(int)\nC++: void SetLabelVisibility (int );\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkAxisActor_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> int\nC++: int GetLabelVisibility ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkAxisActor_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkAxisActor_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"SetTitleVisibility",                (PyCFunction)PyvtkAxisActor_SetTitleVisibility, 1,
   (char*)"V.SetTitleVisibility(int)\nC++: void SetTitleVisibility (int );\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"GetTitleVisibility",                (PyCFunction)PyvtkAxisActor_GetTitleVisibility, 1,
   (char*)"V.GetTitleVisibility() -> int\nC++: int GetTitleVisibility ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"TitleVisibilityOn",                (PyCFunction)PyvtkAxisActor_TitleVisibilityOn, 1,
   (char*)"V.TitleVisibilityOn()\nC++: void TitleVisibilityOn ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"TitleVisibilityOff",                (PyCFunction)PyvtkAxisActor_TitleVisibilityOff, 1,
   (char*)"V.TitleVisibilityOff()\nC++: void TitleVisibilityOff ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"SetDrawGridlines",                (PyCFunction)PyvtkAxisActor_SetDrawGridlines, 1,
   (char*)"V.SetDrawGridlines(int)\nC++: void SetDrawGridlines (int );\n\n Set/Get whether gridlines should be drawn.\n"},
  {(char*)"GetDrawGridlines",                (PyCFunction)PyvtkAxisActor_GetDrawGridlines, 1,
   (char*)"V.GetDrawGridlines() -> int\nC++: int GetDrawGridlines ();\n\n Set/Get whether gridlines should be drawn.\n"},
  {(char*)"DrawGridlinesOn",                (PyCFunction)PyvtkAxisActor_DrawGridlinesOn, 1,
   (char*)"V.DrawGridlinesOn()\nC++: void DrawGridlinesOn ();\n\n Set/Get whether gridlines should be drawn.\n"},
  {(char*)"DrawGridlinesOff",                (PyCFunction)PyvtkAxisActor_DrawGridlinesOff, 1,
   (char*)"V.DrawGridlinesOff()\nC++: void DrawGridlinesOff ();\n\n Set/Get whether gridlines should be drawn.\n"},
  {(char*)"SetGridlineXLength",                (PyCFunction)PyvtkAxisActor_SetGridlineXLength, 1,
   (char*)"V.SetGridlineXLength(float)\nC++: void SetGridlineXLength (double );\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"GetGridlineXLength",                (PyCFunction)PyvtkAxisActor_GetGridlineXLength, 1,
   (char*)"V.GetGridlineXLength() -> float\nC++: double GetGridlineXLength ();\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"SetGridlineYLength",                (PyCFunction)PyvtkAxisActor_SetGridlineYLength, 1,
   (char*)"V.SetGridlineYLength(float)\nC++: void SetGridlineYLength (double );\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"GetGridlineYLength",                (PyCFunction)PyvtkAxisActor_GetGridlineYLength, 1,
   (char*)"V.GetGridlineYLength() -> float\nC++: double GetGridlineYLength ();\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"SetGridlineZLength",                (PyCFunction)PyvtkAxisActor_SetGridlineZLength, 1,
   (char*)"V.SetGridlineZLength(float)\nC++: void SetGridlineZLength (double );\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"GetGridlineZLength",                (PyCFunction)PyvtkAxisActor_GetGridlineZLength, 1,
   (char*)"V.GetGridlineZLength() -> float\nC++: double GetGridlineZLength ();\n\n Set/Get the length to use when drawing gridlines. \n"},
  {(char*)"SetAxisType",                (PyCFunction)PyvtkAxisActor_SetAxisType, 1,
   (char*)"V.SetAxisType(int)\nC++: void SetAxisType (int );\n\n Set/Get the type of this axis.\n"},
  {(char*)"GetAxisTypeMinValue",                (PyCFunction)PyvtkAxisActor_GetAxisTypeMinValue, 1,
   (char*)"V.GetAxisTypeMinValue() -> int\nC++: int GetAxisTypeMinValue ();\n\n Set/Get the type of this axis.\n"},
  {(char*)"GetAxisTypeMaxValue",                (PyCFunction)PyvtkAxisActor_GetAxisTypeMaxValue, 1,
   (char*)"V.GetAxisTypeMaxValue() -> int\nC++: int GetAxisTypeMaxValue ();\n\n Set/Get the type of this axis.\n"},
  {(char*)"GetAxisType",                (PyCFunction)PyvtkAxisActor_GetAxisType, 1,
   (char*)"V.GetAxisType() -> int\nC++: int GetAxisType ();\n\n Set/Get the type of this axis.\n"},
  {(char*)"SetAxisTypeToX",                (PyCFunction)PyvtkAxisActor_SetAxisTypeToX, 1,
   (char*)"V.SetAxisTypeToX()\nC++: void SetAxisTypeToX (void );this SetAxisType VTK_AXIS_TYPE_X \n\n Set/Get the type of this axis.\n"},
  {(char*)"SetAxisTypeToY",                (PyCFunction)PyvtkAxisActor_SetAxisTypeToY, 1,
   (char*)"V.SetAxisTypeToY()\nC++: void SetAxisTypeToY (void );this SetAxisType VTK_AXIS_TYPE_Y \n\n Set/Get the type of this axis.\n"},
  {(char*)"SetAxisTypeToZ",                (PyCFunction)PyvtkAxisActor_SetAxisTypeToZ, 1,
   (char*)"V.SetAxisTypeToZ()\nC++: void SetAxisTypeToZ (void );this SetAxisType VTK_AXIS_TYPE_Z \n\n Set/Get the type of this axis.\n"},
  {(char*)"SetAxisPosition",                (PyCFunction)PyvtkAxisActor_SetAxisPosition, 1,
   (char*)"V.SetAxisPosition(int)\nC++: void SetAxisPosition (int );\n\n Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and \n Z values are minimum. For a y-type axis, MAXMIN corresponds to the \n y-edge where X values are maximum and Z values are minimum.\n \n"},
  {(char*)"GetAxisPositionMinValue",                (PyCFunction)PyvtkAxisActor_GetAxisPositionMinValue, 1,
   (char*)"V.GetAxisPositionMinValue() -> int\nC++: int GetAxisPositionMinValue ();\n\n Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and \n Z values are minimum. For a y-type axis, MAXMIN corresponds to the \n y-edge where X values are maximum and Z values are minimum.\n \n"},
  {(char*)"GetAxisPositionMaxValue",                (PyCFunction)PyvtkAxisActor_GetAxisPositionMaxValue, 1,
   (char*)"V.GetAxisPositionMaxValue() -> int\nC++: int GetAxisPositionMaxValue ();\n\n Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and \n Z values are minimum. For a y-type axis, MAXMIN corresponds to the \n y-edge where X values are maximum and Z values are minimum.\n \n"},
  {(char*)"GetAxisPosition",                (PyCFunction)PyvtkAxisActor_GetAxisPosition, 1,
   (char*)"V.GetAxisPosition() -> int\nC++: int GetAxisPosition ();\n\n Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and \n Z values are minimum. For a y-type axis, MAXMIN corresponds to the \n y-edge where X values are maximum and Z values are minimum.\n \n"},
  {(char*)"SetAxisPositionToMinMin",                (PyCFunction)PyvtkAxisActor_SetAxisPositionToMinMin, 1,
   (char*)"V.SetAxisPositionToMinMin()\nC++: void SetAxisPositionToMinMin (void );this SetAxisPosition VTK_AXIS_POS_MINMIN \n\n"},
  {(char*)"SetAxisPositionToMinMax",                (PyCFunction)PyvtkAxisActor_SetAxisPositionToMinMax, 1,
   (char*)"V.SetAxisPositionToMinMax()\nC++: void SetAxisPositionToMinMax (void );this SetAxisPosition VTK_AXIS_POS_MINMAX \n\n"},
  {(char*)"SetAxisPositionToMaxMax",                (PyCFunction)PyvtkAxisActor_SetAxisPositionToMaxMax, 1,
   (char*)"V.SetAxisPositionToMaxMax()\nC++: void SetAxisPositionToMaxMax (void );this SetAxisPosition VTK_AXIS_POS_MAXMAX \n\n"},
  {(char*)"SetAxisPositionToMaxMin",                (PyCFunction)PyvtkAxisActor_SetAxisPositionToMaxMin, 1,
   (char*)"V.SetAxisPositionToMaxMin()\nC++: void SetAxisPositionToMaxMin (void );this SetAxisPosition VTK_AXIS_POS_MAXMIN \n\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkAxisActor_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkAxisActor_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAxisActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Draw the axis. \n"},
  {(char*)"RenderTranslucentGeometry",                (PyCFunction)PyvtkAxisActor_RenderTranslucentGeometry, 1,
   (char*)"V.RenderTranslucentGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentGeometry (vtkViewport *);return \n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAxisActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAxisActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an axis actor. Overloads the virtual vtkProp method.\n"},
  {(char*)"SetLabelScale",                (PyCFunction)PyvtkAxisActor_SetLabelScale, 1,
   (char*)"V.SetLabelScale(float)\nC++: void SetLabelScale (const double );\n\n"},
  {(char*)"SetTitleScale",                (PyCFunction)PyvtkAxisActor_SetTitleScale, 1,
   (char*)"V.SetTitleScale(float)\nC++: void SetTitleScale (const double );\n\n"},
  {(char*)"SetMinorStart",                (PyCFunction)PyvtkAxisActor_SetMinorStart, 1,
   (char*)"V.SetMinorStart(float)\nC++: void SetMinorStart (double );\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"GetMinorStart",                (PyCFunction)PyvtkAxisActor_GetMinorStart, 1,
   (char*)"V.GetMinorStart() -> float\nC++: double GetMinorStart ();\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"SetMajorStart",                (PyCFunction)PyvtkAxisActor_SetMajorStart, 1,
   (char*)"V.SetMajorStart(float)\nC++: void SetMajorStart (double );\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"GetMajorStart",                (PyCFunction)PyvtkAxisActor_GetMajorStart, 1,
   (char*)"V.GetMajorStart() -> float\nC++: double GetMajorStart ();\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"SetDeltaMinor",                (PyCFunction)PyvtkAxisActor_SetDeltaMinor, 1,
   (char*)"V.SetDeltaMinor(float)\nC++: void SetDeltaMinor (double );\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"GetDeltaMinor",                (PyCFunction)PyvtkAxisActor_GetDeltaMinor, 1,
   (char*)"V.GetDeltaMinor() -> float\nC++: double GetDeltaMinor ();\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"SetDeltaMajor",                (PyCFunction)PyvtkAxisActor_SetDeltaMajor, 1,
   (char*)"V.SetDeltaMajor(float)\nC++: void SetDeltaMajor (double );\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"GetDeltaMajor",                (PyCFunction)PyvtkAxisActor_GetDeltaMajor, 1,
   (char*)"V.GetDeltaMajor() -> float\nC++: double GetDeltaMajor ();\n\n Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing. \n"},
  {(char*)"BuildAxis",                (PyCFunction)PyvtkAxisActor_BuildAxis, 1,
   (char*)"V.BuildAxis(vtkViewport, bool)\nC++: void BuildAxis (vtkViewport *viewport, bool );\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAxisActorDoc[] = {
  (char*)"vtkAxisActor - Create an axis with tick marks and labels\n\n",
  "Super Class:\n\n vtkActor\n\n",
  (char*)" vtkAxisActor creates an axis with tick marks, labels, and/or a title,\n depending on the particular instance variable settings. It is assumed that\n the axes is part of a bounding box and is orthoganal to one of the\n coordinate axes.  To use this class, you typically specify two points \n defining the start and end points of the line (xyz definition using \n vtkCoordinate class), the axis type (X, Y ",
  (char*)"or Z), the axis location in \n relation to the bounding box, the bounding box, the number of labels, and\n the data range (min,max). You can also control what parts of the axis are\n visible including the line, the tick marks, the labels, and the title. It\n is also possible to control gridlines, and specifiy on which 'side' the\n tickmarks are drawn (again with respect to the underlying assumed \n boun",
  (char*)"ding box). You can also specify the label format (a printf style format).\n\n This class decides how to locate the labels, and how to create reasonable \n tick marks and labels. \n\n Labels follow the camera so as to be legible from any viewpoint.\n\n The instance variables Point1 and Point2 are instances of vtkCoordinate.\n All calculations and references are in World Coordinates.\n\n .SECTION Notes\n This ",
  (char*)"class was adapted from a 2D version created by Hank Childs called\n vtkHankAxisActor2D.\n\n\n",
  "See Also:\n\n vtkActor vtkVectorText vtkPolyDataMapper vtkAxisActor2D vtkCoordinate\n\n",
  NULL
};

static vtkObjectBase *vtkAxisActorStaticNew()
{
  return vtkAxisActor::New();
}

PyObject *PyVTKClass_vtkAxisActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkAxisActorStaticNew,
                        PyvtkAxisActorMethods,
                        (char*)"vtkAxisActor",modulename,
                        (char**)vtkAxisActorDoc,
                        PyVTKClass_vtkActorNew(modulename));
}

