// python wrapper for vtkBarChartActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBarChartActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBarChartActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBarChartActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkBarChartActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  const char    *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkBarChartActor  *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBarChartActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBarChartActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkDataObject  *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetTitleVisibility(temp0);
      }
    else
      {
      op->SetTitleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetTitleVisibility();
      }
    else
      {
      temp20 = op->GetTitleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_TitleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::TitleVisibilityOn();
      }
    else
      {
      op->TitleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_TitleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::TitleVisibilityOff();
      }
    else
      {
      op->TitleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  char    *temp0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  char    *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetTitleTextProperty(temp0);
      }
    else
      {
      op->SetTitleTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkTextProperty  *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetTitleTextProperty();
      }
    else
      {
      temp20 = op->GetTitleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkTextProperty  *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetBarColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetBarColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetBarColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetBarColor(temp0,temp1);
      }
    else
      {
      op->SetBarColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetBarLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  char    *temp1;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetBarLabel(temp0,temp1);
      }
    else
      {
      op->SetBarLabel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetBarLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  const char    *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetBarLabel(temp0);
      }
    else
      {
      temp20 = op->GetBarLabel(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  char    *temp0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetYTitle(temp0);
      }
    else
      {
      op->SetYTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  char    *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetYTitle();
      }
    else
      {
      temp20 = op->GetYTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_SetLegendVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::SetLegendVisibility(temp0);
      }
    else
      {
      op->SetLegendVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetLegendVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetLegendVisibility();
      }
    else
      {
      temp20 = op->GetLegendVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_LegendVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::LegendVisibilityOn();
      }
    else
      {
      op->LegendVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_LegendVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::LegendVisibilityOff();
      }
    else
      {
      op->LegendVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_GetLegendActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkLegendBoxActor  *temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::GetLegendActor();
      }
    else
      {
      temp20 = op->GetLegendActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkBarChartActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkBarChartActor_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkBarChartActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  int      temp20;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBarChartActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBarChartActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBarChartActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkBarChartActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkBarChartActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}

static PyMethodDef PyvtkBarChartActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBarChartActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBarChartActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBarChartActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBarChartActor\nC++: vtkBarChartActor *NewInstance ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBarChartActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBarChartActor\nC++: vtkBarChartActor *SafeDownCast (vtkObject* o);\n\n Standard methods for type information and printing.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkBarChartActor_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: virtual void SetInput (vtkDataObject *);\n\n Set the input to the bar chart actor.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkBarChartActor_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\n\n Get the input data object to this actor.\n"},
  {(char*)"SetTitleVisibility",                (PyCFunction)PyvtkBarChartActor_SetTitleVisibility, 1,
   (char*)"V.SetTitleVisibility(int)\nC++: void SetTitleVisibility (int );\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"GetTitleVisibility",                (PyCFunction)PyvtkBarChartActor_GetTitleVisibility, 1,
   (char*)"V.GetTitleVisibility() -> int\nC++: int GetTitleVisibility ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"TitleVisibilityOn",                (PyCFunction)PyvtkBarChartActor_TitleVisibilityOn, 1,
   (char*)"V.TitleVisibilityOn()\nC++: void TitleVisibilityOn ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"TitleVisibilityOff",                (PyCFunction)PyvtkBarChartActor_TitleVisibilityOff, 1,
   (char*)"V.TitleVisibilityOff()\nC++: void TitleVisibilityOff ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkBarChartActor_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Set/Get the title of the bar chart.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkBarChartActor_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Set/Get the title of the bar chart.\n"},
  {(char*)"SetTitleTextProperty",                (PyCFunction)PyvtkBarChartActor_SetTitleTextProperty, 1,
   (char*)"V.SetTitleTextProperty(vtkTextProperty)\nC++: virtual void SetTitleTextProperty (vtkTextProperty *p);\n\n Set/Get the title text property. The property controls the\n appearance of the plot title.\n"},
  {(char*)"GetTitleTextProperty",                (PyCFunction)PyvtkBarChartActor_GetTitleTextProperty, 1,
   (char*)"V.GetTitleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleTextProperty ();\n\n Set/Get the title text property. The property controls the\n appearance of the plot title.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkBarChartActor_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(int)\nC++: void SetLabelVisibility (int );\n\n Enable/Disable the display of bar labels.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkBarChartActor_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> int\nC++: int GetLabelVisibility ();\n\n Enable/Disable the display of bar labels.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkBarChartActor_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n Enable/Disable the display of bar labels.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkBarChartActor_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n Enable/Disable the display of bar labels.\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkBarChartActor_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p);\n\n Set/Get the labels text property. This controls the appearance\n of all bar bar labels.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkBarChartActor_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty ();\n\n Set/Get the labels text property. This controls the appearance\n of all bar bar labels.\n"},
  {(char*)"SetBarColor",                (PyCFunction)PyvtkBarChartActor_SetBarColor, 1,
   (char*)"V.SetBarColor(int, float, float, float)\nC++: void SetBarColor (int i, double r, double g, double b);\nV.SetBarColor(int, (float, float, float))\nC++: void SetBarColor (int i, const double color[3]);this SetBarColor i color color color \n\n Specify colors for each bar. If not specified, they are \n automatically generated.\n"},
  {(char*)"SetBarLabel",                (PyCFunction)PyvtkBarChartActor_SetBarLabel, 1,
   (char*)"V.SetBarLabel(int, string)\nC++: void SetBarLabel (const int i, const char *);\n\n Specify the names of each bar. If\n not specified, then an integer number is automatically generated.\n"},
  {(char*)"GetBarLabel",                (PyCFunction)PyvtkBarChartActor_GetBarLabel, 1,
   (char*)"V.GetBarLabel(int) -> string\nC++: const char *GetBarLabel (int i);\n\n Specify the names of each bar. If\n not specified, then an integer number is automatically generated.\n"},
  {(char*)"SetYTitle",                (PyCFunction)PyvtkBarChartActor_SetYTitle, 1,
   (char*)"V.SetYTitle(string)\nC++: void SetYTitle (char *);\n\n Specify the title of the y-axis.\n"},
  {(char*)"GetYTitle",                (PyCFunction)PyvtkBarChartActor_GetYTitle, 1,
   (char*)"V.GetYTitle() -> string\nC++: char *GetYTitle ();\n\n Specify the title of the y-axis.\n"},
  {(char*)"SetLegendVisibility",                (PyCFunction)PyvtkBarChartActor_SetLegendVisibility, 1,
   (char*)"V.SetLegendVisibility(int)\nC++: void SetLegendVisibility (int );\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLegendVisibility",                (PyCFunction)PyvtkBarChartActor_GetLegendVisibility, 1,
   (char*)"V.GetLegendVisibility() -> int\nC++: int GetLegendVisibility ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendVisibilityOn",                (PyCFunction)PyvtkBarChartActor_LegendVisibilityOn, 1,
   (char*)"V.LegendVisibilityOn()\nC++: void LegendVisibilityOn ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendVisibilityOff",                (PyCFunction)PyvtkBarChartActor_LegendVisibilityOff, 1,
   (char*)"V.LegendVisibilityOff()\nC++: void LegendVisibilityOff ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLegendActor",                (PyCFunction)PyvtkBarChartActor_GetLegendActor, 1,
   (char*)"V.GetLegendActor() -> vtkLegendBoxActor\nC++: vtkLegendBoxActor *GetLegendActor ();\n\n Retrieve handles to the legend box. This is useful if you would like \n to manually control the legend appearance.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkBarChartActor_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: int RenderOverlay (vtkViewport *);\n\n Draw the bar plot.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkBarChartActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *);\n\n Draw the bar plot.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBarChartActor_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return \n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkBarChartActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkBarChartActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBarChartActorDoc[] = {
  (char*)"vtkBarChartActor - create a bar chart from an array\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkBarChartActor generates a bar chart from an array of numbers defined in\n field data (a vtkDataObject). To use this class, you must specify an input\n data object. You'll probably also want to specify the position of the plot\n be setting the Position and Position2 instance variables, which define a\n rectangle in which the plot lies.  There are also many other instance\n variables that control the",
  (char*)" look of the plot includes its title and legend.\n\n Set the text property/attributes of the title and the labels through the \n vtkTextProperty objects associated with these components.\n\n",
  "See Also:\n\n vtkParallelCoordinatesActor vtkXYPlotActor2D vtkSpiderPlotActor \n vtkPieChartActor\n\n",
  NULL
};

static vtkObjectBase *vtkBarChartActorStaticNew()
{
  return vtkBarChartActor::New();
}

PyObject *PyVTKClass_vtkBarChartActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkBarChartActorStaticNew,
                        PyvtkBarChartActorMethods,
                        (char*)"vtkBarChartActor",modulename,
                        (char**)vtkBarChartActorDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

