// python wrapper for vtkCaptionActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCaptionActor2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCaptionActor2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCaptionActor2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkCaptionActor2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  const char    *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkCaptionActor2D  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCaptionActor2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCaptionActor2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetCaption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  char    *temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetCaption(temp0);
      }
    else
      {
      op->SetCaption(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetCaption(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  char    *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetCaption();
      }
    else
      {
      temp20 = op->GetCaption();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetAttachmentPointCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkCoordinate  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetAttachmentPointCoordinate();
      }
    else
      {
      temp20 = op->GetAttachmentPointCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetAttachmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetAttachmentPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetAttachmentPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetAttachmentPoint(temp0);
      }
    else
      {
      op->SetAttachmentPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetAttachmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetAttachmentPoint();
      }
    else
      {
      temp20 = op->GetAttachmentPoint();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetBorder(temp0);
      }
    else
      {
      op->SetBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetBorder();
      }
    else
      {
      temp20 = op->GetBorder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_BorderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::BorderOn();
      }
    else
      {
      op->BorderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_BorderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::BorderOff();
      }
    else
      {
      op->BorderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetLeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetLeader(temp0);
      }
    else
      {
      op->SetLeader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetLeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetLeader();
      }
    else
      {
      temp20 = op->GetLeader();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_LeaderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::LeaderOn();
      }
    else
      {
      op->LeaderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_LeaderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::LeaderOff();
      }
    else
      {
      op->LeaderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetThreeDimensionalLeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetThreeDimensionalLeader(temp0);
      }
    else
      {
      op->SetThreeDimensionalLeader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetThreeDimensionalLeader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetThreeDimensionalLeader();
      }
    else
      {
      temp20 = op->GetThreeDimensionalLeader();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_ThreeDimensionalLeaderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::ThreeDimensionalLeaderOn();
      }
    else
      {
      op->ThreeDimensionalLeaderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_ThreeDimensionalLeaderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::ThreeDimensionalLeaderOff();
      }
    else
      {
      op->ThreeDimensionalLeaderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetLeaderGlyph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetLeaderGlyph(temp0);
      }
    else
      {
      op->SetLeaderGlyph(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetLeaderGlyph(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkPolyData  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetLeaderGlyph();
      }
    else
      {
      temp20 = op->GetLeaderGlyph();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetLeaderGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double   temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetLeaderGlyphSize(temp0);
      }
    else
      {
      op->SetLeaderGlyphSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetLeaderGlyphSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double   temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetLeaderGlyphSizeMinValue();
      }
    else
      {
      temp20 = op->GetLeaderGlyphSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetLeaderGlyphSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double   temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetLeaderGlyphSizeMaxValue();
      }
    else
      {
      temp20 = op->GetLeaderGlyphSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetLeaderGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  double   temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetLeaderGlyphSize();
      }
    else
      {
      temp20 = op->GetLeaderGlyphSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetMaximumLeaderGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetMaximumLeaderGlyphSize(temp0);
      }
    else
      {
      op->SetMaximumLeaderGlyphSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetMaximumLeaderGlyphSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetMaximumLeaderGlyphSizeMinValue();
      }
    else
      {
      temp20 = op->GetMaximumLeaderGlyphSizeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetMaximumLeaderGlyphSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetMaximumLeaderGlyphSizeMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumLeaderGlyphSizeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetMaximumLeaderGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetMaximumLeaderGlyphSize();
      }
    else
      {
      temp20 = op->GetMaximumLeaderGlyphSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetPadding(temp0);
      }
    else
      {
      op->SetPadding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetPaddingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetPaddingMinValue();
      }
    else
      {
      temp20 = op->GetPaddingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetPaddingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetPaddingMaxValue();
      }
    else
      {
      temp20 = op->GetPaddingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetPadding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetPadding();
      }
    else
      {
      temp20 = op->GetPadding();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkTextActor  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetTextActor();
      }
    else
      {
      temp20 = op->GetTextActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetCaptionTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetCaptionTextProperty(temp0);
      }
    else
      {
      op->SetCaptionTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetCaptionTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkTextProperty  *temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetCaptionTextProperty();
      }
    else
      {
      temp20 = op->GetCaptionTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_SetAttachEdgeOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp0;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::SetAttachEdgeOnly(temp0);
      }
    else
      {
      op->SetAttachEdgeOnly(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_GetAttachEdgeOnly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  int      temp20;
  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCaptionActor2D::GetAttachEdgeOnly();
      }
    else
      {
      temp20 = op->GetAttachEdgeOnly();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_AttachEdgeOnlyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::AttachEdgeOnlyOn();
      }
    else
      {
      op->AttachEdgeOnlyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCaptionActor2D_AttachEdgeOnlyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCaptionActor2D::AttachEdgeOnlyOff();
      }
    else
      {
      op->AttachEdgeOnlyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCaptionActor2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCaptionActor2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCaptionActor2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCaptionActor2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCaptionActor2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCaptionActor2D\nC++: vtkCaptionActor2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCaption",                (PyCFunction)PyvtkCaptionActor2D_SetCaption, 1,
   (char*)"V.SetCaption(string)\nC++: void SetCaption (char *);\n\n Define the text to be placed in the caption. The text can be multiple\n lines (separated by \"\\n\").\n"},
  {(char*)"GetCaption",                (PyCFunction)PyvtkCaptionActor2D_GetCaption, 1,
   (char*)"V.GetCaption() -> string\nC++: char *GetCaption ();\n\n Define the text to be placed in the caption. The text can be multiple\n lines (separated by \"\\n\").\n"},
  {(char*)"GetAttachmentPointCoordinate",                (PyCFunction)PyvtkCaptionActor2D_GetAttachmentPointCoordinate, 1,
   (char*)"V.GetAttachmentPointCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetAttachmentPointCoordinate ();\n\n Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n"},
  {(char*)"SetAttachmentPoint",                (PyCFunction)PyvtkCaptionActor2D_SetAttachmentPoint, 1,
   (char*)"V.SetAttachmentPoint(float, float, float)\nC++: void SetAttachmentPoint (double, double, double);\nV.SetAttachmentPoint((float, float, float))\nC++: void SetAttachmentPoint (double a[3]);\n\n Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n"},
  {(char*)"GetAttachmentPoint",                (PyCFunction)PyvtkCaptionActor2D_GetAttachmentPoint, 1,
   (char*)"V.GetAttachmentPoint() -> (float, float, float)\nC++: double *GetAttachmentPoint ();\n\n Set/Get the attachment point for the caption. By default, the attachment\n point is defined in world coordinates, but this can be changed using\n vtkCoordinate methods.\n"},
  {(char*)"SetBorder",                (PyCFunction)PyvtkCaptionActor2D_SetBorder, 1,
   (char*)"V.SetBorder(int)\nC++: void SetBorder (int );\n\n Enable/disable the placement of a border around the text.\n"},
  {(char*)"GetBorder",                (PyCFunction)PyvtkCaptionActor2D_GetBorder, 1,
   (char*)"V.GetBorder() -> int\nC++: int GetBorder ();\n\n Enable/disable the placement of a border around the text.\n"},
  {(char*)"BorderOn",                (PyCFunction)PyvtkCaptionActor2D_BorderOn, 1,
   (char*)"V.BorderOn()\nC++: void BorderOn ();\n\n Enable/disable the placement of a border around the text.\n"},
  {(char*)"BorderOff",                (PyCFunction)PyvtkCaptionActor2D_BorderOff, 1,
   (char*)"V.BorderOff()\nC++: void BorderOff ();\n\n Enable/disable the placement of a border around the text.\n"},
  {(char*)"SetLeader",                (PyCFunction)PyvtkCaptionActor2D_SetLeader, 1,
   (char*)"V.SetLeader(int)\nC++: void SetLeader (int );\n\n Enable/disable drawing a \"line\" from the caption to the \n attachment point.\n"},
  {(char*)"GetLeader",                (PyCFunction)PyvtkCaptionActor2D_GetLeader, 1,
   (char*)"V.GetLeader() -> int\nC++: int GetLeader ();\n\n Enable/disable drawing a \"line\" from the caption to the \n attachment point.\n"},
  {(char*)"LeaderOn",                (PyCFunction)PyvtkCaptionActor2D_LeaderOn, 1,
   (char*)"V.LeaderOn()\nC++: void LeaderOn ();\n\n Enable/disable drawing a \"line\" from the caption to the \n attachment point.\n"},
  {(char*)"LeaderOff",                (PyCFunction)PyvtkCaptionActor2D_LeaderOff, 1,
   (char*)"V.LeaderOff()\nC++: void LeaderOff ();\n\n Enable/disable drawing a \"line\" from the caption to the \n attachment point.\n"},
  {(char*)"SetThreeDimensionalLeader",                (PyCFunction)PyvtkCaptionActor2D_SetThreeDimensionalLeader, 1,
   (char*)"V.SetThreeDimensionalLeader(int)\nC++: void SetThreeDimensionalLeader (int );\n\n Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n"},
  {(char*)"GetThreeDimensionalLeader",                (PyCFunction)PyvtkCaptionActor2D_GetThreeDimensionalLeader, 1,
   (char*)"V.GetThreeDimensionalLeader() -> int\nC++: int GetThreeDimensionalLeader ();\n\n Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n"},
  {(char*)"ThreeDimensionalLeaderOn",                (PyCFunction)PyvtkCaptionActor2D_ThreeDimensionalLeaderOn, 1,
   (char*)"V.ThreeDimensionalLeaderOn()\nC++: void ThreeDimensionalLeaderOn ();\n\n Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n"},
  {(char*)"ThreeDimensionalLeaderOff",                (PyCFunction)PyvtkCaptionActor2D_ThreeDimensionalLeaderOff, 1,
   (char*)"V.ThreeDimensionalLeaderOff()\nC++: void ThreeDimensionalLeaderOff ();\n\n Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).\n"},
  {(char*)"SetLeaderGlyph",                (PyCFunction)PyvtkCaptionActor2D_SetLeaderGlyph, 1,
   (char*)"V.SetLeaderGlyph(vtkPolyData)\nC++: virtual void SetLeaderGlyph (vtkPolyData *);\n\n Specify a glyph to be used as the leader \"head\". This could be something\n like an arrow or sphere. If not specified, no glyph is drawn. Note that\n the glyph is assumed to be aligned along the x-axis and is rotated about\n the origin.\n"},
  {(char*)"GetLeaderGlyph",                (PyCFunction)PyvtkCaptionActor2D_GetLeaderGlyph, 1,
   (char*)"V.GetLeaderGlyph() -> vtkPolyData\nC++: vtkPolyData *GetLeaderGlyph ();\n\n Specify a glyph to be used as the leader \"head\". This could be something\n like an arrow or sphere. If not specified, no glyph is drawn. Note that\n the glyph is assumed to be aligned along the x-axis and is rotated about\n the origin.\n"},
  {(char*)"SetLeaderGlyphSize",                (PyCFunction)PyvtkCaptionActor2D_SetLeaderGlyphSize, 1,
   (char*)"V.SetLeaderGlyphSize(float)\nC++: void SetLeaderGlyphSize (double );\n\n Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other \n camera motion results in proportional changes in size to the leader\n glyph.\n"},
  {(char*)"GetLeaderGlyphSizeMinValue",                (PyCFunction)PyvtkCaptionActor2D_GetLeaderGlyphSizeMinValue, 1,
   (char*)"V.GetLeaderGlyphSizeMinValue() -> float\nC++: double GetLeaderGlyphSizeMinValue ();\n\n Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other \n camera motion results in proportional changes in size to the leader\n glyph.\n"},
  {(char*)"GetLeaderGlyphSizeMaxValue",                (PyCFunction)PyvtkCaptionActor2D_GetLeaderGlyphSizeMaxValue, 1,
   (char*)"V.GetLeaderGlyphSizeMaxValue() -> float\nC++: double GetLeaderGlyphSizeMaxValue ();\n\n Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other \n camera motion results in proportional changes in size to the leader\n glyph.\n"},
  {(char*)"GetLeaderGlyphSize",                (PyCFunction)PyvtkCaptionActor2D_GetLeaderGlyphSize, 1,
   (char*)"V.GetLeaderGlyphSize() -> float\nC++: double GetLeaderGlyphSize ();\n\n Specify the relative size of the leader head. This is expressed as a\n fraction of the size (diagonal length) of the renderer. The leader\n head is automatically scaled so that window resize, zooming or other \n camera motion results in proportional changes in size to the leader\n glyph.\n"},
  {(char*)"SetMaximumLeaderGlyphSize",                (PyCFunction)PyvtkCaptionActor2D_SetMaximumLeaderGlyphSize, 1,
   (char*)"V.SetMaximumLeaderGlyphSize(int)\nC++: void SetMaximumLeaderGlyphSize (int );\n\n Specify the maximum size of the leader head (if any) in pixels. This \n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n"},
  {(char*)"GetMaximumLeaderGlyphSizeMinValue",                (PyCFunction)PyvtkCaptionActor2D_GetMaximumLeaderGlyphSizeMinValue, 1,
   (char*)"V.GetMaximumLeaderGlyphSizeMinValue() -> int\nC++: int GetMaximumLeaderGlyphSizeMinValue ();\n\n Specify the maximum size of the leader head (if any) in pixels. This \n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n"},
  {(char*)"GetMaximumLeaderGlyphSizeMaxValue",                (PyCFunction)PyvtkCaptionActor2D_GetMaximumLeaderGlyphSizeMaxValue, 1,
   (char*)"V.GetMaximumLeaderGlyphSizeMaxValue() -> int\nC++: int GetMaximumLeaderGlyphSizeMaxValue ();\n\n Specify the maximum size of the leader head (if any) in pixels. This \n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n"},
  {(char*)"GetMaximumLeaderGlyphSize",                (PyCFunction)PyvtkCaptionActor2D_GetMaximumLeaderGlyphSize, 1,
   (char*)"V.GetMaximumLeaderGlyphSize() -> int\nC++: int GetMaximumLeaderGlyphSize ();\n\n Specify the maximum size of the leader head (if any) in pixels. This \n is used in conjunction with LeaderGlyphSize to cap the maximum size of\n the LeaderGlyph.\n"},
  {(char*)"SetPadding",                (PyCFunction)PyvtkCaptionActor2D_SetPadding, 1,
   (char*)"V.SetPadding(int)\nC++: void SetPadding (int );\n\n Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n"},
  {(char*)"GetPaddingMinValue",                (PyCFunction)PyvtkCaptionActor2D_GetPaddingMinValue, 1,
   (char*)"V.GetPaddingMinValue() -> int\nC++: int GetPaddingMinValue ();\n\n Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n"},
  {(char*)"GetPaddingMaxValue",                (PyCFunction)PyvtkCaptionActor2D_GetPaddingMaxValue, 1,
   (char*)"V.GetPaddingMaxValue() -> int\nC++: int GetPaddingMaxValue ();\n\n Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n"},
  {(char*)"GetPadding",                (PyCFunction)PyvtkCaptionActor2D_GetPadding, 1,
   (char*)"V.GetPadding() -> int\nC++: int GetPadding ();\n\n Set/Get the padding between the caption and the border. The value\n is specified in pixels.\n"},
  {(char*)"GetTextActor",                (PyCFunction)PyvtkCaptionActor2D_GetTextActor, 1,
   (char*)"V.GetTextActor() -> vtkTextActor\nC++: vtkTextActor *GetTextActor ();\n\n Get the text actor used by the caption. This is useful if you want to control\n justification and other characteristics of the text actor.\n"},
  {(char*)"SetCaptionTextProperty",                (PyCFunction)PyvtkCaptionActor2D_SetCaptionTextProperty, 1,
   (char*)"V.SetCaptionTextProperty(vtkTextProperty)\nC++: virtual void SetCaptionTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetCaptionTextProperty",                (PyCFunction)PyvtkCaptionActor2D_GetCaptionTextProperty, 1,
   (char*)"V.GetCaptionTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetCaptionTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkCaptionActor2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this scaled text actor. Overloads the virtual\n vtkProp method.\n"},
  {(char*)"SetAttachEdgeOnly",                (PyCFunction)PyvtkCaptionActor2D_SetAttachEdgeOnly, 1,
   (char*)"V.SetAttachEdgeOnly(int)\nC++: void SetAttachEdgeOnly (int );\n\n Enable/disable whether to attach the arrow only to the edge, \n NOT the vertices of the caption border.\n"},
  {(char*)"GetAttachEdgeOnly",                (PyCFunction)PyvtkCaptionActor2D_GetAttachEdgeOnly, 1,
   (char*)"V.GetAttachEdgeOnly() -> int\nC++: int GetAttachEdgeOnly ();\n\n Enable/disable whether to attach the arrow only to the edge, \n NOT the vertices of the caption border.\n"},
  {(char*)"AttachEdgeOnlyOn",                (PyCFunction)PyvtkCaptionActor2D_AttachEdgeOnlyOn, 1,
   (char*)"V.AttachEdgeOnlyOn()\nC++: void AttachEdgeOnlyOn ();\n\n Enable/disable whether to attach the arrow only to the edge, \n NOT the vertices of the caption border.\n"},
  {(char*)"AttachEdgeOnlyOff",                (PyCFunction)PyvtkCaptionActor2D_AttachEdgeOnlyOff, 1,
   (char*)"V.AttachEdgeOnlyOff()\nC++: void AttachEdgeOnlyOff ();\n\n Enable/disable whether to attach the arrow only to the edge, \n NOT the vertices of the caption border.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCaptionActor2DDoc[] = {
  (char*)"vtkCaptionActor2D - draw text label associated with a point\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkCaptionActor2D is a hybrid 2D/3D actor that is used to associate text \n with a point (the AttachmentPoint) in the scene. The caption can be \n drawn with a rectangular border and a leader connecting \n the caption to the attachment point. Optionally, the leader can be \n glyphed at its endpoint to create arrow heads or other indicators.\n \n To use the caption actor, you normally specify the Positi",
  (char*)"on and Position2\n coordinates (these are inherited from the vtkActor2D superclass). (Note\n that Position2 can be set using vtkActor2D's SetWidth() and SetHeight()\n methods.)  Position and Position2 define the size of the caption, and a\n third point, the AttachmentPoint, defines a point that the caption is\n associated with.  You must also define the caption text, \n whether you want a border around ",
  (char*)"the caption, and whether you want a\n leader from the caption to the attachment point. The font attributes of \n the text can be set through the vtkTextProperty associated to this actor.\n You also indicate whether you want\n the leader to be 2D or 3D. (2D leaders are always drawn over the\n underlying geometry. 3D leaders may be occluded by the geometry.) The\n leader may also be terminated by an optio",
  (char*)"nal glyph (e.g., arrow).\n\n The trickiest part about using this class is setting Position, Position2,\n and AttachmentPoint correctly. These instance variables are\n vtkCoordinates, and can be set up in various ways. In default usage, the\n AttachmentPoint is defined in the world coordinate system, Position is the\n lower-left corner of the caption and relative to AttachmentPoint (defined\n in display c",
  (char*)"oordaintes, i.e., pixels), and Position2 is relative to\n Position and is the upper-right corner (also in display\n coordinates). However, the user has full control over the coordinates, and\n can do things like place the caption in a fixed position in the renderer,\n with the leader moving with the AttachmentPoint.\n\n",
  "See Also:\n\n vtkLegendBoxActor vtkTextMapper vtkTextActor vtkTextProperty\n vtkCoordinate\n\n",
  NULL
};

static vtkObjectBase *vtkCaptionActor2DStaticNew()
{
  return vtkCaptionActor2D::New();
}

PyObject *PyVTKClass_vtkCaptionActor2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkCaptionActor2DStaticNew,
                        PyvtkCaptionActor2DMethods,
                        (char*)"vtkCaptionActor2D",modulename,
                        (char**)vtkCaptionActor2DDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

