// tcl wrapper for vtkCornerAnnotation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCornerAnnotation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCornerAnnotationNewCommand()
{
  vtkCornerAnnotation *temp = vtkCornerAnnotation::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCornerAnnotationCppCommand(vtkCornerAnnotation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCornerAnnotationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCornerAnnotationCppCommand(static_cast<vtkCornerAnnotation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCornerAnnotationCppCommand(vtkCornerAnnotation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCornerAnnotation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCornerAnnotation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCornerAnnotation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCornerAnnotation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCornerAnnotation");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCornerAnnotation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCornerAnnotation");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLineHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLineHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLineHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumLineHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearFontScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLinearFontScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLinearFontScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLinearFontScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonlinearFontScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNonlinearFontScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonlinearFontScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNonlinearFontScaleFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetText",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetText(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetText(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearAllTexts",argv[1]))&&(argc == 2))
    {
    op->ClearAllTexts();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAllTextsFrom",argv[1]))&&(argc == 3))
    {
    vtkCornerAnnotation  *temp0;
    error = 0;

    temp0 = (vtkCornerAnnotation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCornerAnnotation"),interp,error));
    if (!error)
    {
    op->CopyAllTextsFrom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageActor",argv[1]))&&(argc == 3))
    {
    vtkImageActor  *temp0;
    error = 0;

    temp0 = (vtkImageActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageActor"),interp,error));
    if (!error)
    {
    op->SetImageActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageActor",argv[1]))&&(argc == 2))
    {
    vtkImageActor  *temp20;
    temp20 = (op)->GetImageActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageActor");
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevel",argv[1]))&&(argc == 3))
    {
    vtkImageMapToWindowLevelColors  *temp0;
    error = 0;

    temp0 = (vtkImageMapToWindowLevelColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageMapToWindowLevelColors"),interp,error));
    if (!error)
    {
    op->SetWindowLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowLevel",argv[1]))&&(argc == 2))
    {
    vtkImageMapToWindowLevelColors  *temp20;
    temp20 = (op)->GetWindowLevel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapToWindowLevelColors");
    return TCL_OK;
    }
  if ((!strcmp("SetLevelShift",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLevelShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevelShift();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevelScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLevelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevelScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevelScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("ShowSliceAndImageOn",argv[1]))&&(argc == 2))
    {
    op->ShowSliceAndImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowSliceAndImageOff",argv[1]))&&(argc == 2))
    {
    op->ShowSliceAndImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShowSliceAndImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowSliceAndImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowSliceAndImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowSliceAndImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCornerAnnotationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCornerAnnotation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLineHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLineHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearFontScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLinearFontScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetNonlinearFontScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonlinearFontScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetText\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearAllTexts\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllTextsFrom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageActor\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelShift\n",NULL);
    Tcl_AppendResult(interp,"  SetLevelScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevelScale\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  ShowSliceAndImageOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowSliceAndImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShowSliceAndImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowSliceAndImage\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLineHeight" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLineHeight" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetLinearFontScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLinearFontScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "SetNonlinearFontScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "GetNonlinearFontScaleFactor" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetText" );
    Tcl_DStringAppendElement ( &dString, "GetText" );
    Tcl_DStringAppendElement ( &dString, "ClearAllTexts" );
    Tcl_DStringAppendElement ( &dString, "CopyAllTextsFrom" );
    Tcl_DStringAppendElement ( &dString, "SetImageActor" );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "SetLevelShift" );
    Tcl_DStringAppendElement ( &dString, "GetLevelShift" );
    Tcl_DStringAppendElement ( &dString, "SetLevelScale" );
    Tcl_DStringAppendElement ( &dString, "GetLevelScale" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "ShowSliceAndImageOn" );
    Tcl_DStringAppendElement ( &dString, "ShowSliceAndImageOff" );
    Tcl_DStringAppendElement ( &dString, "SetShowSliceAndImage" );
    Tcl_DStringAppendElement ( &dString, "GetShowSliceAndImage" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with a rectangle in normaled view coordinates\n of (0.2,0.85, 0.8, 0.95).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCornerAnnotation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumLineHeight */
    if ( strcmp ( argv[2], "SetMaximumLineHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumLineHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumLineHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum height of a line of text as a \n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumLineHeight (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetMaximumLineHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumLineHeight */
    if ( strcmp ( argv[2], "GetMaximumLineHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumLineHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumLineHeight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum height of a line of text as a \n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumLineHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetMaximumLineHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumFontSize */
    if ( strcmp ( argv[2], "SetMinimumFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum size font that will be shown.\n If the font drops below the minimum size it will not be rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumFontSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetMinimumFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumFontSize */
    if ( strcmp ( argv[2], "GetMinimumFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum size font that will be shown.\n If the font drops below the minimum size it will not be rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinimumFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetMinimumFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumFontSize */
    if ( strcmp ( argv[2], "SetMaximumFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum size font that will be shown.\n If the font drops below the minimum size it will not be rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumFontSize (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetMaximumFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumFontSize */
    if ( strcmp ( argv[2], "GetMaximumFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum size font that will be shown.\n If the font drops below the minimum size it will not be rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumFontSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetMaximumFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearFontScaleFactor */
    if ( strcmp ( argv[2], "SetLinearFontScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearFontScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearFontScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get font scaling factors\n The font size, f, is calculated as the largest possible value\n such that the annotations for the given viewport do not overlap. \n This font size is scaled non-linearly with the viewport size,\n to maintain an acceptable readable size at larger viewport sizes, \n without being too big.\n f' = linearScale * pow(f,nonlinearScale)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearFontScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetLinearFontScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinearFontScaleFactor */
    if ( strcmp ( argv[2], "GetLinearFontScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinearFontScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinearFontScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get font scaling factors\n The font size, f, is calculated as the largest possible value\n such that the annotations for the given viewport do not overlap. \n This font size is scaled non-linearly with the viewport size,\n to maintain an acceptable readable size at larger viewport sizes, \n without being too big.\n f' = linearScale * pow(f,nonlinearScale)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLinearFontScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetLinearFontScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNonlinearFontScaleFactor */
    if ( strcmp ( argv[2], "SetNonlinearFontScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNonlinearFontScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNonlinearFontScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get font scaling factors\n The font size, f, is calculated as the largest possible value\n such that the annotations for the given viewport do not overlap. \n This font size is scaled non-linearly with the viewport size,\n to maintain an acceptable readable size at larger viewport sizes, \n without being too big.\n f' = linearScale * pow(f,nonlinearScale)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNonlinearFontScaleFactor (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetNonlinearFontScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNonlinearFontScaleFactor */
    if ( strcmp ( argv[2], "GetNonlinearFontScaleFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNonlinearFontScaleFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNonlinearFontScaleFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get font scaling factors\n The font size, f, is calculated as the largest possible value\n such that the annotations for the given viewport do not overlap. \n This font size is scaled non-linearly with the viewport size,\n to maintain an acceptable readable size at larger viewport sizes, \n without being too big.\n f' = linearScale * pow(f,nonlinearScale)\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNonlinearFontScaleFactor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetNonlinearFontScaleFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetText */
    if ( strcmp ( argv[2], "SetText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetText */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text to be displayed for each corner\n" );
    Tcl_DStringAppendElement ( &dString, "void SetText (int i, const char *text);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetText */
    if ( strcmp ( argv[2], "GetText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetText */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text to be displayed for each corner\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetText (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearAllTexts */
    if ( strcmp ( argv[2], "ClearAllTexts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearAllTexts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearAllTexts */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text to be displayed for each corner\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearAllTexts ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for ClearAllTexts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAllTextsFrom */
    if ( strcmp ( argv[2], "CopyAllTextsFrom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAllTextsFrom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAllTextsFrom */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text to be displayed for each corner\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyAllTextsFrom (vtkCornerAnnotation *ca);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for CopyAllTextsFrom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageActor */
    if ( strcmp ( argv[2], "SetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageActor */
    Tcl_DStringAppendElement ( &dString, " Set an image actor to look at for slice information\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageActor (vtkImageActor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageActor */
    if ( strcmp ( argv[2], "GetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageActor */
    Tcl_DStringAppendElement ( &dString, " Set an image actor to look at for slice information\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor *GetImageActor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowLevel */
    if ( strcmp ( argv[2], "SetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToWindowLevelColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set an instance of vtkImageMapToWindowLevelColors to use for\n looking at window level changes\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowLevel (vtkImageMapToWindowLevelColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevel */
    if ( strcmp ( argv[2], "GetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set an instance of vtkImageMapToWindowLevelColors to use for\n looking at window level changes\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToWindowLevelColors *GetWindowLevel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelShift */
    if ( strcmp ( argv[2], "SetLevelShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelShift */
    Tcl_DStringAppendElement ( &dString, " Set the value to shift the level by.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelShift (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetLevelShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelShift */
    if ( strcmp ( argv[2], "GetLevelShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelShift */
    Tcl_DStringAppendElement ( &dString, " Set the value to shift the level by.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLevelShift ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetLevelShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLevelScale */
    if ( strcmp ( argv[2], "SetLevelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLevelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLevelScale */
    Tcl_DStringAppendElement ( &dString, " Set the value to scale the level by.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLevelScale (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetLevelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevelScale */
    if ( strcmp ( argv[2], "GetLevelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevelScale */
    Tcl_DStringAppendElement ( &dString, " Set the value to scale the level by.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLevelScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetLevelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property of all corners.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property of all corners.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowSliceAndImageOn */
    if ( strcmp ( argv[2], "ShowSliceAndImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowSliceAndImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowSliceAndImageOn */
    Tcl_DStringAppendElement ( &dString, " Even if there is an image actor, should <slice> and <image> be displayed?\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowSliceAndImageOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for ShowSliceAndImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowSliceAndImageOff */
    if ( strcmp ( argv[2], "ShowSliceAndImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowSliceAndImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowSliceAndImageOff */
    Tcl_DStringAppendElement ( &dString, " Even if there is an image actor, should <slice> and <image> be displayed?\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowSliceAndImageOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for ShowSliceAndImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowSliceAndImage */
    if ( strcmp ( argv[2], "SetShowSliceAndImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowSliceAndImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowSliceAndImage */
    Tcl_DStringAppendElement ( &dString, " Even if there is an image actor, should <slice> and <image> be displayed?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowSliceAndImage (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for SetShowSliceAndImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowSliceAndImage */
    if ( strcmp ( argv[2], "GetShowSliceAndImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowSliceAndImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowSliceAndImage */
    Tcl_DStringAppendElement ( &dString, " Even if there is an image actor, should <slice> and <image> be displayed?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowSliceAndImage ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCornerAnnotation" );
    /* Closing for GetShowSliceAndImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
