// python wrapper for vtkCubeAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCubeAxesActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCubeAxesActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCubeAxesActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }

static PyObject *PyvtkCubeAxesActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  const char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkCubeAxesActor  *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCubeAxesActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCubeAxesActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_RenderTranslucentGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::RenderTranslucentGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double  *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkCamera  *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyMode(temp0);
      }
    else
      {
      op->SetFlyMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetFlyModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetFlyModeMinValue();
      }
    else
      {
      temp20 = op->GetFlyModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetFlyModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetFlyModeMaxValue();
      }
    else
      {
      temp20 = op->GetFlyModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetFlyMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetFlyMode();
      }
    else
      {
      temp20 = op->GetFlyMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyModeToOuterEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyModeToOuterEdges();
      }
    else
      {
      op->SetFlyModeToOuterEdges();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyModeToClosestTriad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyModeToClosestTriad();
      }
    else
      {
      op->SetFlyModeToClosestTriad();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyModeToFurthestTriad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyModeToFurthestTriad();
      }
    else
      {
      op->SetFlyModeToFurthestTriad();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyModeToStaticTriad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyModeToStaticTriad();
      }
    else
      {
      op->SetFlyModeToStaticTriad();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetFlyModeToStaticEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetFlyModeToStaticEdges();
      }
    else
      {
      op->SetFlyModeToStaticEdges();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXTitle(temp0);
      }
    else
      {
      op->SetXTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXTitle();
      }
    else
      {
      temp20 = op->GetXTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXUnits(temp0);
      }
    else
      {
      op->SetXUnits(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXUnits();
      }
    else
      {
      temp20 = op->GetXUnits();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYTitle(temp0);
      }
    else
      {
      op->SetYTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYTitle();
      }
    else
      {
      temp20 = op->GetYTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYUnits(temp0);
      }
    else
      {
      op->SetYUnits(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYUnits();
      }
    else
      {
      temp20 = op->GetYUnits();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZTitle(temp0);
      }
    else
      {
      op->SetZTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZTitle();
      }
    else
      {
      temp20 = op->GetZTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZUnits(temp0);
      }
    else
      {
      op->SetZUnits(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZUnits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZUnits();
      }
    else
      {
      temp20 = op->GetZUnits();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXLabelFormat(temp0);
      }
    else
      {
      op->SetXLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXLabelFormat();
      }
    else
      {
      temp20 = op->GetXLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYLabelFormat(temp0);
      }
    else
      {
      op->SetYLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYLabelFormat();
      }
    else
      {
      temp20 = op->GetYLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZLabelFormat(temp0);
      }
    else
      {
      op->SetZLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  char    *temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZLabelFormat();
      }
    else
      {
      temp20 = op->GetZLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetInertia(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetInertia(temp0);
      }
    else
      {
      op->SetInertia(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetInertiaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetInertiaMinValue();
      }
    else
      {
      temp20 = op->GetInertiaMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetInertiaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetInertiaMaxValue();
      }
    else
      {
      temp20 = op->GetInertiaMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetInertia(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetInertia();
      }
    else
      {
      temp20 = op->GetInertia();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetCornerOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double   temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetCornerOffset(temp0);
      }
    else
      {
      op->SetCornerOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetCornerOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  double   temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetCornerOffset();
      }
    else
      {
      temp20 = op->GetCornerOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXAxisVisibility(temp0);
      }
    else
      {
      op->SetXAxisVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXAxisVisibility();
      }
    else
      {
      temp20 = op->GetXAxisVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisVisibilityOn();
      }
    else
      {
      op->XAxisVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisVisibilityOff();
      }
    else
      {
      op->XAxisVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYAxisVisibility(temp0);
      }
    else
      {
      op->SetYAxisVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYAxisVisibility();
      }
    else
      {
      temp20 = op->GetYAxisVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisVisibilityOn();
      }
    else
      {
      op->YAxisVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisVisibilityOff();
      }
    else
      {
      op->YAxisVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZAxisVisibility(temp0);
      }
    else
      {
      op->SetZAxisVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZAxisVisibility();
      }
    else
      {
      temp20 = op->GetZAxisVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisVisibilityOn();
      }
    else
      {
      op->ZAxisVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisVisibilityOff();
      }
    else
      {
      op->ZAxisVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXAxisLabelVisibility(temp0);
      }
    else
      {
      op->SetXAxisLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXAxisLabelVisibility();
      }
    else
      {
      temp20 = op->GetXAxisLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisLabelVisibilityOn();
      }
    else
      {
      op->XAxisLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisLabelVisibilityOff();
      }
    else
      {
      op->XAxisLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYAxisLabelVisibility(temp0);
      }
    else
      {
      op->SetYAxisLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYAxisLabelVisibility();
      }
    else
      {
      temp20 = op->GetYAxisLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisLabelVisibilityOn();
      }
    else
      {
      op->YAxisLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisLabelVisibilityOff();
      }
    else
      {
      op->YAxisLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZAxisLabelVisibility(temp0);
      }
    else
      {
      op->SetZAxisLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZAxisLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZAxisLabelVisibility();
      }
    else
      {
      temp20 = op->GetZAxisLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisLabelVisibilityOn();
      }
    else
      {
      op->ZAxisLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisLabelVisibilityOff();
      }
    else
      {
      op->ZAxisLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXAxisTickVisibility(temp0);
      }
    else
      {
      op->SetXAxisTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXAxisTickVisibility();
      }
    else
      {
      temp20 = op->GetXAxisTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisTickVisibilityOn();
      }
    else
      {
      op->XAxisTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisTickVisibilityOff();
      }
    else
      {
      op->XAxisTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYAxisTickVisibility(temp0);
      }
    else
      {
      op->SetYAxisTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYAxisTickVisibility();
      }
    else
      {
      temp20 = op->GetYAxisTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisTickVisibilityOn();
      }
    else
      {
      op->YAxisTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisTickVisibilityOff();
      }
    else
      {
      op->YAxisTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZAxisTickVisibility(temp0);
      }
    else
      {
      op->SetZAxisTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZAxisTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZAxisTickVisibility();
      }
    else
      {
      temp20 = op->GetZAxisTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisTickVisibilityOn();
      }
    else
      {
      op->ZAxisTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisTickVisibilityOff();
      }
    else
      {
      op->ZAxisTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetXAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetXAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->SetXAxisMinorTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetXAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetXAxisMinorTickVisibility();
      }
    else
      {
      temp20 = op->GetXAxisMinorTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisMinorTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisMinorTickVisibilityOn();
      }
    else
      {
      op->XAxisMinorTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_XAxisMinorTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::XAxisMinorTickVisibilityOff();
      }
    else
      {
      op->XAxisMinorTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetYAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetYAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->SetYAxisMinorTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetYAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetYAxisMinorTickVisibility();
      }
    else
      {
      temp20 = op->GetYAxisMinorTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisMinorTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisMinorTickVisibilityOn();
      }
    else
      {
      op->YAxisMinorTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_YAxisMinorTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::YAxisMinorTickVisibilityOff();
      }
    else
      {
      op->YAxisMinorTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetZAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetZAxisMinorTickVisibility(temp0);
      }
    else
      {
      op->SetZAxisMinorTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetZAxisMinorTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetZAxisMinorTickVisibility();
      }
    else
      {
      temp20 = op->GetZAxisMinorTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisMinorTickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisMinorTickVisibilityOn();
      }
    else
      {
      op->ZAxisMinorTickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ZAxisMinorTickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ZAxisMinorTickVisibilityOff();
      }
    else
      {
      op->ZAxisMinorTickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetDrawXGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetDrawXGridlines(temp0);
      }
    else
      {
      op->SetDrawXGridlines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetDrawXGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetDrawXGridlines();
      }
    else
      {
      temp20 = op->GetDrawXGridlines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawXGridlinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawXGridlinesOn();
      }
    else
      {
      op->DrawXGridlinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawXGridlinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawXGridlinesOff();
      }
    else
      {
      op->DrawXGridlinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetDrawYGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetDrawYGridlines(temp0);
      }
    else
      {
      op->SetDrawYGridlines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetDrawYGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetDrawYGridlines();
      }
    else
      {
      temp20 = op->GetDrawYGridlines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawYGridlinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawYGridlinesOn();
      }
    else
      {
      op->DrawYGridlinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawYGridlinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawYGridlinesOff();
      }
    else
      {
      op->DrawYGridlinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetDrawZGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetDrawZGridlines(temp0);
      }
    else
      {
      op->SetDrawZGridlines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetDrawZGridlines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetDrawZGridlines();
      }
    else
      {
      temp20 = op->GetDrawZGridlines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawZGridlinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawZGridlinesOn();
      }
    else
      {
      op->DrawZGridlinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_DrawZGridlinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::DrawZGridlinesOff();
      }
    else
      {
      op->DrawZGridlinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetTickLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetTickLocation(temp0);
      }
    else
      {
      op->SetTickLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetTickLocationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetTickLocationMinValue();
      }
    else
      {
      temp20 = op->GetTickLocationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetTickLocationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetTickLocationMaxValue();
      }
    else
      {
      temp20 = op->GetTickLocationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_GetTickLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  int      temp20;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCubeAxesActor::GetTickLocation();
      }
    else
      {
      temp20 = op->GetTickLocation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetTickLocationToInside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetTickLocationToInside();
      }
    else
      {
      op->SetTickLocationToInside();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetTickLocationToOutside(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetTickLocationToOutside();
      }
    else
      {
      op->SetTickLocationToOutside();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetTickLocationToBoth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetTickLocationToBoth();
      }
    else
      {
      op->SetTickLocationToBoth();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_SetLabelScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  bool   temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"biii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::SetLabelScaling(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetLabelScaling(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCubeAxesActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCubeAxesActor *op;

  vtkCubeAxesActor  *temp0;
  PyObject *tempH0;
  op = (vtkCubeAxesActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkCubeAxesActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCubeAxesActor");
    if (!temp0 && tempH0 != Py_None) goto break114;
    if (PyVTKClass_Check(self))
      {
      op->vtkCubeAxesActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break114:
  return NULL;
}

static PyMethodDef PyvtkCubeAxesActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCubeAxesActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCubeAxesActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCubeAxesActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCubeAxesActor\nC++: vtkCubeAxesActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCubeAxesActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCubeAxesActor\nC++: vtkCubeAxesActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCubeAxesActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n Draw the axes as per the vtkProp superclass' API.\n"},
  {(char*)"RenderTranslucentGeometry",                (PyCFunction)PyvtkCubeAxesActor_RenderTranslucentGeometry, 1,
   (char*)"V.RenderTranslucentGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentGeometry (vtkViewport *);return \n\n Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkCubeAxesActor_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double , double , double , double , double , double );\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double  a[6]);\n\n Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkCubeAxesActor_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\n\n Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkCubeAxesActor_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkCubeAxesActor_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor.\n"},
  {(char*)"SetFlyMode",                (PyCFunction)PyvtkCubeAxesActor_SetFlyMode, 1,
   (char*)"V.SetFlyMode(int)\nC++: void SetFlyMode (int );\n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"GetFlyModeMinValue",                (PyCFunction)PyvtkCubeAxesActor_GetFlyModeMinValue, 1,
   (char*)"V.GetFlyModeMinValue() -> int\nC++: int GetFlyModeMinValue ();\n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"GetFlyModeMaxValue",                (PyCFunction)PyvtkCubeAxesActor_GetFlyModeMaxValue, 1,
   (char*)"V.GetFlyModeMaxValue() -> int\nC++: int GetFlyModeMaxValue ();\n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"GetFlyMode",                (PyCFunction)PyvtkCubeAxesActor_GetFlyMode, 1,
   (char*)"V.GetFlyMode() -> int\nC++: int GetFlyMode ();\n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetFlyModeToOuterEdges",                (PyCFunction)PyvtkCubeAxesActor_SetFlyModeToOuterEdges, 1,
   (char*)"V.SetFlyModeToOuterEdges()\nC++: void SetFlyModeToOuterEdges ();this SetFlyMode VTK_FLY_OUTER_EDGES \n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetFlyModeToClosestTriad",                (PyCFunction)PyvtkCubeAxesActor_SetFlyModeToClosestTriad, 1,
   (char*)"V.SetFlyModeToClosestTriad()\nC++: void SetFlyModeToClosestTriad ();this SetFlyMode VTK_FLY_CLOSEST_TRIAD \n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetFlyModeToFurthestTriad",                (PyCFunction)PyvtkCubeAxesActor_SetFlyModeToFurthestTriad, 1,
   (char*)"V.SetFlyModeToFurthestTriad()\nC++: void SetFlyModeToFurthestTriad ();this SetFlyMode VTK_FLY_FURTHEST_TRIAD \n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetFlyModeToStaticTriad",                (PyCFunction)PyvtkCubeAxesActor_SetFlyModeToStaticTriad, 1,
   (char*)"V.SetFlyModeToStaticTriad()\nC++: void SetFlyModeToStaticTriad ();this SetFlyMode VTK_FLY_STATIC_TRIAD \n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetFlyModeToStaticEdges",                (PyCFunction)PyvtkCubeAxesActor_SetFlyModeToStaticEdges, 1,
   (char*)"V.SetFlyModeToStaticEdges()\nC++: void SetFlyModeToStaticEdges ();this SetFlyMode VTK_FLY_STATIC_EDGES \n\n Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n"},
  {(char*)"SetXTitle",                (PyCFunction)PyvtkCubeAxesActor_SetXTitle, 1,
   (char*)"V.SetXTitle(string)\nC++: void SetXTitle (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetXTitle",                (PyCFunction)PyvtkCubeAxesActor_GetXTitle, 1,
   (char*)"V.GetXTitle() -> string\nC++: char *GetXTitle ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetXUnits",                (PyCFunction)PyvtkCubeAxesActor_SetXUnits, 1,
   (char*)"V.SetXUnits(string)\nC++: void SetXUnits (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetXUnits",                (PyCFunction)PyvtkCubeAxesActor_GetXUnits, 1,
   (char*)"V.GetXUnits() -> string\nC++: char *GetXUnits ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetYTitle",                (PyCFunction)PyvtkCubeAxesActor_SetYTitle, 1,
   (char*)"V.SetYTitle(string)\nC++: void SetYTitle (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetYTitle",                (PyCFunction)PyvtkCubeAxesActor_GetYTitle, 1,
   (char*)"V.GetYTitle() -> string\nC++: char *GetYTitle ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetYUnits",                (PyCFunction)PyvtkCubeAxesActor_SetYUnits, 1,
   (char*)"V.SetYUnits(string)\nC++: void SetYUnits (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetYUnits",                (PyCFunction)PyvtkCubeAxesActor_GetYUnits, 1,
   (char*)"V.GetYUnits() -> string\nC++: char *GetYUnits ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetZTitle",                (PyCFunction)PyvtkCubeAxesActor_SetZTitle, 1,
   (char*)"V.SetZTitle(string)\nC++: void SetZTitle (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetZTitle",                (PyCFunction)PyvtkCubeAxesActor_GetZTitle, 1,
   (char*)"V.GetZTitle() -> string\nC++: char *GetZTitle ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetZUnits",                (PyCFunction)PyvtkCubeAxesActor_SetZUnits, 1,
   (char*)"V.SetZUnits(string)\nC++: void SetZUnits (char *);\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"GetZUnits",                (PyCFunction)PyvtkCubeAxesActor_GetZUnits, 1,
   (char*)"V.GetZUnits() -> string\nC++: char *GetZUnits ();\n\n Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n"},
  {(char*)"SetXLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_SetXLabelFormat, 1,
   (char*)"V.SetXLabelFormat(string)\nC++: void SetXLabelFormat (char *);\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"GetXLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_GetXLabelFormat, 1,
   (char*)"V.GetXLabelFormat() -> string\nC++: char *GetXLabelFormat ();\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"SetYLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_SetYLabelFormat, 1,
   (char*)"V.SetYLabelFormat(string)\nC++: void SetYLabelFormat (char *);\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"GetYLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_GetYLabelFormat, 1,
   (char*)"V.GetYLabelFormat() -> string\nC++: char *GetYLabelFormat ();\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"SetZLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_SetZLabelFormat, 1,
   (char*)"V.SetZLabelFormat(string)\nC++: void SetZLabelFormat (char *);\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"GetZLabelFormat",                (PyCFunction)PyvtkCubeAxesActor_GetZLabelFormat, 1,
   (char*)"V.GetZLabelFormat() -> string\nC++: char *GetZLabelFormat ();\n\n Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n"},
  {(char*)"SetInertia",                (PyCFunction)PyvtkCubeAxesActor_SetInertia, 1,
   (char*)"V.SetInertia(int)\nC++: void SetInertia (int );\n\n Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n"},
  {(char*)"GetInertiaMinValue",                (PyCFunction)PyvtkCubeAxesActor_GetInertiaMinValue, 1,
   (char*)"V.GetInertiaMinValue() -> int\nC++: int GetInertiaMinValue ();\n\n Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n"},
  {(char*)"GetInertiaMaxValue",                (PyCFunction)PyvtkCubeAxesActor_GetInertiaMaxValue, 1,
   (char*)"V.GetInertiaMaxValue() -> int\nC++: int GetInertiaMaxValue ();\n\n Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n"},
  {(char*)"GetInertia",                (PyCFunction)PyvtkCubeAxesActor_GetInertia, 1,
   (char*)"V.GetInertia() -> int\nC++: int GetInertia ();\n\n Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n"},
  {(char*)"SetCornerOffset",                (PyCFunction)PyvtkCubeAxesActor_SetCornerOffset, 1,
   (char*)"V.SetCornerOffset(float)\nC++: void SetCornerOffset (double );\n\n Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n"},
  {(char*)"GetCornerOffset",                (PyCFunction)PyvtkCubeAxesActor_GetCornerOffset, 1,
   (char*)"V.GetCornerOffset() -> float\nC++: double GetCornerOffset ();\n\n Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCubeAxesActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"SetXAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetXAxisVisibility, 1,
   (char*)"V.SetXAxisVisibility(int)\nC++: void SetXAxisVisibility (int );\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"GetXAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetXAxisVisibility, 1,
   (char*)"V.GetXAxisVisibility() -> int\nC++: int GetXAxisVisibility ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"XAxisVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_XAxisVisibilityOn, 1,
   (char*)"V.XAxisVisibilityOn()\nC++: void XAxisVisibilityOn ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"XAxisVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_XAxisVisibilityOff, 1,
   (char*)"V.XAxisVisibilityOff()\nC++: void XAxisVisibilityOff ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"SetYAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetYAxisVisibility, 1,
   (char*)"V.SetYAxisVisibility(int)\nC++: void SetYAxisVisibility (int );\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"GetYAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetYAxisVisibility, 1,
   (char*)"V.GetYAxisVisibility() -> int\nC++: int GetYAxisVisibility ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"YAxisVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_YAxisVisibilityOn, 1,
   (char*)"V.YAxisVisibilityOn()\nC++: void YAxisVisibilityOn ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"YAxisVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_YAxisVisibilityOff, 1,
   (char*)"V.YAxisVisibilityOff()\nC++: void YAxisVisibilityOff ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"SetZAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetZAxisVisibility, 1,
   (char*)"V.SetZAxisVisibility(int)\nC++: void SetZAxisVisibility (int );\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"GetZAxisVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetZAxisVisibility, 1,
   (char*)"V.GetZAxisVisibility() -> int\nC++: int GetZAxisVisibility ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"ZAxisVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_ZAxisVisibilityOn, 1,
   (char*)"V.ZAxisVisibilityOn()\nC++: void ZAxisVisibilityOn ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"ZAxisVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_ZAxisVisibilityOff, 1,
   (char*)"V.ZAxisVisibilityOff()\nC++: void ZAxisVisibilityOff ();\n\n Turn on and off the visibility of each axis.\n"},
  {(char*)"SetXAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetXAxisLabelVisibility, 1,
   (char*)"V.SetXAxisLabelVisibility(int)\nC++: void SetXAxisLabelVisibility (int );\n\n Turn on and off the visibility of labels for each axis.\n"},
  {(char*)"GetXAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetXAxisLabelVisibility, 1,
   (char*)"V.GetXAxisLabelVisibility() -> int\nC++: int GetXAxisLabelVisibility ();\n\n Turn on and off the visibility of labels for each axis.\n"},
  {(char*)"XAxisLabelVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_XAxisLabelVisibilityOn, 1,
   (char*)"V.XAxisLabelVisibilityOn()\nC++: void XAxisLabelVisibilityOn ();\n\n Turn on and off the visibility of labels for each axis.\n"},
  {(char*)"XAxisLabelVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_XAxisLabelVisibilityOff, 1,
   (char*)"V.XAxisLabelVisibilityOff()\nC++: void XAxisLabelVisibilityOff ();\n\n Turn on and off the visibility of labels for each axis.\n"},
  {(char*)"SetYAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetYAxisLabelVisibility, 1,
   (char*)"V.SetYAxisLabelVisibility(int)\nC++: void SetYAxisLabelVisibility (int );\n\n"},
  {(char*)"GetYAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetYAxisLabelVisibility, 1,
   (char*)"V.GetYAxisLabelVisibility() -> int\nC++: int GetYAxisLabelVisibility ();\n\n"},
  {(char*)"YAxisLabelVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_YAxisLabelVisibilityOn, 1,
   (char*)"V.YAxisLabelVisibilityOn()\nC++: void YAxisLabelVisibilityOn ();\n\n"},
  {(char*)"YAxisLabelVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_YAxisLabelVisibilityOff, 1,
   (char*)"V.YAxisLabelVisibilityOff()\nC++: void YAxisLabelVisibilityOff ();\n\n"},
  {(char*)"SetZAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetZAxisLabelVisibility, 1,
   (char*)"V.SetZAxisLabelVisibility(int)\nC++: void SetZAxisLabelVisibility (int );\n\n"},
  {(char*)"GetZAxisLabelVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetZAxisLabelVisibility, 1,
   (char*)"V.GetZAxisLabelVisibility() -> int\nC++: int GetZAxisLabelVisibility ();\n\n"},
  {(char*)"ZAxisLabelVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_ZAxisLabelVisibilityOn, 1,
   (char*)"V.ZAxisLabelVisibilityOn()\nC++: void ZAxisLabelVisibilityOn ();\n\n"},
  {(char*)"ZAxisLabelVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_ZAxisLabelVisibilityOff, 1,
   (char*)"V.ZAxisLabelVisibilityOff()\nC++: void ZAxisLabelVisibilityOff ();\n\n"},
  {(char*)"SetXAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetXAxisTickVisibility, 1,
   (char*)"V.SetXAxisTickVisibility(int)\nC++: void SetXAxisTickVisibility (int );\n\n Turn on and off the visibility of ticks for each axis.\n"},
  {(char*)"GetXAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetXAxisTickVisibility, 1,
   (char*)"V.GetXAxisTickVisibility() -> int\nC++: int GetXAxisTickVisibility ();\n\n Turn on and off the visibility of ticks for each axis.\n"},
  {(char*)"XAxisTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_XAxisTickVisibilityOn, 1,
   (char*)"V.XAxisTickVisibilityOn()\nC++: void XAxisTickVisibilityOn ();\n\n Turn on and off the visibility of ticks for each axis.\n"},
  {(char*)"XAxisTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_XAxisTickVisibilityOff, 1,
   (char*)"V.XAxisTickVisibilityOff()\nC++: void XAxisTickVisibilityOff ();\n\n Turn on and off the visibility of ticks for each axis.\n"},
  {(char*)"SetYAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetYAxisTickVisibility, 1,
   (char*)"V.SetYAxisTickVisibility(int)\nC++: void SetYAxisTickVisibility (int );\n\n"},
  {(char*)"GetYAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetYAxisTickVisibility, 1,
   (char*)"V.GetYAxisTickVisibility() -> int\nC++: int GetYAxisTickVisibility ();\n\n"},
  {(char*)"YAxisTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_YAxisTickVisibilityOn, 1,
   (char*)"V.YAxisTickVisibilityOn()\nC++: void YAxisTickVisibilityOn ();\n\n"},
  {(char*)"YAxisTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_YAxisTickVisibilityOff, 1,
   (char*)"V.YAxisTickVisibilityOff()\nC++: void YAxisTickVisibilityOff ();\n\n"},
  {(char*)"SetZAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetZAxisTickVisibility, 1,
   (char*)"V.SetZAxisTickVisibility(int)\nC++: void SetZAxisTickVisibility (int );\n\n"},
  {(char*)"GetZAxisTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetZAxisTickVisibility, 1,
   (char*)"V.GetZAxisTickVisibility() -> int\nC++: int GetZAxisTickVisibility ();\n\n"},
  {(char*)"ZAxisTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_ZAxisTickVisibilityOn, 1,
   (char*)"V.ZAxisTickVisibilityOn()\nC++: void ZAxisTickVisibilityOn ();\n\n"},
  {(char*)"ZAxisTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_ZAxisTickVisibilityOff, 1,
   (char*)"V.ZAxisTickVisibilityOff()\nC++: void ZAxisTickVisibilityOff ();\n\n"},
  {(char*)"SetXAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetXAxisMinorTickVisibility, 1,
   (char*)"V.SetXAxisMinorTickVisibility(int)\nC++: void SetXAxisMinorTickVisibility (int );\n\n Turn on and off the visibility of minor ticks for each axis.\n"},
  {(char*)"GetXAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetXAxisMinorTickVisibility, 1,
   (char*)"V.GetXAxisMinorTickVisibility() -> int\nC++: int GetXAxisMinorTickVisibility ();\n\n Turn on and off the visibility of minor ticks for each axis.\n"},
  {(char*)"XAxisMinorTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_XAxisMinorTickVisibilityOn, 1,
   (char*)"V.XAxisMinorTickVisibilityOn()\nC++: void XAxisMinorTickVisibilityOn ();\n\n Turn on and off the visibility of minor ticks for each axis.\n"},
  {(char*)"XAxisMinorTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_XAxisMinorTickVisibilityOff, 1,
   (char*)"V.XAxisMinorTickVisibilityOff()\nC++: void XAxisMinorTickVisibilityOff ();\n\n Turn on and off the visibility of minor ticks for each axis.\n"},
  {(char*)"SetYAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetYAxisMinorTickVisibility, 1,
   (char*)"V.SetYAxisMinorTickVisibility(int)\nC++: void SetYAxisMinorTickVisibility (int );\n\n"},
  {(char*)"GetYAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetYAxisMinorTickVisibility, 1,
   (char*)"V.GetYAxisMinorTickVisibility() -> int\nC++: int GetYAxisMinorTickVisibility ();\n\n"},
  {(char*)"YAxisMinorTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_YAxisMinorTickVisibilityOn, 1,
   (char*)"V.YAxisMinorTickVisibilityOn()\nC++: void YAxisMinorTickVisibilityOn ();\n\n"},
  {(char*)"YAxisMinorTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_YAxisMinorTickVisibilityOff, 1,
   (char*)"V.YAxisMinorTickVisibilityOff()\nC++: void YAxisMinorTickVisibilityOff ();\n\n"},
  {(char*)"SetZAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_SetZAxisMinorTickVisibility, 1,
   (char*)"V.SetZAxisMinorTickVisibility(int)\nC++: void SetZAxisMinorTickVisibility (int );\n\n"},
  {(char*)"GetZAxisMinorTickVisibility",                (PyCFunction)PyvtkCubeAxesActor_GetZAxisMinorTickVisibility, 1,
   (char*)"V.GetZAxisMinorTickVisibility() -> int\nC++: int GetZAxisMinorTickVisibility ();\n\n"},
  {(char*)"ZAxisMinorTickVisibilityOn",                (PyCFunction)PyvtkCubeAxesActor_ZAxisMinorTickVisibilityOn, 1,
   (char*)"V.ZAxisMinorTickVisibilityOn()\nC++: void ZAxisMinorTickVisibilityOn ();\n\n"},
  {(char*)"ZAxisMinorTickVisibilityOff",                (PyCFunction)PyvtkCubeAxesActor_ZAxisMinorTickVisibilityOff, 1,
   (char*)"V.ZAxisMinorTickVisibilityOff()\nC++: void ZAxisMinorTickVisibilityOff ();\n\n"},
  {(char*)"SetDrawXGridlines",                (PyCFunction)PyvtkCubeAxesActor_SetDrawXGridlines, 1,
   (char*)"V.SetDrawXGridlines(int)\nC++: void SetDrawXGridlines (int );\n\n"},
  {(char*)"GetDrawXGridlines",                (PyCFunction)PyvtkCubeAxesActor_GetDrawXGridlines, 1,
   (char*)"V.GetDrawXGridlines() -> int\nC++: int GetDrawXGridlines ();\n\n"},
  {(char*)"DrawXGridlinesOn",                (PyCFunction)PyvtkCubeAxesActor_DrawXGridlinesOn, 1,
   (char*)"V.DrawXGridlinesOn()\nC++: void DrawXGridlinesOn ();\n\n"},
  {(char*)"DrawXGridlinesOff",                (PyCFunction)PyvtkCubeAxesActor_DrawXGridlinesOff, 1,
   (char*)"V.DrawXGridlinesOff()\nC++: void DrawXGridlinesOff ();\n\n"},
  {(char*)"SetDrawYGridlines",                (PyCFunction)PyvtkCubeAxesActor_SetDrawYGridlines, 1,
   (char*)"V.SetDrawYGridlines(int)\nC++: void SetDrawYGridlines (int );\n\n"},
  {(char*)"GetDrawYGridlines",                (PyCFunction)PyvtkCubeAxesActor_GetDrawYGridlines, 1,
   (char*)"V.GetDrawYGridlines() -> int\nC++: int GetDrawYGridlines ();\n\n"},
  {(char*)"DrawYGridlinesOn",                (PyCFunction)PyvtkCubeAxesActor_DrawYGridlinesOn, 1,
   (char*)"V.DrawYGridlinesOn()\nC++: void DrawYGridlinesOn ();\n\n"},
  {(char*)"DrawYGridlinesOff",                (PyCFunction)PyvtkCubeAxesActor_DrawYGridlinesOff, 1,
   (char*)"V.DrawYGridlinesOff()\nC++: void DrawYGridlinesOff ();\n\n"},
  {(char*)"SetDrawZGridlines",                (PyCFunction)PyvtkCubeAxesActor_SetDrawZGridlines, 1,
   (char*)"V.SetDrawZGridlines(int)\nC++: void SetDrawZGridlines (int );\n\n"},
  {(char*)"GetDrawZGridlines",                (PyCFunction)PyvtkCubeAxesActor_GetDrawZGridlines, 1,
   (char*)"V.GetDrawZGridlines() -> int\nC++: int GetDrawZGridlines ();\n\n"},
  {(char*)"DrawZGridlinesOn",                (PyCFunction)PyvtkCubeAxesActor_DrawZGridlinesOn, 1,
   (char*)"V.DrawZGridlinesOn()\nC++: void DrawZGridlinesOn ();\n\n"},
  {(char*)"DrawZGridlinesOff",                (PyCFunction)PyvtkCubeAxesActor_DrawZGridlinesOff, 1,
   (char*)"V.DrawZGridlinesOff()\nC++: void DrawZGridlinesOff ();\n\n"},
  {(char*)"SetTickLocation",                (PyCFunction)PyvtkCubeAxesActor_SetTickLocation, 1,
   (char*)"V.SetTickLocation(int)\nC++: void SetTickLocation (int );\n\n Set/Get the location of ticks marks. \n"},
  {(char*)"GetTickLocationMinValue",                (PyCFunction)PyvtkCubeAxesActor_GetTickLocationMinValue, 1,
   (char*)"V.GetTickLocationMinValue() -> int\nC++: int GetTickLocationMinValue ();\n\n Set/Get the location of ticks marks. \n"},
  {(char*)"GetTickLocationMaxValue",                (PyCFunction)PyvtkCubeAxesActor_GetTickLocationMaxValue, 1,
   (char*)"V.GetTickLocationMaxValue() -> int\nC++: int GetTickLocationMaxValue ();\n\n Set/Get the location of ticks marks. \n"},
  {(char*)"GetTickLocation",                (PyCFunction)PyvtkCubeAxesActor_GetTickLocation, 1,
   (char*)"V.GetTickLocation() -> int\nC++: int GetTickLocation ();\n\n Set/Get the location of ticks marks. \n"},
  {(char*)"SetTickLocationToInside",                (PyCFunction)PyvtkCubeAxesActor_SetTickLocationToInside, 1,
   (char*)"V.SetTickLocationToInside()\nC++: void SetTickLocationToInside (void );this SetTickLocation VTK_TICKS_INSIDE \n\n"},
  {(char*)"SetTickLocationToOutside",                (PyCFunction)PyvtkCubeAxesActor_SetTickLocationToOutside, 1,
   (char*)"V.SetTickLocationToOutside()\nC++: void SetTickLocationToOutside (void );this SetTickLocation VTK_TICKS_OUTSIDE \n\n"},
  {(char*)"SetTickLocationToBoth",                (PyCFunction)PyvtkCubeAxesActor_SetTickLocationToBoth, 1,
   (char*)"V.SetTickLocationToBoth()\nC++: void SetTickLocationToBoth (void );this SetTickLocation VTK_TICKS_BOTH \n\n"},
  {(char*)"SetLabelScaling",                (PyCFunction)PyvtkCubeAxesActor_SetLabelScaling, 1,
   (char*)"V.SetLabelScaling(bool, int, int, int)\nC++: void SetLabelScaling (bool , int , int , int );\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkCubeAxesActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkCubeAxesActor)\nC++: void ShallowCopy (vtkCubeAxesActor *actor);\n\n Shallow copy of a KatCubeAxesActor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCubeAxesActorDoc[] = {
  (char*)"vtkCubeAxesActor - create a  plot of a bounding box edges - \n\n",
  "Super Class:\n\n vtkActor\n\n",
  (char*)" vtkCubeAxesActor is a composite actor that draws axes of the \n bounding box of an input dataset. The axes include labels and titles\n for the x-y-z axes. The algorithm selects which axes to draw based\n on the user-defined 'fly' mode.  (STATIC is default).\n 'STATIC' constructs axes from all edges of the bounding box.\n 'CLOSEST_TRIAD' consists of the three axes x-y-z forming a triad that \n lies clos",
  (char*)"est to the specified camera. \n 'FURTHEST_TRIAD' consists of the three axes x-y-z forming a triad that \n lies furthest from the specified camera. \n 'OUTER_EDGES' is constructed from edges that are on the \"exterior\" of the \n bounding box, exterior as determined from examining outer edges of the \n bounding box in projection (display) space. \n \n To use this object you must define a bounding box and th",
  (char*)"e camera used\n to render the vtkCubeAxesActor. You can optionally turn on/off labels,\n ticks, gridlines, and set tick location, number of labels, and text to\n use for axis-titles.  A 'corner offset' can also be set.  This allows \n the axes to be set partially away from the actual bounding box to perhaps\n prevent overlap of labels between the various axes.\n\n The Bounds instance variable (an array o",
  (char*)"f six doubles) is used to determine\n the bounding box.\n \n\n",
  "See Also:\n\n vtkActor vtkAxisActor vtkCubeAxesActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkCubeAxesActorStaticNew()
{
  return vtkCubeAxesActor::New();
}

PyObject *PyVTKClass_vtkCubeAxesActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCubeAxesActorStaticNew,
                        PyvtkCubeAxesActorMethods,
                        (char*)"vtkCubeAxesActor",modulename,
                        (char**)vtkCubeAxesActorDoc,
                        PyVTKClass_vtkActorNew(modulename));
}

