// tcl wrapper for vtkCubeAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCubeAxesActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCubeAxesActorNewCommand()
{
  vtkCubeAxesActor *temp = vtkCubeAxesActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCubeAxesActorCppCommand(vtkCubeAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCubeAxesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCubeAxesActorCppCommand(static_cast<vtkCubeAxesActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCubeAxesActorCppCommand(vtkCubeAxesActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCubeAxesActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCubeAxesActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCubeAxesActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCubeAxesActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCubeAxesActor");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetFlyMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFlyMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFlyModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFlyModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFlyMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlyMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToOuterEdges",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToOuterEdges();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToClosestTriad",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToClosestTriad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToFurthestTriad",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToFurthestTriad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToStaticTriad",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToStaticTriad();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlyModeToStaticEdges",argv[1]))&&(argc == 2))
    {
    op->SetFlyModeToStaticEdges();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXUnits",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXUnits",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXUnits();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYUnits",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYUnits",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYUnits();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZUnits",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZUnits",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZUnits();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetZLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetZLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInertia",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInertia(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInertiaMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertiaMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInertiaMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertiaMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInertia",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInertia();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCornerOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCornerOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->XAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->XAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->YAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->YAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ZAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ZAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXAxisLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXAxisLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXAxisLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XAxisLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->XAxisLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XAxisLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->XAxisLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYAxisLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYAxisLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YAxisLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->YAxisLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YAxisLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->YAxisLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZAxisLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZAxisLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ZAxisLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ZAxisLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXAxisTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXAxisTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXAxisTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XAxisTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->XAxisTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XAxisTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->XAxisTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYAxisTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYAxisTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YAxisTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->YAxisTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YAxisTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->YAxisTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZAxisTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZAxisTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ZAxisTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ZAxisTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXAxisMinorTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXAxisMinorTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXAxisMinorTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXAxisMinorTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XAxisMinorTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->XAxisMinorTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XAxisMinorTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->XAxisMinorTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisMinorTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYAxisMinorTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYAxisMinorTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYAxisMinorTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YAxisMinorTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->YAxisMinorTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YAxisMinorTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->YAxisMinorTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZAxisMinorTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZAxisMinorTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZAxisMinorTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZAxisMinorTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisMinorTickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ZAxisMinorTickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZAxisMinorTickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ZAxisMinorTickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawXGridlines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawXGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawXGridlines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawXGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawXGridlinesOn",argv[1]))&&(argc == 2))
    {
    op->DrawXGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawXGridlinesOff",argv[1]))&&(argc == 2))
    {
    op->DrawXGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawYGridlines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawYGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawYGridlines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawYGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawYGridlinesOn",argv[1]))&&(argc == 2))
    {
    op->DrawYGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawYGridlinesOff",argv[1]))&&(argc == 2))
    {
    op->DrawYGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawZGridlines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawZGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawZGridlines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawZGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawZGridlinesOn",argv[1]))&&(argc == 2))
    {
    op->DrawZGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawZGridlinesOff",argv[1]))&&(argc == 2))
    {
    op->DrawZGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickLocationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLocationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLocation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToInside",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToInside();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToOutside",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToOutside();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToBoth",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelScaling",argv[1]))&&(argc == 6))
    {
    bool   temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetLabelScaling(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkCubeAxesActor  *temp0;
    error = 0;

    temp0 = (vtkCubeAxesActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCubeAxesActor"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCubeAxesActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCubeAxesActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFlyMode\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToOuterEdges\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToClosestTriad\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToFurthestTriad\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToStaticTriad\n",NULL);
    Tcl_AppendResult(interp,"  SetFlyModeToStaticEdges\n",NULL);
    Tcl_AppendResult(interp,"  SetXTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetXUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXUnits\n",NULL);
    Tcl_AppendResult(interp,"  SetYTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetYUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYUnits\n",NULL);
    Tcl_AppendResult(interp,"  SetZTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetZUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZUnits\n",NULL);
    Tcl_AppendResult(interp,"  SetXLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetYLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetZLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetInertia\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInertiaMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInertiaMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInertia\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerOffset\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  XAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  XAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  YAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  YAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  XAxisLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  XAxisLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  YAxisLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  YAxisLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  XAxisTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  XAxisTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  YAxisTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  YAxisTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisMinorTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisMinorTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  XAxisMinorTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  XAxisMinorTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisMinorTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisMinorTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  YAxisMinorTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  YAxisMinorTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZAxisMinorTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZAxisMinorTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisMinorTickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ZAxisMinorTickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawXGridlines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawXGridlines\n",NULL);
    Tcl_AppendResult(interp,"  DrawXGridlinesOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawXGridlinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawYGridlines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawYGridlines\n",NULL);
    Tcl_AppendResult(interp,"  DrawYGridlinesOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawYGridlinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawZGridlines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawZGridlines\n",NULL);
    Tcl_AppendResult(interp,"  DrawZGridlinesOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawZGridlinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToInside\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToOutside\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelScaling\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetFlyMode" );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFlyMode" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToOuterEdges" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToClosestTriad" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToFurthestTriad" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToStaticTriad" );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToStaticEdges" );
    Tcl_DStringAppendElement ( &dString, "SetXTitle" );
    Tcl_DStringAppendElement ( &dString, "GetXTitle" );
    Tcl_DStringAppendElement ( &dString, "SetXUnits" );
    Tcl_DStringAppendElement ( &dString, "GetXUnits" );
    Tcl_DStringAppendElement ( &dString, "SetYTitle" );
    Tcl_DStringAppendElement ( &dString, "GetYTitle" );
    Tcl_DStringAppendElement ( &dString, "SetYUnits" );
    Tcl_DStringAppendElement ( &dString, "GetYUnits" );
    Tcl_DStringAppendElement ( &dString, "SetZTitle" );
    Tcl_DStringAppendElement ( &dString, "GetZTitle" );
    Tcl_DStringAppendElement ( &dString, "SetZUnits" );
    Tcl_DStringAppendElement ( &dString, "GetZUnits" );
    Tcl_DStringAppendElement ( &dString, "SetXLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetXLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetYLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetYLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetZLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetZLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetInertia" );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInertia" );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "XAxisLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "XAxisLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "YAxisLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "YAxisLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "ZAxisLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ZAxisLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "XAxisTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "XAxisTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "YAxisTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "YAxisTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "ZAxisTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ZAxisTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetXAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "XAxisMinorTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "XAxisMinorTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetYAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "YAxisMinorTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "YAxisMinorTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetZAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetZAxisMinorTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "ZAxisMinorTickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ZAxisMinorTickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawXGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawXGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawXGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawXGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawYGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawYGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawYGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawYGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawZGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawZGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawZGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawZGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetLabelScaling" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with label format \"6.3g\" and the number of labels \n per axis set to 3.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCubeAxesActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axes as per the vtkProp superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentGeometry */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentGeometry (vtkViewport *);return " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for RenderTranslucentGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds (double , double , double , double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds (double  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Explicitly specify the region in space around which to draw the bounds.\n The bounds is used only when no Input or Prop is specified. The bounds\n are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making\n sure that the min's are less than the max's.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera (vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to perform scaling and translation of the \n vtkCubeAxesActor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyMode */
    if ( strcmp ( argv[2], "SetFlyMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyMode */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyModeMinValue */
    if ( strcmp ( argv[2], "GetFlyModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetFlyModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyModeMaxValue */
    if ( strcmp ( argv[2], "GetFlyModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetFlyModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlyMode */
    if ( strcmp ( argv[2], "GetFlyMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlyMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlyMode */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFlyMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetFlyMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToOuterEdges */
    if ( strcmp ( argv[2], "SetFlyModeToOuterEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToOuterEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToOuterEdges */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToOuterEdges ();this SetFlyMode VTK_FLY_OUTER_EDGES " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyModeToOuterEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToClosestTriad */
    if ( strcmp ( argv[2], "SetFlyModeToClosestTriad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToClosestTriad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToClosestTriad */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToClosestTriad ();this SetFlyMode VTK_FLY_CLOSEST_TRIAD " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyModeToClosestTriad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToFurthestTriad */
    if ( strcmp ( argv[2], "SetFlyModeToFurthestTriad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToFurthestTriad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToFurthestTriad */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToFurthestTriad ();this SetFlyMode VTK_FLY_FURTHEST_TRIAD " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyModeToFurthestTriad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToStaticTriad */
    if ( strcmp ( argv[2], "SetFlyModeToStaticTriad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToStaticTriad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToStaticTriad */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToStaticTriad ();this SetFlyMode VTK_FLY_STATIC_TRIAD " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyModeToStaticTriad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFlyModeToStaticEdges */
    if ( strcmp ( argv[2], "SetFlyModeToStaticEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFlyModeToStaticEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFlyModeToStaticEdges */
    Tcl_DStringAppendElement ( &dString, " Specify a mode to control how the axes are drawn: either static, \n closest triad, furthest triad or outer edges in relation to the \n camera position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFlyModeToStaticEdges ();this SetFlyMode VTK_FLY_STATIC_EDGES " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetFlyModeToStaticEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXTitle */
    if ( strcmp ( argv[2], "SetXTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXTitle */
    if ( strcmp ( argv[2], "GetXTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXUnits */
    if ( strcmp ( argv[2], "SetXUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXUnits (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXUnits */
    if ( strcmp ( argv[2], "GetXUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXUnits ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYTitle */
    if ( strcmp ( argv[2], "SetYTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYTitle */
    if ( strcmp ( argv[2], "GetYTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYUnits */
    if ( strcmp ( argv[2], "SetYUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYUnits (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYUnits */
    if ( strcmp ( argv[2], "GetYUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYUnits ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZTitle */
    if ( strcmp ( argv[2], "SetZTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZTitle */
    if ( strcmp ( argv[2], "GetZTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZUnits */
    if ( strcmp ( argv[2], "SetZUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZUnits (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZUnits */
    if ( strcmp ( argv[2], "GetZUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZUnits */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels for the x, y, and z axes. By default, \n use \"X-Axis\", \"Y-Axis\" and \"Z-Axis\".\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZUnits ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXLabelFormat */
    if ( strcmp ( argv[2], "SetXLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXLabelFormat */
    if ( strcmp ( argv[2], "GetXLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYLabelFormat */
    if ( strcmp ( argv[2], "SetYLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYLabelFormat */
    if ( strcmp ( argv[2], "GetYLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZLabelFormat */
    if ( strcmp ( argv[2], "SetZLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZLabelFormat */
    if ( strcmp ( argv[2], "GetZLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on each of the\n x-y-z axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetZLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInertia */
    if ( strcmp ( argv[2], "SetInertia" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInertia" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInertia */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInertia (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetInertia */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertiaMinValue */
    if ( strcmp ( argv[2], "GetInertiaMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertiaMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertiaMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetInertiaMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertiaMaxValue */
    if ( strcmp ( argv[2], "GetInertiaMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertiaMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertiaMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertiaMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetInertiaMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInertia */
    if ( strcmp ( argv[2], "GetInertia" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInertia" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInertia */
    Tcl_DStringAppendElement ( &dString, " Set/Get the inertial factor that controls how often (i.e, how\n many renders) the axes can switch position (jump from one axes \n to another).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInertia ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetInertia */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCornerOffset */
    if ( strcmp ( argv[2], "SetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCornerOffset (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerOffset */
    if ( strcmp ( argv[2], "GetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify an offset value to \"pull back\" the axes from the corner at\n which they are joined to avoid overlap of axes labels. The \n \"CornerOffset\" is the fraction of the axis length to pull back.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCornerOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisVisibility */
    if ( strcmp ( argv[2], "SetXAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisVisibility */
    if ( strcmp ( argv[2], "GetXAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisVisibilityOn */
    if ( strcmp ( argv[2], "XAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisVisibilityOff */
    if ( strcmp ( argv[2], "XAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisVisibility */
    if ( strcmp ( argv[2], "SetYAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisVisibility */
    if ( strcmp ( argv[2], "GetYAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisVisibilityOn */
    if ( strcmp ( argv[2], "YAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void YAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisVisibilityOff */
    if ( strcmp ( argv[2], "YAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void YAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisVisibility */
    if ( strcmp ( argv[2], "SetZAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisVisibility */
    if ( strcmp ( argv[2], "GetZAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisVisibilityOn */
    if ( strcmp ( argv[2], "ZAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisVisibilityOff */
    if ( strcmp ( argv[2], "ZAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisLabelVisibility */
    if ( strcmp ( argv[2], "SetXAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisLabelVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisLabelVisibility */
    if ( strcmp ( argv[2], "GetXAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXAxisLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisLabelVisibilityOn */
    if ( strcmp ( argv[2], "XAxisLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisLabelVisibilityOff */
    if ( strcmp ( argv[2], "XAxisLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of labels for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisLabelVisibility */
    if ( strcmp ( argv[2], "SetYAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisLabelVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisLabelVisibility */
    if ( strcmp ( argv[2], "GetYAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetYAxisLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisLabelVisibilityOn */
    if ( strcmp ( argv[2], "YAxisLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisLabelVisibilityOff */
    if ( strcmp ( argv[2], "YAxisLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisLabelVisibility */
    if ( strcmp ( argv[2], "SetZAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisLabelVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisLabelVisibility */
    if ( strcmp ( argv[2], "GetZAxisLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetZAxisLabelVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZAxisLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisLabelVisibilityOn */
    if ( strcmp ( argv[2], "ZAxisLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisLabelVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisLabelVisibilityOff */
    if ( strcmp ( argv[2], "ZAxisLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisLabelVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisTickVisibility */
    if ( strcmp ( argv[2], "SetXAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisTickVisibility */
    if ( strcmp ( argv[2], "GetXAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXAxisTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisTickVisibilityOn */
    if ( strcmp ( argv[2], "XAxisTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisTickVisibilityOff */
    if ( strcmp ( argv[2], "XAxisTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisTickVisibility */
    if ( strcmp ( argv[2], "SetYAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisTickVisibility */
    if ( strcmp ( argv[2], "GetYAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetYAxisTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisTickVisibilityOn */
    if ( strcmp ( argv[2], "YAxisTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisTickVisibilityOff */
    if ( strcmp ( argv[2], "YAxisTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisTickVisibility */
    if ( strcmp ( argv[2], "SetZAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisTickVisibility */
    if ( strcmp ( argv[2], "GetZAxisTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetZAxisTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZAxisTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisTickVisibilityOn */
    if ( strcmp ( argv[2], "ZAxisTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisTickVisibilityOff */
    if ( strcmp ( argv[2], "ZAxisTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "SetXAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of minor ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXAxisMinorTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetXAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "GetXAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of minor ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXAxisMinorTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetXAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisMinorTickVisibilityOn */
    if ( strcmp ( argv[2], "XAxisMinorTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisMinorTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisMinorTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of minor ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisMinorTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisMinorTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XAxisMinorTickVisibilityOff */
    if ( strcmp ( argv[2], "XAxisMinorTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XAxisMinorTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XAxisMinorTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Turn on and off the visibility of minor ticks for each axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void XAxisMinorTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for XAxisMinorTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "SetYAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetYAxisMinorTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetYAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "GetYAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetYAxisMinorTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetYAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisMinorTickVisibilityOn */
    if ( strcmp ( argv[2], "YAxisMinorTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisMinorTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisMinorTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisMinorTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisMinorTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YAxisMinorTickVisibilityOff */
    if ( strcmp ( argv[2], "YAxisMinorTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YAxisMinorTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YAxisMinorTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void YAxisMinorTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for YAxisMinorTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "SetZAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZAxisMinorTickVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetZAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZAxisMinorTickVisibility */
    if ( strcmp ( argv[2], "GetZAxisMinorTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZAxisMinorTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZAxisMinorTickVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetZAxisMinorTickVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetZAxisMinorTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisMinorTickVisibilityOn */
    if ( strcmp ( argv[2], "ZAxisMinorTickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisMinorTickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisMinorTickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisMinorTickVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisMinorTickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZAxisMinorTickVisibilityOff */
    if ( strcmp ( argv[2], "ZAxisMinorTickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZAxisMinorTickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZAxisMinorTickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ZAxisMinorTickVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ZAxisMinorTickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawXGridlines */
    if ( strcmp ( argv[2], "SetDrawXGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawXGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawXGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawXGridlines (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetDrawXGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawXGridlines */
    if ( strcmp ( argv[2], "GetDrawXGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawXGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawXGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawXGridlines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetDrawXGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawXGridlinesOn */
    if ( strcmp ( argv[2], "DrawXGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawXGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawXGridlinesOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawXGridlinesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawXGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawXGridlinesOff */
    if ( strcmp ( argv[2], "DrawXGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawXGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawXGridlinesOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawXGridlinesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawXGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawYGridlines */
    if ( strcmp ( argv[2], "SetDrawYGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawYGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawYGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawYGridlines (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetDrawYGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawYGridlines */
    if ( strcmp ( argv[2], "GetDrawYGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawYGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawYGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawYGridlines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetDrawYGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawYGridlinesOn */
    if ( strcmp ( argv[2], "DrawYGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawYGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawYGridlinesOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawYGridlinesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawYGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawYGridlinesOff */
    if ( strcmp ( argv[2], "DrawYGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawYGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawYGridlinesOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawYGridlinesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawYGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawZGridlines */
    if ( strcmp ( argv[2], "SetDrawZGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawZGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawZGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawZGridlines (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetDrawZGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawZGridlines */
    if ( strcmp ( argv[2], "GetDrawZGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawZGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawZGridlines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawZGridlines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetDrawZGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawZGridlinesOn */
    if ( strcmp ( argv[2], "DrawZGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawZGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawZGridlinesOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawZGridlinesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawZGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawZGridlinesOff */
    if ( strcmp ( argv[2], "DrawZGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawZGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawZGridlinesOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DrawZGridlinesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for DrawZGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocation */
    if ( strcmp ( argv[2], "SetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of ticks marks. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocationMinValue */
    if ( strcmp ( argv[2], "GetTickLocationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of ticks marks. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetTickLocationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocationMaxValue */
    if ( strcmp ( argv[2], "GetTickLocationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of ticks marks. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetTickLocationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocation */
    if ( strcmp ( argv[2], "GetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of ticks marks. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for GetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToInside */
    if ( strcmp ( argv[2], "SetTickLocationToInside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToInside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToInside (void );this SetTickLocation VTK_TICKS_INSIDE " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetTickLocationToInside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToOutside */
    if ( strcmp ( argv[2], "SetTickLocationToOutside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToOutside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToOutside (void );this SetTickLocation VTK_TICKS_OUTSIDE " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetTickLocationToOutside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToBoth */
    if ( strcmp ( argv[2], "SetTickLocationToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToBoth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToBoth (void );this SetTickLocation VTK_TICKS_BOTH " );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetTickLocationToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelScaling */
    if ( strcmp ( argv[2], "SetLabelScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelScaling */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelScaling (bool , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for SetLabelScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a KatCubeAxesActor.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy (vtkCubeAxesActor *actor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCubeAxesActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
