// tcl wrapper for vtkDepthSortPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDepthSortPolyData.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDepthSortPolyDataNewCommand()
{
  vtkDepthSortPolyData *temp = vtkDepthSortPolyData::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDepthSortPolyDataCppCommand(vtkDepthSortPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDepthSortPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDepthSortPolyDataCppCommand(static_cast<vtkDepthSortPolyData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDepthSortPolyDataCppCommand(vtkDepthSortPolyData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDepthSortPolyData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDepthSortPolyData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthSortPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDepthSortPolyData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthSortPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDepthSortPolyData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDepthSortPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToFrontToBack",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToFrontToBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToBackToFront",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToBackToFront();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToSpecifiedVector",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToSpecifiedVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthSortMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthSortMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthSortMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthSortMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthSortModeToFirstPoint",argv[1]))&&(argc == 2))
    {
    op->SetDepthSortModeToFirstPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthSortModeToBoundsCenter",argv[1]))&&(argc == 2))
    {
    op->SetDepthSortModeToBoundsCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthSortModeToParametricCenter",argv[1]))&&(argc == 2))
    {
    op->SetDepthSortModeToParametricCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetProp3D",argv[1]))&&(argc == 3))
    {
    vtkProp3D  *temp0;
    error = 0;

    temp0 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp3D"),interp,error));
    if (!error)
    {
    op->SetProp3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProp3D",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->GetProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetVector(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVector",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetVector(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVector",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetVector();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSortScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSortScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSortScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SortScalarsOn",argv[1]))&&(argc == 2))
    {
    op->SortScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SortScalarsOff",argv[1]))&&(argc == 2))
    {
    op->SortScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDepthSortPolyDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDepthSortPolyData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToFrontToBack\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToBackToFront\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToSpecifiedVector\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthSortMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthSortMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthSortModeToFirstPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthSortModeToBoundsCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthSortModeToParametricCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetProp3D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProp3D\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVector\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVector\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetSortScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSortScalars\n",NULL);
    Tcl_AppendResult(interp,"  SortScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  SortScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToFrontToBack" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToBackToFront" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedVector" );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortMode" );
    Tcl_DStringAppendElement ( &dString, "GetDepthSortMode" );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToFirstPoint" );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToBoundsCenter" );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToParametricCenter" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetSortScalars" );
    Tcl_DStringAppendElement ( &dString, "GetSortScalars" );
    Tcl_DStringAppendElement ( &dString, "SortScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "SortScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDepthSortPolyData *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirection */
    if ( strcmp ( argv[2], "SetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirection (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirection */
    if ( strcmp ( argv[2], "GetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirection */
    Tcl_DStringAppendElement ( &dString, " Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDirection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToFrontToBack */
    if ( strcmp ( argv[2], "SetDirectionToFrontToBack" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToFrontToBack" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToFrontToBack */
    Tcl_DStringAppendElement ( &dString, " Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToFrontToBack ();this SetDirection VTK_DIRECTION_FRONT_TO_BACK " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDirectionToFrontToBack */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToBackToFront */
    if ( strcmp ( argv[2], "SetDirectionToBackToFront" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToBackToFront" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToBackToFront */
    Tcl_DStringAppendElement ( &dString, " Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToBackToFront ();this SetDirection VTK_DIRECTION_BACK_TO_FRONT " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDirectionToBackToFront */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToSpecifiedVector */
    if ( strcmp ( argv[2], "SetDirectionToSpecifiedVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToSpecifiedVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToSpecifiedVector */
    Tcl_DStringAppendElement ( &dString, " Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToSpecifiedVector ();this SetDirection VTK_DIRECTION_SPECIFIED_VECTOR " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDirectionToSpecifiedVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthSortMode */
    if ( strcmp ( argv[2], "SetDepthSortMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthSortMode */
    Tcl_DStringAppendElement ( &dString, " Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthSortMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDepthSortMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthSortMode */
    if ( strcmp ( argv[2], "GetDepthSortMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthSortMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthSortMode */
    Tcl_DStringAppendElement ( &dString, " Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthSortMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetDepthSortMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthSortModeToFirstPoint */
    if ( strcmp ( argv[2], "SetDepthSortModeToFirstPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToFirstPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthSortModeToFirstPoint */
    Tcl_DStringAppendElement ( &dString, " Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthSortModeToFirstPoint ();this SetDepthSortMode VTK_SORT_FIRST_POINT " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDepthSortModeToFirstPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthSortModeToBoundsCenter */
    if ( strcmp ( argv[2], "SetDepthSortModeToBoundsCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToBoundsCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthSortModeToBoundsCenter */
    Tcl_DStringAppendElement ( &dString, " Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthSortModeToBoundsCenter ();this SetDepthSortMode VTK_SORT_BOUNDS_CENTER " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDepthSortModeToBoundsCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthSortModeToParametricCenter */
    if ( strcmp ( argv[2], "SetDepthSortModeToParametricCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthSortModeToParametricCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthSortModeToParametricCenter */
    Tcl_DStringAppendElement ( &dString, " Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthSortModeToParametricCenter ();this SetDepthSortMode VTK_SORT_PARAMETRIC_CENTER " );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetDepthSortModeToParametricCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera (vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProp3D */
    if ( strcmp ( argv[2], "SetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only\n has effect if the direction is set to front-to-back or back-to-front,\n and a camera is specified. Specifying the vtkProp3D is optional.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProp3D (vtkProp3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProp3D */
    if ( strcmp ( argv[2], "GetProp3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProp3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProp3D */
    Tcl_DStringAppendElement ( &dString, " Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only\n has effect if the direction is set to front-to-back or back-to-front,\n and a camera is specified. Specifying the vtkProp3D is optional.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D *GetProp3D ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetProp3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVector (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVector */
    if ( strcmp ( argv[2], "SetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVector (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVector */
    if ( strcmp ( argv[2], "GetVector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVector */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetVector ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetVector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort origin. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector, with this point specifying the\n origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort origin. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector, with this point specifying the\n origin.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sort origin. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector, with this point specifying the\n origin.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSortScalars */
    if ( strcmp ( argv[2], "SetSortScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSortScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSortScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSortScalars (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SetSortScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSortScalars */
    if ( strcmp ( argv[2], "GetSortScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSortScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSortScalars */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSortScalars ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetSortScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SortScalarsOn */
    if ( strcmp ( argv[2], "SortScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SortScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SortScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SortScalarsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SortScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SortScalarsOff */
    if ( strcmp ( argv[2], "SortScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SortScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SortScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SortScalarsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for SortScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return MTime also considering the dependent objects: the camera\n and/or the prop3D.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkDepthSortPolyData" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
