// python wrapper for vtkEarthSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkEarthSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEarthSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEarthSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkEarthSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  const char    *temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  char    *temp0;
  int      temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  vtkEarthSource  *temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEarthSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEarthSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEarthSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  double   temp0;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEarthSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  double   temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  double   temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  double   temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_SetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp0;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEarthSource::SetOnRatio(temp0);
      }
    else
      {
      op->SetOnRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetOnRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetOnRatioMinValue();
      }
    else
      {
      temp20 = op->GetOnRatioMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetOnRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetOnRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOnRatioMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetOnRatio();
      }
    else
      {
      temp20 = op->GetOnRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_SetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp0;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEarthSource::SetOutline(temp0);
      }
    else
      {
      op->SetOutline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_GetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  int      temp20;
  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEarthSource::GetOutline();
      }
    else
      {
      temp20 = op->GetOutline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_OutlineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEarthSource::OutlineOn();
      }
    else
      {
      op->OutlineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEarthSource_OutlineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEarthSource *op;

  op = (vtkEarthSource *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEarthSource::OutlineOff();
      }
    else
      {
      op->OutlineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEarthSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEarthSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEarthSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEarthSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEarthSource\nC++: vtkEarthSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEarthSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEarthSource\nC++: vtkEarthSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkEarthSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set radius of earth.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkEarthSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set radius of earth.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkEarthSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set radius of earth.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkEarthSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set radius of earth.\n"},
  {(char*)"SetOnRatio",                (PyCFunction)PyvtkEarthSource_SetOnRatio, 1,
   (char*)"V.SetOnRatio(int)\nC++: void SetOnRatio (int );\n\n Turn on every nth entity. This controls how much detail the model\n will have. The maximum ratio is sixteen. (The smaller OnRatio, the more\n detail there is.)\n"},
  {(char*)"GetOnRatioMinValue",                (PyCFunction)PyvtkEarthSource_GetOnRatioMinValue, 1,
   (char*)"V.GetOnRatioMinValue() -> int\nC++: int GetOnRatioMinValue ();\n\n Turn on every nth entity. This controls how much detail the model\n will have. The maximum ratio is sixteen. (The smaller OnRatio, the more\n detail there is.)\n"},
  {(char*)"GetOnRatioMaxValue",                (PyCFunction)PyvtkEarthSource_GetOnRatioMaxValue, 1,
   (char*)"V.GetOnRatioMaxValue() -> int\nC++: int GetOnRatioMaxValue ();\n\n Turn on every nth entity. This controls how much detail the model\n will have. The maximum ratio is sixteen. (The smaller OnRatio, the more\n detail there is.)\n"},
  {(char*)"GetOnRatio",                (PyCFunction)PyvtkEarthSource_GetOnRatio, 1,
   (char*)"V.GetOnRatio() -> int\nC++: int GetOnRatio ();\n\n Turn on every nth entity. This controls how much detail the model\n will have. The maximum ratio is sixteen. (The smaller OnRatio, the more\n detail there is.)\n"},
  {(char*)"SetOutline",                (PyCFunction)PyvtkEarthSource_SetOutline, 1,
   (char*)"V.SetOutline(int)\nC++: void SetOutline (int );\n\n Turn on/off drawing continents as filled polygons or as wireframe outlines.\n Warning: some graphics systems will have trouble with the very large, concave \n filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) \n for now.\n"},
  {(char*)"GetOutline",                (PyCFunction)PyvtkEarthSource_GetOutline, 1,
   (char*)"V.GetOutline() -> int\nC++: int GetOutline ();\n\n Turn on/off drawing continents as filled polygons or as wireframe outlines.\n Warning: some graphics systems will have trouble with the very large, concave \n filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) \n for now.\n"},
  {(char*)"OutlineOn",                (PyCFunction)PyvtkEarthSource_OutlineOn, 1,
   (char*)"V.OutlineOn()\nC++: void OutlineOn ();\n\n Turn on/off drawing continents as filled polygons or as wireframe outlines.\n Warning: some graphics systems will have trouble with the very large, concave \n filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) \n for now.\n"},
  {(char*)"OutlineOff",                (PyCFunction)PyvtkEarthSource_OutlineOff, 1,
   (char*)"V.OutlineOff()\nC++: void OutlineOff ();\n\n Turn on/off drawing continents as filled polygons or as wireframe outlines.\n Warning: some graphics systems will have trouble with the very large, concave \n filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) \n for now.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEarthSourceDoc[] = {
  (char*)"vtkEarthSource - create the continents of the Earth as a sphere\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkEarthSource creates a spherical rendering of the geographical shapes\n of the major continents of the earth. The OnRatio determines\n how much of the data is actually used. The radius defines the radius\n of the sphere at which the continents are placed. Obtains data from\n an imbedded array of coordinates.\n\n",
  NULL
};

static vtkObjectBase *vtkEarthSourceStaticNew()
{
  return vtkEarthSource::New();
}

PyObject *PyVTKClass_vtkEarthSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkEarthSourceStaticNew,
                        PyvtkEarthSourceMethods,
                        (char*)"vtkEarthSource",modulename,
                        (char**)vtkEarthSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

