// python wrapper for vtkExodusIICache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExodusIICache.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExodusIICacheNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExodusIICacheNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExodusIICache_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  const char    *temp20;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIICache::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIICache::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  vtkExodusIICache  *temp20;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIICache::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExodusIICache  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExodusIICache::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExodusIICache_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIICache::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_SetCacheCapacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  double   temp0;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIICache::SetCacheCapacity(temp0);
      }
    else
      {
      op->SetCacheCapacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_GetSpaceLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  double   temp20;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIICache::GetSpaceLeft();
      }
    else
      {
      temp20 = op->GetSpaceLeft();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIICache_ReduceToSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIICache *op;

  double   temp0;
  int      temp20;
  op = (vtkExodusIICache *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIICache::ReduceToSize(temp0);
      }
    else
      {
      temp20 = op->ReduceToSize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExodusIICacheMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExodusIICache_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExodusIICache_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExodusIICache_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExodusIICache\nC++: vtkExodusIICache *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExodusIICache_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExodusIICache\nC++: vtkExodusIICache *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkExodusIICache_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear ();\n\n"},
  {(char*)"SetCacheCapacity",                (PyCFunction)PyvtkExodusIICache_SetCacheCapacity, 1,
   (char*)"V.SetCacheCapacity(float)\nC++: void SetCacheCapacity (double sizeInMiB);\n\n"},
  {(char*)"GetSpaceLeft",                (PyCFunction)PyvtkExodusIICache_GetSpaceLeft, 1,
   (char*)"V.GetSpaceLeft() -> float\nC++: double GetSpaceLeft ();return this Capacity this Size \n\n"},
  {(char*)"ReduceToSize",                (PyCFunction)PyvtkExodusIICache_ReduceToSize, 1,
   (char*)"V.ReduceToSize(float) -> int\nC++: int ReduceToSize (double newSize);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExodusIICacheDoc[] = {
  (char*)"vtkExodusIICache - no description provided.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkExodusIICacheStaticNew()
{
  return vtkExodusIICache::New();
}

PyObject *PyVTKClass_vtkExodusIICacheNew(char *modulename)
{
  return PyVTKClass_New(&vtkExodusIICacheStaticNew,
                        PyvtkExodusIICacheMethods,
                        (char*)"vtkExodusIICache",modulename,
                        (char**)vtkExodusIICacheDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

