// python wrapper for vtkExodusModel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExodusModel.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExodusModelNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExodusModelNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExodusModel_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  const char    *temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkExodusModel  *temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExodusModel  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExodusModel::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExodusModel_SetGlobalInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::SetGlobalInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->SetGlobalInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_AddUGridElementVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::AddUGridElementVariable(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddUGridElementVariable(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_RemoveUGridElementVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::RemoveUGridElementVariable(temp0);
      }
    else
      {
      temp20 = op->RemoveUGridElementVariable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_AddUGridNodeVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::AddUGridNodeVariable(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddUGridNodeVariable(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_RemoveUGridNodeVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::RemoveUGridNodeVariable(temp0);
      }
    else
      {
      temp20 = op->RemoveUGridNodeVariable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_SetLocalInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"Oiiii", &tempH0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::SetLocalInformation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SetLocalInformation(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkExodusModel_HasMetadata(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break10;
      {
      temp20 = vtkExodusModel::HasMetadata(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkExodusModel_GetModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkModelMetadata  *temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::GetModelMetadata();
      }
    else
      {
      temp20 = op->GetModelMetadata();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusModel_SetModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkModelMetadata  *temp0;
  PyObject *tempH0;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkModelMetadata *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkModelMetadata");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusModel::SetModelMetadata(temp0);
      }
    else
      {
      op->SetModelMetadata(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkExodusModel_UnpackExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::UnpackExodusModel(temp0,temp1);
      }
    else
      {
      temp20 = op->UnpackExodusModel(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkExodusModel_MergeExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkExodusModel  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkExodusModel *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExodusModel");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::MergeExodusModel(temp0);
      }
    else
      {
      temp20 = op->MergeExodusModel(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkExodusModel_ExtractExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkIdTypeArray  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGrid  *temp1;
  PyObject *tempH1;
  vtkExodusModel  *temp20;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdTypeArray");
    if (!temp0 && tempH0 != Py_None) goto break15;
    temp1 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkUnstructuredGrid");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusModel::ExtractExodusModel(temp0,temp1);
      }
    else
      {
      temp20 = op->ExtractExodusModel(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkExodusModel_PackExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusModel::PackExodusModel(temp0);
      }
    else
      {
      op->PackExodusModel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkExodusModel_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusModel *op;

  op = (vtkExodusModel *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusModel::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExodusModelMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExodusModel_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExodusModel_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExodusModel_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExodusModel\nC++: vtkExodusModel *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExodusModel_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExodusModel\nC++: vtkExodusModel *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlobalInformation",                (PyCFunction)PyvtkExodusModel_SetGlobalInformation, 1,
   (char*)"V.SetGlobalInformation(int, int) -> int\nC++: int SetGlobalInformation (int fid, int compute_word_size);\n\n"},
  {(char*)"AddUGridElementVariable",                (PyCFunction)PyvtkExodusModel_AddUGridElementVariable, 1,
   (char*)"V.AddUGridElementVariable(string, string, int) -> int\nC++: int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents);\n\n"},
  {(char*)"RemoveUGridElementVariable",                (PyCFunction)PyvtkExodusModel_RemoveUGridElementVariable, 1,
   (char*)"V.RemoveUGridElementVariable(string) -> int\nC++: int RemoveUGridElementVariable (char *ugridVarName);\n\n"},
  {(char*)"AddUGridNodeVariable",                (PyCFunction)PyvtkExodusModel_AddUGridNodeVariable, 1,
   (char*)"V.AddUGridNodeVariable(string, string, int) -> int\nC++: int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents);\n\n"},
  {(char*)"RemoveUGridNodeVariable",                (PyCFunction)PyvtkExodusModel_RemoveUGridNodeVariable, 1,
   (char*)"V.RemoveUGridNodeVariable(string) -> int\nC++: int RemoveUGridNodeVariable (char *ugridVarName);\n\n"},
  {(char*)"SetLocalInformation",                (PyCFunction)PyvtkExodusModel_SetLocalInformation, 1,
   (char*)"V.SetLocalInformation(vtkUnstructuredGrid, int, int, int, int) -> int\nC++: int SetLocalInformation (vtkUnstructuredGrid *ugrid, int fid, int timeStep, int newGeometry, int compute_word_size);\n\n"},
  {(char*)"HasMetadata",                (PyCFunction)PyvtkExodusModel_HasMetadata, 1,
   (char*)"V.HasMetadata(vtkUnstructuredGrid) -> int\nC++: static int HasMetadata (vtkUnstructuredGrid *grid);\n\n"},
  {(char*)"GetModelMetadata",                (PyCFunction)PyvtkExodusModel_GetModelMetadata, 1,
   (char*)"V.GetModelMetadata() -> vtkModelMetadata\nC++: vtkModelMetadata *GetModelMetadata ();\n\n"},
  {(char*)"SetModelMetadata",                (PyCFunction)PyvtkExodusModel_SetModelMetadata, 1,
   (char*)"V.SetModelMetadata(vtkModelMetadata)\nC++: void SetModelMetadata (vtkModelMetadata *emData);\n\n"},
  {(char*)"UnpackExodusModel",                (PyCFunction)PyvtkExodusModel_UnpackExodusModel, 1,
   (char*)"V.UnpackExodusModel(vtkUnstructuredGrid, int) -> int\nC++: int UnpackExodusModel (vtkUnstructuredGrid *grid, int deleteIt);\n\n"},
  {(char*)"MergeExodusModel",                (PyCFunction)PyvtkExodusModel_MergeExodusModel, 1,
   (char*)"V.MergeExodusModel(vtkExodusModel) -> int\nC++: int MergeExodusModel (vtkExodusModel *em);\n\n"},
  {(char*)"ExtractExodusModel",                (PyCFunction)PyvtkExodusModel_ExtractExodusModel, 1,
   (char*)"V.ExtractExodusModel(vtkIdTypeArray, vtkUnstructuredGrid) -> vtkExodusModel\nC++: vtkExodusModel *ExtractExodusModel (vtkIdTypeArray *globalCellIdList, vtkUnstructuredGrid *grid);\n\n"},
  {(char*)"PackExodusModel",                (PyCFunction)PyvtkExodusModel_PackExodusModel, 1,
   (char*)"V.PackExodusModel(vtkUnstructuredGrid)\nC++: void PackExodusModel (vtkUnstructuredGrid *grid);\n\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkExodusModel_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExodusModelDoc[] = {
  (char*)"vtkExodusModel - Exodus Model\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n   A vtkUnstructuredGrid output by vtkExodusReader or vtkPExodusReader\n   is missing a great deal of initialization and static model data \n   that is in an Exodus II file.  (Global variables, properties,\n   node sets, side sets, and so on.)  This data can be stored in a \n   vtkModelMetadata object, which can be initialized using\n   this vtkExodusModel class.\n\n   This class can be initialized with",
  (char*)" a file handle for an open Exodus \n   file, and the vtkUnstructuredGrid derived from that file.  The methods \n   used would be SetGlobalInformation, SetLocalInformation, \n   AddUGridElementVariable and AddUGridNodeVariable.  The vtkExodusReader\n   does this.\n\n   It can also be initialized (using UnpackExodusModel) from a \n   vtkUnstructuredGrid that has had metadata packed into it's field \n   arra",
  (char*)"ys with PackExodusModel.   The vtkExodusIIWriter does this.\n\n   If you plan to write out the Exodus file (with vtkExodusIIWriter), \n   you should direct the Exodus reader to create a vtkExodusModel object.\n   This will be used by the Exodus writer to create a correct Exodus II \n   file on output.  In addition, the vtkDistributedDataFilter is \n   cognizant of the ExodusModel object and will unpack,",
  (char*)" extract, merge, \n   and pack these objects associated with the grids it is partitioning.\n\n .SECTION See also\n   vtkExodusReader  vtkPExodusReader vtkExodusIIWriter vtkModelMetadata\n   vtkDistributedDataFilter\n\n",
  NULL
};

static vtkObjectBase *vtkExodusModelStaticNew()
{
  return vtkExodusModel::New();
}

PyObject *PyVTKClass_vtkExodusModelNew(char *modulename)
{
  return PyVTKClass_New(&vtkExodusModelStaticNew,
                        PyvtkExodusModelMethods,
                        (char*)"vtkExodusModel",modulename,
                        (char**)vtkExodusModelDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

