// tcl wrapper for vtkExodusModel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusModel.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExodusModelNewCommand()
{
  vtkExodusModel *temp = vtkExodusModel::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExodusModelCppCommand(vtkExodusModel *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExodusModelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExodusModelCppCommand(static_cast<vtkExodusModel *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExodusModelCppCommand(vtkExodusModel *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExodusModel",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExodusModel  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExodusModel  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExodusModel  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetGlobalInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridElementVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridElementVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridElementVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridNodeVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridNodeVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridNodeVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLocalInformation",argv[1]))&&(argc == 7))
    {
    vtkUnstructuredGrid  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    temp0 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->SetLocalInformation(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasMetadata",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGrid  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasMetadata(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelMetadata",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->GetModelMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("SetModelMetadata",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkModelMetadata"),interp,error));
    if (!error)
    {
    op->SetModelMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnpackExodusModel",argv[1]))&&(argc == 4))
    {
    vtkUnstructuredGrid  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->UnpackExodusModel(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergeExodusModel",argv[1]))&&(argc == 3))
    {
    vtkExodusModel  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkExodusModel *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExodusModel"),interp,error));
    if (!error)
    {
    temp20 = (op)->MergeExodusModel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractExodusModel",argv[1]))&&(argc == 4))
    {
    vtkIdTypeArray  *temp0;
    vtkUnstructuredGrid  *temp1;
    vtkExodusModel  *temp20;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    temp20 = (op)->ExtractExodusModel(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
    }
  if ((!strcmp("PackExodusModel",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGrid  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    op->PackExodusModel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExodusModelCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExodusModel:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridElementVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridElementVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridNodeVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridNodeVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLocalInformation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  HasMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModelMetadata\n",NULL);
    Tcl_AppendResult(interp,"  SetModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnpackExodusModel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  MergeExodusModel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExtractExodusModel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PackExodusModel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalInformation" );
    Tcl_DStringAppendElement ( &dString, "AddUGridElementVariable" );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridElementVariable" );
    Tcl_DStringAppendElement ( &dString, "AddUGridNodeVariable" );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridNodeVariable" );
    Tcl_DStringAppendElement ( &dString, "SetLocalInformation" );
    Tcl_DStringAppendElement ( &dString, "HasMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "SetModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "UnpackExodusModel" );
    Tcl_DStringAppendElement ( &dString, "MergeExodusModel" );
    Tcl_DStringAppendElement ( &dString, "ExtractExodusModel" );
    Tcl_DStringAppendElement ( &dString, "PackExodusModel" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExodusModel *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalInformation */
    if ( strcmp ( argv[2], "SetGlobalInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int SetGlobalInformation (int fid, int compute_word_size);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for SetGlobalInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUGridElementVariable */
    if ( strcmp ( argv[2], "AddUGridElementVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUGridElementVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUGridElementVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for AddUGridElementVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveUGridElementVariable */
    if ( strcmp ( argv[2], "RemoveUGridElementVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridElementVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveUGridElementVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int RemoveUGridElementVariable (char *ugridVarName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for RemoveUGridElementVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddUGridNodeVariable */
    if ( strcmp ( argv[2], "AddUGridNodeVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddUGridNodeVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddUGridNodeVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for AddUGridNodeVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveUGridNodeVariable */
    if ( strcmp ( argv[2], "RemoveUGridNodeVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveUGridNodeVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveUGridNodeVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int RemoveUGridNodeVariable (char *ugridVarName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for RemoveUGridNodeVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocalInformation */
    if ( strcmp ( argv[2], "SetLocalInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocalInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocalInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int SetLocalInformation (vtkUnstructuredGrid *ugrid, int fid, int timeStep, int newGeometry, int compute_word_size);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for SetLocalInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasMetadata */
    if ( strcmp ( argv[2], "HasMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasMetadata */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int HasMetadata (vtkUnstructuredGrid *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for HasMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModelMetadata */
    if ( strcmp ( argv[2], "GetModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelMetadata */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata *GetModelMetadata ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for GetModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelMetadata */
    if ( strcmp ( argv[2], "SetModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkModelMetadata" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelMetadata */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetModelMetadata (vtkModelMetadata *emData);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for SetModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnpackExodusModel */
    if ( strcmp ( argv[2], "UnpackExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnpackExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnpackExodusModel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int UnpackExodusModel (vtkUnstructuredGrid *grid, int deleteIt);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for UnpackExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeExodusModel */
    if ( strcmp ( argv[2], "MergeExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeExodusModel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int MergeExodusModel (vtkExodusModel *em);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for MergeExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtractExodusModel */
    if ( strcmp ( argv[2], "ExtractExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtractExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtractExodusModel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel *ExtractExodusModel (vtkIdTypeArray *globalCellIdList, vtkUnstructuredGrid *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for ExtractExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PackExodusModel */
    if ( strcmp ( argv[2], "PackExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PackExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PackExodusModel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PackExodusModel (vtkUnstructuredGrid *grid);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for PackExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Reset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
