// python wrapper for vtkGridTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGridTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGridTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGridTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWarpTransformNew(char *); }

static PyObject *PyvtkGridTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  const char    *temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  char    *temp0;
  int      temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  vtkGridTransform  *temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGridTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGridTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGridTransform_SetDisplacementGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetDisplacementGrid(temp0);
      }
    else
      {
      op->SetDisplacementGrid(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGridTransform_GetDisplacementGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  vtkImageData  *temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetDisplacementGrid();
      }
    else
      {
      temp20 = op->GetDisplacementGrid();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetDisplacementScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  double   temp0;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetDisplacementScale(temp0);
      }
    else
      {
      op->SetDisplacementScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_GetDisplacementScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  double   temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetDisplacementScale();
      }
    else
      {
      temp20 = op->GetDisplacementScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetDisplacementShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  double   temp0;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetDisplacementShift(temp0);
      }
    else
      {
      op->SetDisplacementShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_GetDisplacementShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  double   temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetDisplacementShift();
      }
    else
      {
      temp20 = op->GetDisplacementShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetInterpolationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  int      temp0;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetInterpolationMode(temp0);
      }
    else
      {
      op->SetInterpolationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_GetInterpolationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  int      temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetInterpolationMode();
      }
    else
      {
      temp20 = op->GetInterpolationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetInterpolationModeToNearestNeighbor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetInterpolationModeToNearestNeighbor();
      }
    else
      {
      op->SetInterpolationModeToNearestNeighbor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetInterpolationModeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetInterpolationModeToLinear();
      }
    else
      {
      op->SetInterpolationModeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_SetInterpolationModeToCubic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGridTransform::SetInterpolationModeToCubic();
      }
    else
      {
      op->SetInterpolationModeToCubic();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_GetInterpolationModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  const char    *temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetInterpolationModeAsString();
      }
    else
      {
      temp20 = op->GetInterpolationModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGridTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGridTransform *op;

  unsigned long     temp20;
  op = (vtkGridTransform *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGridTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGridTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGridTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGridTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGridTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGridTransform\nC++: vtkGridTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGridTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGridTransform\nC++: vtkGridTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDisplacementGrid",                (PyCFunction)PyvtkGridTransform_SetDisplacementGrid, 1,
   (char*)"V.SetDisplacementGrid(vtkImageData)\nC++: virtual void SetDisplacementGrid (vtkImageData *);\n\n Set/Get the grid transform (the grid transform must have three \n components for displacement in x, y, and z respectively).\n The vtkGridTransform class will never modify the data.\n"},
  {(char*)"GetDisplacementGrid",                (PyCFunction)PyvtkGridTransform_GetDisplacementGrid, 1,
   (char*)"V.GetDisplacementGrid() -> vtkImageData\nC++: vtkImageData *GetDisplacementGrid ();\n\n Set/Get the grid transform (the grid transform must have three \n components for displacement in x, y, and z respectively).\n The vtkGridTransform class will never modify the data.\n"},
  {(char*)"SetDisplacementScale",                (PyCFunction)PyvtkGridTransform_SetDisplacementScale, 1,
   (char*)"V.SetDisplacementScale(float)\nC++: void SetDisplacementScale (double );\n\n Set scale factor to be applied to the displacements.\n This is used primarily for grids which contain integer\n data types.  Default: 1\n"},
  {(char*)"GetDisplacementScale",                (PyCFunction)PyvtkGridTransform_GetDisplacementScale, 1,
   (char*)"V.GetDisplacementScale() -> float\nC++: double GetDisplacementScale ();\n\n Set scale factor to be applied to the displacements.\n This is used primarily for grids which contain integer\n data types.  Default: 1\n"},
  {(char*)"SetDisplacementShift",                (PyCFunction)PyvtkGridTransform_SetDisplacementShift, 1,
   (char*)"V.SetDisplacementShift(float)\nC++: void SetDisplacementShift (double );\n\n Set a shift to be applied to the displacements.  The shift\n is applied after the scale, i.e. x = scale*y + shift.\n Default: 0\n"},
  {(char*)"GetDisplacementShift",                (PyCFunction)PyvtkGridTransform_GetDisplacementShift, 1,
   (char*)"V.GetDisplacementShift() -> float\nC++: double GetDisplacementShift ();\n\n Set a shift to be applied to the displacements.  The shift\n is applied after the scale, i.e. x = scale*y + shift.\n Default: 0\n"},
  {(char*)"SetInterpolationMode",                (PyCFunction)PyvtkGridTransform_SetInterpolationMode, 1,
   (char*)"V.SetInterpolationMode(int)\nC++: void SetInterpolationMode (int mode);\n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"GetInterpolationMode",                (PyCFunction)PyvtkGridTransform_GetInterpolationMode, 1,
   (char*)"V.GetInterpolationMode() -> int\nC++: int GetInterpolationMode ();\n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"SetInterpolationModeToNearestNeighbor",                (PyCFunction)PyvtkGridTransform_SetInterpolationModeToNearestNeighbor, 1,
   (char*)"V.SetInterpolationModeToNearestNeighbor()\nC++: void SetInterpolationModeToNearestNeighbor ();this SetInterpolationMode VTK_GRID_NEAREST \n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"SetInterpolationModeToLinear",                (PyCFunction)PyvtkGridTransform_SetInterpolationModeToLinear, 1,
   (char*)"V.SetInterpolationModeToLinear()\nC++: void SetInterpolationModeToLinear ();this SetInterpolationMode VTK_GRID_LINEAR \n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"SetInterpolationModeToCubic",                (PyCFunction)PyvtkGridTransform_SetInterpolationModeToCubic, 1,
   (char*)"V.SetInterpolationModeToCubic()\nC++: void SetInterpolationModeToCubic ();this SetInterpolationMode VTK_GRID_CUBIC \n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"GetInterpolationModeAsString",                (PyCFunction)PyvtkGridTransform_GetInterpolationModeAsString, 1,
   (char*)"V.GetInterpolationModeAsString() -> string\nC++: const char *GetInterpolationModeAsString ();\n\n Set interpolation mode for sampling the grid.  Higher-order\n interpolation allows you to use a sparser grid.\n Default: Linear.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkGridTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGridTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGridTransformDoc[] = {
  (char*)"vtkGridTransform - a nonlinear warp transformation\n\n",
  "Super Class:\n\n vtkWarpTransform\n\n",
  (char*)" vtkGridTransform describes a nonlinear warp transformation as a set\n of displacement vectors sampled along a uniform 3D grid.\n\n",
  "Caveats:\n\n The inverse grid transform is calculated using an iterative method,\n and is several times more expensive than the forward transform.\n\n",
  "See Also:\n\n vtkThinPlateSplineTransform vtkGeneralTransform vtkTransformToGrid\n\n",
  NULL
};

static vtkObjectBase *vtkGridTransformStaticNew()
{
  return vtkGridTransform::New();
}

PyObject *PyVTKClass_vtkGridTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkGridTransformStaticNew,
                        PyvtkGridTransformMethods,
                        (char*)"vtkGridTransform",modulename,
                        (char**)vtkGridTransformDoc,
                        PyVTKClass_vtkWarpTransformNew(modulename));
}

