// python wrapper for vtkImageToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkImageToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  const char    *temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  vtkImageToPolyDataFilter  *temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageToPolyDataFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageToPolyDataFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetOutputStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetOutputStyle(temp0);
      }
    else
      {
      op->SetOutputStyle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetOutputStyleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetOutputStyleMinValue();
      }
    else
      {
      temp20 = op->GetOutputStyleMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetOutputStyleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetOutputStyleMaxValue();
      }
    else
      {
      temp20 = op->GetOutputStyleMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetOutputStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetOutputStyle();
      }
    else
      {
      temp20 = op->GetOutputStyle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetOutputStyleToPixelize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetOutputStyleToPixelize();
      }
    else
      {
      op->SetOutputStyleToPixelize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetOutputStyleToPolygonalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetOutputStyleToPolygonalize();
      }
    else
      {
      op->SetOutputStyleToPolygonalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetOutputStyleToRunLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetOutputStyleToRunLength();
      }
    else
      {
      op->SetOutputStyleToRunLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetColorModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetColorModeMinValue();
      }
    else
      {
      temp20 = op->GetColorModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetColorModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetColorModeMaxValue();
      }
    else
      {
      temp20 = op->GetColorModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetColorModeToLUT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetColorModeToLUT();
      }
    else
      {
      op->SetColorModeToLUT();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetColorModeToLinear256(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetColorModeToLinear256();
      }
    else
      {
      op->SetColorModeToLinear256();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  vtkScalarsToColors  *temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetSmoothing(temp0);
      }
    else
      {
      op->SetSmoothing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetSmoothing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetSmoothing();
      }
    else
      {
      temp20 = op->GetSmoothing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SmoothingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SmoothingOn();
      }
    else
      {
      op->SmoothingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SmoothingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SmoothingOff();
      }
    else
      {
      op->SmoothingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetNumberOfSmoothingIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetNumberOfSmoothingIterations(temp0);
      }
    else
      {
      op->SetNumberOfSmoothingIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetNumberOfSmoothingIterationsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfSmoothingIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetNumberOfSmoothingIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfSmoothingIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetNumberOfSmoothingIterations();
      }
    else
      {
      temp20 = op->GetNumberOfSmoothingIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetDecimation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetDecimation(temp0);
      }
    else
      {
      op->SetDecimation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetDecimation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetDecimation();
      }
    else
      {
      temp20 = op->GetDecimation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_DecimationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::DecimationOn();
      }
    else
      {
      op->DecimationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_DecimationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::DecimationOff();
      }
    else
      {
      op->DecimationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetDecimationError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  double   temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetDecimationError(temp0);
      }
    else
      {
      op->SetDecimationError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetDecimationErrorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  double   temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetDecimationErrorMinValue();
      }
    else
      {
      temp20 = op->GetDecimationErrorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetDecimationErrorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  double   temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetDecimationErrorMaxValue();
      }
    else
      {
      temp20 = op->GetDecimationErrorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetDecimationError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  double   temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetDecimationError();
      }
    else
      {
      temp20 = op->GetDecimationError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetError(temp0);
      }
    else
      {
      op->SetError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetErrorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetErrorMinValue();
      }
    else
      {
      temp20 = op->GetErrorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetErrorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetErrorMaxValue();
      }
    else
      {
      temp20 = op->GetErrorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_SetSubImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp0;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToPolyDataFilter::SetSubImageSize(temp0);
      }
    else
      {
      op->SetSubImageSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetSubImageSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetSubImageSizeMinValue();
      }
    else
      {
      temp20 = op->GetSubImageSizeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetSubImageSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetSubImageSizeMaxValue();
      }
    else
      {
      temp20 = op->GetSubImageSizeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToPolyDataFilter_GetSubImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToPolyDataFilter *op;

  int      temp20;
  op = (vtkImageToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToPolyDataFilter::GetSubImageSize();
      }
    else
      {
      temp20 = op->GetSubImageSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageToPolyDataFilter\nC++: vtkImageToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageToPolyDataFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageToPolyDataFilter\nC++: vtkImageToPolyDataFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputStyle",                (PyCFunction)PyvtkImageToPolyDataFilter_SetOutputStyle, 1,
   (char*)"V.SetOutputStyle(int)\nC++: void SetOutputStyle (int );\n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"GetOutputStyleMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetOutputStyleMinValue, 1,
   (char*)"V.GetOutputStyleMinValue() -> int\nC++: int GetOutputStyleMinValue ();\n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"GetOutputStyleMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetOutputStyleMaxValue, 1,
   (char*)"V.GetOutputStyleMaxValue() -> int\nC++: int GetOutputStyleMaxValue ();\n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"GetOutputStyle",                (PyCFunction)PyvtkImageToPolyDataFilter_GetOutputStyle, 1,
   (char*)"V.GetOutputStyle() -> int\nC++: int GetOutputStyle ();\n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"SetOutputStyleToPixelize",                (PyCFunction)PyvtkImageToPolyDataFilter_SetOutputStyleToPixelize, 1,
   (char*)"V.SetOutputStyleToPixelize()\nC++: void SetOutputStyleToPixelize ();this SetOutputStyle VTK_STYLE_PIXELIZE \n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"SetOutputStyleToPolygonalize",                (PyCFunction)PyvtkImageToPolyDataFilter_SetOutputStyleToPolygonalize, 1,
   (char*)"V.SetOutputStyleToPolygonalize()\nC++: void SetOutputStyleToPolygonalize ();this SetOutputStyle VTK_STYLE_POLYGONALIZE \n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"SetOutputStyleToRunLength",                (PyCFunction)PyvtkImageToPolyDataFilter_SetOutputStyleToRunLength, 1,
   (char*)"V.SetOutputStyleToRunLength()\nC++: void SetOutputStyleToRunLength ();this SetOutputStyle VTK_STYLE_RUN_LENGTH \n\n Specify how to create the output. Pixelize means converting the image\n to quad polygons with a constant color per quad. Polygonalize means\n merging colors together into polygonal regions, and then smoothing\n the regions (if smoothing is turned on). RunLength means creating\n quad polygons that may encompass several pixels on a scan line. The\n default behavior is Polygonalize.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkImageToPolyDataFilter_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Specify how to quantize color.\n"},
  {(char*)"GetColorModeMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetColorModeMinValue, 1,
   (char*)"V.GetColorModeMinValue() -> int\nC++: int GetColorModeMinValue ();\n\n Specify how to quantize color.\n"},
  {(char*)"GetColorModeMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetColorModeMaxValue, 1,
   (char*)"V.GetColorModeMaxValue() -> int\nC++: int GetColorModeMaxValue ();\n\n Specify how to quantize color.\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkImageToPolyDataFilter_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Specify how to quantize color.\n"},
  {(char*)"SetColorModeToLUT",                (PyCFunction)PyvtkImageToPolyDataFilter_SetColorModeToLUT, 1,
   (char*)"V.SetColorModeToLUT()\nC++: void SetColorModeToLUT ();this SetColorMode VTK_COLOR_MODE_LUT \n\n Specify how to quantize color.\n"},
  {(char*)"SetColorModeToLinear256",                (PyCFunction)PyvtkImageToPolyDataFilter_SetColorModeToLinear256, 1,
   (char*)"V.SetColorModeToLinear256()\nC++: void SetColorModeToLinear256 ();this SetColorMode VTK_COLOR_MODE_LINEAR_256 \n\n Specify how to quantize color.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkImageToPolyDataFilter_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: virtual void SetLookupTable (vtkScalarsToColors *);\n\n Set/Get the vtkLookupTable to use. The lookup table is used when the\n color mode is set to LUT and a single component scalar is input.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkImageToPolyDataFilter_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n Set/Get the vtkLookupTable to use. The lookup table is used when the\n color mode is set to LUT and a single component scalar is input.\n"},
  {(char*)"SetSmoothing",                (PyCFunction)PyvtkImageToPolyDataFilter_SetSmoothing, 1,
   (char*)"V.SetSmoothing(int)\nC++: void SetSmoothing (int );\n\n If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n"},
  {(char*)"GetSmoothing",                (PyCFunction)PyvtkImageToPolyDataFilter_GetSmoothing, 1,
   (char*)"V.GetSmoothing() -> int\nC++: int GetSmoothing ();\n\n If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n"},
  {(char*)"SmoothingOn",                (PyCFunction)PyvtkImageToPolyDataFilter_SmoothingOn, 1,
   (char*)"V.SmoothingOn()\nC++: void SmoothingOn ();\n\n If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n"},
  {(char*)"SmoothingOff",                (PyCFunction)PyvtkImageToPolyDataFilter_SmoothingOff, 1,
   (char*)"V.SmoothingOff()\nC++: void SmoothingOff ();\n\n If the output style is set to polygonalize, then you can control\n whether to smooth boundaries.\n"},
  {(char*)"SetNumberOfSmoothingIterations",                (PyCFunction)PyvtkImageToPolyDataFilter_SetNumberOfSmoothingIterations, 1,
   (char*)"V.SetNumberOfSmoothingIterations(int)\nC++: void SetNumberOfSmoothingIterations (int );\n\n Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n"},
  {(char*)"GetNumberOfSmoothingIterationsMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMinValue, 1,
   (char*)"V.GetNumberOfSmoothingIterationsMinValue() -> int\nC++: int GetNumberOfSmoothingIterationsMinValue ();\n\n Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n"},
  {(char*)"GetNumberOfSmoothingIterationsMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMaxValue, 1,
   (char*)"V.GetNumberOfSmoothingIterationsMaxValue() -> int\nC++: int GetNumberOfSmoothingIterationsMaxValue ();\n\n Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n"},
  {(char*)"GetNumberOfSmoothingIterations",                (PyCFunction)PyvtkImageToPolyDataFilter_GetNumberOfSmoothingIterations, 1,
   (char*)"V.GetNumberOfSmoothingIterations() -> int\nC++: int GetNumberOfSmoothingIterations ();\n\n Specify the number of smoothing iterations to smooth polygons. (Only\n in effect if output style is Polygonalize and smoothing is on.)\n"},
  {(char*)"SetDecimation",                (PyCFunction)PyvtkImageToPolyDataFilter_SetDecimation, 1,
   (char*)"V.SetDecimation(int)\nC++: void SetDecimation (int );\n\n Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n"},
  {(char*)"GetDecimation",                (PyCFunction)PyvtkImageToPolyDataFilter_GetDecimation, 1,
   (char*)"V.GetDecimation() -> int\nC++: int GetDecimation ();\n\n Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n"},
  {(char*)"DecimationOn",                (PyCFunction)PyvtkImageToPolyDataFilter_DecimationOn, 1,
   (char*)"V.DecimationOn()\nC++: void DecimationOn ();\n\n Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n"},
  {(char*)"DecimationOff",                (PyCFunction)PyvtkImageToPolyDataFilter_DecimationOff, 1,
   (char*)"V.DecimationOff()\nC++: void DecimationOff ();\n\n Turn on/off whether the final polygons should be decimated.\n whether to smooth boundaries.\n"},
  {(char*)"SetDecimationError",                (PyCFunction)PyvtkImageToPolyDataFilter_SetDecimationError, 1,
   (char*)"V.SetDecimationError(float)\nC++: void SetDecimationError (double );\n\n Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n"},
  {(char*)"GetDecimationErrorMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetDecimationErrorMinValue, 1,
   (char*)"V.GetDecimationErrorMinValue() -> float\nC++: double GetDecimationErrorMinValue ();\n\n Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n"},
  {(char*)"GetDecimationErrorMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetDecimationErrorMaxValue, 1,
   (char*)"V.GetDecimationErrorMaxValue() -> float\nC++: double GetDecimationErrorMaxValue ();\n\n Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n"},
  {(char*)"GetDecimationError",                (PyCFunction)PyvtkImageToPolyDataFilter_GetDecimationError, 1,
   (char*)"V.GetDecimationError() -> float\nC++: double GetDecimationError ();\n\n Specify the error to use for decimation (if decimation is on).\n The error is an absolute number--the image spacing and\n dimensions are used to create points so the error should be\n consistent with the image size.\n"},
  {(char*)"SetError",                (PyCFunction)PyvtkImageToPolyDataFilter_SetError, 1,
   (char*)"V.SetError(int)\nC++: void SetError (int );\n\n Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n"},
  {(char*)"GetErrorMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetErrorMinValue, 1,
   (char*)"V.GetErrorMinValue() -> int\nC++: int GetErrorMinValue ();\n\n Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n"},
  {(char*)"GetErrorMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetErrorMaxValue, 1,
   (char*)"V.GetErrorMaxValue() -> int\nC++: int GetErrorMaxValue ();\n\n Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkImageToPolyDataFilter_GetError, 1,
   (char*)"V.GetError() -> int\nC++: int GetError ();\n\n Specify the error value between two colors where the colors are \n considered the same. Only use this if the color mode uses the\n default 256 table.\n"},
  {(char*)"SetSubImageSize",                (PyCFunction)PyvtkImageToPolyDataFilter_SetSubImageSize, 1,
   (char*)"V.SetSubImageSize(int)\nC++: void SetSubImageSize (int );\n\n Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n"},
  {(char*)"GetSubImageSizeMinValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetSubImageSizeMinValue, 1,
   (char*)"V.GetSubImageSizeMinValue() -> int\nC++: int GetSubImageSizeMinValue ();\n\n Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n"},
  {(char*)"GetSubImageSizeMaxValue",                (PyCFunction)PyvtkImageToPolyDataFilter_GetSubImageSizeMaxValue, 1,
   (char*)"V.GetSubImageSizeMaxValue() -> int\nC++: int GetSubImageSizeMaxValue ();\n\n Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n"},
  {(char*)"GetSubImageSize",                (PyCFunction)PyvtkImageToPolyDataFilter_GetSubImageSize, 1,
   (char*)"V.GetSubImageSize() -> int\nC++: int GetSubImageSize ();\n\n Specify the size (n by n pixels) of the largest region to \n polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,\n large amounts of memory are used. In order to process large images,\n the image is broken into pieces that are at most Size pixels in\n width and height.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageToPolyDataFilterDoc[] = {
  (char*)"vtkImageToPolyDataFilter - generate linear primitives (vtkPolyData) from an image\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkImageToPolyDataFilter converts raster data (i.e., an image) into\n polygonal data (i.e., quads or n-sided polygons), with each polygon\n assigned a constant color. This is useful for writers that generate vector\n formats (i.e., CGM or PostScript). To use this filter, you specify how to\n quantize the color (or whether to use an image with a lookup table), and\n what style the output should be. The",
  (char*)" output is always polygons, but the\n choice is n x m quads (where n and m define the input image dimensions)\n \"Pixelize\" option; arbitrary polygons \"Polygonalize\" option; or variable\n number of quads of constant color generated along scan lines \"RunLength\"\n option.\n\n The algorithm quantizes color in order to create coherent regions that the\n polygons can represent with good compression. By default",
  (char*)", the input image\n is quantized to 256 colors using a 3-3-2 bits for red-green-blue. However,\n you can also supply a single component image and a lookup table, with the\n single component assumed to be an index into the table.  (Note: a quantized\n image can be generated with the filter vtkImageQuantizeRGBToIndex.) The\n number of colors on output is equal to the number of colors in the input\n lookup",
  (char*)" table (or 256 if the built in linear ramp is used).\n\n The output of the filter is polygons with a single color per polygon cell.\n If the output style is set to \"Polygonalize\", the polygons may have an\n large number of points (bounded by something like 2*(n+m)); and the\n polygon may not be convex which may cause rendering problems on some\n systems (use vtkTriangleFilter). Otherwise, each polygon w",
  (char*)"ill have four\n vertices. The output also contains scalar data defining RGB color in\n unsigned char form.\n\n\n",
  "Caveats:\n\n The input linear lookup table must\n be of the form of 3-component unsigned char.\n\n This filter defines constant cell colors. If you have a plotting\n device that supports Gouraud shading (linear interpolation of color), then \n superior algorithms are available for generating polygons from images.\n\n Note that many plotting devices/formats support only a limited number of\n colors.\n \n\n",
  "See Also:\n\n vtkCGMWriter vtkImageQuantizeRGBToIndex vtkTriangleFilter\n\n",
  NULL
};

static vtkObjectBase *vtkImageToPolyDataFilterStaticNew()
{
  return vtkImageToPolyDataFilter::New();
}

PyObject *PyVTKClass_vtkImageToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageToPolyDataFilterStaticNew,
                        PyvtkImageToPolyDataFilterMethods,
                        (char*)"vtkImageToPolyDataFilter",modulename,
                        (char**)vtkImageToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

