// tcl wrapper for vtkIterativeClosestPointTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIterativeClosestPointTransform.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkIterativeClosestPointTransformNewCommand()
{
  vtkIterativeClosestPointTransform *temp = vtkIterativeClosestPointTransform::New();
  return static_cast<ClientData>(temp);
}

int vtkLinearTransformCppCommand(vtkLinearTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIterativeClosestPointTransformCppCommand(vtkIterativeClosestPointTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkIterativeClosestPointTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkIterativeClosestPointTransformCppCommand(static_cast<vtkIterativeClosestPointTransform *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIterativeClosestPointTransformCppCommand(vtkIterativeClosestPointTransform *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkIterativeClosestPointTransform",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLinearTransformCppCommand(static_cast<vtkLinearTransform *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLinearTransform"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkIterativeClosestPointTransform  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIterativeClosestPointTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkIterativeClosestPointTransform  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIterativeClosestPointTransform");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkIterativeClosestPointTransform  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIterativeClosestPointTransform");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTarget",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetTarget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetTarget",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetTarget();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkCellLocator  *temp0;
    error = 0;

    temp0 = (vtkCellLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkCellLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfIterations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfIterations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIterations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIterations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCheckMeanDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCheckMeanDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckMeanDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCheckMeanDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckMeanDistanceOn",argv[1]))&&(argc == 2))
    {
    op->CheckMeanDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CheckMeanDistanceOff",argv[1]))&&(argc == 2))
    {
    op->CheckMeanDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMeanDistanceMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMeanDistanceMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMeanDistanceModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMeanDistanceModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMeanDistanceModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMeanDistanceModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMeanDistanceMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMeanDistanceMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMeanDistanceModeToRMS",argv[1]))&&(argc == 2))
    {
    op->SetMeanDistanceModeToRMS();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMeanDistanceModeToAbsoluteValue",argv[1]))&&(argc == 2))
    {
    op->SetMeanDistanceModeToAbsoluteValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMeanDistanceModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetMeanDistanceModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumMeanDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumMeanDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumMeanDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumMeanDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMeanDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMeanDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfLandmarks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfLandmarks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfLandmarks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfLandmarks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStartByMatchingCentroids",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStartByMatchingCentroids(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartByMatchingCentroids",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStartByMatchingCentroids();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StartByMatchingCentroidsOn",argv[1]))&&(argc == 2))
    {
    op->StartByMatchingCentroidsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartByMatchingCentroidsOff",argv[1]))&&(argc == 2))
    {
    op->StartByMatchingCentroidsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLandmarkTransform",argv[1]))&&(argc == 2))
    {
    vtkLandmarkTransform  *temp20;
    temp20 = (op)->GetLandmarkTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLandmarkTransform");
    return TCL_OK;
    }
  if ((!strcmp("Inverse",argv[1]))&&(argc == 2))
    {
    op->Inverse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->MakeTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkIterativeClosestPointTransformCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLinearTransformCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIterativeClosestPointTransform:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTarget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  GetTarget\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfIterations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIterations\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckMeanDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckMeanDistance\n",NULL);
    Tcl_AppendResult(interp,"  CheckMeanDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  CheckMeanDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMeanDistanceMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMeanDistanceModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMeanDistanceModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMeanDistanceMode\n",NULL);
    Tcl_AppendResult(interp,"  SetMeanDistanceModeToRMS\n",NULL);
    Tcl_AppendResult(interp,"  SetMeanDistanceModeToAbsoluteValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMeanDistanceModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumMeanDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMeanDistance\n",NULL);
    Tcl_AppendResult(interp,"  GetMeanDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfLandmarks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfLandmarks\n",NULL);
    Tcl_AppendResult(interp,"  SetStartByMatchingCentroids\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartByMatchingCentroids\n",NULL);
    Tcl_AppendResult(interp,"  StartByMatchingCentroidsOn\n",NULL);
    Tcl_AppendResult(interp,"  StartByMatchingCentroidsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLandmarkTransform\n",NULL);
    Tcl_AppendResult(interp,"  Inverse\n",NULL);
    Tcl_AppendResult(interp,"  MakeTransform\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLinearTransformCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "SetTarget" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "GetTarget" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    Tcl_DStringAppendElement ( &dString, "SetCheckMeanDistance" );
    Tcl_DStringAppendElement ( &dString, "GetCheckMeanDistance" );
    Tcl_DStringAppendElement ( &dString, "CheckMeanDistanceOn" );
    Tcl_DStringAppendElement ( &dString, "CheckMeanDistanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceMode" );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceMode" );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceModeToRMS" );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceModeToAbsoluteValue" );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMeanDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMeanDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfLandmarks" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLandmarks" );
    Tcl_DStringAppendElement ( &dString, "SetStartByMatchingCentroids" );
    Tcl_DStringAppendElement ( &dString, "GetStartByMatchingCentroids" );
    Tcl_DStringAppendElement ( &dString, "StartByMatchingCentroidsOn" );
    Tcl_DStringAppendElement ( &dString, "StartByMatchingCentroidsOff" );
    Tcl_DStringAppendElement ( &dString, "GetLandmarkTransform" );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    Tcl_DStringAppendElement ( &dString, "MakeTransform" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLinearTransformCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIterativeClosestPointTransform *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource (vtkDataSet *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTarget */
    if ( strcmp ( argv[2], "SetTarget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTarget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTarget */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTarget (vtkDataSet *target);" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetTarget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetSource ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTarget */
    if ( strcmp ( argv[2], "GetTarget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTarget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTarget */
    Tcl_DStringAppendElement ( &dString, " Specify the source and target data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetTarget ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetTarget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get a spatial locator for speeding up the search process. \n An instance of vtkCellLocator is used by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator (vtkCellLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set/Get a spatial locator for speeding up the search process. \n An instance of vtkCellLocator is used by default.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellLocator *GetLocator ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "SetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the  maximum number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfIterations (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfIterations */
    if ( strcmp ( argv[2], "GetMaximumNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Set/Get the  maximum number of iterations\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMaximumNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIterations */
    if ( strcmp ( argv[2], "GetNumberOfIterations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIterations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIterations */
    Tcl_DStringAppendElement ( &dString, " Get the number of iterations since the last update\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIterations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetNumberOfIterations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckMeanDistance */
    if ( strcmp ( argv[2], "SetCheckMeanDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckMeanDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckMeanDistance */
    Tcl_DStringAppendElement ( &dString, " Force the algorithm to check the mean distance between two iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckMeanDistance (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetCheckMeanDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckMeanDistance */
    if ( strcmp ( argv[2], "GetCheckMeanDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckMeanDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckMeanDistance */
    Tcl_DStringAppendElement ( &dString, " Force the algorithm to check the mean distance between two iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCheckMeanDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetCheckMeanDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckMeanDistanceOn */
    if ( strcmp ( argv[2], "CheckMeanDistanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckMeanDistanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckMeanDistanceOn */
    Tcl_DStringAppendElement ( &dString, " Force the algorithm to check the mean distance between two iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckMeanDistanceOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for CheckMeanDistanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckMeanDistanceOff */
    if ( strcmp ( argv[2], "CheckMeanDistanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckMeanDistanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckMeanDistanceOff */
    Tcl_DStringAppendElement ( &dString, " Force the algorithm to check the mean distance between two iteration.\n" );
    Tcl_DStringAppendElement ( &dString, "void CheckMeanDistanceOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for CheckMeanDistanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMeanDistanceMode */
    if ( strcmp ( argv[2], "SetMeanDistanceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMeanDistanceMode */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMeanDistanceMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMeanDistanceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeanDistanceModeMinValue */
    if ( strcmp ( argv[2], "GetMeanDistanceModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeanDistanceModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMeanDistanceModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMeanDistanceModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeanDistanceModeMaxValue */
    if ( strcmp ( argv[2], "GetMeanDistanceModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeanDistanceModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMeanDistanceModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMeanDistanceModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeanDistanceMode */
    if ( strcmp ( argv[2], "GetMeanDistanceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeanDistanceMode */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMeanDistanceMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMeanDistanceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMeanDistanceModeToRMS */
    if ( strcmp ( argv[2], "SetMeanDistanceModeToRMS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceModeToRMS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMeanDistanceModeToRMS */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMeanDistanceModeToRMS ();this SetMeanDistanceMode VTK_ICP_MODE_RMS " );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMeanDistanceModeToRMS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMeanDistanceModeToAbsoluteValue */
    if ( strcmp ( argv[2], "SetMeanDistanceModeToAbsoluteValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMeanDistanceModeToAbsoluteValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMeanDistanceModeToAbsoluteValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMeanDistanceModeToAbsoluteValue ();this SetMeanDistanceMode VTK_ICP_MODE_AV " );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMeanDistanceModeToAbsoluteValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeanDistanceModeAsString */
    if ( strcmp ( argv[2], "GetMeanDistanceModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistanceModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeanDistanceModeAsString */
    Tcl_DStringAppendElement ( &dString, " Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetMeanDistanceModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMeanDistanceModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumMeanDistance */
    if ( strcmp ( argv[2], "SetMaximumMeanDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumMeanDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumMeanDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum mean distance between two iteration. If the mean\n distance is lower than this, the convergence stops.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumMeanDistance (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMaximumMeanDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumMeanDistance */
    if ( strcmp ( argv[2], "GetMaximumMeanDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumMeanDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumMeanDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum mean distance between two iteration. If the mean\n distance is lower than this, the convergence stops.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumMeanDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMaximumMeanDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeanDistance */
    if ( strcmp ( argv[2], "GetMeanDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeanDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeanDistance */
    Tcl_DStringAppendElement ( &dString, " Get the mean distance between the last two iterations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMeanDistance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMeanDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfLandmarks */
    if ( strcmp ( argv[2], "SetMaximumNumberOfLandmarks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfLandmarks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfLandmarks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of landmarks sampled in your dataset.\n If your dataset is dense, then you will typically not need all the \n points to compute the ICP transform. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfLandmarks (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetMaximumNumberOfLandmarks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfLandmarks */
    if ( strcmp ( argv[2], "GetMaximumNumberOfLandmarks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLandmarks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfLandmarks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of landmarks sampled in your dataset.\n If your dataset is dense, then you will typically not need all the \n points to compute the ICP transform. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfLandmarks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetMaximumNumberOfLandmarks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartByMatchingCentroids */
    if ( strcmp ( argv[2], "SetStartByMatchingCentroids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartByMatchingCentroids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartByMatchingCentroids */
    Tcl_DStringAppendElement ( &dString, " Starts the process by translating source centroid to target centroid.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartByMatchingCentroids (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for SetStartByMatchingCentroids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartByMatchingCentroids */
    if ( strcmp ( argv[2], "GetStartByMatchingCentroids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartByMatchingCentroids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartByMatchingCentroids */
    Tcl_DStringAppendElement ( &dString, " Starts the process by translating source centroid to target centroid.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStartByMatchingCentroids ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetStartByMatchingCentroids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartByMatchingCentroidsOn */
    if ( strcmp ( argv[2], "StartByMatchingCentroidsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartByMatchingCentroidsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartByMatchingCentroidsOn */
    Tcl_DStringAppendElement ( &dString, " Starts the process by translating source centroid to target centroid.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartByMatchingCentroidsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for StartByMatchingCentroidsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartByMatchingCentroidsOff */
    if ( strcmp ( argv[2], "StartByMatchingCentroidsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartByMatchingCentroidsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartByMatchingCentroidsOff */
    Tcl_DStringAppendElement ( &dString, " Starts the process by translating source centroid to target centroid.\n" );
    Tcl_DStringAppendElement ( &dString, "void StartByMatchingCentroidsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for StartByMatchingCentroidsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLandmarkTransform */
    if ( strcmp ( argv[2], "GetLandmarkTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLandmarkTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLandmarkTransform */
    Tcl_DStringAppendElement ( &dString, " Get the internal landmark transform. Use it to constrain the number of\n degrees of freedom of the solution (i.e. rigid body, similarity, etc.).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLandmarkTransform *GetLandmarkTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for GetLandmarkTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Inverse */
    if ( strcmp ( argv[2], "Inverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Inverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Inverse */
    Tcl_DStringAppendElement ( &dString, " Invert the transformation.  This is done by switching the\n source and target.\n" );
    Tcl_DStringAppendElement ( &dString, "void Inverse ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for Inverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeTransform */
    if ( strcmp ( argv[2], "MakeTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeTransform */
    Tcl_DStringAppendElement ( &dString, " Make another transform of the same type.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *MakeTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkIterativeClosestPointTransform" );
    /* Closing for MakeTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLinearTransformCppCommand(static_cast<vtkLinearTransform *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
