// python wrapper for vtkLSDynaReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLSDynaReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLSDynaReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLSDynaReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkLSDynaReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkLSDynaReader  *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLSDynaReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLSDynaReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLSDynaReader_DebugDump(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::DebugDump();
      }
    else
      {
      op->DebugDump();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetDatabaseDirectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetDatabaseDirectory(temp0);
      }
    else
      {
      op->SetDatabaseDirectory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetDatabaseDirectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetDatabaseDirectory();
      }
    else
      {
      temp20 = op->GetDatabaseDirectory();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_IsDatabaseValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::IsDatabaseValid();
      }
    else
      {
      temp20 = op->IsDatabaseValid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfContinuumCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfContinuumCells();
      }
    else
      {
      temp20 = op->GetNumberOfContinuumCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfSolidCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfSolidCells();
      }
    else
      {
      temp20 = op->GetNumberOfSolidCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfThickShellCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfThickShellCells();
      }
    else
      {
      temp20 = op->GetNumberOfThickShellCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfShellCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfShellCells();
      }
    else
      {
      temp20 = op->GetNumberOfShellCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfRigidBodyCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfRigidBodyCells();
      }
    else
      {
      temp20 = op->GetNumberOfRigidBodyCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfRoadSurfaceCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfRoadSurfaceCells();
      }
    else
      {
      temp20 = op->GetNumberOfRoadSurfaceCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfBeamCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfBeamCells();
      }
    else
      {
      temp20 = op->GetNumberOfBeamCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfParticleCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfParticleCells();
      }
    else
      {
      temp20 = op->GetNumberOfParticleCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetTimeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  vtkIdType   temp0;
  double   temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetTimeValue(temp0);
      }
    else
      {
      temp20 = op->GetTimeValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int     *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInPointArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInPointArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInPointArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInPointArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInPointArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfCellArrays(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetCellArrayName(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetCellArrayStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetCellArrayStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetCellArrayStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetCellArrayStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInCellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInCellArray(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInCellArray(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInCellArray(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInCellArray(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfSolidArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfSolidArrays();
      }
    else
      {
      temp20 = op->GetNumberOfSolidArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetSolidArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetSolidArrayName(temp0);
      }
    else
      {
      temp20 = op->GetSolidArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetSolidArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetSolidArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSolidArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetSolidArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSolidArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetSolidArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetSolidArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSolidArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetSolidArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSolidArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInSolidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInSolidArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInSolidArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInSolidArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInSolidArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfThickShellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfThickShellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfThickShellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetThickShellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetThickShellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetThickShellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetThickShellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetThickShellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetThickShellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetThickShellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetThickShellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetThickShellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetThickShellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetThickShellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetThickShellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetThickShellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInThickShellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInThickShellArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInThickShellArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInThickShellArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInThickShellArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfShellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfShellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfShellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetShellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetShellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetShellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetShellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetShellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetShellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetShellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetShellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetShellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetShellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetShellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetShellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetShellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInShellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInShellArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInShellArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInShellArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInShellArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfRigidBodyArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfRigidBodyArrays();
      }
    else
      {
      temp20 = op->GetNumberOfRigidBodyArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetRigidBodyArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRigidBodyArrayName(temp0);
      }
    else
      {
      temp20 = op->GetRigidBodyArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetRigidBodyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetRigidBodyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetRigidBodyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetRigidBodyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetRigidBodyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetRigidBodyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRigidBodyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetRigidBodyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRigidBodyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetRigidBodyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInRigidBodyArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInRigidBodyArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInRigidBodyArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInRigidBodyArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInRigidBodyArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfRoadSurfaceArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfRoadSurfaceArrays();
      }
    else
      {
      temp20 = op->GetNumberOfRoadSurfaceArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetRoadSurfaceArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRoadSurfaceArrayName(temp0);
      }
    else
      {
      temp20 = op->GetRoadSurfaceArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetRoadSurfaceArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetRoadSurfaceArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetRoadSurfaceArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetRoadSurfaceArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetRoadSurfaceArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetRoadSurfaceArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRoadSurfaceArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetRoadSurfaceArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRoadSurfaceArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetRoadSurfaceArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInRoadSurfaceArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInRoadSurfaceArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInRoadSurfaceArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInRoadSurfaceArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInRoadSurfaceArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfBeamArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfBeamArrays();
      }
    else
      {
      temp20 = op->GetNumberOfBeamArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetBeamArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetBeamArrayName(temp0);
      }
    else
      {
      temp20 = op->GetBeamArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetBeamArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetBeamArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetBeamArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetBeamArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetBeamArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetBeamArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetBeamArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetBeamArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetBeamArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetBeamArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInBeamArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInBeamArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInBeamArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInBeamArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInBeamArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfParticleArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfParticleArrays();
      }
    else
      {
      temp20 = op->GetNumberOfParticleArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetParticleArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetParticleArrayName(temp0);
      }
    else
      {
      temp20 = op->GetParticleArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetParticleArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetParticleArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetParticleArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetParticleArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetParticleArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetParticleArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetParticleArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetParticleArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetParticleArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetParticleArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfComponentsInParticleArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInParticleArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInParticleArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfComponentsInParticleArray(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfComponentsInParticleArray(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetDeformedMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetDeformedMesh(temp0);
      }
    else
      {
      op->SetDeformedMesh(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetDeformedMesh(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetDeformedMesh();
      }
    else
      {
      temp20 = op->GetDeformedMesh();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_DeformedMeshOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::DeformedMeshOn();
      }
    else
      {
      op->DeformedMeshOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_DeformedMeshOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::DeformedMeshOff();
      }
    else
      {
      op->DeformedMeshOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetRemoveDeletedCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetRemoveDeletedCells(temp0);
      }
    else
      {
      op->SetRemoveDeletedCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetRemoveDeletedCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetRemoveDeletedCells();
      }
    else
      {
      temp20 = op->GetRemoveDeletedCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_RemoveDeletedCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::RemoveDeletedCellsOn();
      }
    else
      {
      op->RemoveDeletedCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_RemoveDeletedCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::RemoveDeletedCellsOff();
      }
    else
      {
      op->RemoveDeletedCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetSplitByMaterialId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetSplitByMaterialId(temp0);
      }
    else
      {
      op->SetSplitByMaterialId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetSplitByMaterialId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetSplitByMaterialId();
      }
    else
      {
      temp20 = op->GetSplitByMaterialId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SplitByMaterialIdOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SplitByMaterialIdOn();
      }
    else
      {
      op->SplitByMaterialIdOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SplitByMaterialIdOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SplitByMaterialIdOff();
      }
    else
      {
      op->SplitByMaterialIdOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetInputDeck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetInputDeck(temp0);
      }
    else
      {
      op->SetInputDeck(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetInputDeck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetInputDeck();
      }
    else
      {
      temp20 = op->GetInputDeck();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetNumberOfPartArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetNumberOfPartArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPartArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetPartArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPartArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_SetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp1;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLSDynaReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLSDynaReader_GetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  int      temp0;
  int      temp20;
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkLSDynaReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkLSDynaReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLSDynaReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLSDynaReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLSDynaReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLSDynaReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLSDynaReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLSDynaReader\nC++: vtkLSDynaReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLSDynaReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLSDynaReader\nC++: vtkLSDynaReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DebugDump",                (PyCFunction)PyvtkLSDynaReader_DebugDump, 1,
   (char*)"V.DebugDump()\nC++: void DebugDump ();\n\n A routine to call Dump() from within a lame debugger that won't\n properly pass a C++ iostream object like cout.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkLSDynaReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *fname);\n\n Determine if the file can be readed with this reader.\n"},
  {(char*)"SetDatabaseDirectory",                (PyCFunction)PyvtkLSDynaReader_SetDatabaseDirectory, 1,
   (char*)"V.SetDatabaseDirectory(string)\nC++: virtual void SetDatabaseDirectory (const char *);\n\n Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n"},
  {(char*)"GetDatabaseDirectory",                (PyCFunction)PyvtkLSDynaReader_GetDatabaseDirectory, 1,
   (char*)"V.GetDatabaseDirectory() -> string\nC++: const char *GetDatabaseDirectory ();\n\n Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n"},
  {(char*)"IsDatabaseValid",                (PyCFunction)PyvtkLSDynaReader_IsDatabaseValid, 1,
   (char*)"V.IsDatabaseValid() -> int\nC++: int IsDatabaseValid ();\n\n Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkLSDynaReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *);\n\n Get/Set the filename. The Set/GetFileName() routines are actually\n wrappers around the Set/GetDatabaseDirectory() members; the actual\n filename you choose is irrelevant -- only the directory name is used.\n This is done in order to accommodate ParaView.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkLSDynaReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: const char *GetFileName ();\n\n Get/Set the filename. The Set/GetFileName() routines are actually\n wrappers around the Set/GetDatabaseDirectory() members; the actual\n filename you choose is irrelevant -- only the directory name is used.\n This is done in order to accommodate ParaView.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkLSDynaReader_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n The title of the database is a 40 or 80 character text description\n stored at the front of a d3plot file.  Do not call this function\n before setting the database directory and calling UpdateInformation().\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkLSDynaReader_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Retrieve the dimension of points in the database. This should return 2\n or 3.  Do not call this function before setting the database directory\n and calling UpdateInformation().\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: vtkIdType GetNumberOfNodes ();\n\n Retrieve the number of points in the database.  Do not call this\n function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: vtkIdType GetNumberOfCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n\n Note that GetNumberOfCells() returns the sum of\n GetNumberOfContinuumCells() and GetNumberOfParticleCells().\n"},
  {(char*)"GetNumberOfContinuumCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfContinuumCells, 1,
   (char*)"V.GetNumberOfContinuumCells() -> int\nC++: vtkIdType GetNumberOfContinuumCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n\n Note that GetNumberOfContinuumCells() returns the sum of\n GetNumberOfSolidCells(), GetNumberOfThickShellCells(),\n GetNumberOfShellCells(), GetNumberOfRigidBodyCells(),\n GetNumberOfRoadSurfaceCells(), and GetNumberOfBeamCells().\n"},
  {(char*)"GetNumberOfSolidCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfSolidCells, 1,
   (char*)"V.GetNumberOfSolidCells() -> int\nC++: vtkIdType GetNumberOfSolidCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfThickShellCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfThickShellCells, 1,
   (char*)"V.GetNumberOfThickShellCells() -> int\nC++: vtkIdType GetNumberOfThickShellCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfShellCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfShellCells, 1,
   (char*)"V.GetNumberOfShellCells() -> int\nC++: vtkIdType GetNumberOfShellCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfRigidBodyCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfRigidBodyCells, 1,
   (char*)"V.GetNumberOfRigidBodyCells() -> int\nC++: vtkIdType GetNumberOfRigidBodyCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfRoadSurfaceCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfRoadSurfaceCells, 1,
   (char*)"V.GetNumberOfRoadSurfaceCells() -> int\nC++: vtkIdType GetNumberOfRoadSurfaceCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfBeamCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfBeamCells, 1,
   (char*)"V.GetNumberOfBeamCells() -> int\nC++: vtkIdType GetNumberOfBeamCells ();\n\n Retrieve the number of cells of a given type in the database.\n Do not call this function before setting the database directory and calling UpdateInformation().\n"},
  {(char*)"GetNumberOfParticleCells",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfParticleCells, 1,
   (char*)"V.GetNumberOfParticleCells() -> int\nC++: vtkIdType GetNumberOfParticleCells ();\n\n Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: vtkIdType GetNumberOfTimeSteps ();\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkLSDynaReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: virtual void SetTimeStep (vtkIdType );\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkLSDynaReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: vtkIdType GetTimeStep ();\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"GetTimeValue",                (PyCFunction)PyvtkLSDynaReader_GetTimeValue, 1,
   (char*)"V.GetTimeValue(int) -> float\nC++: double GetTimeValue (vtkIdType );\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkLSDynaReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkLSDynaReader_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkLSDynaReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int );\n\n These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(int, int)\nC++: virtual void SetPointArrayStatus (int arr, int status);\nV.SetPointArrayStatus(string, int)\nC++: virtual void SetPointArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(int) -> int\nC++: int GetPointArrayStatus (int arr);\nV.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInPointArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInPointArray, 1,
   (char*)"V.GetNumberOfComponentsInPointArray(int) -> int\nC++: int GetNumberOfComponentsInPointArray (int arr);\nV.GetNumberOfComponentsInPointArray(string) -> int\nC++: int GetNumberOfComponentsInPointArray (const char *arrName);\n\n These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays(int) -> int\nC++: int GetNumberOfCellArrays (int cellType);\n\n Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkLSDynaReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int, int) -> string\nC++: const char *GetCellArrayName (int cellType, int arr);\n\n Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(int, int, int)\nC++: virtual void SetCellArrayStatus (int cellType, int arr, int status);\nV.SetCellArrayStatus(int, string, int)\nC++: virtual void SetCellArrayStatus (int cellType, const char *arrName, int status);\n\n Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(int, int) -> int\nC++: int GetCellArrayStatus (int cellType, int arr);\nV.GetCellArrayStatus(int, string) -> int\nC++: int GetCellArrayStatus (int cellType, const char *arrName);\n\n Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n"},
  {(char*)"GetNumberOfComponentsInCellArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInCellArray, 1,
   (char*)"V.GetNumberOfComponentsInCellArray(int, int) -> int\nC++: int GetNumberOfComponentsInCellArray (int cellType, int arr);\nV.GetNumberOfComponentsInCellArray(int, string) -> int\nC++: int GetNumberOfComponentsInCellArray (int cellType, const char *arrName);\n\n Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n"},
  {(char*)"GetNumberOfSolidArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfSolidArrays, 1,
   (char*)"V.GetNumberOfSolidArrays() -> int\nC++: int GetNumberOfSolidArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetSolidArrayName",                (PyCFunction)PyvtkLSDynaReader_GetSolidArrayName, 1,
   (char*)"V.GetSolidArrayName(int) -> string\nC++: const char *GetSolidArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetSolidArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetSolidArrayStatus, 1,
   (char*)"V.SetSolidArrayStatus(int, int)\nC++: virtual void SetSolidArrayStatus (int arr, int status);\nV.SetSolidArrayStatus(string, int)\nC++: virtual void SetSolidArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetSolidArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetSolidArrayStatus, 1,
   (char*)"V.GetSolidArrayStatus(int) -> int\nC++: int GetSolidArrayStatus (int arr);\nV.GetSolidArrayStatus(string) -> int\nC++: int GetSolidArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInSolidArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInSolidArray, 1,
   (char*)"V.GetNumberOfComponentsInSolidArray(int) -> int\nC++: int GetNumberOfComponentsInSolidArray (int a);\nV.GetNumberOfComponentsInSolidArray(string) -> int\nC++: int GetNumberOfComponentsInSolidArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfThickShellArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfThickShellArrays, 1,
   (char*)"V.GetNumberOfThickShellArrays() -> int\nC++: int GetNumberOfThickShellArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetThickShellArrayName",                (PyCFunction)PyvtkLSDynaReader_GetThickShellArrayName, 1,
   (char*)"V.GetThickShellArrayName(int) -> string\nC++: const char *GetThickShellArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetThickShellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetThickShellArrayStatus, 1,
   (char*)"V.SetThickShellArrayStatus(int, int)\nC++: virtual void SetThickShellArrayStatus (int arr, int status);\nV.SetThickShellArrayStatus(string, int)\nC++: virtual void SetThickShellArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetThickShellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetThickShellArrayStatus, 1,
   (char*)"V.GetThickShellArrayStatus(int) -> int\nC++: int GetThickShellArrayStatus (int arr);\nV.GetThickShellArrayStatus(string) -> int\nC++: int GetThickShellArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInThickShellArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInThickShellArray, 1,
   (char*)"V.GetNumberOfComponentsInThickShellArray(int) -> int\nC++: int GetNumberOfComponentsInThickShellArray (int a);\nV.GetNumberOfComponentsInThickShellArray(string) -> int\nC++: int GetNumberOfComponentsInThickShellArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfShellArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfShellArrays, 1,
   (char*)"V.GetNumberOfShellArrays() -> int\nC++: int GetNumberOfShellArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetShellArrayName",                (PyCFunction)PyvtkLSDynaReader_GetShellArrayName, 1,
   (char*)"V.GetShellArrayName(int) -> string\nC++: const char *GetShellArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetShellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetShellArrayStatus, 1,
   (char*)"V.SetShellArrayStatus(int, int)\nC++: virtual void SetShellArrayStatus (int arr, int status);\nV.SetShellArrayStatus(string, int)\nC++: virtual void SetShellArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetShellArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetShellArrayStatus, 1,
   (char*)"V.GetShellArrayStatus(int) -> int\nC++: int GetShellArrayStatus (int arr);\nV.GetShellArrayStatus(string) -> int\nC++: int GetShellArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInShellArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInShellArray, 1,
   (char*)"V.GetNumberOfComponentsInShellArray(int) -> int\nC++: int GetNumberOfComponentsInShellArray (int a);\nV.GetNumberOfComponentsInShellArray(string) -> int\nC++: int GetNumberOfComponentsInShellArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfRigidBodyArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfRigidBodyArrays, 1,
   (char*)"V.GetNumberOfRigidBodyArrays() -> int\nC++: int GetNumberOfRigidBodyArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetRigidBodyArrayName",                (PyCFunction)PyvtkLSDynaReader_GetRigidBodyArrayName, 1,
   (char*)"V.GetRigidBodyArrayName(int) -> string\nC++: const char *GetRigidBodyArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetRigidBodyArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetRigidBodyArrayStatus, 1,
   (char*)"V.SetRigidBodyArrayStatus(int, int)\nC++: virtual void SetRigidBodyArrayStatus (int arr, int status);\nV.SetRigidBodyArrayStatus(string, int)\nC++: virtual void SetRigidBodyArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetRigidBodyArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetRigidBodyArrayStatus, 1,
   (char*)"V.GetRigidBodyArrayStatus(int) -> int\nC++: int GetRigidBodyArrayStatus (int arr);\nV.GetRigidBodyArrayStatus(string) -> int\nC++: int GetRigidBodyArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInRigidBodyArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInRigidBodyArray, 1,
   (char*)"V.GetNumberOfComponentsInRigidBodyArray(int) -> int\nC++: int GetNumberOfComponentsInRigidBodyArray (int a);\nV.GetNumberOfComponentsInRigidBodyArray(string) -> int\nC++: int GetNumberOfComponentsInRigidBodyArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfRoadSurfaceArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfRoadSurfaceArrays, 1,
   (char*)"V.GetNumberOfRoadSurfaceArrays() -> int\nC++: int GetNumberOfRoadSurfaceArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetRoadSurfaceArrayName",                (PyCFunction)PyvtkLSDynaReader_GetRoadSurfaceArrayName, 1,
   (char*)"V.GetRoadSurfaceArrayName(int) -> string\nC++: const char *GetRoadSurfaceArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetRoadSurfaceArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetRoadSurfaceArrayStatus, 1,
   (char*)"V.SetRoadSurfaceArrayStatus(int, int)\nC++: virtual void SetRoadSurfaceArrayStatus (int arr, int status);\nV.SetRoadSurfaceArrayStatus(string, int)\nC++: virtual void SetRoadSurfaceArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetRoadSurfaceArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetRoadSurfaceArrayStatus, 1,
   (char*)"V.GetRoadSurfaceArrayStatus(int) -> int\nC++: int GetRoadSurfaceArrayStatus (int arr);\nV.GetRoadSurfaceArrayStatus(string) -> int\nC++: int GetRoadSurfaceArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInRoadSurfaceArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInRoadSurfaceArray, 1,
   (char*)"V.GetNumberOfComponentsInRoadSurfaceArray(int) -> int\nC++: int GetNumberOfComponentsInRoadSurfaceArray (int a);\nV.GetNumberOfComponentsInRoadSurfaceArray(string) -> int\nC++: int GetNumberOfComponentsInRoadSurfaceArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfBeamArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfBeamArrays, 1,
   (char*)"V.GetNumberOfBeamArrays() -> int\nC++: int GetNumberOfBeamArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetBeamArrayName",                (PyCFunction)PyvtkLSDynaReader_GetBeamArrayName, 1,
   (char*)"V.GetBeamArrayName(int) -> string\nC++: const char *GetBeamArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetBeamArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetBeamArrayStatus, 1,
   (char*)"V.SetBeamArrayStatus(int, int)\nC++: virtual void SetBeamArrayStatus (int arr, int status);\nV.SetBeamArrayStatus(string, int)\nC++: virtual void SetBeamArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetBeamArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetBeamArrayStatus, 1,
   (char*)"V.GetBeamArrayStatus(int) -> int\nC++: int GetBeamArrayStatus (int arr);\nV.GetBeamArrayStatus(string) -> int\nC++: int GetBeamArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInBeamArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInBeamArray, 1,
   (char*)"V.GetNumberOfComponentsInBeamArray(int) -> int\nC++: int GetNumberOfComponentsInBeamArray (int a);\nV.GetNumberOfComponentsInBeamArray(string) -> int\nC++: int GetNumberOfComponentsInBeamArray (const char *arrName);\n\n"},
  {(char*)"GetNumberOfParticleArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfParticleArrays, 1,
   (char*)"V.GetNumberOfParticleArrays() -> int\nC++: int GetNumberOfParticleArrays ();\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetParticleArrayName",                (PyCFunction)PyvtkLSDynaReader_GetParticleArrayName, 1,
   (char*)"V.GetParticleArrayName(int) -> string\nC++: const char *GetParticleArrayName (int );\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"SetParticleArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetParticleArrayStatus, 1,
   (char*)"V.SetParticleArrayStatus(int, int)\nC++: virtual void SetParticleArrayStatus (int arr, int status);\nV.SetParticleArrayStatus(string, int)\nC++: virtual void SetParticleArrayStatus (const char *arrName, int status);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetParticleArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetParticleArrayStatus, 1,
   (char*)"V.GetParticleArrayStatus(int) -> int\nC++: int GetParticleArrayStatus (int arr);\nV.GetParticleArrayStatus(string) -> int\nC++: int GetParticleArrayStatus (const char *arrName);\n\n These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n"},
  {(char*)"GetNumberOfComponentsInParticleArray",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfComponentsInParticleArray, 1,
   (char*)"V.GetNumberOfComponentsInParticleArray(int) -> int\nC++: int GetNumberOfComponentsInParticleArray (int a);\nV.GetNumberOfComponentsInParticleArray(string) -> int\nC++: int GetNumberOfComponentsInParticleArray (const char *arrName);\n\n"},
  {(char*)"SetDeformedMesh",                (PyCFunction)PyvtkLSDynaReader_SetDeformedMesh, 1,
   (char*)"V.SetDeformedMesh(int)\nC++: void SetDeformedMesh (int );\n\n Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n"},
  {(char*)"GetDeformedMesh",                (PyCFunction)PyvtkLSDynaReader_GetDeformedMesh, 1,
   (char*)"V.GetDeformedMesh() -> int\nC++: int GetDeformedMesh ();\n\n Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n"},
  {(char*)"DeformedMeshOn",                (PyCFunction)PyvtkLSDynaReader_DeformedMeshOn, 1,
   (char*)"V.DeformedMeshOn()\nC++: void DeformedMeshOn ();\n\n Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n"},
  {(char*)"DeformedMeshOff",                (PyCFunction)PyvtkLSDynaReader_DeformedMeshOff, 1,
   (char*)"V.DeformedMeshOff()\nC++: void DeformedMeshOff ();\n\n Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n"},
  {(char*)"SetRemoveDeletedCells",                (PyCFunction)PyvtkLSDynaReader_SetRemoveDeletedCells, 1,
   (char*)"V.SetRemoveDeletedCells(int)\nC++: void SetRemoveDeletedCells (int );\n\n Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as deleted; in that case, \"Death\"\n will appear to be a point array.\n"},
  {(char*)"GetRemoveDeletedCells",                (PyCFunction)PyvtkLSDynaReader_GetRemoveDeletedCells, 1,
   (char*)"V.GetRemoveDeletedCells() -> int\nC++: int GetRemoveDeletedCells ();\n\n Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as deleted; in that case, \"Death\"\n will appear to be a point array.\n"},
  {(char*)"RemoveDeletedCellsOn",                (PyCFunction)PyvtkLSDynaReader_RemoveDeletedCellsOn, 1,
   (char*)"V.RemoveDeletedCellsOn()\nC++: void RemoveDeletedCellsOn ();\n\n Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as deleted; in that case, \"Death\"\n will appear to be a point array.\n"},
  {(char*)"RemoveDeletedCellsOff",                (PyCFunction)PyvtkLSDynaReader_RemoveDeletedCellsOff, 1,
   (char*)"V.RemoveDeletedCellsOff()\nC++: void RemoveDeletedCellsOff ();\n\n Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as deleted; in that case, \"Death\"\n will appear to be a point array.\n"},
  {(char*)"SetSplitByMaterialId",                (PyCFunction)PyvtkLSDynaReader_SetSplitByMaterialId, 1,
   (char*)"V.SetSplitByMaterialId(int)\nC++: void SetSplitByMaterialId (int );\n\n Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n"},
  {(char*)"GetSplitByMaterialId",                (PyCFunction)PyvtkLSDynaReader_GetSplitByMaterialId, 1,
   (char*)"V.GetSplitByMaterialId() -> int\nC++: int GetSplitByMaterialId ();\n\n Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n"},
  {(char*)"SplitByMaterialIdOn",                (PyCFunction)PyvtkLSDynaReader_SplitByMaterialIdOn, 1,
   (char*)"V.SplitByMaterialIdOn()\nC++: void SplitByMaterialIdOn ();\n\n Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n"},
  {(char*)"SplitByMaterialIdOff",                (PyCFunction)PyvtkLSDynaReader_SplitByMaterialIdOff, 1,
   (char*)"V.SplitByMaterialIdOff()\nC++: void SplitByMaterialIdOff ();\n\n Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n"},
  {(char*)"SetInputDeck",                (PyCFunction)PyvtkLSDynaReader_SetInputDeck, 1,
   (char*)"V.SetInputDeck(string)\nC++: void SetInputDeck (char *);\n\n The name of the input deck corresponding to the current database.\n This is used to determine the part names associated with each material ID.\n This file may be in two formats: a valid LSDyna input deck or a \n short XML summary.\n If the file begins with \"<?xml\" then the summary format is used.\n Otherwise, the keyword format is used and a summary file will be\n created if write permissions exist in the directory containing\n the keyword file. The newly created summary will have \".k\" or \".key\"\n stripped from the end of the keyword filename and \".lsdyna\" appended.\n"},
  {(char*)"GetInputDeck",                (PyCFunction)PyvtkLSDynaReader_GetInputDeck, 1,
   (char*)"V.GetInputDeck() -> string\nC++: char *GetInputDeck ();\n\n The name of the input deck corresponding to the current database.\n This is used to determine the part names associated with each material ID.\n This file may be in two formats: a valid LSDyna input deck or a \n short XML summary.\n If the file begins with \"<?xml\" then the summary format is used.\n Otherwise, the keyword format is used and a summary file will be\n created if write permissions exist in the directory containing\n the keyword file. The newly created summary will have \".k\" or \".key\"\n stripped from the end of the keyword filename and \".lsdyna\" appended.\n"},
  {(char*)"GetNumberOfPartArrays",                (PyCFunction)PyvtkLSDynaReader_GetNumberOfPartArrays, 1,
   (char*)"V.GetNumberOfPartArrays() -> int\nC++: int GetNumberOfPartArrays ();\n\n These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXXX\" where XXX is a sequential material ID.\n"},
  {(char*)"GetPartArrayName",                (PyCFunction)PyvtkLSDynaReader_GetPartArrayName, 1,
   (char*)"V.GetPartArrayName(int) -> string\nC++: const char *GetPartArrayName (int );\n\n These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXXX\" where XXX is a sequential material ID.\n"},
  {(char*)"SetPartArrayStatus",                (PyCFunction)PyvtkLSDynaReader_SetPartArrayStatus, 1,
   (char*)"V.SetPartArrayStatus(int, int)\nC++: virtual void SetPartArrayStatus (int arr, int status);\nV.SetPartArrayStatus(string, int)\nC++: virtual void SetPartArrayStatus (const char *partName, int status);\n\n These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXXX\" where XXX is a sequential material ID.\n"},
  {(char*)"GetPartArrayStatus",                (PyCFunction)PyvtkLSDynaReader_GetPartArrayStatus, 1,
   (char*)"V.GetPartArrayStatus(int) -> int\nC++: int GetPartArrayStatus (int arr);\nV.GetPartArrayStatus(string) -> int\nC++: int GetPartArrayStatus (const char *partName);\n\n These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXXX\" where XXX is a sequential material ID.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLSDynaReaderDoc[] = {
  (char*)"vtkLSDynaReader - Read LS-Dyna databases (d3plot)\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" This filter reads LS-Dyna databases.\n\n The Set/GetFileName() routines are actually wrappers around the\n Set/GetDatabaseDirectory() members; the actual filename you choose is\n irrelevant -- only the directory name is used.  This is done in order to\n accommodate ParaView.\n\n Note that this reader produces 7 output meshes.\n These meshes are required as several attributes are defined on subsets\n of th",
  (char*)"e mesh.  Below is a list of meshes in the order they are output and\n an explanation of which attributes are unique to each mesh:\n - solid (3D) elements: number of integration points are different than 2D\n - thick shell elements: number of integration points are different than \n planar 2D\n - shell (2D) elements: number of integration points are different than 3D\n - rigid surfaces: can't have deflec",
  (char*)"tion, only velocity, accel, etc.\n - road surfaces: have only a \"segment ID\" (serves as material ID) and a \n velocity.\n - beam elements: have Frenet (TNB) frame and cross-section attributes \n (shape and size)\n - spherical particle hydrodynamics (SPH) elements: have a radius of \n influence, internal energy, etc.\n Because each mesh has its own cell attributes, the vtkLSDynaReader has a\n rather large ",
  (char*)"API.  Instead of a single set of routines to query and set\n cell array names and status, one exists for each possible output mesh.\n Also, GetNumberOfCells() will return the sum of all the cells in all 7\n meshes.  If you want the number of cells in a specific mesh, there are\n separate routines for each mesh type.\n\n .SECTION \"Developer Notes\"\n\n",
  NULL
};

static vtkObjectBase *vtkLSDynaReaderStaticNew()
{
  return vtkLSDynaReader::New();
}

PyObject *PyVTKClass_vtkLSDynaReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkLSDynaReaderStaticNew,
                        PyvtkLSDynaReaderMethods,
                        (char*)"vtkLSDynaReader",modulename,
                        (char**)vtkLSDynaReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

