// tcl wrapper for vtkLegendScaleActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLegendScaleActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLegendScaleActorNewCommand()
{
  vtkLegendScaleActor *temp = vtkLegendScaleActor::New();
  return static_cast<ClientData>(temp);
}

int vtkPropCppCommand(vtkProp *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLegendScaleActorCppCommand(vtkLegendScaleActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLegendScaleActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLegendScaleActorCppCommand(static_cast<vtkLegendScaleActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLegendScaleActorCppCommand(vtkLegendScaleActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLegendScaleActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPropCppCommand(static_cast<vtkProp *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkProp"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLegendScaleActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLegendScaleActor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLegendScaleActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLegendScaleActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLegendScaleActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLegendScaleActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelModeToDistance",argv[1]))&&(argc == 2))
    {
    op->SetLabelModeToDistance();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelModeToXYCoordinates",argv[1]))&&(argc == 2))
    {
    op->SetLabelModeToXYCoordinates();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRightAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RightAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->RightAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->RightAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTopAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTopAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TopAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TopAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TopAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TopAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LeftAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LeftAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LeftAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBottomAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBottomAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBottomAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBottomAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BottomAxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->BottomAxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BottomAxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->BottomAxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLegendVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLegendVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLegendVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LegendVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LegendVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LegendVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LegendVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllAxesOn",argv[1]))&&(argc == 2))
    {
    op->AllAxesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllAxesOff",argv[1]))&&(argc == 2))
    {
    op->AllAxesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllAnnotationsOn",argv[1]))&&(argc == 2))
    {
    op->AllAnnotationsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllAnnotationsOff",argv[1]))&&(argc == 2))
    {
    op->AllAnnotationsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRightBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightBorderOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightBorderOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightBorderOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightBorderOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTopBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTopBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopBorderOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopBorderOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTopBorderOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopBorderOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTopBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftBorderOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftBorderOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftBorderOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftBorderOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBottomBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBottomBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBottomBorderOffsetMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBottomBorderOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBottomBorderOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBottomBorderOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBottomBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBottomBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLegendTitleProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLegendTitleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetLegendLabelProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLegendLabelProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetRightAxis",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetRightAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetTopAxis",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetTopAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetLeftAxis",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetLeftAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetBottomAxis",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetBottomAxis();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->BuildRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLegendScaleActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPropCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLegendScaleActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelMode\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelModeToDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelModeToXYCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  SetRightAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  RightAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  RightAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTopAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTopAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TopAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TopAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LeftAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LeftAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBottomAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  BottomAxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  BottomAxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LegendVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LegendVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  AllAxesOn\n",NULL);
    Tcl_AppendResult(interp,"  AllAxesOff\n",NULL);
    Tcl_AppendResult(interp,"  AllAnnotationsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllAnnotationsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRightBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightBorderOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightBorderOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightBorderOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetTopBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTopBorderOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTopBorderOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTopBorderOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftBorderOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftBorderOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftBorderOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetBottomBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomBorderOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomBorderOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomBorderOffset\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendTitleProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendLabelProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetRightAxis\n",NULL);
    Tcl_AppendResult(interp,"  GetTopAxis\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftAxis\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomAxis\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPropCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLabelMode" );
    Tcl_DStringAppendElement ( &dString, "GetLabelModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelMode" );
    Tcl_DStringAppendElement ( &dString, "SetLabelModeToDistance" );
    Tcl_DStringAppendElement ( &dString, "SetLabelModeToXYCoordinates" );
    Tcl_DStringAppendElement ( &dString, "SetRightAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetRightAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "RightAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "RightAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTopAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTopAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "TopAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TopAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeftAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLeftAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "LeftAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LeftAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetBottomAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetBottomAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "BottomAxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "BottomAxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "AllAxesOn" );
    Tcl_DStringAppendElement ( &dString, "AllAxesOff" );
    Tcl_DStringAppendElement ( &dString, "AllAnnotationsOn" );
    Tcl_DStringAppendElement ( &dString, "AllAnnotationsOff" );
    Tcl_DStringAppendElement ( &dString, "SetRightBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "SetTopBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "SetLeftBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "SetBottomBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetLegendTitleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLegendLabelProperty" );
    Tcl_DStringAppendElement ( &dString, "GetRightAxis" );
    Tcl_DStringAppendElement ( &dString, "GetTopAxis" );
    Tcl_DStringAppendElement ( &dString, "GetLeftAxis" );
    Tcl_DStringAppendElement ( &dString, "GetBottomAxis" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPropCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLegendScaleActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelMode */
    if ( strcmp ( argv[2], "SetLabelMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelMode */
    Tcl_DStringAppendElement ( &dString, " Specify the mode for labeling the scale axes. By default, the axes are\n labeled with the distance between points (centered at a distance of\n 0.0). Alternatively if you know that the view is down the z-axis; the\n axes can be labeled with x-y coordinate values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLabelMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelModeMinValue */
    if ( strcmp ( argv[2], "GetLabelModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mode for labeling the scale axes. By default, the axes are\n labeled with the distance between points (centered at a distance of\n 0.0). Alternatively if you know that the view is down the z-axis; the\n axes can be labeled with x-y coordinate values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLabelModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelModeMaxValue */
    if ( strcmp ( argv[2], "GetLabelModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mode for labeling the scale axes. By default, the axes are\n labeled with the distance between points (centered at a distance of\n 0.0). Alternatively if you know that the view is down the z-axis; the\n axes can be labeled with x-y coordinate values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLabelModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelMode */
    if ( strcmp ( argv[2], "GetLabelMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelMode */
    Tcl_DStringAppendElement ( &dString, " Specify the mode for labeling the scale axes. By default, the axes are\n labeled with the distance between points (centered at a distance of\n 0.0). Alternatively if you know that the view is down the z-axis; the\n axes can be labeled with x-y coordinate values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLabelMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelModeToDistance */
    if ( strcmp ( argv[2], "SetLabelModeToDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelModeToDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelModeToDistance */
    Tcl_DStringAppendElement ( &dString, " Specify the mode for labeling the scale axes. By default, the axes are\n labeled with the distance between points (centered at a distance of\n 0.0). Alternatively if you know that the view is down the z-axis; the\n axes can be labeled with x-y coordinate values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelModeToDistance ();this SetLabelMode DISTANCE " );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLabelModeToDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelModeToXYCoordinates */
    if ( strcmp ( argv[2], "SetLabelModeToXYCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelModeToXYCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelModeToXYCoordinates */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelModeToXYCoordinates ();this SetLabelMode XY_COORDINATES " );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLabelModeToXYCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightAxisVisibility */
    if ( strcmp ( argv[2], "SetRightAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetRightAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightAxisVisibility */
    if ( strcmp ( argv[2], "GetRightAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetRightAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightAxisVisibilityOn */
    if ( strcmp ( argv[2], "RightAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void RightAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for RightAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightAxisVisibilityOff */
    if ( strcmp ( argv[2], "RightAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void RightAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for RightAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopAxisVisibility */
    if ( strcmp ( argv[2], "SetTopAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTopAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetTopAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopAxisVisibility */
    if ( strcmp ( argv[2], "GetTopAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTopAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetTopAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopAxisVisibilityOn */
    if ( strcmp ( argv[2], "TopAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for TopAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopAxisVisibilityOff */
    if ( strcmp ( argv[2], "TopAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for TopAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftAxisVisibility */
    if ( strcmp ( argv[2], "SetLeftAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLeftAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftAxisVisibility */
    if ( strcmp ( argv[2], "GetLeftAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLeftAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftAxisVisibilityOn */
    if ( strcmp ( argv[2], "LeftAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeftAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for LeftAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftAxisVisibilityOff */
    if ( strcmp ( argv[2], "LeftAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void LeftAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for LeftAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBottomAxisVisibility */
    if ( strcmp ( argv[2], "SetBottomAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBottomAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBottomAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBottomAxisVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetBottomAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomAxisVisibility */
    if ( strcmp ( argv[2], "GetBottomAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBottomAxisVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetBottomAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BottomAxisVisibilityOn */
    if ( strcmp ( argv[2], "BottomAxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BottomAxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BottomAxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void BottomAxisVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for BottomAxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BottomAxisVisibilityOff */
    if ( strcmp ( argv[2], "BottomAxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BottomAxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BottomAxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flags that control which of the four axes to display (top,\n bottom, left and right). By default, all the axes are displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "void BottomAxisVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for BottomAxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendVisibility */
    if ( strcmp ( argv[2], "SetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the legend scale should be displayed or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendVisibility */
    if ( strcmp ( argv[2], "GetLegendVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendVisibility */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the legend scale should be displayed or not.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLegendVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLegendVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendVisibilityOn */
    if ( strcmp ( argv[2], "LegendVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the legend scale should be displayed or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for LegendVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendVisibilityOff */
    if ( strcmp ( argv[2], "LegendVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the legend scale should be displayed or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for LegendVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllAxesOn */
    if ( strcmp ( argv[2], "AllAxesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllAxesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllAxesOn */
    Tcl_DStringAppendElement ( &dString, " Convenience method that turns all the axes either on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllAxesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for AllAxesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllAxesOff */
    if ( strcmp ( argv[2], "AllAxesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllAxesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllAxesOff */
    Tcl_DStringAppendElement ( &dString, " Convenience method that turns all the axes either on or off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllAxesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for AllAxesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllAnnotationsOn */
    if ( strcmp ( argv[2], "AllAnnotationsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllAnnotationsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllAnnotationsOn */
    Tcl_DStringAppendElement ( &dString, " Convenience method that turns all the axes and the legend scale.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllAnnotationsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for AllAnnotationsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllAnnotationsOff */
    if ( strcmp ( argv[2], "AllAnnotationsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllAnnotationsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllAnnotationsOff */
    Tcl_DStringAppendElement ( &dString, " Convenience method that turns all the axes and the legend scale.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllAnnotationsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for AllAnnotationsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightBorderOffset */
    if ( strcmp ( argv[2], "SetRightBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightBorderOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetRightBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightBorderOffsetMinValue */
    if ( strcmp ( argv[2], "GetRightBorderOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightBorderOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightBorderOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetRightBorderOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightBorderOffsetMaxValue */
    if ( strcmp ( argv[2], "GetRightBorderOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightBorderOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightBorderOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetRightBorderOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightBorderOffset */
    if ( strcmp ( argv[2], "GetRightBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightBorderOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetRightBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopBorderOffset */
    if ( strcmp ( argv[2], "SetTopBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTopBorderOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetTopBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopBorderOffsetMinValue */
    if ( strcmp ( argv[2], "GetTopBorderOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopBorderOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTopBorderOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetTopBorderOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopBorderOffsetMaxValue */
    if ( strcmp ( argv[2], "GetTopBorderOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopBorderOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTopBorderOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetTopBorderOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopBorderOffset */
    if ( strcmp ( argv[2], "GetTopBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTopBorderOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetTopBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftBorderOffset */
    if ( strcmp ( argv[2], "SetLeftBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftBorderOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetLeftBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftBorderOffsetMinValue */
    if ( strcmp ( argv[2], "GetLeftBorderOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftBorderOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftBorderOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLeftBorderOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftBorderOffsetMaxValue */
    if ( strcmp ( argv[2], "GetLeftBorderOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftBorderOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftBorderOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLeftBorderOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftBorderOffset */
    if ( strcmp ( argv[2], "GetLeftBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftBorderOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLeftBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBottomBorderOffset */
    if ( strcmp ( argv[2], "SetBottomBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBottomBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBottomBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBottomBorderOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for SetBottomBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomBorderOffsetMinValue */
    if ( strcmp ( argv[2], "GetBottomBorderOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomBorderOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBottomBorderOffsetMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetBottomBorderOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomBorderOffsetMaxValue */
    if ( strcmp ( argv[2], "GetBottomBorderOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomBorderOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBottomBorderOffsetMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetBottomBorderOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomBorderOffset */
    if ( strcmp ( argv[2], "GetBottomBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset of the axes from the borders. This number is expressed in\n pixels, and represents the approximate distance of the axes from the sides\n of the renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBottomBorderOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetBottomBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendTitleProperty */
    if ( strcmp ( argv[2], "GetLegendTitleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendTitleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendTitleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text properties for the legend title and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLegendTitleProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLegendTitleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendLabelProperty */
    if ( strcmp ( argv[2], "GetLegendLabelProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendLabelProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendLabelProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text properties for the legend title and labels.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLegendLabelProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLegendLabelProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightAxis */
    if ( strcmp ( argv[2], "GetRightAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightAxis */
    Tcl_DStringAppendElement ( &dString, " These are methods to retrieve the vtkAxisActors used to represent\n the four axes that form this representation. Users may retrieve and\n then modify these axes to control their appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetRightAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetRightAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopAxis */
    if ( strcmp ( argv[2], "GetTopAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopAxis */
    Tcl_DStringAppendElement ( &dString, " These are methods to retrieve the vtkAxisActors used to represent\n the four axes that form this representation. Users may retrieve and\n then modify these axes to control their appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetTopAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetTopAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftAxis */
    if ( strcmp ( argv[2], "GetLeftAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftAxis */
    Tcl_DStringAppendElement ( &dString, " These are methods to retrieve the vtkAxisActors used to represent\n the four axes that form this representation. Users may retrieve and\n then modify these axes to control their appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetLeftAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetLeftAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomAxis */
    if ( strcmp ( argv[2], "GetBottomAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomAxis */
    Tcl_DStringAppendElement ( &dString, " These are methods to retrieve the vtkAxisActors used to represent\n the four axes that form this representation. Users may retrieve and\n then modify these axes to control their appearance.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetBottomAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetBottomAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors2D (vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendScaleActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPropCppCommand(static_cast<vtkProp *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
