// tcl wrapper for vtkPExodusReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPExodusReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPExodusReaderNewCommand()
{
  vtkPExodusReader *temp = vtkPExodusReader::New();
  return static_cast<ClientData>(temp);
}

int vtkExodusReaderCppCommand(vtkExodusReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPExodusReaderCppCommand(vtkPExodusReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPExodusReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPExodusReaderCppCommand(static_cast<vtkPExodusReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPExodusReaderCppCommand(vtkPExodusReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPExodusReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkExodusReaderCppCommand(static_cast<vtkExodusReader *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkExodusReader"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPExodusReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPExodusReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPExodusReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPExodusReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPExodusReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPExodusReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFilePattern",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePattern(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePattern",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePattern();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFilePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFileRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetFileRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFileNames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFileNames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFiles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFiles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateFileIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateFileIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateFileIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateFileIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFileIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateFileIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFileIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateFileIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfElements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVariableArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVariableArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVariableArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVariableArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableDSPFiltering",argv[1]))&&(argc == 2))
    {
    op->EnableDSPFiltering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddFilter",argv[1]))&&(argc == 3))
    {
    vtkDSPFilterDefinition  *temp0;
    error = 0;

    temp0 = (vtkDSPFilterDefinition *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDSPFilterDefinition"),interp,error));
    if (!error)
    {
    op->AddFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartAddingFilter",argv[1]))&&(argc == 2))
    {
    op->StartAddingFilter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddFilterInputVar",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddFilterInputVar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterOutputVar",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddFilterOutputVar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterNumeratorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterNumeratorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterForwardNumeratorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterForwardNumeratorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterDenominatorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterDenominatorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FinishAddingFilter",argv[1]))&&(argc == 2))
    {
    op->FinishAddingFilter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveFilter",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPExodusReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExodusReaderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPExodusReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePattern\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePattern\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetFileRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFileRange\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFileNames\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFiles\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateFileIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateFileIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFileIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFileIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfElements\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariableArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnableDSPFiltering\n",NULL);
    Tcl_AppendResult(interp,"  AddFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartAddingFilter\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterInputVar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterOutputVar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterNumeratorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterForwardNumeratorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterDenominatorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FinishAddingFilter\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFilter\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkExodusReaderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFilePattern" );
    Tcl_DStringAppendElement ( &dString, "GetFilePattern" );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    Tcl_DStringAppendElement ( &dString, "SetFileRange" );
    Tcl_DStringAppendElement ( &dString, "GetFileRange" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFileNames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFiles" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFileIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFileIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    Tcl_DStringAppendElement ( &dString, "EnableDSPFiltering" );
    Tcl_DStringAppendElement ( &dString, "AddFilter" );
    Tcl_DStringAppendElement ( &dString, "StartAddingFilter" );
    Tcl_DStringAppendElement ( &dString, "AddFilterInputVar" );
    Tcl_DStringAppendElement ( &dString, "AddFilterOutputVar" );
    Tcl_DStringAppendElement ( &dString, "AddFilterNumeratorWeight" );
    Tcl_DStringAppendElement ( &dString, "AddFilterForwardNumeratorWeight" );
    Tcl_DStringAppendElement ( &dString, "AddFilterDenominatorWeight" );
    Tcl_DStringAppendElement ( &dString, "FinishAddingFilter" );
    Tcl_DStringAppendElement ( &dString, "RemoveFilter" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkExodusReaderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPExodusReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePattern */
    if ( strcmp ( argv[2], "SetFilePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePattern */
    Tcl_DStringAppendElement ( &dString, " These methods tell the reader that the data is ditributed across\n multiple files. This is for distributed execution. It this case,\n pieces are mapped to files. The pattern should have one %d to\n format the file number. FileNumberRange is used to generate file\n numbers. I was thinking of having an arbitrary list of file\n numbers. This may happen in the future. (That is why there is no\n GetFileNumberRange method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilePattern (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SetFilePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePattern */
    if ( strcmp ( argv[2], "GetFilePattern" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePattern" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePattern */
    Tcl_DStringAppendElement ( &dString, " These methods tell the reader that the data is ditributed across\n multiple files. This is for distributed execution. It this case,\n pieces are mapped to files. The pattern should have one %d to\n format the file number. FileNumberRange is used to generate file\n numbers. I was thinking of having an arbitrary list of file\n numbers. This may happen in the future. (That is why there is no\n GetFileNumberRange method.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePattern ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetFilePattern */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFilePrefix */
    if ( strcmp ( argv[2], "SetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " These methods tell the reader that the data is ditributed across\n multiple files. This is for distributed execution. It this case,\n pieces are mapped to files. The pattern should have one %d to\n format the file number. FileNumberRange is used to generate file\n numbers. I was thinking of having an arbitrary list of file\n numbers. This may happen in the future. (That is why there is no\n GetFileNumberRange method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFilePrefix (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFilePrefix */
    if ( strcmp ( argv[2], "GetFilePrefix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFilePrefix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFilePrefix */
    Tcl_DStringAppendElement ( &dString, " These methods tell the reader that the data is ditributed across\n multiple files. This is for distributed execution. It this case,\n pieces are mapped to files. The pattern should have one %d to\n format the file number. FileNumberRange is used to generate file\n numbers. I was thinking of having an arbitrary list of file\n numbers. This may happen in the future. (That is why there is no\n GetFileNumberRange method.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFilePrefix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetFilePrefix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileRange */
    if ( strcmp ( argv[2], "SetFileRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileRange */
    Tcl_DStringAppendElement ( &dString, " Set the range of files that are being loaded. The range for single\n file should add to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileRange (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SetFileRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileRange */
    if ( strcmp ( argv[2], "GetFileRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileRange */
    Tcl_DStringAppendElement ( &dString, " Set the range of files that are being loaded. The range for single\n file should add to 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetFileRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetFileRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFileNames */
    if ( strcmp ( argv[2], "GetNumberOfFileNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFileNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFileNames */
    Tcl_DStringAppendElement ( &dString, "   Return the number of files to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFileNames ();return this NumberOfFileNames " );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetNumberOfFileNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFiles */
    if ( strcmp ( argv[2], "GetNumberOfFiles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFiles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFiles */
    Tcl_DStringAppendElement ( &dString, "   Return the number of files to be read.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFiles ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetNumberOfFiles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateFileIdArray */
    if ( strcmp ( argv[2], "SetGenerateFileIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFileIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateFileIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateFileIdArray (int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for SetGenerateFileIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateFileIdArray */
    if ( strcmp ( argv[2], "GetGenerateFileIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFileIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateFileIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateFileIdArray ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetGenerateFileIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFileIdArrayOn */
    if ( strcmp ( argv[2], "GenerateFileIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFileIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFileIdArrayOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GenerateFileIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFileIdArrayOff */
    if ( strcmp ( argv[2], "GenerateFileIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFileIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFileIdArrayOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GenerateFileIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfElements */
    if ( strcmp ( argv[2], "GetTotalNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfElements */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTotalNumberOfElements ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetTotalNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfNodes */
    if ( strcmp ( argv[2], "GetTotalNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTotalNumberOfNodes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetTotalNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariableArrays */
    if ( strcmp ( argv[2], "GetNumberOfVariableArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariableArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVariableArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetNumberOfVariableArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayName */
    if ( strcmp ( argv[2], "GetVariableArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVariableArrayName (int a_which);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for GetVariableArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableDSPFiltering */
    if ( strcmp ( argv[2], "EnableDSPFiltering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableDSPFiltering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableDSPFiltering */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableDSPFiltering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for EnableDSPFiltering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilter */
    if ( strcmp ( argv[2], "AddFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDSPFilterDefinition" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilter (vtkDSPFilterDefinition *a_filter);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartAddingFilter */
    if ( strcmp ( argv[2], "StartAddingFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartAddingFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartAddingFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void StartAddingFilter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for StartAddingFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterInputVar */
    if ( strcmp ( argv[2], "AddFilterInputVar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterInputVar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterInputVar */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterInputVar (char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilterInputVar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterOutputVar */
    if ( strcmp ( argv[2], "AddFilterOutputVar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterOutputVar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterOutputVar */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterOutputVar (char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilterOutputVar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterNumeratorWeight */
    if ( strcmp ( argv[2], "AddFilterNumeratorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterNumeratorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterNumeratorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterNumeratorWeight (double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilterNumeratorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterForwardNumeratorWeight */
    if ( strcmp ( argv[2], "AddFilterForwardNumeratorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterForwardNumeratorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterForwardNumeratorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterForwardNumeratorWeight (double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilterForwardNumeratorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterDenominatorWeight */
    if ( strcmp ( argv[2], "AddFilterDenominatorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterDenominatorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterDenominatorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterDenominatorWeight (double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for AddFilterDenominatorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FinishAddingFilter */
    if ( strcmp ( argv[2], "FinishAddingFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FinishAddingFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FinishAddingFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void FinishAddingFilter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for FinishAddingFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFilter */
    if ( strcmp ( argv[2], "RemoveFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveFilter (char *a_outputVariableName);" );
    Tcl_DStringAppendElement ( &dString, "vtkPExodusReader" );
    /* Closing for RemoveFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkExodusReaderCppCommand(static_cast<vtkExodusReader *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
