// python wrapper for vtkPolyDataToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataToImageStencil.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageStencilSourceNew(char *); }

static PyObject *PyvtkPolyDataToImageStencil_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  const char    *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyDataToImageStencil  *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataToImageStencil  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataToImageStencil::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyData  *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetInformationInput(temp0);
      }
    else
      {
      op->SetInformationInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkImageData  *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetInformationInput();
      }
    else
      {
      temp20 = op->GetInformationInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputOrigin(temp0);
      }
    else
      {
      op->SetOutputOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double  *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetOutputOrigin();
      }
    else
      {
      temp20 = op->GetOutputOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputSpacing(temp0);
      }
    else
      {
      op->SetOutputSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double  *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetOutputSpacing();
      }
    else
      {
      temp20 = op->GetOutputSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetOutputWholeExtent(temp0);
      }
    else
      {
      op->SetOutputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  int     *temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetOutputWholeExtent();
      }
    else
      {
      temp20 = op->GetOutputWholeExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp0;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp20;
  op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataToImageStencilMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataToImageStencil_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataToImageStencil_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataToImageStencil_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataToImageStencil\nC++: vtkPolyDataToImageStencil *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataToImageStencil_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataToImageStencil\nC++: vtkPolyDataToImageStencil *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPolyDataToImageStencil_SetInput, 1,
   (char*)"V.SetInput(vtkPolyData)\nC++: virtual void SetInput (vtkPolyData *);\n\n Specify the implicit function to convert into a stencil.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPolyDataToImageStencil_GetInput, 1,
   (char*)"V.GetInput() -> vtkPolyData\nC++: vtkPolyData *GetInput ();\n\n Specify the implicit function to convert into a stencil.\n"},
  {(char*)"SetInformationInput",                (PyCFunction)PyvtkPolyDataToImageStencil_SetInformationInput, 1,
   (char*)"V.SetInformationInput(vtkImageData)\nC++: virtual void SetInformationInput (vtkImageData *);\n\n Set a vtkImageData that has the Spacing, Origin, and\n WholeExtent that will be used for the stencil.  This\n input should be set to the image that you wish to\n apply the stencil to.  If you use this method, then\n any values set with the SetOutputSpacing, SetOutputOrigin,\n and SetOutputWholeExtent methods will be ignored.\n"},
  {(char*)"GetInformationInput",                (PyCFunction)PyvtkPolyDataToImageStencil_GetInformationInput, 1,
   (char*)"V.GetInformationInput() -> vtkImageData\nC++: vtkImageData *GetInformationInput ();\n\n Set a vtkImageData that has the Spacing, Origin, and\n WholeExtent that will be used for the stencil.  This\n input should be set to the image that you wish to\n apply the stencil to.  If you use this method, then\n any values set with the SetOutputSpacing, SetOutputOrigin,\n and SetOutputWholeExtent methods will be ignored.\n"},
  {(char*)"SetOutputOrigin",                (PyCFunction)PyvtkPolyDataToImageStencil_SetOutputOrigin, 1,
   (char*)"V.SetOutputOrigin(float, float, float)\nC++: void SetOutputOrigin (double , double , double );\nV.SetOutputOrigin((float, float, float))\nC++: void SetOutputOrigin (double  a[3]);\n\n Set the Origin to be used for the stencil.  It should be\n set to the Origin of the image you intend to apply the\n stencil to. The default value is (0,0,0).\n"},
  {(char*)"GetOutputOrigin",                (PyCFunction)PyvtkPolyDataToImageStencil_GetOutputOrigin, 1,
   (char*)"V.GetOutputOrigin() -> (float, float, float)\nC++: double  *GetOutputOrigin ();\n\n Set the Origin to be used for the stencil.  It should be\n set to the Origin of the image you intend to apply the\n stencil to. The default value is (0,0,0).\n"},
  {(char*)"SetOutputSpacing",                (PyCFunction)PyvtkPolyDataToImageStencil_SetOutputSpacing, 1,
   (char*)"V.SetOutputSpacing(float, float, float)\nC++: void SetOutputSpacing (double , double , double );\nV.SetOutputSpacing((float, float, float))\nC++: void SetOutputSpacing (double  a[3]);\n\n Set the Spacing to be used for the stencil. It should be\n set to the Spacing of the image you intend to apply the\n stencil to. The default value is (1,1,1)\n"},
  {(char*)"GetOutputSpacing",                (PyCFunction)PyvtkPolyDataToImageStencil_GetOutputSpacing, 1,
   (char*)"V.GetOutputSpacing() -> (float, float, float)\nC++: double  *GetOutputSpacing ();\n\n Set the Spacing to be used for the stencil. It should be\n set to the Spacing of the image you intend to apply the\n stencil to. The default value is (1,1,1)\n"},
  {(char*)"SetOutputWholeExtent",                (PyCFunction)PyvtkPolyDataToImageStencil_SetOutputWholeExtent, 1,
   (char*)"V.SetOutputWholeExtent(int, int, int, int, int, int)\nC++: void SetOutputWholeExtent (int , int , int , int , int , int );\nV.SetOutputWholeExtent((int, int, int, int, int, int))\nC++: void SetOutputWholeExtent (int  a[6]);\n\n Set the whole extent for the stencil (anything outside\n this extent will be considered to be \"outside\" the stencil).\n If this is not set, then the stencil will always use\n the requested UpdateExtent as the stencil extent.\n"},
  {(char*)"GetOutputWholeExtent",                (PyCFunction)PyvtkPolyDataToImageStencil_GetOutputWholeExtent, 1,
   (char*)"V.GetOutputWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetOutputWholeExtent ();\n\n Set the whole extent for the stencil (anything outside\n this extent will be considered to be \"outside\" the stencil).\n If this is not set, then the stencil will always use\n the requested UpdateExtent as the stencil extent.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkPolyDataToImageStencil_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n The tolerance to apply in when determining whether a voxel\n is inside the stencil, given as a fraction of a voxel.\n Only used in X and Y, not in Z.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkPolyDataToImageStencil_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n The tolerance to apply in when determining whether a voxel\n is inside the stencil, given as a fraction of a voxel.\n Only used in X and Y, not in Z.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkPolyDataToImageStencil_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n The tolerance to apply in when determining whether a voxel\n is inside the stencil, given as a fraction of a voxel.\n Only used in X and Y, not in Z.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkPolyDataToImageStencil_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n The tolerance to apply in when determining whether a voxel\n is inside the stencil, given as a fraction of a voxel.\n Only used in X and Y, not in Z.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataToImageStencilDoc[] = {
  (char*)"vtkPolyDataToImageStencil - use polydata to mask an image\n\n",
  "Super Class:\n\n vtkImageStencilSource\n\n",
  (char*)" The vtkPolyDataToImageStencil class will convert a surface mesh\n into an image stencil that can be used to mask an image with\n vtkImageStencil, or used to calculate statistics within the\n enclosed region with vtkImageAccumulate.\n\n",
  "Caveats:\n\n The input polydata must contain polygons (or other 2D cells) that\n form a 3D surface that encloses a finite volume. Polyline contours\n are ignored.\n\n",
  "See Also:\n\n vtkImageStencil vtkImageAccumulate vtkImageBlend vtkImageReslice\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataToImageStencilStaticNew()
{
  return vtkPolyDataToImageStencil::New();
}

PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataToImageStencilStaticNew,
                        PyvtkPolyDataToImageStencilMethods,
                        (char*)"vtkPolyDataToImageStencil",modulename,
                        (char**)vtkPolyDataToImageStencilDoc,
                        PyVTKClass_vtkImageStencilSourceNew(modulename));
}

