// python wrapper for vtkProcrustesAlignmentFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkProcrustesAlignmentFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProcrustesAlignmentFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProcrustesAlignmentFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkProcrustesAlignmentFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  const char    *temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  vtkProcrustesAlignmentFilter  *temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProcrustesAlignmentFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProcrustesAlignmentFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_GetLandmarkTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  vtkLandmarkTransform  *temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::GetLandmarkTransform();
      }
    else
      {
      temp20 = op->GetLandmarkTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_GetMeanPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  vtkPoints  *temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::GetMeanPoints();
      }
    else
      {
      temp20 = op->GetMeanPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_SetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  int      temp0;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProcrustesAlignmentFilter::SetNumberOfInputs(temp0);
      }
    else
      {
      op->SetNumberOfInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  int      temp0;
  vtkPointSet  *temp1;
  PyObject *tempH1;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointSet");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcrustesAlignmentFilter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkProcrustesAlignmentFilter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkProcrustesAlignmentFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProcrustesAlignmentFilter *op;

  int      temp0;
  vtkPointSet  *temp20;
  op = (vtkProcrustesAlignmentFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProcrustesAlignmentFilter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProcrustesAlignmentFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProcrustesAlignmentFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProcrustesAlignmentFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProcrustesAlignmentFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProcrustesAlignmentFilter\nC++: vtkProcrustesAlignmentFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProcrustesAlignmentFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProcrustesAlignmentFilter\nC++: vtkProcrustesAlignmentFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetLandmarkTransform",                (PyCFunction)PyvtkProcrustesAlignmentFilter_GetLandmarkTransform, 1,
   (char*)"V.GetLandmarkTransform() -> vtkLandmarkTransform\nC++: vtkLandmarkTransform *GetLandmarkTransform ();\n\n Get the internal landmark transform. Use it to constrain the number of\n degrees of freedom of the alignment (i.e. rigid body, similarity, etc.).\n The default is a similarity alignment.\n"},
  {(char*)"GetMeanPoints",                (PyCFunction)PyvtkProcrustesAlignmentFilter_GetMeanPoints, 1,
   (char*)"V.GetMeanPoints() -> vtkPoints\nC++: vtkPoints *GetMeanPoints ();\n\n Get the estimated mean point cloud\n"},
  {(char*)"SetNumberOfInputs",                (PyCFunction)PyvtkProcrustesAlignmentFilter_SetNumberOfInputs, 1,
   (char*)"V.SetNumberOfInputs(int)\nC++: void SetNumberOfInputs (int n);\n\n Specify how many pointsets are going to be given as input.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkProcrustesAlignmentFilter_SetInput, 1,
   (char*)"V.SetInput(int, vtkPointSet)\nC++: void SetInput (int idx, vtkPointSet *p);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int idx, vtkDataObject *input);\n\n Specify the input pointset with index idx.\n Call SetNumberOfInputs before calling this function.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkProcrustesAlignmentFilter_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkPointSet\nC++: vtkPointSet *GetInput (int idx);\n\n Retrieve the input point set with index idx (usually only for pipeline\n tracing).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProcrustesAlignmentFilterDoc[] = {
  (char*)"vtkProcrustesAlignmentFilter - aligns a set of pointsets together\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" \n vtkProcrustesAlignmentFilter is a filter that takes a set of pointsets\n (any object derived from vtkPointSet) and aligns them in a least-squares \n sense to their mutual mean. The algorithm is iterated until convergence, \n as the mean must be recomputed after each alignment. \n\n Call SetNumberOfInputs(n) before calling SetInput(0) ... SetInput(n-1).\n\n Retrieve the outputs using GetOutput(0) ... G",
  (char*)"etOutput(n-1).\n\n The default (in vtkLandmarkTransform) is for a similarity alignment.\n For a rigid-body alignment (to build a 'size-and-shape' model) use: \n\n    GetLandmarkTransform()->SetModeToRigidBody(). \n\n Affine alignments are not normally used but are left in for completeness:\n\n    GetLandmarkTransform()->SetModeToAffine(). \n\n vtkProcrustesAlignmentFilter is an implementation of:\n\n    J.C. G",
  (char*)"ower (1975) \n    Generalized Procrustes Analysis. Psychometrika, 40:33-51.\n\n\n",
  "Caveats:\n\n All of the input pointsets must have the same number of points.\n\n .SECTION Thanks\n Tim Hutton and Rasmus Paulsen who developed and contributed this class\n\n\n",
  "See Also:\n\n vtkLandmarkTransform\n\n",
  NULL
};

static vtkObjectBase *vtkProcrustesAlignmentFilterStaticNew()
{
  return vtkProcrustesAlignmentFilter::New();
}

PyObject *PyVTKClass_vtkProcrustesAlignmentFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkProcrustesAlignmentFilterStaticNew,
                        PyvtkProcrustesAlignmentFilterMethods,
                        (char*)"vtkProcrustesAlignmentFilter",modulename,
                        (char**)vtkProcrustesAlignmentFilterDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

