// python wrapper for vtkRIBExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRIBExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRIBExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRIBExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkRIBExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  const char    *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  vtkRIBExporter  *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRIBExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRIBExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp0;
  int      temp1;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int     *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetPixelSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp0;
  int      temp1;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetPixelSamples(temp0,temp1);
      }
    else
      {
      op->SetPixelSamples(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetPixelSamples(temp0);
      }
    else
      {
      op->SetPixelSamples(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetPixelSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int     *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetPixelSamples();
      }
    else
      {
      temp20 = op->GetPixelSamples();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  char    *temp0;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  char    *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetTexturePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  char    *temp0;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetTexturePrefix(temp0);
      }
    else
      {
      op->SetTexturePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetTexturePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  char    *temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetTexturePrefix();
      }
    else
      {
      temp20 = op->GetTexturePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp0;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetBackground(temp0);
      }
    else
      {
      op->SetBackground(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetBackground();
      }
    else
      {
      temp20 = op->GetBackground();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_BackgroundOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::BackgroundOn();
      }
    else
      {
      op->BackgroundOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_BackgroundOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::BackgroundOff();
      }
    else
      {
      op->BackgroundOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_SetExportArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp0;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::SetExportArrays(temp0);
      }
    else
      {
      op->SetExportArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetExportArraysMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetExportArraysMinValue();
      }
    else
      {
      temp20 = op->GetExportArraysMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetExportArraysMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetExportArraysMaxValue();
      }
    else
      {
      temp20 = op->GetExportArraysMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_ExportArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::ExportArraysOn();
      }
    else
      {
      op->ExportArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_ExportArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBExporter::ExportArraysOff();
      }
    else
      {
      op->ExportArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBExporter_GetExportArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBExporter *op;

  int      temp20;
  op = (vtkRIBExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBExporter::GetExportArrays();
      }
    else
      {
      temp20 = op->GetExportArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRIBExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRIBExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRIBExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRIBExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRIBExporter\nC++: vtkRIBExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRIBExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRIBExporter\nC++: vtkRIBExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkRIBExporter_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: void SetSize (int , int );\nV.SetSize((int, int))\nC++: void SetSize (int  a[2]);\n\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkRIBExporter_GetSize, 1,
   (char*)"V.GetSize() -> (int, int)\nC++: int  *GetSize ();\n\n"},
  {(char*)"SetPixelSamples",                (PyCFunction)PyvtkRIBExporter_SetPixelSamples, 1,
   (char*)"V.SetPixelSamples(int, int)\nC++: void SetPixelSamples (int , int );\nV.SetPixelSamples((int, int))\nC++: void SetPixelSamples (int  a[2]);\n\n"},
  {(char*)"GetPixelSamples",                (PyCFunction)PyvtkRIBExporter_GetPixelSamples, 1,
   (char*)"V.GetPixelSamples() -> (int, int)\nC++: int  *GetPixelSamples ();\n\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkRIBExporter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n Specify the prefix of the files to write out. The resulting file names\n will have .RIB appended to them.\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkRIBExporter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n Specify the prefix of the files to write out. The resulting file names\n will have .RIB appended to them.\n"},
  {(char*)"SetTexturePrefix",                (PyCFunction)PyvtkRIBExporter_SetTexturePrefix, 1,
   (char*)"V.SetTexturePrefix(string)\nC++: void SetTexturePrefix (char *);\n\n Specify the prefix of any generated texture files.\n"},
  {(char*)"GetTexturePrefix",                (PyCFunction)PyvtkRIBExporter_GetTexturePrefix, 1,
   (char*)"V.GetTexturePrefix() -> string\nC++: char *GetTexturePrefix ();\n\n Specify the prefix of any generated texture files.\n"},
  {(char*)"SetBackground",                (PyCFunction)PyvtkRIBExporter_SetBackground, 1,
   (char*)"V.SetBackground(int)\nC++: void SetBackground (int );\n\n Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black background but contain an alpha of 1\n at all pixels and CANNOT be subsequently composited with other images\n using tiffcomp.  However, other RenderMan compliant renderers like\n Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set\n the background color. If this sounds too confusing, use the following\n rules: If you are using Pixar's Renderman, leave the Background\n off. Otherwise, try setting BackGroundOn and see if you get the\n desired results.\n"},
  {(char*)"GetBackground",                (PyCFunction)PyvtkRIBExporter_GetBackground, 1,
   (char*)"V.GetBackground() -> int\nC++: int GetBackground ();\n\n Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black background but contain an alpha of 1\n at all pixels and CANNOT be subsequently composited with other images\n using tiffcomp.  However, other RenderMan compliant renderers like\n Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set\n the background color. If this sounds too confusing, use the following\n rules: If you are using Pixar's Renderman, leave the Background\n off. Otherwise, try setting BackGroundOn and see if you get the\n desired results.\n"},
  {(char*)"BackgroundOn",                (PyCFunction)PyvtkRIBExporter_BackgroundOn, 1,
   (char*)"V.BackgroundOn()\nC++: void BackgroundOn ();\n\n Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black background but contain an alpha of 1\n at all pixels and CANNOT be subsequently composited with other images\n using tiffcomp.  However, other RenderMan compliant renderers like\n Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set\n the background color. If this sounds too confusing, use the following\n rules: If you are using Pixar's Renderman, leave the Background\n off. Otherwise, try setting BackGroundOn and see if you get the\n desired results.\n"},
  {(char*)"BackgroundOff",                (PyCFunction)PyvtkRIBExporter_BackgroundOff, 1,
   (char*)"V.BackgroundOff()\nC++: void BackgroundOff ();\n\n Set/Get the background flag. Default is 0 (off).\n If set, the rib file will contain an\n image shader that will use the renderer window's background\n color. Normally, RenderMan does generate backgrounds. Backgrounds are\n composited into the scene with the tiffcomp program that comes with\n Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an\n image shader but only sets the alpha of the background. Images created\n this way will still have a black background but contain an alpha of 1\n at all pixels and CANNOT be subsequently composited with other images\n using tiffcomp.  However, other RenderMan compliant renderers like\n Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set\n the background color. If this sounds too confusing, use the following\n rules: If you are using Pixar's Renderman, leave the Background\n off. Otherwise, try setting BackGroundOn and see if you get the\n desired results.\n"},
  {(char*)"SetExportArrays",                (PyCFunction)PyvtkRIBExporter_SetExportArrays, 1,
   (char*)"V.SetExportArrays(int)\nC++: void SetExportArrays (int );\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {(char*)"GetExportArraysMinValue",                (PyCFunction)PyvtkRIBExporter_GetExportArraysMinValue, 1,
   (char*)"V.GetExportArraysMinValue() -> int\nC++: int GetExportArraysMinValue ();\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {(char*)"GetExportArraysMaxValue",                (PyCFunction)PyvtkRIBExporter_GetExportArraysMaxValue, 1,
   (char*)"V.GetExportArraysMaxValue() -> int\nC++: int GetExportArraysMaxValue ();\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {(char*)"ExportArraysOn",                (PyCFunction)PyvtkRIBExporter_ExportArraysOn, 1,
   (char*)"V.ExportArraysOn()\nC++: void ExportArraysOn ();\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {(char*)"ExportArraysOff",                (PyCFunction)PyvtkRIBExporter_ExportArraysOff, 1,
   (char*)"V.ExportArraysOff()\nC++: void ExportArraysOff ();\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {(char*)"GetExportArrays",                (PyCFunction)PyvtkRIBExporter_GetExportArrays, 1,
   (char*)"V.GetExportArrays() -> int\nC++: int GetExportArrays ();\n\n Set or get the ExportArrays. If ExportArrays is set, then\n all point data, field data, and cell data arrays will get \n exported together with polygons.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRIBExporterDoc[] = {
  (char*)"vtkRIBExporter - export a scene into RenderMan RIB format.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" vtkRIBExporter is a concrete subclass of vtkExporter that writes a\n Renderman .RIB files. The input specifies a vtkRenderWindow. All\n visible actors and lights will be included in the rib file. The\n following file naming conventions apply:\n   rib file - FilePrefix.rib\n   image file created by RenderMan - FilePrefix.tif\n   texture files - TexturePrefix_0xADDR_MTIME.tif\n This object does NOT genera",
  (char*)"te an image file. The user must run either\n RenderMan or a RenderMan emulator like Blue Moon Ray Tracer (BMRT).\n vtk properties are convert to Renderman shaders as follows:\n   Normal property, no texture map - plastic.sl\n   Normal property with texture map - txtplastic.sl\n These two shaders must be compiled by the rendering package being\n used.  vtkRIBExporter also supports custom shaders. The sha",
  (char*)"ders are\n written using the Renderman Shading Language. See \"The Renderman\n Companion\", ISBN 0-201-50868, 1989 for details on writing shaders.\n vtkRIBProperty specifies the declarations and parameter settings for\n custom shaders.\n Tcl Example: generate a rib file for the current rendering.\n vtkRIBExporter myRIB\n   myRIB SetInput $renWin\n   myRIB SetFIlePrefix mine\n   myRIB Write\n This will create ",
  (char*)"a file mine.rib. After running this file through\n a Renderman renderer a file mine.tif will contain the rendered image.\n\n\n",
  "See Also:\n\n vtkExporter vtkRIBProperty\n\n",
  NULL
};

static vtkObjectBase *vtkRIBExporterStaticNew()
{
  return vtkRIBExporter::New();
}

PyObject *PyVTKClass_vtkRIBExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRIBExporterStaticNew,
                        PyvtkRIBExporterMethods,
                        (char*)"vtkRIBExporter",modulename,
                        (char**)vtkRIBExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

