// python wrapper for vtkRIBProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRIBProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRIBPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRIBPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropertyNew(char *); }

static PyObject *PyvtkRIBProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  const char    *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  int      temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  vtkRIBProperty  *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRIBProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRIBProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRIBProperty_SetSurfaceShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::SetSurfaceShader(temp0);
      }
    else
      {
      op->SetSurfaceShader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_GetSurfaceShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::GetSurfaceShader();
      }
    else
      {
      temp20 = op->GetSurfaceShader();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_SetDisplacementShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::SetDisplacementShader(temp0);
      }
    else
      {
      op->SetDisplacementShader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_GetDisplacementShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::GetDisplacementShader();
      }
    else
      {
      temp20 = op->GetDisplacementShader();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_SetVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  char    *temp1;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::SetVariable(temp0,temp1);
      }
    else
      {
      op->SetVariable(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_AddVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  char    *temp1;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::AddVariable(temp0,temp1);
      }
    else
      {
      op->AddVariable(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_GetDeclarations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::GetDeclarations();
      }
    else
      {
      temp20 = op->GetDeclarations();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_SetParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  char    *temp1;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::SetParameter(temp0,temp1);
      }
    else
      {
      op->SetParameter(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_AddParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp0;
  char    *temp1;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBProperty::AddParameter(temp0,temp1);
      }
    else
      {
      op->AddParameter(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBProperty_GetParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBProperty *op;

  char    *temp20;
  op = (vtkRIBProperty *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBProperty::GetParameters();
      }
    else
      {
      temp20 = op->GetParameters();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRIBPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRIBProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRIBProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRIBProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRIBProperty\nC++: vtkRIBProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRIBProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRIBProperty\nC++: vtkRIBProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSurfaceShader",                (PyCFunction)PyvtkRIBProperty_SetSurfaceShader, 1,
   (char*)"V.SetSurfaceShader(string)\nC++: void SetSurfaceShader (char *);\n\n Specify the name of a surface shader.\n"},
  {(char*)"GetSurfaceShader",                (PyCFunction)PyvtkRIBProperty_GetSurfaceShader, 1,
   (char*)"V.GetSurfaceShader() -> string\nC++: char *GetSurfaceShader ();\n\n Specify the name of a surface shader.\n"},
  {(char*)"SetDisplacementShader",                (PyCFunction)PyvtkRIBProperty_SetDisplacementShader, 1,
   (char*)"V.SetDisplacementShader(string)\nC++: void SetDisplacementShader (char *);\n\n Specify the name of a displacement shader.\n"},
  {(char*)"GetDisplacementShader",                (PyCFunction)PyvtkRIBProperty_GetDisplacementShader, 1,
   (char*)"V.GetDisplacementShader() -> string\nC++: char *GetDisplacementShader ();\n\n Specify the name of a displacement shader.\n"},
  {(char*)"SetVariable",                (PyCFunction)PyvtkRIBProperty_SetVariable, 1,
   (char*)"V.SetVariable(string, string)\nC++: void SetVariable (char *variable, char *declaration);\n\n Specify declarations for variables..\n"},
  {(char*)"AddVariable",                (PyCFunction)PyvtkRIBProperty_AddVariable, 1,
   (char*)"V.AddVariable(string, string)\nC++: void AddVariable (char *variable, char *declaration);\n\n Specify declarations for variables..\n"},
  {(char*)"GetDeclarations",                (PyCFunction)PyvtkRIBProperty_GetDeclarations, 1,
   (char*)"V.GetDeclarations() -> string\nC++: char *GetDeclarations ();\n\n Get variable declarations\n"},
  {(char*)"SetParameter",                (PyCFunction)PyvtkRIBProperty_SetParameter, 1,
   (char*)"V.SetParameter(string, string)\nC++: void SetParameter (char *parameter, char *value);\n\n Specify parameter values for variables.\n"},
  {(char*)"AddParameter",                (PyCFunction)PyvtkRIBProperty_AddParameter, 1,
   (char*)"V.AddParameter(string, string)\nC++: void AddParameter (char *parameter, char *value);\n\n Specify parameter values for variables.\n"},
  {(char*)"GetParameters",                (PyCFunction)PyvtkRIBProperty_GetParameters, 1,
   (char*)"V.GetParameters() -> string\nC++: char *GetParameters ();\n\n Get parameters.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRIBPropertyDoc[] = {
  (char*)"vtkRIBProperty - RIP Property\n\n",
  "Super Class:\n\n vtkProperty\n\n",
  (char*)" vtkRIBProperty is a subclass of vtkProperty that allows the user to\n specify named shaders for use with RenderMan. Both a surface shader\n and displacement shader can be specified. Parameters for the shaders\n can be declared and set.\n\n\n",
  "See Also:\n\n vtkRIBExporter\n\n",
  NULL
};

static vtkObjectBase *vtkRIBPropertyStaticNew()
{
  return vtkRIBProperty::New();
}

PyObject *PyVTKClass_vtkRIBPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkRIBPropertyStaticNew,
                        PyvtkRIBPropertyMethods,
                        (char*)"vtkRIBProperty",modulename,
                        (char**)vtkRIBPropertyDoc,
                        PyVTKClass_vtkPropertyNew(modulename));
}

