// python wrapper for vtkSpiderPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSpiderPlotActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSpiderPlotActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSpiderPlotActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkSpiderPlotActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  const char    *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  char    *temp0;
  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkSpiderPlotActor  *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSpiderPlotActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSpiderPlotActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkDataObject  *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetIndependentVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetIndependentVariables(temp0);
      }
    else
      {
      op->SetIndependentVariables(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetIndependentVariablesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetIndependentVariablesMinValue();
      }
    else
      {
      temp20 = op->GetIndependentVariablesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetIndependentVariablesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetIndependentVariablesMaxValue();
      }
    else
      {
      temp20 = op->GetIndependentVariablesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetIndependentVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetIndependentVariables();
      }
    else
      {
      temp20 = op->GetIndependentVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetIndependentVariablesToColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetIndependentVariablesToColumns();
      }
    else
      {
      op->SetIndependentVariablesToColumns();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetIndependentVariablesToRows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetIndependentVariablesToRows();
      }
    else
      {
      op->SetIndependentVariablesToRows();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetTitleVisibility(temp0);
      }
    else
      {
      op->SetTitleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetTitleVisibility();
      }
    else
      {
      temp20 = op->GetTitleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_TitleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::TitleVisibilityOn();
      }
    else
      {
      op->TitleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_TitleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::TitleVisibilityOff();
      }
    else
      {
      op->TitleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  char    *temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  char    *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetTitleTextProperty(temp0);
      }
    else
      {
      op->SetTitleTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkTextProperty  *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetTitleTextProperty();
      }
    else
      {
      temp20 = op->GetTitleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkTextProperty  *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetNumberOfRings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetNumberOfRings(temp0);
      }
    else
      {
      op->SetNumberOfRings(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetNumberOfRingsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetNumberOfRingsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfRingsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetNumberOfRingsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetNumberOfRingsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfRingsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetNumberOfRings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetNumberOfRings();
      }
    else
      {
      temp20 = op->GetNumberOfRings();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetAxisLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  char    *temp1;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetAxisLabel(temp0,temp1);
      }
    else
      {
      op->SetAxisLabel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetAxisLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  const char    *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetAxisLabel(temp0);
      }
    else
      {
      temp20 = op->GetAxisLabel(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetAxisRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  double   temp1;
  double   temp2;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetAxisRange(temp0,temp1,temp2);
      }
    else
      {
      op->SetAxisRange(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  double temp1[2];
  PyErr_Clear();
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetAxisRange(temp0,temp1);
      }
    else
      {
      op->SetAxisRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetAxisRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  double temp1[2];
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::GetAxisRange(temp0,temp1);
      }
    else
      {
      op->GetAxisRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetPlotColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetPlotColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPlotColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetPlotColor(temp0,temp1);
      }
    else
      {
      op->SetPlotColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_SetLegendVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::SetLegendVisibility(temp0);
      }
    else
      {
      op->SetLegendVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetLegendVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetLegendVisibility();
      }
    else
      {
      temp20 = op->GetLegendVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_LegendVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::LegendVisibilityOn();
      }
    else
      {
      op->LegendVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_LegendVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::LegendVisibilityOff();
      }
    else
      {
      op->LegendVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_GetLegendActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkLegendBoxActor  *temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::GetLegendActor();
      }
    else
      {
      temp20 = op->GetLegendActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  int      temp20;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpiderPlotActor::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpiderPlotActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpiderPlotActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSpiderPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpiderPlotActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}

static PyMethodDef PyvtkSpiderPlotActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpiderPlotActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpiderPlotActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for type information and printing.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpiderPlotActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpiderPlotActor\nC++: vtkSpiderPlotActor *NewInstance ();\n\n Standard methods for type information and printing.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSpiderPlotActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSpiderPlotActor\nC++: vtkSpiderPlotActor *SafeDownCast (vtkObject* o);\n\n Standard methods for type information and printing.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkSpiderPlotActor_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: virtual void SetInput (vtkDataObject *);\n\n Set the input to the spider plot actor.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkSpiderPlotActor_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();\n\n Get the input data object to this actor.\n"},
  {(char*)"SetIndependentVariables",                (PyCFunction)PyvtkSpiderPlotActor_SetIndependentVariables, 1,
   (char*)"V.SetIndependentVariables(int)\nC++: void SetIndependentVariables (int );\n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"GetIndependentVariablesMinValue",                (PyCFunction)PyvtkSpiderPlotActor_GetIndependentVariablesMinValue, 1,
   (char*)"V.GetIndependentVariablesMinValue() -> int\nC++: int GetIndependentVariablesMinValue ();\n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"GetIndependentVariablesMaxValue",                (PyCFunction)PyvtkSpiderPlotActor_GetIndependentVariablesMaxValue, 1,
   (char*)"V.GetIndependentVariablesMaxValue() -> int\nC++: int GetIndependentVariablesMaxValue ();\n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"GetIndependentVariables",                (PyCFunction)PyvtkSpiderPlotActor_GetIndependentVariables, 1,
   (char*)"V.GetIndependentVariables() -> int\nC++: int GetIndependentVariables ();\n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"SetIndependentVariablesToColumns",                (PyCFunction)PyvtkSpiderPlotActor_SetIndependentVariablesToColumns, 1,
   (char*)"V.SetIndependentVariablesToColumns()\nC++: void SetIndependentVariablesToColumns ();this SetIndependentVariables VTK_IV_COLUMN \n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"SetIndependentVariablesToRows",                (PyCFunction)PyvtkSpiderPlotActor_SetIndependentVariablesToRows, 1,
   (char*)"V.SetIndependentVariablesToRows()\nC++: void SetIndependentVariablesToRows ();this SetIndependentVariables VTK_IV_ROW \n\n Specify whether to use the rows or columns as independent variables.\n If columns, then each row represents a separate point. If rows, then \n each column represents a separate point.\n"},
  {(char*)"SetTitleVisibility",                (PyCFunction)PyvtkSpiderPlotActor_SetTitleVisibility, 1,
   (char*)"V.SetTitleVisibility(int)\nC++: void SetTitleVisibility (int );\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"GetTitleVisibility",                (PyCFunction)PyvtkSpiderPlotActor_GetTitleVisibility, 1,
   (char*)"V.GetTitleVisibility() -> int\nC++: int GetTitleVisibility ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"TitleVisibilityOn",                (PyCFunction)PyvtkSpiderPlotActor_TitleVisibilityOn, 1,
   (char*)"V.TitleVisibilityOn()\nC++: void TitleVisibilityOn ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"TitleVisibilityOff",                (PyCFunction)PyvtkSpiderPlotActor_TitleVisibilityOff, 1,
   (char*)"V.TitleVisibilityOff()\nC++: void TitleVisibilityOff ();\n\n Enable/Disable the display of a plot title.\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkSpiderPlotActor_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Set/Get the title of the spider plot.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkSpiderPlotActor_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Set/Get the title of the spider plot.\n"},
  {(char*)"SetTitleTextProperty",                (PyCFunction)PyvtkSpiderPlotActor_SetTitleTextProperty, 1,
   (char*)"V.SetTitleTextProperty(vtkTextProperty)\nC++: virtual void SetTitleTextProperty (vtkTextProperty *p);\n\n Set/Get the title text property.\n"},
  {(char*)"GetTitleTextProperty",                (PyCFunction)PyvtkSpiderPlotActor_GetTitleTextProperty, 1,
   (char*)"V.GetTitleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleTextProperty ();\n\n Set/Get the title text property.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkSpiderPlotActor_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(int)\nC++: void SetLabelVisibility (int );\n\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkSpiderPlotActor_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> int\nC++: int GetLabelVisibility ();\n\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkSpiderPlotActor_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkSpiderPlotActor_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkSpiderPlotActor_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p);\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkSpiderPlotActor_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"SetNumberOfRings",                (PyCFunction)PyvtkSpiderPlotActor_SetNumberOfRings, 1,
   (char*)"V.SetNumberOfRings(int)\nC++: void SetNumberOfRings (int );\n\n Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n"},
  {(char*)"GetNumberOfRingsMinValue",                (PyCFunction)PyvtkSpiderPlotActor_GetNumberOfRingsMinValue, 1,
   (char*)"V.GetNumberOfRingsMinValue() -> int\nC++: int GetNumberOfRingsMinValue ();\n\n Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n"},
  {(char*)"GetNumberOfRingsMaxValue",                (PyCFunction)PyvtkSpiderPlotActor_GetNumberOfRingsMaxValue, 1,
   (char*)"V.GetNumberOfRingsMaxValue() -> int\nC++: int GetNumberOfRingsMaxValue ();\n\n Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n"},
  {(char*)"GetNumberOfRings",                (PyCFunction)PyvtkSpiderPlotActor_GetNumberOfRings, 1,
   (char*)"V.GetNumberOfRings() -> int\nC++: int GetNumberOfRings ();\n\n Specify the number of circumferential rings. If set to zero, then\n none will be shown; othewise the specified number will be shown.\n"},
  {(char*)"SetAxisLabel",                (PyCFunction)PyvtkSpiderPlotActor_SetAxisLabel, 1,
   (char*)"V.SetAxisLabel(int, string)\nC++: void SetAxisLabel (const int i, const char *);\n\n Specify the names of the radial spokes (i.e., the radial axes). If\n not specified, then an integer number is automatically generated.\n"},
  {(char*)"GetAxisLabel",                (PyCFunction)PyvtkSpiderPlotActor_GetAxisLabel, 1,
   (char*)"V.GetAxisLabel(int) -> string\nC++: const char *GetAxisLabel (int i);\n\n Specify the names of the radial spokes (i.e., the radial axes). If\n not specified, then an integer number is automatically generated.\n"},
  {(char*)"SetAxisRange",                (PyCFunction)PyvtkSpiderPlotActor_SetAxisRange, 1,
   (char*)"V.SetAxisRange(int, float, float)\nC++: void SetAxisRange (int i, double min, double max);\nV.SetAxisRange(int, (float, float))\nC++: void SetAxisRange (int i, double range[2]);\n\n Specify the range of data on each radial axis. If not specified,\n then the range is computed automatically. \n"},
  {(char*)"GetAxisRange",                (PyCFunction)PyvtkSpiderPlotActor_GetAxisRange, 1,
   (char*)"V.GetAxisRange(int, (float, float))\nC++: void GetAxisRange (int i, double range[2]);\n\n Specify the range of data on each radial axis. If not specified,\n then the range is computed automatically. \n"},
  {(char*)"SetPlotColor",                (PyCFunction)PyvtkSpiderPlotActor_SetPlotColor, 1,
   (char*)"V.SetPlotColor(int, float, float, float)\nC++: void SetPlotColor (int i, double r, double g, double b);\nV.SetPlotColor(int, (float, float, float))\nC++: void SetPlotColor (int i, const double color[3]);this SetPlotColor i color color color \n\n Specify colors for each plot. If not specified, they are automatically generated.\n"},
  {(char*)"SetLegendVisibility",                (PyCFunction)PyvtkSpiderPlotActor_SetLegendVisibility, 1,
   (char*)"V.SetLegendVisibility(int)\nC++: void SetLegendVisibility (int );\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLegendVisibility",                (PyCFunction)PyvtkSpiderPlotActor_GetLegendVisibility, 1,
   (char*)"V.GetLegendVisibility() -> int\nC++: int GetLegendVisibility ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendVisibilityOn",                (PyCFunction)PyvtkSpiderPlotActor_LegendVisibilityOn, 1,
   (char*)"V.LegendVisibilityOn()\nC++: void LegendVisibilityOn ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendVisibilityOff",                (PyCFunction)PyvtkSpiderPlotActor_LegendVisibilityOff, 1,
   (char*)"V.LegendVisibilityOff()\nC++: void LegendVisibilityOff ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLegendActor",                (PyCFunction)PyvtkSpiderPlotActor_GetLegendActor, 1,
   (char*)"V.GetLegendActor() -> vtkLegendBoxActor\nC++: vtkLegendBoxActor *GetLegendActor ();\n\n Retrieve handles to the legend box. This is useful if you would like \n to manually control the legend appearance.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkSpiderPlotActor_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: int RenderOverlay (vtkViewport *);\n\n Draw the spider plot.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkSpiderPlotActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *);\n\n Draw the spider plot.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSpiderPlotActor_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return \n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSpiderPlotActor_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Does this prop have some translucent polygonal geometry?\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSpiderPlotActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSpiderPlotActorDoc[] = {
  (char*)"vtkSpiderPlotActor - create a spider plot from input field\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkSpiderPlotActor generates a spider plot from an input field (i.e.,\n vtkDataObject). A spider plot represents N-dimensional data by using a set\n of N axes that originate from the center of a circle, and form the spokes\n of a wheel (like a spider web).  Each N-dimensional point is plotted as a\n polyline that forms a closed polygon; the vertices of the polygon\n are plotted against the radial axes",
  (char*)".\n\n To use this class, you must specify an input data object. You'll probably\n also want to specify the position of the plot be setting the Position and\n Position2 instance variables, which define a rectangle in which the plot\n lies. Another important parameter is the IndependentVariables ivar, which\n tells the instance how to interpret the field data (independent variables\n as the rows or columns",
  (char*)" of the field). There are also many other instance\n variables that control the look of the plot includes its title and legend.\n\n Set the text property/attributes of the title and the labels through the \n vtkTextProperty objects associated with these components.\n\n",
  "Caveats:\n\n Field data is not necessarily \"rectangular\" in shape. In these cases, some\n of the data may not be plotted.\n\n Field data can contain non-numeric arrays (i.e. arrays not subclasses of\n vtkDataArray). Such arrays are skipped.\n\n\n",
  "See Also:\n\n vtkParallelCoordinatesActor vtkXYPlotActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkSpiderPlotActorStaticNew()
{
  return vtkSpiderPlotActor::New();
}

PyObject *PyVTKClass_vtkSpiderPlotActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSpiderPlotActorStaticNew,
                        PyvtkSpiderPlotActorMethods,
                        (char*)"vtkSpiderPlotActor",modulename,
                        (char**)vtkSpiderPlotActorDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

