// python wrapper for vtkTemporalDataSetCache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalDataSetCache.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalDataSetCacheNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetCacheNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalDataSetCache_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSetCache *op;

  const char    *temp20;
  op = (vtkTemporalDataSetCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSetCache::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSetCache_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSetCache *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalDataSetCache *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSetCache::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSetCache_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSetCache *op;

  vtkTemporalDataSetCache  *temp20;
  op = (vtkTemporalDataSetCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSetCache::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSetCache_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalDataSetCache  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalDataSetCache::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalDataSetCache_SetCacheSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSetCache *op;

  int      temp0;
  op = (vtkTemporalDataSetCache *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalDataSetCache::SetCacheSize(temp0);
      }
    else
      {
      op->SetCacheSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalDataSetCache_GetCacheSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalDataSetCache *op;

  int      temp20;
  op = (vtkTemporalDataSetCache *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalDataSetCache::GetCacheSize();
      }
    else
      {
      temp20 = op->GetCacheSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalDataSetCacheMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalDataSetCache_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalDataSetCache_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalDataSetCache_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalDataSetCache\nC++: vtkTemporalDataSetCache *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalDataSetCache_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalDataSetCache\nC++: vtkTemporalDataSetCache *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCacheSize",                (PyCFunction)PyvtkTemporalDataSetCache_SetCacheSize, 1,
   (char*)"V.SetCacheSize(int)\nC++: void SetCacheSize (int size);\n\n This is the maximum number of time steps that can be retained in memory.\n it defaults to 10.\n"},
  {(char*)"GetCacheSize",                (PyCFunction)PyvtkTemporalDataSetCache_GetCacheSize, 1,
   (char*)"V.GetCacheSize() -> int\nC++: int GetCacheSize ();\n\n This is the maximum number of time steps that can be retained in memory.\n it defaults to 10.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalDataSetCacheDoc[] = {
  (char*)"vtkTemporalDataSetCache - cache time steps\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalDataSetCache cache time step requests of a temporal dataset,\n when cached data is requested it is returned using a shallow copy.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalDataSetCacheStaticNew()
{
  return vtkTemporalDataSetCache::New();
}

PyObject *PyVTKClass_vtkTemporalDataSetCacheNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalDataSetCacheStaticNew,
                        PyvtkTemporalDataSetCacheMethods,
                        (char*)"vtkTemporalDataSetCache",modulename,
                        (char**)vtkTemporalDataSetCacheDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

