// python wrapper for vtkTemporalInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolator *op;

  const char    *temp20;
  op = (vtkTemporalInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolator *op;

  vtkTemporalInterpolator  *temp20;
  op = (vtkTemporalInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalInterpolator_SetDiscreteTimeStepInterval(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolator *op;

  double   temp0;
  op = (vtkTemporalInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalInterpolator::SetDiscreteTimeStepInterval(temp0);
      }
    else
      {
      op->SetDiscreteTimeStepInterval(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalInterpolator_GetDiscreteTimeStepInterval(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalInterpolator *op;

  double   temp20;
  op = (vtkTemporalInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalInterpolator::GetDiscreteTimeStepInterval();
      }
    else
      {
      temp20 = op->GetDiscreteTimeStepInterval();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalInterpolator\nC++: vtkTemporalInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalInterpolator\nC++: vtkTemporalInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDiscreteTimeStepInterval",                (PyCFunction)PyvtkTemporalInterpolator_SetDiscreteTimeStepInterval, 1,
   (char*)"V.SetDiscreteTimeStepInterval(float)\nC++: void SetDiscreteTimeStepInterval (double );\n\n If you require a discrete number of outputs steps, to be \n generated from an input source - for example, you required\n N steps separated by T, then set DiscreteTimeStepInterval to T\n and you will get TIME_RANGE/DiscreteTimeStepInterval steps\n This is a useful option to use if you have a dataset with one\n missing time step and wish to 'fill-in' the missing data\n with an interpolated value from the steps either side\n"},
  {(char*)"GetDiscreteTimeStepInterval",                (PyCFunction)PyvtkTemporalInterpolator_GetDiscreteTimeStepInterval, 1,
   (char*)"V.GetDiscreteTimeStepInterval() -> float\nC++: double GetDiscreteTimeStepInterval ();\n\n If you require a discrete number of outputs steps, to be \n generated from an input source - for example, you required\n N steps separated by T, then set DiscreteTimeStepInterval to T\n and you will get TIME_RANGE/DiscreteTimeStepInterval steps\n This is a useful option to use if you have a dataset with one\n missing time step and wish to 'fill-in' the missing data\n with an interpolated value from the steps either side\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalInterpolatorDoc[] = {
  (char*)"vtkTemporalInterpolator - interpolate temporal datasets\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalInterpolator interpolates between two time steps to\n produce new data for an arbitrary T.\n vtkTemporalInterpolator has two modes of operation. The default\n mode is to produce a continuous range of time values as output\n which enables a filter downstream to request Any value of T within\n the range. The interpolator will produce the requested T.\n The second mode of operation is enabled b",
  (char*)"y setting\n DiscreteTimeStepInterval to a non zero value. When this mode is\n activated, the filter will report a finite number of Time steps\n separated by deltaT between the original range of values.\n This mode is useful when a dataset of N time steps has one (or more)\n missing datasets for certain T values and you simply wish to smooth\n over the missing steps but otherwise use the original data.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalInterpolatorStaticNew()
{
  return vtkTemporalInterpolator::New();
}

PyObject *PyVTKClass_vtkTemporalInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalInterpolatorStaticNew,
                        PyvtkTemporalInterpolatorMethods,
                        (char*)"vtkTemporalInterpolator",modulename,
                        (char**)vtkTemporalInterpolatorDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

