// python wrapper for vtkTemporalShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalShiftScale.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalShiftScale_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  const char    *temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  vtkTemporalShiftScale  *temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalShiftScale  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalShiftScale::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetShift(temp0);
      }
    else
      {
      op->SetShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetShift();
      }
    else
      {
      temp20 = op->GetShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp0;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalShiftScale::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalShiftScale_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalShiftScale *op;

  double   temp20;
  op = (vtkTemporalShiftScale *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalShiftScale::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalShiftScaleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalShiftScale_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalShiftScale_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalShiftScale_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalShiftScale\nC++: vtkTemporalShiftScale *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalShiftScale_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalShiftScale\nC++: vtkTemporalShiftScale *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShift",                (PyCFunction)PyvtkTemporalShiftScale_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift (double );\n\n Apply a translation to the data.\n"},
  {(char*)"GetShift",                (PyCFunction)PyvtkTemporalShiftScale_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift ();\n\n Apply a translation to the data.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkTemporalShiftScale_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale (double );\n\n Apply a scale to the data.  The scale is applied\n before the translation.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkTemporalShiftScale_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale ();\n\n Apply a scale to the data.  The scale is applied\n before the translation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalShiftScaleDoc[] = {
  (char*)"vtkTemporalShiftScale - modify the time range/steps of temporal data\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalShiftScale  modify the time range or time steps of\n the data without changing the data itself. The data is not resampled\n by this filter, only the information accompanying the data is modified.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalShiftScaleStaticNew()
{
  return vtkTemporalShiftScale::New();
}

PyObject *PyVTKClass_vtkTemporalShiftScaleNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalShiftScaleStaticNew,
                        PyvtkTemporalShiftScaleMethods,
                        (char*)"vtkTemporalShiftScale",modulename,
                        (char**)vtkTemporalShiftScaleDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

