// python wrapper for vtkTemporalSnapToTimeStep object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTemporalSnapToTimeStep.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTemporalSnapToTimeStepNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTemporalSnapToTimeStepNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTemporalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkTemporalSnapToTimeStep_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  const char    *temp20;
  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalSnapToTimeStep::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  char    *temp0;
  int      temp20;
  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalSnapToTimeStep::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  vtkTemporalSnapToTimeStep  *temp20;
  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalSnapToTimeStep::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTemporalSnapToTimeStep  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTemporalSnapToTimeStep::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_SetSnapMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  int      temp0;
  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalSnapToTimeStep::SetSnapMode(temp0);
      }
    else
      {
      op->SetSnapMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_GetSnapMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  int      temp20;
  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTemporalSnapToTimeStep::GetSnapMode();
      }
    else
      {
      temp20 = op->GetSnapMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_SetSnapModeToNearest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalSnapToTimeStep::SetSnapModeToNearest();
      }
    else
      {
      op->SetSnapModeToNearest();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_SetSnapModeToNextBelowOrEqual(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalSnapToTimeStep::SetSnapModeToNextBelowOrEqual();
      }
    else
      {
      op->SetSnapModeToNextBelowOrEqual();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTemporalSnapToTimeStep_SetSnapModeToNextAboveOrEqual(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTemporalSnapToTimeStep::SetSnapModeToNextAboveOrEqual();
      }
    else
      {
      op->SetSnapModeToNextAboveOrEqual();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTemporalSnapToTimeStepMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTemporalSnapToTimeStep_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTemporalSnapToTimeStep_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTemporalSnapToTimeStep_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTemporalSnapToTimeStep\nC++: vtkTemporalSnapToTimeStep *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTemporalSnapToTimeStep_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTemporalSnapToTimeStep\nC++: vtkTemporalSnapToTimeStep *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSnapMode",                (PyCFunction)PyvtkTemporalSnapToTimeStep_SetSnapMode, 1,
   (char*)"V.SetSnapMode(int)\nC++: void SetSnapMode (int );\n\n"},
  {(char*)"GetSnapMode",                (PyCFunction)PyvtkTemporalSnapToTimeStep_GetSnapMode, 1,
   (char*)"V.GetSnapMode() -> int\nC++: int GetSnapMode ();\n\n"},
  {(char*)"SetSnapModeToNearest",                (PyCFunction)PyvtkTemporalSnapToTimeStep_SetSnapModeToNearest, 1,
   (char*)"V.SetSnapModeToNearest()\nC++: void SetSnapModeToNearest ();this SetSnapMode VTK_SNAP_NEAREST \n\n"},
  {(char*)"SetSnapModeToNextBelowOrEqual",                (PyCFunction)PyvtkTemporalSnapToTimeStep_SetSnapModeToNextBelowOrEqual, 1,
   (char*)"V.SetSnapModeToNextBelowOrEqual()\nC++: void SetSnapModeToNextBelowOrEqual ();this SetSnapMode VTK_SNAP_NEXTBELOW_OR_EQUAL \n\n"},
  {(char*)"SetSnapModeToNextAboveOrEqual",                (PyCFunction)PyvtkTemporalSnapToTimeStep_SetSnapModeToNextAboveOrEqual, 1,
   (char*)"V.SetSnapModeToNextAboveOrEqual()\nC++: void SetSnapModeToNextAboveOrEqual ();this SetSnapMode VTK_SNAP_NEXTABOVE_OR_EQUAL \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTemporalSnapToTimeStepDoc[] = {
  (char*)"vtkTemporalSnapToTimeStep - modify the time range/steps of temporal data\n\n",
  "Super Class:\n\n vtkTemporalDataSetAlgorithm\n\n",
  (char*)" vtkTemporalSnapToTimeStep  modify the time range or time steps of\n the data without changing the data itself. The data is not resampled\n by this filter, only the information accompanying the data is modified.\n\n",
  NULL
};

static vtkObjectBase *vtkTemporalSnapToTimeStepStaticNew()
{
  return vtkTemporalSnapToTimeStep::New();
}

PyObject *PyVTKClass_vtkTemporalSnapToTimeStepNew(char *modulename)
{
  return PyVTKClass_New(&vtkTemporalSnapToTimeStepStaticNew,
                        PyvtkTemporalSnapToTimeStepMethods,
                        (char*)"vtkTemporalSnapToTimeStep",modulename,
                        (char**)vtkTemporalSnapToTimeStepDoc,
                        PyVTKClass_vtkTemporalDataSetAlgorithmNew(modulename));
}

