// python wrapper for vtkTransformToGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTransformToGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformToGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformToGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkTransformToGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  const char    *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  char    *temp0;
  int      temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  vtkTransformToGrid  *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformToGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformToGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  vtkAbstractTransform  *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetGridExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  int    temp0[6];
  PyErr_Clear();
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridExtent(temp0);
      }
    else
      {
      op->SetGridExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetGridExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  int     *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetGridExtent();
      }
    else
      {
      temp20 = op->GetGridExtent();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetGridOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridOrigin(temp0);
      }
    else
      {
      op->SetGridOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetGridOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double  *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetGridOrigin();
      }
    else
      {
      temp20 = op->GetGridOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetGridSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridSpacing(temp0);
      }
    else
      {
      op->SetGridSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetGridSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double  *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetGridSpacing();
      }
    else
      {
      temp20 = op->GetGridSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  int      temp0;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarType(temp0);
      }
    else
      {
      op->SetGridScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetGridScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  int      temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetGridScalarType();
      }
    else
      {
      temp20 = op->GetGridScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarTypeToFloat();
      }
    else
      {
      op->SetGridScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarTypeToShort();
      }
    else
      {
      op->SetGridScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetGridScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetGridScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_SetGridScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformToGrid::SetGridScalarTypeToChar();
      }
    else
      {
      op->SetGridScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetDisplacementScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double   temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetDisplacementScale();
      }
    else
      {
      temp20 = op->GetDisplacementScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetDisplacementShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  double   temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetDisplacementShift();
      }
    else
      {
      temp20 = op->GetDisplacementShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformToGrid_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformToGrid *op;

  vtkImageData  *temp20;
  op = (vtkTransformToGrid *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformToGrid::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformToGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformToGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformToGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformToGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformToGrid\nC++: vtkTransformToGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformToGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformToGrid\nC++: vtkTransformToGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTransformToGrid_SetInput, 1,
   (char*)"V.SetInput(vtkAbstractTransform)\nC++: virtual void SetInput (vtkAbstractTransform *);\n\n Set/Get the transform which will be converted into a grid.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTransformToGrid_GetInput, 1,
   (char*)"V.GetInput() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetInput ();\n\n Set/Get the transform which will be converted into a grid.\n"},
  {(char*)"SetGridExtent",                (PyCFunction)PyvtkTransformToGrid_SetGridExtent, 1,
   (char*)"V.SetGridExtent(int, int, int, int, int, int)\nC++: void SetGridExtent (int , int , int , int , int , int );\nV.SetGridExtent((int, int, int, int, int, int))\nC++: void SetGridExtent (int  a[6]);\n\n Get/Set the extent of the grid.\n"},
  {(char*)"GetGridExtent",                (PyCFunction)PyvtkTransformToGrid_GetGridExtent, 1,
   (char*)"V.GetGridExtent() -> (int, int, int, int, int, int)\nC++: int  *GetGridExtent ();\n\n Get/Set the extent of the grid.\n"},
  {(char*)"SetGridOrigin",                (PyCFunction)PyvtkTransformToGrid_SetGridOrigin, 1,
   (char*)"V.SetGridOrigin(float, float, float)\nC++: void SetGridOrigin (double , double , double );\nV.SetGridOrigin((float, float, float))\nC++: void SetGridOrigin (double  a[3]);\n\n Get/Set the origin of the grid.\n"},
  {(char*)"GetGridOrigin",                (PyCFunction)PyvtkTransformToGrid_GetGridOrigin, 1,
   (char*)"V.GetGridOrigin() -> (float, float, float)\nC++: double  *GetGridOrigin ();\n\n Get/Set the origin of the grid.\n"},
  {(char*)"SetGridSpacing",                (PyCFunction)PyvtkTransformToGrid_SetGridSpacing, 1,
   (char*)"V.SetGridSpacing(float, float, float)\nC++: void SetGridSpacing (double , double , double );\nV.SetGridSpacing((float, float, float))\nC++: void SetGridSpacing (double  a[3]);\n\n Get/Set the spacing between samples in the grid.\n"},
  {(char*)"GetGridSpacing",                (PyCFunction)PyvtkTransformToGrid_GetGridSpacing, 1,
   (char*)"V.GetGridSpacing() -> (float, float, float)\nC++: double  *GetGridSpacing ();\n\n Get/Set the spacing between samples in the grid.\n"},
  {(char*)"SetGridScalarType",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarType, 1,
   (char*)"V.SetGridScalarType(int)\nC++: void SetGridScalarType (int );\n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"GetGridScalarType",                (PyCFunction)PyvtkTransformToGrid_GetGridScalarType, 1,
   (char*)"V.GetGridScalarType() -> int\nC++: int GetGridScalarType ();\n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"SetGridScalarTypeToFloat",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarTypeToFloat, 1,
   (char*)"V.SetGridScalarTypeToFloat()\nC++: void SetGridScalarTypeToFloat ();this SetGridScalarType VTK_DOUBLE \n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"SetGridScalarTypeToShort",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarTypeToShort, 1,
   (char*)"V.SetGridScalarTypeToShort()\nC++: void SetGridScalarTypeToShort ();this SetGridScalarType VTK_SHORT \n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"SetGridScalarTypeToUnsignedShort",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarTypeToUnsignedShort, 1,
   (char*)"V.SetGridScalarTypeToUnsignedShort()\nC++: void SetGridScalarTypeToUnsignedShort ();this SetGridScalarType VTK_UNSIGNED_SHORT \n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"SetGridScalarTypeToUnsignedChar",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarTypeToUnsignedChar, 1,
   (char*)"V.SetGridScalarTypeToUnsignedChar()\nC++: void SetGridScalarTypeToUnsignedChar ();this SetGridScalarType VTK_UNSIGNED_CHAR \n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"SetGridScalarTypeToChar",                (PyCFunction)PyvtkTransformToGrid_SetGridScalarTypeToChar, 1,
   (char*)"V.SetGridScalarTypeToChar()\nC++: void SetGridScalarTypeToChar ();this SetGridScalarType VTK_CHAR \n\n Get/Set the scalar type of the grid.  The default is\n double.\n"},
  {(char*)"GetDisplacementScale",                (PyCFunction)PyvtkTransformToGrid_GetDisplacementScale, 1,
   (char*)"V.GetDisplacementScale() -> float\nC++: double GetDisplacementScale ();this UpdateShiftScale return this DisplacementScale \n\n Get the scale and shift to convert integer grid elements into\n real values:  dx = scale*di + shift.  If the grid is of double type,\n then scale = 1 and shift = 0.\n"},
  {(char*)"GetDisplacementShift",                (PyCFunction)PyvtkTransformToGrid_GetDisplacementShift, 1,
   (char*)"V.GetDisplacementShift() -> float\nC++: double GetDisplacementShift ();this UpdateShiftScale return this DisplacementShift \n\n Get the scale and shift to convert integer grid elements into\n real values:  dx = scale*di + shift.  If the grid is of double type,\n then scale = 1 and shift = 0.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkTransformToGrid_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\n\n Get the output data object for a port on this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformToGridDoc[] = {
  (char*)"vtkTransformToGrid - create a grid for a vtkGridTransform\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkTransformToGrid takes any transform as input and produces a grid\n for use by a vtkGridTransform.  This can be used, for example, to \n invert a grid transform, concatenate two grid transforms, or to\n convert a thin plate spline transform into a grid transform.\n\n",
  "See Also:\n\n vtkGridTransform vtkThinPlateSplineTransform vtkAbstractTransform\n\n",
  NULL
};

static vtkObjectBase *vtkTransformToGridStaticNew()
{
  return vtkTransformToGrid::New();
}

PyObject *PyVTKClass_vtkTransformToGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformToGridStaticNew,
                        PyvtkTransformToGridMethods,
                        (char*)"vtkTransformToGrid",modulename,
                        (char**)vtkTransformToGridDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

