// python wrapper for vtkVectorText object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkVectorText.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVectorTextNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVectorTextNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkVectorText_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorText *op;

  const char    *temp20;
  op = (vtkVectorText *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorText::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorText_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorText *op;

  char    *temp0;
  int      temp20;
  op = (vtkVectorText *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorText::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorText_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorText *op;

  vtkVectorText  *temp20;
  op = (vtkVectorText *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorText::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorText_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVectorText  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVectorText::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVectorText_SetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorText *op;

  char    *temp0;
  op = (vtkVectorText *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVectorText::SetText(temp0);
      }
    else
      {
      op->SetText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorText_GetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorText *op;

  char    *temp20;
  op = (vtkVectorText *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorText::GetText();
      }
    else
      {
      temp20 = op->GetText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVectorTextMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVectorText_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVectorText_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVectorText_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVectorText\nC++: vtkVectorText *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVectorText_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVectorText\nC++: vtkVectorText *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetText",                (PyCFunction)PyvtkVectorText_SetText, 1,
   (char*)"V.SetText(string)\nC++: void SetText (char *);\n\n Set/Get the text to be drawn.\n"},
  {(char*)"GetText",                (PyCFunction)PyvtkVectorText_GetText, 1,
   (char*)"V.GetText() -> string\nC++: char *GetText ();\n\n Set/Get the text to be drawn.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVectorTextDoc[] = {
  (char*)"vtkVectorText - create polygonal text\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  "See Also:\n\n vtkTextMapper vtkCaptionActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkVectorTextStaticNew()
{
  return vtkVectorText::New();
}

PyObject *PyVTKClass_vtkVectorTextNew(char *modulename)
{
  return PyVTKClass_New(&vtkVectorTextStaticNew,
                        PyvtkVectorTextMethods,
                        (char*)"vtkVectorText",modulename,
                        (char**)vtkVectorTextDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

