// tcl wrapper for vtkVideoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVideoSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVideoSourceNewCommand()
{
  vtkVideoSource *temp = vtkVideoSource::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVideoSourceCppCommand(vtkVideoSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVideoSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVideoSourceCppCommand(static_cast<vtkVideoSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVideoSourceCppCommand(vtkVideoSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVideoSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVideoSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVideoSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVideoSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVideoSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVideoSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVideoSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("Record",argv[1]))&&(argc == 2))
    {
    op->Record();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Play",argv[1]))&&(argc == 2))
    {
    op->Play();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Stop",argv[1]))&&(argc == 2))
    {
    op->Stop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Rewind",argv[1]))&&(argc == 2))
    {
    op->Rewind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FastForward",argv[1]))&&(argc == 2))
    {
    op->FastForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Seek",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Seek(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Grab",argv[1]))&&(argc == 2))
    {
    op->Grab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRecording",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecording();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlaying",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaying();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameSize",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetFrameSize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrameSize",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetFrameSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetFrameSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFrameRate",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFrameRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameRate",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFrameRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormat",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputFormatToLuminance",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToLuminance();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToRGB",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToRGB();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToRGBA",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToRGBA();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputFormat",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameBufferSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFrameBufferSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameBufferSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrameBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfOutputFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfOutputFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfOutputFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdvanceOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdvanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdvanceOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdvanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdvance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdvance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdvance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdvance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClipRegion",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetClipRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClipRegion",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetClipRegion(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClipRegion",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetClipRegion();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOutputWholeExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetOutputWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputWholeExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOutputWholeExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDataOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDataOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrameCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrameCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFrameCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrameIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrameTimeStamp",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFrameTimeStamp(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameTimeStamp",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFrameTimeStamp();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseSystemResources",argv[1]))&&(argc == 2))
    {
    op->ReleaseSystemResources();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InternalGrab",argv[1]))&&(argc == 2))
    {
    op->InternalGrab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStartTimeStamp",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStartTimeStamp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartTimeStamp",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStartTimeStamp();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVideoSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVideoSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Record\n",NULL);
    Tcl_AppendResult(interp,"  Play\n",NULL);
    Tcl_AppendResult(interp,"  Stop\n",NULL);
    Tcl_AppendResult(interp,"  Rewind\n",NULL);
    Tcl_AppendResult(interp,"  FastForward\n",NULL);
    Tcl_AppendResult(interp,"  Seek\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Grab\n",NULL);
    Tcl_AppendResult(interp,"  GetRecording\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaying\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameSize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameSize\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameRate\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToLuminance\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToRGB\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToRGBA\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameBufferSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameBufferSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfOutputFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputFrames\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdvanceOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdvanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdvance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdvance\n",NULL);
    Tcl_AppendResult(interp,"  SetClipRegion\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClipRegion\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClipRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameCount\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameIndex\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameTimeStamp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameTimeStamp\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialized\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseSystemResources\n",NULL);
    Tcl_AppendResult(interp,"  InternalGrab\n",NULL);
    Tcl_AppendResult(interp,"  SetStartTimeStamp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartTimeStamp\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Record" );
    Tcl_DStringAppendElement ( &dString, "Play" );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    Tcl_DStringAppendElement ( &dString, "Rewind" );
    Tcl_DStringAppendElement ( &dString, "FastForward" );
    Tcl_DStringAppendElement ( &dString, "Seek" );
    Tcl_DStringAppendElement ( &dString, "Grab" );
    Tcl_DStringAppendElement ( &dString, "GetRecording" );
    Tcl_DStringAppendElement ( &dString, "GetPlaying" );
    Tcl_DStringAppendElement ( &dString, "SetFrameSize" );
    Tcl_DStringAppendElement ( &dString, "SetFrameSize" );
    Tcl_DStringAppendElement ( &dString, "GetFrameSize" );
    Tcl_DStringAppendElement ( &dString, "SetFrameRate" );
    Tcl_DStringAppendElement ( &dString, "GetFrameRate" );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToLuminance" );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToRGB" );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToRGBA" );
    Tcl_DStringAppendElement ( &dString, "GetOutputFormat" );
    Tcl_DStringAppendElement ( &dString, "SetFrameBufferSize" );
    Tcl_DStringAppendElement ( &dString, "GetFrameBufferSize" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfOutputFrames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputFrames" );
    Tcl_DStringAppendElement ( &dString, "AutoAdvanceOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdvanceOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdvance" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdvance" );
    Tcl_DStringAppendElement ( &dString, "SetClipRegion" );
    Tcl_DStringAppendElement ( &dString, "SetClipRegion" );
    Tcl_DStringAppendElement ( &dString, "GetClipRegion" );
    Tcl_DStringAppendElement ( &dString, "SetOutputWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetOutputWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetOutputWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetFrameCount" );
    Tcl_DStringAppendElement ( &dString, "SetFrameCount" );
    Tcl_DStringAppendElement ( &dString, "GetFrameIndex" );
    Tcl_DStringAppendElement ( &dString, "GetFrameTimeStamp" );
    Tcl_DStringAppendElement ( &dString, "GetFrameTimeStamp" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetInitialized" );
    Tcl_DStringAppendElement ( &dString, "ReleaseSystemResources" );
    Tcl_DStringAppendElement ( &dString, "InternalGrab" );
    Tcl_DStringAppendElement ( &dString, "SetStartTimeStamp" );
    Tcl_DStringAppendElement ( &dString, "GetStartTimeStamp" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVideoSource *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Record */
    if ( strcmp ( argv[2], "Record" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Record" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Record */
    Tcl_DStringAppendElement ( &dString, " Record incoming video at the specified FrameRate.  The recording\n continues indefinitely until Stop() is called. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Record ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Record */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Play */
    if ( strcmp ( argv[2], "Play" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Play" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Play */
    Tcl_DStringAppendElement ( &dString, " Play through the 'tape' sequentially at the specified frame rate.\n If you have just finished Recoding, you should call Rewind() first.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Play ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Play */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Stop */
    if ( strcmp ( argv[2], "Stop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Stop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Stop */
    Tcl_DStringAppendElement ( &dString, " Stop recording or playing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Stop ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Stop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Rewind */
    if ( strcmp ( argv[2], "Rewind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Rewind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Rewind */
    Tcl_DStringAppendElement ( &dString, " Rewind to the frame with the earliest timestamp.  Record operations\n will start on the following frame, therefore if you want to re-record\n over this frame you must call Seek(-1) before calling Grab() or Record().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Rewind ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Rewind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FastForward */
    if ( strcmp ( argv[2], "FastForward" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FastForward" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FastForward */
    Tcl_DStringAppendElement ( &dString, " FastForward to the last frame that was recorded (i.e. to the frame\n that has the most recent timestamp).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FastForward ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for FastForward */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Seek */
    if ( strcmp ( argv[2], "Seek" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Seek" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Seek */
    Tcl_DStringAppendElement ( &dString, " Seek forwards or backwards by the specified number of frames\n (positive is forward, negative is backward).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Seek (int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Seek */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Grab */
    if ( strcmp ( argv[2], "Grab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Grab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Grab */
    Tcl_DStringAppendElement ( &dString, " Grab a single video frame.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Grab ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Grab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecording */
    if ( strcmp ( argv[2], "GetRecording" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecording" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecording */
    Tcl_DStringAppendElement ( &dString, " Are we in record mode? (record mode and play mode are mutually\n exclusive).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRecording ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetRecording */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaying */
    if ( strcmp ( argv[2], "GetPlaying" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaying" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaying */
    Tcl_DStringAppendElement ( &dString, " Are we in play mode? (record mode and play mode are mutually\n exclusive).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlaying ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetPlaying */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameSize */
    if ( strcmp ( argv[2], "SetFrameSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameSize */
    Tcl_DStringAppendElement ( &dString, " Set the full-frame size.  This must be an allowed size for the device,\n the device may either refuse a request for an illegal frame size or\n automatically choose a new frame size.\n The default is usually 320x240x1, but can be device specific.  \n The 'depth' should always be 1 (unless you have a device that\n can handle 3D acquisition).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameSize (int x, int y, int z);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetFrameSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameSize */
    if ( strcmp ( argv[2], "SetFrameSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameSize */
    Tcl_DStringAppendElement ( &dString, " Set the full-frame size.  This must be an allowed size for the device,\n the device may either refuse a request for an illegal frame size or\n automatically choose a new frame size.\n The default is usually 320x240x1, but can be device specific.  \n The 'depth' should always be 1 (unless you have a device that\n can handle 3D acquisition).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameSize (int dim\\[3\\]);this SetFrameSize dim dim dim " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetFrameSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameSize */
    if ( strcmp ( argv[2], "GetFrameSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameSize */
    Tcl_DStringAppendElement ( &dString, " Set the full-frame size.  This must be an allowed size for the device,\n the device may either refuse a request for an illegal frame size or\n automatically choose a new frame size.\n The default is usually 320x240x1, but can be device specific.  \n The 'depth' should always be 1 (unless you have a device that\n can handle 3D acquisition).\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetFrameSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameRate */
    if ( strcmp ( argv[2], "SetFrameRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameRate */
    Tcl_DStringAppendElement ( &dString, " Request a particular frame rate (default 30 frames per second).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameRate (float rate);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetFrameRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameRate */
    if ( strcmp ( argv[2], "GetFrameRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameRate */
    Tcl_DStringAppendElement ( &dString, " Request a particular frame rate (default 30 frames per second).\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFrameRate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputFormat */
    if ( strcmp ( argv[2], "SetOutputFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputFormat */
    Tcl_DStringAppendElement ( &dString, " Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputFormat (int format);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputFormatToLuminance */
    if ( strcmp ( argv[2], "SetOutputFormatToLuminance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToLuminance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputFormatToLuminance */
    Tcl_DStringAppendElement ( &dString, " Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputFormatToLuminance ();this SetOutputFormat VTK_LUMINANCE " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputFormatToLuminance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputFormatToRGB */
    if ( strcmp ( argv[2], "SetOutputFormatToRGB" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToRGB" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputFormatToRGB */
    Tcl_DStringAppendElement ( &dString, " Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputFormatToRGB ();this SetOutputFormat VTK_RGB " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputFormatToRGB */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputFormatToRGBA */
    if ( strcmp ( argv[2], "SetOutputFormatToRGBA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputFormatToRGBA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputFormatToRGBA */
    Tcl_DStringAppendElement ( &dString, " Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputFormatToRGBA ();this SetOutputFormat VTK_RGBA " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputFormatToRGBA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputFormat */
    if ( strcmp ( argv[2], "GetOutputFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputFormat */
    Tcl_DStringAppendElement ( &dString, " Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetOutputFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameBufferSize */
    if ( strcmp ( argv[2], "SetFrameBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameBufferSize */
    Tcl_DStringAppendElement ( &dString, " Set size of the frame buffer, i.e. the number of frames that\n the 'tape' can store.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameBufferSize (int FrameBufferSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetFrameBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameBufferSize */
    if ( strcmp ( argv[2], "GetFrameBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameBufferSize */
    Tcl_DStringAppendElement ( &dString, " Set size of the frame buffer, i.e. the number of frames that\n the 'tape' can store.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrameBufferSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfOutputFrames */
    if ( strcmp ( argv[2], "SetNumberOfOutputFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfOutputFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfOutputFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to copy to the output on each execute.\n The frames will be concatenated along the Z dimension, with the \n most recent frame first.\n Default: 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfOutputFrames (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetNumberOfOutputFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfOutputFrames */
    if ( strcmp ( argv[2], "GetNumberOfOutputFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfOutputFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfOutputFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to copy to the output on each execute.\n The frames will be concatenated along the Z dimension, with the \n most recent frame first.\n Default: 1\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfOutputFrames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetNumberOfOutputFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdvanceOn */
    if ( strcmp ( argv[2], "AutoAdvanceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdvanceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdvanceOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to automatically advance the buffer before each grab. \n Default: on\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdvanceOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for AutoAdvanceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdvanceOff */
    if ( strcmp ( argv[2], "AutoAdvanceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdvanceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdvanceOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to automatically advance the buffer before each grab. \n Default: on\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdvanceOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for AutoAdvanceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdvance */
    if ( strcmp ( argv[2], "SetAutoAdvance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdvance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdvance */
    Tcl_DStringAppendElement ( &dString, " Set whether to automatically advance the buffer before each grab. \n Default: on\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdvance (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetAutoAdvance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdvance */
    if ( strcmp ( argv[2], "GetAutoAdvance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdvance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdvance */
    Tcl_DStringAppendElement ( &dString, " Set whether to automatically advance the buffer before each grab. \n Default: on\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdvance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetAutoAdvance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipRegion */
    if ( strcmp ( argv[2], "SetClipRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipRegion */
    Tcl_DStringAppendElement ( &dString, " Set the clip rectangle for the frames.  The video will be clipped \n before it is copied into the framebuffer.  Changing the ClipRegion\n will destroy the current contents of the framebuffer.\n The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClipRegion (int r\\[6\\]);this SetClipRegion r r r r r r " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetClipRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetClipRegion */
    if ( strcmp ( argv[2], "SetClipRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetClipRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetClipRegion */
    Tcl_DStringAppendElement ( &dString, " Set the clip rectangle for the frames.  The video will be clipped \n before it is copied into the framebuffer.  Changing the ClipRegion\n will destroy the current contents of the framebuffer.\n The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetClipRegion (int x0, int x1, int y0, int y1, int z0, int z1);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetClipRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClipRegion */
    if ( strcmp ( argv[2], "GetClipRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClipRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClipRegion */
    Tcl_DStringAppendElement ( &dString, " Set the clip rectangle for the frames.  The video will be clipped \n before it is copied into the framebuffer.  Changing the ClipRegion\n will destroy the current contents of the framebuffer.\n The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetClipRegion ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetClipRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputWholeExtent */
    if ( strcmp ( argv[2], "SetOutputWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the WholeExtent of the output.  This can be used to either\n clip or pad the video frame.  This clipping/padding is done when\n the frame is copied to the output, and does not change the contents\n of the framebuffer.  This is useful e.g. for expanding \n the output size to a power of two for texture mapping.  The\n default is (0,-1,0,-1,0,-1) which causes the entire frame to be\n copied to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputWholeExtent (int , int , int , int , int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputWholeExtent */
    if ( strcmp ( argv[2], "SetOutputWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the WholeExtent of the output.  This can be used to either\n clip or pad the video frame.  This clipping/padding is done when\n the frame is copied to the output, and does not change the contents\n of the framebuffer.  This is useful e.g. for expanding \n the output size to a power of two for texture mapping.  The\n default is (0,-1,0,-1,0,-1) which causes the entire frame to be\n copied to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputWholeExtent (int  a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOutputWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputWholeExtent */
    if ( strcmp ( argv[2], "GetOutputWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Get/Set the WholeExtent of the output.  This can be used to either\n clip or pad the video frame.  This clipping/padding is done when\n the frame is copied to the output, and does not change the contents\n of the framebuffer.  This is useful e.g. for expanding \n the output size to a power of two for texture mapping.  The\n default is (0,-1,0,-1,0,-1) which causes the entire frame to be\n copied to the output.\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetOutputWholeExtent ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetOutputWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing. \n Default: (1.0,1.0,1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSpacing */
    if ( strcmp ( argv[2], "SetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing. \n Default: (1.0,1.0,1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataSpacing (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSpacing */
    if ( strcmp ( argv[2], "GetDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel spacing. \n Default: (1.0,1.0,1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the coordinates of the lower, left corner of the frame. \n Default: (0.0,0.0,0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataOrigin */
    if ( strcmp ( argv[2], "SetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the coordinates of the lower, left corner of the frame. \n Default: (0.0,0.0,0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataOrigin */
    if ( strcmp ( argv[2], "GetDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the coordinates of the lower, left corner of the frame. \n Default: (0.0,0.0,0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDataOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacity */
    if ( strcmp ( argv[2], "SetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacity */
    Tcl_DStringAppendElement ( &dString, " For RGBA output only (4 scalar components), set the opacity.  This\n will not modify the existing contents of the framebuffer, only\n subsequently grabbed frames.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacity (float );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " For RGBA output only (4 scalar components), set the opacity.  This\n will not modify the existing contents of the framebuffer, only\n subsequently grabbed frames.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetOpacity ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameCount */
    if ( strcmp ( argv[2], "GetFrameCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameCount */
    Tcl_DStringAppendElement ( &dString, " This value is incremented each time a frame is grabbed.\n reset it to zero (or any other value) at any time.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrameCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameCount */
    if ( strcmp ( argv[2], "SetFrameCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameCount */
    Tcl_DStringAppendElement ( &dString, " This value is incremented each time a frame is grabbed.\n reset it to zero (or any other value) at any time.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFrameCount (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetFrameCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameIndex */
    if ( strcmp ( argv[2], "GetFrameIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameIndex */
    Tcl_DStringAppendElement ( &dString, " Get the frame index relative to the 'beginning of the tape'.  This\n value wraps back to zero if it increases past the FrameBufferSize.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrameIndex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameTimeStamp */
    if ( strcmp ( argv[2], "GetFrameTimeStamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameTimeStamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameTimeStamp */
    Tcl_DStringAppendElement ( &dString, " Get a time stamp in seconds (resolution of milliseconds) for\n a video frame.   Time began on Jan 1, 1970.  You can specify\n a number (negative or positive) to specify the position of the\n video frame relative to the current frame.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetFrameTimeStamp (int frame);" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameTimeStamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameTimeStamp */
    if ( strcmp ( argv[2], "GetFrameTimeStamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameTimeStamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameTimeStamp */
    Tcl_DStringAppendElement ( &dString, " Get a time stamp in seconds (resolution of milliseconds) for\n the Output.  Time began on Jan 1, 1970.  This timestamp is only\n valid after the Output has been Updated.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFrameTimeStamp ();return this FrameTimeStamp " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetFrameTimeStamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the hardware.  This is called automatically\n on the first Update or Grab.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialized */
    if ( strcmp ( argv[2], "GetInitialized" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialized" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialized */
    Tcl_DStringAppendElement ( &dString, " Initialize the hardware.  This is called automatically\n on the first Update or Grab.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInitialized ();return this Initialized " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetInitialized */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseSystemResources */
    if ( strcmp ( argv[2], "ReleaseSystemResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseSystemResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseSystemResources */
    Tcl_DStringAppendElement ( &dString, " Release the video driver.  This method must be called before\n application exit, or else the application might hang during\n exit.  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseSystemResources ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for ReleaseSystemResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InternalGrab */
    if ( strcmp ( argv[2], "InternalGrab" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InternalGrab" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InternalGrab */
    Tcl_DStringAppendElement ( &dString, " The internal function which actually does the grab.  You will\n definitely want to override this if you develop a vtkVideoSource\n subclass. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InternalGrab ();" );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for InternalGrab */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStartTimeStamp */
    if ( strcmp ( argv[2], "SetStartTimeStamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStartTimeStamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStartTimeStamp */
    Tcl_DStringAppendElement ( &dString, " And internal variable which marks the beginning of a Record session.\n These methods are for internal use only.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStartTimeStamp (double t);this StartTimeStamp t " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for SetStartTimeStamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStartTimeStamp */
    if ( strcmp ( argv[2], "GetStartTimeStamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStartTimeStamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStartTimeStamp */
    Tcl_DStringAppendElement ( &dString, " And internal variable which marks the beginning of a Record session.\n These methods are for internal use only.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStartTimeStamp ();return this StartTimeStamp " );
    Tcl_DStringAppendElement ( &dString, "vtkVideoSource" );
    /* Closing for GetStartTimeStamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
