// python wrapper for vtkX3DExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkX3DExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkX3DExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkX3DExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkX3DExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  const char    *temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  char    *temp0;
  int      temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  vtkX3DExporter  *temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkX3DExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkX3DExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkX3DExporter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  char    *temp0;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkX3DExporter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  char    *temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_SetSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  double   temp0;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkX3DExporter::SetSpeed(temp0);
      }
    else
      {
      op->SetSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_GetSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  double   temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetSpeed();
      }
    else
      {
      temp20 = op->GetSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_SetBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  int      temp0;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkX3DExporter::SetBinary(temp0);
      }
    else
      {
      op->SetBinary(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_GetBinaryMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  int      temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetBinaryMinValue();
      }
    else
      {
      temp20 = op->GetBinaryMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_GetBinaryMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  int      temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetBinaryMaxValue();
      }
    else
      {
      temp20 = op->GetBinaryMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_BinaryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkX3DExporter::BinaryOn();
      }
    else
      {
      op->BinaryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_BinaryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkX3DExporter::BinaryOff();
      }
    else
      {
      op->BinaryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkX3DExporter_GetBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkX3DExporter *op;

  int      temp20;
  op = (vtkX3DExporter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkX3DExporter::GetBinary();
      }
    else
      {
      temp20 = op->GetBinary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkX3DExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkX3DExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkX3DExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkX3DExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkX3DExporter\nC++: vtkX3DExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkX3DExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkX3DExporter\nC++: vtkX3DExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkX3DExporter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the output file name.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkX3DExporter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the output file name.\n"},
  {(char*)"SetSpeed",                (PyCFunction)PyvtkX3DExporter_SetSpeed, 1,
   (char*)"V.SetSpeed(float)\nC++: void SetSpeed (double );\n\n Specify the Speed of navigation. Default is 4.\n"},
  {(char*)"GetSpeed",                (PyCFunction)PyvtkX3DExporter_GetSpeed, 1,
   (char*)"V.GetSpeed() -> float\nC++: double GetSpeed ();\n\n Specify the Speed of navigation. Default is 4.\n"},
  {(char*)"SetBinary",                (PyCFunction)PyvtkX3DExporter_SetBinary, 1,
   (char*)"V.SetBinary(int)\nC++: void SetBinary (int );\n\n Turn on binary mode\n"},
  {(char*)"GetBinaryMinValue",                (PyCFunction)PyvtkX3DExporter_GetBinaryMinValue, 1,
   (char*)"V.GetBinaryMinValue() -> int\nC++: int GetBinaryMinValue ();\n\n Turn on binary mode\n"},
  {(char*)"GetBinaryMaxValue",                (PyCFunction)PyvtkX3DExporter_GetBinaryMaxValue, 1,
   (char*)"V.GetBinaryMaxValue() -> int\nC++: int GetBinaryMaxValue ();\n\n Turn on binary mode\n"},
  {(char*)"BinaryOn",                (PyCFunction)PyvtkX3DExporter_BinaryOn, 1,
   (char*)"V.BinaryOn()\nC++: void BinaryOn ();\n\n Turn on binary mode\n"},
  {(char*)"BinaryOff",                (PyCFunction)PyvtkX3DExporter_BinaryOff, 1,
   (char*)"V.BinaryOff()\nC++: void BinaryOff ();\n\n Turn on binary mode\n"},
  {(char*)"GetBinary",                (PyCFunction)PyvtkX3DExporter_GetBinary, 1,
   (char*)"V.GetBinary() -> int\nC++: int GetBinary ();\n\n Turn on binary mode\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkX3DExporterDoc[] = {
  (char*)"vtX3DExporter - create an x3d file\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  NULL
};

static vtkObjectBase *vtkX3DExporterStaticNew()
{
  return vtkX3DExporter::New();
}

PyObject *PyVTKClass_vtkX3DExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkX3DExporterStaticNew,
                        PyvtkX3DExporterMethods,
                        (char*)"vtkX3DExporter",modulename,
                        (char**)vtkX3DExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

